<?php


class AcTicketModel{

	public function selectUniqueId($id){
		global $PDO;
		if (!$id){
			return FALSE;
		}
		$sql = "
			SELECT *
			FROM ac_ticket
				LEFT JOIN vt_cliente ON tk_cl_id = cl_clienteId_dkt
				LEFT JOIN im_serie ON tk_referencia = ser_serie
				LEFT JOIN im_producto ON ser_prId = pr_id
			WHERE tk_id = :id
		";
		$comando = $PDO->prepare($sql);
		$comando->bindParam(':id', $id);
		$comando->execute();
		$resultado = $comando->fetchAll(PDO::FETCH_ASSOC);
		$row = $resultado[0];
		$a_ticket["tk_id"]			= $row["tk_id"];
		$a_ticket["tk_cl_id"]		= $row["tk_cl_id"];
		$a_ticket["tk_cl_suc_id"]	= $row["tk_cl_suc_id"];
		$a_ticket["tk_tipo"]		= $row["tk_tipo"];
		$a_ticket["tk_tipoSub"]		= $row["tk_tipoSub"];
		$a_ticket["tk_modalidad"]	= $row["tk_modalidad"];
		$a_ticket["tk_referencia"]	= $row["tk_referencia"];
		$a_ticket["tk_refDocId2"]	= $row["tk_refDocId2"];
		$a_ticket["tk_refDocId3"]	= $row["tk_refDocId3"];
		$a_ticket["tk_tipoDocRef"]	= $row["tk_tipoDocRef"];
		$a_ticket["tk_fechaReq"]	= $row["tk_fechaReq"];
		$a_ticket["tk_falla"]		= $row["tk_falla"];
		$a_ticket["tk_detalle"]		= $row["tk_detalle"];
		$a_ticket["tk_contacto"]	= $row["tk_contacto"];
		$a_ticket["tk_contactoMail"]= $row["tk_contactoMail"];
		$a_ticket["tk_contactoTelf"]= $row["tk_contactoTelf"];
		$a_ticket["tk_responsable"]	= $row["tk_responsable"];
		$a_ticket["tk_obs"]			= $row["tk_obs"];
		$a_ticket["tk_status"]		= $row["tk_status"];
		$a_ticket["tk_usrreg"]		= $row["tk_usrreg"];
		$a_ticket["tk_usract"]		= $row["tk_usract"];
		$a_ticket["tk_fecreg"]		= $row["tk_fecreg"];
		$a_ticket["tk_fecact"]		= $row["tk_fecact"];
		$a_ticket["cl_nombre"]		= $row["cl_nombre"];
		return $a_ticket;
	}


	public function select($AcTicketObj,$limit=''){
		global $usuario, $PDO;
		if ($AcTicketObj->tk_id){
			$where .= "AND tk_id = :tk_id";
		}
		if ($AcTicketObj->tk_cl_id){
			$where .= "AND tk_cl_id LIKE :tk_cl_id";
		}
		if ($AcTicketObj->cl_nombre){
			$where .= "AND cl_nombre LIKE :cl_nombre";
		}
		if ($AcTicketObj->tk_tipo){
			$where .= "AND tk_tipo = :tk_tipo";
		}
		if ($AcTicketObj->tk_tipoSub){
			$where .= "AND tk_tipoSub = :tk_tipoSub";
		}
		if ($AcTicketObj->tk_modalidad){
			$where .= "AND tk_modalidad = :tk_modalidad";
		}
		if ($AcTicketObj->tk_tipoDocRef){
			$where .= "AND tk_tipoDocRef = :tk_tipoDocRef";
		}
		if ($AcTicketObj->tk_referencia){
			$where .= "AND tk_referencia = :tk_referencia";
		}
		if ($AcTicketObj->tk_refDocId1){
			$where .= "AND tk_refDocId1 = :tk_refDocId1";
		}
		if ($AcTicketObj->tk_refDocId2){
			$where .= "AND tk_refDocId2 = :tk_refDocId2";
		}
		if ($AcTicketObj->tk_refDocId3){
			$where .= "AND tk_refDocId3 = :tk_refDocId3";
		}
		if ($AcTicketObj->tk_fechaReqIni){
			$where .= "AND tk_fechaReqIni >= :tk_fechaReqIni";
		}
		if ($AcTicketObj->tk_fechaReqFin){
			$where .= "AND tk_fechaReqFin <= :tk_fechaReqFin";
		}
		if ($AcTicketObj->tk_status){
			$where .= "AND tk_status = :tk_status";
		}
		if ($AcTicketObj->orderBy){
			$orderBy = " ORDER BY :orderBy";
		}else{
			$orderBy = " ORDER BY tk_id";
		}
		$sql = "
			SELECT *
			FROM ac_ticket 
				LEFT JOIN vt_cliente ON tk_cl_id = cl_clienteId_dkt
				LEFT JOIN vt_clienteSuc ON tk_cl_suc_id = cls_id_dkt
			WHERE 1 $where
			GROUP BY tk_id
			$orderBy

		";
		$comando = $PDO->prepare($sql);
		if ($AcTicketObj->tk_id){
			$comando->bindParam(':tk_id', $AcTicketObj->tk_id);
		}
		if ($AcTicketObj->tk_cl_id){
			$comando->bindParam(':tk_cl_id', $AcTicketObj->tk_cl_id);
		}
		if ($AcTicketObj->cl_nombre){
			$comando->bindParam(':cl_nombre', $AcTicketObj->cl_nombre);
		}
		if ($AcTicketObj->tk_tipo){
			$comando->bindParam(':tk_tipo', $AcTicketObj->tk_tipo);
		}
		if ($AcTicketObj->tk_tipoSub){
			$comando->bindParam(':tk_tipoSub', $AcTicketObj->tk_tipoSub);
		}
		if ($AcTicketObj->tk_modalidad){
			$comando->bindParam(':tk_modalidad', $AcTicketObj->tk_modalidad);
		}
		if ($AcTicketObj->tk_referencia){
			$comando->bindParam(':tk_referencia', $AcTicketObj->tk_referencia);
		}
		if ($AcTicketObj->tk_refDocId1){
			$comando->bindParam(':tk_refDocId1', $AcTicketObj->tk_refDocId1);
		}
		if ($AcTicketObj->tk_refDocId2){
			$comando->bindParam(':tk_refDocId2', $AcTicketObj->tk_refDocId2);
		}
		if ($AcTicketObj->tk_refDocId3){
			$comando->bindParam(':tk_refDocId3', $AcTicketObj->tk_refDocId3);
		}
		if ($AcTicketObj->tk_tipoDocRef){
			$comando->bindParam(':tk_tipoDocRef', $AcTicketObj->tk_tipoDocRef);
		}
		if ($AcTicketObj->tk_fechaReqIni){
			$comando->bindParam(':tk_fechaReqIni', $AcTicketObj->tk_fechaReqIni);
		}
		if ($AcTicketObj->tk_fechaReqFin){
			$comando->bindParam(':tk_fechaReqFin', $AcTicketObj->tk_fechaReqFin);
		}
		if ($AcTicketObj->tk_status){
			$comando->bindParam(':tk_status', $AcTicketObj->tk_status);
		}
		if ($AcTicketObj->orderBy){
			$comando->bindParam(':orderBy', $AcTicketObj->orderBy);
		}			
		$comando->execute();

		while($row = $comando->fetch()){
			$a_ticket["tk_id"]			= $row["tk_id"];
			$a_ticket["tk_cl_id"]		= $row["tk_cl_id"];
			$a_ticket["tk_cl_suc_id"]	= $row["tk_cl_suc_id"];
			$a_ticket["tk_tipo"]		= $row["tk_tipo"];
			$a_ticket["tk_tipoSub"]		= $row["tk_tipoSub"];
			$a_ticket["tk_modalidad"]	= $row["tk_modalidad"];
			$a_ticket["tk_referencia"]	= $row["tk_referencia"];
			$a_ticket["tk_refDocId1"]	= $row["tk_refDocId1"];
			$a_ticket["tk_refDocId2"]	= $row["tk_refDocId2"];
			$a_ticket["tk_refDocId3"]	= $row["tk_refDocId3"];
			$a_ticket["tk_tipoDocRef"]	= $row["tk_tipoDocRef"];
			$a_ticket["tk_fechaReq"]	= $row["tk_fechaReq"];
			$a_ticket["tk_falla"]		= $row["tk_falla"];
			$a_ticket["tk_detalle"]		= $row["tk_detalle"];
			$a_ticket["tk_contacto"]	= $row["tk_contacto"];
			$a_ticket["tk_contactoMail"]= $row["tk_contactoMail"];
			$a_ticket["tk_contactoTelf"]= $row["tk_contactoTelf"];
			$a_ticket["tk_responsable"]	= $row["tk_responsable"];
			$a_ticket["tk_obs"]			= $row["tk_obs"];
			$a_ticket["tk_status"]		= $row["tk_status"];
			$a_ticket["tk_usrreg"]		= $row["tk_usrreg"];
			$a_ticket["tk_usract"]		= $row["tk_usract"];
			$a_ticket["tk_fecreg"]		= $row["tk_fecreg"];
			$a_ticket["tk_fecact"]		= $row["tk_fecact"];
			$a_ticket["cl_nombre"]		= $row["cl_nombre"];
			$a_ticket["cls_nombre"]		= $row["cls_nombre"];
			$a_ticketList[] = $a_ticket;
		}
		return $a_ticketList;

	}


	public function update($AcTicketObj){
		global $usuario, $PDO;
		if (isset($AcTicketObj->tk_cl_id)){
			$set .= ", tk_cl_id = :tk_cl_id";
		}
		if (isset($AcTicketObj->tk_cl_suc_id)){
			$set .= ", tk_cl_suc_id = :tk_cl_suc_id";
		}
		if (isset($AcTicketObj->tk_tipo)){
			$set .= ", tk_tipo = :tk_tipo";
		}
		if (isset($AcTicketObj->tk_tipoSub)){
			$set .= ", tk_tipoSub = :tk_tipoSub";
		}
		if (isset($AcTicketObj->tk_modalidad)){
			$set .= ", tk_modalidad = :tk_modalidad";
		}
		if (isset($AcTicketObj->tk_tipoDocRef)){
			$set .= ", tk_tipoDocRef = :tk_tipoDocRef";
		}
		if (isset($AcTicketObj->tk_referencia)){
			$set .= ", tk_referencia = :tk_referencia";
		}
		if (isset($AcTicketObj->tk_refDocId1)){
			$set .= ", tk_refDocId1 = :tk_refDocId1";
		}
		if (isset($AcTicketObj->tk_refDocId2)){
			$set .= ", tk_refDocId2 = :tk_refDocId2";
		}
		if (isset($AcTicketObj->tk_refDocId3)){
			$set .= ", tk_refDocId3 = :tk_refDocId3";
		}
		if (isset($AcTicketObj->tk_fechaReq)){
			$set .= ", tk_fechaReq = :tk_fechaReq";
		}
		if (isset($AcTicketObj->tk_falla)){
			$set .= ", tk_falla = :tk_falla";
		}
		if (isset($AcTicketObj->tk_detalle)){
			$set .= ", tk_detalle = :tk_detalle";
		}
		if (isset($AcTicketObj->tk_contacto)){
			$set .= ", tk_contacto = :tk_contacto";
		}
		if (isset($AcTicketObj->tk_contactoMail)){
			$set .= ", tk_contactoMail = :tk_contactoMail";
		}
		if (isset($AcTicketObj->tk_contactoTelf)){
			$set .= ", tk_contactoTelf = :tk_contactoTelf";
		}
		if (isset($AcTicketObj->tk_responsable)){
			$set .= ", tk_responsable = :tk_responsable";
		}
		if (isset($AcTicketObj->tk_obs)){
			$set .= ", tk_obs = :tk_obs";
		}
		if (isset($AcTicketObj->tk_status)){
			$set .= ", tk_status = :tk_status";
		}

		if ($set && $AcTicketObj->tk_id){
			$set = substr($set,1);
			$sql2 = "
				UPDATE ac_ticket
				SET 
					$set
					,tk_usract = :tk_usract
				WHERE tk_id = :tk_id
				LIMIT 1";
			$comando = $PDO->prepare($sql2);
			$comando->bindParam(':tk_id', $AcTicketObj->tk_id);
			if (isset($AcTicketObj->tk_cl_id)){
				$comando->bindParam(':tk_cl_id', $AcTicketObj->tk_cl_id);
			}
			if (isset($AcTicketObj->tk_cl_suc_id)){
				$comando->bindParam(':tk_cl_suc_id', $AcTicketObj->tk_cl_suc_id);
			}
			if (isset($AcTicketObj->tk_tipo)){
				$comando->bindParam(':tk_tipo', $AcTicketObj->tk_tipo);
			}
			if (isset($AcTicketObj->tk_tipoSub)){
				$comando->bindParam(':tk_tipoSub', $AcTicketObj->tk_tipoSub);
			}
			if (isset($AcTicketObj->tk_modalidad)){
				$comando->bindParam(':tk_modalidad', $AcTicketObj->modalidad);
			}
			if (isset($AcTicketObj->tk_tipoDocRef)){
				$comando->bindParam(':tk_tipoDocRef', $AcTicketObj->tk_tipoDocRef);
			}
			if (isset($AcTicketObj->tk_referencia)){
				$comando->bindParam(':tk_referencia', $AcTicketObj->tk_referencia);
			}
			if (isset($AcTicketObj->tk_refDocId1)){
				$comando->bindParam(':tk_refDocId1', $AcTicketObj->tk_refDocId1);
			}
			if (isset($AcTicketObj->tk_refDocId2)){
				$comando->bindParam(':tk_refDocId2', $AcTicketObj->tk_refDocId2);
			}
			if (isset($AcTicketObj->tk_refDocId3)){
				$comando->bindParam(':tk_refDocId3', $AcTicketObj->tk_refDocId3);
			}
			if (isset($AcTicketObj->tk_fechaReq)){
				$comando->bindParam(':tk_fechaReq', $AcTicketObj->tk_fechaReq);
			}
			if (isset($AcTicketObj->tk_falla)){
				$comando->bindParam(':tk_falla', $AcTicketObj->tk_falla);
			}
			if (isset($AcTicketObj->tk_detalle)){
				$comando->bindParam(':tk_detalle', $AcTicketObj->tk_detalle);
			}
			if (isset($AcTicketObj->tk_contacto)){
				$comando->bindParam(':tk_contacto', $AcTicketObj->tk_contacto);
			}
			if (isset($AcTicketObj->tk_contactoMail)){
				$comando->bindParam(':tk_contactoMail', $AcTicketObj->tk_contactoMail);
			}
			if (isset($AcTicketObj->tk_contactoTelf)){
				$comando->bindParam(':tk_contactoTelf', $AcTicketObj->tk_contactoTelf);
			}
			if (isset($AcTicketObj->tk_responsable)){
				$comando->bindParam(':tk_responsable', $AcTicketObj->tk_responsable);
			}
			if (isset($AcTicketObj->tk_obs)){
				$comando->bindParam(':tk_obs', $AcTicketObj->tk_obs);			
			}
			if (isset($AcTicketObj->tk_status)){
				$comando->bindParam(':tk_status', $AcTicketObj->tk_status);
			}
			$comando->bindParam(':tk_usract', $usuario);
			$comando->execute();
			return $AcTicketObj->tk_id;
		}
	}


	public function insert($AcTicketObj){
		global $PDO, $usuario;
		$sql = "
			INSERT INTO ac_ticket 
			(
			tk_cl_id, 
			tk_cl_suc_id,
			tk_tipo, 
			tk_tipoSub, 
			tk_modalidad, 
			tk_tipoDocRef,
			tk_referencia,
			tk_refDocId1,
			tk_refDocId2,
			tk_refDocId3,
			tk_fechaReq, 
			tk_falla, 
			tk_detalle, 
			tk_contacto, 
			tk_contactoMail,
			tk_contactoTelf, 
			tk_responsable, 
			tk_obs, 
			tk_status,
			tk_usrreg,
			tk_fecreg
			) 
			VALUES 
			(
			:tk_cl_id, 
			:tk_cl_suc_id,
			:tk_tipo, 
			:tk_tipoSub,
			:tk_modalidad,			
			:tk_tipoDocRef,
			:tk_referencia,
			:tk_refDocId1,
			:tk_refDocId2,
			:tk_refDocId3,
			:tk_fechaReq, 
			:tk_falla, 
			:tk_detalle, 
			:tk_contacto, 
			:tk_contactoMail,
			:tk_contactoTelf, 
			:tk_responsable, 
			:tk_obs, 
			:tk_status,
			:tk_usrreg,
			:tk_fecreg
			);			
		";
		$comando = $PDO->prepare($sql);
		$fecreg = date("Y-m-d H:i:s");
		$comando->bindParam(':tk_cl_id', $AcTicketObj->tk_cl_id);
		$comando->bindParam(':tk_cl_suc_id', $AcTicketObj->tk_cl_suc_id);
		$comando->bindParam(':tk_tipo', $AcTicketObj->tk_tipo);
		$comando->bindParam(':tk_tipoSub', $AcTicketObj->tk_tipoSub);
		$comando->bindParam(':tk_modalidad', $AcTicketObj->tk_modalidad);
		$comando->bindParam(':tk_tipoDocRef', $AcTicketObj->tk_tipoDocRef);
		$comando->bindParam(':tk_referencia', $AcTicketObj->tk_referencia);
		$comando->bindParam(':tk_refDocId1', $AcTicketObj->tk_refDocId1);
		$comando->bindParam(':tk_refDocId2', $AcTicketObj->tk_refDocId2);
		$comando->bindParam(':tk_refDocId3', $AcTicketObj->tk_refDocId3);
		$comando->bindParam(':tk_fechaReq', $AcTicketObj->tk_fechaReq);
		$comando->bindParam(':tk_falla', $AcTicketObj->tk_falla);
		$comando->bindParam(':tk_detalle', $AcTicketObj->tk_detalle);
		$comando->bindParam(':tk_contacto', $AcTicketObj->tk_contacto);
		$comando->bindParam(':tk_contactoMail', $AcTicketObj->tk_contactoMail);
		$comando->bindParam(':tk_contactoTelf', $AcTicketObj->tk_contactoTelf);
		$comando->bindParam(':tk_responsable', $AcTicketObj->tk_responsable);
		$comando->bindParam(':tk_obs', $AcTicketObj->tk_obs);
		$comando->bindParam(':tk_status', $AcTicketObj->tk_status);
		$comando->bindParam(':tk_usrreg', $usuario);
		$comando->bindParam(':tk_fecreg', $fecreg);
		$comando->execute();	 
//print_r($comando->errorInfo());
		$query	 = "
			SELECT DISTINCT max(tk_id) as id 
			FROM `ac_ticket` 
			WHERE tk_usrreg = :tk_usrreg 
				AND tk_fecreg = :tk_fecreg ";
		$comando = $PDO->prepare($query);
		$comando->bindParam(':tk_usrreg', $usuario);
		$comando->bindParam(':tk_fecreg', $fecreg);
		$comando->execute();	 
		$resultado = $comando->fetchAll(PDO::FETCH_ASSOC);
		$row = $resultado[0];
		return $row["id"];
	}

}




class AcTicketDocRelacModel{
	public function select($AcTicketDocRelacObj,$limit=''){
		global $usuario, $PDO;
		if ($AcTicketDocRelacObj->tkr_tk_id){
			$where .= "AND tkr_tk_id = :tkr_tk_id";
		}
		if ($AcTicketObj->tkr_docRefId){
			$where .= "AND tkr_docRefId LIKE :tkr_docRefId";
		}
		if ($AcTicketObj->tkr_docRefTipo){
			$where .= "AND tkr_docRefTipo LIKE :tkr_docRefTipo";
		}
		$sql = "
			SELECT *
			FROM ac_ticketDocRelac 
			WHERE 1 $where
		";
		$comando = $PDO->prepare($sql);
		if ($AcTicketDocRelacObj->tkr_tk_id){
			$comando->bindParam(':tkr_tk_id', $AcTicketDocRelacObj->tkr_tk_id);
		}
		if ($AcTicketDocRelacObj->tkr_docRefId){
			$comando->bindParam(':tkr_docRefId', $AcTicketDocRelacObj->tkr_docRefId);
		}
		if ($AcTicketDocRelacObj->tkr_docRefTipo){
			$comando->bindParam(':tkr_docRefTipo', $AcTicketDocRelacObj->tkr_docRefTipo);
		}
		$comando->execute();

		while($row = $comando->fetch()){
			$a_ticket["tkr_tk_id"]		= $row["tkr_tk_id"];
			$a_ticket["tkr_id"]			= $row["tkr_id"];
			$a_ticket["tkr_docRefId"]	= $row["tkr_docRefId"];
			$a_ticket["tkr_docRefTipo"]	= $row["tkr_docRefTipo"];
			$a_ticket["tkr_usrreg"]		= $row["tkr_usrreg"];
			$a_ticket["tkr_fecreg"]		= $row["tkr_fecreg"];
			$a_ticketList[] = $a_ticket;
		}
		return $a_ticketList;
	}
}

?> 