<?php

include ("class/imAlmacenModel.class.php");



class ImAlmacen{

	var $alm_id;
	var $alm_nombre;
	var $alm_idRef;
	var $alm_so;
	var $alm_po;
	var $alm_direcc1;
	var $alm_direcc2;
	var $alm_ciudad;
	var $alm_estado;
	var $alm_noFisico;
	var $alm_agingMax;
	var $alm_contab;
	var $alm_status;
	var $alm_usract;
	var $alm_fecact;

	public function consultarId($id){
		$ImAlmacenModel= NEW ImAlmacenModel();
		$a_result = $ImAlmacenModel->selectUniqueId($id);
		return $a_result;
	}

	public function consultar($ImAlmacenFilter){
		$ImAlmacenFilter->alm_status = '';
		$ImAlmacenModel = NEW ImAlmacenModel();
		return $ImAlmacenModel->select($ImAlmacenFilter);
	}

	public function consultarAll($ImAlmacenFilter){
		$ImAlmacenModel = NEW ImAlmacenModel();
		return $ImAlmacenModel->select($ImAlmacenFilter);
	}

	public function consultarPag($ImAlmacenFilter,$limit){
		$ImAlmacenModel = NEW ImAlmacenModel();
		return $ImAlmacenModel->select($ImAlmacenFilter,$limit);
	}


	public function crear($ImAlmacenObj){		
		$ImAlmacenModelIns = NEW ImAlmacenModel();
		return $ImAlmacenModelIns->insert($ImAlmacenObj);
	}


	public function modificar($ImAlmacenObj){
		if (!$ImAlmacenObj->alm_id){
			return FALSE;
		}
		$ImAlmacenModelUpd		= NEW ImAlmacenModel();
		$ImAlmacenModelSetObj	= NEW ImAlmacenModel();
		$ImAlmacenModelSetObj	= $ImAlmacenObj;
		return $ImAlmacenModelUpd->update($ImAlmacenModelSetObj);		
	}


	public function anular($id){
		if (!$id){
			return FALSE;
		}
		$ImAlmacenModelUpd					= NEW ImAlmacenModel();
		$ImAlmacenModelSetObj				= NEW ImAlmacenModel();	
		$ImAlmacenModelSetObj->pr_id		= $id;
		$ImAlmacenModelSetObj->pr_status	= 'A';
		return $ImAlmacenModelUpd->update($ImAlmacenModelSetObj);
	}

	public function validarMov($almacen,$movTipo){
		$ImAlmacenModel = NEW ImAlmacenModel();
		return $ImAlmacenModel->selectMov($almacen,$movTipo);		
	}

}

?>