<?php


class ImArticuloModel{

	public function selectUniqueId($id){
		global $PDO;
		if (!$id){
			return FALSE;
		}
		$sql = "
			SELECT *
			FROM im_producto
				LEFT JOIN im_familia ON pr_familiaId = fm_familiaId
				LEFT JOIN im_subFamilia ON pr_subfamiliaId = sfm_subFamiliaId
				LEFT JOIN im_marca ON pr_marcaId = mr_marcaId
			WHERE pr_id = :id
		";
		$comando = $PDO->prepare($sql);
		$comando->bindParam(':id', $id);
		$comando->execute();
		$resultado = $comando->fetchAll(PDO::FETCH_ASSOC);
		$row = $resultado[0];
		$a_producto["pr_id"]				= $row["pr_id"];
		$a_producto["pr_productoId"]		= $row["pr_productoId"];
		$a_producto["pr_descripcion"]		= $row["pr_descripcion"];  //req.
		$a_producto["pr_descripcion2"]		= $row["pr_descripcion2"];  //req.
		$a_producto["pr_descripcionExt"]	= $row["pr_descripcionExt"]; 
		$a_producto["pr_alias"]				= $row["pr_alias"];  //req.
		$a_producto["pr_prodServ"]			= $row["pr_prodServ"];  //req.
		$a_producto["pr_ean"]				= $row["pr_ean"];
		$a_producto["pr_tipo"]				= $row["pr_tipo"];  //req.
		$a_producto["pr_clasificacionABC"]	= $row["pr_clasificacionABC"];  //req.
		$a_producto["pr_partNum"]			= $row["pr_partNum"];  //req.
		$a_producto["pr_modelo"]			= $row["pr_modelo"];
		$a_producto["pr_catalogo"]			= $row["pr_catalogo"];
		$a_producto["pr_familiaId"]			= $row["pr_familiaId"];  //req.
		$a_producto["pr_subfamiliaId"]		= $row["pr_subfamiliaId"];  //req.
		$a_producto["pr_marcaId"]			= $row["pr_marcaId"];
		$a_producto["pr_paraCompra"]		= $row["pr_paraCompra"];
		$a_producto["pr_paraVenta"]			= $row["pr_paraVenta"];
		$a_producto["pr_afectoImpVta"]		= $row["pr_afectoImpVta"];
		$a_producto["pr_afectoADV"]			= $row["pr_afectoADV"];
		$a_producto["pr_ctrlSerie"]			= $row["pr_ctrlSerie"];
		$a_producto["pr_uom"]				= $row["pr_uom"];
		$a_producto["pr_uomVtaCantidad"]	= $row["pr_uomVtaCantidad"];
		$a_producto["pr_origen"]			= $row["pr_origen"];  //req.
		$a_producto["pr_costoProm"]			= $row["pr_costoProm"];
		$a_producto["pr_costoUlt"]			= $row["pr_costoUlt"];
		$a_producto["pr_stockMin"]			= $row["pr_stockMin"];
		$a_producto["pr_agingMax"]			= $row["pr_agingMax"];
		$a_producto["pr_dimensiones"]		= $row["pr_dimensiones"];
		$a_producto["pr_peso"]				= $row["pr_peso"];
		$a_producto["pr_precioMoneda"]		= $row["pr_precioMoneda"];
		$a_producto["pr_glAccount"]			= $row["pr_glAccount"];
		$a_producto["pr_garantia"]			= $row["pr_garantia"];
		$a_producto["pr_vidaUtil_uom"]		= $row["pr_vidaUtil_uom"];
		$a_producto["pr_vidaUtil"]			= $row["pr_vidaUtil"];
		$a_producto["pr_diasExpira"]		= $row["pr_diasExpira"];
		$a_producto["pr_leadTime"]			= $row["pr_leadTime"];
		$a_producto["pr_codSunat"]			= $row["pr_codSunat"];
		$a_producto["pr_extra1"]			= $row["pr_extra1"];
		$a_producto["pr_extra2"]			= $row["pr_extra2"];
		$a_producto["pr_extra3"]			= $row["pr_extra3"];
		$a_producto["pr_status"]			= $row["pr_status"];
		$a_producto["pr_fecreg"]			= $row["pr_fecreg"];
		$a_producto["pr_usrreg"]			= $row["pr_usrreg"];
		$a_producto["pr_fecact"]			= $row["pr_fecact"];
		$a_producto["pr_usract"]			= $row["pr_usract"];
		$a_producto["mr_nombre"]			= $row["mr_nombre"];
		$a_producto["fm_nombre"]			= $row["fm_nombre"];
		$a_producto["sfm_nombre"]			= $row["sfm_nombre"];
		return $a_producto;
	}


	public function selectCodigo($id){
		global $PDO;
		if (!$id){
			return FALSE;
		}
		$sql = "
			SELECT *
			FROM im_producto
				LEFT JOIN im_familia ON pr_familiaId = fm_familiaId
				LEFT JOIN im_subFamilia ON pr_subfamiliaId = sfm_subFamiliaId
				LEFT JOIN im_marca ON pr_marcaId = mr_marcaId
			WHERE pr_productoId = :id
		";
		$comando = $PDO->prepare($sql);
		$comando->bindParam(':id', $id);
		$comando->execute();
		$resultado = $comando->fetchAll(PDO::FETCH_ASSOC);
		$row = $resultado[0];
		if($row["pr_id"]){
			$a_producto["pr_id"]				= $row["pr_id"];
			$a_producto["pr_productoId"]		= $row["pr_productoId"];
			$a_producto["pr_descripcion"]		= $row["pr_descripcion"];  //req.
			$a_producto["pr_descripcion2"]		= $row["pr_descripcion2"];  //req.
			$a_producto["pr_descripcionExt"]	= $row["pr_descripcionExt"]; 
			$a_producto["pr_alias"]				= $row["pr_alias"];  //req.
			$a_producto["pr_prodServ"]			= $row["pr_prodServ"];  //req.
			$a_producto["pr_ean"]				= $row["pr_ean"];
			$a_producto["pr_tipo"]				= $row["pr_tipo"];  //req.
			$a_producto["pr_clasificacionABC"]	= $row["pr_clasificacionABC"];  //req.
			$a_producto["pr_partNum"]			= $row["pr_partNum"];  //req.
			$a_producto["pr_modelo"]			= $row["pr_modelo"];
			$a_producto["pr_familiaId"]			= $row["pr_familiaId"];  //req.
			$a_producto["pr_subfamiliaId"]		= $row["pr_subfamiliaId"];  //req.
			$a_producto["pr_marcaId"]			= $row["pr_marcaId"];
			$a_producto["pr_paraCompra"]		= $row["pr_paraCompra"];
			$a_producto["pr_paraVenta"]			= $row["pr_paraVenta"];
			$a_producto["pr_afectoImpVta"]		= $row["pr_afectoImpVta"];
			$a_producto["pr_afectoADV"]			= $row["pr_afectoADV"];
			$a_producto["pr_ctrlSerie"]			= $row["pr_ctrlSerie"];
			$a_producto["pr_uom"]				= $row["pr_uom"];
			$a_producto["pr_uomVtaCantidad"]	= $row["pr_uomVtaCantidad"];
			$a_producto["pr_origen"]			= $row["pr_origen"];  //req.
			$a_producto["pr_costoProm"]			= $row["pr_costoProm"];
			$a_producto["pr_costoUlt"]			= $row["pr_costoUlt"];
			$a_producto["pr_stockMin"]			= $row["pr_stockMin"];
			$a_producto["pr_agingMax"]			= $row["pr_agingMax"];
			$a_producto["pr_dimensiones"]		= $row["pr_dimensiones"];
			$a_producto["pr_peso"]				= $row["pr_peso"];
			$a_producto["pr_precioMoneda"]		= $row["pr_precioMoneda"];
			$a_producto["pr_glAccount"]			= $row["pr_glAccount"];
			$a_producto["pr_garantia"]			= $row["pr_garantia"];
			$a_producto["pr_vidaUtil_uom"]		= $row["pr_vidaUtil_uom"];
			$a_producto["pr_vidaUtil"]			= $row["pr_vidaUtil"];
			$a_producto["pr_diasExpira"]		= $row["pr_diasExpira"];
			$a_producto["pr_leadTime"]			= $row["pr_leadTime"];
			$a_producto["pr_codSunat"]			= $row["pr_codSunat"];
			$a_producto["pr_extra1"]			= $row["pr_extra1"];
			$a_producto["pr_extra2"]			= $row["pr_extra2"];
			$a_producto["pr_extra3"]			= $row["pr_extra3"];
			$a_producto["pr_status"]			= $row["pr_status"];
			$a_producto["pr_fecreg"]			= $row["pr_fecreg"];
			$a_producto["pr_usrreg"]			= $row["pr_usrreg"];
			$a_producto["pr_fecact"]			= $row["pr_fecact"];
			$a_producto["pr_usract"]			= $row["pr_usract"];
			$a_producto["mr_nombre"]			= $row["mr_nombre"];
			$a_producto["fm_nombre"]			= $row["fm_nombre"];
			$a_producto["sfm_nombre"]			= $row["sfm_nombre"];
		}
		return $a_producto;
	}


	public function select($ArticuloObj,$limit=''){
		global $usuario, $PDO;
		if ($ArticuloObj->pr_id){
			$where .= " AND pr_id = :pr_id";
		}
		if ($ArticuloObj->pr_productoId){
			$where .= " AND pr_productoId = :pr_productoId";
		}
		if ($ArticuloObj->pr_descripcion){
			$where .= " AND pr_descripcion LIKE :pr_descripcion";
		}
		if ($ArticuloObj->pr_alias){
			$where .= " AND pr_alias = :pr_alias";
		}
		if ($ArticuloObj->pr_ean){
			$where .= " AND pr_ean = :pr_ean";
		}
		if ($ArticuloObj->pr_tipo){
			$where .= " AND pr_tipo = :pr_tipo";
		}
		if ($ArticuloObj->pr_clasificacionABC){
			$where .= " AND pr_clasificacionABC = :pr_clasificacionABC";
		}
		if ($ArticuloObj->pr_prodServ){
			$where .= " AND pr_prodServ = :pr_prodServ";
		}
		if ($ArticuloObj->pr_partNum){
			$where .= " AND pr_partNum = :pr_partNum";
		}
		if ($ArticuloObj->pr_modelo){
			$where .= " AND pr_modelo = :pr_modelo";
		}
		if ($ArticuloObj->pr_catalogo){
			$where .= " AND pr_catalogo = :pr_catalogo";
		}
		if ($ArticuloObj->pr_familiaId){
			$where .= " AND pr_familiaId = :pr_familiaId";
		}
		if ($ArticuloObj->pr_subfamiliaId){
			$where .= " AND pr_subfamiliaId = :pr_subfamiliaId";
		}
		if ($ArticuloObj->pr_marcaId){
			$where .= " AND pr_marcaId = :pr_marcaId";
		}
		if ($ArticuloObj->pr_paraCompra){
			$where .= " AND pr_paraCompra = :pr_paraCompra";
		}
		if ($ArticuloObj->pr_paraVenta){
			$where .= " AND pr_paraVenta = :pr_paraVenta";
		}
		if ($ArticuloObj->pr_afectoImpVta){
			$where .= " AND pr_afectoImpVta = :pr_afectoImpVta";
		}
		if ($ArticuloObj->pr_ctrlSerie){
			$where .= " AND pr_ctrlSerie = :pr_ctrlSerie";
		}
		if ($ArticuloObj->pr_agingMax){
			$where .= " AND pr_agingMax = :pr_agingMax";
		}
		if ($ArticuloObj->pr_glAccount){
			$where .= " AND pr_glAccount = :pr_glAccount";
		}
		if ($ArticuloObj->pr_status){
			$where .= " AND pr_status = :pr_status";
		}
		if ($ArticuloObj->pr_descripcion_prId){
			$where .= " AND (pr_productoId LIKE :pr_descripcion_prId OR pr_descripcion LIKE :pr_descripcion_prId)";
		}

		
		if ($limit){
			$field = " SQL_CALC_FOUND_ROWS * ";
		}else{
			$field = " * ";	
		}

		if ($ArticuloObj->orderBy){
			$orderBy = " ORDER BY :orderBy";
		}
		if (!$wherexxxx){
			$sql = "
				SELECT *
				FROM im_producto
					LEFT JOIN im_familia ON pr_familiaId = fm_familiaId
					LEFT JOIN im_subFamilia ON pr_subfamiliaId = sfm_subFamiliaId
					LEFT JOIN im_marca ON pr_marcaId = mr_marcaId
					LEFT JOIN vts_listaprecio ON pr_id = lpr_pr_id AND lpr_tipoPrecio = 'precioNormal'
				WHERE 1 $where
			";
			$comando = $PDO->prepare($sql);
			if ($ArticuloObj->pr_id){
				$comando->bindParam(':pr_id', $ArticuloObj->pr_id);
			}
			if ($ArticuloObj->pr_productoId){
				$comando->bindParam(':pr_productoId', $ArticuloObj->pr_productoId);
			}
			if ($ArticuloObj->pr_descripcion){
				$comando->bindParam(':pr_descripcion', $ArticuloObj->pr_descripcion);
			}
			if ($ArticuloObj->pr_descripcion_prId){
				$comando->bindParam(':pr_descripcion_prId', $ArticuloObj->pr_descripcion_prId);
			}

			if ($ArticuloObj->pr_alias){
				$comando->bindParam(':pr_alias', $ArticuloObj->pr_alias);
			}
			if ($ArticuloObj->pr_ean){
				$comando->bindParam(':pr_ean', $ArticuloObj->pr_ean);
			}
			if ($ArticuloObj->pr_tipo){
				$comando->bindParam(':pr_tipo', $ArticuloObj->pr_tipo);
			}
			if ($ArticuloObj->pr_clasificacionABC){
				$comando->bindParam(':pr_clasificacionABC', $ArticuloObj->pr_clasificacionABC);
			}
			if ($ArticuloObj->pr_prodServ){
				$comando->bindParam(':pr_prodServ', $ArticuloObj->pr_prodServ);
			}
			if ($ArticuloObj->pr_partNum){
				$comando->bindParam(':pr_partNum', $ArticuloObj->pr_partNum);
			}
			if ($ArticuloObj->pr_modelo){
				$comando->bindParam(':pr_modelo', $ArticuloObj->pr_modelo);
			}
			if ($ArticuloObj->pr_catalogo){
				$comando->bindParam(':pr_catalogo', $ArticuloObj->pr_catalogo);
			}
			
			if ($ArticuloObj->pr_familiaId){
				$comando->bindParam(':pr_familiaId', $ArticuloObj->pr_familiaId);
			}
			if ($ArticuloObj->pr_subfamiliaId){
				$comando->bindParam(':pr_subfamiliaId', $ArticuloObj->pr_subfamiliaId);
			}
			if ($ArticuloObj->pr_marcaId){
				$comando->bindParam(':pr_marcaId', $ArticuloObj->pr_marcaId);
			}
			if ($ArticuloObj->pr_paraCompra){
				$comando->bindParam(':pr_paraCompra', $ArticuloObj->pr_paraCompra);
			}
			if ($ArticuloObj->pr_paraVenta){
				$comando->bindParam(':pr_paraVenta', $ArticuloObj->pr_paraVenta);
			}
			if ($ArticuloObj->pr_afectoImpVta){
				$comando->bindParam(':pr_afectoImpVta', $ArticuloObj->pr_afectoImpVta);
			}
			if ($ArticuloObj->pr_ctrlSerie){
				$comando->bindParam(':pr_ctrlSerie', $ArticuloObj->pr_ctrlSerie);
			}
			if ($ArticuloObj->pr_agingMax){
				$comando->bindParam(':pr_agingMax', $ArticuloObj->pr_agingMax);
			}
			if ($ArticuloObj->pr_glAccount){
				$comando->bindParam(':pr_glAccount', $ArticuloObj->pr_glAccount);
			}
			if ($ArticuloObj->pr_status){
				$comando->bindParam(':pr_status', $ArticuloObj->pr_status);
			}
			if ($ArticuloObj->orderBy){
				$comando->bindParam(':orderBy', $ArticuloObj->orderBy);
			}			
			$comando->execute();
//			exit($sql);
			while($row = $comando->fetch()){
				$a_producto["pr_id"]				= $row["pr_id"];
				$a_producto["pr_productoId"]		= $row["pr_productoId"];
				$a_producto["pr_descripcion"]		= $row["pr_descripcion"];
				$a_producto["pr_descripcion2"]		= $row["pr_descripcion2"];
				$a_producto["pr_descripcionExt"]	= $row["pr_descripcionExt"];
				$a_producto["pr_alias"]				= $row["pr_alias"];
				$a_producto["pr_ean"]				= $row["pr_ean"];
				$a_producto["pr_tipo"]				= $row["pr_tipo"];
				$a_producto["pr_clasificacionABC"]	= $row["pr_clasificacionABC"];
				$a_producto["pr_prodServ"]			= $row["pr_prodServ"];
				$a_producto["pr_partNum"]			= $row["pr_partNum"];
				$a_producto["pr_modelo"]			= $row["pr_modelo"];
				$a_producto["pr_catalogo"]			= $row["pr_catalogo"];
				$a_producto["pr_familiaId"]			= $row["pr_familiaId"];
				$a_producto["pr_subfamiliaId"]		= $row["pr_subfamiliaId"];
				$a_producto["pr_marcaId"]			= $row["pr_marcaId"];
				$a_producto["pr_paraCompra"]		= $row["pr_paraCompra"];
				$a_producto["pr_paraVenta"]			= $row["pr_paraVenta"];
				$a_producto["pr_afectoImpVta"]		= $row["pr_afectoImpVta"];
				$a_producto["pr_afectoADV"]			= $row["pr_afectoADV"];
				$a_producto["pr_ctrlSerie"]			= $row["pr_ctrlSerie"];
				$a_producto["pr_uom"]				= $row["pr_uom"];
				$a_producto["pr_uomVtaCantidad"]	= $row["pr_uomVtaCantidad"];
				$a_producto["pr_origen"]			= $row["pr_origen"];
				$a_producto["pr_costoProm"]			= $row["pr_costoProm"];
				$a_producto["pr_costoUlt"]			= $row["pr_costoUlt"];
				$a_producto["pr_stockMin"]			= $row["pr_stockMin"];
				$a_producto["pr_agingMax"]			= $row["pr_agingMax"];
				$a_producto["pr_dimensiones"]		= $row["pr_dimensiones"];
				$a_producto["pr_peso"]				= $row["pr_peso"];
				$a_producto["pr_precioMoneda"]		= $row["pr_precioMoneda"];
				$a_producto["pr_glAccount"]			= $row["pr_glAccount"];
				$a_producto["pr_garantia"]			= $row["pr_garantia"];
				$a_producto["pr_vidaUtil_uom"]		= $row["pr_vidaUtil_uom"];
				$a_producto["pr_vidaUtil"]			= $row["pr_vidaUtil"];
				$a_producto["pr_diasExpira"]		= $row["pr_diasExpira"];
				$a_producto["pr_leadTime"]			= $row["pr_leadTime"];
				$a_producto["pr_codSunat"]			= $row["pr_codSunat"];
				if ($row["lpr_valorTipo"] > 0){
					$a_producto["pr_precioNormal"]	= $row["lpr_valorTipo"];
				}else{
					$a_producto["pr_precioNormal"]	= 0;	
				}
				$a_producto["pr_extra1"]			= $row["pr_extra1"];
				$a_producto["pr_extra2"]			= $row["pr_extra2"];
				$a_producto["pr_extra3"]			= $row["pr_extra3"];
				$a_producto["pr_status"]			= $row["pr_status"];
				$a_producto["pr_fecreg"]			= $row["pr_fecreg"];
				$a_producto["pr_usrreg"]			= $row["pr_usrreg"];
				$a_producto["pr_fecact"]			= $row["pr_fecact"];
				$a_producto["pr_usract"]			= $row["pr_usract"];
				$a_producto["mr_nombre"]			= $row["mr_nombre"];
				$a_producto["fm_nombre"]			= $row["fm_nombre"];
				$a_producto["sfm_nombre"]			= $row["sfm_nombre"];
				$a_productoList["listaPag"][] = $a_producto;
			}
			$sqlTotal = "
				SELECT FOUND_ROWS() as total
			";
			$sentencia = $PDO->query($sqlTotal);
			$sentencia->setFetchMode(PDO::FETCH_ASSOC);
			$rowTotal = $sentencia->fetch();
			$a_productoList["total"] = $rowTotal["total"];
			return $a_productoList;
		}
	}


	public function update($ArticuloObj){
		global $usuario, $PDO;
		if ($ArticuloObj->pr_productoId){
			$set .= ", pr_productoId = :pr_productoId";
		}
		if ($ArticuloObj->pr_descripcion){
			$set .= ", pr_descripcion = :pr_descripcion";
		}
		if ($ArticuloObj->pr_descripcion2){
			$set .= ", pr_descripcion2 = :pr_descripcion2";
		}
		if ($ArticuloObj->pr_descripcionExt){
			$set .= ", pr_descripcionExt = :pr_descripcionExt";
		}
		if ($ArticuloObj->pr_alias){
			$set .= ", pr_alias = :pr_alias";
		}
		if ($ArticuloObj->pr_ean){
			$set .= ", pr_ean = :pr_ean";
		}
		if ($ArticuloObj->pr_tipo){
			$set .= ", pr_tipo = :pr_tipo";
		}
		if ($ArticuloObj->pr_clasificacionABC){
			$set .= ", pr_clasificacionABC = :pr_clasificacionABC";
		}
		if ($ArticuloObj->pr_prodServ){
			$set .= ", pr_prodServ = :pr_prodServ";
		}
		if ($ArticuloObj->pr_partNum){
			$set .= ", pr_partNum = :pr_partNum";
		}
		if ($ArticuloObj->pr_modelo){
			$set .= ", pr_modelo = :pr_modelo";
		}
		if ($ArticuloObj->pr_familiaId){
			$set .= ", pr_familiaId = :pr_familiaId";
		}
		if ($ArticuloObj->pr_subfamiliaId){
			$set .= ", pr_subfamiliaId = :pr_subfamiliaId";
		}
		if ($ArticuloObj->pr_marcaId){
			$set .= ", pr_marcaId = :pr_marcaId";
		}
		if ($ArticuloObj->pr_paraCompra){
			$set .= ", pr_paraCompra = :pr_paraCompra";
		}
		if ($ArticuloObj->pr_paraVenta){
			$set .= ", pr_paraVenta = :pr_paraVenta";
		}
		if ($ArticuloObj->pr_afectoImpVta){
			$set .= ", pr_afectoImpVta = :pr_afectoImpVta";
		}
		if ($ArticuloObj->pr_afectoADV){
			$set .= ", pr_afectoADV = :pr_afectoADV";
		}
		if ($ArticuloObj->pr_ctrlSerie){
			$set .= ", pr_ctrlSerie = :pr_ctrlSerie";
		}
		if ($ArticuloObj->pr_uom){
			$set .= ", pr_uom = :pr_uom";
		}
		if ($ArticuloObj->pr_uomVtaCantidad){
			$set .= ", pr_uomVtaCantidad = :pr_uomVtaCantidad";
		}
		if ($ArticuloObj->pr_origen){
			$set .= ", pr_origen = :pr_origen";
		}
		if ($ArticuloObj->pr_costoProm){
			$set .= ", pr_costoProm = :pr_costoProm";
		}
		if ($ArticuloObj->pr_costoUlt){
			$set .= ", pr_costoUlt = :pr_costoUlt";
		}
		if ($ArticuloObj->pr_stockMin){
			$set .= ", pr_stockMin = :pr_stockMin";
		}
		if ($ArticuloObj->pr_agingMax){
			$set .= ", pr_agingMax = :pr_agingMax";
		}
		if ($ArticuloObj->pr_dimensiones){
			$set .= ", pr_dimensiones = :pr_dimensiones";
		}
		if ($ArticuloObj->pr_peso){
			$set .= ", pr_peso = :pr_peso";
		}
		if ($ArticuloObj->pr_precioMoneda){
			$set .= ", pr_precioMoneda = :pr_precioMoneda";
		}
		if ($ArticuloObj->pr_glAccount){
			$set .= ", pr_glAccount = :pr_glAccount";
		}
		if ($ArticuloObj->pr_garantia){
			$set .= ", pr_garantia = :pr_garantia";
		}
		if ($ArticuloObj->pr_vidaUtil_uom){
			$set .= ", pr_vidaUtil_uom = :pr_vidaUtil_uom";
		}
		if ($ArticuloObj->pr_vidaUtil){
			$set .= ", pr_vidaUtil = :pr_vidaUtil";
		}
		if ($ArticuloObj->pr_diasExpira){
			$set .= ", pr_diasExpira = :pr_diasExpira";
		}
		if ($ArticuloObj->pr_leadTime){
			$set .= ", pr_leadTime = :pr_leadTime";
		}
		if ($ArticuloObj->pr_codSunat){
			$set .= ", pr_codSunat = :pr_codSunat";
		}
		if (isset($ArticuloObj->pr_extra1)){
			$set .= ", pr_extra1 = :pr_extra1";
		}
		if ($ArticuloObj->pr_extra2){
			$set .= ", pr_extra2 = :pr_extra2";
		}
		if ($ArticuloObj->pr_extra3){
			$set .= ", pr_extra3 = :pr_extra3";
		}
		if ($ArticuloObj->pr_status){
			$set .= ", pr_status = :pr_status";
		}

		if ($set && $ArticuloObj->pr_id){
			$set = substr($set,1);
			$sql2 = "
				UPDATE im_producto
				SET 
					$set
					,pr_usract = :pr_usract
				WHERE pr_id = :pr_id
				LIMIT 1";
			echo $sql;
			print_r($ArticuloObj);
		//	exit;
			$comando = $PDO->prepare($sql2);
			$comando->bindParam(':pr_id', $ArticuloObj->pr_id);
			if ($ArticuloObj->pr_productoId){
				$comando->bindParam(':pr_productoId', $ArticuloObj->pr_productoId);
			}
			if ($ArticuloObj->pr_descripcion){
				$comando->bindParam(':pr_descripcion', $ArticuloObj->pr_descripcion);
			}
			if ($ArticuloObj->pr_descripcion2){
				$comando->bindParam(':pr_descripcion2', $ArticuloObj->pr_descripcion2);
			}
			if ($ArticuloObj->pr_descripcionExt){
				$comando->bindParam(':pr_descripcionExt', $ArticuloObj->pr_descripcionExt);
			}
			if ($ArticuloObj->pr_alias){
				$comando->bindParam(':pr_alias', $ArticuloObj->pr_alias);
			}
			if ($ArticuloObj->pr_ean){
				$comando->bindParam(':pr_ean', $ArticuloObj->pr_ean);
			}
			if ($ArticuloObj->pr_tipo){
				$comando->bindParam(':pr_tipo', $ArticuloObj->pr_tipo);
			}
			if ($ArticuloObj->pr_clasificacionABC){
				$comando->bindParam(':pr_clasificacionABC', $ArticuloObj->pr_clasificacionABC);
			}
			if ($ArticuloObj->pr_prodServ){
				$comando->bindParam(':pr_prodServ', $ArticuloObj->pr_prodServ);
			}
			if ($ArticuloObj->pr_partNum){
				$comando->bindParam(':pr_partNum', $ArticuloObj->pr_partNum);
			}
			if ($ArticuloObj->pr_modelo){
				$comando->bindParam(':pr_modelo', $ArticuloObj->pr_modelo);
			}
			if ($ArticuloObj->pr_familiaId){
				$comando->bindParam(':pr_familiaId', $ArticuloObj->pr_familiaId);
			}
			if ($ArticuloObj->pr_subfamiliaId){
				$comando->bindParam(':pr_subfamiliaId', $ArticuloObj->pr_subfamiliaId);
			}
			if ($ArticuloObj->pr_marcaId){
				$comando->bindParam(':pr_marcaId', $ArticuloObj->pr_marcaId);
			}
			if ($ArticuloObj->pr_paraCompra){
				$comando->bindParam(':pr_paraCompra', $ArticuloObj->pr_paraCompra);
			}
			if ($ArticuloObj->pr_paraVenta){
				$comando->bindParam(':pr_paraVenta', $ArticuloObj->pr_paraVenta);
			}
			if ($ArticuloObj->pr_afectoImpVta){
				$comando->bindParam(':pr_afectoImpVta', $ArticuloObj->pr_afectoImpVta);
			}
			if ($ArticuloObj->pr_afectoADV){
				$comando->bindParam(':pr_afectoADV', $ArticuloObj->pr_afectoADV);
			}
			if ($ArticuloObj->pr_ctrlSerie){
				$comando->bindParam(':pr_ctrlSerie', $ArticuloObj->pr_ctrlSerie);
			}
			if ($ArticuloObj->pr_uom){
				$comando->bindParam(':pr_uom', $ArticuloObj->pr_uom);
			}
			if ($ArticuloObj->pr_uomVtaCantidad){
				$comando->bindParam(':pr_uomVtaCantidad', $ArticuloObj->pr_uomVtaCantidad);
			}
			if ($ArticuloObj->pr_origen){
				$comando->bindParam(':pr_origen', $ArticuloObj->pr_origen);
			}
			if ($ArticuloObj->pr_costoProm){
				$comando->bindParam(':pr_costoProm', $ArticuloObj->pr_costoProm);
			}
			if ($ArticuloObj->pr_costoUlt){
				$comando->bindParam(':pr_costoUlt', $ArticuloObj->pr_costoUlt);
			}
			if ($ArticuloObj->pr_stockMin){
				$comando->bindParam(':pr_stockMin', $ArticuloObj->pr_stockMin);
			}
			if ($ArticuloObj->pr_agingMax){
				$comando->bindParam(':pr_agingMax', $ArticuloObj->pr_agingMax);
			}
			if ($ArticuloObj->pr_dimensiones){
				$comando->bindParam(':pr_dimensiones', $ArticuloObj->pr_dimensiones);
			}
			if ($ArticuloObj->pr_peso){
				$comando->bindParam(':pr_peso', $ArticuloObj->pr_peso);
			}
			if ($ArticuloObj->pr_precioMoneda){
				$comando->bindParam(':pr_precioMoneda', $ArticuloObj->pr_precioMoneda);
			}
			if ($ArticuloObj->pr_glAccount){
				$comando->bindParam(':pr_glAccount', $ArticuloObj->pr_glAccount);
			}
			if ($ArticuloObj->pr_garantia){
				$comando->bindParam(':pr_garantia', $ArticuloObj->pr_garantia);
			}
			if ($ArticuloObj->pr_vidaUtil_uom){
				$comando->bindParam(':pr_vidaUtil_uom', $ArticuloObj->pr_vidaUtil_uom);
			}
			if ($ArticuloObj->pr_vidaUtil){
				$comando->bindParam(':pr_vidaUtil', $ArticuloObj->pr_vidaUtil);
			}
			if ($ArticuloObj->pr_diasExpira){
				$comando->bindParam(':pr_diasExpira', $ArticuloObj->pr_diasExpira);
			}
			if ($ArticuloObj->pr_leadTime){
				$comando->bindParam(':pr_leadTime', $ArticuloObj->pr_leadTime);
			}
			if ($ArticuloObj->pr_codSunat){
				$comando->bindParam(':pr_codSunat', $ArticuloObj->pr_codSunat);
			}
			if (isset($ArticuloObj->pr_extra1)){
				$comando->bindParam(':pr_extra1', $ArticuloObj->pr_extra1);
			}
			if ($ArticuloObj->pr_extra2){
				$comando->bindParam(':pr_extra2', $ArticuloObj->pr_extra2);
			}
			if ($ArticuloObj->pr_extra3){
				$comando->bindParam(':pr_extra3', $ArticuloObj->pr_extra3);
			}
			if ($ArticuloObj->pr_status){
				$comando->bindParam(':pr_status', $ArticuloObj->pr_status);
			}
			$comando->bindParam(':pr_usract', $usuario);
			$comando->execute();
//			if (!$comando->errorInfo()){
				return $ArticuloObj->pr_id;
//			}
		}
	}


	public function insert($ArticuloObj){
		global $PDO;
		$sql = "
			INSERT INTO `im_producto` 
			(
			pr_productoId, 
			pr_descripcion, 
			pr_descripcion2, 
			pr_descripcionExt, 
			pr_alias, 
			pr_ean, 
			pr_tipo,
			pr_clasificacionABC, 			
			pr_prodServ, 
			pr_partNum, 
			pr_modelo,
			pr_familiaId,
			pr_subfamiliaId,
			pr_marcaId,
			pr_paraCompra,
			pr_paraVenta,
			pr_afectoImpVta,
			pr_afectoADV,
			pr_ctrlSerie,
			pr_uom,
			pr_uomVtaCantidad,
			pr_origen,
			pr_costoProm,
			pr_costoUlt,
			pr_stockMin,
			pr_agingMax,
			pr_dimensiones,
			pr_peso,
			pr_precioMoneda,
			pr_glAccount,
			pr_garantia,
			pr_vidaUtil_uom,
			pr_vidaUtil,
			pr_diasExpira,
			pr_leadTime,
			pr_codSunat,
			pr_extra1,
			pr_extra2,
			pr_extra3,
			pr_status,
			pr_usrreg,
			pr_fecreg
			) 
			VALUES 
			(
			:pr_productoId, 
			:pr_descripcion, 
			:pr_descripcion2, 
			:pr_descripcionExt, 
			:pr_alias, 
			:pr_ean, 
			:pr_tipo,
			:pr_clasificacionABC, 			
			:pr_prodServ, 
			:pr_partNum, 
			:pr_modelo,
			:pr_familiaId,
			:pr_subfamiliaId,
			:pr_marcaId,
			:pr_paraCompra,
			:pr_paraVenta,
			:pr_afectoImpVta,
			:pr_afectoADV,
			:pr_ctrlSerie,
			:pr_uom,
			:pr_uomVtaCantidad,
			:pr_origen,
			:pr_costoProm,
			:pr_costoUlt,
			:pr_stockMin,
			:pr_agingMax,
			:pr_dimensiones,
			:pr_peso,
			:pr_precioMoneda,
			:pr_glAccount,
			:pr_garantia,
			:pr_vidaUtil_uom,
			:pr_vidaUtil,
			:pr_diasExpira,
			:pr_leadTime,
			:pr_codSunat,
			:pr_extra1,
			:pr_extra2,
			:pr_extra3,
			:pr_status,
			:pr_usrreg,
			:pr_fecreg
			);			
		";
		$comando = $PDO->prepare($sql);
		$fecreg = date("Y-m-d H:i:s");
		$comando->bindParam(':pr_productoId', $ArticuloObj->pr_productoId);
		$comando->bindParam(':pr_descripcion', $ArticuloObj->pr_descripcion);
		$comando->bindParam(':pr_descripcion2', $ArticuloObj->pr_descripcion2);
		$comando->bindParam(':pr_descripcionExt', $ArticuloObj->pr_descripcionExt);
		$comando->bindParam(':pr_alias', $ArticuloObj->pr_alias);
		$comando->bindParam(':pr_ean', $ArticuloObj->pr_ean);
		$comando->bindParam(':pr_tipo', $ArticuloObj->pr_tipo);
		$comando->bindParam(':pr_clasificacionABC', $ArticuloObj->pr_clasificacionABC);
		$comando->bindParam(':pr_prodServ', $ArticuloObj->pr_prodServ);
		$comando->bindParam(':pr_partNum', $ArticuloObj->pr_partNum);
		$comando->bindParam(':pr_modelo', $ArticuloObj->pr_modelo);
		$comando->bindParam(':pr_familiaId', $ArticuloObj->pr_familiaId);
		$comando->bindParam(':pr_subfamiliaId', $ArticuloObj->pr_subfamiliaId);
		$comando->bindParam(':pr_marcaId', $ArticuloObj->pr_marcaId);
		$comando->bindParam(':pr_paraCompra', $ArticuloObj->pr_paraCompra);
		$comando->bindParam(':pr_paraVenta', $ArticuloObj->pr_paraVenta);
		$comando->bindParam(':pr_afectoImpVta', $ArticuloObj->pr_afectoImpVta);
		$comando->bindParam(':pr_afectoADV', $ArticuloObj->pr_afectoADV);
		$comando->bindParam(':pr_ctrlSerie', $ArticuloObj->pr_ctrlSerie);
		$comando->bindParam(':pr_uom', $ArticuloObj->pr_uom);
		$comando->bindParam(':pr_uomVtaCantidad', $ArticuloObj->pr_uomVtaCantidad);
		$comando->bindParam(':pr_origen', $ArticuloObj->pr_origen);
		$comando->bindParam(':pr_costoProm', $ArticuloObj->pr_costoProm);
		$comando->bindParam(':pr_costoUlt', $ArticuloObj->pr_costoUlt);
		$comando->bindParam(':pr_stockMin', $ArticuloObj->pr_stockMin);
		$comando->bindParam(':pr_agingMax', $ArticuloObj->pr_agingMax);
		$comando->bindParam(':pr_dimensiones', $ArticuloObj->pr_dimensiones);
		$comando->bindParam(':pr_peso', $ArticuloObj->pr_peso);
		$comando->bindParam(':pr_precioMoneda', $ArticuloObj->pr_precioMoneda);
		$comando->bindParam(':pr_glAccount', $ArticuloObj->pr_glAccount);
		$comando->bindParam(':pr_garantia', $ArticuloObj->pr_garantia);
		$comando->bindParam(':pr_vidaUtil_uom', $ArticuloObj->pr_vidaUtil_uom);
		$comando->bindParam(':pr_vidaUtil', $ArticuloObj->pr_vidaUtil);
		$comando->bindParam(':pr_diasExpira', $ArticuloObj->pr_diasExpira);
		$comando->bindParam(':pr_leadTime', $ArticuloObj->pr_leadTime);
		$comando->bindParam(':pr_codSunat', $ArticuloObj->pr_codSunat);
		$comando->bindParam(':pr_extra1', $ArticuloObj->pr_extra1);
		$comando->bindParam(':pr_extra2', $ArticuloObj->pr_extra2);
		$comando->bindParam(':pr_extra3', $ArticuloObj->pr_extra3);
		$comando->bindParam(':pr_status', $ArticuloObj->pr_status);
		$comando->bindParam(':pr_usrreg', $ArticuloObj->pr_usrreg);
		$comando->bindParam(':pr_fecreg', $fecreg);
		$comando->execute();	 
		$query	 = "
			SELECT DISTINCT max(pr_id) as id 
			FROM `im_producto` 
			WHERE pr_usrreg = :pr_usrreg 
				AND pr_fecreg = :pr_fecreg ";
		$comando = $PDO->prepare($query);
		$comando->bindParam(':pr_usrreg', $ArticuloObj->pr_usrreg);
		$comando->bindParam(':pr_fecreg', $fecreg);
		$comando->execute();	 
		$resultado = $comando->fetchAll(PDO::FETCH_ASSOC);
		$row = $resultado[0];
		return $row["id"];
	}

}


?>