<?php

try
{
  $PDO_old = new PDO('mysql:host=localhost;dbname=sistema6_ntsistint','sistema6_sys2','dakota0124');
}
catch (Exception $e)
{
  echo "Problema conexion PDO: " . $e->getMessage() ."<p>";
}




class ImArticuloNTModel{

	public function update($ArticuloObj){
		global $usuario, $PDO_old;
		if ($set && $ArticuloObj->pr_id){
			$set = substr($set,1);
			$sql2 = "
				UPDATE im_producto
				SET 
					$set
					,pr_usract = :pr_usract
				WHERE pr_id = :pr_id
				LIMIT 1";
			$comando = $PDO_old->prepare($sql2);
			$comando->execute();
			return $ArticuloObj->pr_id;
		}
	}


	public function insert($ArticuloObj){
		global $PDO_old, $PDO;
		$sql = "
			SELECT *
			FROM im_subFamilia
			WHERE sfm_subFamiliaId = '".$ArticuloObj->pr_subfamiliaId."'
		";
		$sentencia = $PDO->query($sql);
		$sentencia->setFetchMode(PDO::FETCH_ASSOC);
		$row = $sentencia->fetch();	

		$sql = "
			SELECT *
			FROM alm_productolinea
			WHERE pl_descripcion = '".$row["sfm_nombre"]."'
		";
		$sentencia = $PDO_old->query($sql);
		$sentencia->setFetchMode(PDO::FETCH_ASSOC);
		$rowSfm = $sentencia->fetch();	


		$sql = "
			SELECT *
			FROM im_marca
			WHERE mr_marcaId = '".$ArticuloObj->pr_marcaId."'
		";
		$sentencia = $PDO->query($sql);
		$sentencia->setFetchMode(PDO::FETCH_ASSOC);
		$row = $sentencia->fetch();	

		$sql = "
			SELECT *
			FROM alm_fabricantes
			WHERE fab_nombre = '".$row["mr_nombre"]."'
		";
		$sentencia = $PDO_old->query($sql);
		$sentencia->setFetchMode(PDO::FETCH_ASSOC);
		$rowMr = $sentencia->fetch();	
		
		$ArticuloObj->pr_tipoId = strtolower($ArticuloObj->pr_tipo);

		$sql = "
			INSERT INTO `alm_producto` 
			(
			`pr_productoId`, 
			`pr_descripcion`, 
			`pr_descripcion2`, 
			`pr_descripcion3`, 
			`pr_alias`, 
			`pr_codFabrica`, 
			`pr_clasific`, 
			`pr_tipoId`, 
			`pr_lineaId`, 
			`pr_marcaId`, 
			`pr_undMedida`, 
			`pr_paisOrigen`, 
			`pr_ctrlSeries`, 
			`pr_afectoImp1`, 
			`pr_estado`, 
			`pr_creaUsr`, 
			`pr_creaFecha`
			) VALUES (
			:pr_productoId, 
			:pr_descripcion, 
			:pr_descripcion2, 
			:pr_descripcion3, 
			:pr_alias, 
			:pr_codFabrica, 
			:pr_clasific, 
			:pr_tipoId, 
			:pr_lineaId, 
			:pr_marcaId, 
			:pr_undMedida,  
			:pr_paisOrigen, 
			:pr_ctrlSeries, 
			:pr_afectoImp1, 
			:pr_estado, 
			:pr_creaUsr, 
			:pr_creaFecha			
			);
	
		";
		$comando = $PDO_old->prepare($sql);
		$fecreg = date("Y-m-d H:i:s");
		$ArticuloObj->pr_undMedida = 'UND';
		$ArticuloObj->pr_estado = 'A';
		if (!$rowMr["fab_fabricanteId"]){
			$rowMr["fab_fabricanteId"] ='';
		}
		if (!$rowSfm["pl_lineaId"]){
			$rowSfm["pl_lineaId"] ='';
		}
		foreach ($ArticuloObj as $clave => $valor) {
			if (!$ArticuloObj->$clave){
				$ArticuloObj->$clave = "";
			}
		}
		$comando->bindParam(':pr_productoId', $ArticuloObj->pr_productoId);
		$comando->bindParam(':pr_descripcion', $ArticuloObj->pr_descripcion);
		$comando->bindParam(':pr_descripcion2', $ArticuloObj->pr_descripcion2);
		$comando->bindParam(':pr_descripcion3', $ArticuloObj->pr_descripcionExt);
		$comando->bindParam(':pr_alias', $ArticuloObj->pr_alias);
		$comando->bindParam(':pr_codFabrica', $ArticuloObj->pr_partNum);
		$comando->bindParam(':pr_clasific', $ArticuloObj->pr_tipo);
		$comando->bindParam(':pr_tipoId', $ArticuloObj->pr_tipoId);
		$comando->bindParam(':pr_lineaId', $rowSfm["pl_lineaId"]);
		$comando->bindParam(':pr_marcaId', $rowMr["fab_fabricanteId"]);
		$comando->bindParam(':pr_undMedida', $ArticuloObj->pr_undMedida);
		$comando->bindParam(':pr_paisOrigen', $ArticuloObj->pr_origen);
		$comando->bindParam(':pr_ctrlSeries', $ArticuloObj->pr_ctrlSerie);
		$comando->bindParam(':pr_afectoImp1', $ArticuloObj->pr_afectoImpVta);
		$comando->bindParam(':pr_estado', $ArticuloObj->pr_estado);
		$comando->bindParam(':pr_creaUsr', $ArticuloObj->pr_usrreg);
		$comando->bindParam(':pr_creaFecha', $fecreg);
		$comando->execute();	 
//		print_r($comando->errorInfo());
//		exit;
		$query	 = "
			SELECT DISTINCT max(pr_id) as id 
			FROM `im_producto` 
			WHERE pr_usrreg = :pr_usrreg 
				AND pr_fecreg = :pr_fecreg ";
		$comando = $PDO_old->prepare($query);
		$comando->bindParam(':pr_usrreg', $ArticuloObj->pr_usrreg);
		$comando->bindParam(':pr_fecreg', $fecreg);
		$comando->execute();	 
		$resultado = $comando->fetchAll(PDO::FETCH_ASSOC);
		$row = $resultado[0];
		return $row["id"];
	}

}


?>