<?php
ini_set('memory_limit', '1024M');
class ImGuiaModel{

	public function selectUniqueId($id){
		global $PDO;
		if (!$id){
			return FALSE;
		}
		$sql = "
			SELECT *, 
				MSTAT.mlst_valorDsc as status_nombre,
				MTIPO.mlst_valorDsc as tipo_nombre
			FROM im_guia
				LEFT JOIN xx_maestrolista MSTAT ON ge_status = MSTAT.mlst_valorId AND MSTAT.mlst_listaId = 'xxGeStatus'
				LEFT JOIN xx_maestrolista MTIPO ON ge_tipo = MTIPO.mlst_valorId AND MTIPO.mlst_listaId = 'imGeTipo'
			WHERE ge_id = :id
		";					
		$comando = $PDO->prepare($sql);
		$comando->bindParam(':id', $id);
		$comando->execute();
		$resultado = $comando->fetchAll(PDO::FETCH_ASSOC);
		$row = $resultado[0];
		$sql2 = "
			SELECT *
			FROM im_guiaexterna
			WHERE gex_ge_id = '".$row["ge_id"]."'
		";
		$sentencia2 = $PDO->query($sql2);
		$sentencia2->setFetchMode(PDO::FETCH_ASSOC);
		while($row2 = $sentencia2->fetch()){
			$a_despacho["ge_guia_ext"][]  = $row2["gex_serie"]."-".$row2["gex_id"];	
//			$a_despacho["gex_id_lista"]	 .= sprintf("%'010d",$row2["gex_id"]).", ";
			$a_despacho["gex_id_lista"]	 .= $row2["gex_serie"]."-".$row2["gex_id"].", ";

		}
		$a_despacho["ge_id"]			= $row["ge_id"];
		$a_despacho["ge_tipo"]			= $row["ge_tipo"];
		$a_despacho["ge_refDocId"]		= $row["ge_refDocId"];
		$a_despacho["ge_refDocId2"]		= $row["ge_refDocId2"];
		$a_despacho["ge_fechaDoc"]		= $row["ge_fechaDoc"];
		$a_despacho["ge_fechaTrasl"]	= $row["ge_fechaTrasl"];

		$a_despacho["ge_id_rem"]		= $row["ge_id_rem"];
		$a_despacho["ge_ruc_rem"]		= $row["ge_ruc_rem"];
		$a_despacho["ge_nombre_rem"]	= $row["ge_nombre_rem"];

		$a_despacho["ge_id_dst"]		= $row["ge_id_dst"];
		$a_despacho["ge_ruc_dst"]		= $row["ge_ruc_dst"];
		$a_despacho["ge_nombre_dst"]	= $row["ge_nombre_dst"];

		$a_despacho["ge_direccion1_rem"]= $row["ge_direccion1_rem"];
		$a_despacho["ge_direccion2_rem"]= $row["ge_direccion2_rem"];
		$a_despacho["ge_ciudad_rem"]	= $row["ge_ciudad_rem"];
		$a_despacho["ge_estado_rem"]	= $row["ge_estado_rem"];
		$a_despacho["ge_pais_rem"]		= $row["ge_pais_rem"];
		$a_despacho["ge_ubigeo_rem"]	= $row["ge_ubigeo_rem"];

		$a_despacho["ge_direccion1_dst"]= $row["ge_direccion1_dst"];
		$a_despacho["ge_direccion2_dst"]= $row["ge_direccion2_dst"];
		$a_despacho["ge_ciudad_dst"]	= $row["ge_ciudad_dst"];
		$a_despacho["ge_estado_dst"]	= $row["ge_estado_dst"];
		$a_despacho["ge_pais_dst"]		= $row["ge_pais_dst"];
		$a_despacho["ge_ubigeo_dst"]	= $row["ge_ubigeo_dst"];
		
		$a_despacho["ge_obs"]			= $row["ge_obs"];
		$a_despacho["ge_glosa"]			= $row["ge_glosa"];
		$a_despacho["ge_tipo_transporte"]	= $row["ge_tipo_transporte"];
		$a_despacho["ge_transp_doc_tipo"]	= $row["ge_transp_doc_tipo"];
		$a_despacho["ge_transp_doc_nro"]	= $row["ge_transp_doc_nro"];
		$a_despacho["ge_transp_nombre"]		= $row["ge_transp_nombre"];
		$a_despacho["ge_transp_placa"]		= $row["ge_transp_placa"];

		$a_despacho["ge_transp_priv_doc_tipo"]	= $row["ge_transp_priv_doc_tipo"];
		$a_despacho["ge_transp_priv_doc_nro"]	= $row["ge_transp_priv_doc_nro"];
		$a_despacho["ge_transp_priv_nombre"]	= $row["ge_transp_priv_nombre"];
		$a_despacho["ge_transp_priv_apellido"]	= $row["ge_transp_priv_apellido"];
		$a_despacho["ge_transp_priv_licencia"]	= $row["ge_transp_priv_licencia"];

		$a_despacho["ge_transp_priv_placa"]		= $row["ge_transp_priv_placa"];
		$a_despacho["ge_transp_priv_tarjeta"]	= $row["ge_transp_priv_tarjeta"];
		$a_despacho["ge_transp_priv_autoriz"]	= $row["ge_transp_priv_autoriz"];
		$a_despacho["ge_transp_priv_codEmisor"]	= $row["ge_transp_priv_codEmisor"];

		$a_despacho["ge_cli_tipo_doc"]		= $row["ge_cli_tipo_doc"];
		$a_despacho["ge_cli_correo"]		= $row["ge_cli_correo"];
		$a_despacho["ge_transbordo"]		= $row["ge_transbordo"];
		$a_despacho["ge_fecEmis"]			= $row["ge_fecEmis"];
		$a_despacho["ge_fecTran"]			= $row["ge_fecTran"];
		$a_despacho["ge_fecEnt"]			= $row["ge_fecEnt"];

		$a_despacho["ge_status"]		= $row["ge_status"];
		$a_despacho["ge_usrreg"]		= $row["ge_usrreg"];
		$a_despacho["ge_usract"]		= $row["ge_usract"];
		$a_despacho["ge_fecreg"]		= $row["ge_fecreg"];
		$a_despacho["ge_fecact"]		= $row["ge_fecact"];
		$a_despacho["ge_status_nombre"] = $row["status_nombre"];
		$a_despacho["ge_tipo_nombre"]	= $row["tipo_nombre"];
		return $a_despacho;
	}


	public function selectExtUniqueId($id){
		global $PDO;
		if (!$id){
			return FALSE;
		}
		$sql = "
			SELECT *, 
				MSTAT.mlst_valorDsc as status_nombre,
				MTIPO.mlst_valorDsc as tipo_nombre
			FROM im_guiaexterna
				LEFT JOIN im_guia ON gex_ge_id = ge_id 
				LEFT JOIN im_ordenDespacho ON ge_refDocId2 = od_id 
				LEFT JOIN xx_maestrolista MSTAT ON ge_status = MSTAT.mlst_valorId AND MSTAT.mlst_listaId = 'xxGeStatus'
				LEFT JOIN xx_maestrolista MTIPO ON ge_tipo = MTIPO.mlst_valorId AND MTIPO.mlst_listaId = 'imGeTipo'
			WHERE gex_id = :id
			ORDER BY ge_id DESC
		";					
		$comando = $PDO->prepare($sql);
		$comando->bindParam(':id', $id);
		$comando->execute();
		$resultado = $comando->fetchAll(PDO::FETCH_ASSOC);
		$row = $resultado[0];
		$a_despacho["gex_id_format"]	= $row["gex_serie"]."-".$row["gex_id"];
		$a_despacho["gex_id"]			= $row["gex_id"];
		$a_despacho["ge_id"]			= $row["ge_id"];
		$a_despacho["ge_tipo"]			= $row["ge_tipo"];
		$a_despacho["ge_refDocId"]		= $row["ge_refDocId"];
		$a_despacho["ge_refDocId2"]		= $row["ge_refDocId2"];
		$a_despacho["ge_fechaDoc"]		= $row["ge_fechaDoc"];
		$a_despacho["ge_fechaTrasl"]	= $row["ge_fechaTrasl"];

		$a_despacho["ge_id_rem"]		= $row["ge_id_rem"];
		$a_despacho["ge_ruc_rem"]		= $row["ge_ruc_rem"];
		$a_despacho["ge_nombre_rem"]	= $row["ge_nombre_rem"];

		$a_despacho["ge_id_dst"]		= $row["ge_id_dst"];
		$a_despacho["ge_ruc_dst"]		= $row["ge_ruc_dst"];
		$a_despacho["ge_nombre_dst"]	= $row["ge_nombre_dst"];

		$a_despacho["ge_direccion1_rem"]= $row["ge_direccion1_rem"];
		$a_despacho["ge_direccion2_rem"]= $row["ge_direccion2_rem"];
		$a_despacho["ge_ciudad_rem"]	= $row["ge_ciudad_rem"];
		$a_despacho["ge_estado_rem"]	= $row["ge_estado_rem"];
		$a_despacho["ge_pais_rem"]		= $row["ge_pais_rem"];
		$a_despacho["ge_ubigeo_rem"]	= $row["ge_ubigeo_rem"];

		$a_despacho["ge_direccion1_dst"]= $row["ge_direccion1_dst"];
		$a_despacho["ge_direccion2_dst"]= $row["ge_direccion2_dst"];
		$a_despacho["ge_ciudad_dst"]	= $row["ge_ciudad_dst"];
		$a_despacho["ge_estado_dst"]	= $row["ge_estado_dst"];
		$a_despacho["ge_pais_dst"]		= $row["ge_pais_dst"];
		$a_despacho["ge_ubigeo_dst"]	= $row["ge_ubigeo_dst"];
		
		$a_despacho["ge_obs"]			= $row["ge_obs"];
		$a_despacho["ge_glosa"]			= $row["ge_glosa"];
		$a_despacho["ge_tipo_transporte"]	= $row["ge_tipo_transporte"];
		$a_despacho["ge_transp_doc_tipo"]	= $row["ge_transp_doc_tipo"];
		$a_despacho["ge_transp_doc_nro"]	= $row["ge_transp_doc_nro"];
		$a_despacho["ge_transp_nombre"]		= $row["ge_transp_nombre"];
		$a_despacho["ge_transp_placa"]		= $row["ge_transp_placa"];

		$a_despacho["ge_transp_priv_doc_tipo"]	= $row["ge_transp_priv_doc_tipo"];
		$a_despacho["ge_transp_priv_doc_nro"]	= $row["ge_transp_priv_doc_nro"];
		$a_despacho["ge_transp_priv_nombre"]	= $row["ge_transp_priv_nombre"];
		$a_despacho["ge_transp_priv_apellido"]	= $row["ge_transp_priv_apellido"];
		$a_despacho["ge_transp_priv_licencia"]	= $row["ge_transp_priv_licencia"];

		$a_despacho["ge_transp_priv_placa"]		= $row["ge_transp_priv_placa"];
		$a_despacho["ge_transp_priv_tarjeta"]	= $row["ge_transp_priv_tarjeta"];
		$a_despacho["ge_transp_priv_autoriz"]	= $row["ge_transp_priv_autoriz"];
		$a_despacho["ge_transp_priv_codEmisor"]	= $row["ge_transp_priv_codEmisor"];

		$a_despacho["ge_cli_tipo_doc"]		= $row["ge_cli_tipo_doc"];
		$a_despacho["ge_cli_correo"]		= $row["ge_cli_correo"];
		$a_despacho["ge_transbordo"]		= $row["ge_transbordo"];

		$a_despacho["ge_fecEmis"]			= $row["ge_fecEmis"];
		$a_despacho["ge_fecTran"]			= $row["ge_fecTran"];
		$a_despacho["ge_fecEnt"]			= $row["ge_fecEnt"];

		$a_despacho["ge_status"]		= $row["ge_status"];
		$a_despacho["ge_usrreg"]		= $row["ge_usrreg"];
		$a_despacho["ge_usract"]		= $row["ge_usract"];
		$a_despacho["ge_fecreg"]		= $row["ge_fecreg"];
		$a_despacho["ge_fecact"]		= $row["ge_fecact"];
		$a_despacho["ge_status_nombre"] = $row["status_nombre"];
		$a_despacho["ge_tipo_nombre"]	= $row["tipo_nombre"];

		$a_despacho["gex_status"]		= $row["gex_status"];
		$a_despacho["gex_fecreg"]		= $row["gex_fecreg"];

		$a_despacho["od_obs"]			= $row["od_obs"];


		$sql2 = "
			SELECT *
			FROM im_guiaexterna_log
			WHERE gexl_id = '".$row["gex_id"]."'
		";
		$sentencia2 = $PDO->query($sql2);
		$sentencia2->setFetchMode(PDO::FETCH_ASSOC);
		$i = 0;
		while($row2 = $sentencia2->fetch()){
			$a_log[$i]["gexl_ge_id"]	= $row2["gexl_ge_id"];
			$a_log[$i]["gexl_obs"]		= $row2["gexl_obs"];			
			$a_log[$i]["gexl_status"]	= $row2["gexl_status"];
			$a_log[$i]["gexl_usrreg"]	= $row2["gexl_usrreg"];
			$a_log[$i]["gexl_fecreg"]	= $row2["gexl_fecreg"];
			$i++;
		}
		if ($a_log){
			$a_despacho["gex_log"] 	= $a_log;
		}
		return $a_despacho;
	}

	public function select($GuiaObj,$limit=''){
		global $usuario, $PDO;
		if ($GuiaObj->ge_id){
			$where .= " AND ge_id = :ge_id";
		}
		if ($GuiaObj->gex_id){
			$where .= " AND gex_id = :gex_id";
			$join .= " LEFT JOIN im_guiaexterna ON ge_id = gex_ge_id ";
		}
		if ($GuiaObj->ge_tipo){
			$where .= " AND ge_tipo = :ge_tipo";
		}
		if ($GuiaObj->ge_refDocId){
			$where .= " AND ge_refDocId = :ge_refDocId";
		}
		if ($GuiaObj->ge_refDocId2){
			$where .= " AND ge_refDocId2 = :ge_refDocId2";
		}
		if ($GuiaObj->ge_ruc_rem){
			$where .= " AND ge_ruc_rem = :ge_ruc_rem";
		}
		if ($GuiaObj->ge_nombre_rem){
			$where .= " AND ge_nombre_rem LIKE :ge_nombre_rem";
		}
		if ($GuiaObj->ge_ruc_dst){
			$where .= " AND ge_ruc_dst = :ge_ruc_dst";
		}
		if ($GuiaObj->ge_nombre_dst){
			$where .= " AND ge_nombre_dst LIKE :ge_nombre_dst";
		}
		if ($GuiaObj->ge_estado_dst){
			$where .= " AND ge_estado_dst LIKE :ge_estado_dst";
		}
		if ($GuiaObj->ge_ciudad_dst){
			$where .= " AND ge_ciudad_dst LIKE :ge_ciudad_dst";
		}
		if ($GuiaObj->ge_direccion2_dst){
			$where .= " AND ge_direccion2_dst LIKE :ge_direccion2_dst";
		}
		if ($GuiaObj->fechaIniDoc){
			$where .= " AND ge_fechaDoc >= :fechaIniDoc";
		}
		if ($GuiaObj->fechaFinDoc){
			$where .= " AND ge_fechaDoc <= :fechaFinDoc";
		}
		if ($GuiaObj->ge_transp_nombre){
			$where .= " AND ge_transp_nombre LIKE :ge_transp_nombre";
		}
		if ($GuiaObj->ge_transp_tipo){
			$where .= " AND ge_transp_tipo = :ge_transp_tipo";
		}		
		if ($GuiaObj->ge_status){
			if ($GuiaObj->ge_status != '*'){
				$where .= " AND ge_status = :ge_status";
			}else{
				$where .= " AND ge_status = ''";
			}
		}
		if (($GuiaObj->ges_serie)){
			$where .= " AND ges_serie LIKE :ges_serie";	
//			$join .= " LEFT JOIN im_guialinea ON ge_id = gel_id ";
			$join .= " LEFT JOIN im_guiaserie ON ges_ge_id = ge_id ";
		}
		if ($GuiaObj->ge_statusNoAnula){
			$where .= " AND ge_status <> 'I' ";
		}		
		if ($GuiaObj->orderBy){
			$orderBy = " ORDER BY ".$GuiaObj->orderBy;
		}else{
			$orderBy = " ORDER BY ge_fechaDoc, ge_id";
		}

		$sql = "
			SELECT  *, 
				MSTAT.mlst_valorDsc as status_nombre,
				MTIPO.mlst_valorDsc as tipo_nombre
			FROM im_guia
				LEFT JOIN im_ordenDespacho ON ge_refDocId2 = od_id 
				LEFT JOIN vt_cliente ON ge_id_dst = cl_id 
				LEFT JOIN xx_maestrolista MSTAT ON ge_status = MSTAT.mlst_valorId AND MSTAT.mlst_listaId = 'xxGeStatus'
				LEFT JOIN xx_maestrolista MTIPO ON ge_tipo = MTIPO.mlst_valorId AND MTIPO.mlst_listaId = 'imGeTipo'
				LEFT JOIN xx_maestrolista MTIPO2 ON ge_tipo = MTIPO2.mlst_valorId AND MTIPO2.mlst_listaId = 'imGeTipo'
				$join
			WHERE 1 $where
			GROUP BY ge_id
			$orderBy
			$limit
		";
		$comando = $PDO->prepare($sql);
		if ($GuiaObj->ge_id){
			$comando->bindParam(':ge_id', $GuiaObj->ge_id);
		}
		if ($GuiaObj->gex_id){
			$comando->bindParam(':gex_id', $GuiaObj->gex_id);
		}
		if ($GuiaObj->ge_tipo){
			$comando->bindParam(':ge_tipo', $GuiaObj->ge_tipo);
		}
		if ($GuiaObj->ge_refDocId){
			$comando->bindParam(':ge_refDocId', $GuiaObj->ge_refDocId);
		}
		if ($GuiaObj->ge_refDocId2){
			$comando->bindParam(':ge_refDocId2', $GuiaObj->ge_refDocId2);
		}
		if ($GuiaObj->ge_ruc_rem){
			$comando->bindParam(':ge_ruc_rem', $GuiaObj->ge_ruc_rem);
		}
		if ($GuiaObj->ge_nombre_rem){
			$comando->bindParam(':ge_nombre_rem', $GuiaObj->ge_nombre_rem);
		}
		if ($GuiaObj->ge_ruc_dst){
			$comando->bindParam(':ge_ruc_dst', $GuiaObj->ge_ruc_dst);
		}
		if ($GuiaObj->ge_nombre_dst){
			$comando->bindParam(':ge_nombre_dst', $GuiaObj->ge_nombre_dst);
		}
		if ($GuiaObj->ge_estado_dst){
			$comando->bindParam(':ge_estado_dst', $GuiaObj->ge_estado_dst);
		}
		if ($GuiaObj->ge_ciudad_dst){
			$comando->bindParam(':ge_ciudad_dst', $GuiaObj->ge_ciudad_dst);
		}
		if ($GuiaObj->ge_direccion2_dst){
			$comando->bindParam(':ge_direccion2_dst', $GuiaObj->ge_direccion2_dst);
		}
		if ($GuiaObj->fechaIniDoc){
			$comando->bindParam(':fechaIniDoc', $GuiaObj->fechaIniDoc);
		}		
		if ($GuiaObj->fechaFinDoc){
			$comando->bindParam(':fechaFinDoc', $GuiaObj->fechaFinDoc);
		}
		if (($GuiaObj->ges_serie)){
			$comando->bindParam(':ges_serie', $GuiaObj->ges_serie);
		}
		if (($GuiaObj->ge_transp_tipo)){
			$comando->bindParam(':ge_transp_tipo', $GuiaObj->ge_transp_tipo);
		}
		if (($GuiaObj->ge_transp_nombre)){
			$comando->bindParam(':ge_transp_nombre', $GuiaObj->ge_transp_nombre);
		}
		
		if ($GuiaObj->ge_status){
			if ($GuiaObj->ge_status != '*'){
				$comando->bindParam(':ge_status', $GuiaObj->ge_status);
			}
		}
		$comando->execute();
		
		while($row = $comando->fetch()){
			$sql2 = "
				SELECT *
				FROM im_guiaexterna
				WHERE gex_ge_id = '".$row["ge_id"]."'
			";
			$sentencia2 = $PDO->query($sql2);
			$sentencia2->setFetchMode(PDO::FETCH_ASSOC);
			$a_despacho["gex_id_lista"] = '';
			while($row2 = $sentencia2->fetch()){
				$a_despacho["ge_guia_ext"][]  = $row2["gex_serie"]."-".$row2["gex_id"];	
				$a_despacho["gex_id_lista"]	 .= $row2["gex_serie"]."-".$row2["gex_id"].", ";
			}
			$a_despacho["ge_id"]			= $row["ge_id"];
			$a_despacho["ge_tipo"]			= $row["ge_tipo"];
			$a_despacho["ge_refDocId"]		= $row["ge_refDocId"];
			$a_despacho["ge_refDocId2"]		= $row["ge_refDocId2"];
			$a_despacho["ge_fechaDoc"]		= $row["ge_fechaDoc"];
			$a_despacho["ge_fechaTrasl"]	= $row["ge_fechaTrasl"];

			$a_despacho["ge_id_rem"]		= $row["ge_id_rem"];
			$a_despacho["ge_ruc_rem"]		= $row["ge_ruc_rem"];
			$a_despacho["ge_nombre_rem"]	= $row["ge_nombre_rem"];

			$a_despacho["ge_id_dst"]		= $row["ge_id_dst"];
			$a_despacho["ge_ruc_dst"]		= $row["ge_ruc_dst"];
			$a_despacho["ge_nombre_dst"]	= $row["ge_nombre_dst"];

			$a_despacho["ge_direccion1_rem"]= $row["ge_direccion1_rem"];
			$a_despacho["ge_direccion2_rem"]= $row["ge_direccion2_rem"];
			$a_despacho["ge_ciudad_rem"]	= $row["ge_ciudad_rem"];
			$a_despacho["ge_estado_rem"]	= $row["ge_estado_rem"];
			$a_despacho["ge_pais_rem"]		= $row["ge_pais_rem"];
			$a_despacho["ge_ubigeo_rem"]	= $row["ge_ubigeo_rem"];

			$a_despacho["ge_direccion1_dst"]= $row["ge_direccion1_dst"];
			$a_despacho["ge_direccion2_dst"]= $row["ge_direccion2_dst"];
			$a_despacho["ge_ciudad_dst"]	= $row["ge_ciudad_dst"];
			$a_despacho["ge_estado_dst"]	= $row["ge_estado_dst"];
			$a_despacho["ge_pais_dst"]		= $row["ge_pais_dst"];
			$a_despacho["ge_ubigeo_dst"]	= $row["ge_ubigeo_dst"];
			
			$a_despacho["ge_obs"]			= $row["ge_obs"];
			$a_despacho["ge_glosa"]			= $row["ge_glosa"];
			$a_despacho["ge_tipo_transporte"]	= $row["ge_tipo_transporte"];
			$a_despacho["ge_transp_doc_tipo"]	= $row["ge_transp_doc_tipo"];
			$a_despacho["ge_transp_doc_nro"]	= $row["ge_transp_doc_nro"];
			$a_despacho["ge_transp_nombre"]		= $row["ge_transp_nombre"];
			$a_despacho["ge_transp_placa"]		= $row["ge_transp_placa"];

			$a_despacho["ge_transp_priv_doc_tipo"]	= $row["ge_transp_priv_doc_tipo"];
			$a_despacho["ge_transp_priv_doc_nro"]	= $row["ge_transp_priv_doc_nro"];
			$a_despacho["ge_transp_priv_nombre"]	= $row["ge_transp_priv_nombre"];
			$a_despacho["ge_transp_priv_apellido"]	= $row["ge_transp_priv_apellido"];
			$a_despacho["ge_transp_priv_licencia"]	= $row["ge_transp_priv_licencia"];

			$a_despacho["ge_transp_priv_placa"]		= $row["ge_transp_priv_placa"];
			$a_despacho["ge_transp_priv_tarjeta"]	= $row["ge_transp_priv_tarjeta"];
			$a_despacho["ge_transp_priv_autoriz"]	= $row["ge_transp_priv_autoriz"];
			$a_despacho["ge_transp_priv_codEmisor"]	= $row["ge_transp_priv_codEmisor"];

			$a_despacho["ge_cli_tipo_doc"]		= $row["ge_cli_tipo_doc"];
			$a_despacho["ge_cli_correo"]		= $row["ge_cli_correo"];
			$a_despacho["ge_transbordo"]		= $row["ge_transbordo"];
			
			$a_despacho["ge_fecEmis"]			= $row["ge_fecEmis"];
			$a_despacho["ge_fecTran"]			= $row["ge_fecTran"];
			$a_despacho["ge_fecEnt"]			= $row["ge_fecEnt"];

			if ($row["ge_status"]=='T'){
				$a_despacho["ge_fechaStatus"] = $row["ge_fecTran"];
			}elseif($row["ge_status"]=='D'){
				$a_despacho["ge_fechaStatus"] = $row["ge_fecEnt"];
			}elseif($row["ge_status"]=='P'){
				$a_despacho["ge_fechaStatus"] = $row["ge_fecEmis"];
			}else{
			}
			if ($a_despacho["ge_fechaStatus"] <= 0){
				$a_despacho["ge_fechaStatus"] = '';
			}
			$a_despacho["ge_status"]		= $row["ge_status"];
			$a_despacho["ge_usrreg"]		= $row["ge_usrreg"];
			$a_despacho["ge_usract"]		= $row["ge_usract"];
			$a_despacho["ge_fecreg"]		= $row["ge_fecreg"];
			$a_despacho["ge_fecact"]		= $row["ge_fecact"];
			$a_despacho["ge_status_nombre"] = $row["status_nombre"];
			$a_despacho["ge_tipo_nombre"]	= $row["tipo_nombre"];

			$a_despacho["od_obs"]			= $row["od_obs"];
			$a_despachoList[]				= $a_despacho;
		}
		return $a_despachoList;

	}



	public function selectGuiaExt($GuiaObj,$limit=''){
		global $usuario, $PDO;
		if ($GuiaObj->ge_id){
			$where .= " AND ge_id = :ge_id";
		}
		if ($GuiaObj->gex_id){
			$where .= " AND gex_id = :gex_id";
		}
		if ($GuiaObj->ge_tipo){
			$where .= " AND ge_tipo = :ge_tipo";
		}
		if ($GuiaObj->ge_refDocId){
			$where .= " AND ge_refDocId = :ge_refDocId";
		}
		if ($GuiaObj->ge_refDocId2){
			$where .= " AND ge_refDocId2 = :ge_refDocId2";
		}
		if ($GuiaObj->ge_ruc_rem){
			$where .= " AND ge_ruc_rem = :ge_ruc_rem";
		}
		if ($GuiaObj->ge_nombre_rem){
			$where .= " AND ge_nombre_rem LIKE :ge_nombre_rem";
		}
		if ($GuiaObj->ge_ruc_dst){
			$where .= " AND ge_ruc_dst = :ge_ruc_dst";
		}
		if ($GuiaObj->ge_nombre_dst){
			$where .= " AND ge_nombre_dst LIKE :ge_nombre_dst";
		}
		if ($GuiaObj->ge_estado_dst){
			$where .= " AND ge_estado_dst LIKE :ge_estado_dst";
		}
		if ($GuiaObj->ge_ciudad_dst){
			$where .= " AND ge_ciudad_dst LIKE :ge_ciudad_dst";
		}
		if ($GuiaObj->ge_direccion2_dst){
			$where .= " AND ge_direccion2_dst LIKE :ge_direccion2_dst";
		}
		if ($GuiaObj->fechaIniDoc){
			$where .= " AND ge_fechaDoc >= :fechaIniDoc";
		}
		if ($GuiaObj->fechaFinDoc){
			$where .= " AND ge_fechaDoc <= :fechaFinDoc";
		}
		if ($GuiaObj->ge_status){
			if ($GuiaObj->ge_status != '*'){
				$where .= " AND ge_status = :ge_status";
			}else{
				$where .= " AND ge_status = ''";
			}
		}
		if (($GuiaObj->ges_serie)){
			$where .= " AND ges_serie LIKE :ges_serie";	
//			$join .= " LEFT JOIN im_guialinea ON ge_id = gel_id ";
			$join .= " LEFT JOIN im_guiaserie ON ges_ge_id = ge_id ";
		}
		if ($GuiaObj->ge_statusNoAnula){
//			$where .= " AND ge_status <> 'I' ";
		}		

		$sql = "
			SELECT  *, 
				MSTAT.mlst_valorDsc as status_nombre,
				MTIPO.mlst_valorDsc as tipo_nombre
			FROM im_guiaexterna
				LEFT JOIN im_guia ON gex_ge_id = ge_id 
				LEFT JOIN im_ordenDespacho ON ge_refDocId2 = od_id 
				LEFT JOIN vt_cliente ON ge_id_dst = cl_id 
				LEFT JOIN xx_maestrolista MSTAT ON ge_status = MSTAT.mlst_valorId AND MSTAT.mlst_listaId = 'xxGeStatus'
				LEFT JOIN xx_maestrolista MTIPO ON ge_tipo = MTIPO.mlst_valorId AND MTIPO.mlst_listaId = 'imGeTipo'
				LEFT JOIN xx_maestrolista MTIPO2 ON ge_tipo = MTIPO2.mlst_valorId AND MTIPO2.mlst_listaId = 'imGeTipo'
				$join
			WHERE 1 $where
			ORDER BY gex_id
		";
		/*global $usuario;
		if ($usuario=='jreyes'){
			echo $sql;
		}*/
		$comando = $PDO->prepare($sql);
		if ($GuiaObj->ge_id){
			$comando->bindParam(':ge_id', $GuiaObj->ge_id);
		}
		if ($GuiaObj->gex_id){
			$comando->bindParam(':gex_id', $GuiaObj->gex_id);
		}
		if ($GuiaObj->ge_tipo){
			$comando->bindParam(':ge_tipo', $GuiaObj->ge_tipo);
		}
		if ($GuiaObj->ge_refDocId){
			$comando->bindParam(':ge_refDocId', $GuiaObj->ge_refDocId);
		}
		if ($GuiaObj->ge_refDocId2){
			$comando->bindParam(':ge_refDocId2', $GuiaObj->ge_refDocId2);
		}
		if ($GuiaObj->ge_ruc_rem){
			$comando->bindParam(':ge_ruc_rem', $GuiaObj->ge_ruc_rem);
		}
		if ($GuiaObj->ge_nombre_rem){
			$comando->bindParam(':ge_nombre_rem', $GuiaObj->ge_nombre_rem);
		}
		if ($GuiaObj->ge_ruc_dst){
			$comando->bindParam(':ge_ruc_dst', $GuiaObj->ge_ruc_dst);
		}
		if ($GuiaObj->ge_nombre_dst){
			$comando->bindParam(':ge_nombre_dst', $GuiaObj->ge_nombre_dst);
		}
		if ($GuiaObj->ge_estado_dst){
			$comando->bindParam(':ge_estado_dst', $GuiaObj->ge_estado_dst);
		}
		if ($GuiaObj->ge_ciudad_dst){
			$comando->bindParam(':ge_ciudad_dst', $GuiaObj->ge_ciudad_dst);
		}
		if ($GuiaObj->ge_direccion2_dst){
			$comando->bindParam(':ge_direccion2_dst', $GuiaObj->ge_direccion2_dst);
		}
		if ($GuiaObj->fechaIniDoc){
			$comando->bindParam(':fechaIniDoc', $GuiaObj->fechaIniDoc);
		}		
		if ($GuiaObj->fechaFinDoc){
			$comando->bindParam(':fechaFinDoc', $GuiaObj->fechaFinDoc);
		}
		if (($GuiaObj->ges_serie)){
			$comando->bindParam(':ges_serie', $GuiaObj->ges_serie);
		}
		if ($GuiaObj->ge_status){
			if ($GuiaObj->ge_status != '*'){
				$comando->bindParam(':ge_status', $GuiaObj->ge_status);
			}
		}
		$comando->execute();
//		print_r($comando->errorInfo());
		while($row = $comando->fetch()){
			$a_despacho["gex_id"]			= $row["gex_id"];
			$a_despacho["gex_id_format"]	= $row["gex_serie"]."-".$row["gex_id"];
			$a_despacho["ge_id"]			= $row["ge_id"];
			$a_despacho["ge_tipo"]			= $row["ge_tipo"];
			$a_despacho["ge_refDocId"]		= $row["ge_refDocId"];
			$a_despacho["ge_refDocId2"]		= $row["ge_refDocId2"];
			$a_despacho["ge_fechaDoc"]		= $row["ge_fechaDoc"];
			$a_despacho["ge_fechaTrasl"]	= $row["ge_fechaTrasl"];

			$a_despacho["ge_id_rem"]		= $row["ge_id_rem"];
			$a_despacho["ge_ruc_rem"]		= $row["ge_ruc_rem"];
			$a_despacho["ge_nombre_rem"]	= $row["ge_nombre_rem"];

			$a_despacho["ge_id_dst"]		= $row["ge_id_dst"];
			$a_despacho["ge_ruc_dst"]		= $row["ge_ruc_dst"];
			$a_despacho["ge_nombre_dst"]	= $row["ge_nombre_dst"];

			$a_despacho["ge_direccion1_rem"]= $row["ge_direccion1_rem"];
			$a_despacho["ge_direccion2_rem"]= $row["ge_direccion2_rem"];
			$a_despacho["ge_ciudad_rem"]	= $row["ge_ciudad_rem"];
			$a_despacho["ge_estado_rem"]	= $row["ge_estado_rem"];
			$a_despacho["ge_pais_rem"]		= $row["ge_pais_rem"];
			$a_despacho["ge_ubigeo_rem"]	= $row["ge_ubigeo_rem"];

			$a_despacho["ge_direccion1_dst"]= $row["ge_direccion1_dst"];
			$a_despacho["ge_direccion2_dst"]= $row["ge_direccion2_dst"];
			$a_despacho["ge_ciudad_dst"]	= $row["ge_ciudad_dst"];
			$a_despacho["ge_estado_dst"]	= $row["ge_estado_dst"];
			$a_despacho["ge_pais_dst"]		= $row["ge_pais_dst"];
			$a_despacho["ge_ubigeo_dst"]	= $row["ge_ubigeo_dst"];
			
			$a_despacho["ge_obs"]			= $row["ge_obs"];
			$a_despacho["ge_glosa"]			= $row["ge_glosa"];
			$a_despacho["ge_tipo_transporte"]	= $row["ge_tipo_transporte"];
			$a_despacho["ge_transp_doc_tipo"]	= $row["ge_transp_doc_tipo"];
			$a_despacho["ge_transp_doc_nro"]	= $row["ge_transp_doc_nro"];
			$a_despacho["ge_transp_nombre"]		= $row["ge_transp_nombre"];
			$a_despacho["ge_transp_placa"]		= $row["ge_transp_placa"];

			$a_despacho["ge_transp_priv_doc_tipo"]	= $row["ge_transp_priv_doc_tipo"];
			$a_despacho["ge_transp_priv_doc_nro"]	= $row["ge_transp_priv_doc_nro"];
			$a_despacho["ge_transp_priv_nombre"]	= $row["ge_transp_priv_nombre"];
			$a_despacho["ge_transp_priv_apellido"]	= $row["ge_transp_priv_apellido"];
			$a_despacho["ge_transp_priv_licencia"]	= $row["ge_transp_priv_licencia"];

			$a_despacho["ge_transp_priv_placa"]		= $row["ge_transp_priv_placa"];
			$a_despacho["ge_transp_priv_tarjeta"]	= $row["ge_transp_priv_tarjeta"];
			$a_despacho["ge_transp_priv_autoriz"]	= $row["ge_transp_priv_autoriz"];
			$a_despacho["ge_transp_priv_codEmisor"]	= $row["ge_transp_priv_codEmisor"];

			$a_despacho["ge_cli_tipo_doc"]		= $row["ge_cli_tipo_doc"];
			$a_despacho["ge_cli_correo"]		= $row["ge_cli_correo"];
			$a_despacho["ge_transbordo"]		= $row["ge_transbordo"];
			
			$a_despacho["ge_fecEmis"]			= $row["ge_fecEmis"];
			$a_despacho["ge_fecTran"]			= $row["ge_fecTran"];
			$a_despacho["ge_fecEnt"]			= $row["ge_fecEnt"];

			$a_despacho["ge_status"]		= $row["ge_status"];
			$a_despacho["ge_usrreg"]		= $row["ge_usrreg"];
			$a_despacho["ge_usract"]		= $row["ge_usract"];
			$a_despacho["ge_fecreg"]		= $row["ge_fecreg"];
			$a_despacho["ge_fecact"]		= $row["ge_fecact"];
			$a_despacho["ge_status_nombre"] = $row["status_nombre"];
			$a_despacho["ge_tipo_nombre"]	= $row["tipo_nombre"];

			$a_despacho["gex_status"]		= $row["gex_status"];
			$a_despacho["gex_fecreg"]		= $row["gex_fecreg"];

			$a_despacho["od_obs"]			= $row["od_obs"];
			$a_despachoList[]				= $a_despacho;
		}
		return $a_despachoList;

	}


	public function update($GuiaObj){
		global $usuario, $PDO;

		if (isset($GuiaObj->ge_tipo)){
			$set .= ",ge_tipo = :ge_tipo";
		}
		if (isset($GuiaObj->ge_refDocId)){
			$set .= ",ge_refDocId = :ge_refDocId";
		}
		if (isset($GuiaObj->ge_refDocId2)){
			$set .= ",ge_refDocId2 = :ge_refDocId2";
		}
		if (isset($GuiaObj->ge_fechaDoc)){
			$set .= ",ge_fechaDoc = :ge_fechaDoc";
		}
		if (isset($GuiaObj->ge_fechaTrasl)){
			$set .= ",ge_fechaTrasl = :ge_fechaTrasl";
		}
		if (isset($GuiaObj->ge_id_rem)){
			$set .= ",ge_id_rem = :ge_id_rem";
		}
		if (isset($GuiaObj->ge_ruc_rem)){
			$set .= ",ge_ruc_rem = :ge_ruc_rem";
		}
		if (isset($GuiaObj->ge_nombre_rem)){
			$set .= ",ge_nombre_rem = :ge_nombre_rem";
		}
		if (isset($GuiaObj->ge_id_dst)){
			$set .= ",ge_id_dst = :ge_id_dst";
		}
		if (isset($GuiaObj->ge_ruc_dst)){
			$set .= ",ge_ruc_dst = :ge_ruc_dst";
		}
		if (isset($GuiaObj->ge_nombre_dst)){
			$set .= ",ge_nombre_dst = :ge_nombre_dst";
		}
		if (isset($GuiaObj->ge_direccion1_rem)){
			$set .= ",ge_direccion1_rem = :ge_direccion1_rem";
		}
		if (isset($GuiaObj->ge_direccion2_rem)){
			$set .= ",ge_direccion2_rem = :ge_direccion2_rem";
		}
		if (isset($GuiaObj->ge_ciudad_rem)){
			$set .= ",ge_ciudad_rem = :ge_ciudad_rem";
		}
		if (isset($GuiaObj->ge_estado_rem)){
			$set .= ",ge_estado_rem = :ge_estado_rem";
		}
		if (isset($GuiaObj->ge_pais_rem)){
			$set .= ",ge_pais_rem = :ge_pais_rem";
		}
		if (isset($GuiaObj->ge_ubigeo_rem)){
			$set .= ",ge_ubigeo_rem = :ge_ubigeo_rem";
		}
		if (isset($GuiaObj->ge_direccion1_dst)){
			$set .= ",ge_direccion1_dst = :ge_direccion1_dst";
		}
		if (isset($GuiaObj->ge_direccion2_dst)){
			$set .= ",ge_direccion2_dst = :ge_direccion2_dst";
		}
		if (isset($GuiaObj->ge_ciudad_dst)){
			$set .= ",ge_ciudad_dst = :ge_ciudad_dst";
		}
		if (isset($GuiaObj->ge_estado_dst)){
			$set .= ",ge_estado_dst = :ge_estado_dst";
		}
		if (isset($GuiaObj->ge_pais_dst)){
			$set .= ",ge_pais_dst = :ge_pais_dst";
		}
		if (isset($GuiaObj->ge_ubigeo_dst)){
			$set .= ",ge_ubigeo_dst = :ge_ubigeo_dst";
		}

		if (isset($GuiaObj->ge_obs)){
			$set .= ",ge_obs = :ge_obs";
		}
		if (isset($GuiaObj->ge_glosa)){
			$set .= ",ge_glosa = :ge_glosa";
		}
		if (isset($GuiaObj->ge_tipo_transporte)){
			$set .= ",ge_tipo_transporte = :ge_tipo_transporte";
		}
		if (isset($GuiaObj->ge_transp_doc_tipo)){
			$set .= ",ge_transp_doc_tipo = :ge_transp_doc_tipo";
		}
		if (isset($GuiaObj->ge_transp_doc_nro)){
			$set .= ",ge_transp_doc_nro = :ge_transp_doc_nro";
		}
		if (isset($GuiaObj->ge_transp_nombre)){
			$set .= ",ge_transp_nombre = :ge_transp_nombre";
		}
		if (isset($GuiaObj->ge_transp_placa)){
			$set .= ",ge_transp_placa = :ge_transp_placa";
		}

		if (isset($GuiaObj->ge_transp_priv_doc_tipo)){
			$set .= ",ge_transp_priv_doc_tipo = :ge_transp_priv_doc_tipo";
		}
		if (isset($GuiaObj->ge_transp_priv_doc_nro)){
			$set .= ",ge_transp_priv_doc_nro = :ge_transp_priv_doc_nro";
		}
		if (isset($GuiaObj->ge_transp_priv_nombre)){
			$set .= ",ge_transp_priv_nombre = :ge_transp_priv_nombre";
		}
		if (isset($GuiaObj->ge_transp_priv_apellido)){
			$set .= ",ge_transp_priv_apellido = :ge_transp_priv_apellido";
		}

		if (isset($GuiaObj->ge_transp_priv_licencia)){
			$set .= ",ge_transp_priv_licencia = :ge_transp_priv_licencia";
		}
		
		if (isset($GuiaObj->ge_transp_priv_placa)){
			$set .= ",ge_transp_priv_placa = :ge_transp_priv_placa";
		}
		if (isset($GuiaObj->ge_transp_priv_tarjeta)){
			$set .= ",ge_transp_priv_tarjeta = :ge_transp_priv_tarjeta";
		}
		if (isset($GuiaObj->ge_transp_priv_autoriz)){
			$set .= ",ge_transp_priv_autoriz = :ge_transp_priv_autoriz";
		}
		if (isset($GuiaObj->ge_transp_priv_codEmisor)){
			$set .= ",ge_transp_priv_codEmisor = :ge_transp_priv_codEmisor";
		}

		if (isset($GuiaObj->ge_cli_tipo_doc)){
			$set .= ",ge_cli_tipo_doc = :ge_cli_tipo_doc";
		}
		if (isset($GuiaObj->ge_cli_correo)){
			$set .= ",ge_cli_correo = :ge_cli_correo";
		}
		if (isset($GuiaObj->ge_transbordo)){
			$set .= ",ge_transbordo = :ge_transbordo";
		}
		if (isset($GuiaObj->ge_fecTran)){
			$set .= ",ge_fecTran = :ge_fecTran";
		}
		if (isset($GuiaObj->ge_fecEnt)){
			$set .= ",ge_fecEnt = :ge_fecEnt";
		}

		if (isset($GuiaObj->ge_status)){
			$set .= ",ge_status = :ge_status";
		}
		if ($set){
			$set = substr($set,1);
			$GuiaObj->ge_fecact = date("Y-m-d H:i:s");
			$sql2 = "
				UPDATE im_guia
				SET 
					$set
					,ge_usract = :usract
					,ge_fecact = :fecact
				WHERE ge_id = :ge_id
				LIMIT 1";			
/*
echo "<pre>";
echo $sql2;
print_r($GuiaObj);
echo "</pre>";
exit;
*/
			$comando = $PDO->prepare($sql2);
			$comando->bindParam(':ge_id', $GuiaObj->ge_id);
			$comando->bindParam(':usract', $usuario);
			$comando->bindParam(':fecact', $GuiaObj->ge_fecact);

			if (isset($GuiaObj->ge_tipo)){
				$comando->bindParam(':ge_tipo', $GuiaObj->ge_tipo);
			}
			if (isset($GuiaObj->ge_refDocId)){
				$comando->bindParam(':ge_refDocId', $GuiaObj->ge_refDocId);
			}
			if (isset($GuiaObj->ge_refDocId2)){
				$comando->bindParam(':ge_refDocId2', $GuiaObj->ge_refDocId2);
			}
			if (isset($GuiaObj->ge_fechaDoc)){
				$comando->bindParam(':ge_fechaDoc', $GuiaObj->ge_fechaDoc);
			}
			if (isset($GuiaObj->ge_fechaTrasl)){
				$comando->bindParam(':ge_fechaTrasl', $GuiaObj->ge_fechaTrasl);
			}
			if (isset($GuiaObj->ge_id_rem)){
				$comando->bindParam(':ge_id_rem', $GuiaObj->ge_id_rem);
			}
			if (isset($GuiaObj->ge_ruc_rem)){
				$comando->bindParam(':ge_ruc_rem', $GuiaObj->ge_ruc_rem);
			}
			if (isset($GuiaObj->ge_nombre_rem)){
				$comando->bindParam(':ge_nombre_rem', $GuiaObj->ge_nombre_rem);
			}
			if (isset($GuiaObj->ge_id_dst)){
				$comando->bindParam(':ge_id_dst', $GuiaObj->ge_id_dst);
			}
			if (isset($GuiaObj->ge_ruc_dst)){
				$comando->bindParam(':ge_ruc_dst', $GuiaObj->ge_ruc_dst);
			}
			if (isset($GuiaObj->ge_nombre_dst)){
				$comando->bindParam(':ge_nombre_dst', $GuiaObj->ge_nombre_dst);
			}
			if (isset($GuiaObj->ge_direccion1_rem)){
				$comando->bindParam(':ge_direccion1_rem', $GuiaObj->ge_direccion1_rem);
			}
			if (isset($GuiaObj->ge_direccion2_rem)){
				$comando->bindParam(':ge_direccion2_rem', $GuiaObj->ge_direccion2_rem);
			}
			if (isset($GuiaObj->ge_ciudad_rem)){
				$comando->bindParam(':ge_ciudad_rem', $GuiaObj->ge_ciudad_rem);
			}
			if (isset($GuiaObj->ge_estado_rem)){
				$comando->bindParam(':ge_estado_rem', $GuiaObj->ge_estado_rem);
			}
			if (isset($GuiaObj->ge_pais_rem)){
				$comando->bindParam(':ge_pais_rem', $GuiaObj->ge_pais_rem);
			}
			if (isset($GuiaObj->ge_ubigeo_rem)){
				$comando->bindParam(':ge_ubigeo_rem', $GuiaObj->ge_ubigeo_rem);
			}

			if (isset($GuiaObj->ge_direccion1_dst)){
				$comando->bindParam(':ge_direccion1_dst', $GuiaObj->ge_direccion1_dst);
			}
			if (isset($GuiaObj->ge_direccion2_dst)){
				$comando->bindParam(':ge_direccion2_dst', $GuiaObj->ge_direccion2_dst);
			}
			if (isset($GuiaObj->ge_ciudad_dst)){
				$comando->bindParam(':ge_ciudad_dst', $GuiaObj->ge_ciudad_dst);
			}
			if (isset($GuiaObj->ge_estado_dst)){
				$comando->bindParam(':ge_estado_dst', $GuiaObj->ge_estado_dst);
			}
			if (isset($GuiaObj->ge_pais_dst)){
				$comando->bindParam(':ge_pais_dst', $GuiaObj->ge_pais_dst);
			}
			if (isset($GuiaObj->ge_ubigeo_dst)){
				$comando->bindParam(':ge_ubigeo_dst', $GuiaObj->ge_ubigeo_dst);
			}
			if (isset($GuiaObj->ge_obs)){
				$comando->bindParam(':ge_obs', $GuiaObj->ge_obs);
			}
			if (isset($GuiaObj->ge_glosa)){
				$comando->bindParam(':ge_glosa', $GuiaObj->ge_glosa);
			}
			if (isset($GuiaObj->ge_tipo_transporte)){
				$comando->bindParam(':ge_tipo_transporte', $GuiaObj->ge_tipo_transporte);
			}
			if (isset($GuiaObj->ge_transp_doc_tipo)){
				$comando->bindParam(':ge_transp_doc_tipo', $GuiaObj->ge_transp_doc_tipo);
			}
			if (isset($GuiaObj->ge_transp_doc_nro)){
				$comando->bindParam(':ge_transp_doc_nro', $GuiaObj->ge_transp_doc_nro);
			}
			if (isset($GuiaObj->ge_transp_nombre)){
				$comando->bindParam(':ge_transp_nombre', $GuiaObj->ge_transp_nombre);
			}
			if (isset($GuiaObj->ge_transp_placa)){
				$comando->bindParam(':ge_transp_placa', $GuiaObj->ge_transp_placa);
			}

			if (isset($GuiaObj->ge_transp_priv_doc_tipo)){
				$comando->bindParam(':ge_transp_priv_doc_tipo', $GuiaObj->ge_transp_priv_doc_tipo);
			}
			if (isset($GuiaObj->ge_transp_priv_doc_nro)){
				$comando->bindParam(':ge_transp_priv_doc_nro', $GuiaObj->ge_transp_priv_doc_nro);
			}
			if (isset($GuiaObj->ge_transp_priv_nombre)){
				$comando->bindParam(':ge_transp_priv_nombre', $GuiaObj->ge_transp_priv_nombre);
			}
			if (isset($GuiaObj->ge_transp_priv_apellido)){
				$comando->bindParam(':ge_transp_priv_apellido', $GuiaObj->ge_transp_priv_apellido);
			}
			if (isset($GuiaObj->ge_transp_priv_licencia)){
				$comando->bindParam(':ge_transp_priv_licencia', $GuiaObj->ge_transp_priv_licencia);
			}
			

			if (isset($GuiaObj->ge_transp_priv_placa)){
				$comando->bindParam(':ge_transp_priv_placa', strtoupper($GuiaObj->ge_transp_priv_placa));
			}
			if (isset($GuiaObj->ge_transp_priv_tarjeta)){
				$comando->bindParam(':ge_transp_priv_tarjeta', $GuiaObj->ge_transp_priv_tarjeta);
			}
			if (isset($GuiaObj->ge_transp_priv_autoriz)){
				$comando->bindParam(':ge_transp_priv_autoriz', $GuiaObj->ge_transp_priv_autoriz);
			}
			if (isset($GuiaObj->ge_transp_priv_codEmisor)){
				$comando->bindParam(':ge_transp_priv_codEmisor', $GuiaObj->ge_transp_priv_codEmisor);
			}


			if (isset($GuiaObj->ge_cli_tipo_doc)){
				$comando->bindParam(':ge_cli_tipo_doc', $GuiaObj->ge_cli_tipo_doc);
			}
			if (isset($GuiaObj->ge_cli_correo)){
				$comando->bindParam(':ge_cli_correo', $GuiaObj->ge_cli_correo);
			}
			if (isset($GuiaObj->ge_transbordo)){
				$comando->bindParam(':ge_transbordo', $GuiaObj->ge_transbordo);
			}
			if (isset($GuiaObj->ge_fecTran)){
				$comando->bindParam(':ge_fecTran', $GuiaObj->ge_fecTran);
			}
			if (isset($GuiaObj->ge_fecEnt)){
				$comando->bindParam(':ge_fecEnt', $GuiaObj->ge_fecEnt);
			}
			
			if (isset($GuiaObj->ge_status)){
				$comando->bindParam(':ge_status', $GuiaObj->ge_status);
			}
			$comando->execute();
			return $GuiaObj->ge_id;
		}
	}


	public function insert($GuiaObj){
		global $usuario,$PDO;
		$GuiaObj->ge_status = 'P';
		$sql = "
			INSERT INTO `im_guia` 
			(
			  ge_tipo,
			  ge_refDocId,
			  ge_refDocId2,
			  ge_fechaDoc,
			  ge_fechaTrasl,
			  ge_id_rem,
			  ge_nombre_rem,
			  ge_ruc_rem,
			  ge_id_dst,
			  ge_nombre_dst,
			  ge_ruc_dst,
			  
			  ge_direccion1_rem,
			  ge_direccion2_rem,
			  ge_ciudad_rem,
			  ge_estado_rem,
			  ge_pais_rem,
			  ge_ubigeo_rem,

			  ge_direccion1_dst,
			  ge_direccion2_dst,
			  ge_ciudad_dst,
			  ge_estado_dst,
			  ge_pais_dst,
			  ge_ubigeo_dst,

			  ge_obs,
			  ge_glosa,
			  ge_tipo_transporte,
			  ge_transp_doc_tipo,
			  ge_transp_doc_nro,
			  ge_transp_nombre,
			  ge_transp_placa,

			  ge_transp_priv_doc_tipo,
			  ge_transp_priv_doc_nro,
			  ge_transp_priv_nombre,
			  ge_transp_priv_apellido,
			  ge_transp_priv_licencia,

			  ge_transp_priv_placa,
			  ge_transp_priv_tarjeta,
			  ge_transp_priv_autoriz,
			  ge_transp_priv_codEmisor,

			  ge_cli_tipo_doc,
			  ge_cli_correo,
			  ge_transbordo,
			  ge_status,
			  ge_fecreg,
			  ge_usrreg
			) 
			VALUES 
			(
			  :ge_tipo,
			  :ge_refDocId,
			  :ge_refDocId2,
			  :ge_fechaDoc,
			  :ge_fechaTrasl,
			  :ge_id_rem,
			  :ge_nombre_rem,
			  :ge_ruc_rem,
			  :ge_id_dst,
			  :ge_nombre_dst,
			  :ge_ruc_dst,			  
			  :ge_direccion1_rem,
			  :ge_direccion2_rem,
			  :ge_ciudad_rem,
			  :ge_estado_rem,
			  :ge_pais_rem,
			  :ge_ubigeo_rem,
			  :ge_direccion1_dst,
			  :ge_direccion2_dst,
			  :ge_ciudad_dst,
			  :ge_estado_dst,
			  :ge_pais_dst,
			  :ge_ubigeo_dst,
			  :ge_obs,
			  :ge_glosa,
			  :ge_tipo_transporte,
			  :ge_transp_doc_tipo,
			  :ge_transp_doc_nro,
			  :ge_transp_nombre,
			  :ge_transp_placa,

			  :ge_transp_priv_doc_tipo,
			  :ge_transp_priv_doc_nro,
			  :ge_transp_priv_nombre,
			  :ge_transp_priv_apellido,
			  :ge_transp_priv_licencia,

			  :ge_transp_priv_placa,
			  :ge_transp_priv_tarjeta,
			  :ge_transp_priv_autoriz,
			  :ge_transp_priv_codEmisor,

			  :ge_cli_tipo_doc,
			  :ge_cli_correo,
			  :ge_transbordo,
			  :ge_status,
			  :ge_fecreg,
			  :ge_usrreg
			);			
		";
		$comando = $PDO->prepare($sql);
		$GuiaObj->ge_fecreg = date("Y-m-d H:i:s");
		$comando->bindParam(':ge_tipo', $GuiaObj->ge_tipo);
		$comando->bindParam(':ge_refDocId', $GuiaObj->ge_refDocId);
		$comando->bindParam(':ge_refDocId2', $GuiaObj->ge_refDocId2);
		$comando->bindParam(':ge_fechaDoc', $GuiaObj->ge_fechaDoc);
		$comando->bindParam(':ge_fechaTrasl', $GuiaObj->ge_fechaTrasl);
		$comando->bindParam(':ge_id_rem', $GuiaObj->ge_id_rem);
		$comando->bindParam(':ge_nombre_rem', $GuiaObj->ge_nombre_rem);
		$comando->bindParam(':ge_ruc_rem', $GuiaObj->ge_ruc_rem);
		$comando->bindParam(':ge_id_dst', $GuiaObj->ge_id_dst);
		$comando->bindParam(':ge_nombre_dst', $GuiaObj->ge_nombre_dst);
		$comando->bindParam(':ge_ruc_dst', $GuiaObj->ge_ruc_dst);
		$comando->bindParam(':ge_direccion1_rem', $GuiaObj->ge_direccion1_rem);
		$comando->bindParam(':ge_direccion2_rem', $GuiaObj->ge_direccion2_rem);
		$comando->bindParam(':ge_ciudad_rem', $GuiaObj->ge_ciudad_rem);
		$comando->bindParam(':ge_estado_rem', $GuiaObj->ge_estado_rem);
		$comando->bindParam(':ge_pais_rem', $GuiaObj->ge_pais_rem);
		$comando->bindParam(':ge_ubigeo_rem', $GuiaObj->ge_ubigeo_rem);
		$comando->bindParam(':ge_direccion1_dst', $GuiaObj->ge_direccion1_dst);
		$comando->bindParam(':ge_direccion2_dst', $GuiaObj->ge_direccion2_dst);
		$comando->bindParam(':ge_ciudad_dst', $GuiaObj->ge_ciudad_dst);
		$comando->bindParam(':ge_estado_dst', $GuiaObj->ge_estado_dst);
		$comando->bindParam(':ge_pais_dst', $GuiaObj->ge_pais_dst);
		$comando->bindParam(':ge_ubigeo_dst', $GuiaObj->ge_ubigeo_dst);
		$comando->bindParam(':ge_obs', $GuiaObj->ge_obs);
		$comando->bindParam(':ge_glosa', $GuiaObj->ge_glosa);
		$comando->bindParam(':ge_tipo_transporte', $GuiaObj->ge_tipo_transporte);
		$comando->bindParam(':ge_transp_doc_tipo', $GuiaObj->ge_transp_doc_tipo);
		$comando->bindParam(':ge_transp_doc_nro', $GuiaObj->ge_transp_doc_nro);
		$comando->bindParam(':ge_transp_nombre', $GuiaObj->ge_transp_nombre);	
		$comando->bindParam(':ge_transp_placa', $GuiaObj->ge_transp_placa);

		$comando->bindParam(':ge_transp_priv_placa', strtoupper($GuiaObj->ge_transp_priv_placa));
		$comando->bindParam(':ge_transp_priv_tarjeta', $GuiaObj->ge_transp_priv_tarjeta);
		$comando->bindParam(':ge_transp_priv_autoriz', $GuiaObj->ge_transp_priv_autoriz);	
		$comando->bindParam(':ge_transp_priv_codEmisor', $GuiaObj->ge_transp_priv_codEmisor);

		$comando->bindParam(':ge_transp_priv_doc_tipo', $GuiaObj->ge_transp_priv_doc_tipo);
		$comando->bindParam(':ge_transp_priv_doc_nro', $GuiaObj->ge_transp_priv_doc_nro);
		$comando->bindParam(':ge_transp_priv_nombre', $GuiaObj->ge_transp_priv_nombre);
		$comando->bindParam(':ge_transp_priv_apellido', $GuiaObj->ge_transp_priv_apellido);
		$comando->bindParam(':ge_transp_priv_licencia', $GuiaObj->ge_transp_priv_licencia);
		
		$comando->bindParam(':ge_cli_tipo_doc', $GuiaObj->ge_cli_tipo_doc);
		$comando->bindParam(':ge_cli_correo', $GuiaObj->ge_cli_correo);
		$comando->bindParam(':ge_transbordo', $GuiaObj->ge_transbordo);
		$comando->bindParam(':ge_status', $GuiaObj->ge_status);
		$comando->bindParam(':ge_fecreg', $GuiaObj->ge_fecreg);
		$comando->bindParam(':ge_usrreg', $usuario);
		$comando->execute();

		$query	 = "
			SELECT 
			DISTINCT max(ge_id) as id 
			FROM im_guia 
			WHERE ge_fecreg = '".$GuiaObj->ge_fecreg."' AND ge_usrreg = '".$usuario."'; " ;
		$sentencia2 = $PDO->query($query);
		$sentencia2->setFetchMode(PDO::FETCH_ASSOC);
		$row = $sentencia2->fetch();
		return $row["id"];		
	}
}



class ImGuiaLineaModel{

	public function insert($GuiaLineaObj){
		global $usuario,$PDO;
		$sql = "
			INSERT INTO 
			im_guialinea 
			(
			gel_id, 
			gel_lineaId, 
			gel_odl_id,
			gel_prId,
			gel_cantidad,
			gel_peso,
			gel_obs,
			gel_fecreg,
			gel_usrreg
			) 
			VALUES 
			(
			:gel_id,
			:gel_lineaId, 
			:gel_odl_id,
			:gel_prId,
			:gel_cantidad,
			:gel_peso,			
			:gel_obs, 
			:gel_fecreg, 
			:gel_usrreg
			);			
		";
		if (!$GuiaLineaObj->gel_odp_id){
			$GuiaLineaObj->gel_odp_id = '';
		}
		$comando = $PDO->prepare($sql);
		$GuiaLineaObj->gel_fecreg = date("Y-m-d H:i:s");
		$comando->bindParam(':gel_id', $GuiaLineaObj->gel_id);
		$comando->bindParam(':gel_lineaId', $GuiaLineaObj->gel_lineaId);
		$comando->bindParam(':gel_odl_id', $GuiaLineaObj->gel_odl_id);
		$comando->bindParam(':gel_prId', $GuiaLineaObj->gel_prId);
		$comando->bindParam(':gel_cantidad', $GuiaLineaObj->gel_cantidad);
		$comando->bindParam(':gel_peso', $GuiaLineaObj->gel_peso);
		$comando->bindParam(':gel_obs', $GuiaLineaObj->gel_obs);
		$comando->bindParam(':gel_fecreg', $GuiaLineaObj->gel_fecreg);
		$comando->bindParam(':gel_usrreg', $GuiaLineaObj->gel_usrreg);
		$comando->execute();
//print_r($comando->errorInfo());
//exit;
//					echo "<pre>";print_r($a_vars_od_linea[$j]);
//					echo "<pre>";print_r($ImGuiaLineaObj);
					//exit($j."*********<br>");

		$query	 = "
			SELECT DISTINCT max(gel_lineaId) as id 
			FROM im_guialinea 
			WHERE gel_fecreg = '".$GuiaLineaObj->gel_fecreg."' 
				AND gel_usrreg = '".$GuiaLineaObj->gel_usrreg."'; " ;
		$sentencia2 = $PDO->query($query);
		$sentencia2->setFetchMode(PDO::FETCH_ASSOC);
		$row = $sentencia2->fetch();
		return $row["id"];
	}


	public function update($GuiaLineaObj){
		global $usuario, $PDO;
		if ($GuiaLineaObj->gel_prId){
			$set .= ",gel_prId = :gel_prId";
		}
		if ($GuiaLineaObj->gel_cantidad){
			$set .= ",gel_cantidad = :gel_cantidad";
		}
		if ($GuiaLineaObj->gel_obs){
			$set .= ",gel_obs = :gel_obs";
		}
		if ($set){
			$set = substr($set,1);
			$sql2 = "
				UPDATE im_guialinea
				SET 
					$set
					,gel_usract = :gel_usract
				WHERE 
					gel_id = :gel_id
					AND gel_lineaId = :gel_lineaId
				LIMIT 1";		
			$comando = $PDO->prepare($sql2);
			$comando->bindParam(':gel_id', $GuiaLineaObj->gel_id);
			$comando->bindParam(':gel_lineaId', $GuiaLineaObj->gel_lineaId);
			$comando->bindParam(':gel_usract', $usuario);
			if ($GuiaLineaObj->gel_prId){
				$comando->bindParam(':gel_prId', $GuiaLineaObj->gel_prId);
			}
			if ($GuiaLineaObj->gel_cantidad){
				$comando->bindParam(':gel_cantidad', $GuiaLineaObj->gel_cantidad);
			}
			if ($GuiaLineaObj->gel_obs){
				$comando->bindParam(':gel_obs', $GuiaLineaObj->gel_obs);
			}
			$comando->execute();
			return $GuiaLineaObj->gel_lineaId;
		}
	}

	public function delete($lineaId){
		global $PDO;
		$sql = "
			DELETE
			FROM im_guialinea
			WHERE gel_lineaId = :lineaId
			LIMIT 1
		";		
		$comando = $PDO->prepare($sql);
		$comando->bindParam(':lineaId', $lineaId);
		$comando->execute();
		return $lineaId;
	}


	public function selectUniqueId($id,$chkCant=''){
		global $PDO;
		if (!$id){
			return FALSE;
		}
		if ($chkCant){
			$where = " AND gel_cantidad > 0 ";
		}
		$sql = "
			SELECT *
			FROM im_guialinea
				LEFT JOIN im_producto P ON gel_prId = pr_id
				LEFT JOIN im_guia D ON gel_id = ge_id
				LEFT JOIN im_subFamilia ON pr_subfamiliaId = sfm_subFamiliaId
			WHERE gel_id = :gel_id
			$where
		";	
		$comando = $PDO->prepare($sql);
		if ($id){
			$comando->bindParam(':gel_id', $id);
		}
		$comando->execute();
		while($row = $comando->fetch()){
			$a_linea["gel_id"]			= $row["gel_id"];
			$a_linea["gel_lineaId"]		= $row["gel_lineaId"];
			$a_linea["gel_prId"]		= $row["gel_prId"];
			$a_linea["gel_cantidad"]	= $row["gel_cantidad"];
			$a_linea["gel_peso"]		= $row["gel_peso"];
			$a_linea["gel_obs"]			= $row["gel_obs"];
			$a_linea["gel_usrreg"]		= $row["gel_usrreg"];
			$a_linea["gel_usract"]		= $row["gel_usract"];
			$a_linea["gel_fecreg"]		= $row["gel_fecreg"];
			$a_linea["gel_fecact"]		= $row["gel_fecact"];
			$a_linea["pr_productoId"]	= $row["pr_productoId"];
			$a_linea["pr_descripcion"]	= $row["pr_descripcion"];
			$a_linea["pr_uom"]			= $row["pr_uom"];
			$a_linea["pr_ctrlSerie"]	= $row["pr_ctrlSerie"];	
			$a_linea["pr_peso"]			= $row["pr_peso"];				
			$a_linea["sfm_nombre"]		= $row["sfm_nombre"];			
			$a_despacholinea[]			= $a_linea;
		}
		return $a_despacholinea;
			

	}


	public function selectUniqueIdGroupPrId($id){
		global $PDO;
		if (!$id){
			return FALSE;
		}
		$sql = "
			SELECT *, SUM(gel_cantidad) AS cantidad
			FROM im_guialinea
				LEFT JOIN im_producto P ON gel_prId = pr_id
				LEFT JOIN im_guia D ON gel_id = ge_id
			WHERE gel_id = :gel_id
			$where
			GROUP BY gel_prId
		";	
		$comando = $PDO->prepare($sql);
		if ($id){
			$comando->bindParam(':gel_id', $id);
		}
		$comando->execute();
		while($row = $comando->fetch()){
			$a_linea["gel_id"]			= $row["gel_id"];
			$a_linea["gel_lineaId"]		= $row["gel_lineaId"];
			$a_linea["gel_prId"]		= $row["gel_prId"];
			$a_linea["gel_cantidad"]	= $row["cantidad"];
			$a_linea["gel_peso"]		= $row["gel_peso"];
			$a_linea["gel_obs"]			= $row["gel_obs"];
			$a_linea["gel_usrreg"]		= $row["gel_usrreg"];
			$a_linea["gel_usract"]		= $row["gel_usract"];
			$a_linea["gel_fecreg"]		= $row["gel_fecreg"];
			$a_linea["gel_fecact"]		= $row["gel_fecact"];
			$a_linea["pr_productoId"]	= $row["pr_productoId"];
			$a_linea["pr_descripcion"]	= $row["pr_descripcion"];
			$a_linea["pr_uom"]			= $row["pr_uom"];
			$a_linea["pr_ctrlSerie"]	= $row["pr_ctrlSerie"];			
			$a_despacholinea[]			= $a_linea;
		}
		return $a_despacholinea;
			

	}



	public function select($GuiaFilter){
		global $PDO;
		if ($GuiaFilter->gel_id){
			$where .=  " AND gel_id = :gel_id";
		}
		if ($GuiaFilter->pr_ctrlSerie){
			$where .=  " AND pr_ctrlSerie = :pr_ctrlSerie";
		}
		if ($GuiaFilter->gel_lineaId){
			$where .=  " AND gel_lineaId = :gel_lineaId";
		}
		if ($GuiaFilter->gel_prId){
			$where .=  " AND gel_prId = :gel_prId";
		}
		if ($where){
			$sql = "
				SELECT *
				FROM im_guialinea
				LEFT JOIN im_producto ON gel_prId = pr_id
				WHERE 1 $where
			";			
			$comando = $PDO->prepare($sql);
			if ($GuiaFilter->gel_id){
				$comando->bindParam(':gel_id', $GuiaFilter->gel_id);
			}
			if ($GuiaFilter->gel_lineaId){
				$comando->bindParam(':gel_lineaId', $GuiaFilter->gel_lineaId);
			}
			if ($GuiaFilter->gel_prId){
				$comando->bindParam(':gel_prId', $GuiaFilter->gel_prId);
			}
			if ($GuiaFilter->pr_ctrlSerie){
				$comando->bindParam(':pr_ctrlSerie', $GuiaFilter->pr_ctrlSerie);
			}

			$comando->execute();
			//print_r($comando->errorInfo());
			while($row = $comando->fetch()){
				$a_linea["gel_id"]			= $row["gel_id"];
				$a_linea["gel_lineaId"]		= $row["gel_lineaId"];
				$a_linea["gel_prId"]		= $row["gel_prId"];
				$a_linea["gel_cantidad"]	= $row["gel_cantidad"];
				$a_linea["gel_peso"]		= $row["gel_peso"];
				$a_linea["gel_obs"]			= $row["gel_obs"];
				$a_linea["gel_usrreg"]		= $row["gel_usrreg"];
				$a_linea["gel_usract"]		= $row["gel_usract"];
				$a_linea["gel_fecreg"]		= $row["gel_fecreg"];
				$a_linea["gel_fecact"]		= $row["gel_fecact"];
				$a_linea["pr_productoId"]	= $row["pr_productoId"];
				$a_linea["pr_ctrlSerie"]	= $row["pr_ctrlSerie"];
				$a_linea["pr_descripcion"]	= $row["pr_descripcion"];
				$a_despacholinea[]			= $a_linea;
			}
			return $a_despacholinea;
			
		}
	}

	public function selectLineaArticulo($despachoId,$productoId){
		global $PDO;
		if (!$despachoId or !$productoId){
			return FALSE;
		}
		$sql = "
			SELECT *
			FROM im_guialinea
				LEFT JOIN im_producto ON gel_prId = pr_id
			WHERE gel_id = '".$despachoId."'				
				AND gel_prId = '".$productoId."'
		";
		$sentencia = $PDO->query($sql);
		$sentencia->setFetchMode(PDO::FETCH_ASSOC);
		$row = $sentencia->fetch();
		if ($row){
			$a_linea["gel_prId"]		= $row["gel_prId"];
			$a_linea["gel_cantidad"]	= $row["gel_cantidad"];
			$a_linea["pr_productoId"]	= $row["pr_productoId"];
			$a_linea["gel_lineaId"]		= $row["gel_lineaId"];
		}
		return $a_linea;
	}

	public function deleteLinRefDocId2($id){
		global $PDO;
		if (!$id){
			return FALSE;
		}
		$sql = "
			SELECT *
			FROM im_guia
			WHERE ge_refDocId2 = $id
			LIMIT 1
		";
		$sentencia = $PDO->query($sql);
		$sentencia->setFetchMode(PDO::FETCH_ASSOC);
		$row = $sentencia->fetch();	
		if ($row["ge_id"]){
			$sql = "
				DELETE
				FROM im_guialinea
				WHERE gel_id = ".$row["ge_id"]."
			";
			$comando = $PDO->query($sql);
			return $row["ge_id"];
		}
	}

	public function deleteLineasGuia($id){
		global $PDO;
		if (!$id){
			return FALSE;
		}
		$sql = "
			DELETE
			FROM im_guialinea
			WHERE gel_id = ".$id;
		$comando = $PDO->query($sql);
		return $id;
	}
}





class ImGuiaSerieModel{

	public function insert($GuiaSerieObj){
		global $usuario,$PDO;
		$sql = "
			INSERT INTO 
			im_guiaserie 
			( 
			ges_ge_id,
			ges_lineaId,
			ges_ser_id,
			ges_serie,
			ges_fecreg,
			ges_usrreg
			) 
			VALUES 
			(
			:ges_ge_id,
			:ges_lineaId,
			:ges_ser_id,	
			:ges_serie,		
			:ges_fecreg, 
			:ges_usrreg
			);			
		";
		$comando = $PDO->prepare($sql);
		if (!$usuario){
			$GuiaSerieObj->ges_usrreg = "no-identificado";
		}else{
			$GuiaSerieObj->ges_usrreg = $usuario;
		}
		$GuiaSerieObj->ges_fecreg = date("Y-m-d H:i:s");
		$comando->bindParam(':ges_ge_id', $GuiaSerieObj->ges_ge_id);
		$comando->bindParam(':ges_lineaId', $GuiaSerieObj->ges_lineaId);
		$comando->bindParam(':ges_ser_id', $GuiaSerieObj->ges_ser_id);
		$comando->bindParam(':ges_serie', $GuiaSerieObj->ges_serie);
		$comando->bindParam(':ges_fecreg', $GuiaSerieObj->ges_fecreg);
		$comando->bindParam(':ges_usrreg', $GuiaSerieObj->ges_usrreg);
		$comando->execute();

//print_r($comando->errorInfo());
//exit;

		$query	 = "
			SELECT DISTINCT max(ges_id) as id 
			FROM im_guiaserie 
			WHERE ges_fecreg = '".$GuiaSerieObj->ges_fecreg."' 
				AND ges_usrreg = '".$GuiaSerieObj->ges_usrreg."'; " ;
		$sentencia2 = $PDO->query($query);
		$sentencia2->setFetchMode(PDO::FETCH_ASSOC);
		$row = $sentencia2->fetch();
		return $row["id"];
	}



	public function delete($id){
		global $PDO;
		$sql = "
			DELETE
			FROM im_guiaserie
			WHERE ges_id = :ges_id
			LIMIT 1
		";		
		$comando = $PDO->prepare($sql);
		$comando->bindParam(':ges_id', $id);
		$comando->execute();
		return $lineaId;
	}

	public function deleteSeriesLinea($lineaId){
		global $PDO;
		$sql = "
			DELETE
			FROM im_guiaserie
			WHERE ges_lineaId = :lineaId
		";		
		$comando = $PDO->prepare($sql);
		$comando->bindParam(':lineaId', $lineaId);
		$comando->execute();
		return $lineaId;
	}


	public function deleteSeriesGuia($guia){
		global $PDO;
		$sql = "
			DELETE
			FROM im_guiaserie
			WHERE ges_ge_id = :guia
		";		
		$comando = $PDO->prepare($sql);
		$comando->bindParam(':guia', $guia);
		$comando->execute();
		return $lineaId;
	}

	public function selectUniqueId($id){
		global $PDO;
		if (!$id){
			return FALSE;
		}
		$sql = "
			SELECT *
			FROM im_guiaserie
				LEFT JOIN im_serie ON ges_ser_id = ser_id
				LEFT JOIN im_producto P ON ser_prId = pr_id
				LEFT JOIN im_subFamilia ON pr_subfamiliaId = sfm_subFamiliaId
			WHERE gel_id = :gel_id
		";	
		$comando = $PDO->prepare($sql);
		if ($id){
			$comando->bindParam(':gel_id', $id);
		}
		$comando->execute();
		while($row = $comando->fetch()){
			$a_linea["ges_id"]			= $row["ges_id"];
			$a_linea["ges_lineaId"]		= $row["ges_lineaId"];
			$a_linea["ges_prId"]		= $row["ser_prId"];
			$a_linea["ges_usrreg"]		= $row["ges_usrreg"];
			$a_linea["ges_fecreg"]		= $row["ges_fecreg"];
			$a_linea["pr_productoId"]	= $row["pr_productoId"];
			$a_linea["pr_descripcion"]	= $row["pr_descripcion"];
			$a_linea["sfm_nombre"]		= $row["sfm_nombre"];
			$a_despacholinea[]			= $a_linea;
		}
		return $a_despacholinea;
			

	}


	public function select($GuiaFilter){
		global $PDO;
		if ($GuiaFilter->ges_ge_id){
			$where .=  " AND ges_ge_id = :ges_ge_id";
		}
		if ($GuiaFilter->ges_lineaId){
			$where .=  " AND ges_lineaId = :ges_lineaId";
		}
		if ($GuiaFilter->gel_prId){
			$where .=  " AND gel_prId = :gel_prId";
		}
		if ($GuiaFilter->ser_serie){
			$where .=  " AND ser_serie = :ser_serie";
		}

		if ($where){
			$sql = "
				SELECT *
				FROM im_guiaserie
				LEFT JOIN im_guialinea ON ges_lineaId = gel_lineaId
				LEFT JOIN im_serie ON ges_ser_id = ser_id
				LEFT JOIN im_producto ON ser_prId = pr_id
				LEFT JOIN im_subFamilia ON pr_subfamiliaId = sfm_subFamiliaId
				WHERE 1 $where
			";			
			$comando = $PDO->prepare($sql);
			if ($GuiaFilter->ges_ge_id){
				$comando->bindParam(':ges_ge_id', $GuiaFilter->ges_ge_id);
			}
			if ($GuiaFilter->ges_lineaId){
				$comando->bindParam(':ges_lineaId', $GuiaFilter->ges_lineaId);
			}
			if ($GuiaFilter->gel_prId){
				$comando->bindParam(':gel_prId', $GuiaFilter->gel_prId);
			}
			if ($GuiaFilter->ser_serie){
				$comando->bindParam(':ser_serie', $GuiaFilter->ser_serie);
			}

			$comando->execute();
			//print_r($comando->errorInfo());
			while($row = $comando->fetch()){
				$a_linea["ges_id"]			= $row["ges_id"];
				$a_linea["ges_ge_id"]		= $row["ges_ge_id"];
				$a_linea["ges_lineaId"]		= $row["ges_lineaId"];
				$a_linea["ser_prId"]		= $row["ser_prId"];
				$a_linea["ser_serie"]		= $row["ser_serie"];
				$a_linea["ser_id"]			= $row["ser_id"];
				$a_linea["ges_serie"]		= $row["ges_serie"];
				$a_linea["ges_ser_id"]		= $row["ges_ser_id"];
				$a_linea["pr_productoId"]	= $row["pr_productoId"];
				$a_linea["ges_usrreg"]		= $row["ges_usrreg"];
				$a_linea["ges_fecreg"]		= $row["ges_fecreg"];
				$a_linea["sfm_nombre"]		= $row["sfm_nombre"];
				$a_despachoserie[]			= $a_linea;
			}
			return $a_despachoserie;
			
		}
	}

	public function selectSerieArticulo($despachoId,$productoId){
		global $PDO;
		if (!$despachoId or !$productoId){
			return FALSE;
		}
		$sql = "
			SELECT *
			FROM im_guiaserie
				LEFT JOIN im_serie ON ges_ser_id = ser_id
			WHERE ges_ge_id = '".$despachoId."'				
				AND ser_prId = '".$productoId."'
		";					
		$sentencia = $PDO->query($sql);
		$sentencia->setFetchMode(PDO::FETCH_ASSOC);
		$row = $sentencia->fetch();
		if ($row){
			$a_linea["ser_prId"] = $row["ser_prId"];
		}
		return $a_linea;
	}

}


class ImGuiaExtModel{

	public function update($GuiaObj){
		global $usuario, $PDO;

		if (isset($GuiaObj->gex_obs)){
			$set .= ",gex_obs = :gex_obs";
		}
		if (isset($GuiaObj->gex_status)){
			$set .= ",gex_status = :gex_status";
		}
		if ($set){
			$set = substr($set,1);
			$GuiaObj->gex_fecact = date("Y-m-d H:i:s");
			$sql2 = "
				UPDATE im_guiaexterna
				SET 
					$set
					,gex_usrreg = :usract
					,gex_fecreg = :fecact
				WHERE gex_id = :gex_id
				LIMIT 1";			
			$comando = $PDO->prepare($sql2);
			$comando->bindParam(':gex_id', $GuiaObj->gex_id);
			$comando->bindParam(':usract', $usuario);
			$comando->bindParam(':fecact', $GuiaObj->gex_fecact);

			if (isset($GuiaObj->gex_obs)){
				$comando->bindParam(':gex_obs', $GuiaObj->gex_obs);
			}
			if (isset($GuiaObj->gex_status)){
				$comando->bindParam(':gex_status', $GuiaObj->gex_status);
			}
			$comando->execute();

			return $GuiaObj->gex_id;
		}else{
			echo "no set";
		}
	}


}


?>