<?php

class ImOrdenDespachoPdteDetModel{


	public function select($OrdenDespachoPdteDetObj,$limit=''){
		global $usuario, $PDO;
		if ($OrdenDespachoPdteDetObj->odpd_odp_id){
			$where .= " AND odpd_odp_id  = :odpd_odp_id";
		}

		if ($OrdenDespachoPdteDetObj->odp_id){
			$where .= " AND odp_id = :odp_id";
		}
		if ($OrdenDespachoPdteDetObj->odp_od_id){
			$where .= " AND odp_od_id = :odp_od_id";
		}
		if ($OrdenDespachoPdteDetObj->odp_tipo){
			$where .= " AND odp_tipo = :odp_tipo";
		}
		if ($OrdenDespachoPdteDetObj->odp_cli_id){
			$where .= " AND odp_cli_id = :odp_cli_id";
		}
		if ($OrdenDespachoPdteDetObj->odp_cli_nombre){
			$where .= " AND odp_cli_nombre LIKE :odp_cli_nombre";
		}
		if ($OrdenDespachoPdteDetObj->odp_pr_id){
			$where .= " AND odp_pr_id = :odp_pr_id";
		}
		if ($OrdenDespachoPdteDetObj->pr_productoId){
			$where .= " AND pr_productoId = :pr_productoId";
		}
		if ($OrdenDespachoPdteDetObj->odp_refDocId){
			$where .= " AND odp_refDocId = :odp_refDocId";
		}
		if ($OrdenDespachoPdteDetObj->odp_refDocId2){
			$where .= " AND odp_refDocId2 = :odp_refDocId2";
		}
		if ($OrdenDespachoPdteDetObj->fechaIni){
			$where .= " AND odp_fecha >= :fechaIni";
		}
		if ($OrdenDespachoPdteDetObj->fechaFin){
			$where .= " AND odp_fecha <= :fechaFin";
		}
		if ($OrdenDespachoPdteDetObj->odp_pdte){
			$where .= " AND odp_cantidad_pdte > 0";
		}

		$sql = "
			SELECT  *
			FROM im_ordenDespachopendienteDet
				LEFT JOIN im_ordenDespachopendiente ON odpd_odp_id = odp_id
				LEFT JOIN im_producto ON odp_pr_id = pr_id
			WHERE 1 $where
			ORDER BY odpd_id
		";
		$comando = $PDO->prepare($sql);
		if ($OrdenDespachoPdteDetObj->odpd_odp_id){
			$comando->bindParam(':odpd_odp_id', $OrdenDespachoPdteDetObj->odpd_odp_id);
		}
		if ($OrdenDespachoPdteDetObj->odp_id){
			$comando->bindParam(':odp_id', $OrdenDespachoPdteDetObj->odp_id);
		}
		if ($OrdenDespachoPdteDetObj->odp_od_id){
			$comando->bindParam(':odp_od_id', $OrdenDespachoPdteDetObj->odp_od_id);
		}
		if ($OrdenDespachoPdteDetObj->odp_tipo){
			$comando->bindParam(':odp_tipo', $OrdenDespachoPdteDetObj->odp_tipo);
		}
		if ($OrdenDespachoPdteDetObj->odp_cli_id){
			$comando->bindParam(':odp_cli_id', $OrdenDespachoPdteDetObj->odp_cli_id);
		}
		if ($OrdenDespachoPdteDetObj->odp_cli_nombre){
			$comando->bindParam(':odp_cli_nombre', $OrdenDespachoPdteDetObj->odp_cli_nombre);
		}
		if ($OrdenDespachoPdteDetObj->odp_pr_id){
			$comando->bindParam(':odp_pr_id', $OrdenDespachoPdteDetObj->odp_pr_id);
		}
		if ($OrdenDespachoPdteDetObj->pr_productoId){
			$comando->bindParam(':pr_productoId', $OrdenDespachoPdteDetObj->pr_productoId);
		}
		if ($OrdenDespachoPdteDetObj->odp_refDocId){
			$comando->bindParam(':odp_refDocId', $OrdenDespachoPdteDetObj->odp_refDocId);
		}
		if ($OrdenDespachoPdteDetObj->odp_refDocId2){
			$comando->bindParam(':odp_refDocId2', $OrdenDespachoPdteDetObj->odp_refDocId2);
		}
		if ($OrdenDespachoPdteDetObj->fechaIni){
			$comando->bindParam(':fechaIni', $OrdenDespachoPdteDetObj->fechaIni);
		}
		if ($OrdenDespachoPdteDetObj->fechaFin){
			$comando->bindParam(':fechaFin', $OrdenDespachoPdteDetObj->fechaFin);
		}
		$comando->execute();
		while($row = $comando->fetch()){
			$a_despacho["odpd_id"]			= $row["odpd_id"];
			$a_despacho["odpd_odp_id"]		= $row["odpd_odp_id"];
			$a_despacho["odpd_tipo"]		= $row["odpd_tipo"];
			$a_despacho["odpd_fecha"]		= $row["odpd_fecha"];
			$a_despacho["odpd_ing_id"]		= $row["odpd_ing_id"];
			$a_despacho["odpd_docRefId"]	= $row["odpd_docRefId"];
			$a_despacho["odpd_docRefId2"]	= $row["odpd_docRefId2"];
			$a_despacho["odpd_cantidad"]	= $row["odpd_cantidad"];
			$a_despacho["odpd_obs"]			= $row["odpd_obs"];
			$a_despacho["odpd_fecact"]		= $row["odpd_fecact"];

			$a_despacho["odp_id"]			= $row["odp_id"];
			$a_despacho["odp_tipo"]			= $row["odp_tipo"];
			$a_despacho["odp_od_id"]		= $row["odp_od_id"];
			$a_despacho["odp_cli_nombre"]	= $row["odp_cli_nombre"];
			$a_despacho["odp_fecha"]		= $row["odp_fecha"];
			$a_despacho["odp_refDocId"]		= $row["odp_refDocId"];
			$a_despacho["odp_refDocId2"]	= $row["odp_refDocId2"];
			$a_despacho["odp_pr_id"]		= $row["odp_pr_id"];
			$a_despacho["pr_productoId"]	= $row["pr_productoId"];
			$a_despacho["pr_descripcion"]	= $row["pr_descripcion"];
			$a_despacho["odp_cantidad"]		= $row["odp_cantidad"];
			$a_despacho["odp_cantidad_pdte"]= $row["odp_cantidad_pdte"];
			$a_despacho["odp_obs"]			= $row["odp_obs"];
			$a_despachoList[]				= $a_despacho;
		}
		return $a_despachoList;

	}

	
	public function insert($OrdenDespachoPdteDetObj){
		global $usuario, $PDO;
		$sql = "
			INSERT INTO `im_ordenDespachopendienteDet` 
			(
			`odpd_odp_id`, 
			`odpd_tipo`, 
			`odpd_fecha`, 
			odpd_ing_id,
			`odpd_docRefId`, 
			`odpd_docRefId2`, 
			`odpd_cantidad`, 
			`odpd_obs`
			) 
			VALUES 
			(
			:odpd_odp_id, 
			:odpd_tipo, 
			:odpd_fecha,
			:odpd_ing_id,
			:odpd_docRefId, 
			:odpd_docRefId2, 
			:odpd_cantidad, 
			:odpd_obs
			);
		";
		$comando = $PDO->prepare($sql);
		$comando->bindParam(':odpd_odp_id', $OrdenDespachoPdteDetObj->odpd_odp_id);
		$comando->bindParam(':odpd_tipo', $OrdenDespachoPdteDetObj->odpd_tipo);
		$comando->bindParam(':odpd_fecha', $OrdenDespachoPdteDetObj->odpd_fecha);
		$comando->bindParam(':odpd_ing_id', $OrdenDespachoPdteDetObj->odpd_ing_id);
		$comando->bindParam(':odpd_docRefId', $OrdenDespachoPdteDetObj->odpd_docRefId);
		$comando->bindParam(':odpd_docRefId2', $OrdenDespachoPdteDetObj->odpd_docRefId2);
		$comando->bindParam(':odpd_cantidad', $OrdenDespachoPdteDetObj->odpd_cantidad);
		$comando->bindParam(':odpd_obs', $OrdenDespachoPdteDetObj->odpd_obs);
		$comando->execute();
	}
}










?>