<?php

class ImOrdenDespachoPdteModel{


	public function select($OrdenDespachoPdteObj,$limit=''){
		global $usuario, $PDO;
		if ($OrdenDespachoPdteObj->odp_id){
			$where .= " AND odp_id = :odp_id";
		}
		if ($OrdenDespachoPdteObj->odp_od_id){
			$where .= " AND odp_od_id = :odp_od_id";
		}
		if ($OrdenDespachoPdteObj->odp_tipo){
			$where .= " AND odp_tipo = :odp_tipo";
		}
		if ($OrdenDespachoPdteObj->odp_cli_id){
			$where .= " AND odp_cli_id = :odp_cli_id";
		}
		if ($OrdenDespachoPdteObj->odp_cli_nombre){
			$where .= " AND odp_cli_nombre LIKE :odp_cli_nombre";
		}
		if ($OrdenDespachoPdteObj->odp_pr_id){
			$where .= " AND odp_pr_id = :odp_pr_id";
		}
		if ($OrdenDespachoPdteObj->pr_productoId){
			$where .= " AND pr_productoId = :pr_productoId";
		}
		if ($OrdenDespachoPdteObj->odp_refDocId){
			$where .= " AND odp_refDocId = :odp_refDocId";
		}
		if ($OrdenDespachoPdteObj->odp_refDocId2){
			$where .= " AND odp_refDocId2 = :odp_refDocId2";
		}
		if ($OrdenDespachoPdteObj->fechaIni){
			$where .= " AND odp_fecha >= :fechaIni";
		}
		if ($OrdenDespachoPdteObj->fechaFin){
			$where .= " AND odp_fecha <= :fechaFin";
		}
		if ($OrdenDespachoPdteObj->odp_pdte){
			$where .= " AND odp_cantidad_pdte > 0";
		}
		if ($OrdenDespachoPdteObj->orderBy){
			$orderBy = " ORDER BY ".$OrdenDespachoPdteObj->orderBy;
		}else{
			$orderBy = " ORDER BY odp_id";
		}
		$sql = "
			SELECT  *
			FROM im_ordenDespachopendiente
				LEFT JOIN vt_cliente ON odp_cli_id = cl_id 
				LEFT JOIN im_producto ON odp_pr_id = pr_id
			WHERE 1 $where
			$orderBy
			$limit
		";
		$comando = $PDO->prepare($sql);
		if ($OrdenDespachoPdteObj->odp_id){
			$comando->bindParam(':odp_id', $OrdenDespachoPdteObj->odp_id);
		}
		if ($OrdenDespachoPdteObj->odp_od_id){
			$comando->bindParam(':odp_od_id', $OrdenDespachoPdteObj->odp_od_id);
		}
		if ($OrdenDespachoPdteObj->odp_tipo){
			$comando->bindParam(':odp_tipo', $OrdenDespachoPdteObj->odp_tipo);
		}
		if ($OrdenDespachoPdteObj->odp_cli_id){
			$comando->bindParam(':odp_cli_id', $OrdenDespachoPdteObj->odp_cli_id);
		}
		if ($OrdenDespachoPdteObj->odp_cli_nombre){
			$comando->bindParam(':odp_cli_nombre', $OrdenDespachoPdteObj->odp_cli_nombre);
		}
		if ($OrdenDespachoPdteObj->odp_pr_id){
			$comando->bindParam(':odp_pr_id', $OrdenDespachoPdteObj->odp_pr_id);
		}
		if ($OrdenDespachoPdteObj->pr_productoId){
			$comando->bindParam(':pr_productoId', $OrdenDespachoPdteObj->pr_productoId);
		}

		
		if ($OrdenDespachoPdteObj->odp_refDocId){
			$comando->bindParam(':odp_refDocId', $OrdenDespachoPdteObj->odp_refDocId);
		}
		if ($OrdenDespachoPdteObj->odp_refDocId2){
			$comando->bindParam(':odp_refDocId2', $OrdenDespachoPdteObj->odp_refDocId2);
		}
		if ($OrdenDespachoPdteObj->fechaIni){
			$comando->bindParam(':fechaIni', $OrdenDespachoPdteObj->fechaIni);
		}
		if ($OrdenDespachoPdteObj->fechaFin){
			$comando->bindParam(':fechaFin', $OrdenDespachoPdteObj->fechaFin);
		}

		$comando->execute();
//print_r($comando->errorInfo());
		while($row = $comando->fetch()){
			$a_despacho["odp_id"]			= $row["odp_id"];
			$a_despacho["odp_tipo"]			= $row["odp_tipo"];
			$a_despacho["odp_od_id"]		= $row["odp_od_id"];
			$a_despacho["odp_cli_nombre"]	= $row["odp_cli_nombre"];
			$a_despacho["odp_fecha"]		= $row["odp_fecha"];
			$a_despacho["odp_refDocId"]		= $row["odp_refDocId"];
			$a_despacho["odp_refDocId2"]	= $row["odp_refDocId2"];
			$a_despacho["odp_pr_id"]		= $row["odp_pr_id"];
			$a_despacho["pr_productoId"]	= $row["pr_productoId"];
			$a_despacho["pr_descripcion"]	= $row["pr_descripcion"];
			$a_despacho["odp_cantidad"]		= $row["odp_cantidad"];
			$a_despacho["odp_cantidad_pdte"]= $row["odp_cantidad_pdte"];
			$a_despacho["odp_obs"]			= $row["odp_obs"];
			$a_despachoList[]				= $a_despacho;
		}
		return $a_despachoList;

	}


	public function selectPdtes($OrdenDespachoPdteObj,$limit=''){
		global $usuario, $PDO;
		if ($OrdenDespachoPdteObj->odp_id){
			$where .= " AND odp_id = :odp_id";
		}
		if ($OrdenDespachoPdteObj->odp_od_id){
			$where .= " AND odp_od_id = :odp_od_id";
		}
		if ($OrdenDespachoPdteObj->odp_tipo){
			$where .= " AND odp_tipo = :odp_tipo";
			if ($OrdenDespachoPdteObj->odp_tipo=='PI'){
				$whereStk = " AND stk_almacenId = 11 ";
			}elseif($OrdenDespachoPdteObj->odp_tipo=='G'){
				$whereStk = " AND stk_almacenId = 13 ";
			}
		}
		if ($OrdenDespachoPdteObj->odp_cli_id){
			$where .= " AND odp_cli_id = :odp_cli_id";
		}
		if ($OrdenDespachoPdteObj->odp_cli_nombre){
			$where .= " AND odp_cli_nombre LIKE :odp_cli_nombre";
		}
		if ($OrdenDespachoPdteObj->odp_pr_id){
			$where .= " AND odp_pr_id = :odp_pr_id";
		}
		if ($OrdenDespachoPdteObj->pr_productoId){
			$where .= " AND pr_productoId = :pr_productoId";
		}
		if ($OrdenDespachoPdteObj->odp_refDocId){
			$where .= " AND odp_refDocId = :odp_refDocId";
		}
		if ($OrdenDespachoPdteObj->odp_refDocId2){
			$where .= " AND odp_refDocId2 = :odp_refDocId2";
		}
		if ($OrdenDespachoPdteObj->fechaIni){
			$where .= " AND odp_fecha >= :fechaIni";
		}
		if ($OrdenDespachoPdteObj->fechaFin){
			$where .= " AND odp_fecha <= :fechaFin";
		}
//		if ($OrdenDespachoPdteObj->odp_pdte){
			$where .= " AND odp_cantidad_pdte > 0";
//		}
		if ($OrdenDespachoPdteObj->orderBy){
			$orderBy = " ORDER BY ".$OrdenDespachoPdteObj->orderBy;
		}else{
			$orderBy = " ORDER BY odp_id";
		}
		$sql = "
			SELECT  *,
			 TIMESTAMPDIFF(DAY, odp_fecha, '".date("Y-m-d")."') as dias
			FROM im_ordenDespachopendiente
				LEFT JOIN vt_cliente ON odp_cli_id = cl_id 
				LEFT JOIN im_producto ON odp_pr_id = pr_id
				LEFT JOIN im_stock ON pr_id = stk_prId $whereStk
			WHERE 1 $where
			$orderBy
			$limit
		";
		$comando = $PDO->prepare($sql);
		if ($OrdenDespachoPdteObj->odp_id){
			$comando->bindParam(':odp_id', $OrdenDespachoPdteObj->odp_id);
		}
		if ($OrdenDespachoPdteObj->odp_od_id){
			$comando->bindParam(':odp_od_id', $OrdenDespachoPdteObj->odp_od_id);
		}
		if ($OrdenDespachoPdteObj->odp_tipo){
			$comando->bindParam(':odp_tipo', $OrdenDespachoPdteObj->odp_tipo);
		}
		if ($OrdenDespachoPdteObj->odp_cli_id){
			$comando->bindParam(':odp_cli_id', $OrdenDespachoPdteObj->odp_cli_id);
		}
		if ($OrdenDespachoPdteObj->odp_cli_nombre){
			$comando->bindParam(':odp_cli_nombre', $OrdenDespachoPdteObj->odp_cli_nombre);
		}
		if ($OrdenDespachoPdteObj->odp_pr_id){
			$comando->bindParam(':odp_pr_id', $OrdenDespachoPdteObj->odp_pr_id);
		}
		if ($OrdenDespachoPdteObj->pr_productoId){
			$comando->bindParam(':pr_productoId', $OrdenDespachoPdteObj->pr_productoId);
		}
		if ($OrdenDespachoPdteObj->odp_refDocId){
			$comando->bindParam(':odp_refDocId', $OrdenDespachoPdteObj->odp_refDocId);
		}
		if ($OrdenDespachoPdteObj->odp_refDocId2){
			$comando->bindParam(':odp_refDocId2', $OrdenDespachoPdteObj->odp_refDocId2);
		}
		if ($OrdenDespachoPdteObj->fechaIni){
			$comando->bindParam(':fechaIni', $OrdenDespachoPdteObj->fechaIni);
		}
		if ($OrdenDespachoPdteObj->fechaFin){
			$comando->bindParam(':fechaFin', $OrdenDespachoPdteObj->fechaFin);
		}

		$comando->execute();
//print_r($comando->errorInfo());
		while($row = $comando->fetch()){
			$a_despacho["odp_id"]			= $row["odp_id"];
			$a_despacho["odp_tipo"]			= $row["odp_tipo"];
			$a_despacho["odp_od_id"]		= $row["odp_od_id"];
			$a_despacho["odp_cli_nombre"]	= $row["odp_cli_nombre"];
			$a_despacho["odp_fecha"]		= $row["odp_fecha"];
			$a_despacho["odp_refDocId"]		= $row["odp_refDocId"];
			$a_despacho["odp_refDocId2"]	= $row["odp_refDocId2"];
			$a_despacho["odp_pr_id"]		= $row["odp_pr_id"];
			$a_despacho["pr_productoId"]	= $row["pr_productoId"];
			$a_despacho["pr_descripcion"]	= $row["pr_descripcion"];
			$a_despacho["odp_cantidad"]		= $row["odp_cantidad"];
			$a_despacho["odp_cantidad_pdte"]= $row["odp_cantidad_pdte"];
			$a_despacho["odp_obs"]			= $row["odp_obs"];
			/*
			$date1							= new DateTime($row["odp_fecha"]);
			$date2							= new DateTime(date("Y-m-d"));
			$diff							= $date1->diff($date2);
			$a_despacho["dias"]				= $diff->days;
			*/
			$a_despacho["dias"]				= $row["dias"];
			$a_despacho["stk_costoProm"]	= $row["stk_costoProm"];
			$a_despachoList[]				= $a_despacho;
		}
		return $a_despachoList;

	}



	public function selectPdtesRsm($OrdenDespachoPdteObj,$limit=''){
		global $usuario, $PDO;
		if ($OrdenDespachoPdteObj->odp_id){
			$where .= " AND odp_id = :odp_id";
		}
		if ($OrdenDespachoPdteObj->odp_od_id){
			$where .= " AND odp_od_id = :odp_od_id";
		}
		if ($OrdenDespachoPdteObj->odp_tipo){
			$where .= " AND odp_tipo = :odp_tipo";
		}
		if ($OrdenDespachoPdteObj->odp_cli_id){
			$where .= " AND odp_cli_id = :odp_cli_id";
		}
		if ($OrdenDespachoPdteObj->odp_cli_nombre){
			$where .= " AND odp_cli_nombre LIKE :odp_cli_nombre";
		}
		if ($OrdenDespachoPdteObj->odp_pr_id){
			$where .= " AND odp_pr_id = :odp_pr_id";
		}
		if ($OrdenDespachoPdteObj->pr_productoId){
			$where .= " AND pr_productoId = :pr_productoId";
		}
		if ($OrdenDespachoPdteObj->odp_refDocId){
			$where .= " AND odp_refDocId = :odp_refDocId";
		}
		if ($OrdenDespachoPdteObj->odp_refDocId2){
			$where .= " AND odp_refDocId2 = :odp_refDocId2";
		}
		if ($OrdenDespachoPdteObj->fechaIni){
			$where .= " AND odp_fecha >= :fechaIni";
		}
		if ($OrdenDespachoPdteObj->fechaFin){
			$where .= " AND odp_fecha <= :fechaFin";
		}
//		if ($OrdenDespachoPdteObj->odp_pdte){
			$where .= " AND odp_cantidad_pdte > 0";
//		}
		if ($OrdenDespachoPdteObj->orderBy){
			$orderBy = " ORDER BY ".$OrdenDespachoPdteObj->orderBy;
		}else{
			$orderBy = " ORDER BY odp_id";
		}
		$sql = "
			SELECT 
				SUM(odp_cantidad_pdte) as tot_cantidad_pdte,
				SUM(stk_costoProm) as tot_costoProm,
				TIMESTAMPDIFF(DAY, odp_fecha, '".date("Y-m-d")."') as dias,
				IF(TIMESTAMPDIFF(DAY, odp_fecha, '".date("Y-m-d")."') >= 60, 60, IF(TIMESTAMPDIFF(DAY, odp_fecha, '".date("Y-m-d")."') >= 30, 30, '1')) AS dias_tot,
				odp_cli_nombre
			FROM im_ordenDespachopendiente
				LEFT JOIN vt_cliente ON odp_cli_id = cl_id 
				LEFT JOIN im_stock ON odp_pr_id = stk_prId AND stk_almacenId = 11
			WHERE 1 $where
			GROUP BY 4, 5
			ORDER BY 4 DESC, 2  DESC
		";
		$comando = $PDO->prepare($sql);
		if ($OrdenDespachoPdteObj->odp_id){
			$comando->bindParam(':odp_id', $OrdenDespachoPdteObj->odp_id);
		}
		if ($OrdenDespachoPdteObj->odp_od_id){
			$comando->bindParam(':odp_od_id', $OrdenDespachoPdteObj->odp_od_id);
		}
		if ($OrdenDespachoPdteObj->odp_tipo){
			$comando->bindParam(':odp_tipo', $OrdenDespachoPdteObj->odp_tipo);
		}
		if ($OrdenDespachoPdteObj->odp_cli_id){
			$comando->bindParam(':odp_cli_id', $OrdenDespachoPdteObj->odp_cli_id);
		}
		if ($OrdenDespachoPdteObj->odp_cli_nombre){
			$comando->bindParam(':odp_cli_nombre', $OrdenDespachoPdteObj->odp_cli_nombre);
		}
		if ($OrdenDespachoPdteObj->odp_pr_id){
			$comando->bindParam(':odp_pr_id', $OrdenDespachoPdteObj->odp_pr_id);
		}
		if ($OrdenDespachoPdteObj->pr_productoId){
			$comando->bindParam(':pr_productoId', $OrdenDespachoPdteObj->pr_productoId);
		}
		if ($OrdenDespachoPdteObj->odp_refDocId){
			$comando->bindParam(':odp_refDocId', $OrdenDespachoPdteObj->odp_refDocId);
		}
		if ($OrdenDespachoPdteObj->odp_refDocId2){
			$comando->bindParam(':odp_refDocId2', $OrdenDespachoPdteObj->odp_refDocId2);
		}
		if ($OrdenDespachoPdteObj->fechaIni){
			$comando->bindParam(':fechaIni', $OrdenDespachoPdteObj->fechaIni);
		}
		if ($OrdenDespachoPdteObj->fechaFin){
			$comando->bindParam(':fechaFin', $OrdenDespachoPdteObj->fechaFin);
		}

		$comando->execute();
//print_r($comando->errorInfo());
		while($row = $comando->fetch()){
			$a_despacho["odp_cli_nombre"]	= $row["odp_cli_nombre"];
			$a_despacho["tot_cantidad_pdte"]= $row["tot_cantidad_pdte"];
			$a_despacho["dias"]				= $row["dias"];
			$a_despacho["dias_tot"]			= $row["dias_tot"];
			$a_despacho["tot_costoProm"]	= $row["tot_costoProm"];
			$a_despachoList[]				= $a_despacho;
		}
		return $a_despachoList;

	}




	public function insert($OrdenDespachoLineaObj){
		global $usuario,$PDO;
		$sql = "
			INSERT INTO im_ordenDespachopendiente
			(
			odp_tipo, 
			odp_od_id,
			odp_cli_id,
			odp_cli_nombre,
			odp_fecha,
			odp_refDocId,
			odp_refDocId2,
			odp_pr_id,
			odp_cantidad,
			odp_cantidad_pdte,
			odp_obs
			)
			VALUES
			(
			:odp_tipo, 
			:odp_od_id,
			:odp_cli_id,
			:odp_cli_nombre,
			:odp_fecha,
			:odp_refDocId,
			:odp_refDocId2,
			:odp_pr_id,
			:odp_cantidad,
			:odp_cantidad_pdte,
			:odp_obs
			);		
		";
		$comando = $PDO->prepare($sql);
		$OrdenDespachoLineaObj->odp_fecreg = date("Y-m-d H:i:s");
		$comando->bindParam(':odp_tipo', $OrdenDespachoLineaObj->odp_tipo);
		$comando->bindParam(':odp_od_id', $OrdenDespachoLineaObj->odp_od_id);
		$comando->bindParam(':odp_cli_id', $OrdenDespachoLineaObj->odp_cli_id);
		$comando->bindParam(':odp_cli_nombre', $OrdenDespachoLineaObj->odp_cli_nombre);
		$comando->bindParam(':odp_fecha', $OrdenDespachoLineaObj->odp_fecha);
		$comando->bindParam(':odp_refDocId', $OrdenDespachoLineaObj->odp_refDocId);
		$comando->bindParam(':odp_refDocId2', $OrdenDespachoLineaObj->odp_refDocId2);
		$comando->bindParam(':odp_pr_id', $OrdenDespachoLineaObj->odp_pr_id);
		$comando->bindParam(':odp_cantidad', $OrdenDespachoLineaObj->odp_cantidad);
		$comando->bindParam(':odp_cantidad_pdte', $OrdenDespachoLineaObj->odp_cantidad_pdte);
		$comando->bindParam(':odp_obs', $OrdenDespachoLineaObj->odp_obs);
		$comando->execute();
//print_r($comando->errorInfo());
//exit;
		$query	 = "
			SELECT DISTINCT max(odp_id) as id 
			FROM im_ordenDespachopendiente 
			WHERE odp_fecact = '".$OrdenDespachoLineaObj->odp_fecreg."' 
				AND odp_usract = '".$usuario."'; " ;
		$sentencia2 = $PDO->query($query);
		$sentencia2->setFetchMode(PDO::FETCH_ASSOC);
		$row = $sentencia2->fetch();
		return $row["id"];
	}









}










?>