<?php


class ImPaisModel{

	public function selectUniqueId($id){
		global $PDO;
		if (!$id){
			return FALSE;
		}
		$sql = "
			SELECT *
				xx_pais
			WHERE pai_id = :id
		";
		$comando = $PDO->prepare($sql);
		$comando->bindParam(':id', $id);
		$comando->execute();
		$resultado = $comando->fetchAll(PDO::FETCH_ASSOC);
		$row = $resultado[0];
		$a_pais["pai_id"]		= $row["pai_id"];
		$a_pais["pai_nombre"]	= $row["pai_nombre"];
		return $a_pais;
	}


	public function select($PaisObj,$limit=''){
		global $usuario, $PDO;
		if ($PaisObj->pai_id){
			$where .= "AND pai_id = :pai_id";
		}
		if ($PaisObj->pai_nombre){
			$where .= "AND pai_nombre LIKE :pai_nombre";
		}
		if ($limit){
			$field = " SQL_CALC_FOUND_ROWS * ";
		}else{
			$field = " * ";	
		}
		if ($PaisObj->orderBy){
			$orderBy = " ORDER BY :orderBy";
		}else{
			$orderBy = " ORDER BY pai_nombre";
		}
		$sql = "
			SELECT *
			FROM xx_pais 
			WHERE 1 $where
			$orderBy
		";
		$comando = $PDO->prepare($sql);
		if ($PaisObj->pai_id){
			$comando->bindParam(':pai_id', $PaisObj->pai_id);
		}
		if ($PaisObj->pai_nombre){
			$comando->bindParam(':pai_nombre', $PaisObj->pai_nombre);
		}
		if ($PaisObj->orderBy){
			$comando->bindParam(':orderBy', $PaisObj->orderBy);
		}			
		$comando->execute();

		while($row = $comando->fetch()){
			$a_pais["pai_id"]		= $row["pai_ISO2"];
			$a_pais["pai_nombre"]	= $row["pai_nombre"];
			$a_paisList["listaPag"][] = $a_pais;
		}
		$sqlTotal = "
			SELECT FOUND_ROWS() as total
		";
		$sentencia = $PDO->query($sqlTotal);
		$sentencia->setFetchMode(PDO::FETCH_ASSOC);
		$rowTotal = $sentencia->fetch();
		$a_paisList["total"] = $rowTotal["total"];
		return $a_paisList;

	}


	public function update($PaisObj){
		global $usuario, $PDO;
		if ($PaisObj->pai_nombre){
			$set .= ", pai_nombre = :pai_nombre";
		}
		if ($set && $PaisObj->pai_id){
			$set = substr($set,1);
			$sql2 = "
				UPDATE xx_pais
				SET 
					$set
				WHERE pai_id = :pai_id
				LIMIT 1";
			$comando = $PDO->prepare($sql2);
			$comando->bindParam(':pai_id', $PaisObj->pai_id);
			if ($PaisObj->pai_nombre){
				$comando->bindParam(':pai_nombre', $PaisObj->pai_nombre);
			}
			$comando->execute();
			return $PaisObj->pai_id;
		}
	}


	public function insert($PaisObj){
		global $PDO;
		$sql = "
			INSERT INTO xx_pais 
			(
			pai_id, 
			pai_nombre
			) 
			VALUES 
			(
			:pai_id,
			:pai_nombre
			);			
		";
		$comando = $PDO->prepare($sql);
		$fecreg = date("Y-m-d H:i:s");
		$comando->bindParam(':pai_id', $PaisObj->pai_id);
		$comando->bindParam(':pai_nombre', $PaisObj->pai_nombre);
		$comando->execute();	 
		return $PaisObj->pai_id;
	}

}


?>