<?php

include_once ("class/imIngreso.class.php");
include_once ("class/imSalida.class.php");
include_once ("class/imAlmacen.class.php");

class ImSalConsig{

	public function procesaSalConsig($sal_id){
		global $PDO, $usuario;
		if (!$PDO->inTransaction()){
			try {  
				$PDO->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
				$PDO->beginTransaction();
				$this->procesaSalConsigCore($sal_id);
				$PDO->commit();
			} catch (Exception $e) {
			  $PDO->rollBack();
			  echo "Fallo: " . $e->getMessage();
			  exit;
			}
		}else{
			$this->procesaSalConsigCore($sal_id);
		}
	}




	public function procesaSalConsigCore($sal_id){
		global $PDO, $usuario;

		//Almacen configurado como consignacion (solo existe 1)
		$ImAlmacen		= NEW ImAlmacen();
		$ImAlmacenObj	= NEW ImAlmacen();
		$ImAlmacenObj->alm_consignacion	= TRUE;
		$a_almacenList	= $ImAlmacen->consultar($ImAlmacenObj);
		$alm_consignacion	= $a_almacenList["listaPag"][0]["alm_id"];

		//DATOS DESDE SALDIDA POR CONSIGNACION
		$ImSalida = NEW ImSalida();
		$a_vars_salida = $ImSalida->consultarId($sal_id);
		$ImSalidaLinea = NEW ImSalida();
		$a_vars_salida_linea = $ImSalidaLinea->consultarIdLineas($sal_id);
		//CREAR INGRESO
		if (is_array($a_vars_salida_linea)){
			$ImIngreso		= NEW ImIngreso();
			$ImIngresoObj	= NEW ImIngreso();
			$ImIngresoObj->ing_tipo			= "G";
			$ImIngresoObj->ing_almacenId	= $alm_consignacion;
			$ImIngresoObj->ing_loteId		= $a_vars_salida["sal_loteId"];
			$ImIngresoObj->ing_prv_id		= 0;
			$ImIngresoObj->ing_prv_nombre	= $a_vars_salida["sal_cli_nombre"];
			$ImIngresoObj->ing_fecha		= $a_vars_salida["sal_fecha"];
			$ImIngresoObj->ing_fechaDoc		= $a_vars_salida["sal_fechaDoc"];
			$ImIngresoObj->ing_refDocTipo	= $a_vars_salida["sal_refDocTipo"];
			$ImIngresoObj->ing_refDocId		= $a_vars_salida["sal_refDocId"];
			$ImIngresoObj->ing_refDocTipo2	= $a_vars_salida["sal_refDocTipo2"];
			$ImIngresoObj->ing_refDocId2	= $a_vars_salida["sal_refDocId2"];
			$ImIngresoObj->ing_tipoCambio	= 0;
			$ImIngresoObj->ing_glosa		= $a_vars_salida["sal_glosa"];
			$ImIngresoObj->ing_obs			= "CONSIGNACION ".$a_vars_salida["sal_cli_nombre"]." ".$a_vars_salida["sal_obs"];
			$ImIngresoObj->ing_usrreg		= $a_vars_salida["sal_usrreg"];
			$ingresoId = $ImIngreso->crear($ImIngresoObj);

			for ($j=0; $j < count($a_vars_salida_linea); $j++){
				$ImIngresoLinea		= NEW ImIngresoLinea();
				$ImIngresoLineaObj	= NEW ImIngresoLinea();
				$ImIngresoLineaObj->ingl_id			= $ingresoId;
				$ImIngresoLineaObj->ingl_prId		= $a_vars_salida_linea[$j]["sall_prId"];
				//$ImIngresoLineaObj->ingl_loteId		= $a_vars_salida_linea[$j]["ingl_loteId"];
				$ImIngresoLineaObj->ingl_cantidad	= $a_vars_salida_linea[$j]["sall_cantidad"];
				/* tomara costo prom actual NO */
				$ImIngresoLineaObj->ingl_costo		= $a_vars_salida_linea[$j]["sall_costo"];
				if ($a_vars_salida_linea[$j]["sall_costo_gl"] <= 0){
					$ImIngresoLineaObj->ingl_costo_gl = $a_vars_salida_linea[$j]["sall_costo"] * $a_vars_salida["sal_tipoCambio"];
				}else{
					$ImIngresoLineaObj->ingl_costo_gl = $a_vars_salida_linea[$j]["sall_costo_gl"];
				}
				/**/
				$ImIngresoLineaObj->ingl_usrreg	= $a_vars_salida["sal_usrreg"];
				$result = $ImIngresoLinea->crear($ImIngresoLineaObj);					
			}
//			exit($ingresoId."EN MANTENIMIENTOxx");
			$ImSalida->cerrarSalida($sal_id);
			$ImIngreso->cerrarIngreso($ingresoId);
		}		  

	}


}





?>