<?php
include ("imSalidaModel.class.php");
//include ("imStockMovim.class.php");
include ("imSerieMovim.class.php");

class ImSalida{

	public function consultarId($id){
		$ImSalidaModel= NEW ImSalidaModel();
		$a_result = $ImSalidaModel->selectUniqueId($id);
		return $a_result;
	}

	public function consultar($ImSalidaFilter){
		$ImSalidaModel = NEW ImSalidaModel();
		return $ImSalidaModel->select($ImSalidaFilter);
	}

	public function consultarPag($ImSalidaFilter,$limit){
		$ImSalidaModel = NEW ImSalidaModel();
		return $ImSalidaModel->select($ImSalidaFilter,$limit);
	}

	public function consultarIdLineas($id){
		$ImSalidaModel= NEW ImSalidaLineaModel();
		$a_result = $ImSalidaModel->selectUniqueId($id);
		return $a_result;
	}

	public function procesar($id){
		global $usuario, $PDO;
		try {
			$PDO->beginTransaction();

			$this->cerrarSalida($id);
			$PDO->commit();
			return $a_imSalidaLineas;

		} catch (Exception $e) {
			echo '<h5 style=background-color:ffff00>Error capturado: ',  $e->getMessage(), "</h5>\n";
			$PDO->rollback();
			exit;
			return FALSE;
		}
	}

	public function cerrarSalida($id){
		global $usuario, $PDO;
		$a_ImSalidaModel		= $this->consultarId($id);
		if ($a_ImSalidaModel["sal_status"] == ''){

			$ImSalidaModelUpd		 = NEW ImSalidaModel();
			$ImSalidaModelSetObj	 = NEW ImSalidaModel();
			$ImSalidaLineaModel		 = NEW ImSalidaLineaModel();
			$ImSalidaModelSetObj->sal_id	 = $id;
			$ImSalidaModelSetObj->sal_status = 'C';
			$ImSalidaModelUpd->update($ImSalidaModelSetObj);
			$a_imSalidaLineas = $ImSalidaLineaModel->selectUniqueId($id);
			
			foreach ($a_imSalidaLineas as $clave => $valor) {
				$StockMovim = NEW ImStockMovim();
				$StockMovim->smv_prId		= $valor["sall_prId"];
				$StockMovim->smv_almacenId	= $a_ImSalidaModel["sal_almacenId"];
				$StockMovim->smv_loteId		= $valor["sall_loteId"];
				$StockMovim->smv_fecha		= $a_ImSalidaModel["sal_fecha"];
				$StockMovim->smv_ingSal		= "S";
				$StockMovim->smv_tipo		= $a_ImSalidaModel["sal_tipo"];
				$StockMovim->smv_docum		= $id;
				$StockMovim->smv_documTipo	= "S";
				$StockMovim->smv_documRef	= $a_ImSalidaModel["sal_refDocTipo"]." | ".$a_ImSalidaModel["sal_refDocId"];
				$StockMovim->smv_cantidad   = $valor["sall_cantidad"];
				$StockMovim->smv_costo		= $valor["sall_costo"];
				$StockMovim->smv_obs		= "";
				$StockMovim->smv_tc_contab	 = TIPO_CAMBIO_CONTAB;
				$StockMovim->smv_tc			= TIPOCAMBIO;
				$StockMovim->agregar($StockMovim);
			}
			$ImSalidaSerieModel	= NEW ImSalidaSerieModel();
			$a_imSalidaSeries = $ImSalidaSerieModel->selectUniqueSalidaId($id);
			foreach ($a_imSalidaSeries as $clave => $valor) {
				$SerieMovim = NEW ImSerieMovim();
				$SerieMovim->semv_ser_id	= $valor["sals_ser_id"];
				$SerieMovim->semv_almacenId	= $a_ImSalidaModel["sal_almacenId"];
				$SerieMovim->semv_fecha		= date("Y-m-d");
				$SerieMovim->semv_ingSal	= "S";
				$SerieMovim->semv_tipo		= $a_ImSalidaModel["sal_tipo"];
				$SerieMovim->semv_documTipo	= "S";
				$SerieMovim->semv_docum		= $id;
				$SerieMovim->semv_documRef	= $a_ImSalidaModel["sal_refDocTipo"]." | ".$a_ImSalidaModel["sal_refDocId"];
				$SerieMovim->semv_obs		= "";
				$SerieMovim->crear($SerieMovim);
			}
						
			return $a_imSalidaLineas;
		}else{
			return FALSE;
		}
	}





	public function crear($ImSalidaObj){		
		$ImSalidaModelIns = NEW ImSalidaModel();
		return $ImSalidaModelIns->insert($ImSalidaObj);
	}


	public function modificar($ImSalidaObj){
		if (!$ImSalidaObj->sal_id){
			return FALSE;
		}
		$ImSalidaModelUpd				= NEW ImSalidaModel();
		$ImSalidaModelSetObj			= NEW ImSalidaModel();	
		$ImSalidaModelSetObj->sal_id			= $ImSalidaObj->sal_id;
		$ImSalidaModelSetObj->sal_tipo			= $ImSalidaObj->sal_tipo;
		$ImSalidaModelSetObj->sal_fecha			= $ImSalidaObj->sal_fecha;
		$ImSalidaModelSetObj->sal_cli_nombre	= $ImSalidaObj->sal_cli_nombre;
		$ImSalidaModelSetObj->sal_fechaDoc		= $ImSalidaObj->sal_fechaDoc;
		$ImSalidaModelSetObj->sal_almacenId		= $ImSalidaObj->sal_almacenId;
		$ImSalidaModelSetObj->sal_loteId		= $ImSalidaObj->sal_loteId;
		$ImSalidaModelSetObj->sal_refDocTipo	= $ImSalidaObj->sal_refDocTipo;
		$ImSalidaModelSetObj->sal_refDocId		= $ImSalidaObj->sal_refDocId;
		$ImSalidaModelSetObj->sal_refDocTipo2	= $ImSalidaObj->sal_refDocTipo2;
		$ImSalidaModelSetObj->sal_refDocId2		= $ImSalidaObj->sal_refDocId2;
		$ImSalidaModelSetObj->sal_glosa			= $ImSalidaObj->sal_glosa;
		$ImSalidaModelSetObj->sal_obs			= $ImSalidaObj->sal_obs;
		$ImSalidaModelSetObj->sal_status		= $ImSalidaObj->sal_status;
		return $ImSalidaModelUpd->update($ImSalidaModelSetObj);		
	}


	public function anular($id){
		if (!$id){
			return FALSE;
		}
		$ImSalidaModelUpd			 = NEW ImSalidaModel();
		$ImSalidaModelSetObj		 = NEW ImSalidaModel();	
		$ImSalidaModelSetObj->sal_id	  = $id;
		$ImSalidaModelSetObj->sal_status  = 'A';
		return $ImSalidaModelUpd->update($ImSalidaModelSetObj);
	}


	public function close($sal_id){
		//$ImSalidaQry = NEW ImSalida();
		$a_vars_qry = $this->consultarId($sal_id);
		if ($a_vars_qry["sal_status"]==''){
			return $this->procesar($sal_id);
		}	
	}


}






class ImSalidaLinea{

	public function crear($ImSalidaLineaObj){
		if ($ImSalidaLineaObj->sall_costo<=0){
			$ImSalida = NEW ImSalida();
			$a_vars_salida	= $ImSalida->consultarId($ImSalidaLineaObj->sall_id);
			$almDev = $a_vars_salida["sal_almacenId"];
			$ImStock = NEW ImStock();
			$a_stock = $ImStock->consultarId($almDev,$ImSalidaLineaObj->sall_prId);
			if (is_array($a_stock)){
				if ($a_stock["stk_costoProm"]){
					$ImSalidaLineaObj->sall_costo = $a_stock["stk_costoProm"];
				}
				if ($a_stock["stk_costoProm_gl"]){
					$ImSalidaLineaObj->sall_costo_gl = $a_stock["stk_costoProm_gl"];
				}
			}
		}
		$ImSalidaLineaModelIns = NEW ImSalidaLineaModel();
		return $ImSalidaLineaModelIns->insert($ImSalidaLineaObj);
	}

	public function modificar($ImSalidaLineaObj){
		if (!$ImSalidaLineaObj->sall_id){
			return FALSE;
		}
		$ImSalidaModelLineaUpd	  = NEW ImSalidaLineaModel();
		$ImSalidaModelLineaSetObj = NEW ImSalidaLineaModel();	
		$ImSalidaModelLineaSetObj->sall_id			= $ImSalidaLineaObj->sall_id;
		$ImSalidaModelLineaSetObj->sall_lineaId		= $ImSalidaLineaObj->sall_lineaId;
		$ImSalidaModelLineaSetObj->sall_prId		= $ImSalidaLineaObj->sall_prId;
		$ImSalidaModelLineaSetObj->sall_loteId		= $ImSalidaLineaObj->sall_loteId;
		$ImSalidaModelLineaSetObj->sall_productoId	= $ImSalidaLineaObj->sall_productoId;
		$ImSalidaModelLineaSetObj->sall_descripcion	= $ImSalidaLineaObj->sall_descripcion;
		$ImSalidaModelLineaSetObj->sall_cantidad	= $ImSalidaLineaObj->sall_cantidad;
		$ImSalidaModelLineaSetObj->sall_costo		= $ImSalidaLineaObj->sall_costo;
		$ImSalidaModelLineaSetObj->sall_costo_gl	= $ImSalidaLineaObj->sall_costo_gl;
		return $ImSalidaModelLineaUpd->update($ImSalidaModelLineaSetObj);		
	}

	public function borrar($id){
		$ImSalidaLineaModelDel = NEW ImSalidaLineaModel();
		return $ImSalidaLineaModelDel->delete($id);		
	}

	public function consultarLineaArticulo($salidaId,$productoId){
		$ImSalidaLineaModel= NEW ImSalidaLineaModel();
		$a_result = $ImSalidaLineaModel->selectLineaArticulo($salidaId,$productoId);
		return $a_result;
	}

	public function consultar($ImSalidaLineaObj){
		$ImSalidaLineaModel= NEW ImSalidaLineaModel();
		$a_result = $ImSalidaLineaModel->select($ImSalidaLineaObj);
		return $a_result;
	}

}



class ImSalidaSerie{

	public function crear($ImSalidaSerieObj){
		$ImSalidaSerieModelIns = NEW ImSalidaSerieModel();
		return $ImSalidaSerieModelIns->insert($ImSalidaSerieObj);
	}

	public function consultarSerieArticulo($salidaId,$productoId){
		$ImSalidaSerieModel= NEW ImSalidaSerieModel();
		$a_result = $ImSalidaSerieModel->selectSerieArticulo($salidaId,$productoId);
		return $a_result;
	}

	public function consultar($ImSalidaSerieObj){
		$ImSalidaSerieModel= NEW ImSalidaSerieModel();
		$a_result = $ImSalidaSerieModel->select($ImSalidaSerieObj);
		return $a_result;
	}
}

?>