<?php


class ImSalidaModel{

	public function selectUniqueId($id){
		global $PDO;
		if (!$id){
			return FALSE;
		}
		$sql = "
			SELECT *, 
				MSTAT.mlst_valorDsc as status_nombre,
				MTIPO.mlst_valorDsc as tipo_nombre
			FROM im_salida
				LEFT JOIN im_almacen ON sal_almacenId = alm_id 
				LEFT JOIN xx_maestrolista MSTAT ON sal_status = MSTAT.mlst_valorId AND MSTAT.mlst_listaId = 'imSalStatus'
				LEFT JOIN xx_maestrolista MTIPO ON sal_tipo = MTIPO.mlst_valorId AND MTIPO.mlst_listaId = 'imSalTipo'
			WHERE sal_id = '".$id."'
		";					
		$sentencia = $PDO->query($sql);
		$sentencia->setFetchMode(PDO::FETCH_ASSOC);
		$row = $sentencia->fetch();
		$a_salida["sal_id"]			= $row["sal_id"];
		$a_salida["sal_tipo"]		= $row["sal_tipo"];
		$a_salida["sal_fecha"]		= $row["sal_fecha"];
		$a_salida["sal_fechaDoc"]	= $row["sal_fechaDoc"];
		$a_salida["sal_almacenId"]	= $row["sal_almacenId"];
		$a_salida["sal_loteId"]		= $row["sal_loteId"];
		$a_salida["sal_refDocTipo"]	= $row["sal_refDocTipo"];
		$a_salida["sal_refDocId"]	= $row["sal_refDocId"];
		$a_salida["sal_refDocTipo2"]= $row["sal_refDocTipo2"];
		$a_salida["sal_refDocId2"]	= $row["sal_refDocId2"];
		$a_salida["sal_glosa"]		= $row["sal_glosa"];
		$a_salida["sal_obs"]		= $row["sal_obs"];
		$a_salida["sal_2_ing_id"]	= $row["sal_2_ing_id"];
		$a_salida["sal_cli_nombre"]	= $row["sal_cli_nombre"];
		$a_salida["sal_status"]		= $row["sal_status"];
		$a_salida["sal_usrreg"]		= $row["sal_usrreg"];
		$a_salida["sal_usract"]		= $row["sal_usract"];
		$a_salida["sal_fecreg"]		= $row["sal_fecreg"];
		$a_salida["sal_fecact"]		= $row["sal_fecact"];
		$a_salida["alm_nombre"]		= $row["alm_nombre"];
		$a_salida["sal_status_nombre"] = $row["status_nombre"];
		$a_salida["sal_tipo_nombre"] = $row["tipo_nombre"];
		return $a_salida;
	}

	public function select($SalidaObj,$limit=''){
		global $usuario, $PDO;
		if ($SalidaObj->sal_id){
			$where .= " AND sal_id = '".$SalidaObj->sal_id."'";
		}
		if ($SalidaObj->sal_tipo){
			$where .= " AND sal_tipo = '".$SalidaObj->sal_tipo."'";
		}
		if ($SalidaObj->sal_almacenId){
			$where .= " AND sal_almacenId = '".$SalidaObj->sal_almacenId."'";
		}
		if ($SalidaObj->sal_loteId){
			$where .= " AND sal_loteId = '".$SalidaObj->sal_loteId."'";
		}
		if ($SalidaObj->sal_cli_nombre){
			$where .= " AND sal_cli_nombre LIKE '".$SalidaObj->sal_cli_nombre."%'";
		}
		if ($SalidaObj->fechaIni){
			$where .= " AND sal_fecha >= '".$SalidaObj->fechaIni."'";
		}
		if ($SalidaObj->fechaFin){
			$where .= " AND sal_fecha <= '".$SalidaObj->fechaFin."'";
		}
		if ($SalidaObj->sal_refDocTipo){
			$where .= " AND sal_refDocTipo = '".$SalidaObj->sal_refDocTipo."'";
		}
		if ($SalidaObj->sal_refDocId){
			$where .= " AND sal_refDocId = '".$SalidaObj->sal_refDocId."'";
		}
		if ($SalidaObj->sal_refDocId2){
			$where .= " AND sal_refDocId2 = '".$SalidaObj->sal_refDocId2."'";
		}
		if ($SalidaObj->sal_glosa){
			$where .= " AND sal_glosa LIKE '".$SalidaObj->sal_glosa."'";
		}
		if ($SalidaObj->sal_status=='*'){
			$where .= " AND sal_status = ''";
		}elseif ($SalidaObj->sal_status){
			$where .= " AND sal_status = '".$SalidaObj->sal_status."'";
		}
		if ($SalidaObj->pr_id){
			$where .= " AND sall_prId = :pr_id";
			$join .= " LEFT JOIN im_salidalinea ON sal_id = sall_id";
		}
		if ($limit){
			$field = " SQL_CALC_FOUND_ROWS * ";
		}else{
			$field = " * ";	
		}

		if ($SalidaObj->orderBy){
			$orderBy = " ORDER BY ".$SalidaObj->orderBy;
		}else{
			$orderBy = " ORDER BY sal_fecha, sal_id";
		}
//		if ($where){
			//$where = substr($where,3);
			$sql = "
				SELECT *
				FROM im_salida
					LEFT JOIN vt_cliente ON sal_cli_id = cl_id 
					LEFT JOIN im_almacen ON sal_almacenId = alm_id 
					$join
				WHERE 1 $where
				$orderBy			
			";		
			$comando = $PDO->prepare($sql);
			if ($SalidaObj->pr_id){
				$comando->bindParam(':pr_id', $SalidaObj->pr_id);
			}
			$comando->execute();
//print_r($comando->errorInfo());
			while($row = $comando->fetch()){

				$a_salida["sal_id"]			= $row["sal_id"];
				$a_salida["sal_tipo"]		= $row["sal_tipo"];
				$a_salida["sal_almacenId"]	= $row["sal_almacenId"];
				$a_salida["sal_loteId"]		= $row["sal_loteId"];
				$a_salida["sal_fecha"]		= $row["sal_fecha"];
				$a_salida["sal_fechaDoc"]	= $row["sal_fechaDoc"];
				$a_salida["sal_refDocTipo"]	= $row["sal_refDocTipo"];
				$a_salida["sal_refDocId"]	= $row["sal_refDocId"];
				$a_salida["sal_refDocTipo2"]= $row["sal_refDocTipo2"];
				$a_salida["sal_refDocId2"]	= $row["sal_refDocId2"];
				$a_salida["sal_glosa"]		= $row["sal_glosa"];
				$a_salida["sal_obs"]		= $row["sal_obs"];
				$a_salida["sal_status"]		= $row["sal_status"];
				$a_salida["sal_usrreg"]		= $row["sal_usrreg"];
				$a_salida["sal_usract"]		= $row["sal_usract"];
				$a_salida["sal_fecreg"]		= $row["sal_fecreg"];
				$a_salida["sal_fecact"]		= $row["sal_fecact"];
				$a_salida["sal_cli_nombre"]	= $row["sal_cli_nombre"];
				$a_salida["alm_nombre"]		= $row["alm_nombre"];

				$a_salidaList[] = $a_salida;
			}
			return $a_salidaList;
//		}
	}


	public function update($SalidaObj){
		global $usuario, $PDO;
		if ($SalidaObj->sal_tipo){
			$set .= ",sal_tipo = '".$SalidaObj->sal_tipo."'";
		}
		if ($SalidaObj->sal_fecha){
			$set .= ",sal_fecha = '".$SalidaObj->sal_fecha."'";
		}
		if ($SalidaObj->sal_fechaDoc){
			$set .= ",sal_fechaDoc = '".$SalidaObj->sal_fechaDoc."'";
		}
		if ($SalidaObj->sal_cli_nombre){
			$set .= ",sal_cli_nombre = '".$SalidaObj->sal_cli_nombre."'";
		}
		if ($SalidaObj->sal_almacenId){
			$set .= ",sal_almacenId = '".$SalidaObj->sal_almacenId."'";
		}
		if ($SalidaObj->sal_loteId){
			$set .= ",sal_loteId = '".$SalidaObj->sal_loteId."'";
		}
		if ($SalidaObj->sal_refDocTipo){
			$set .= ",sal_refDocTipo = '".$SalidaObj->sal_refDocTipo."'";
		}
		if ($SalidaObj->sal_refDocId){
			$set .= ",sal_refDocId = '".$SalidaObj->sal_refDocId."'";
		}
		if ($SalidaObj->sal_refDocTipo2){
			$set .= ",sal_refDocTipo2 = '".$SalidaObj->sal_refDocTipo2."'";
		}
		if ($SalidaObj->sal_refDocId2){
			$set .= ",sal_refDocId2 = '".$SalidaObj->sal_refDocId2."'";
		}
		if ($SalidaObj->sal_glosa){
			$set .= ",sal_glosa = '".$SalidaObj->sal_glosa."'";
		}
		if ($SalidaObj->sal_obs){
			$set .= ",sal_obs = '".$SalidaObj->sal_obs."'";
		}
		if ($SalidaObj->sal_2_ing_id){
			$set .= ",sal_2_ing_id = '".$SalidaObj->sal_2_ing_id."'";
		}
		if ($SalidaObj->sal_status){
			$set .= ",sal_status = '".$SalidaObj->sal_status."'";
		}
		if ($set){
			$set = substr($set,1);
			$sql2 = "
				UPDATE im_salida
				SET 
					$set
					,sal_usract = '".$usuario."'
					,sal_fecact = '".date("Y-m-d H:i:s")."'
				WHERE sal_id = '".$SalidaObj->sal_id."'
					AND sal_status NOT LIKE 'C'
				LIMIT 1";			
			$PDO->query($sql2);
			return $SalidaObj->sal_id;
		}
	}


	public function insert($SalidaObj){
		global $usuario,$PDO;
		$sql = "
			INSERT INTO `im_salida` 
			(
			sal_tipo, 
			sal_fecha,
			sal_fechaDoc,
			sal_cli_nombre,			
			sal_almacenId,
			sal_loteId,			
			sal_refDocTipo, 
			sal_refDocId, 
			sal_refDocTipo2, 
			sal_refDocId2,
			sal_glosa, 			
			sal_obs,
			sal_od_id,
			sal_status, 
			sal_usrreg,
			sal_fecreg
			) 
			VALUES 
			(
			'".$SalidaObj->sal_tipo."',
			'".$SalidaObj->sal_fecha."',
			'".$SalidaObj->sal_fechaDoc."',
			\"".$SalidaObj->sal_cli_nombre."\",
			'".$SalidaObj->sal_almacenId."',
			'".$SalidaObj->sal_loteId."',
			'".$SalidaObj->sal_refDocTipo."', 
			'".$SalidaObj->sal_refDocId."', 
			'".$SalidaObj->sal_refDocTipo2."', 
			'".$SalidaObj->sal_refDocId2."', 
			'".$SalidaObj->sal_glosa."', 
			'".$SalidaObj->sal_obs."', 
			'".$SalidaObj->sal_od_id."', 
			'".$SalidaObj->sal_status."', 
			'".$usuario."',
			'".date("Y-m-d H:i:s")."'
			);			
		";
		if ($PDO->query($sql)){		 
			$query	 = "SELECT DISTINCT max(sal_id) as id FROM im_salida ; " ;
			$sentencia2 = $PDO->query($query);
			$sentencia2->setFetchMode(PDO::FETCH_ASSOC);
			$row = $sentencia2->fetch();
			return $row["id"];		
		}
	}

}



class ImSalidaLineaModel{

	public function insert($SalidaLineaObj){
		global $usuario,$PDO;
		$fecreg = date("Y-m-d H:i:s");
		$sql = "
			INSERT INTO 
				im_salidalinea 
			(
			sall_id, 
			sall_prId,
			sall_loteId,
			sall_descripcion, 
			sall_cantidad, 
			sall_costo, 
			sall_costo_gl, 
			sall_usrreg, 
			sall_fecreg 
			) 
			VALUES 
			(
			'".$SalidaLineaObj->sall_id."', 
			'".$SalidaLineaObj->sall_prId."', 
			'".$SalidaLineaObj->sall_loteId."', 
			'".addslashes($SalidaLineaObj->sall_descripcion)."', 
			'".$SalidaLineaObj->sall_cantidad."',  
			'".$SalidaLineaObj->sall_costo."',
			'".$SalidaLineaObj->sall_costo_gl."',			
			'".$usuario."', 
			'".$fecreg."'
			);			
		";
		if ($PDO->query($sql)){
			$query	 = "
				SELECT DISTINCT max(sall_lineaId) as id 
				FROM im_salidalinea 
				WHERE sall_fecreg = '".$fecreg."' 
					AND sall_usrreg = '".$usuario."'; " ;
			$sentencia2 = $PDO->query($query);
			$sentencia2->setFetchMode(PDO::FETCH_ASSOC);
			$row = $sentencia2->fetch();
			return $row["id"];
		}
	}


	public function update($SalidaLineaObj){
		global $usuario, $PDO;
		if ($SalidaLineaObj->sall_prId){
			$set .= ",sall_prId = '".$SalidaObj->sall_prId."'";
		}
		if ($SalidaLineaObj->sall_loteId){
			$set .= ",sall_loteId = '".$SalidaObj->sall_loteId."'";
		}
		if ($SalidaLineaObj->sall_descripcion){
			$set .= ",sall_descripcion = '".$SalidaObj->sall_descripcion."'";
		}
		if ($SalidaLineaObj->sall_cantidad){
			$set .= ",sall_cantidad = '".$SalidaObj->sall_cantidad."'";
		}
		if ($SalidaLineaObj->sall_costo){
			$set .= ",sall_costo = '".$SalidaObj->sall_costo."'";
		}
		if ($SalidaLineaObj->sall_costo_gl){
			$set .= ",sall_costo_gl = '".$SalidaObj->sall_costo_gl."'";
		}
		if ($set){
			$set = substr($set,1);
			$sql2 = "
				UPDATE im_salidalinea
				SET 
					$set
					,sall_usract = '".$usuario."'
					,sall_fecact = '".date("Y-m-d H:i:s")."'
				WHERE 
					sall_id = '".$SalidaLineaObj->sall_id."'
					AND sall_lineaId = '".$SalidaLineaObj->sall_lineaId."'
				LIMIT 1";			
			return $PDO->query($sql2);
		}
	}

	public function delete($lineaId){
		global $usuario, $PDO;
		$sql = "
			DELETE
			FROM im_salidalinea
			WHERE sall_lineaId = '".$lineaId."'
		";					
		$sentencia = $PDO->query($sql);
	}


	public function selectUniqueId($id){
		global $PDO;
		if (!$id){
			return FALSE;
		}
		$sql = "
			SELECT *
			FROM im_salidalinea
				LEFT JOIN im_salida ON sal_id = sall_id
				LEFT JOIN im_producto P ON sall_prId = pr_id
				LEFT JOIN im_stock ON sall_prId = stk_prId AND sal_almacenId = stk_almacenId
				LEFT JOIN im_stock_lote ON sall_prId = stkl_prId AND sal_almacenId = stkl_almacenId AND sal_loteId = stkl_loteId
			WHERE sall_id = '".$id."'
		";	
		$sentencia = $PDO->query($sql);
		$sentencia->setFetchMode(PDO::FETCH_ASSOC);
		while($row = $sentencia->fetch()){
			$a_linea["sall_id"]				= $row["sall_id"];
			$a_linea["sall_lineaId"]		= $row["sall_lineaId"];
			$a_linea["sall_prId"]			= $row["sall_prId"];
			$a_linea["sall_loteId"]			= $row["sall_loteId"];			
			$a_linea["sall_descripcion"]	= $row["sall_descripcion"];
			$a_linea["sall_cantidad"]		= $row["sall_cantidad"];
			$a_linea["sall_costo"]			= $row["sall_costo"];
			$a_linea["sall_costo_gl"]		= $row["sall_costo_gl"];
			$a_linea["sall_usrreg"]			= $row["sall_usrreg"];
			$a_linea["sall_usract"]			= $row["sall_usract"];
			$a_linea["sall_fecreg"]			= $row["sall_fecreg"];
			$a_linea["sall_fecact"]			= $row["sall_fecact"];
			$a_linea["pr_productoId"]		= $row["pr_productoId"];
			$a_linea["pr_descripcion"]		= $row["pr_descripcion"];
			$a_linea["pr_ctrlSerie"]		= $row["pr_ctrlSerie"];
			$a_linea["pr_uom"]				= $row["pr_uom"];
			$a_linea["stk_fisico"]			= $row["stk_fisico"];
			$a_linea["stkl_fisico"]			= $row["stkl_fisico"];
			$a_salidalinea[]				= $a_linea;
		}
		return $a_salidalinea;
	}

	public function select($SalidaFilter){
		global $PDO;
		if ($SalidaFilter->sall_id){
			$where .=  " AND sall_id = '".$SalidaFilter->sall_id."'";
		}
		if ($SalidaFilter->sall_lineaId){
			$where .=  " AND sall_lineaId = '".$SalidaFilter->sall_lineaId."'";
		}
		if ($SalidaFilter->sall_loteId){
			$where .=  " AND sall_loteId = '".$SalidaFilter->sall_loteId."'";
		}
		if ($SalidaFilter->sall_loteId){
			$where .=  " AND sall_loteId = '".$SalidaFilter->sall_loteId."'";
		}
		if ($SalidaFilter->pr_ctrlSerie){
			$where .=  " AND pr_ctrlSerie = '".$SalidaFilter->pr_ctrlSerie."'";
		}
		
		if ($where){
			$sql = "
				SELECT *
				FROM im_salidalinea
				LEFT JOIN im_producto ON sall_prId = pr_id
				WHERE 1 $where
			";			
			$sentencia = $PDO->query($sql);
			$sentencia->setFetchMode(PDO::FETCH_ASSOC);
			while($row = $sentencia->fetch()){
				$a_linea["sall_id"]		= $row["sall_id"];
				$a_linea["sall_lineaId"]		= $row["sall_lineaId"];
				$a_linea["sall_prId"]			= $row["sall_prId"];
				$a_linea["sall_loteId"]			= $row["sall_loteId"];				
				$a_linea["sall_descripcion"]	= $row["sall_descripcion"];
				$a_linea["sall_cantidad"]		= $row["sall_cantidad"];
				$a_linea["sall_costo"]			= $row["sall_costo"];
				$a_linea["sall_usrreg"]			= $row["sall_usrreg"];
				$a_linea["sall_usract"]			= $row["sall_usract"];
				$a_linea["sall_fecreg"]			= $row["sall_fecreg"];
				$a_linea["sall_fecact"]			= $row["sall_fecact"];
				$a_linea["pr_productoId"]		= $row["pr_productoId"];
				$a_linea["pr_descripcion"]		= $row["pr_descripcion"];
				$a_linea["pr_ctrlSerie"]		= $row["pr_ctrlSerie"];
				$a_linea["pr_uom"]				= $row["pr_uom"];
				$a_salidalinea[]				= $a_linea;
			}
			return $a_salidalinea;
			
		}
	}

	public function selectLineaArticulo($salidaId,$productoId){
		global $PDO;
		if (!$salidaId or !$productoId){
			return FALSE;
		}
		$sql = "
			SELECT *
			FROM im_salidalinea
			WHERE sall_id = '".$salidaId."'				
				AND sall_prId = '".$productoId."'
		";					
		echo $sql;
		$sentencia = $PDO->query($sql);
		$sentencia->setFetchMode(PDO::FETCH_ASSOC);
		$row = $sentencia->fetch();
		if ($row){
			$a_linea["sall_prId"] = $row["sall_prId"];
		}
		return $a_linea;
	}
}



class ImSalidaSerieModel{

	public function insert($SalidaSerieObj){
		global $usuario,$PDO;
		$fecreg = date("Y-m-d H:i:s");
		$sql = "
			INSERT INTO 
				im_salidaserie 
			(
			sals_sal_id, 
			sals_lineaId,
			sals_ser_id,
			sals_usrreg, 
			sals_fecreg 
			) 
			VALUES 
			(
			'".$SalidaSerieObj->sals_sal_id."', 
			'".$SalidaSerieObj->sals_lineaId."', 
			'".$SalidaSerieObj->sals_ser_id."', 			
			'".$usuario."', 
			'".$fecreg."'
			);			
		";
		$PDO->query($sql);
		$query	 = "
			SELECT DISTINCT max(sals_id) as id 
			FROM im_salidaserie
			WHERE sals_fecreg = '".$fecreg."' 
				AND sals_usrreg = '".$usuario."'; " ;
		$sentencia2 = $PDO->query($query);
		$sentencia2->setFetchMode(PDO::FETCH_ASSOC);
		$row = $sentencia2->fetch();
		return $row["id"];
	}

	public function delete($id){
		global $PDO;
		$sql = "
			DELETE
			FROM im_salidaserie
			WHERE sals_id = :sals_id
			LIMIT 1
		";		
		$comando = $PDO->prepare($sql);
		$comando->bindParam(':sals_id', $id);
		$comando->execute();
		return $lineaId;
	}

	public function deleteSeriesLinea($lineaId){
		global $PDO;
		$sql = "
			DELETE
			FROM im_salidaserie
			WHERE sals_lineaId = :lineaId
		";		
		$comando = $PDO->prepare($sql);
		$comando->bindParam(':lineaId', $lineaId);
		$comando->execute();
		return $lineaId;
	}

	public function select($SalidaFilter){
		global $PDO;
		if ($SalidaFilter->sals_sal_id){
			$where .=  " AND sals_sal_id = :sals_sal_id";
		}
		if ($SalidaFilter->sals_lineaId){
			$where .=  " AND sals_lineaId = :sals_lineaId";
		}
		if ($SalidaFilter->sall_prId){
			$where .=  " AND sall_prId = :sall_prId";
		}
		if ($SalidaFilter->ser_serie){
			$where .=  " AND ser_serie = :ser_serie";
		}

		if ($where){
			$sql = "
				SELECT *
				FROM im_salidaserie
				LEFT JOIN im_salidalinea ON sals_lineaId = sall_lineaId
				LEFT JOIN im_serie ON sals_ser_id = ser_id
				LEFT JOIN im_producto ON ser_prId = pr_id
				LEFT JOIN im_subFamilia ON pr_subfamiliaId = sfm_subFamiliaId
				WHERE 1 $where
			";			
			$comando = $PDO->prepare($sql);
			if ($SalidaFilter->sals_sal_id){
				$comando->bindParam(':sals_sal_id', $SalidaFilter->sals_sal_id);
			}
			if ($SalidaFilter->sals_lineaId){
				$comando->bindParam(':sals_lineaId', $SalidaFilter->sals_lineaId);
			}
			if ($SalidaFilter->sall_prId){
				$comando->bindParam(':sall_prId', $SalidaFilter->sall_prId);
			}
			if ($SalidaFilter->ser_serie){
				$comando->bindParam(':ser_serie', $SalidaFilter->ser_serie);
			}

			$comando->execute();
			//print_r($comando->errorInfo());
			while($row = $comando->fetch()){
				$a_linea["sals_id"]			= $row["sals_id"];
				$a_linea["sals_sal_id"]		= $row["sals_sal_id"];
				$a_linea["sals_lineaId"]	= $row["sals_lineaId"];
				$a_linea["ser_prId"]		= $row["ser_prId"];
				$a_linea["ser_serie"]		= $row["ser_serie"];
				$a_linea["pr_productoId"]	= $row["pr_productoId"];
				$a_linea["sals_usrreg"]		= $row["sals_usrreg"];
				$a_linea["sals_fecreg"]		= $row["sals_fecreg"];
				$a_linea["sfm_nombre"]		= $row["sfm_nombre"];
				$a_despachoserie[]			= $a_linea;
			}
			return $a_despachoserie;
			
		}
	}



	public function selectUniqueSalidaId($id){
		global $PDO;
		$sql = "
			SELECT *
			FROM im_salidaserie
			LEFT JOIN im_salidalinea ON sals_lineaId = sall_lineaId
			LEFT JOIN im_serie ON sals_ser_id = ser_id
			LEFT JOIN im_producto ON ser_prId = pr_id
			LEFT JOIN im_subFamilia ON pr_subfamiliaId = sfm_subFamiliaId
			WHERE sals_sal_id = '".$id."'
		";
		//echo $sql;
		$result = $PDO->query($sql);
		//print_r($comando->errorInfo());
		while($row = $result->fetch()){
			$a_linea["sals_id"]			= $row["sals_id"];
			$a_linea["sals_sal_id"]		= $row["sals_sal_id"];
			$a_linea["sals_ser_id"]		= $row["sals_ser_id"];			
			$a_linea["sals_lineaId"]	= $row["sals_lineaId"];
			$a_linea["ser_prId"]		= $row["ser_prId"];
			$a_linea["ser_serie"]		= $row["ser_serie"];
			$a_linea["pr_productoId"]	= $row["pr_productoId"];
			$a_linea["sals_usrreg"]		= $row["sals_usrreg"];
			$a_linea["sals_fecreg"]		= $row["sals_fecreg"];
			$a_linea["sfm_nombre"]		= $row["sfm_nombre"];
			$a_despachoserie[]			= $a_linea;
		}
		return $a_despachoserie;			
	}

	public function selectSerieArticulo($salidaId,$productoId){
		global $PDO;
		if (!$salidaId or !$productoId){
			return FALSE;
		}
		$sql = "
			SELECT *
			FROM im_salidaserie
				LEFT JOIN im_serie ON sals_ser_id = ser_id
			WHERE sals_sal_id = '".$salidaId."'				
				AND ser_prId = '".$productoId."'
		";					
		$sentencia = $PDO->query($sql);
		$sentencia->setFetchMode(PDO::FETCH_ASSOC);
		$row = $sentencia->fetch();
		if ($row){
			$a_linea["ser_prId"] = $row["ser_prId"];
		}
		return $a_linea;
	}

}

?>