<?php


class ImSerieMovimModel{

	public function selectUniqueId($id){
		global $PDO;
		if (!$id){
			return FALSE;
		}
		$sql = "
			SELECT *
				im_seriemov
			WHERE semv_id = :id
		";
		$comando = $PDO->prepare($sql);
		$comando->bindParam(':id', $id);
		$comando->execute();
		$resultado = $comando->fetchAll(PDO::FETCH_ASSOC);
		$row = $resultado[0];
		return $$row;
	}


	public function select($SerieMovimObj,$limit=''){
		global $usuario, $PDO;

		if ($SerieMovimObj->ser_serie){
			$where .= " AND ser_serie = :ser_serie";
		}
		if ($SerieMovimObj->semv_ser_id){
			$where .= " AND semv_ser_id LIKE :semv_ser_id";
		}
		if ($SerieMovimObj->pr_productoId){
			$where .= " AND pr_productoId = :pr_productoId";
		}
		if ($SerieMovimObj->semv_almacenId){
			$where .= " AND semv_almacenId = :semv_almacenId";
		}
		if ($SerieMovimObj->ser_prId){
			$where .= " AND ser_prId LIKE :ser_prId";
		}
		if ($SerieMovimObj->pr_descripcion){
			$where .= " AND pr_descripcion LIKE :pr_descripcion";
		}
		if ($SerieMovimObj->pr_familiaId){
			$where .= " AND pr_familiaId LIKE :pr_familiaId";
		}
		if ($SerieMovimObj->pr_subFamiliaId){
			$where .= " AND pr_subFamiliaId LIKE :pr_subFamiliaId";
		}
		if ($SerieMovimObj->semv_ingSal){
			$where .= " AND semv_ingSal LIKE :semv_ingSal";
		}
		if ($SerieMovimObj->semv_fechaIni){
			$where .= " AND semv_fecha >= :semv_fechaIni";
		}
		if ($SerieMovimObj->semv_fechaFin){
			$where .= " AND semv_fecha <= :semv_fechaFin";
		}
		if ($limit){
			$field = " SQL_CALC_FOUND_ROWS * ";
		}else{
			$field = " * ";	
		}
		if ($SerieMovimObj->orderBy){
			$orderBy = " ORDER BY :orderBy";
		}else{
			$orderBy = " ORDER BY ser_serie, semv_almacenId, pr_productoId, semv_fecha, semv_id";
		}
		$sql = "
			SELECT *
			FROM im_seriemov
				LEFT JOIN im_serie ON semv_ser_id = ser_id 
				LEFT JOIN im_producto ON ser_prId = pr_id 
				LEFT JOIN im_almacen ON semv_almacenId = alm_id 
				LEFT JOIN im_salidalinea ON sall_id = semv_docum AND sall_prId = ser_prId
				LEFT JOIN im_salida ON sall_id = sal_id
				LEFT JOIN im_ingresolinea ON ingl_id = semv_docum AND ingl_prId = ser_prId
				LEFT JOIN im_ingreso ON ingl_id = ing_id
				LEFT JOIN xx_maestrolista MSTAT ON semv_tipo = MSTAT.mlst_valorId AND MSTAT.mlst_listaId = 'imIngTipo'
				LEFT JOIN xx_maestrolista MSTAT2 ON semv_tipo = MSTAT2.mlst_valorId AND MSTAT2.mlst_listaId = 'imSalTipo'
			WHERE 1 $where
			$orderBy
		";
		$comando = $PDO->prepare($sql);
		if ($SerieMovimObj->semv_ser_id){
			$comando->bindParam(':semv_ser_id', $SerieMovimObj->semv_ser_id);
		}
		if ($SerieMovimObj->ser_serie){
			$comando->bindParam(':ser_serie', $SerieMovimObj->ser_serie);
		}
		if ($SerieMovimObj->semv_almacenId){
			$comando->bindParam(':semv_almacenId', $SerieMovimObj->semv_almacenId);
		}
		if ($SerieMovimObj->ser_prId){
			$comando->bindParam(':ser_prId', $SerieMovimObj->ser_prId);
		}
		if ($SerieMovimObj->semv_ingSal){
			$comando->bindParam(':semv_ingSal', $SerieMovimObj->semv_ingSal);
		}
		if ($SerieMovimObj->pr_productoId){
			$comando->bindParam(':pr_productoId', $SerieMovimObj->pr_productoId);
		}
		if ($SerieMovimObj->pr_descripcion){
			$comando->bindParam(':pr_descripcion', $SerieMovimObj->pr_descripcion);
		}
		if ($SerieMovimObj->pr_familiaId){
			$comando->bindParam(':pr_familiaId', $SerieMovimObj->pr_familiaId);
		}
		if ($SerieMovimObj->pr_subFamiliaId){
			$comando->bindParam(':pr_subFamiliaId', $SerieMovimObj->pr_subFamiliaId);
		}
		if ($SerieMovimObj->semv_fechaIni){
			$comando->bindParam(':semv_fechaIni', $SerieMovimObj->semv_fechaIni);
		}
		if ($SerieMovimObj->semv_fechaFin){
			$comando->bindParam(':semv_fechaFin', $SerieMovimObj->semv_fechaFin);
		}
		if ($SerieMovimObj->orderBy){
			$comando->bindParam(':orderBy', $SerieMovimObj->orderBy);
		}			
		$comando->execute();
		while($row = $comando->fetch()){

			$a_serieMov["semv_id"]				= $row["semv_id"];
			$a_serieMov["semv_ser_id"]			= $row["semv_ser_id"];
			$a_serieMov["ser_serie"]			= $row["ser_serie"];
			$a_serieMov["ser_prId"]				= $row["ser_prId"];
			$a_serieMov["semv_almacenId"]		= $row["semv_almacenId"];
			$a_serieMov["semv_fecha"]			= $row["semv_fecha"];
			$a_serieMov["semv_ingSal"]			= $row["semv_ingSal"];
			$a_serieMov["semv_tipo"]			= $row["semv_tipo"];
			if ($a_serieMov["semv_ingSal"]=='I'){
				$a_serieMov["tipoNombre"] = $row["tipoI"];
			}else{
				$a_serieMov["tipoNombre"] = $row["tipoS"];
			}
			$a_serieMov["semv_documTipo"]		= $row["semv_documTipo"];
			$a_serieMov["semv_docum"]			= $row["semv_docum"];
			$a_serieMov["semv_documRef"]		= $row["semv_documRef"];
			$a_serieMov["semv_obs"]				= $row["semv_obs"];
			$a_serieMov["semv_usrreg"]			= $row["semv_usrreg"];
			$a_serieMov["semv_fecreg"]			= $row["semv_fecreg"];
			$a_serieMov["alm_nombre"]			= $row["alm_nombre"];
			$a_serieMov["fm_nombre"]			= $row["fm_nombre"];
			$a_serieMov["pr_id"]				= $row["pr_id"];
			$a_serieMov["pr_productoId"]		= $row["pr_productoId"];
			$a_serieMov["pr_descripcion"]		= $row["pr_descripcion"];
			if ($a_serieMov["semv_ingSal"]=='I'){
				$a_serieMov["semv_nombre"]		= $row["ing_prv_nombre"];
				$a_serieMov["documRef2"]		= $row["ing_refDocId2"];
			}else{
				$a_serieMov["semv_nombre"]		= $row["sal_cli_nombre"];
				$a_serieMov["documRef2"]		= $row["sal_refDocId2"];
			}
			$a_serieMovList["listaPag"][]		= $a_serieMov;
		}
		//print_r($a_serieMovList);
		$sqlTotal = "
			SELECT FOUND_ROWS() as total
		";
		$sentencia = $PDO->query($sqlTotal);
		$sentencia->setFetchMode(PDO::FETCH_ASSOC);
		$rowTotal = $sentencia->fetch();
		$a_serieMovList["total"] = $rowTotal["total"];
		return $a_serieMovList;

	}





	public function insert($SerieMovimObj){
		global $PDO, $usuario;
		$sql = "
			INSERT INTO im_seriemov 
			(
			semv_ser_id,
			semv_almacenId,
			semv_fecha,
			semv_ingSal,
			semv_tipo,
			semv_documTipo,
			semv_docum,
			semv_documRef,
			semv_obs,
			semv_usrreg,
			semv_fecreg
			) 
			VALUES 
			(
			:semv_ser_id,
			:semv_almacenId,
			:semv_fecha,
			:semv_ingSal,
			:semv_tipo,
			:semv_documTipo,
			:semv_docum,
			:semv_documRef,
			:semv_obs,
			:semv_usrreg,
			:semv_fecreg
			);			
		";
		$comando = $PDO->prepare($sql);
		$fecreg = date("Y-m-d H:i:s");
		$comando->bindParam(':semv_ser_id', $SerieMovimObj->semv_ser_id);
		$comando->bindParam(':semv_almacenId', $SerieMovimObj->semv_almacenId);
		$comando->bindParam(':semv_fecha', $SerieMovimObj->semv_fecha);		
		$comando->bindParam(':semv_ingSal', $SerieMovimObj->semv_ingSal);
		$comando->bindParam(':semv_tipo', $SerieMovimObj->semv_tipo);
		$comando->bindParam(':semv_documTipo', $SerieMovimObj->semv_documTipo);
		$comando->bindParam(':semv_docum', $SerieMovimObj->semv_docum);		
		$comando->bindParam(':semv_documRef', $SerieMovimObj->semv_documRef);
		$comando->bindParam(':semv_obs', $SerieMovimObj->semv_obs);	
		$comando->bindParam(':semv_usrreg', $usuario);	
		$comando->bindParam(':semv_fecreg', $fecreg);	
		$comando->execute();
/*
echo "<pre>";		
print_r($SerieMovimObj);
echo "</pre>";
print_r($comando->errorInfo());
*/		
		$query	 = "
			SELECT DISTINCT max(semv_id) as id 
			FROM im_seriemov 
			WHERE semv_usrreg = :semv_usrreg 
				AND semv_fecreg = :semv_fecreg ";
		$comando = $PDO->prepare($query);
		$comando->bindParam(':semv_usrreg', $SerieMovimObj->semv_usrreg);
		$comando->bindParam(':semv_fecreg', $fecreg);
		$comando->execute();	 
		$resultado = $comando->fetchAll(PDO::FETCH_ASSOC);
		$row = $resultado[0];
		return $row["id"];
	}

}


?>