<?php


class ImStockMovimModel{


	public function getTipoIngSal($ingSal, $tipo){
		global $PDO;
		$sql = "
			SELECT *
				FROM xx_maestrolista
			WHERE 
				mlst_listaId = '".$ingSal."'
				AND mlst_valorId = '".$tipo."'
		";
		$comando = $PDO->prepare($sql);
		$comando->bindParam(':id', $id);
		$comando->execute();
		$resultado = $comando->fetchAll(PDO::FETCH_ASSOC);
		$row = $resultado[0];
		return $row["mlst_valorDsc"];
	}

	public function selectUniqueId($id){
		global $PDO;
		if (!$id){
			return FALSE;
		}
		$sql = "
			SELECT *
				im_stockmov
			WHERE smv_id = :id
		";
		$comando = $PDO->prepare($sql);
		$comando->bindParam(':id', $id);
		$comando->execute();
		$resultado = $comando->fetchAll(PDO::FETCH_ASSOC);
		$row = $resultado[0];
		return $$row;
	}

	public function select($StockMovimObj,$limit=''){
		global $usuario, $PDO;

		if ($StockMovimObj->pr_productoId){
			$where .= " AND pr_productoId = :pr_productoId";

		}
		if ($StockMovimObj->smv_almacenId){
			$where .= " AND smv_almacenId = :smv_almacenId";

		}
		if ($StockMovimObj->smv_prId){
			$where .= " AND smv_prId LIKE :smv_prId";

		}
		if ($StockMovimObj->smv_tipo){
			$where .= " AND smv_tipo LIKE :smv_tipo";

		}
		if ($StockMovimObj->pr_descripcion){
			$where .= " AND pr_descripcion LIKE :pr_descripcion";

		}
		if ($StockMovimObj->pr_familiaId){
			$where .= " AND pr_familiaId LIKE :pr_familiaId";

		}
		if ($StockMovimObj->pr_subFamiliaId){
			$where .= " AND pr_subFamiliaId LIKE :pr_subFamiliaId";

		}
		if ($StockMovimObj->smv_ingSal){
			$where .= " AND smv_ingSal LIKE :smv_ingSal";

		}
		if ($StockMovimObj->smv_docum){
			$where .= " AND smv_docum LIKE :smv_docum";

		}
		if ($StockMovimObj->smv_fechaIni){
			$where .= " AND smv_fecha >= :smv_fechaIni";

		}
		if ($StockMovimObj->smv_fechaFin){
			$where .= " AND smv_fecha <= :smv_fechaFin";
		}

		if ($StockMovimObj->smv_fechaIni1){
			$where .= " AND smv_fecha >= :smv_fechaIni1";

		}
		if ($StockMovimObj->smv_fechaFin1){
			$where .= " AND smv_fecha <= :smv_fechaFin1";

		}
		if ($StockMovimObj->kdxTipo=="GL"){
			$where .= " AND smv_tipo NOT IN ('DCN','DPI','TR','PI','G','IT','AJX','INI','CNB', 'RMA') ";

		}
		if ($StockMovimObj->limit){
			$limit = " LIMIT ".$StockMovimObj->limit;
		}
		if ($StockMovimObj->orderBy){
			$orderBy = " ORDER BY ".$StockMovimObj->orderBy;
		}elseif($StockMovimObj->kdxTipo=="GL"){
			$orderBy = " ORDER BY pr_productoId, smv_fecha, smv_id";
		}else{
			$orderBy = " ORDER BY smv_almacenId, pr_productoId, smv_fecha, smv_id";
		}
		$groupBy = " GROUP BY smv_id ";
		if ($StockMovimObj->grupo_alm_pr){
			$groupBy = " GROUP BY smv_almacenId, smv_prId, smv_fecha, smv_ingSal";
			$groupFields = " ,SUM(smv_cantidad) AS tot_cant, SUM(smv_costo) AS tot_costo, SUM(smv_costo_gl) AS tot_costo_gl ";
			$listaField_cant = "tot_cant";
			$listaField_costo = "tot_costo";
			$listaField_costo_gl = "tot_costo_gl";
		}elseif ($StockMovimObj->grupo=='total_gl'){
			$groupBy = " GROUP BY smv_almacenId, smv_ingSal, smv_tipo";
			$groupFields = " ,SUM(smv_cantidad) AS tot_cant, SUM(smv_costo) AS tot_costo, SUM(smv_costo_gl) AS tot_costo_gl ";
			$listaField_cant = "tot_cant";
			$listaField_costo = "tot_costo";
			$listaField_costo_gl = "tot_costo_gl";			
		}else{
			$listaField_cant = "smv_cantidad";
			$listaField_costo = "smv_costo";
			$listaField_costo_gl = "smv_costo_gl";		
		}

		$sql = "
			SELECT *
			$groupFields
			FROM im_stockmov
				LEFT JOIN im_producto ON smv_prId = pr_id 
				LEFT JOIN im_familia ON pr_familiaId = fm_familiaId 
				LEFT JOIN im_subFamilia ON pr_subfamiliaId = sfm_subFamiliaId 
				LEFT JOIN im_almacen ON smv_almacenId = alm_id 
				LEFT JOIN im_salidalinea ON sall_id = smv_docum AND sall_prId = smv_prId
				LEFT JOIN im_salida ON sall_id = sal_id
				LEFT JOIN im_ingresolinea ON ingl_id = smv_docum AND ingl_prId = smv_prId
				LEFT JOIN im_ingreso ON ingl_id = ing_id
			WHERE 1 $where
			$groupBy			
			$orderBy
			$limit
		";


/*
if ($usuario=='jreyes'){

	echo "smv_tipo : ".$StockMovimObj->smv_tipo."<br>"; 
	echo "pr_familiaId : ".$StockMovimObj->pr_familiaId ."<br>";
	echo "smv_ingSal : ".$StockMovimObj->smv_ingSal ."<br>";
	echo "smv_fechaIni : ".$StockMovimObj->smv_fechaIni ."<br>";
	echo "smv_fechaFin : ".$StockMovimObj->smv_fechaFin."<br>";

	echo "<pre>";
	echo $sql;
	echo "</pre>";

}
*/

//echo ".";


		$comando = $PDO->prepare($sql);
		if ($StockMovimObj->smv_almacenId){
			$comando->bindParam(':smv_almacenId', $StockMovimObj->smv_almacenId);
		}
		if ($StockMovimObj->smv_prId){
			$comando->bindParam(':smv_prId', $StockMovimObj->smv_prId);
		}
		if ($StockMovimObj->smv_ingSal){
			$comando->bindParam(':smv_ingSal', $StockMovimObj->smv_ingSal);
		}
		if ($StockMovimObj->smv_docum){
			$comando->bindParam(':smv_docum', $StockMovimObj->smv_docum);
		}
		if ($StockMovimObj->smv_tipo){
			$comando->bindParam(':smv_tipo', $StockMovimObj->smv_tipo);
		}
		if ($StockMovimObj->pr_productoId){
			$comando->bindParam(':pr_productoId', $StockMovimObj->pr_productoId);
		}
		if ($StockMovimObj->pr_descripcion){
			$comando->bindParam(':pr_descripcion', $StockMovimObj->pr_descripcion);
		}
		if ($StockMovimObj->pr_familiaId){
			$comando->bindParam(':pr_familiaId', $StockMovimObj->pr_familiaId);
		}
		if ($StockMovimObj->pr_subFamiliaId){
			$comando->bindParam(':pr_subFamiliaId', $StockMovimObj->pr_subFamiliaId);
		}
		if ($StockMovimObj->smv_fechaIni){
			$comando->bindParam(':smv_fechaIni', $StockMovimObj->smv_fechaIni);
		}
		if ($StockMovimObj->smv_fechaFin){
			$comando->bindParam(':smv_fechaFin', $StockMovimObj->smv_fechaFin);
		}

		if ($StockMovimObj->smv_fechaIni1){
			$comando->bindParam(':smv_fechaIni1', $StockMovimObj->smv_fechaIni1);
		}
		if ($StockMovimObj->smv_fechaFin1){
			$comando->bindParam(':smv_fechaFin1', $StockMovimObj->smv_fechaFin1);
		}
		if ($StockMovimObj->orderBy){
			//$comando->bindParam(':orderBy', $StockMovimObj->orderBy);
		}			
		$comando->execute();

		while($row = $comando->fetch()){

			$a_stockMov["smv_id"]				= '';
			$a_stockMov["smv_prId"]				= '';
			$a_stockMov["smv_almacenId"]		= '';
			$a_stockMov["smv_fecha"]			= '';
			$a_stockMov["smv_ingSal"]			= '';
			$a_stockMov["smv_tipo"]				= '';
			$a_stockMov["tipoNombre"]			= '';
			$a_stockMov["smv_documTipo"]		= '';
			$a_stockMov["smv_docum"]			= '';
			$a_stockMov["smv_documRef"]			= '';
			$a_stockMov["smv_cantidad"]			= 0;
			$a_stockMov["smv_stockAnt"]			= 0;
			$a_stockMov["smv_costo"]			= 0;
			$a_stockMov["smv_costoPromAnt"]		= 0;
			$a_stockMov["smv_costoProm"]		= 0;
			$a_stockMov["smv_tc"]				= 0;
			$a_stockMov["smv_almacenId_gl"]		= 0;
			$a_stockMov["smv_stockAnt_gl"]		= 0;
			$a_stockMov["smv_costo_gl"]			= 0;
			$a_stockMov["smv_costoPromAnt_gl"]	= 0;
			$a_stockMov["smv_costoProm_gl"]		= 0;
			$a_stockMov["smv_tc_gl"]			= '';
			$a_stockMov["smv_obs"]				= '';
			$a_stockMov["smv_usrreg"]			= '';
			$a_stockMov["smv_fecreg"]			= '';
			$a_stockMov["smv_nombre"]			= '';
			$a_stockMov["documRef2"]			= '';
			

			$a_stockMov["smv_id"]				= $row["smv_id"];
			$a_stockMov["smv_prId"]				= $row["smv_prId"];
			$a_stockMov["smv_almacenId"]		= $row["smv_almacenId"];
			$a_stockMov["smv_fecha"]			= $row["smv_fecha"];
			$a_stockMov["smv_ingSal"]			= $row["smv_ingSal"];
			$a_stockMov["smv_tipo"]				= $row["smv_tipo"];

			if ($a_stockMov["smv_ingSal"]=='S'){
				//$a_stockMov["tipoNombre"] = $row["tipoI"];
				$a_stockMov["tipoNombre"] = $this->getTipoIngSal('imSalTipo', $row["smv_tipo"]);
			}else{
				$a_stockMov["tipoNombre"] = $this->getTipoIngSal('imIngTipo', $row["smv_tipo"]);
				//$a_stockMov["tipoNombre"] = $row["smv_tipo"];
			}
/*
			if ($a_stockMov["smv_ingSal"]=='I'){
				$a_stockMov["tipoNombre"] = $row["tipoI"];
			}else{
				$a_stockMov["tipoNombre"] = $row["tipoS"];
			}
*/


			$a_stockMov["smv_documTipo"]		= $row["smv_documTipo"];
			$a_stockMov["smv_docum"]			= $row["smv_docum"];
			$a_stockMov["smv_documRef"]			= $row["smv_documRef"];
			$a_stockMov["smv_cantidad"]			= $row[$listaField_cant];
			$a_stockMov["smv_stockAnt"]			= $row["smv_stockAnt"];
			$a_stockMov["smv_costo"]			= $row[$listaField_costo];
			$a_stockMov["smv_costoPromAnt"]		= $row["smv_costoPromAnt"];
			$a_stockMov["smv_costoProm"]		= $row["smv_costoProm"];
			$a_stockMov["smv_tc"]				= $row["smv_tc"];
			$a_stockMov["smv_almacenId_gl"]		= $row["smv_almacenId_gl"];
			$a_stockMov["smv_stockAnt_gl"]		= $row["smv_stockAnt_gl"];
			$a_stockMov["smv_costo_gl"]			= $row[$listaField_costo_gl];
			$a_stockMov["smv_costoPromAnt_gl"]	= $row["smv_costoPromAnt_gl"];
			$a_stockMov["smv_costoProm_gl"]		= $row["smv_costoProm_gl"];
			$a_stockMov["smv_tc_gl"]			= $row["smv_tc_gl"];
			$a_stockMov["smv_obs"]				= $row["smv_obs"];
			$a_stockMov["smv_usrreg"]			= $row["smv_usrreg"];
			$a_stockMov["smv_fecreg"]			= $row["smv_fecreg"];
			$a_stockMov["smv_usract"]			= $row["smv_usract"];
			$a_stockMov["smv_fecact"]			= $row["smv_fecact"];
			$a_stockMov["alm_nombre"]			= $row["alm_nombre"];
			$a_stockMov["fm_nombre"]			= $row["fm_nombre"];
			$a_stockMov["sfm_nombre"]			= $row["sfm_nombre"];
			$a_stockMov["pr_productoId"]		= $row["pr_productoId"];
			$a_stockMov["pr_descripcion"]		= $row["pr_descripcion"];
			$a_stockMov["pr_familiaId"]			= $row["pr_familiaId"];
			$a_stockMov["pr_subfamiliaId"]		= $row["pr_subfamiliaId"];
			if ($a_stockMov["smv_ingSal"]=='I'){
				$a_stockMov["smv_nombre"]		= $row["ing_prv_nombre"];
				$a_stockMov["documRef2"]		= $row["ing_refDocId2"];
			}else{
				$a_stockMov["smv_nombre"]		= $row["sal_cli_nombre"];
				$a_stockMov["documRef2"]		= $row["sal_refDocId2"];
			}
			$a_stockMovList["listaPag"][]		= $a_stockMov;
			$a_stockMovList["listaPag1"][]		= $a_stockMov;
		}
		$sqlTotal = "
			SELECT FOUND_ROWS() as total
		";
		$sentencia = $PDO->query($sqlTotal);
		$sentencia->setFetchMode(PDO::FETCH_ASSOC);
		$rowTotal = $sentencia->fetch();
		$a_stockMovList["total"] = $rowTotal["total"];
		return $a_stockMovList;

	}


public function select_resumen($StockMovimObj,$limit=''){
		global $usuario, $PDO;
		if ($StockMovimObj->smv_almacenId){
			$where .= " AND smv_almacenId = :smv_almacenId";
		}
		if ($StockMovimObj->smv_ingSal){
			$where .= " AND smv_ingSal LIKE :smv_ingSal";
		}
		if ($StockMovimObj->smv_fechaIni){
			$where .= " AND smv_fecha >= :smv_fechaIni";
		}
		if ($StockMovimObj->smv_fechaFin){
			$where .= " AND smv_fecha <= :smv_fechaFin";
		}

		if ($StockMovimObj->smv_fechaIni1){
			$where .= " AND smv_fecha >= :smv_fechaIni1";
		}
		if ($StockMovimObj->smv_fechaFin1){
			$where .= " AND smv_fecha <= :smv_fechaFin1";
		}

		if ($StockMovimObj->pr_familiaId){
			$where .= " AND pr_familiaId = :pr_familiaId";
		}
		if ($StockMovimObj->pr_subFamiliaId){
			$where .= " AND pr_subFamiliaId = :pr_subFamiliaId";
		}
		if ($StockMovimObj->pr_tipo){
			$where .= " AND pr_tipo = :pr_tipo";
		}
		if ($limit){
			$field = " SQL_CALC_FOUND_ROWS * ";
		}else{
			$field = " * ";	
		}
		if ($StockMovimObj->orderBy){
			$orderBy = " ORDER BY :orderBy";
		}else{
			$orderBy = " ORDER BY smv_almacenId, pr_productoId, smv_fecha, smv_id";
		}
		if ($StockMovimObj->view=="gl"){
			//$where .= " AND smv_tipo NOT IN ('DCN','DPI','TR','PI','G','IT','AJX') ";

			$where .= " AND smv_tipo NOT IN ('DCN','DPI','TR','PI','G','IT','AJX','INI','CNB', 'RMA') ";
		}
		if ($StockMovimObj->grupo_alm_pr){
			$groupBy = " GROUP BY smv_almacenId, smv_prId, smv_fecha, smv_ingSal";
			$groupFields = " * ,SUM(smv_cantidad) AS tot_cant, SUM(smv_costo*smv_cantidad) AS tot_costo, SUM(smv_costo_gl*smv_cantidad) AS tot_costo_gl ";
			$listaField_cant = "tot_cant";
			$listaField_costo = "tot_costo";
			$listaField_costo_gl = "tot_costo_gl";
		}elseif ($StockMovimObj->grupo=='total'){
			$groupBy = " GROUP BY smv_almacenId, smv_ingSal, smv_tipo";
			$groupFields = " smv_almacenId, smv_ingSal, smv_tipo, MSTAT.mlst_valorDsc as smv_tipo_dsc, MSTAT2.mlst_valorDsc as smv_tipo_dsc2, SUM(smv_cantidad) AS tot_cantidad, SUM(smv_costo*smv_cantidad) AS tot_costo, SUM(smv_costo_gl*smv_cantidad) AS tot_costo_gl, SUM(smv_stockAnt) AS tot_stockAnt ";
			$listaField_cant = "tot_cant";
			$listaField_costo = "tot_costo";
			$listaField_costo_gl = "tot_costo_gl";			
			$orderBy = " ORDER BY smv_almacenId, smv_ingSal, smv_tipo ";
		}elseif ($StockMovimObj->grupo=='pr_tipo'){
			$groupBy = " GROUP BY smv_almacenId, smv_ingSal, pr_tipo";
			$groupFields = " smv_almacenId, smv_ingSal, pr_tipo, pr_tipo as smv_tipo_dsc2 ,pr_tipo as smv_tipo_dsc, SUM(smv_cantidad) AS tot_cantidad, SUM(smv_costo*smv_cantidad) AS tot_costo, SUM(smv_costo_gl*smv_cantidad) AS tot_costo_gl, SUM(smv_stockAnt) AS tot_stockAnt ";
			$listaField_cant = "tot_cant";
			$listaField_costo = "tot_costo";
			$listaField_costo_gl = "tot_costo_gl";			
			$orderBy = " ORDER BY smv_almacenId, smv_ingSal, pr_tipo ";
		}elseif ($StockMovimObj->grupo=='fm'){
			if ($StockMovimObj->view=="gl"){
				$groupBy = " GROUP BY smv_ingSal, pr_familiaId";
			}else{
				$groupBy = " GROUP BY smv_almacenId, smv_ingSal, pr_familiaId";
			}
			$groupFields = " smv_almacenId, smv_ingSal, pr_familiaId, fm_nombre as smv_tipo_dsc2 ,fm_nombre as smv_tipo_dsc, SUM(smv_cantidad) AS tot_cantidad, SUM(smv_costo*smv_cantidad) AS tot_costo, SUM(smv_costo_gl*smv_cantidad) AS tot_costo_gl, SUM(smv_stockAnt) AS tot_stockAnt ";
			$listaField_cant = "tot_cant";
			$listaField_costo = "tot_costo";
			$listaField_costo_gl = "tot_costo_gl";			
			$orderBy = " ORDER BY smv_almacenId, smv_ingSal, fm_nombre ";
		}elseif ($StockMovimObj->grupo=='sfm'){
			if ($StockMovimObj->view=="gl"){
				$groupBy = " GROUP BY smv_ingSal, pr_subfamiliaId";			
			}else{
				$groupBy = " GROUP BY smv_almacenId, smv_ingSal, pr_subfamiliaId";
			}
			$groupBy = " GROUP BY smv_almacenId, smv_ingSal, pr_subfamiliaId";
			$groupFields = " smv_almacenId, smv_ingSal, pr_subfamiliaId, sfm_nombre as smv_tipo_dsc2 ,sfm_nombre as smv_tipo_dsc, SUM(smv_cantidad) AS tot_cantidad, SUM(smv_costo*smv_cantidad) AS tot_costo, SUM(smv_costo_gl*smv_cantidad) AS tot_costo_gl, SUM(smv_stockAnt) AS tot_stockAnt ";
			$listaField_cant = "tot_cant";
			$listaField_costo = "tot_costo";
			$listaField_costo_gl = "tot_costo_gl";			
			$orderBy = " ORDER BY smv_almacenId, smv_ingSal, sfm_nombre ";			
		}elseif ($StockMovimObj->grupo=='pr_id_mov_tipo'){
			$groupBy = " GROUP BY pr_id, smv_tipo";
			$groupFields = " smv_almacenId, 
			 smv_tipo, 
			 smv_ingSal, 
			 pr_id,
			 pr_productoId,
			 pr_descripcion,
			 sfm_nombre,
			 pr_tipo,  pr_tipo as smv_tipo_dsc2 ,pr_tipo as smv_tipo_dsc, SUM(smv_cantidad) AS tot_cantidad, SUM(smv_costo*smv_cantidad) AS tot_costo, SUM(smv_costo_gl*smv_cantidad) AS tot_costo_gl, SUM(smv_stockAnt) AS tot_stockAnt ";
			$listaField_cant = "tot_cant";
			$listaField_costo = "tot_costo";
			$listaField_costo_gl = "tot_costo_gl";
			$orderBy = " ORDER BY sfm_nombre, pr_productoId ";
		}else{
			$groupFields = " * ";
			$listaField_cant = "smv_cantidad";
			$listaField_costo = "smv_costo";
			$listaField_costo_gl = "smv_costo_gl";		
		}
		$sql = "
			SELECT
			$groupFields
			FROM im_stockmov
				LEFT JOIN im_producto ON smv_prId = pr_id 
				LEFT JOIN im_familia ON pr_familiaId = fm_familiaId 
				LEFT JOIN im_subFamilia ON pr_subfamiliaId = sfm_subFamiliaId 
				LEFT JOIN im_almacen ON smv_almacenId = alm_id 
				LEFT JOIN im_salidalinea ON sall_id = smv_docum AND sall_prId = smv_prId
				LEFT JOIN im_salida ON sall_id = sal_id
				LEFT JOIN im_ingresolinea ON ingl_id = smv_docum AND ingl_prId = smv_prId
				LEFT JOIN im_ingreso ON ingl_id = ing_id
				LEFT JOIN xx_maestrolista MSTAT ON smv_tipo = MSTAT.mlst_valorId AND MSTAT.mlst_listaId = 'imIngTipo'
				LEFT JOIN xx_maestrolista MSTAT2 ON smv_tipo = MSTAT2.mlst_valorId AND MSTAT2.mlst_listaId = 'imSalTipo'
			WHERE 1 $where
			$groupBy			
			$orderBy
		";
		/*echo "<pre>".$sql."</pre>";*/
		$comando = $PDO->prepare($sql);
		if ($StockMovimObj->smv_almacenId){
			$comando->bindParam(':smv_almacenId', $StockMovimObj->smv_almacenId);
		}
		if ($StockMovimObj->smv_ingSal){
			$comando->bindParam(':smv_ingSal', $StockMovimObj->smv_ingSal);
		}
		if ($StockMovimObj->smv_fechaIni){
			$comando->bindParam(':smv_fechaIni', $StockMovimObj->smv_fechaIni);
		}
		if ($StockMovimObj->smv_fechaFin){
			$comando->bindParam(':smv_fechaFin', $StockMovimObj->smv_fechaFin);
		}

		if ($StockMovimObj->smv_fechaIni1){
			$comando->bindParam(':smv_fechaIni1', $StockMovimObj->smv_fechaIni1);
		}
		if ($StockMovimObj->smv_fechaFin1){
			$comando->bindParam(':smv_fechaFin1', $StockMovimObj->smv_fechaFin1);
		}

		if ($StockMovimObj->pr_tipo){
			$comando->bindParam(':pr_tipo', $StockMovimObj->pr_tipo);
		}
		if ($StockMovimObj->pr_familiaId){
			$comando->bindParam(':pr_familiaId', $StockMovimObj->pr_familiaId);
		}
		if ($StockMovimObj->pr_subFamiliaId){
			$comando->bindParam(':pr_subFamiliaId', $StockMovimObj->pr_subFamiliaId);
		}

		if ($StockMovimObj->orderBy){
			$comando->bindParam(':orderBy', $StockMovimObj->orderBy);
		}			
		$comando->execute();
		while($row = $comando->fetch()){
			$a_stockMov["smv_almacenId"]		= $row["smv_almacenId"];
			$a_stockMov["smv_fecha"]			= $row["smv_fecha"];
			$a_stockMov["smv_ingSal"]			= $row["smv_ingSal"];
			$a_stockMov["smv_tipo"]				= $row["smv_tipo"];
			if ($row["smv_ingSal"]=='I'){
				$a_stockMov["smv_tipo_dsc"]		= $row["smv_tipo_dsc"];	
			}else{
				$a_stockMov["smv_tipo_dsc"]		= $row["smv_tipo_dsc2"];
			}
			
			$a_stockMov["tot_cantidad"]			= $row["tot_cantidad"];
			$a_stockMov["tot_stockAnt"]			= $row["tot_stockAnt"];
			$a_stockMov["tot_costo"]			= $row["tot_costo"];
			$a_stockMov["tot_costoPromAnt"]		= $row["tot_costoPromAnt"];
			$a_stockMov["tot_costoProm"]		= $row["tot_costoProm"];
			$a_stockMov["smv_almacenId_gl"]		= $row["smv_almacenId_gl"];
			$a_stockMov["smv_stockAnt_gl"]		= $row["smv_stockAnt_gl"];
			$a_stockMov["smv_tipo"]				= $row["smv_tipo"];
			$a_stockMov["tot_costo_gl"]			= $row["tot_costo_gl"];
			$a_stockMov["tot_costoPromAnt_gl"]	= $row["tot_costoPromAnt_gl"];
			$a_stockMov["tot_costoProm_gl"]		= $row["tot_costoProm_gl"];
			$a_stockMov["alm_nombre"]			= $row["alm_nombre"];
			$a_stockMov["pr_familiaId"]			= $row["pr_familiaId"];
			$a_stockMov["fm_nombre"]			= $row["fm_nombre"];
			$a_stockMov["sfm_nombre"]			= $row["sfm_nombre"];
			$a_stockMov["pr_descripcion"]		= $row["pr_descripcion"];
			$a_stockMov["pr_productoId"]		= $row["pr_productoId"];
			$a_stockMov["pr_id"]				= $row["pr_id"];

			
			$a_stockMovList["listaPag"][]		= $a_stockMov;
			$a_stockMovList["listaPag1"][]		= $a_stockMov;
		}

		$sqlTotal = "
			SELECT FOUND_ROWS() as total
		";
		$sentencia = $PDO->query($sqlTotal);
		$sentencia->setFetchMode(PDO::FETCH_ASSOC);
		$rowTotal = $sentencia->fetch();
		$a_stockMovList["total"] = $rowTotal["total"];
		return $a_stockMovList;

	}



	public function selectListaArtKdx($StockMovimObj){
		global $usuario, $PDO;
		if ($StockMovimObj->smv_prId){
			$where .= " AND smv_prId = :smv_prId";
			$where2 .= " AND smv_prId = :smv_prId";
		}
		if ($StockMovimObj->pr_productoId){
			$where .= " AND pr_productoId = :pr_productoId";
			$where2 .= " AND pr_productoId = :pr_productoId";
		}
		if ($StockMovimObj->pr_productoIdLista){
			$a_filas = explode(chr(10),trim($StockMovimObj->pr_productoIdLista));
			foreach ($a_filas as $value) {
				$value = ",'".str_replace(chr(13),"",$value)."'";
				$lista .= $value;
			}
			$lista = " AND pr_productoId IN (".substr($lista,1).") ";
			$where .= $lista;
			$where2 .= $lista;
		}
		if ($StockMovimObj->smv_ingSal){
			$where .= " AND smv_ingSal LIKE :smv_ingSal";
		}
		if ($StockMovimObj->smv_fechaFin){
			$where .= " AND smv_fecha <= :smv_fechaFin";
			$where2 .= " AND smv_fecha <= :smv_fechaFin";
		}

		if ($StockMovimObj->pr_familiaId){
			$where .= " AND pr_familiaId = :pr_familiaId";
			$where2 .= " AND pr_familiaId = :pr_familiaId";
		}
		if ($StockMovimObj->pr_subfamiliaId){
			$where .= " AND pr_subfamiliaId = :pr_subfamiliaId";
			$where2 .= " AND pr_subfamiliaId = :pr_subfamiliaId";
		}
		if ($StockMovimObj->pr_tipo){
			$where .= " AND pr_tipo = :pr_tipo";
			$where2 .= " AND pr_tipo = :pr_tipo";
		}
		$orderBy = " ORDER BY pr_productoId, smv_fecha DESC, smv_id DESC";

		$sql3 = "
			SELECT 
				pr_id,
				SUM(if(smv_ingSal='S',smv_stockAnt-smv_cantidad,smv_stockAnt+smv_cantidad)) as stock_saldo
			FROM im_stockmov
				LEFT JOIN im_producto ON smv_prId = pr_id 
			WHERE	
				if(smv_ingSal='S',smv_stockAnt-smv_cantidad,smv_stockAnt+smv_cantidad) >= 0
				$where
				AND smv_tipo NOT IN ('DCN','DPI','TR','PI','G','IT','AJX','INI','CNB', 'RMA') 
			GROUP BY smv_prId 			
		";

		$sql1 = "
			SELECT
				pr_id,
				if(smv_ingSal='S',smv_stockAnt_gl-smv_cantidad,smv_stockAnt_gl+smv_cantidad) as stock_saldo
			FROM
				(
				SELECT 
					MAX(CONCAT(smv_fecha,'-',smv_id)) AS TOP
				FROM im_stockmov
					LEFT JOIN im_producto ON smv_prId = pr_id 
				WHERE					
					smv_tipo NOT IN ('DCN','DPI','TR','PI','G','IT','AJX','INI','CNB', 'RMA') 
					$where
				GROUP BY smv_prId
				) MAX_ID
			LEFT JOIN im_stockmov ON TOP = CONCAT(smv_fecha,'-',smv_id)
			LEFT JOIN im_producto ON smv_prId = pr_id 
			WHERE if(smv_ingSal='S',smv_stockAnt_gl-smv_cantidad,smv_stockAnt_gl+smv_cantidad) >= 0
			 GROUP BY 1
		";


		$sql2 = "
			SELECT 
				pr_id, 
				smv_cantidad
			FROM
				(
				SELECT *
				FROM im_stockmov
				LEFT JOIN im_producto ON smv_prId = pr_id
				WHERE smv_tipo ='INI'
				$where2
				GROUP BY smv_prId
				) SI_INI
			LEFT JOIN 
				(
				SELECT smv_prId AS smv_prId_NO 
				FROM im_stockmov
				LEFT JOIN im_producto ON smv_prId = pr_id
				WHERE smv_tipo <> 'INI'
				AND smv_tipo NOT IN ('DCN','DPI','TR','PI','G','IT','AJX','INI','CNB', 'RMA') 
				$where2
				GROUP BY smv_prId
				) NO_INI ON smv_prId = smv_prId_NO
			WHERE smv_prId_NO IS NULL	
			 GROUP BY 1
		";
		$sql =	$sql1." 
			UNION ".
				$sql2 
				;

//echo "<pre>$sql</pre>";
		$comando = $PDO->prepare($sql);
		if ($StockMovimObj->smv_prId){
			$comando->bindParam(':smv_prId', $StockMovimObj->smv_prId);
		}
		if ($StockMovimObj->pr_productoId){
			$comando->bindParam(':pr_productoId', $StockMovimObj->pr_productoId);
		}
		if ($StockMovimObj->pr_descripcion){
			$comando->bindParam(':pr_descripcion', $StockMovimObj->pr_descripcion);
		}
		if ($StockMovimObj->pr_familiaId){
			$comando->bindParam(':pr_familiaId', $StockMovimObj->pr_familiaId);
		}
		if ($StockMovimObj->pr_subfamiliaId){
			$comando->bindParam(':pr_subfamiliaId', $StockMovimObj->pr_subfamiliaId);
		}
		if ($StockMovimObj->smv_fechaFin){
			$comando->bindParam(':smv_fechaFin', $StockMovimObj->smv_fechaFin);
		}

		$comando->execute();
		//print_r($comando->errorInfo());
		while($row = $comando->fetch()){
			if($row["pr_id"]){
				$a_stockMov["smv_prId"] = $row["pr_id"];
				$a_stockMovList[] = $a_stockMov;
			}
		}

		return $a_stockMovList;
	}


		public function selectListaArtKdx_Periodo2($StockMovimObj){
		global $usuario, $PDO;
		if ($StockMovimObj->smv_prId){
			$where .= " AND smv_prId = :smv_prId";
			$where2 .= " AND smv_prId = :smv_prId";
		}
		if ($StockMovimObj->pr_productoId){
			$where .= " AND pr_productoId = :pr_productoId";
			$where2 .= " AND pr_productoId = :pr_productoId";
		}
		if ($StockMovimObj->pr_productoIdLista){
			$a_filas = explode(chr(10),trim($StockMovimObj->pr_productoIdLista));
			foreach ($a_filas as $value) {
				$value = ",'".str_replace(chr(13),"",$value)."'";
				$lista .= $value;
			}
			$lista = " AND pr_productoId IN (".substr($lista,1).") ";
			$where .= $lista;
			$where2 .= $lista;
		}
		if ($StockMovimObj->smv_ingSal){
			$where .= " AND smv_ingSal LIKE :smv_ingSal";
		}

		if ($StockMovimObj->smv_fechaFin1){
			$where .= " AND smv_fecha <= :smv_fechaFin1";
			$where2 .= " AND smv_fecha <= :smv_fechaFin1";
		}

		if ($StockMovimObj->pr_familiaId){
			$where .= " AND pr_familiaId = :pr_familiaId";
			$where2 .= " AND pr_familiaId = :pr_familiaId";
		}
		if ($StockMovimObj->pr_subfamiliaId){
			$where .= " AND pr_subfamiliaId = :pr_subfamiliaId";
			$where2 .= " AND pr_subfamiliaId = :pr_subfamiliaId";
		}
		if ($StockMovimObj->pr_tipo){
			$where .= " AND pr_tipo = :pr_tipo";
			$where2 .= " AND pr_tipo = :pr_tipo";
		}
		$orderBy = " ORDER BY pr_productoId, smv_fecha DESC, smv_id DESC";

		$sql3 = "
			SELECT 
				pr_id,
				SUM(if(smv_ingSal='S',smv_stockAnt-smv_cantidad,smv_stockAnt+smv_cantidad)) as stock_saldo
			FROM im_stockmov
				LEFT JOIN im_producto ON smv_prId = pr_id 
			WHERE	
				if(smv_ingSal='S',smv_stockAnt-smv_cantidad,smv_stockAnt+smv_cantidad) >= 0
				$where
				AND smv_tipo NOT IN ('DCN','DPI','TR','PI','G','IT','AJX','INI','CNB', 'RMA') 
			GROUP BY smv_prId 			
		";

		$sql1 = "
			SELECT
				pr_id,
				if(smv_ingSal='S',smv_stockAnt_gl-smv_cantidad,smv_stockAnt_gl+smv_cantidad) as stock_saldo
			FROM
				(
				SELECT 
					MAX(CONCAT(smv_fecha,'-',smv_id)) AS TOP
				FROM im_stockmov
					LEFT JOIN im_producto ON smv_prId = pr_id 
				WHERE					
					smv_tipo NOT IN ('DCN','DPI','TR','PI','G','IT','AJX','INI','CNB', 'RMA') 
					$where
				GROUP BY smv_prId
				) MAX_ID
			LEFT JOIN im_stockmov ON TOP = CONCAT(smv_fecha,'-',smv_id)
			LEFT JOIN im_producto ON smv_prId = pr_id 
			WHERE if(smv_ingSal='S',smv_stockAnt_gl-smv_cantidad,smv_stockAnt_gl+smv_cantidad) >= 0
			 GROUP BY 1
		";


		$sql2 = "
			SELECT 
				pr_id, 
				smv_cantidad
			FROM
				(
				SELECT *
				FROM im_stockmov
				LEFT JOIN im_producto ON smv_prId = pr_id
				WHERE smv_tipo ='INI'
				$where2
				GROUP BY smv_prId
				) SI_INI
			LEFT JOIN 
				(
				SELECT smv_prId AS smv_prId_NO 
				FROM im_stockmov
				LEFT JOIN im_producto ON smv_prId = pr_id
				WHERE smv_tipo <> 'INI'
				AND smv_tipo NOT IN ('DCN','DPI','TR','PI','G','IT','AJX','INI','CNB', 'RMA') 
				$where2
				GROUP BY smv_prId
				) NO_INI ON smv_prId = smv_prId_NO
			WHERE smv_prId_NO IS NULL	
			 GROUP BY 1
		";
		$sql =	$sql1." 
			UNION ".
				$sql2 
				;

//echo "<pre>$sql</pre>";
		$comando = $PDO->prepare($sql);
		if ($StockMovimObj->smv_prId){
			$comando->bindParam(':smv_prId', $StockMovimObj->smv_prId);
		}
		if ($StockMovimObj->pr_productoId){
			$comando->bindParam(':pr_productoId', $StockMovimObj->pr_productoId);
		}
		if ($StockMovimObj->pr_descripcion){
			$comando->bindParam(':pr_descripcion', $StockMovimObj->pr_descripcion);
		}
		if ($StockMovimObj->pr_familiaId){
			$comando->bindParam(':pr_familiaId', $StockMovimObj->pr_familiaId);
		}
		if ($StockMovimObj->pr_subfamiliaId){
			$comando->bindParam(':pr_subfamiliaId', $StockMovimObj->pr_subfamiliaId);
		}

		if ($StockMovimObj->smv_fechaFin1){
			$comando->bindParam(':smv_fechaFin1', $StockMovimObj->smv_fechaFin1);
		}

		$comando->execute();
		//print_r($comando->errorInfo());
		while($row = $comando->fetch()){
			if($row["pr_id"]){
				$a_stockMov["smv_prId"] = $row["pr_id"];
				$a_stockMovList[] = $a_stockMov;
			}
		}

		return $a_stockMovList;
	}


	public function select_ultSaldo($smv_prId,$fechaIni){
		global $usuario, $PDO;
		$sql1 = "
			SELECT 
				concat(smv_fecha,smv_id) as maximo,
				fm_nombre,
				sfm_nombre,
				pr_productoId,
				pr_familiaId,
				pr_subfamiliaId,
				pr_descripcion,
				(if(smv_ingSal='S',smv_stockAnt-smv_cantidad,smv_stockAnt+smv_cantidad)) as stock_saldo,
				(if(smv_ingSal='S',smv_stockAnt_gl-smv_cantidad,smv_stockAnt_gl+smv_cantidad)) as stock_saldo_gl,
				smv_costoPromAnt,
				smv_costoPromAnt_gl,
				smv_costoProm_gl,
				smv_costo_gl,
				smv_fecha, 
				smv_id,
				smv_ingSal,
				smv_tipo,
				MSTAT.mlst_valorDsc as tipoI, 
				MSTAT2.mlst_valorDsc as tipoS 
			FROM im_stockmov
					LEFT JOIN im_producto ON smv_prId = pr_id
					LEFT JOIN im_familia ON pr_familiaId = fm_familiaId 
					LEFT JOIN im_subFamilia ON pr_subfamiliaId = sfm_subFamiliaId 
					LEFT JOIN xx_maestrolista MSTAT ON smv_tipo = MSTAT.mlst_valorId AND MSTAT.mlst_listaId = 'imIngTipo'
					LEFT JOIN xx_maestrolista MSTAT2 ON smv_tipo = MSTAT2.mlst_valorId AND MSTAT2.mlst_listaId = 'imSalTipo'
				WHERE smv_prId = ".$smv_prId."
					AND smv_fecha < '".$fechaIni."'
				AND smv_tipo NOT IN ('DCN','DPI','TR','PI','G','IT','AJX','CNB', 'RMA') 
			ORDER BY smv_fecha DESC, smv_id DESC
			LIMIT 1
		";


//exit($sql);
		$sql1xxxxxxxxxxxxxxxxxxxxx = "
			SELECT 
				fm_nombre,
				sfm_nombre,
				pr_productoId,
				pr_familiaId,
				pr_subfamiliaId,
				pr_descripcion,
				(if(smv_ingSal='S',smv_stockAnt-smv_cantidad,smv_stockAnt+smv_cantidad)) as stock_saldo,
				(if(smv_ingSal='S',smv_stockAnt_gl-smv_cantidad,smv_stockAnt_gl+smv_cantidad)) as stock_saldo_gl,
				smv_costoPromAnt,
				smv_costoPromAnt_gl,
				smv_costoProm_gl,
				smv_costo_gl,
				smv_fecha, 
				smv_id,
				smv_ingSal,
				smv_tipo,
				MSTAT.mlst_valorDsc as tipoI, 
				MSTAT2.mlst_valorDsc as tipoS 
			FROM
			(
				SELECT MAX(concat(smv_fecha,smv_id)) as maximo
				FROM im_stockmov
				WHERE smv_prId = :smv_prId 
					AND smv_fecha < :fechaIni
					AND smv_tipo NOT IN ('DCN','DPI','TR','PI','G','IT','AJX','CNB', 'RMA') 
				) xx
			LEFT JOIN im_stockmov ON concat(smv_fecha,smv_id) = maximo			
			LEFT JOIN im_producto ON smv_prId = pr_id
			LEFT JOIN im_familia ON pr_familiaId = fm_familiaId 
			LEFT JOIN im_subFamilia ON pr_subfamiliaId = sfm_subFamiliaId 
			LEFT JOIN xx_maestrolista MSTAT ON smv_tipo = MSTAT.mlst_valorId AND MSTAT.mlst_listaId = 'imIngTipo'
			LEFT JOIN xx_maestrolista MSTAT2 ON smv_tipo = MSTAT2.mlst_valorId AND MSTAT2.mlst_listaId = 'imSalTipo'
		";
// se quito INI de la ista $sql

		$sql2 = "
			SELECT 
				fm_nombre,
				sfm_nombre,
				pr_productoId,
				pr_familiaId,
				pr_subfamiliaId,
				pr_descripcion,
				smv_cantidad as stock_saldo,
				smv_cantidad as stock_saldo_gl,
				smv_costoPromAnt,
				smv_costoPromAnt_gl,
				smv_costoProm_gl,
				smv_costo_gl,
				smv_fecha, 
				smv_id,
				smv_ingSal,
				smv_tipo,
				MSTAT.mlst_valorDsc as tipoI, 
				MSTAT2.mlst_valorDsc as tipoS 
			FROM
				(
				SELECT *
				FROM im_stockmov
				LEFT JOIN im_producto ON smv_prId = pr_id
				WHERE smv_tipo ='INI'
					AND smv_prId = :smv_prId 
					AND smv_fecha < :fechaIni
				GROUP BY smv_prId
				) SI_INI
			LEFT JOIN 
				(
				SELECT smv_prId AS smv_prId_NO 
				FROM im_stockmov
				LEFT JOIN im_producto ON smv_prId = pr_id
				WHERE smv_tipo <> 'INI'
					AND smv_tipo NOT IN ('DCN','DPI','TR','PI','G','IT','AJX','INI','CNB', 'RMA') 
					AND smv_prId = :smv_prId 
					AND smv_fecha < :fechaIni
				GROUP BY smv_prId
				) NO_INI ON smv_prId = smv_prId_NO
			LEFT JOIN im_familia ON pr_familiaId = fm_familiaId 
			LEFT JOIN im_subFamilia ON pr_subfamiliaId = sfm_subFamiliaId 
			LEFT JOIN xx_maestrolista MSTAT ON smv_tipo = MSTAT.mlst_valorId AND MSTAT.mlst_listaId = 'imIngTipo'
			LEFT JOIN xx_maestrolista MSTAT2 ON smv_tipo = MSTAT2.mlst_valorId AND MSTAT2.mlst_listaId = 'imSalTipo'

			WHERE smv_prId_NO IS NULL	
		";


		$sql =	"SELECT * 
				FROM (".$sql1." 
				UNION ".
				$sql2 .
				") X
				ORDER BY pr_productoId, smv_fecha DESC, smv_id DESC	";

	   
//echo "<pre>".$sql."</pre>".$smv_prId."<br>".$fechaIni;
//exit;

		$sql =	"SELECT * 
				FROM (".$sql1." 
				) X
				ORDER BY pr_productoId, smv_fecha DESC, smv_id DESC	";

		

//echo "<!--".$sql ."<br><br>-->";
//echo "<pre>".$sql1."</pre>".$smv_prId."<br>".$fechaIni;
//exit;
		$comando = $PDO->query($sql1);
/*
		if ($smv_prId){
			$comando->bindParam(':smv_prId', $smv_prId);
		}
		if ($fechaIni){
			$comando->bindParam(':fechaIni', $fechaIni);
		}

		$comando->execute();
*/
		//print_r($comando->errorInfo());
		$comando->setFetchMode(PDO::FETCH_ASSOC);
		while($row = $comando->fetch()){
			if ($row["pr_productoId"] && $row["stock_saldo_gl"] > 0){
				$a_stockMov["smv_prId"]				= $smv_prId;
				$a_stockMov["fm_nombre"]			= $row["fm_nombre"];
				$a_stockMov["sfm_nombre"]			= $row["sfm_nombre"];
				$a_stockMov["pr_productoId"]		= $row["pr_productoId"];
				$a_stockMov["pr_descripcion"]		= $row["pr_descripcion"];
				$a_stockMov["pr_familiaId"]			= $row["pr_familiaId"];			
				$a_stockMov["pr_subfamiliaId"]		= $row["pr_subfamiliaId"];			
				$a_stockMov["smv_stockAnt"]			= $row["stock_saldo"];
				$a_stockMov["smv_stockAnt_gl"]		= $row["stock_saldo_gl"];
				$a_stockMov["smv_costo_gl"]			= $row["smv_costo_gl"];
				$a_stockMov["smv_ingSal"]			= $row["smv_ingSal"];
				if ($a_stockMov["smv_stockAnt"] > 0){
					$a_stockMov["smv_costoPromAnt"]		= $row["smv_costoPromAnt"];
				}
				if ($a_stockMov["smv_stockAnt_gl"]){
					$a_stockMov["smv_costoPromAnt_gl"]	= $row["smv_costoProm_gl"];
				}
				$a_stockMov["smv_costoProm_gl"]	= $row["smv_costoProm_gl"];
				if ($a_stockMov["smv_ingSal"]=='I'){
					$a_stockMov["tipoNombre"] = $row["tipoI"];
				}else{
					$a_stockMov["tipoNombre"] = $row["tipoS"];
				}
				$a_stockMov["smv_tipo"]				= $row["smv_tipo"];
				$a_stockMov["smv_id"]				= $row["smv_id"];
//print_r($row);echo "<br><br>";
			}
		}
		return $a_stockMov;
	}


		public function select_ultSaldo_Periodo2($smv_prId,$fechaIni1){
		global $usuario, $PDO;
		$sql1 = "
			SELECT 
				concat(smv_fecha,smv_id) as maximo,
				fm_nombre,
				sfm_nombre,
				pr_productoId,
				pr_familiaId,
				pr_subfamiliaId,
				pr_descripcion,
				(if(smv_ingSal='S',smv_stockAnt-smv_cantidad,smv_stockAnt+smv_cantidad)) as stock_saldo,
				(if(smv_ingSal='S',smv_stockAnt_gl-smv_cantidad,smv_stockAnt_gl+smv_cantidad)) as stock_saldo_gl,
				smv_costoPromAnt,
				smv_costoPromAnt_gl,
				smv_costoProm_gl,
				smv_costo_gl,
				smv_fecha, 
				smv_id,
				smv_ingSal,
				smv_tipo,
				MSTAT.mlst_valorDsc as tipoI, 
				MSTAT2.mlst_valorDsc as tipoS 
			FROM im_stockmov
					LEFT JOIN im_producto ON smv_prId = pr_id
					LEFT JOIN im_familia ON pr_familiaId = fm_familiaId 
					LEFT JOIN im_subFamilia ON pr_subfamiliaId = sfm_subFamiliaId 
					LEFT JOIN xx_maestrolista MSTAT ON smv_tipo = MSTAT.mlst_valorId AND MSTAT.mlst_listaId = 'imIngTipo'
					LEFT JOIN xx_maestrolista MSTAT2 ON smv_tipo = MSTAT2.mlst_valorId AND MSTAT2.mlst_listaId = 'imSalTipo'
				WHERE smv_prId = ".$smv_prId."
					AND smv_fecha < '".$fechaIni1."'
				AND smv_tipo NOT IN ('DCN','DPI','TR','PI','G','IT','AJX','CNB', 'RMA') 
			ORDER BY smv_fecha DESC, smv_id DESC
			LIMIT 1
		";


//exit($sql);
		$sql1xxxxxxxxxxxxxxxxxxxxx = "
			SELECT 
				fm_nombre,
				sfm_nombre,
				pr_productoId,
				pr_familiaId,
				pr_subfamiliaId,
				pr_descripcion,
				(if(smv_ingSal='S',smv_stockAnt-smv_cantidad,smv_stockAnt+smv_cantidad)) as stock_saldo,
				(if(smv_ingSal='S',smv_stockAnt_gl-smv_cantidad,smv_stockAnt_gl+smv_cantidad)) as stock_saldo_gl,
				smv_costoPromAnt,
				smv_costoPromAnt_gl,
				smv_costoProm_gl,
				smv_costo_gl,
				smv_fecha, 
				smv_id,
				smv_ingSal,
				smv_tipo,
				MSTAT.mlst_valorDsc as tipoI, 
				MSTAT2.mlst_valorDsc as tipoS 
			FROM
			(
				SELECT MAX(concat(smv_fecha,smv_id)) as maximo
				FROM im_stockmov
				WHERE smv_prId = :smv_prId 
					AND smv_fecha < :fechaIni1
					AND smv_tipo NOT IN ('DCN','DPI','TR','PI','G','IT','AJX','CNB', 'RMA') 
				) xx
			LEFT JOIN im_stockmov ON concat(smv_fecha,smv_id) = maximo			
			LEFT JOIN im_producto ON smv_prId = pr_id
			LEFT JOIN im_familia ON pr_familiaId = fm_familiaId 
			LEFT JOIN im_subFamilia ON pr_subfamiliaId = sfm_subFamiliaId 
			LEFT JOIN xx_maestrolista MSTAT ON smv_tipo = MSTAT.mlst_valorId AND MSTAT.mlst_listaId = 'imIngTipo'
			LEFT JOIN xx_maestrolista MSTAT2 ON smv_tipo = MSTAT2.mlst_valorId AND MSTAT2.mlst_listaId = 'imSalTipo'
		";
// se quito INI de la ista $sql

		$sql2 = "
			SELECT 
				fm_nombre,
				sfm_nombre,
				pr_productoId,
				pr_familiaId,
				pr_subfamiliaId,
				pr_descripcion,
				smv_cantidad as stock_saldo,
				smv_cantidad as stock_saldo_gl,
				smv_costoPromAnt,
				smv_costoPromAnt_gl,
				smv_costoProm_gl,
				smv_costo_gl,
				smv_fecha, 
				smv_id,
				smv_ingSal,
				smv_tipo,
				MSTAT.mlst_valorDsc as tipoI, 
				MSTAT2.mlst_valorDsc as tipoS 
			FROM
				(
				SELECT *
				FROM im_stockmov
				LEFT JOIN im_producto ON smv_prId = pr_id
				WHERE smv_tipo ='INI'
					AND smv_prId = :smv_prId 
					AND smv_fecha < :fechaIni1
				GROUP BY smv_prId
				) SI_INI
			LEFT JOIN 
				(
				SELECT smv_prId AS smv_prId_NO 
				FROM im_stockmov
				LEFT JOIN im_producto ON smv_prId = pr_id
				WHERE smv_tipo <> 'INI'
					AND smv_tipo NOT IN ('DCN','DPI','TR','PI','G','IT','AJX','INI','CNB', 'RMA') 
					AND smv_prId = :smv_prId 
					AND smv_fecha < :fechaIni1
				GROUP BY smv_prId
				) NO_INI ON smv_prId = smv_prId_NO
			LEFT JOIN im_familia ON pr_familiaId = fm_familiaId 
			LEFT JOIN im_subFamilia ON pr_subfamiliaId = sfm_subFamiliaId 
			LEFT JOIN xx_maestrolista MSTAT ON smv_tipo = MSTAT.mlst_valorId AND MSTAT.mlst_listaId = 'imIngTipo'
			LEFT JOIN xx_maestrolista MSTAT2 ON smv_tipo = MSTAT2.mlst_valorId AND MSTAT2.mlst_listaId = 'imSalTipo'

			WHERE smv_prId_NO IS NULL	
		";


		$sql =	"SELECT * 
				FROM (".$sql1." 
				UNION ".
				$sql2 .
				") X
				ORDER BY pr_productoId, smv_fecha DESC, smv_id DESC	";

	   
//echo "<pre>".$sql."</pre>".$smv_prId."<br>".$fechaIni;
//exit;

		$sql =	"SELECT * 
				FROM (".$sql1." 
				) X
				ORDER BY pr_productoId, smv_fecha DESC, smv_id DESC	";

		

//echo "<!--".$sql ."<br><br>-->";
//echo "<pre>".$sql1."</pre>".$smv_prId."<br>".$fechaIni;
//exit;
		$comando = $PDO->query($sql1);
/*
		if ($smv_prId){
			$comando->bindParam(':smv_prId', $smv_prId);
		}
		if ($fechaIni){
			$comando->bindParam(':fechaIni', $fechaIni);
		}

		$comando->execute();
*/
		//print_r($comando->errorInfo());
		$comando->setFetchMode(PDO::FETCH_ASSOC);
		while($row = $comando->fetch()){
			if ($row["pr_productoId"] && $row["stock_saldo_gl"] > 0){
				$a_stockMov["fm_nombre"]			= $row["fm_nombre"];
				$a_stockMov["sfm_nombre"]			= $row["sfm_nombre"];
				$a_stockMov["pr_productoId"]		= $row["pr_productoId"];
				$a_stockMov["pr_descripcion"]		= $row["pr_descripcion"];
				$a_stockMov["pr_familiaId"]			= $row["pr_familiaId"];			
				$a_stockMov["pr_subfamiliaId"]		= $row["pr_subfamiliaId"];			
				$a_stockMov["smv_stockAnt"]			= $row["stock_saldo"];
				$a_stockMov["smv_stockAnt_gl"]		= $row["stock_saldo_gl"];
				$a_stockMov["smv_costo_gl"]			= $row["smv_costo_gl"];
				$a_stockMov["smv_ingSal"]			= $row["smv_ingSal"];
				if ($a_stockMov["smv_stockAnt"] > 0){
					$a_stockMov["smv_costoPromAnt"]		= $row["smv_costoPromAnt"];
				}
				if ($a_stockMov["smv_stockAnt_gl"]){
					$a_stockMov["smv_costoPromAnt_gl"]	= $row["smv_costoProm_gl"];
				}
				$a_stockMov["smv_costoProm_gl"]	= $row["smv_costoProm_gl"];
				if ($a_stockMov["smv_ingSal"]=='I'){
					$a_stockMov["tipoNombre"] = $row["tipoI"];
				}else{
					$a_stockMov["tipoNombre"] = $row["tipoS"];
				}
				$a_stockMov["smv_tipo"]				= $row["smv_tipo"];
				$a_stockMov["smv_id"]				= $row["smv_id"];
//print_r($row);echo "<br><br>";
			}
		}
		return $a_stockMov;
	}

	public function select_ultSaldo_OLD($smv_prId,$fechaIni){
		global $usuario, $PDO;
		$sql1 = "
			SELECT 
				fm_nombre,
				sfm_nombre,
				pr_productoId,
				pr_familiaId,
				pr_subfamiliaId,
				pr_descripcion,
				(if(smv_ingSal='S',smv_stockAnt-smv_cantidad,smv_stockAnt+smv_cantidad)) as stock_saldo,
				(if(smv_ingSal='S',smv_stockAnt_gl-smv_cantidad,smv_stockAnt_gl+smv_cantidad)) as stock_saldo_gl,
				smv_costoPromAnt,
				smv_costoPromAnt_gl,
				smv_costoProm_gl,
				smv_costo_gl,
				smv_fecha, 
				smv_id,
				smv_ingSal,
				smv_tipo,
				MSTAT.mlst_valorDsc as tipoI, 
				MSTAT2.mlst_valorDsc as tipoS 
			FROM
			(
				SELECT MAX(concat(smv_fecha,smv_id)) as maximo
				FROM im_stockmov
				WHERE smv_prId = :smv_prId 
					AND smv_fecha < :fechaIni
					
					AND smv_tipo NOT IN ('DCN','DPI','TR','PI','G','IT','AJX','INI','CNB', 'RMA') 
				) xx
			LEFT JOIN im_stockmov ON concat(smv_fecha,smv_id) = maximo			
			LEFT JOIN im_producto ON smv_prId = pr_id
			LEFT JOIN im_familia ON pr_familiaId = fm_familiaId 
			LEFT JOIN im_subFamilia ON pr_subfamiliaId = sfm_subFamiliaId 
			LEFT JOIN xx_maestrolista MSTAT ON smv_tipo = MSTAT.mlst_valorId AND MSTAT.mlst_listaId = 'imIngTipo'
			LEFT JOIN xx_maestrolista MSTAT2 ON smv_tipo = MSTAT2.mlst_valorId AND MSTAT2.mlst_listaId = 'imSalTipo'
		";

		$sql2 = "
			SELECT 
				fm_nombre,
				sfm_nombre,
				pr_productoId,
				pr_familiaId,
				pr_subfamiliaId,
				pr_descripcion,
				smv_cantidad as stock_saldo,
				smv_cantidad as stock_saldo_gl,
				smv_costoPromAnt,
				smv_costoPromAnt_gl,
				smv_costoProm_gl,
				smv_costo_gl,
				smv_fecha, 
				smv_id,
				smv_ingSal,
				smv_tipo,
				MSTAT.mlst_valorDsc as tipoI, 
				MSTAT2.mlst_valorDsc as tipoS 
			FROM
				(
				SELECT *
				FROM im_stockmov
				LEFT JOIN im_producto ON smv_prId = pr_id
				WHERE smv_tipo ='INI'
					AND smv_prId = :smv_prId 
					AND smv_fecha < :fechaIni
					
				GROUP BY smv_prId
				) SI_INI
			LEFT JOIN 
				(
				SELECT smv_prId AS smv_prId_NO 
				FROM im_stockmov
				LEFT JOIN im_producto ON smv_prId = pr_id
				WHERE smv_tipo <> 'INI'
					AND smv_tipo NOT IN ('DCN','DPI','TR','PI','G','IT','AJX','INI','CNB', 'RMA') 
					AND smv_prId = :smv_prId 
					AND smv_fecha < :fechaIni
					
				GROUP BY smv_prId
				) NO_INI ON smv_prId = smv_prId_NO
			LEFT JOIN im_familia ON pr_familiaId = fm_familiaId 
			LEFT JOIN im_subFamilia ON pr_subfamiliaId = sfm_subFamiliaId 
			LEFT JOIN xx_maestrolista MSTAT ON smv_tipo = MSTAT.mlst_valorId AND MSTAT.mlst_listaId = 'imIngTipo'
			LEFT JOIN xx_maestrolista MSTAT2 ON smv_tipo = MSTAT2.mlst_valorId AND MSTAT2.mlst_listaId = 'imSalTipo'

			WHERE smv_prId_NO IS NULL	
		";
		$sql =	"SELECT * 
				FROM (".$sql1." 
				UNION ".
				$sql2 .
				") X
				ORDER BY pr_productoId, smv_fecha DESC, smv_id DESC	";
//echo "<pre>".$sql."</pre>".$smv_prId."<br>".$fechaIni;
//exit;
		$comando = $PDO->prepare($sql);
		if ($smv_prId){
			$comando->bindParam(':smv_prId', $smv_prId);
		}
		if ($fechaIni){
			$comando->bindParam(':fechaIni', $fechaIni);
		}

		$comando->execute();
		//print_r($comando->errorInfo());
		$comando->setFetchMode(PDO::FETCH_ASSOC);
		while($row = $comando->fetch()){
			if ($row["pr_productoId"]){
				$a_stockMov["fm_nombre"]			= $row["fm_nombre"];
				$a_stockMov["sfm_nombre"]			= $row["sfm_nombre"];
				$a_stockMov["pr_productoId"]		= $row["pr_productoId"];
				$a_stockMov["pr_descripcion"]		= $row["pr_descripcion"];
				$a_stockMov["pr_familiaId"]			= $row["pr_familiaId"];			
				$a_stockMov["pr_subfamiliaId"]		= $row["pr_subfamiliaId"];			
				$a_stockMov["smv_stockAnt"]			= $row["stock_saldo"];
				$a_stockMov["smv_stockAnt_gl"]		= $row["stock_saldo_gl"];
				$a_stockMov["smv_costo_gl"]			= $row["smv_costo_gl"];
				$a_stockMov["smv_ingSal"]			= $row["smv_ingSal"];
				if ($a_stockMov["smv_stockAnt"] > 0){
					$a_stockMov["smv_costoPromAnt"]		= $row["smv_costoPromAnt"];
				}
				if ($a_stockMov["smv_stockAnt_gl"]){
					$a_stockMov["smv_costoPromAnt_gl"]	= $row["smv_costoProm_gl"];
				}
				$a_stockMov["smv_costoProm_gl"]	= $row["smv_costoProm_gl"];
				if ($a_stockMov["smv_ingSal"]=='I'){
					$a_stockMov["tipoNombre"] = $row["tipoI"];
				}else{
					$a_stockMov["tipoNombre"] = $row["tipoS"];
				}
				$a_stockMov["smv_tipo"]				= $row["smv_tipo"];
				$a_stockMov["smv_id"]				= $row["smv_id"];

			}
		}
		return $a_stockMov;
	}



	public function select_resumenGL($StockMovimObj,$limit=''){
		global $usuario, $PDO;
		if ($StockMovimObj->smv_fechaIni){
			$where .= " AND smv_fecha >= :smv_fechaIni";
		}
		if ($StockMovimObj->smv_fechaFin){
			$where .= " AND smv_fecha <= :smv_fechaFin";
		}

		if ($StockMovimObj->smv_fechaIni1){
			$where .= " AND smv_fecha >= :smv_fechaIni1";
		}
		if ($StockMovimObj->smv_fechaFin1){
			$where .= " AND smv_fecha <= :smv_fechaFin1";
		}

		if ($StockMovimObj->pr_familiaId){
			$where .= " AND pr_familiaId = :pr_familiaId";
		}
		if ($StockMovimObj->pr_subFamiliaId){
			$where .= " AND pr_subFamiliaId = :pr_subFamiliaId";
		}
		if ($StockMovimObj->pr_tipo){
			$where .= " AND pr_tipo = :pr_tipo";
		}
		
		$where .= " AND smv_tipo NOT IN ('DCN','DPI','TR','PI','G','IT','AJX','INI','CNB', 'RMA') ";
		
		if ($StockMovimObj->grupo=='fm'){
			$groupBy = " GROUP BY pr_familiaId, smv_ingSal, smv_tipo";
			$groupFields = " 
				sfm_nombre,
				fm_nombre as smv_tipo_dsc2 ,
				fm_nombre as smv_tipo_dsc, 
				smv_tipo,
				smv_ingSal,
				pr_familiaId,
				pr_subFamiliaId,
				MSTAT.mlst_valorDsc as tipo_dsc,
				MSTAT2.mlst_valorDsc as tipo_dsc2,
				SUM(if(smv_ingSal = 'I', smv_cantidad,0)) as tot_ingreso_cant,
				SUM(if(smv_ingSal = 'I', smv_costo_gl*smv_cantidad,0)) as tot_ingreso_costo,
				SUM(if(smv_ingSal = 'S', smv_cantidad,0)) as tot_salida_cant,
				SUM(if(smv_ingSal = 'S', smv_costo_gl*smv_cantidad,0)) as tot_salida_costo,
				SUM(smv_stockAnt_gl) as tot_saldo_ant_cant
			";
			$listaField_cant = "tot_cant";
			$listaField_costo = "tot_costo";
			$listaField_costo_gl = "tot_costo_gl";			
			$orderBy = " ORDER BY fm_nombre,sfm_nombre,smv_ingSal, smv_tipo ";
		}elseif ($StockMovimObj->grupo=='sfm'){
			$groupBy = " GROUP BY sfm_nombre, smv_tipo";			
			$groupFields = " 
				smv_almacenId, 
				smv_ingSal, 
				pr_subfamiliaId, 
				sfm_nombre as smv_tipo_dsc2 ,
				sfm_nombre as smv_tipo_dsc, 
				SUM(smv_cantidad) AS tot_cantidad, 
				SUM(smv_costo*smv_cantidad) AS tot_costo, 
				SUM(smv_costo_gl*smv_cantidad) AS tot_costo_gl, 
				SUM(smv_stockAnt) AS tot_stockAnt ";
			$listaField_cant = "tot_cant";
			$listaField_costo = "tot_costo";
			$listaField_costo_gl = "tot_costo_gl";			
			$orderBy = " ORDER BY sfm_nombre, smv_tipo ";			
		}else{
			$groupBy = " GROUP BY pr_subfamiliaId, smv_ingSal, smv_tipo ";
			$groupFields = "
				sfm_nombre,
				fm_nombre as smv_tipo_dsc2 ,
				fm_nombre as smv_tipo_dsc, 
				smv_tipo,
				smv_ingSal,
				pr_familiaId,
				pr_subFamiliaId,
				MSTAT.mlst_valorDsc as tipo_dsc,
				MSTAT2.mlst_valorDsc as tipo_dsc2,
				SUM(if(smv_ingSal = 'I', smv_cantidad,0)) as tot_ingreso_cant,
				SUM(if(smv_ingSal = 'I', smv_costo_gl*smv_cantidad,0)) as tot_ingreso_costo,
				SUM(if(smv_ingSal = 'S', smv_cantidad,0)) as tot_salida_cant,
				SUM(if(smv_ingSal = 'S', smv_costo_gl*smv_cantidad,0)) as tot_salida_costo,
				SUM(smv_stockAnt_gl) as tot_saldo_ant_cant
			";
			$listaField_cant = "tot_cant";
			$listaField_costo = "tot_costo";
			$listaField_costo_gl = "tot_costo_gl";			
			$orderBy = " ORDER BY fm_nombre,sfm_nombre,smv_ingSal ,smv_tipo ";		
		}
		$sql = "
			SELECT
			$groupFields
			FROM im_stockmov
				LEFT JOIN im_producto ON smv_prId = pr_id 
				LEFT JOIN im_familia ON pr_familiaId = fm_familiaId 
				LEFT JOIN im_subFamilia ON pr_subfamiliaId = sfm_subFamiliaId 
				LEFT JOIN im_almacen ON smv_almacenId = alm_id 
				LEFT JOIN im_salidalinea ON sall_id = smv_docum AND sall_prId = smv_prId
				LEFT JOIN im_salida ON sall_id = sal_id
				LEFT JOIN im_ingresolinea ON ingl_id = smv_docum AND ingl_prId = smv_prId
				LEFT JOIN im_ingreso ON ingl_id = ing_id
				LEFT JOIN xx_maestrolista MSTAT ON smv_tipo = MSTAT.mlst_valorId AND MSTAT.mlst_listaId = 'imIngTipo'
				LEFT JOIN xx_maestrolista MSTAT2 ON smv_tipo = MSTAT2.mlst_valorId AND MSTAT2.mlst_listaId = 'imSalTipo'
			WHERE 1 $where
			$groupBy			
			$orderBy
		";
		global $usuario;
		if ($usuario=='jreyes'){
			//echo "<pre>".$sql."</pre>";
		}
		$comando = $PDO->prepare($sql);
		if ($StockMovimObj->smv_fechaIni){
			$comando->bindParam(':smv_fechaIni', $StockMovimObj->smv_fechaIni);
		}
		if ($StockMovimObj->smv_fechaFin){
			$comando->bindParam(':smv_fechaFin', $StockMovimObj->smv_fechaFin);
		}

		if ($StockMovimObj->smv_fechaIni1){
			$comando->bindParam(':smv_fechaIni1', $StockMovimObj->smv_fechaIni1);
		}
		if ($StockMovimObj->smv_fechaFin1){
			$comando->bindParam(':smv_fechaFin1', $StockMovimObj->smv_fechaFin1);
		}

		if ($StockMovimObj->pr_tipo){
			$comando->bindParam(':pr_tipo', $StockMovimObj->pr_tipo);
		}
		if ($StockMovimObj->pr_familiaId){
			$comando->bindParam(':pr_familiaId', $StockMovimObj->pr_familiaId);
		}
		if ($StockMovimObj->pr_subFamiliaId){
			$comando->bindParam(':pr_subFamiliaId', $StockMovimObj->pr_subFamiliaId);
		}			
		$comando->execute();
		$comando->setFetchMode(PDO::FETCH_ASSOC);
		while($row = $comando->fetch()){
			$a_stockMov["fm_nombre"]		= $row["smv_tipo_dsc2"];
			$a_stockMov["sfm_nombre"]		= $row["sfm_nombre"];
			$a_stockMov["smv_tipo"]			= $row["smv_tipo"];
			$a_stockMov["smv_ingSal"]		= $row["smv_ingSal"];
			if ($row["tipo_dsc"]){
				$a_stockMov["tipo_dsc"]		= $row["tipo_dsc"];
			}else{
				$a_stockMov["tipo_dsc"]		= $row["tipo_dsc2"];
			}
			$a_stockMov["tot_ingreso_cant"]	= $row["tot_ingreso_cant"];
			$a_stockMov["tot_ingreso_costo"]= $row["tot_ingreso_costo"];
			$a_stockMov["tot_salida_cant"]	= $row["tot_salida_cant"];
			$a_stockMov["tot_salida_costo"]	= $row["tot_salida_costo"];
			$a_stockMov["tot_saldo_ant_cant"] = $row["tot_saldo_ant_cant"];
			$a_stockMov["pr_familiaId"]		= $row["pr_familiaId"];
			$a_stockMov["pr_subFamiliaId"]	= $row["pr_subFamiliaId"];			
			$a_stockMovList[]		= $a_stockMov;
		}
		return $a_stockMovList;

	}

	public function insert($StockMovimObj){
		global $PDO,$usuario;
		$sql = "
			INSERT INTO im_stockmov 
			(
			smv_prId,
			smv_almacenId,
			smv_loteId,
			smv_fecha,
			smv_ingSal,
			smv_tipo,
			smv_documTipo,
			smv_docum,
			smv_documRef,
			smv_cantidad,
			smv_costo,
			smv_costo_gl,
			smv_tc,
			smv_obs,
			smv_usrreg,
			smv_fecreg
			) 
			VALUES 
			(
			:smv_prId,
			:smv_almacenId,
			:smv_loteId,
			:smv_fecha,
			:smv_ingSal,
			:smv_tipo,
			:smv_documTipo,
			:smv_docum,
			:smv_documRef,
			:smv_cantidad,
			:smv_costo,
			:smv_costo_gl,
			:smv_tc,
			:smv_obs,
			:smv_usrreg,
			:smv_fecreg
			);			
		";
		if (!$StockMovimObj->smv_costo_gl){$StockMovimObj->smv_costo_gl = 0;}

		$comando = $PDO->prepare($sql);
		$fecreg = date("Y-m-d H:i:s");
		$comando->bindParam(':smv_prId', $StockMovimObj->smv_prId);
		$comando->bindParam(':smv_almacenId', $StockMovimObj->smv_almacenId);
		$comando->bindParam(':smv_loteId', $StockMovimObj->smv_loteId);
		$comando->bindParam(':smv_fecha', $StockMovimObj->smv_fecha);		
		$comando->bindParam(':smv_ingSal', $StockMovimObj->smv_ingSal);
		$comando->bindParam(':smv_tipo', $StockMovimObj->smv_tipo);
		$comando->bindParam(':smv_documTipo', $StockMovimObj->smv_documTipo);
		$comando->bindParam(':smv_docum', $StockMovimObj->smv_docum);		
		$comando->bindParam(':smv_documRef', $StockMovimObj->smv_documRef);
		$comando->bindParam(':smv_cantidad', $StockMovimObj->smv_cantidad);
		$comando->bindParam(':smv_costo', $StockMovimObj->smv_costo);		
		$comando->bindParam(':smv_costo_gl', $StockMovimObj->smv_costo_gl);		
		$comando->bindParam(':smv_tc', $StockMovimObj->smv_tc);		
		$comando->bindParam(':smv_obs', $StockMovimObj->smv_obs);	
		$comando->bindParam(':smv_usrreg', $usuario);	
		$comando->bindParam(':smv_fecreg', $fecreg);		
		$comando->execute();
		//if ($usuario=="jreyes"){echo $_REQUEST["action"];echo "<pre>";print_r($comando->errorInfo());print_r($StockMovimObj); echo $sql."</pre>";exit("aqui234");}

/*
echo "<pre>";		
print_r($StockMovimObj);
echo "</pre>";

*/

		$query	 = "
			SELECT DISTINCT max(smv_id) as id 
			FROM im_stockmov 
			WHERE smv_usrreg = :smv_usrreg 
				AND smv_fecreg = :smv_fecreg ";
		$comando = $PDO->prepare($query);
		$comando->bindParam(':smv_usrreg', $StockMovimObj->smv_usrreg);
		$comando->bindParam(':smv_fecreg', $fecreg);
		$comando->execute();	 
		$resultado = $comando->fetchAll(PDO::FETCH_ASSOC);
		$row = $resultado[0];
		return $row["id"];
	}


	public function update($StockMovimObj){
		global $usuario, $PDO;
		if ($StockMovimObj->smv_costo){
			$set .= ",smv_costo = :smv_costo";
		}
		if ($StockMovimObj->smv_costo_gl){
			$set .= ",smv_costo_gl = :smv_costo_gl";
		}
		if ($set){
			$set = substr($set,1);
			$sql2 = "
				UPDATE im_stockmov
				SET 
					$set
					,smv_usract = :usuario
				WHERE 
					smv_id = :smv_id
				LIMIT 1";			
			$comando = $PDO->prepare($sql2);
			$comando->bindParam(':smv_id', $StockMovimObj->smv_id);
			$comando->bindParam(':usuario', $usuario);
			if ($StockMovimObj->smv_costo){
				$comando->bindParam(':smv_costo', $StockMovimObj->smv_costo);
			}
			if ($StockMovimObj->smv_costo_gl){
				$comando->bindParam(':smv_costo_gl', $StockMovimObj->smv_costo_gl);
			}
			$comando->execute();
			return $IngresoLineaObj->smv_id;
		}
	}


}


?>