<?php

include_once ("class/imIngreso.class.php");
include_once ("class/imAlmacen.class.php");

include ("imStockMovim.class.php");

class PoImp2Ing{

	public function procesaImp2Ing($lq_id){
		global $PDO, $usuario;
		if (!$PDO->inTransaction()){
			try {  
				$PDO->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
				$PDO->beginTransaction();
				$this->procesaImp2IngCore($lq_id);
				$PDO->commit();
			} catch (Exception $e) {
			  $PDO->rollBack();
			  echo "Fallo: " . $e->getMessage();
			  exit;
			}
		}else{
			$this->procesaImp2IngCore($lq_id);
		}
	}

	public function procesaImp2IngCore($lq_id){
		global $PDO, $usuario;
		$PoImpLiq = NEW PoImpLiq();
		$a_vars_lq = $PoImpLiq->consultarId($lq_id);
		$PoImpLiqLinea = NEW PoImpLiq();
		$a_vars_lq_linea = $PoImpLiqLinea->consultarIdLineas($lq_id);
		//CREAR INGRESO

		if (is_array($a_vars_lq_linea)){
			$ImIngreso		= NEW ImIngreso();
			$ImIngresoObj	= NEW ImIngreso();
			$ImIngresoObj->ing_tipo			= "PO";
			$ImIngresoObj->ing_almacenId	= 8;
			$ImIngresoObj->ing_prv_id		= $a_vars_lq["lq_prv_id"];
			$ImIngresoObj->ing_prv_nombre	= $a_vars_lq["lq_prv_nombre"];
			$ImIngresoObj->ing_fecha		= date("Y-m-d");//$a_vars_lq["lq_fecha"];
			$ImIngresoObj->ing_fechaDoc		= date("Y-m-d");
			$ImIngresoObj->ing_refDocTipo	= "";
			$ImIngresoObj->ing_refDocId		= $a_vars_lq["lq_dua"];
			$ImIngresoObj->ing_refDocTipo2	= "";
			$ImIngresoObj->ing_refDocId2	= $a_vars_lq["lq_imp_id"];
			$ImIngresoObj->ing_tipoCambio	= $a_vars_lq["lq_tipoCambio"];
			$ImIngresoObj->ing_glosa		= $a_vars_lq["lq_obs"];
			$ImIngresoObj->ing_obs			= "IMPORTACION #".$lq_id;
			$ImIngresoObj->ing_usrreg		= $usuario;
			foreach ($ImIngresoObj as $clave => $valor) {
				if (!$ImIngresoObj->$clave){
					$ImIngresoObj->$clave = "";
				}
			}
			$ingresoId = $ImIngreso->crear($ImIngresoObj);
			for ($j=0; $j < count($a_vars_lq_linea); $j++){
				$ImIngresoLinea		= NEW ImIngresoLinea();
				$ImIngresoLineaObj	= NEW ImIngresoLinea();
				$ImIngresoLineaObj->ingl_id			= $ingresoId;
				$ImIngresoLineaObj->ingl_prId		= $a_vars_lq_linea[$j]["lqd_pr_id"];
				$ImIngresoLineaObj->ingl_loteId		= 0;
				$ImIngresoLineaObj->ingl_cantidad	= $a_vars_lq_linea[$j]["lqd_cantidad"];
				$ImIngresoLineaObj->ingl_costo		= $a_vars_lq_linea[$j]["lqd_costo_imp"];
				if ($a_vars_lq_linea[$j]["lqd_costo_gl_imp"] <= 0){
					$ImIngresoLineaObj->ingl_costo_gl = $a_vars_lq_linea[$j]["lqd_costo_imp"] * $a_vars_lq["lq_tipoCambio"];
				}else{
					$ImIngresoLineaObj->ingl_costo_gl = $a_vars_lq_linea[$j]["lqd_costo_gl_imp"];
				}
				$ImIngresoLineaObj->ingl_usrreg	= $usuario;
				foreach ($ImIngresoLineaObj as $clave => $valor) {
					if (!$ImIngresoLineaObj->$clave){
						$ImIngresoLineaObj->$clave = "";
					}
				}
				$result = $ImIngresoLinea->crear($ImIngresoLineaObj);					
			}
			//reset($a_vars_lq_linea);
			/*
			echo "<pre>";
			print_r($ImIngresoObj);
			print_r($ImIngresoLineaObj);
			echo "</pre>";
			exit;
			*/
			//$ImIngreso->cerrarIngreso($ingresoId);
			$PoImpLiq->cerrar($lq_id);
		}

	}

}





?>