<?php

include ("class/poImpLiqModel.class.php");


class PoImpLiq{
/*
	var $lq_id = '';
	var $lq_imp_id = '';
	var $lq_dua = '';
	var $lq_fecha = '';
	var $lq_prv_id = '';
	var $lq_prv_nombre = '';
	var $lq_tipoCambio = 0;
	var $lq_obs = '';
	var $lq_status = '';
	var $lq_usrreg = '';
	var $lq_fecreg = '';
*/
	public function consultarId($id){
		$PoImpLiqModel= NEW PoImpLiqModel();
		$a_result = $PoImpLiqModel->selectUniqueId($id);
		return $a_result;
	}

	public function consultar($ImIngresoFilter){
		$PoImpLiqModel = NEW PoImpLiqModel();
		return $PoImpLiqModel->select($ImIngresoFilter);
	}

	public function consultarIdLineas($id){
		$PoImpLiqModel= NEW PoImpLiqLineaModel();
		$a_result = $PoImpLiqModel->selectUniqueId($id);
		return $a_result;
	}

	public function procesar($id){
		global $usuario, $PDO;
		$a_PoImpLiqModel		= $this->consultarId($id);
		// recalcular costos
	}


	public function crear($PoImpLiqObj){		
		$PoImpLiqModelIns = NEW PoImpLiqModel();
		return $PoImpLiqModelIns->insert($PoImpLiqObj);
	}


	public function modificar($PoImpLiqObj){
		if (!$PoImpLiqObj->lq_id){
			return FALSE;
		}
		$PoImpLiqModelUpd = NEW PoImpLiqModel();
		return $PoImpLiqModelUpd->update($PoImpLiqObj);		
	}


	public function cerrar($lq_id){
		if (!$lq_id){
			return FALSE;
		}
		$PoImpLiqModelUpd	= NEW PoImpLiqModel();
		$PoImpLiqModel		= NEW PoImpLiqModel();
		$PoImpLiqModelUpd->lq_id = $lq_id; 
		$PoImpLiqModelUpd->lq_status = "C"; 
		return $PoImpLiqModel->update($PoImpLiqModelUpd);		
	}


	public function anular($id){
		if (!$id){
			return FALSE;
		}
		$PoImpLiqModelUpd			 = NEW PoImpLiqModel();
		$PoImpLiqModelSetObj		 = NEW PoImpLiqModel();	
		$PoImpLiqModelSetObj->lq_id	  = $id;
		$PoImpLiqModelSetObj->lq_status  = 'A';
		return $PoImpLiqModelUpd->update($PoImpLiqModelSetObj);
	}


}






class PoImpLiqLinea{

	var $lqd_lineaId = 0;
	var $lqd_lq_id = 0;
	var $lqd_pr_id = 0;
	var $lqd_cantidad = 0;
	var $lqd_costo = 0;
	var $lqd_adv = 0;
	var $lqd_gasto = 0;
	var $lqd_costoLiq = 0;
	var $lqd_gastos_imp = 0;
	var $lqd_obs = '';
	var $lqd_usrreg = '';
	var $lqd_usract = '';
	var $lqd_fecreg = '';
	var $lqd_fecact = '';

	public function crear($PoImpLiqLineaObj){	
		$PoImpLiqLineaModelIns = NEW PoImpLiqLineaModel();
		return $PoImpLiqLineaModelIns->insert($PoImpLiqLineaObj);
	}

	public function modificar($PoImpLiqLineaObj){
		if (!$PoImpLiqLineaObj->lqd_lq_id){
			return FALSE;
		}
		$PoImpLiqModelLineaUpd	  = NEW PoImpLiqLineaModel();
		return $PoImpLiqModelLineaUpd->update($PoImpLiqLineaObj);		
	}

	public function borrar($id){
		$PoImpLiqLineaModelDel = NEW PoImpLiqLineaModel();
		return $PoImpLiqLineaModelDel->delete($id);		
	}

	public function consultarLineaArticulo($ingresoId,$productoId){
		$PoImpLiqLineaModel= NEW PoImpLiqLineaModel();
		$a_result = $PoImpLiqLineaModel->selectLineaArticulo($ingresoId,$productoId);
		return $a_result;
	}

	public function consultar($PoImpLiqLineaObj){
		$PoImpLiqLineaModel= NEW PoImpLiqLineaModel();
		$a_result = $PoImpLiqLineaModel->select($PoImpLiqLineaObj);
		return $a_result;
	}
}


class PoImpLiqGasto{

	public function crear($PoImpLiqGastoObj){	
		$PoImpLiqGastoModelIns = NEW PoImpLiqGastoModel();
		return $PoImpLiqGastoModelIns->insert($PoImpLiqGastoObj);
	}
	
	public function modificar($PoImpLiqGastoObj){
		if (!$PoImpLiqGastoObj->lqg_lq_id){
			return FALSE;
		}
		$PoImpLiqModelGastoUpd	  = NEW PoImpLiqGastoModel();
		return $PoImpLiqModelGastoUpd->update($PoImpLiqGastoObj);		
	}

	public function borrar($id){
		$PoImpLiqGastoModelDel = NEW PoImpLiqGastoModel();
		return $PoImpLiqGastoModelDel->delete($id);		
	}

	public function consultarId($id){
		$PoImpLiqGastoModel= NEW PoImpLiqGastoModel();
		$a_result = $PoImpLiqGastoModel->selectUniqueId($id);
		return $a_result;
	}

	public function consultar($PoImpLiqGastoObj){
		$PoImpLiqGastoModel= NEW PoImpLiqGastoModel();
		$a_result = $PoImpLiqGastoModel->select($PoImpLiqGastoObj);
		return $a_result;
	}
}


class PoImpLiqGastoFac{

	var $lqf_lq_id = 0;  
	var $lqf_fac_id = 0;
	var $lqf_fac_lineaId = 0;
	var $lqf_gastoId = '';
	var $lqf_usrreg = ''; 
	var $lqf_fecreg = '';
	public function crear($PoImpLiqGastoFacObj){	
		$PoImpLiqGastoFacModelIns = NEW PoImpLiqGastoFacModel();
		return $PoImpLiqGastoFacModelIns->insert($PoImpLiqGastoFacObj);
	}
	
	public function modificar($PoImpLiqGastoFacObj){
		if (!$PoImpLiqGastoFacObj->lqg_lq_id){
			return FALSE;
		}
		$PoImpLiqModelGastoUpd	  = NEW PoImpLiqGastoFacModel();
		return $PoImpLiqModelGastoUpd->update($PoImpLiqGastoFacObj);		
	}

	public function borrar($id){
		$PoImpLiqGastoFacModelDel = NEW PoImpLiqGastoFacModel();
		return $PoImpLiqGastoFacModelDel->delete($id);		
	}

	public function consultar($PoImpLiqGastoFacObj){
		$PoImpLiqGastoFacModel= NEW PoImpLiqGastoFacModel();
		$a_result = $PoImpLiqGastoFacModel->select($PoImpLiqGastoFacObj);
		return $a_result;
	}
	
}
?>