<?php

include ("class/poPoModel.class.php");


class PoPo{

	var $po_id = '';
	var $po_tipo = '';
	var $po_fecha = '';
	var $po_tipoCambio = 0;
	var $po_obs = '';
	var $po_status = '';
	var $po_poTransp = '';
	var $po_usrreg = '';
	var $po_usract = '';
	var $po_fecreg = '';
	var $po_fecact = '';


	public function consultarId($id){
		$PoPoModel= NEW PoPoModel();
		$a_result = $PoPoModel->selectUniqueId($id);
		return $a_result;
	}

	public function consultar($PoPoFilter){
		$PoPoModel = NEW PoPoModel();
		return $PoPoModel->select($PoPoFilter);
	}

	public function consultarPag($PoPoFilter,$limit){
		$PoPoModel = NEW PoPoModel();
		return $PoPoModel->select($PoPoFilter,$limit);
	}

	public function consultarIdLineas($id){
		$PoPoModel= NEW PoPoLineaModel();
		$a_result = $PoPoModel->selectUniqueId($id);
		return $a_result;
	}


	public function crear($PoPoObj){		
		$PoPoModelIns = NEW PoPoModel();
		return $PoPoModelIns->insert($PoPoObj);
	}


	public function modificar($PoPoObj){
		if (!$PoPoObj->po_id){
			return FALSE;
		}
		$PoPoModelUpd = NEW PoPoModel();
		return $PoPoModelUpd->update($PoPoObj);		
	}


	public function anular($id){
		if (!$id){
			return FALSE;
		}
		$PoPoModelUpd			 = NEW PoPoModel();
		$PoPoModelSetObj		 = NEW PoPoModel();	
		$PoPoModelSetObj->po_id	  = $id;
		$PoPoModelSetObj->po_status  = 'A';
		return $PoPoModelUpd->update($PoPoModelSetObj);
	}


}






class PoPoLinea{

	var $rql_id			= 0; 
	var $rql_docRefTipo	= '';
	var $rql_docRefId		= 0;
	var $rql_docRefLineaId = 0;
	var $rql_prId			= 0;
	var $rql_loteId		= 0;
	var $rql_descripcion	= ''; 
	var $rql_cantidad		= 0; 
	var $rql_costo			= 0;
	var $rql_costo_gl		= 0;
	var $rql_usrreg		= ''; 
	var $rql_fecreg		= ''; 

	public function crear($PoPoLineaObj,$tipoIngreso=''){	
		$PoPo		= NEW PoPoLineaModel();
		$PoPoLineaModelIns = NEW PoPoLineaModel();

		return $PoPoLineaModelIns->insert($PoPoLineaObj);
	}

	public function modificar($PoPoLineaObj){
		if (!$PoPoLineaObj->rql_id){
			return FALSE;
		}
		$PoPoModelLineaUpd	  = NEW PoPoLineaModel();
		$PoPoModelLineaSetObj = NEW PoPoLineaModel();	
		return $PoPoModelLineaUpd->update($PoPoLineaObj);		
	}

	public function borrar($id){
		$PoPoLineaModelDel = NEW PoPoLineaModel();
		return $PoPoLineaModelDel->delete($id);		
	}

	public function consultarLineaArticulo($ingresoId,$productoId){
		$PoPoLineaModel= NEW PoPoLineaModel();
		$a_result = $PoPoLineaModel->selectLineaArticulo($ingresoId,$productoId);
		return $a_result;
	}

	public function consultar($PoPoLineaObj){
		$PoPoLineaModel= NEW PoPoLineaModel();
		$a_result = $PoPoLineaModel->select($PoPoLineaObj);
		return $a_result;
	}
}

?>