<?php

include ("class/poProveedorModel.class.php");



class PoProveedor{

	public function consultarCodigo($ruc){
		$PoProveedorModel= NEW PoProveedorModel();
		$PoProveedorModelRUC= NEW PoProveedorModel();
		if (!$ruc){
			return FALSE;
		}
		$PoProveedorModelRUC->prv_ruc = $ruc;
		$a_result = $PoProveedorModel->select($PoProveedorModelRUC);
		return $a_result;
	}

	public function consultarId($id){
		$PoProveedorModel= NEW PoProveedorModel();
		$a_result = $PoProveedorModel->selectUniqueId($id);
		return $a_result;
	}

	public function consultar($PoProveedorFilter){
		$PoProveedorModel = NEW PoProveedorModel();
		return $PoProveedorModel->select($PoProveedorFilter);
	}

	public function consultarPag($PoProveedorFilter,$limit){
		$PoProveedorModel = NEW PoProveedorModel();
		return $PoProveedorModel->select($PoProveedorFilter,$limit);
	}


	public function crear($PoProveedorObj){		
		$PoProveedorModelIns = NEW PoProveedorModel();
		return $PoProveedorModelIns->insert($PoProveedorObj);
	}


	public function modificar($PoProveedorObj){
		if (!$PoProveedorObj->prv_id){
			return FALSE;
		}
		$PoProveedorModelUpd	= NEW PoProveedorModel();
		$PoProveedorModelSetObj	= NEW PoProveedorModel();
		$PoProveedorModelSetObj	= $PoProveedorObj;
		return $PoProveedorModelUpd->update($PoProveedorModelSetObj);		
	}


	public function anular($id){
		if (!$id){
			return FALSE;
		}
		$PoProveedorModelUpd				= NEW PoProveedorModel();
		$PoProveedorModelSetObj				= NEW PoProveedorModel();	
		$PoProveedorModelSetObj->prv_id		= $id;
		$PoProveedorModelSetObj->prv_status	= 'A';
		return $PoProveedorModelUpd->update($PoProveedorModelSetObj);
	}


}

?>