<?php


class PoProveedorModel{

	public function selectUniqueId($id){
		global $PDO;
		if (!$id){
			return FALSE;
		}
		$sql = "
			SELECT *
			FROM po_proveedor
			WHERE prv_id = :id
		";
		$comando = $PDO->prepare($sql);
		$comando->bindParam(':id', $id);
		$comando->execute();
		$resultado = $comando->fetchAll(PDO::FETCH_ASSOC);
		$row = $resultado[0];
		$a_proveedor["prv_id"]			= $row["prv_id"];
		$a_proveedor["prv_nombre"]		= $row["prv_nombre"];
		$a_proveedor["prv_alias"]		= $row["prv_alias"];
		$a_proveedor["prv_tipo"]		= $row["prv_tipo"];
		$a_proveedor["prv_ruc"]			= $row["prv_ruc"];
		$a_proveedor["prv_direccion1"]	= $row["prv_direccion1"];
		$a_proveedor["prv_direccion2"]	= $row["prv_direccion2"];
		$a_proveedor["prv_ciudad"]		= $row["prv_ciudad"];
		$a_proveedor["prv_estado"]		= $row["prv_estado"];
		$a_proveedor["prv_pais"]		= $row["prv_pais"];
		$a_proveedor["prv_telefono"]	= $row["prv_telefono"];
		$a_proveedor["prv_email"]		= $row["prv_email"];
		$a_proveedor["prv_contacto"]	= $row["prv_contacto"];
		$a_proveedor["prv_moneda"]		= $row["prv_moneda"];
		$a_proveedor["prv_termsPago"]	= $row["prv_termsPago"];		
		$a_proveedor["prv_termsPagoAdelPorc"]		= $row["prv_termsPagoAdelPorc"];
		$a_proveedor["prv_metodoPago"]	= $row["prv_metodoPago"];
		$a_proveedor["prv_incoterm"]	= $row["prv_incoterm"];
		$a_proveedor["prv_swift"]		= $row["prv_swift"];
		$a_proveedor["prv_aba"]			= $row["prv_aba"];
		$a_proveedor["prv_cci"]			= $row["prv_cci"];
		$a_proveedor["prv_poTransp"]	= $row["prv_poTransp"];
		$a_proveedor["prv_poTranspObs"]	= $row["prv_poTranspObs"];
		$a_proveedor["prv_status"]		= $row["prv_status"];
		$a_proveedor["prv_fecreg"]		= $row["prv_fecreg"];
		$a_proveedor["prv_usrreg"]		= $row["prv_usrreg"];
		$a_proveedor["prv_usract"]		= $row["prv_usract"];
		$a_proveedor["prv_fecact"]		= $row["prv_fecact"];
		return $a_proveedor;
	}


	public function select($ProveedorObj,$limit=''){
		global $usuario, $PDO;
		if ($ProveedorObj->prv_id){
			$where .= " AND prv_id = :prv_id";
		}
		if ($ProveedorObj->activo){
			$where .= " AND prv_status = '' ";
		}
		if ($ProveedorObj->prv_nombre){
			$where .= " AND prv_nombre LIKE :prv_nombre";
		}
		if ($ProveedorObj->prv_alias){
			$where .= " AND prv_alias LIKE :prv_alias";
		}
		if ($ProveedorObj->prv_tipo){
			$where .= " AND prv_tipo = :prv_tipo";
		}
		if ($ProveedorObj->prv_ruc){
			$where .= " AND prv_ruc = :prv_ruc";
		}
		if ($ProveedorObj->prv_poTransp){
			$where .= " AND prv_poTransp = 'Y'";
		}
		if ($limit){
			$field = " SQL_CALC_FOUND_ROWS * ";
		}else{
			$field = " * ";	
		}
		if ($ProveedorObj->orderBy){
			$orderBy = " ORDER BY :orderBy";
		}else{
			$orderBy = " ORDER BY prv_nombre";
		}
		$sql = "
			SELECT *
			FROM po_proveedor 
			WHERE 1 
			$where
			$orderBy
		";
		$comando = $PDO->prepare($sql);
		if ($ProveedorObj->prv_id){
			$comando->bindParam(':prv_id', $ProveedorObj->prv_id);
		}
		if ($ProveedorObj->prv_nombre){
			$comando->bindParam(':prv_nombre', $ProveedorObj->prv_nombre);
		}
		if ($ProveedorObj->prv_alias){
			$comando->bindParam(':prv_alias', $ProveedorObj->prv_alias);
		}
		if ($ProveedorObj->prv_tipo){
			$comando->bindParam(':prv_tipo', $ProveedorObj->prv_tipo);
		}
		if ($ProveedorObj->prv_ruc){
			$comando->bindParam(':prv_ruc', $ProveedorObj->prv_ruc);
		}
		if ($ProveedorObj->prv_poTransp){
			$comando->bindParam(':prv_poTransp', $ProveedorObj->prv_poTransp);
		}
		if ($ProveedorObj->orderBy){
			$comando->bindParam(':orderBy', $ProveedorObj->orderBy);
		}			
		$comando->execute();

		while($row = $comando->fetch()){
			$a_proveedor["prv_id"]			= $row["prv_id"];
			$a_proveedor["prv_nombre"]		= $row["prv_nombre"];
			$a_proveedor["prv_alias"]		= $row["prv_alias"];			
			$a_proveedor["prv_tipo"]		= $row["prv_tipo"];
			$a_proveedor["prv_ruc"]			= $row["prv_ruc"];
			$a_proveedor["prv_direccion1"]	= $row["prv_direccion1"];
			$a_proveedor["prv_direccion2"]	= $row["prv_direccion2"];
			$a_proveedor["prv_ciudad"]		= $row["prv_ciudad"];
			$a_proveedor["prv_estado"]		= $row["prv_estado"];
			$a_proveedor["prv_pais"]		= $row["prv_pais"];
			$a_proveedor["prv_telefono"]	= $row["prv_telefono"];
			$a_proveedor["prv_email"]		= $row["prv_email"];
			$a_proveedor["prv_contacto"]	= $row["prv_contacto"];
			$a_proveedor["prv_moneda"]		= $row["prv_moneda"];
			$a_proveedor["prv_termsPago"]	= $row["prv_termsPago"];		
			$a_proveedor["prv_termsPagoAdelPorc"]	= $row["prv_termsPagoAdelPorc"];
			$a_proveedor["prv_metodoPago"]	= $row["prv_metodoPago"];
			$a_proveedor["prv_incoterm"]	= $row["prv_incoterm"];
			$a_proveedor["prv_swift"]		= $row["prv_swift"];
			$a_proveedor["prv_aba"]			= $row["prv_aba"];
			$a_proveedor["prv_cci"]			= $row["prv_cci"];
			$a_proveedor["prv_status"]		= $row["prv_status"];
			$a_proveedor["prv_poTransp"]	= $row["prv_poTransp"];
			$a_proveedor["prv_poTranspObs"]	= $row["prv_poTranspObs"];		
			$a_proveedor["prv_fecreg"]		= $row["prv_fecreg"];
			$a_proveedor["prv_usrreg"]		= $row["prv_usrreg"];
			$a_proveedor["prv_usract"]		= $row["prv_usract"];
			$a_proveedor["prv_fecact"]		= $row["prv_fecact"];
			$a_proveedorList[] = $a_proveedor;
		}
		return $a_proveedorList;

	}


	public function update($ProveedorObj){
		global $usuario, $PDO;
		if ($ProveedorObj->prv_nombre){
			$set .= ", prv_nombre = :prv_nombre";
		}
		if ($ProveedorObj->prv_alias){
			$set .= ", prv_alias = :prv_alias";
		}
		if ($ProveedorObj->prv_tipo){
			$set .= ", prv_tipo = :prv_tipo";
		}
		if ($ProveedorObj->prv_ruc){
			$set .= ", prv_ruc = :prv_ruc";
		}
		if ($ProveedorObj->prv_direccion1){
			$set .= ", prv_direccion1 = :prv_direccion1";
		}
		if ($ProveedorObj->prv_direccion2){
			$set .= ", prv_direccion2 = :prv_direccion2";
		}
		if ($ProveedorObj->prv_ciudad){
			$set .= ", prv_ciudad = :prv_ciudad";
		}
		if ($ProveedorObj->prv_estado){
			$set .= ", prv_estado = :prv_estado";
		}
		if ($ProveedorObj->prv_pais){
			$set .= ", prv_pais = :prv_pais";
		}
		if ($ProveedorObj->prv_telefono){
			$set .= ", prv_telefono = :prv_telefono";
		}
		if ($ProveedorObj->prv_email){
			$set .= ", prv_email = :prv_email";
		}
		if ($ProveedorObj->prv_contacto){
			$set .= ", prv_contacto = :prv_contacto";
		}
		if ($ProveedorObj->prv_moneda){
			$set .= ", prv_moneda = :prv_moneda";
		}
		if ($ProveedorObj->prv_termsPago){
			$set .= ", prv_termsPago = :prv_termsPago";
		}
		if ($ProveedorObj->prv_termsPagoAdelPorc){
			$set .= ", prv_termsPagoAdelPorc = :prv_termsPagoAdelPorc";
		}
		if ($ProveedorObj->prv_metodoPago){
			$set .= ", prv_metodoPago = :prv_metodoPago";
		}
		if ($ProveedorObj->prv_incoterm){
			$set .= ", prv_incoterm = :prv_incoterm";
		}
		if ($ProveedorObj->prv_swift){
			$set .= ", prv_swift = :prv_swift";
		}
		if ($ProveedorObj->prv_aba){
			$set .= ", prv_aba = :prv_aba";
		}
		if ($ProveedorObj->prv_cci){
			$set .= ", prv_cci = :prv_cci";
		}
		if ($ProveedorObj->prv_poTransp){
			$set .= ", prv_poTransp = :prv_poTransp";
		}
		if ($ProveedorObj->prv_poTranspObs){
			$set .= ", prv_poTranspObs = :prv_poTranspObs";
		}
		if ($ProveedorObj->prv_status){
			$set .= ", prv_status = :prv_status";
		}
		if ($set && $ProveedorObj->prv_id){
			$set = substr($set,1);
			$sql2 = "
				UPDATE po_proveedor
				SET 
					$set
					,prv_usract = :prv_usract
				WHERE prv_id = :prv_id
				LIMIT 1";
			$comando = $PDO->prepare($sql2);
			$comando->bindParam(':prv_id', $ProveedorObj->prv_id);
			if ($ProveedorObj->prv_nombre){
				$comando->bindParam(':prv_nombre', $ProveedorObj->prv_nombre);
			}
			if ($ProveedorObj->prv_alias){
				$comando->bindParam(':prv_alias', $ProveedorObj->prv_alias);
			}
			if ($ProveedorObj->prv_tipo){
				$comando->bindParam(':prv_tipo', $ProveedorObj->prv_tipo);
			}
			if ($ProveedorObj->prv_ruc){
				$comando->bindParam(':prv_ruc', $ProveedorObj->prv_ruc);
			}
			if ($ProveedorObj->prv_direccion1){
				$comando->bindParam(':prv_direccion1', $ProveedorObj->prv_direccion1);
			}
			if ($ProveedorObj->prv_direccion2){
				$comando->bindParam(':prv_direccion2', $ProveedorObj->prv_direccion2);
			}
			if ($ProveedorObj->prv_ciudad){
				$comando->bindParam(':prv_ciudad', $ProveedorObj->prv_ciudad);
			}
			if ($ProveedorObj->prv_estado){
				$comando->bindParam(':prv_estado', $ProveedorObj->prv_estado);
			}
			if ($ProveedorObj->prv_pais){
				$comando->bindParam(':prv_pais', $ProveedorObj->prv_pais);
			}
			if ($ProveedorObj->prv_telefono){
				$comando->bindParam(':prv_telefono', $ProveedorObj->prv_telefono);
			}
			if ($ProveedorObj->prv_email){
				$comando->bindParam(':prv_email', $ProveedorObj->prv_email);
			}
			if ($ProveedorObj->prv_contacto){
				$comando->bindParam(':prv_contacto', $ProveedorObj->prv_contacto);
			}
			if ($ProveedorObj->prv_moneda){
				$comando->bindParam(':prv_moneda', $ProveedorObj->prv_moneda);
			}
			if ($ProveedorObj->prv_termsPago){
				$comando->bindParam(':prv_termsPago', $ProveedorObj->prv_termsPago);
			}
			if ($ProveedorObj->prv_termsPagoAdelPorc){
				$comando->bindParam(':prv_termsPagoAdelPorc', $ProveedorObj->prv_termsPagoAdelPorc);
			}
			if ($ProveedorObj->prv_metodoPago){
				$comando->bindParam(':prv_metodoPago', $ProveedorObj->prv_metodoPago);
			}
			if ($ProveedorObj->prv_incoterm){
				$comando->bindParam(':prv_incoterm', $ProveedorObj->prv_incoterm);
			}
			if ($ProveedorObj->prv_swift){
				$comando->bindParam(':prv_swift', $ProveedorObj->prv_swift);
			}
			if ($ProveedorObj->prv_aba){
				$comando->bindParam(':prv_aba', $ProveedorObj->prv_aba);
			}
			if ($ProveedorObj->prv_cci){
				$comando->bindParam(':prv_cci', $ProveedorObj->prv_cci);
			}
			if ($ProveedorObj->prv_poTransp){
				$comando->bindParam(':prv_poTransp', $ProveedorObj->prv_poTransp);
			}
			if ($ProveedorObj->prv_poTranspObs){
				$comando->bindParam(':prv_poTranspObs', $ProveedorObj->prv_poTranspObs);
			}
			if ($ProveedorObj->prv_status){
				$comando->bindParam(':prv_status', $ProveedorObj->prv_status);
			}
			$comando->bindParam(':prv_usract', $usuario);
			$comando->execute();
			return $ProveedorObj->prv_id;
		}
	}

	public function insert($ProveedorObj){
		global $PDO;
		$sql = "
			INSERT INTO po_proveedor 
			(
			prv_nombre, 
			prv_alias, 
			prv_tipo,
			prv_ruc,
			prv_direccion1,
			prv_direccion2,
			prv_ciudad,
			prv_estado,
			prv_pais,
			prv_telefono,
			prv_email,
			prv_contacto,
			prv_moneda,
			prv_termsPago,
			prv_termsPagoAdelPorc,
			prv_metodoPago, 
			prv_incoterm, 
			prv_swift,
			prv_aba,
			prv_cci,
			prv_poTransp,
			prv_poTranspObs,
			prv_status, 
			prv_fecreg, 
			prv_usrreg
			) 
			VALUES 
			(
			:prv_nombre, 
			:prv_alias, 
			:prv_tipo,
			:prv_ruc,
			:prv_direccion1,
			:prv_direccion2,
			:prv_ciudad,
			:prv_estado,
			:prv_pais,
			:prv_telefono,
			:prv_email,
			:prv_contacto,
			:prv_moneda,
			:prv_termsPago,
			:prv_termsPagoAdelPorc,
			:prv_metodoPago, 
			:prv_incoterm,
			:prv_swift,
			:prv_aba,
			:prv_cci,
			:prv_poTransp,
			:prv_poTranspObs,
			:prv_status,
			:prv_fecreg,
			:prv_usrreg
			);			
		";
		$comando = $PDO->prepare($sql);
		$ProveedorObj->prv_fecreg = date("Y-m-d H:i:s");
		$comando->bindParam(':prv_nombre', $ProveedorObj->prv_nombre);
		if (!$ProveedorObj->prv_alias){
			$ProveedorObj->prv_alias = $ProveedorObj->prv_nombre;
		}
		$comando->bindParam(':prv_alias', $ProveedorObj->prv_alias);
		$comando->bindParam(':prv_tipo', $ProveedorObj->prv_tipo);
		$comando->bindParam(':prv_ruc', $ProveedorObj->prv_ruc);
		$comando->bindParam(':prv_direccion1', $ProveedorObj->prv_direccion1);
		$comando->bindParam(':prv_direccion2', $ProveedorObj->prv_direccion2);
		$comando->bindParam(':prv_ciudad', $ProveedorObj->prv_ciudad);
		$comando->bindParam(':prv_estado', $ProveedorObj->prv_estado);
		$comando->bindParam(':prv_pais', $ProveedorObj->prv_pais);
		$comando->bindParam(':prv_telefono', $ProveedorObj->prv_telefono);
		$comando->bindParam(':prv_email', $ProveedorObj->prv_email);
		$comando->bindParam(':prv_contacto', $ProveedorObj->prv_contacto);
		$comando->bindParam(':prv_moneda', $ProveedorObj->prv_moneda);
		$comando->bindParam(':prv_termsPago', $ProveedorObj->prv_termsPago);	
		$comando->bindParam(':prv_termsPagoAdelPorc', $ProveedorObj->prv_termsPagoAdelPorc);	
		$comando->bindParam(':prv_metodoPago', $ProveedorObj->prv_metodoPago);	
		$comando->bindParam(':prv_incoterm', $ProveedorObj->prv_incoterm);	
		$comando->bindParam(':prv_swift', $ProveedorObj->prv_swift);	
		$comando->bindParam(':prv_aba', $ProveedorObj->prv_aba);
		$comando->bindParam(':prv_cci', $ProveedorObj->prv_cci);		
		$comando->bindParam(':prv_poTransp', $ProveedorObj->prv_poTransp);		
		$comando->bindParam(':prv_poTranspObs', $ProveedorObj->prv_poTranspObs);				
		$comando->bindParam(':prv_status', $ProveedorObj->prv_status);
		$comando->bindParam(':prv_fecreg', $ProveedorObj->prv_fecreg);
		$comando->bindParam(':prv_usrreg', $ProveedorObj->prv_usrreg);
		$comando->execute();	
		print_r($comando->errorInfo());
		exit;
		$query	 = "
			SELECT DISTINCT max(prv_id) as id 
			FROM po_proveedor 
			WHERE prv_usrreg = :prv_usrreg 
				AND prv_fecreg = :prv_fecreg ";
		$comando = $PDO->prepare($query);
		$comando->bindParam(':prv_usrreg', $ProveedorObj->prv_usrreg);
		$comando->bindParam(':prv_fecreg', $ProveedorObj->prv_fecreg);
		$comando->execute();	 
		$resultado = $comando->fetchAll(PDO::FETCH_ASSOC);
		$row = $resultado[0];
		//print_r($comando->errorInfo());
//		exit($row["id"].$ProveedorObj->prv_usrreg.$ProveedorObj->prv_fecreg);
		return $row["id"];
	}

}


?>