<?php

include ("class/pvOrdenServicioGastoLiqModel.class.php");


class PvOrdenServicioGastoLiq{

	public function consultarId($id){
		$PvOrdenServicioGastoLiqModel= NEW PvOrdenServicioGastoLiqModel();
		$a_result = $PvOrdenServicioGastoLiqModel->selectUniqueId($id);
		return $a_result;
	}

	public function consultar($PvOrdenServicioGastoLiqFilter){
		$PvOrdenServicioGastoLiqModel = NEW PvOrdenServicioGastoLiqModel();
		return $PvOrdenServicioGastoLiqModel->select($PvOrdenServicioGastoLiqFilter);
	}

	public function consultarIdLineas($id){
		$PvOrdenServicioGastoLiqModel= NEW PvOrdenServicioGastoLiqLineaModel();
		$a_result = $PvOrdenServicioGastoLiqModel->selectUniqueId($id);
		return $a_result;
	}

	public function crear($PvOrdenServicioGastoLiqObj){		
		$PvOrdenServicioGastoLiqModelIns = NEW PvOrdenServicioGastoLiqModel();
		return $PvOrdenServicioGastoLiqModelIns->insert($PvOrdenServicioGastoLiqObj);
	}


	public function modificar($PvOrdenServicioGastoLiqObj){
		if (!$PvOrdenServicioGastoLiqObj->lq_id){
			return FALSE;
		}
		$PvOrdenServicioGastoLiqModelUpd = NEW PvOrdenServicioGastoLiqModel();
		return $PvOrdenServicioGastoLiqModelUpd->update($PvOrdenServicioGastoLiqObj);		
	}


	public function anular($id){
		if (!$id){
			return FALSE;
		}
		$PvOrdenServicioGastoLiqModelUpd		= NEW PvOrdenServicioGastoLiqModel();
		$PvOrdenServicioGastoLiqModelSetObj		 = NEW PvOrdenServicioGastoLiqModel();	
		$PvOrdenServicioGastoLiqModelSetObj->lq_id	  = $id;
		$PvOrdenServicioGastoLiqModelSetObj->lq_status  = 'A';
		return $PvOrdenServicioGastoLiqModelUpd->update($PvOrdenServicioGastoLiqModelSetObj);
	}

}


class PvOrdenServicioGastoLiqLinea{

	public function crear($PvOrdenServicioGastoLiqLineaObj,$tipoIngreso=''){	
		$PvOrdenServicioGastoLiqLineaModelIns = NEW PvOrdenServicioGastoLiqLineaModel();
		return $PvOrdenServicioGastoLiqLineaModelIns->insert($PvOrdenServicioGastoLiqLineaObj);
	}


	public function borrar($id){
		$PvOrdenServicioGastoLiqLineaModelDel = NEW PvOrdenServicioGastoLiqLineaModel();
		return $PvOrdenServicioGastoLiqLineaModelDel->delete($id);		
	}

	public function consultar($PvOrdenServicioGastoLiqLineaObj){
		$PvOrdenServicioGastoLiqLineaModel= NEW PvOrdenServicioGastoLiqLineaModel();
		$a_result = $PvOrdenServicioGastoLiqLineaModel->select($PvOrdenServicioGastoLiqLineaObj);
		return $a_result;
	}
}


?>