<?php

class PvOrdenServicioModel{

	public function selectUniqueId($id){
		global $PDO, $usuario, $PERFIL;
		if (!$id){
			return FALSE;
		}
		if ($PERFIL=='tecnico'){
			$sql = "
				SELECT * 
				FROM `xx_usuario_modulo`
				WHERE usrm_www_usuarioId = '".$usuario."'
			";
			$sentencia2 = $PDO->query($sql);
			$sentencia2->setFetchMode(PDO::FETCH_ASSOC);
			$row = $sentencia2->fetch();
			$tecnicoId = $row["usrm_usrModulo"];
		}
		if ($tecnicoId){
			$where .= " AND os_tecnico_id = ".$tecnicoId;
		}
		$sql = "
			SELECT *,
				MSTAT.mlst_valorDsc as status_nombre
			FROM pv_ordenServicio
				LEFT JOIN pv_ordenServicio_gasto ON os_id = gas_os_id
				LEFT JOIN pv_serie ON os_serieId = pser_serie
				LEFT JOIN im_producto ON os_pr_id = pr_id
				LEFT JOIN im_marca ON pr_marcaId = 	mr_marcaId
				LEFT JOIN pv_tecnico ON os_tecnico_id = tec_id
				LEFT JOIN vt_cliente ON os_cli_id = cl_id
				LEFT JOIN vt_clienteSuc ON os_cli_suc_id = cls_id
				LEFT JOIN xx_maestrolista MSTAT ON os_status = MSTAT.mlst_valorId AND MSTAT.mlst_listaId = 'PvOsStatus'
			WHERE os_id = :id
			$where
		";
		$comando = $PDO->prepare($sql);
		$comando->bindParam(':id', $id);
		$comando->execute();
		$resultado = $comando->fetchAll(PDO::FETCH_ASSOC);
		$row = $resultado[0];
		$a_os["os_id"]				= $row["os_id"];
		$a_os["os_ss_id"]			= $row["os_ss_id"];
		$a_os["os_serieId"]			= $row["os_serieId"];
		$a_os["os_serie_cliente"]	= $row["os_serie_cliente"];
		$a_os["os_pr_id"]			= $row["os_pr_id"];
		$a_os["os_cli_id"]			= $row["os_cli_id"];
		$a_os["os_cli_nombre"]		= $row["os_cli_nombre"];
		$a_os["os_cli_suc_id"]		= $row["os_cli_suc_id"];
		$a_os["os_cli_contacto"]	= $row["os_cli_contacto"];
		$a_os["os_fechaProg"]		= $row["os_fechaProg"];
		$a_os["os_fecha"]			= $row["os_fecha"];
		$a_os["os_acuerdo_tipo"]	= $row["os_acuerdo_tipo"];
		$a_os["os_acuerdo_id"]		= $row["os_acuerdo_id"];
		$a_os["os_tipo_servicio"]	= $row["os_tipo_servicio"];
		$a_os["os_tipo_atencion"]	= $row["os_tipo_atencion"];
		$a_os["os_falla_id"]		= $row["os_falla_id"];
		$a_os["os_falla_det"]		= $row["os_falla_det"];
		$a_os["os_tecnico_id"]		= $row["os_tecnico_id"];
		$a_os["os_repReq"]			= $row["os_repReq"];		
		$a_os["os_fecIni"]			= $row["os_fecIni"];
		$a_os["os_fecFin"]			= $row["os_fecFin"];
		$a_os["os_diagnostico_id"]	= $row["os_diagnostico_id"];
		$a_os["os_diagnostico_det"]	= $row["os_diagnostico_det"];
		$a_os["os_acciones"]		= $row["os_acciones"];
		$a_os["os_obs"]				= $row["os_obs"];
		$a_os["os_refDocId"]		= $row["os_refDocId"];
		$a_os["os_refDocId3"]		= $row["os_refDocId3"];
		$a_os["os_informeNro"]		= $row["os_informeNro"];
		$a_os["os_recomendaciones"]	= $row["os_recomendaciones"];
		$a_os["os_eqpStatus"]		= $row["os_eqpStatus"];
		$a_os["os_fechaRevSug"]		= $row["os_fechaRevSug"];
		$a_os["os_orden"]			= $row["os_orden"];
		$a_os["os_status"]			= $row["os_status"];
		$a_os["os_statusNombre"]	= $row["status_nombre"];
		$a_os["os_usrreg"]			= $row["os_usrreg"];
		$a_os["os_usract"]			= $row["os_usract"];
		$a_os["os_fecreg"]			= $row["os_fecreg"];
		$a_os["os_fecact"]			= $row["os_fecact"];
		$a_os["pr_descripcion"]		= $row["pr_descripcion"];
		$a_os["mr_nombre"]			= $row["mr_nombre"];
		$a_os["tec_nombre"]			= $row["tec_nombre"];
		$a_os["cl_direccion1"]		= $row["cl_direccion1"];
		$a_os["cl_direccion2"]		= $row["cl_direccion2"];
		$a_os["cl_ciudad"]			= $row["cl_ciudad"];
		$a_os["cl_estado"]			= $row["cl_estado"];
		$a_os["cl_pais"]			= $row["cl_pais"];
		$a_os["cl_ruc"]				= $row["cl_ruc"];
		$a_os["cls_nombre"]			= $row["cls_nombre"];
		$a_os["cls_direccion1"]		= $row["cls_direccion1"];
		$a_os["cls_direccion2"]		= $row["cls_direccion2"];
		$a_os["cls_ciudad"]			= $row["cls_ciudad"];
		$a_os["cls_estado"]			= $row["cls_estado"];
		$a_os["gas_fld1"]			= $row["gas_fld1"];
		$a_os["gas_fld2"]			= $row["gas_fld2"];
		$a_os["gas_fld3"]			= $row["gas_fld3"];
		$a_os["gas_fld4"]			= $row["gas_fld4"];
		$a_os["gas_fld5"]			= $row["gas_fld5"];
		$a_os["gas_fld6"]			= $row["gas_fld6"];
		$a_os["gas_fld7"]			= $row["gas_fld7"];
		$a_os["gas_fecact"]			= $row["gas_fecact"];
		return $a_os;
	}


	public function select($OsObj,$limit=''){
		global $usuario, $PDO, $PERFIL;
		if ($PERFIL=='TECNICO'){
			$sql = "
				SELECT * 
				FROM `xx_usuario_modulo`
				WHERE usrm_www_usuarioId = '".$usuario."'
			";
			$sentencia2 = $PDO->query($sql);
			$sentencia2->setFetchMode(PDO::FETCH_ASSOC);
			$row = $sentencia2->fetch();
			$tecnicoId = $row["usrm_usrModulo"];
		}
		if ($tecnicoId){
			$where .= " AND os_tecnico_id = ".$tecnicoId;
		}
		if ($OsObj->os_id){
			$where .= " AND os_id = :os_id";
		}
		if ($OsObj->os_serieId){
			$where .= " AND os_serieId = :os_serieId";
		}
		if ($OsObj->os_pr_id){
			$where .= " AND os_pr_id = :os_pr_id";
		}
		if ($OsObj->os_tecnico_id){
			$where .= " AND os_tecnico_id = :os_tecnico_id";
		}
		if ($OsObj->os_repReq){
			$where .= " AND os_repReq = :os_repReq";
		}
		if ($OsObj->os_cli_id){
			$where .= " AND os_cli_id LIKE :os_cli_id";
		}
		if ($OsObj->os_cli_nombre){
			$where .= " AND os_cli_nombre LIKE :os_cli_nombre";
		}
		if ($OsObj->cls_nombre){
			$where .= " AND cls_nombre LIKE :cls_nombre";
		}
		if ($OsObj->cls_ciudad){
			$where .= " AND cls_ciudad LIKE :cls_ciudad";
		}
		if ($OsObj->cls_estado){
			$where .= " AND cls_estado LIKE :cls_estado";
		}
		if ($OsObj->os_cli_suc_id){
			$where .= " AND os_cli_suc_id LIKE :os_cli_suc_id";
		}
		if ($OsObj->fechaIni){
			$where .= " AND os_fecha >= :fechaIni";
		}
		if ($OsObj->fechaFin){
			$where .= " AND os_fecha <= :fechaFin";
		}
		if ($OsObj->fechaIniProg){
			$where .= " AND os_fechaProg >= :fechaIniProg";
		}
		if ($OsObj->fechaFinProg){
			$where .= " AND os_fechaProg <= :fechaFinProg";
		}
		if ($OsObj->os_fechaProg){
			$where .= " AND os_fechaProg = :fechaProg";
		}
		if ($OsObj->os_tipo_servicio){
			$where .= " AND os_tipo_servicio = :os_tipo_servicio";
		}
		if ($OsObj->os_tipo_atencion){
			$where .= " AND os_tipo_atencion = :os_tipo_atencion";
		}
		if ($OsObj->os_status){
			$where .= " AND os_status = :os_status";
		}
		if ($OsObj->os_eqpStatus){
			$where .= " AND os_eqpStatus = :os_eqpStatus";
		}
		if ($OsObj->os_fecreg){
			$where .= " AND os_fecreg LIKE :os_fecreg";
		}
		if ($OsObj->os_usrreg){
			$where .= " AND os_usrreg = :os_usrreg";
		}
		if ($OsObj->os_fecact){
			$where .= " AND os_fecact = :os_fecact";
		}
		if ($OsObj->gas_fecact){
			$where .= " AND gas_fecact = :gas_fecact";
		}
		if ($OsObj->orderBy){
			$orderBy = " ORDER BY :orderBy";
		}else{
			$orderBy = " ORDER BY os_id";
		}
		if ($OsObj->no_os_id){
			$where .= " AND os_id NOT LIKE ".$OsObj->no_os_id;
		}
		if ($OsObj->orderByDesc){
			$orderBy .= " DESC";
		}
		if ($OsObj->groupBy){
			$groupBy = " GROUP BY ".$OsObj->groupBy;
		}		
		if ($where){
			$sql = "
				SELECT *
				FROM pv_ordenServicio
					LEFT JOIN pv_serie ON os_serieId = pser_serie
					LEFT JOIN im_producto ON os_pr_id = pr_id
					LEFT JOIN pv_tecnico ON os_tecnico_id = tec_id
					LEFT JOIN vt_clienteSuc ON os_cli_suc_id = cls_id
					LEFT JOIN vt_cliente ON os_cli_id = cl_id
					LEFT JOIN pv_ordenServicio_gasto ON os_id = gas_os_id
					LEFT JOIN pv_ordenServicio_dataEqp ON os_id = dteq_os_id
					LEFT JOIN xx_maestrolista ON os_status = mlst_valorId AND mlst_listaId = 'PvOsStatus'
				WHERE 1 
				$where
				$groupBy
				$orderBy
			";
			$comando = $PDO->prepare($sql);
			if ($OsObj->os_id){
				$comando->bindParam(':os_id', $OsObj->os_id);
			}
			if ($OsObj->os_tecnico_id){
				$comando->bindParam(':os_tecnico_id', $OsObj->os_tecnico_id);
			}
			if ($OsObj->os_repReq){
				$comando->bindParam(':os_repReq', $OsObj->os_repReq);
			}			
			if ($OsObj->os_serieId){
				$comando->bindParam(':os_serieId', $OsObj->os_serieId);
			}
			if ($OsObj->os_pr_id){
				$comando->bindParam(':os_pr_id', $OsObj->os_pr_id);
			}
			if ($OsObj->os_cli_nombre){
				$comando->bindParam(':os_cli_nombre', $OsObj->os_cli_nombre);
			}
			if ($OsObj->os_cli_id){
				$comando->bindParam(':os_cli_id', $OsObj->os_cli_id);
			}
			if ($OsObj->cls_nombre){
				$comando->bindParam(':cls_nombre', $OsObj->cls_nombre);
			}
			if ($OsObj->cls_ciudad){
				$comando->bindParam(':cls_ciudad', $OsObj->cls_ciudad);
			}
			if ($OsObj->cls_estado){
				$comando->bindParam(':cls_estado', $OsObj->cls_estado);
			}
			if ($OsObj->os_cli_suc_id){
				$comando->bindParam(':os_cli_suc_id', $OsObj->os_cli_suc_id);
			}
			if ($OsObj->fechaIni){
				$comando->bindParam(':fechaIni', $OsObj->fechaIni);
			}
			if ($OsObj->fechaFin){
				$comando->bindParam(':fechaFin', $OsObj->fechaFin);
			}
			if ($OsObj->fechaProg){
				$comando->bindParam(':fechaProg', $OsObj->fechaProg);
			}
			if ($OsObj->fechaIniProg){
				$comando->bindParam(':fechaIniProg', $OsObj->fechaIniProg);
			}
			if ($OsObj->fechaFinProg){
				$comando->bindParam(':fechaFinProg', $OsObj->fechaFinProg);
			}
			if ($OsObj->os_fechaProg){
				$comando->bindParam(':fechaProg', $OsObj->fechaProg);
			}		
			if ($OsObj->os_status){
				if ($OsObj->os_status=='*'){
					$OsObj->os_status = '';
				}
				$comando->bindParam(':os_status', $OsObj->os_status);
			}
			if ($OsObj->os_eqpStatus){
				$comando->bindParam(':os_eqpStatus', $OsObj->os_eqpStatus);
			}
			if ($OsObj->os_fecreg){
				$comando->bindParam(':os_fecreg', $OsObj->os_fecreg);
			}
			if ($OsObj->os_usrreg){
				$comando->bindParam(':os_usrreg', $OsObj->os_usrreg);
			}
			if ($OsObj->os_fecact){
				$comando->bindParam(':os_fecact', $OsObj->os_fecact);
			}
			if ($OsObj->gas_fecact){
				$comando->bindParam(':gas_fecact', $OsObj->gas_fecact);
			}
			if ($OsObj->os_tipo_servicio){
				$comando->bindParam(':os_tipo_servicio', $OsObj->os_tipo_servicio);
			}
			if ($OsObj->os_tipo_atencion){
				$comando->bindParam(':os_tipo_atencion', $OsObj->os_tipo_atencion);
			}
			
			if ($OsObj->orderBy){
				$comando->bindParam(':orderBy', $OsObj->orderBy);
			}			
			$comando->execute();
/*			print_r($comando->errorInfo());
			echo $sql;
			exit;
*/
			while($row = $comando->fetch()){
				$sql = "
					SELECT * 
					FROM `pv_ordenServicio_repuesto` 
						LEFT JOIN im_producto ON osr_pr_id = pr_id
					WHERE osr_os_id = ".$row["os_id"] ;
				$sentencia = $PDO->query($sql);
				$sentencia->setFetchMode(PDO::FETCH_ASSOC);
				$j=0;
				unset($a_rep);
				$a_rep = array();
				while($rowRep = $sentencia->fetch()){
					$a_rep[$j] = $rowRep["pr_productoId"];
					$a_os["os_repList"] .= ", ".$rowRep["pr_productoId"];
					$j++;
				}
				if ($j>0){
					$a_os["os_rep_uso"]		= $a_rep;
					$a_os["os_rep_uso_qty"] = count($a_rep);	
					$a_os["os_repList"]		= substr($a_os["os_repList"],1);
				}else{
					$a_os["os_rep_uso"]		= '';
					$a_os["os_rep_uso_qty"] = '';
					$a_os["os_repList"]		= '';
				}
				$a_os["os_id"]				= $row["os_id"];
				$a_os["os_ss_id"]			= $row["os_ss_id"];
				
				$a_os["os_serieId"]			= $row["os_serieId"];
				$a_os["os_serie_cliente"]	= $row["os_serie_cliente"];
				$a_os["os_pr_id"]			= $row["os_pr_id"];
				$a_os["os_cli_id"]			= $row["os_cli_id"];
				$a_os["os_cli_nombre"]		= $row["os_cli_nombre"];
				$a_os["os_cli_suc_id"]		= $row["os_cli_suc_id"];
				$a_os["os_cli_contacto"]	= $row["os_cli_contacto"];
				if ($row["os_fechaProg"] > 0){
					$a_os["os_fechaProg"]	= $row["os_fechaProg"];
				}else{
					$a_os["os_fechaProg"]	= "";	
				}
				if ($row["os_fechaProg"] > 0){
					$a_os["os_fecha"]		= $row["os_fecha"];
				}else{
					$a_os["os_fecha"]		= "";	
				}
				$a_os["os_acuerdo_tipo"]	= $row["os_acuerdo_tipo"];
				$a_os["os_acuerdo_id"]		= $row["os_acuerdo_id"];
				if ($row["os_acuerdo_id"]){
					$a_os["os_acuerdo"]		= $row["os_acuerdo_tipo"]."-".$row["os_acuerdo_id"];
				}else{
					$a_os["os_acuerdo"]		= '';
				}
				$a_os["os_tipo_servicio"]	= $row["os_tipo_servicio"];
				$a_os["os_tipo_atencion"]	= $row["os_tipo_atencion"];
				$a_os["os_falla_id"]		= $row["os_falla_id"];
				$a_os["os_falla_det"]		= $row["os_falla_det"];
				$a_os["os_tecnico_id"]		= $row["os_tecnico_id"];
				$a_os["os_repReq"]			= $row["os_repReq"];				
				$a_os["os_fecIni"]			= $row["os_fecIni"];
				$a_os["os_fecFin"]			= $row["os_fecFin"];
				$a_os["os_diagnostico_id"]	= $row["os_diagnostico_id"];
				$a_os["os_diagnostico_det"]	= $row["os_diagnostico_det"];
				$a_os["os_acciones"]		= $row["os_acciones"];
				$a_os["os_obs"]				= $row["os_obs"];
				$a_os["os_refDocId"]		= $row["os_refDocId"];
				$a_os["os_refDocId3"]		= $row["os_refDocId3"];
				$a_os["os_informeNro"]		= $row["os_informeNro"];
				$a_os["os_recomendaciones"]	= $row["os_recomendaciones"];
				$a_os["os_eqpStatus"]		= $row["os_eqpStatus"];
				$a_os["os_fechaRevSug"]		= $row["os_fechaRevSug"];
				$a_os["os_orden"]			= $row["os_orden"];
				$a_os["os_status"]			= $row["os_status"];
				$a_os["os_usrreg"]			= $row["os_usrreg"];
				$a_os["os_usract"]			= $row["os_usract"];
				$a_os["os_fecreg"]			= $row["os_fecreg"];
				$a_os["os_fecact"]			= $row["os_fecact"];
				$a_os["pr_productoId"]		= $row["pr_productoId"];
				$a_os["pr_descripcion"]		= $row["pr_descripcion"];
				$a_os["tec_nombre"]			= $row["tec_nombre"];
				$a_os["cl_direccion1"]		= $row["cl_direccion1"];
				$a_os["cl_direccion2"]		= $row["cl_direccion2"];
				$a_os["cl_ciudad"]			= $row["cl_ciudad"];
				$a_os["cl_estado"]			= $row["cl_estado"];
				$a_os["cl_pais"]			= $row["cl_pais"];
				$a_os["cl_ruc"]				= $row["cl_ruc"];
				$a_os["cl_termsPago"]		= $row["cl_termsPago"];				
				$a_os["cls_id"]				= $row["cls_id"];
				$a_os["cls_nombre"]			= $row["cls_nombre"];
				$a_os["cls_direccion1"]		= $row["cls_direccion1"];
				$a_os["cls_direccion2"]		= $row["cls_direccion2"];
				$a_os["cls_ciudad"]			= $row["cls_ciudad"];
				$a_os["cls_estado"]			= $row["cls_estado"];
				$a_os["os_status_dsc"]		= $row["mlst_valorDsc"];
				$a_os["cls_direccion_google"] = $row["cls_direccion1"].",".$row["cls_direccion2"].",".$row["cls_ciudad"].",".$row["cls_estado"];

				$a_os["gas_fld1"]			= $row["gas_fld1"];
				$a_os["gas_fld2"]			= $row["gas_fld2"];
				$a_os["gas_fld3"]			= $row["gas_fld3"];
				$a_os["gas_fld4"]			= $row["gas_fld4"];
				$a_os["gas_fld5"]			= $row["gas_fld5"];
				$a_os["gas_fld6"]			= $row["gas_fld6"];
				$a_os["gas_fld7"]			= $row["gas_fld7"];
				$a_os["gas_fecact"]			= $row["gas_fecact"];
				
				$a_os["dteq_fld1"]			= $row["dteq_fld1"];
				$a_os["dteq_fld2"]			= $row["dteq_fld2"];
				$a_os["dteq_fld3"]			= $row["dteq_fld3"];
				$a_os["dteq_fld4"]			= $row["dteq_fld4"];
				$a_os["dteq_fld5"]			= $row["dteq_fld5"];
				$a_os["dteq_fld6"]			= $row["dteq_fld6"];
				$a_os["dteq_fld7"]			= $row["dteq_fld7"];
				$a_os["dteq_fld8"]			= $row["dteq_fld8"];
				$a_os["dteq_fld9"]			= $row["dteq_fld9"];
				$a_os["dteq_fld10"]			= $row["dteq_fld10"];
				$a_os["dteq_fld11"]			= $row["dteq_fld11"];
				$a_os["dteq_fld12"]			= $row["dteq_fld12"];
				$a_os["dteq_fld13"]			= $row["dteq_fld13"];
				$a_os["dteq_fld14"]			= $row["dteq_fld14"];

				$a_osList[] = $a_os;
			}

			return $a_osList;
		}else{
			return FALSE;
		}
	}


	public function update($OsObj){
		global $usuario, $PDO;
		if ($OsObj->os_serieId){
			$set .= ", os_serieId = :os_serieId";
		}
		if ($OsObj->os_serie_cliente){
			$set .= ", os_serie_cliente = :os_serie_cliente";
		}
		if ($OsObj->os_pr_id){
			$set .= ", os_pr_id = :os_pr_id";
		}
		if ($OsObj->os_cli_id){
			$set .= ", os_cli_id = :os_cli_id";
		}
		if ($OsObj->os_cli_nombre){
			$set .= ", os_cli_nombre = :os_cli_nombre";
		}
		if ($OsObj->os_cli_suc_id){
			$set .= ", os_cli_suc_id = :os_cli_suc_id";
		}
		if ($OsObj->os_cli_contacto){
			$set .= ", os_cli_contacto = :os_cli_contacto";
		}
		if ($OsObj->os_fechaProg){
			$set .= ", os_fechaProg = :os_fechaProg";
		}
		if ($OsObj->os_fecha){
			$set .= ", os_fecha = :os_fecha";
		}
		if ($OsObj->os_acuerdo_tipo){
			$set .= ", os_acuerdo_tipo = :os_acuerdo_tipo";
		}
		if ($OsObj->os_acuerdo_id){
			$set .= ", os_acuerdo_id = :os_acuerdo_id";
		}
		if ($OsObj->os_tipo_servicio){
			$set .= ", os_tipo_servicio = :os_tipo_servicio";
		}
		if ($OsObj->os_tipo_atencion){
			$set .= ", os_tipo_atencion = :os_tipo_atencion";
		}
		if ($OsObj->os_falla_id){
			$set .= ", os_falla_id = :os_falla_id";
		}
		if ($OsObj->os_falla_det){
			$set .= ", os_falla_det = :os_falla_det";
		}
		if ($OsObj->os_tecnico_id){
			$set .= ", os_tecnico_id = :os_tecnico_id";
		}
		if ($OsObj->os_repReq){
			$set .= ", os_repReq = :os_repReq";
		}
		if ($OsObj->os_malUso){
			$set .= ", os_malUso = :os_malUso";
		}
		if ($OsObj->os_fecIni){
			$set .= ", os_fecIni = :os_fecIni";
		}
		if ($OsObj->os_fecFin){
			$set .= ", os_fecFin = :os_fecFin";
		}
		if ($OsObj->os_diagnostico_id){
			$set .= ", os_diagnostico_id = :os_diagnostico_id";
		}
		if ($OsObj->os_diagnostico_det){
			$set .= ", os_diagnostico_det = :os_diagnostico_det";
		}
		if ($OsObj->os_acciones){
			$set .= ", os_acciones = :os_acciones";
		}
		if ($OsObj->os_obs){
			$set .= ", os_obs = :os_obs";
		}
		if ($OsObj->os_refDocId){
			$set .= ", os_refDocId = :os_refDocId";
		}
		if ($OsObj->os_informeNro){
			$set .= ", os_informeNro = :os_informeNro";
		}
		if ($OsObj->os_recomendaciones){
			$set .= ", os_recomendaciones = :os_recomendaciones";
		}
		if ($OsObj->os_eqpStatus){
			$set .= ", os_eqpStatus = :os_eqpStatus";
		}
		if ($OsObj->os_fechaRevSug){
			$set .= ", os_fechaRevSug = :os_fechaRevSug";
		}
		if ($OsObj->os_orden){
			$set .= ", os_orden = :os_orden";
		}
		if (isset($OsObj->os_status)){
			$set .= ", os_status = :os_status";
		}
		if ($set && $OsObj->os_id){
			$set = substr($set,1);
			$sql2 = "
				UPDATE pv_ordenServicio
				SET 
					$set
					,os_usract = :os_usract
					,os_fecact = :os_fecact
				WHERE os_id = :os_id
				AND os_status <> 'C'
				LIMIT 1";
			$comando = $PDO->prepare($sql2);
			$comando->bindParam(':os_id', $OsObj->os_id);
			if (!$OsObj->os_fecact){
				$OsObj->os_fecact = date("Y-m-d H:i:s");
			}

			if ($OsObj->os_serieId){
				$comando->bindParam(':os_serieId', $OsObj->os_serieId);
			}
			if ($OsObj->os_serie_cliente){
				$comando->bindParam(':os_serie_cliente', $OsObj->os_serie_cliente);
			}
			if ($OsObj->os_pr_id){
				$comando->bindParam(':os_pr_id', $OsObj->os_pr_id);
			}
			if ($OsObj->os_cli_id){
				$comando->bindParam(':os_cli_id', $OsObj->os_cli_id);
			}
			if ($OsObj->os_cli_nombre){
				$comando->bindParam(':os_cli_nombre', $OsObj->os_cli_nombre);
			}
			if ($OsObj->os_cli_suc_id){
				$comando->bindParam(':os_cli_suc_id', $OsObj->os_cli_suc_id);
			}
			if ($OsObj->os_cli_contacto){
				$comando->bindParam(':os_cli_contacto', $OsObj->os_cli_contacto);
			}
			if ($OsObj->os_fechaProg){
				$comando->bindParam(':os_fechaProg', $OsObj->os_fechaProg);
			}
			if ($OsObj->os_fecha){
				$comando->bindParam(':os_fecha', $OsObj->os_fecha);
			}
			if ($OsObj->os_acuerdo_tipo){
				$comando->bindParam(':os_acuerdo_tipo', $OsObj->os_acuerdo_tipo);
			}
			if ($OsObj->os_acuerdo_id){
				$comando->bindParam(':os_acuerdo_id', $OsObj->os_acuerdo_id);
			}
			if ($OsObj->os_tipo_servicio){
				$comando->bindParam(':os_tipo_servicio', $OsObj->os_tipo_servicio);
			}
			if ($OsObj->os_tipo_atencion){
				$comando->bindParam(':os_tipo_atencion', $OsObj->os_tipo_atencion);
			}
			if ($OsObj->os_falla_id){
				$comando->bindParam(':os_falla_id', $OsObj->os_falla_id);
			}
			if ($OsObj->os_falla_det){
				$comando->bindParam(':os_falla_det', $OsObj->os_falla_det);
			}
			if ($OsObj->os_tecnico_id){
				$comando->bindParam(':os_tecnico_id', $OsObj->os_tecnico_id);
			}
			if ($OsObj->os_repReq){
				$comando->bindParam(':os_repReq', $OsObj->os_repReq);
			}
			if ($OsObj->os_malUso){
				$comando->bindParam(':os_malUso', $OsObj->os_malUso);
			}
			if ($OsObj->os_fecIni){
				$comando->bindParam(':os_fecIni', $OsObj->os_fecIni);
			}
			if ($OsObj->os_fecFin){
				$comando->bindParam(':os_fecFin', $OsObj->os_fecFin);
			}
			if ($OsObj->os_diagnostico_id){
				$comando->bindParam(':os_diagnostico_id', $OsObj->os_diagnostico_id);
			}
			if ($OsObj->os_diagnostico_det){
				$comando->bindParam(':os_diagnostico_det', $OsObj->os_diagnostico_det);
			}
			if ($OsObj->os_acciones){
				$comando->bindParam(':os_acciones', $OsObj->os_acciones);
			}
			if ($OsObj->os_obs){
				$comando->bindParam(':os_obs', $OsObj->os_obs);
			}
			if ($OsObj->os_refDocId){
				$comando->bindParam(':os_refDocId', $OsObj->os_refDocId);
			}
			if ($OsObj->os_informeNro){
				$comando->bindParam(':os_informeNro', $OsObj->os_informeNro);
			}
			if ($OsObj->os_recomendaciones){
				$comando->bindParam(':os_recomendaciones', $OsObj->os_recomendaciones);
			}
			if ($OsObj->os_eqpStatus){
				$comando->bindParam(':os_eqpStatus', $OsObj->os_eqpStatus);
			}
			if ($OsObj->os_fechaRevSug){
				$comando->bindParam(':os_fechaRevSug', $OsObj->os_fechaRevSug);
			}
			if ($OsObj->os_orden){
				$comando->bindParam(':os_orden', $OsObj->os_orden);
			}
			if (isset($OsObj->os_status)){
				$comando->bindParam(':os_status', $OsObj->os_status);
			}
			$comando->bindParam(':os_usract', $usuario);
			$comando->bindParam(':os_fecact', $OsObj->os_fecact);
			$comando->execute();
//			print_r($comando->errorInfo());

			if ($OsObj->a_protocol){
				foreach ($OsObj->a_protocol as $clave => $valor) {
					$listFields .= ",".$clave;
					$listValues .= ",'".$valor."'";
				}
				$sql = "
					REPLACE INTO pv_ordenServicio_protocol
					(
					prteq_os_id
					$listFields
					)
					VALUE
					(
					".$OsObj->os_id."
					$listValues
					)
				";
				$comando2 = $PDO->query($sql);
			}
			$listFields = '';
			$listValues = '';
			if ($OsObj->a_dataEqp){
				foreach ($OsObj->a_dataEqp as $clave => $valor) {
					$listFields .= ",".$clave;
					$listValues .= ",'".$valor."'";
				}
				$sql = "
					REPLACE INTO pv_ordenServicio_dataEqp
					(
					dteq_os_id
					$listFields
					)
					VALUE
					(
					".$OsObj->os_id."
					$listValues
					)
				";
				$comando2 = $PDO->query($sql);
			}

			$listFields = '';
			$listValues = '';
			if ($OsObj->a_gastos){
				foreach ($OsObj->a_gastos as $clave => $valor) {
					$listFields .= ",".$clave;
					$listValues .= ",'".$valor."'";
				}
				$sql = "
					REPLACE INTO pv_ordenServicio_gasto
					(
					gas_os_id
					$listFields
					)
					VALUE
					(
					".$OsObj->os_id."
					$listValues
					)
				";
				$comando2 = $PDO->query($sql);
			}
			return $OsObj->os_id;
		}

		$listFields = '';
		$listValues = '';
		if ($OsObj->a_gastos){
			foreach ($OsObj->a_gastos as $clave => $valor) {
				$listFields .= ",".$clave;
				$listValues .= ",'".$valor."'";
			}
			$sql = "
				REPLACE INTO pv_ordenServicio_gasto
				(
				gas_os_id,
				gas_usract
				$listFields
				)
				VALUE
				(
				".$OsObj->os_id.",
				'".$usuario."'
				$listValues
				)
			";
			$comando2 = $PDO->query($sql);
			return $OsObj->os_id;
		}
			

	}

	public function insert($OsObj){
		global $PDO;
		$sql = "
			INSERT INTO pv_ordenServicio 
			(
			os_ss_id,
			os_serieId,
			os_serie_cliente,
			os_pr_id,
			os_cli_id,
			os_cli_nombre,
			os_cli_suc_id,
			os_cli_contacto,
			os_fecha,
			os_fechaProg,
			os_acuerdo_tipo,
			os_acuerdo_id,
			os_tipo_servicio,
			os_tipo_atencion,
			os_falla_id,
			os_falla_det,
			os_tecnico_id,
			os_fecIni,
			os_fecFin,
			os_diagnostico_id,
			os_diagnostico_det,
			os_acciones,
			os_obs,
			os_refDocId,
			os_informeNro,
			os_recomendaciones,
			os_eqpStatus,
			os_fechaRevSug,
			os_orden,
			os_status,
			os_usrreg,
			os_fecreg
			) 
			VALUES 
			(
			:os_ss_id,
			:os_serieId,
			:os_serie_cliente,
			:os_pr_id,
			:os_cli_id,
			:os_cli_nombre,
			:os_cli_suc_id,
			:os_cli_contacto,
			:os_fecha,
			:os_fechaProg,
			:os_acuerdo_tipo,
			:os_acuerdo_id,
			:os_tipo_servicio,
			:os_tipo_atencion,
			:os_falla_id,
			:os_falla_det,
			:os_tecnico_id,
			:os_fecIni,
			:os_fecFin,
			:os_diagnostico_id,
			:os_diagnostico_det,
			:os_acciones,
			:os_obs,
			:os_refDocId,
			:os_informeNro,
			:os_recomendaciones,
			:os_eqpStatus,
			:os_fechaRevSug,
			:os_orden,
			:os_status,
			:os_usrreg,
			:os_fecreg
			);			
		";
		$comando = $PDO->prepare($sql);
		if (!$OsObj->os_fecreg){
			$OsObj->os_fecreg = date("Y-m-d H:i:s");
		}
		$comando->bindParam(':os_ss_id', $OsObj->os_ss_id);
		$comando->bindParam(':os_serieId', $OsObj->os_serieId);
		$comando->bindParam(':os_serie_cliente', $OsObj->os_serie_cliente);
		$comando->bindParam(':os_pr_id', $OsObj->os_pr_id);
		$comando->bindParam(':os_cli_id', $OsObj->os_cli_id);
		$comando->bindParam(':os_cli_nombre', $OsObj->os_cli_nombre);
		$comando->bindParam(':os_cli_suc_id', $OsObj->os_cli_suc_id);
		$comando->bindParam(':os_cli_contacto', $OsObj->os_cli_contacto);
		$comando->bindParam(':os_fecha', $OsObj->os_fecha);
		$comando->bindParam(':os_fechaProg', $OsObj->os_fechaProg);
		$comando->bindParam(':os_acuerdo_tipo', $OsObj->os_acuerdo_tipo);
		$comando->bindParam(':os_acuerdo_id', $OsObj->os_acuerdo_id);
		$comando->bindParam(':os_tipo_servicio', $OsObj->os_tipo_servicio);
		$comando->bindParam(':os_tipo_atencion', $OsObj->os_tipo_atencion);
		$comando->bindParam(':os_falla_id', $OsObj->os_falla_id);
		$comando->bindParam(':os_falla_det', $OsObj->os_falla_det);	
		$comando->bindParam(':os_tecnico_id', $OsObj->os_tecnico_id);	
		$comando->bindParam(':os_fecIni', $OsObj->os_fecIni);	
		$comando->bindParam(':os_fecFin', $OsObj->os_fecFin);	
		$comando->bindParam(':os_diagnostico_id', $OsObj->os_diagnostico_id);	
		$comando->bindParam(':os_diagnostico_det', $OsObj->os_diagnostico_det);
		$comando->bindParam(':os_acciones', $OsObj->os_acciones);		
		$comando->bindParam(':os_obs', $OsObj->os_obs);		
		$comando->bindParam(':os_refDocId', $OsObj->os_refDocId);		
		$comando->bindParam(':os_informeNro', $OsObj->os_informeNro);		
		$comando->bindParam(':os_recomendaciones', $OsObj->os_recomendaciones);				
		$comando->bindParam(':os_eqpStatus', $OsObj->os_eqpStatus);
		$comando->bindParam(':os_fechaRevSug', $OsObj->os_fechaRevSug);
		$comando->bindParam(':os_orden', $OsObj->os_orden);
		$comando->bindParam(':os_status', $OsObj->os_status);
		$comando->bindParam(':os_usrreg', $OsObj->os_usrreg);
		$comando->bindParam(':os_fecreg', $OsObj->os_fecreg);

		$comando->execute();	
		//print_r($comando->errorInfo());
		$query	 = "
			SELECT DISTINCT max(os_id) as id 
			FROM pv_ordenServicio 
			WHERE os_usrreg = :os_usrreg 
				AND os_fecreg = :os_fecreg ";
		$comando = $PDO->prepare($query);
		$comando->bindParam(':os_usrreg', $OsObj->os_usrreg);
		$comando->bindParam(':os_fecreg', $OsObj->os_fecreg);
		$comando->execute();	 
		$resultado = $comando->fetchAll(PDO::FETCH_ASSOC);
		$row = $resultado[0];
		return $row["id"];
	}


	public function selectDshb($OsObj,$limit=''){
		global $usuario, $PDO, $PERFIL;
		if ($PERFIL=='TECNICO'){
			$sql = "
				SELECT * 
				FROM `xx_usuario_modulo`
				WHERE usrm_www_usuarioId = '".$usuario."'
			";
			$sentencia2 = $PDO->query($sql);
			$sentencia2->setFetchMode(PDO::FETCH_ASSOC);
			$row = $sentencia2->fetch();
			$tecnicoId = $row["usrm_usrModulo"];
		}
		if ($OsObj->tipo=='EXT'){
			$where .= " AND tec_tipo = 'EXT'";
		}elseif($OsObj->tipo=='INT'){
			$where .= " AND tec_tipo = ''";
		}

		if ($OsObj->fechaIni){
			$where .= " AND os_fecha >= :fechaIni";
		}
		if ($OsObj->fechaFin){
			$where .= " AND os_fecha <= :fechaFin";
		}
		$sql = "
			SELECT 
				count(*) as RESULT,
				tec_id,
				tec_nombre,
				os_tipo_servicio
			FROM pv_ordenServicio
				LEFT JOIN pv_tecnico ON os_tecnico_id = tec_id
			WHERE 1 
			AND tec_id IS NOT NULL
			AND os_tipo_servicio IS NOT NULL
			AND os_tipo_servicio <> ''
			$where
			$orderBy
			GROUP BY tec_id, os_tipo_servicio
		";
		$comando = $PDO->prepare($sql);
		if ($OsObj->fechaIni){
			$comando->bindParam(':fechaIni', $OsObj->fechaIni);
		}
		if ($OsObj->fechaFin){
			$comando->bindParam(':fechaFin', $OsObj->fechaFin);
		}			
		$comando->execute();
		while($row = $comando->fetch()){
			$a_result[$row["tec_id"]][$row["os_tipo_servicio"]] = $row["RESULT"];
		}
		return $a_result;
	}

	public function selectDshb2($OsObj,$limit=''){
		global $usuario, $PDO, $PERFIL;
		if ($PERFIL=='TECNICO'){
			$sql = "
				SELECT * 
				FROM `xx_usuario_modulo`
				WHERE usrm_www_usuarioId = '".$usuario."'
			";
			$sentencia2 = $PDO->query($sql);
			$sentencia2->setFetchMode(PDO::FETCH_ASSOC);
			$row = $sentencia2->fetch();
			$tecnicoId = $row["usrm_usrModulo"];
		}
		if ($OsObj->fechaIni){
			$where .= " AND os_fecha >= :fechaIni";
		}
		if ($OsObj->fechaFin){
			$where .= " AND os_fecha <= :fechaFin";
		}
		$sql = "
			SELECT 
				count(*) as RESULT,
				os_tipo_servicio,
				os_status
			FROM pv_ordenServicio
			WHERE 1 
			AND os_tipo_servicio <> ''
			AND os_status <> 'A'
			$where
			GROUP BY os_tipo_servicio, os_status
		";
		$comando = $PDO->prepare($sql);
		if ($OsObj->fechaIni){
			$comando->bindParam(':fechaIni', $OsObj->fechaIni);
		}
		if ($OsObj->fechaFin){
			$comando->bindParam(':fechaFin', $OsObj->fechaFin);
		}			
		$comando->execute();
		while($row = $comando->fetch()){
			$a_result[$row["os_tipo_servicio"]][$row["os_status"]] = $row["RESULT"];
		}
		return $a_result;
	}

	public function selectDshb3($OsObj,$limit=''){
		global $usuario, $PDO, $PERFIL;
		if ($PERFIL=='TECNICO'){
			$sql = "
				SELECT * 
				FROM `xx_usuario_modulo`
				WHERE usrm_www_usuarioId = '".$usuario."'
			";
			$sentencia2 = $PDO->query($sql);
			$sentencia2->setFetchMode(PDO::FETCH_ASSOC);
			$row = $sentencia2->fetch();
			$tecnicoId = $row["usrm_usrModulo"];
		}
		if ($OsObj->fechaIni){
			$where .= " AND os_fecha >= :fechaIni";
		}
		if ($OsObj->fechaFin){
			$where .= " AND os_fecha <= :fechaFin";
		}
		$sql = "
			SELECT 
				count(*) as RESULT,
				os_cli_id,
				cl_nombre,
				os_status
			FROM pv_ordenServicio
				LEFT JOIN vt_cliente ON os_cli_id = cl_id
			WHERE 1 
			AND os_tipo_servicio = 'MPF'
			AND os_status <> 'A'
			$where
			GROUP BY os_cli_id, os_status
		";
		$comando = $PDO->prepare($sql);
		if ($OsObj->fechaIni){
			$comando->bindParam(':fechaIni', $OsObj->fechaIni);
		}
		if ($OsObj->fechaFin){
			$comando->bindParam(':fechaFin', $OsObj->fechaFin);
		}			
		$comando->execute();
		while($row = $comando->fetch()){
			$a_result[$row["cl_nombre"]][$row["os_status"]] = $row["RESULT"];
		}
		return $a_result;
	}


	public function selectDshb4($OsObj,$limit=''){
		global $usuario, $PDO, $PERFIL;
		if ($PERFIL=='TECNICO'){
			$sql = "
				SELECT * 
				FROM `xx_usuario_modulo`
				WHERE usrm_www_usuarioId = '".$usuario."'
			";
			$sentencia2 = $PDO->query($sql);
			$sentencia2->setFetchMode(PDO::FETCH_ASSOC);
			$row = $sentencia2->fetch();
			$tecnicoId = $row["usrm_usrModulo"];
		}
		if ($OsObj->fechaIni){
			$where .= " AND os_fecha >= :fechaIni";
		}
		if ($OsObj->fechaFin){
			$where .= " AND os_fecha <= :fechaFin";
		}
		$sql = "
			SELECT 
				count(*) as RESULT,
				os_cli_id,
				cl_nombre,
				os_status
			FROM pv_ordenServicio
				LEFT JOIN vt_cliente ON os_cli_id = cl_id
			WHERE 1 
			AND (os_tipo_servicio = 'MCF' OR os_tipo_servicio = 'MC')
			AND os_status <> 'A'
			$where
			GROUP BY os_cli_id, os_status
		";
		$comando = $PDO->prepare($sql);
		if ($OsObj->fechaIni){
			$comando->bindParam(':fechaIni', $OsObj->fechaIni);
		}
		if ($OsObj->fechaFin){
			$comando->bindParam(':fechaFin', $OsObj->fechaFin);
		}			
		$comando->execute();
		while($row = $comando->fetch()){
			$a_result[$row["cl_nombre"]][$row["os_status"]] = $row["RESULT"];
		}
		return $a_result;
	}

}



class PvOrdenServicioRepModel{

	public function insert($PvOrdenServicioRepObj){
		global $usuario, $PDO;
		$sql = "
			INSERT INTO `pv_ordenServicio_repuesto` 
			(
			`osr_os_id`, 
			`osr_pr_id`, 
			`osr_cantidad`, 
			`osr_usract`, 
			`osr_fecact`
			) 
			VALUES 
			(
			:osr_os_id, 
			:osr_pr_id, 
			:osr_cantidad, 
			:osr_usract, 
			:osr_fecact
			);
		";
		$fecact = date("Y-m-d H:i:s");
		$comando = $PDO->prepare($sql);
		$comando->bindParam(':osr_os_id', $PvOrdenServicioRepObj->osr_os_id);
		$comando->bindParam(':osr_pr_id', $PvOrdenServicioRepObj->osr_pr_id);
		$comando->bindParam(':osr_cantidad', $PvOrdenServicioRepObj->osr_cantidad);
		$comando->bindParam(':osr_usract', $usuario);
		$comando->bindParam(':osr_fecact', $fecact);
		$comando->execute();	
		$query	 = "
			SELECT DISTINCT max(osr_id) as id 
			FROM `pv_ordenServicio_repuesto` 
			WHERE osr_usract = '".$usuario."' 
				AND osr_fecact = '".$fecact."'; " ;
		$sentencia2 = $PDO->query($query);
		$sentencia2->setFetchMode(PDO::FETCH_ASSOC);
		$row = $sentencia2->fetch();
		return $row["id"];
	}
	
	public function delete($lineaId){
		global $PDO;
		$sql = "
			DELETE
			FROM pv_ordenServicio_repuesto
			WHERE osr_id = :lineaId
			LIMIT 1
		";		
		$comando = $PDO->prepare($sql);
		$comando->bindParam(':lineaId', $lineaId);
		$comando->execute();
		return $lineaId;
	}


	public function select($OsObj){
		global $PDO;
		if ($OsObj->osr_id){
			$where .= " AND osr_id = :osr_id";
		}
		if ($OsObj->osr_os_id){
			$where .= " AND osr_os_id = :osr_os_id";
		}
		if ($OsObj->osr_pr_id){
			$where .= " AND osr_pr_id = :osr_pr_id";
		}
		$sql = "
			SELECT * 
			FROM `pv_ordenServicio_repuesto` 
				LEFT JOIN im_producto ON osr_pr_id = pr_id
				LEFT JOIN im_subFamilia ON pr_subfamiliaId = sfm_subFamiliaId
			WHERE 1 
			$where" ;
		$comando = $PDO->prepare($sql);
		if ($OsObj->osr_id){
			$comando->bindParam(':osr_id', $OsObj->osr_id);
		}
		if ($OsObj->osr_os_id){
			$comando->bindParam(':osr_os_id', $OsObj->osr_os_id);
		}
		if ($OsObj->osr_pr_id){
			$comando->bindParam(':osr_pr_id', $OsObj->osr_pr_id);
		}
		$comando->execute();
		while($row = $comando->fetch()){
			$a_rep["osr_id"]			= $row["osr_id"];
			$a_rep["osr_pr_id"]			= $row["osr_pr_id"];
			$a_rep["osr_cantidad"]		= $row["osr_cantidad"];
			$a_rep["pr_productoId"]		= $row["pr_productoId"];
			$a_rep["pr_descripcion"]	= $row["pr_descripcion"];
			$a_rep["sfm_nombre"]		= $row["sfm_nombre"];
			$a_lista_rep[] = $a_rep;
		}
		return $a_lista_rep;
	}


	public function selectRep($os_id){
		global $PDO;
		$query	 = "
			SELECT * 
			FROM `pv_ordenServicio_repuesto` 
				LEFT JOIN im_producto ON osr_pr_id = pr_id
				LEFT JOIN im_subFamilia ON pr_subfamiliaId = sfm_subFamiliaId
			WHERE osr_os_id = ".$os_id ;
		$comando = $PDO->query($query);
		$comando->setFetchMode(PDO::FETCH_ASSOC);
		while($row = $comando->fetch()){
			$a_rep["osr_id"]			= $row["osr_id"];
			$a_rep["osr_pr_id"]			= $row["osr_pr_id"];
			$a_rep["osr_cantidad"]		= $row["osr_cantidad"];
			$a_rep["pr_productoId"]		= $row["pr_productoId"];
			$a_rep["pr_descripcion"]	= $row["pr_descripcion"];
			$a_rep["sfm_nombre"]		= $row["sfm_nombre"];
			$a_lista_rep[] = $a_rep;
		}
		return $a_lista_rep;
	}

	public function selectId($osr_id){
		global $PDO;
		$query	 = "
			SELECT * 
			FROM `pv_ordenServicio_repuesto` 
				LEFT JOIN im_producto ON osr_pr_id = pr_id
			WHERE osr_id = ".$osr_id ;
		$comando = $PDO->query($query);
		$comando->setFetchMode(PDO::FETCH_ASSOC);
		$row = $comando->fetch();
		$a_rep["osr_id"]			= $row["osr_id"];
		$a_rep["osr_pr_id"]			= $row["osr_pr_id"];
		$a_rep["osr_cantidad"]		= $row["osr_cantidad"];
		$a_rep["pr_productoId"]		= $row["pr_productoId"];
		$a_rep["pr_descripcion"]	= $row["pr_descripcion"];
		return $a_rep;
	}

}



class PvOrdenServicioRepReqModel{

	public function insert($PvOrdenServicioRepReqObj){
		global $usuario, $PDO;
		$sql = "
			INSERT INTO `pv_ordenServicio_repuesto_req` 
			(
			`osr_os_id`, 
			`osr_pr_id`, 
			`osr_cantidad`, 
			`osr_usract`, 
			`osr_fecact`
			) 
			VALUES 
			(
			:osr_os_id, 
			:osr_pr_id, 
			:osr_cantidad, 
			:osr_usract, 
			:osr_fecact
			);
		";
		$fecact = date("Y-m-d H:i:s");
		$comando = $PDO->prepare($sql);
		$comando->bindParam(':osr_os_id', $PvOrdenServicioRepReqObj->osr_os_id);
		$comando->bindParam(':osr_pr_id', $PvOrdenServicioRepReqObj->osr_pr_id);
		$comando->bindParam(':osr_cantidad', $PvOrdenServicioRepReqObj->osr_cantidad);
		$comando->bindParam(':osr_usract', $usuario);
		$comando->bindParam(':osr_fecact', $fecact);
		$comando->execute();	
		$query	 = "
			SELECT DISTINCT max(osr_id) as id 
			FROM `pv_ordenServicio_repuesto_req` 
			WHERE osr_usract = '".$usuario."' 
				AND osr_fecact = '".$fecact."'; " ;
		$sentencia2 = $PDO->query($query);
		$sentencia2->setFetchMode(PDO::FETCH_ASSOC);
		$row = $sentencia2->fetch();
		return $row["id"];
	}
	
	public function delete($lineaId){
		global $PDO;
		$sql = "
			DELETE
			FROM pv_ordenServicio_repuesto_req
			WHERE osr_id = :lineaId
			LIMIT 1
		";		
		$comando = $PDO->prepare($sql);
		$comando->bindParam(':lineaId', $lineaId);
		$comando->execute();
		return $lineaId;
	}


	public function select($OsObj){
		global $PDO;
		if ($OsObj->osr_id){
			$where .= " AND osr_id = :osr_id";
		}
		if ($OsObj->osr_os_id){
			$where .= " AND osr_os_id = :osr_os_id";
		}
		if ($OsObj->osr_pr_id){
			$where .= " AND osr_pr_id = :osr_pr_id";
		}
		$sql = "
			SELECT * 
			FROM `pv_ordenServicio_repuesto_req` 
				LEFT JOIN im_producto ON osr_pr_id = pr_id
				LEFT JOIN im_subFamilia ON pr_subfamiliaId = sfm_subFamiliaId
			WHERE 1 
			$where" ;
		$comando = $PDO->prepare($sql);
		if ($OsObj->osr_id){
			$comando->bindParam(':osr_id', $OsObj->osr_id);
		}
		if ($OsObj->osr_os_id){
			$comando->bindParam(':osr_os_id', $OsObj->osr_os_id);
		}
		if ($OsObj->osr_pr_id){
			$comando->bindParam(':osr_pr_id', $OsObj->osr_pr_id);
		}
		$comando->execute();
		while($row = $comando->fetch()){
			$a_rep["osr_id"]			= $row["osr_id"];
			$a_rep["osr_pr_id"]			= $row["osr_pr_id"];
			$a_rep["osr_cantidad"]		= $row["osr_cantidad"];
			$a_rep["pr_productoId"]		= $row["pr_productoId"];
			$a_rep["pr_descripcion"]	= $row["pr_descripcion"];
			$a_rep["sfm_nombre"]		= $row["sfm_nombre"];
			$a_lista_rep[] = $a_rep;
		}
		return $a_lista_rep;
	}


	public function selectRep($os_id){
		global $PDO;
		$query	 = "
			SELECT * 
			FROM `pv_ordenServicio_repuesto_req` 
				LEFT JOIN im_producto ON osr_pr_id = pr_id
				LEFT JOIN im_subFamilia ON pr_subfamiliaId = sfm_subFamiliaId
			WHERE osr_os_id = ".$os_id ;
		$comando = $PDO->query($query);
		$comando->setFetchMode(PDO::FETCH_ASSOC);
		while($row = $comando->fetch()){
			$a_rep["osr_id"]			= $row["osr_id"];
			$a_rep["osr_pr_id"]			= $row["osr_pr_id"];
			$a_rep["osr_cantidad"]		= $row["osr_cantidad"];
			$a_rep["pr_productoId"]		= $row["pr_productoId"];
			$a_rep["pr_descripcion"]	= $row["pr_descripcion"];
			$a_rep["sfm_nombre"]		= $row["sfm_nombre"];
			$a_lista_rep[] = $a_rep;
		}
		return $a_lista_rep;
	}

	public function selectId($osr_id){
		global $PDO;
		$query	 = "
			SELECT * 
			FROM `pv_ordenServicio_repuesto_req` 
				LEFT JOIN im_producto ON osr_pr_id = pr_id
			WHERE osr_id = ".$osr_id ;
		$comando = $PDO->query($query);
		$comando->setFetchMode(PDO::FETCH_ASSOC);
		$row = $comando->fetch();
		$a_rep["osr_id"]			= $row["osr_id"];
		$a_rep["osr_pr_id"]			= $row["osr_pr_id"];
		$a_rep["osr_cantidad"]		= $row["osr_cantidad"];
		$a_rep["pr_productoId"]		= $row["pr_productoId"];
		$a_rep["pr_descripcion"]	= $row["pr_descripcion"];
		return $a_rep;
	}

}


?>