<?php

include ("class/pvTecnicoModel.class.php");



class PvTecnico{

	var $tec_id;
	var $tec_nombre;
	var $tec_status;
	var $tec_usract;
	var $tec_fecact;

	public function consultarId($id){
		$PvTecnicoModel= NEW PvTecnicoModel();
		$a_result = $PvTecnicoModel->selectUniqueId($id);
		return $a_result;
	}

	public function consultar($PvTecnicoFilter){
		$PvTecnicoFilter->tec_status = '';
		$PvTecnicoModel = NEW PvTecnicoModel();
		return $PvTecnicoModel->select($PvTecnicoFilter);
	}

	public function crear($PvTecnicoObj){		
		$PvTecnicoModelIns = NEW PvTecnicoModel();
		return $PvTecnicoModelIns->insert($PvTecnicoObj);
	}


	public function modificar($PvTecnicoObj){
		if (!$PvTecnicoObj->tec_id){
			return FALSE;
		}
		$PvTecnicoModelUpd		= NEW PvTecnicoModel();
		$PvTecnicoModelSetObj	= NEW PvTecnicoModel();
		$PvTecnicoModelSetObj	= $PvTecnicoObj;
		return $PvTecnicoModelUpd->update($PvTecnicoModelSetObj);		
	}


	public function anular($id){
		if (!$id){
			return FALSE;
		}
		$PvTecnicoModelUpd					= NEW PvTecnicoModel();
		$PvTecnicoModelSetObj				= NEW PvTecnicoModel();	
		$PvTecnicoModelSetObj->tec_id		= $id;
		$PvTecnicoModelSetObj->tec_status	= 'A';
		return $PvTecnicoModelUpd->update($PvTecnicoModelSetObj);
	}


}


class PvTecnicoZona{
	public function consultarId($id){
		$PvTecnicoZonaModel= NEW PvTecnicoZonaModel();
		$a_result = $PvTecnicoZonaModel->selectUniqueId($id);
		return $a_result;
	}

	public function consultar($PvTecnicoZonaFilter){
		$PvTecnicoZonaFilter->tec_status = '';
		$PvTecnicoZonaModel = NEW PvTecnicoZonaModel();
		return $PvTecnicoZonaModel->select($PvTecnicoZonaFilter);
	}

	public function crear($PvTecnicoZonaObj){		
		$PvTecnicoZonaModelIns = NEW PvTecnicoZonaModel();
		return $PvTecnicoZonaModelIns->insert($PvTecnicoZonaObj);
	}

	public function borrar($id){
		$PvTecnicoZonaModelDel = NEW PvTecnicoZonaModel();
		return $PvTecnicoZonaModelDel->delete($id);		
	}
}


class PvTecnicoEquipo{
	public function consultarId($id){
		$PvTecnicoEquipoModel= NEW PvTecnicoEquipoModel();
		$a_result = $PvTecnicoEquipoModel->selectUniqueId($id);
		return $a_result;
	}

	public function consultar($PvTecnicoEquipoFilter){
		$PvTecnicoEquipoFilter->tec_status = '';
		$PvTecnicoEquipoModel = NEW PvTecnicoEquipoModel();
		return $PvTecnicoEquipoModel->select($PvTecnicoEquipoFilter);
	}

	public function crear($PvTecnicoEquipoObj){		
		$PvTecnicoEquipoModelIns = NEW PvTecnicoEquipoModel();
		return $PvTecnicoEquipoModelIns->insert($PvTecnicoEquipoObj);
	}

	public function borrar($id){
		$PvTecnicoEquipoModelDel = NEW PvTecnicoEquipoModel();
		return $PvTecnicoEquipoModelDel->delete($id);		
	}
}
?>