<?php

include ("soClienteModel.class.php");



class SoCliente{

	public function consultarCodigo($ruc){
		$SoClienteModel= NEW SoClienteModel();
		$SoClienteModelRUC= NEW SoClienteModel();
		if (!$ruc){
			return FALSE;
		}
		$SoClienteModelRUC->cl_ruc = $ruc;
		$a_result = $SoClienteModel->select($SoClienteModelRUC);
		return $a_result;
	}

	public function consultarId($id){
		$SoClienteModel= NEW SoClienteModel();
		$a_result = $SoClienteModel->selectUniqueId($id);
		return $a_result;
	}

	public function consultar($SoClienteFilter){
		$SoClienteModel = NEW SoClienteModel();
		return $SoClienteModel->select($SoClienteFilter);
	}

	public function consultarPag($SoClienteFilter,$limit){
		$SoClienteModel = NEW SoClienteModel();
		return $SoClienteModel->select($SoClienteFilter,$limit);
	}


	public function crear($SoClienteObj){		
		$SoClienteModelIns = NEW SoClienteModel();
		return $SoClienteModelIns->insert($SoClienteObj);
	}


	public function modificar($SoClienteObj){
		if (!$SoClienteObj->cl_id){
			return FALSE;
		}
		$SoClienteModelUpd	= NEW SoClienteModel();
		$SoClienteModelSetObj	= NEW SoClienteModel();
		$SoClienteModelSetObj	= $SoClienteObj;
		return $SoClienteModelUpd->update($SoClienteModelSetObj);		
	}


	public function anular($id){
		if (!$id){
			return FALSE;
		}
		$SoClienteModelUpd				= NEW SoClienteModel();
		$SoClienteModelSetObj				= NEW SoClienteModel();	
		$SoClienteModelSetObj->cl_id		= $id;
		$SoClienteModelSetObj->cl_status	= 'A';
		return $SoClienteModelUpd->update($SoClienteModelSetObj);
	}


}


class SoClienteSuc{
	public function consultarId($id){
		$SoClienteSucModel= NEW SoClienteSucModel();
		$a_result = $SoClienteSucModel->selectUniqueId($id);
		return $a_result;
	}

	public function consultar($SoClienteSucFilter){
		$SoClienteSucModel = NEW SoClienteSucModel();
		return $SoClienteSucModel->select($SoClienteSucFilter);
	}

	public function crear($SoClienteSucObj){		
		$SoClienteSucModelIns = NEW SoClienteSucModel();
		return $SoClienteSucModelIns->insert($SoClienteSucObj);
	}


	public function modificar($SoClienteSucObj){
		if (!$SoClienteSucObj->cls_id OR !$SoClienteSucObj->cls_cl_id){
			return FALSE;
		}
		$SoClienteModelUpd	= NEW SoClienteSucModel();
		$SoClienteModelSetObj	= NEW SoClienteSucModel();
		$SoClienteModelSetObj	= $SoClienteSucObj;
		return $SoClienteModelUpd->update($SoClienteModelSetObj);		
	}
}
?>