<?php


class XxLogCambioModel{

	public function selectUniqueId($id){
		global $PDO;
		if (!$id){
			return FALSE;
		}
		$sql = "
			SELECT *
			FROM xx_guiaLogCambio
			WHERE gevh_id = :id
		";
		$comando = $PDO->prepare($sql);
		$comando->bindParam(':id', $id);
		$comando->execute();
		$resultado = $comando->fetchAll(PDO::FETCH_ASSOC);
		$row = $resultado[0];
		$a_log["gevh_id"]			= $row["gevh_id"];
		$a_log["gevh_placa"]			= $row["gevh_placa"];
		$a_log["gevh_tarjeta"]		= $row["gevh_tarjeta"];
		$a_log["gevh_autorizacion"]	= $row["gevh_autorizacion"];
		$a_log["gevh_emisor"]		= $row["gevh_emisor"];
		$a_log["gevh_status"]		= $row["gevh_status"];
		$a_log["gevh_usract"]		= $row["gevh_usract"];
		$a_log["gevh_fecact"]		= $row["gevh_fecact"];
		return $a_log;
	}


	public function select($LogCambioObj,$limit=''){
		global $usuario, $PDO;
		if (($LogCambioObj->log_modulo)){
			$where .= " AND log_modulo = :log_modulo";
		}
		if (($LogCambioObj->log_tabla)){
			$where .= " AND log_tabla LIKE :log_tabla";
		}
		if (($LogCambioObj->log_registro)){
			$where .= " AND log_registro LIKE :log_registro";
		}
		if (($LogCambioObj->log_campo)){
			$where .= " AND log_campo = :log_campo";
		}
		if ($LogCambioObj->orderBy){
			$orderBy = " ORDER BY :orderBy";
		}else{
			$orderBy = " ORDER BY log_creaFecha";
		}
		$sql = "
			SELECT *
			FROM xx_logcambios 
			WHERE 1 
			$where
			$orderBy
		";
		$comando = $PDO->prepare($sql);
		if (($LogCambioObj->log_modulo)){
			$comando->bindParam(':log_modulo', $LogCambioObj->log_modulo);
		}
		if (($LogCambioObj->log_tabla)){
			$comando->bindParam(':log_tabla', $LogCambioObj->log_tabla);
		}
		if (($LogCambioObj->log_registro)){
			$comando->bindParam(':log_registro', $LogCambioObj->log_registro);
		}
		if (($LogCambioObj->log_campo)){
			$comando->bindParam(':log_campo', $LogCambioObj->log_campo);
		}
		if ($LogCambioObj->orderBy){
			$comando->bindParam(':orderBy', $LogCambioObj->orderBy);
		}			
		$comando->execute();
		while($row = $comando->fetch()){
			$a_log["log_modulo"]	= $row["log_modulo"];
			$a_log["log_tabla"]		= $row["log_tabla"];
			$a_log["log_registro"]	= $row["log_registro"];
			$a_log["log_campo"]		= $row["log_campo"];
			$a_log["log_obs"]		= $row["log_obs"];
			$a_log["log_valAnt"]	= $row["log_valAnt"];
			$a_log["log_valNue"]	= $row["log_valNue"];
			$a_log["log_creaFecha"]	= $row["log_creaFecha"];
			$a_log["log_creaUsr"]	= $row["log_creaUsr"];
			$a_logList[] = $a_log;
		}
		/*
		print_r($LogCambioObj);
		print_r($a_logList);
		exit($sql);
		*/
		return $a_logList;
	}

	public function insert($LogCambioObj){
		global $PDO,$usuario;
		$sql = "
			INSERT INTO `xx_logcambios` 
			(
			`log_modulo`, 
			`log_tabla`, 
			`log_registro`, 
			`log_campo`, 
			`log_obs`, 
			`log_valAnt`, 
			`log_valNue`, 
			`log_creaFecha`, 
			`log_creaUsr`
			) VALUES (
			:log_modulo, 
			:log_tabla, 
			:log_registro, 
			:log_campo, 
			:log_obs, 
			:log_valAnt, 
			:log_valNue, 
			:log_creaFecha, 
			:log_creaUsr
			);			
		";
		$comando = $PDO->prepare($sql);
		$fecreg = date("Y-m-d H:i:s");
		$comando->bindParam(':log_modulo', $LogCambioObj->log_modulo);
		$comando->bindParam(':log_tabla', $LogCambioObj->log_tabla);
		$comando->bindParam(':log_registro', $LogCambioObj->log_registro);
		$comando->bindParam(':log_campo', $LogCambioObj->log_campo);
		$comando->bindParam(':log_obs', $LogCambioObj->log_obs);
		$comando->bindParam(':log_valAnt', $LogCambioObj->log_valAnt);
		$comando->bindParam(':log_valNue', $LogCambioObj->log_valNue);
		$comando->bindParam(':log_creaFecha', $fecreg);
		$comando->bindParam(':log_creaUsr', $usuario);
		$comando->execute();	 
		$query	 = "
			SELECT DISTINCT max(gevh_id) as id 
			FROM `xx_guiaLogCambio` 
			WHERE gevh_usract = :gevh_usract 
				AND gevh_fecact = :gevh_fecact ";
		$comando = $PDO->prepare($query);
		$comando->bindParam(':gevh_usract', $LogCambioObj->gevh_usract);
		$comando->bindParam(':gevh_fecact', $fecreg);
		$comando->execute();	 
		$resultado = $comando->fetchAll(PDO::FETCH_ASSOC);
		$row = $resultado[0];
		return $row["id"];
	}

}


?>