<?php

//include ("class/xxNettoolsModel.class.php");

try
{
  $PDO_old = new PDO('mysql:host=localhost;dbname=sistema6_ntsistint','sistema6_sys2','dakota0124');
}
catch (Exception $e)
{
  echo "Problema conexion PDO: " . $e->getMessage() ."<p>";
}





class NT_SoCotiz{

	public function cotizStatus($cotizId){
		global $PDO_old;
		$sql = "
			SELECT COT.*, CONCAT(FAC.fac_serie,'-',FAC.fac_numero) AS FAC_REF
			FROM vts_factura COT 
				LEFT JOIN vts_factura FAC ON COT.fac_numero = FAC.fac_docRef and FAC.fac_serie NOT LIKE 'COT'
			WHERE COT.fac_serie = 'COT'
			AND COT.fac_numero = '".$cotizId."'
		";
		$sentencia_old = $PDO_old->query($sql);
		$sentencia_old->setFetchMode(PDO::FETCH_ASSOC);
		$row = $sentencia_old->fetch();
		if ($row["fac_numero"]){
			if ($row["fac_estado"]){
				$a_cotizInfo["status"] = $row["fac_estado"];
				$a_cotizInfo["fac_ref"] = $row["FAC_REF"];
			}else{
				$a_cotizInfo["status"] = 1;
			}
			if ($row["fac_export2cotizId"] > 0){
				$sql = "
					SELECT COT.*, CONCAT(FAC.fac_serie,'-',FAC.fac_numero) AS FAC_REF
					FROM vts_factura COT 
						LEFT JOIN vts_factura FAC ON COT.fac_numero = FAC.fac_docRef and FAC.fac_serie NOT LIKE 'COT'
					WHERE COT.fac_serie = 'COT'
					AND COT.fac_id = '".$row["fac_export2cotizId"]."'
				";
				$sentencia_old2 = $PDO_old->query($sql);
				$sentencia_old2->setFetchMode(PDO::FETCH_ASSOC);
				$row2 = $sentencia_old2->fetch();
				if ($row2["fac_estado"]){
					$a_cotizInfo["status"] = $row2["fac_estado"];
					$a_cotizInfo["fac_ref"] = $row2["FAC_REF"];
				}else{
					$a_cotizInfo["status"] = 1;
				}
			}			
			return $a_cotizInfo;
		}
	}
/*
	public function buscar($cotizId, $clienteDktId){
		global $PDO_old;
		$sql = "
			SELECT COT.*, CONCAT(FAC.fac_serie,'-',FAC.fac_numero) AS FAC_REF
			FROM vts_factura COT 
				LEFT JOIN vts_factura FAC ON COT.fac_numero = FAC.fac_docRef and FAC.fac_serie NOT LIKE 'COT'
			WHERE COT.fac_serie = 'COT'
			AND fac_clienteId = '".$clienteDktId."'
			AND COT.fac_numero = '".$cotizId."'
		";
		$sentencia_old = $PDO_old->query($sql);
		$sentencia_old->setFetchMode(PDO::FETCH_ASSOC);
		$row = $sentencia_old->fetch();
		return $row["FAC_REF"];
	}
*/
	public function cotizLineas($cotizNro){
		global $PDO_old;
		$sql = "
			SELECT *
			FROM vts_factura
				LEFT JOIN vts_facturalinea ON fac_id = facl_facId
			WHERE fac_numero = '".$cotizNro."'
				AND fac_serie = 'COT'
		";
		$sentencia_old = $PDO_old->query($sql);
		$sentencia_old->setFetchMode(PDO::FETCH_ASSOC);
		$i=0;
		while($row = $sentencia_old->fetch()){
			$a_detalle[$i]["fac_numero"]	= $row["fac_numero"];
			$a_detalle[$i]["productoId"]	= $row["facl_productoId"];
			$a_detalle[$i]["cantidad"]		= $row["facl_cantidad"];
			$i++;
		}
		return $a_detalle;
		//return $row["fac_numero"];
	}

}


class NT_SoFactura{

	public function existFactura($facturaNro){
		global $PDO_old;
		$sql = "
			SELECT *
			FROM vts_factura
			WHERE CONCAT(fac_serie,'-',fac_numero) = '".$facturaNro."'
		";
		$sentencia_old = $PDO_old->query($sql);
		$sentencia_old->setFetchMode(PDO::FETCH_ASSOC);
		$row = $sentencia_old->fetch();
		return $row["fac_numero"];
	}
}



class NT_ImSalida{

	public function updateGuia($solic, $guia){
		global $PDO_old;
		$sql = "
			UPDATE alm_salida
			SET sal_documRef = '".$guia."'
			WHERE sal_documRef3 = '".$solic."'
			LIMIT 1
		";
		$sentencia_old = $PDO_old->query($sql);
		return $guia;
	}
}


class NT_SoCliente{

	public function consultaRUC($clienteRuc){
		global $PDO_old;
		$sql = "
			SELECT *
			FROM vts_cliente
			WHERE cli_ruc = '".$clienteRuc."'
		";
		$sentencia_old = $PDO_old->query($sql);
		$sentencia_old->setFetchMode(PDO::FETCH_ASSOC);
		$row = $sentencia_old->fetch();
		return $row;
	}
}


class NT_CasoPv{

	public function consultaCasoRep($casoObj){
		global $PDO_old;
		if ($casoObj->os_id){
			$where .= " AND cas_casoId = '".$casoObj->os_id."' ";
		}
		if ($casoObj->os_cli_nombre){
			$where .= " AND cli_nombre = '".$casoObj->os_cli_nombre."' ";
		}
		if ($casoObj->os_fechaIni){
			$where .= " AND cas_casoFec >= '".$casoObj->os_fechaIni."' ";
		}
		if ($casoObj->os_fechaFin){
			$where .= " AND cas_casoFec <= '".$casoObj->os_fechaFin."' ";
		}
		if ($casoObj->os_tecnico_id){
			$where .= " AND cas_tecnicoId = '".$casoObj->os_tecnico_id."' ";
		}
		if ($where){
			$sql = "
				SELECT *
				FROM pv_caso_itemdet 
					LEFT JOIN pv_caso ON csd_casoId = cas_casoId 
					LEFT JOIN vts_cliente ON cas_clienteId = cli_clienteId
					LEFT JOIN alm_producto ON csd_itemId = pr_productoId
				WHERE 1
				$where
			";
			$sentencia_old = $PDO_old->query($sql);
			$sentencia_old->setFetchMode(PDO::FETCH_ASSOC);
			while($row = $sentencia_old->fetch()){
				$a_os["os_id"]			= $row["cas_casoId"];
				$a_os["pr_productoId"]	= $row["csd_itemId"];
				$a_os["pr_descripcion"]	= $row["pr_descripcion"];
				$a_os["os_pr_id"]		= $row["cas_productoId"];
				$a_os["os_serieId"]		= $row["cas_serieId"];
				$a_os["os_fecha"]		= $row["cas_casoFec"];
				$a_os["os_cli_nombre"]	= $row["cli_nombre"];
				$a_os["osr_cantidad"]	= $row["csd_itemCant"];
				$a_osList[] = $a_os;
			}
			echo $sql;
			print_r($a_osList);
			return $a_osList;
		}else{
			return FALSE;
		}
	}


	public function consultaId($casoId){
		global $PDO_old;
		if (!$casoId){
			return FALSE;
		}
		$sql = "
			SELECT *
			FROM pv_caso
				LEFT JOIN vts_cliente ON cas_clienteId = cli_clienteId
			WHERE cas_casoId = ".$casoId;
		$sentencia_old = $PDO_old->query($sql);
		$sentencia_old->setFetchMode(PDO::FETCH_ASSOC);
		$row = $sentencia_old->fetch();
		$a_os["os_id"]			= $row["cas_casoId"];
		$a_os["os_pr_id"]		= $row["cas_productoId"];
		$a_os["os_serieId"]		= $row["cas_serieId"];
		$a_os["os_fecha"]		= $row["cas_casoFec"];
		$a_os["os_cli_nombre"]	= $row["cli_nombre"];
		return $a_os;
	}


}


Class NT_PvSolicitud{

	public function crear($solObj){
		global $PDO_old, $usuario;
		$fecreg = date("Y-m-d H:i:s");
		$sql = "
			INSERT INTO `pv_preCaso` 
			(
			prpv_ingresoNro,
			`prpv_tipoSolicitud`, 
			`prpv_motivo`, 
			`prpv_motivoDocNum`, 
			`prpv_serieId`, 
			`prpv_clienteId`, 
			 prpv_tipoAtencion,
			 prpv_condAtencion,
			`prpv_clienteNombre`, 
			`prpv_clienteAnexoId`, 
			`prpv_clienteAnexoCnt`, 
			`prpv_clienteAnexoMail`, 
			`prpv_casoFec`, 
			`prpv_productoId`, 
			`prpv_productoNombre`,  
			`prpv_fallaId`, 
			`prpv_fallaDetalle`, 
			`prpv_observacion`, 
			`prpv_observacion2`, 
			`prpv_status`, 
			`prpv_creacionFec`, 
			`prpv_creacionAutor`
			) 
			VALUES (
			'".$solObj->ingresoNro."', 
			'".$solObj->cas_tipo."', 
			'".$solObj->cas_motivo."',
			'".$solObj->cas_motivoDocNum."', 		
			'".$solObj->cas_serieId."', 
			'".$solObj->cas_clienteId."', 
			'".$solObj->cas_tipoAtencion."', 
			'".$solObj->cas_condAtencion."', 
			\"".$solObj->cas_clienteNombre."\", 
			'".$solObj->cas_clienteAnexoId."', 
			'".$solObj->cas_clienteAnexoCnt."',  
			'".$solObj->cas_clienteAnexoMail."', 
			'".date("Y-m-d")."', 
			'".$solObj->cas_productoId."', 
			'".$solObj->cas_productoNombre."', 
			'".$solObj->cas_fallaId."', 
			'".$solObj->cas_fallaDetalle."', 
			'".$solObj->cas_observacion."', 
			'".$solObj->cas_observacion2."', 
			'R', 
			'".$fecreg."',  
			'".$usuario."'
			);				
		";
		$sentencia = $PDO_old->query($sql);
		$sql = "
			SELECT *
			FROM `pv_preCaso`
			WHERE `prpv_creacionFec` = '".$fecreg."'
				AND `prpv_creacionAutor` = '".$usuario."'
		";	
		$sentencia = $PDO_old->query($sql);
		$sentencia->setFetchMode(PDO::FETCH_ASSOC);
		$row = $sentencia->fetch();
		return $row["prpv_casoId"];
	}

	public function consultar($casoObj){
		global $PDO_old;
		if ($casoObj->tk_id){
			$where .= " AND prpv_ingresoNro = '".$casoObj->tk_id."' ";
		}
		if ($where){
			$sql = "
				SELECT *, OS_STAT.mlst_valorDsc AS cas_status_dsc
				FROM pv_preCaso 
					LEFT JOIN pv_caso ON prpv_casoId = cas_docRefNum
					LEFT JOIN xx_maestrolista OS_STAT ON pv_caso.cas_status = OS_STAT.mlst_valorId AND mlst_listaId='lstEstCaso'
				WHERE 1
				$where
				ORDER BY prpv_casoId DESC
			";
			$sentencia_old = $PDO_old->query($sql);
			$sentencia_old->setFetchMode(PDO::FETCH_ASSOC);
			while($row = $sentencia_old->fetch()){
				$a_os["id"]			= $row["prpv_casoId"];
				$a_os["tipo"]		= $row["prpv_tipoSolicitud"];
				$a_os["motivo"]		= $row["prpv_motivo"];
				$a_os["fecha"]		= $row["prpv_casoFec"];
				$a_os["obs"]		= $row["prpv_observacion"];
				$a_os["status"]		= $row["prpv_status"];
				$a_os["os_id"]		= $row["cas_casoId"];
				$a_os["os_fecha"]	= $row["cas_casoFec"];
				$a_os["os_status"]	= $row["cas_status_dsc"];
				$a_os["os_tecnico"]	= $row["cas_tecnicoId"];
				$a_osList[] = $a_os;
			}
			return $a_osList;
		}else{
			return FALSE;
		}
	}

	public function consultaContrato($cnt,$serie){
		global $PDO_old;
		$sql = " 	
			SELECT *
			FROM pv_preCaso
				LEFT JOIN pv_caso ON prpv_casoId = cas_docRefNum
				LEFT JOIN xx_maestrolista ON pv_preCaso.prpv_status=xx_maestrolista.mlst_valorId AND mlst_listaId='pvpre_stat' 
			WHERE prpv_serieId = '".$serie."'
			AND prpv_motivoDocNum = '".$cnt."'
		";
		$sentencia3 = $PDO_old->query($sql);
		$sentencia3->setFetchMode(PDO::FETCH_ASSOC);
		while($row = $sentencia3->fetch()){
			$a_os["prpv_casoId"]		= $row["prpv_casoId"];
			$a_os["prpv_casoFec"]		= $row["prpv_casoFec"];
			$a_os["prpv_statusDesc"]	= $row["mlst_valorDsc"];
			$a_os["cas_casoId"]			= $row["cas_casoId"];
			$a_os["cas_recomendacion"]	= $row["cas_recomendacion"];
			$a_os["cas_casoFec"]		= $row["cas_casoFec"];
			$a_os["cas_condEqp"]		= $row["cas_condEqp"];
			$a_osList[] = $a_os;
		}
		return $a_osList;
	}

}


class NT_ImInspeccion{

	public function consultaIspSerie($serie){
		global $PDO_old;
		$sql = "
			SELECT *
			FROM pv_inspeccion
			WHERE isp_serie = '".$serie."'
		";
		$sentencia_old = $PDO_old->query($sql);
		$sentencia_old->setFetchMode(PDO::FETCH_ASSOC);
		while($row = $sentencia_old->fetch()){
			$a_os["isp_compraId"]		= $row["isp_compraId"];
			$a_os["isp_fechaIni"]		= substr($row["isp_fechaIni"],0,10);
			$a_os["isp_tecnicoId"]		= $row["isp_tecnicoId"];
			$a_os["isp_noConforme"]		= $row["isp_noConforme"];
			$a_os["isp_diagnosticoDet"]	= $row["isp_diagnosticoDet"];
			$a_osList[] = $a_os;
		}
		return $a_osList;
	}
}


class NT_PvContrato{

	public function consultaContratoSerie($serie){
		global $PDO_old;
/*
		$sql = " 	
			SELECT *
			FROM 
				(
				SELECT max(mnts_mntId) as max_os
				FROM sistema6_ntsistint.pv_mant_contratoserie
				WHERE
				mnts_serie = '".$serie."'
				GROUP BY mnts_serie
				) OS_MAX 
			LEFT JOIN sistema6_ntsistint.pv_mant_contratoserie ON max_os = mnts_mntId AND mnts_serie = '".$serie."'
			LEFT JOIN sistema6_ntsistint.pv_mant_contrato ON mnts_mntId = mnt_id
			WHERE mnt_status <> 'A'
			ORDER BY mnt_id DESC";
*/
		$sql = " 	
			SELECT *
			FROM sistema6_ntsistint.pv_mant_contratoserie
				LEFT JOIN sistema6_ntsistint.pv_mant_contrato ON mnts_mntId = mnt_id
			WHERE 
				mnts_serie = '".$serie."'
				AND mnt_status <> 'A'
			ORDER BY mnt_id DESC";
		$sentencia3 = $PDO_old->query($sql);
		$sentencia3->setFetchMode(PDO::FETCH_ASSOC);
		while($row3 = $sentencia3->fetch()){
			$a_serie["mnt_id"]			= $row3["mnt_id"];
			$a_serie["mnt_garan_contr"]	= $row3["mnt_garan_contr"];
			$a_serie["mnt_conceptoId"]	= $row3["mnt_conceptoId"];
			$a_serie["mnts_servFecIni"]	= $row3["mnts_servFecIni"];
			$a_serie["mnts_servFecFin"]	= $row3["mnts_servFecFin"];
			$a_serie["mnt_tipoSolic"]	= $row3["mnt_tipoSolic"];
			$a_serie["mnt_servFrecuenciaMesDefa"]	= $row3["mnt_servFrecuenciaMesDefa"];
			$a_serie["mnt_slaPresencialObsDefa"]	= $row3["mnt_slaPresencialObsDefa"];
			$a_serie["mnt_slaRemotoObsDefa"]	= $row3["mnt_slaRemotoObsDefa"];
			$a_serieList[] = $a_serie;
		}	
		return $a_serieList;
	}
}


?>