<?php
/*
*  articulo logica
*
*/

include ("class/imStock.class.php");
include ("class/imAlmacen.class.php");
include ("class/imFamilia.class.php");
include ("class/imOrdenDespachoPdte.class.php");

$DSHB_AGING_KEY_COLOR[15]	= "#33cc00";
$DSHB_AGING_KEY_COLOR[30]	= "#afff95";
$DSHB_AGING_KEY_COLOR[60]	= "#ffff00";
$DSHB_AGING_KEY_COLOR[90]	= "#ffc488";
$DSHB_AGING_KEY_COLOR[999]	= "#ff0000";

if (!$a_vars["fechaFin_PI"]){
	$a_vars["fechaFin_PI"] = date("Y-m-d");
}
if (!$a_vars["fechaIni_PI"]){
	$a_vars["fechaIni_PI"] = strtotime ( '-'.$frecuenciaDias.' days' , strtotime ( $a_vars["fechaFin_PI"] ) ) ;
	$a_vars["fechaIni_PI"] = date ( 'Y-m-d' , $a_vars["fechaIni_PI"]);
}


function calcAging($pr_id,$stockIni,$costoProm){
	global $PDO,$a_aging;
	$sql = "
		SELECT *
		FROM im_stockmov
		WHERE 
			smv_prId = '".$pr_id."'
			AND smv_ingSal = 'I'
			AND (smv_tipo = 'PO' OR smv_tipo = 'INI')
		ORDER BY smv_fecha DESC
	";
	$comando = $PDO->prepare($sql);
	$comando->execute();
	$stock = $stockIni;
	while($row = $comando->fetch()){
		if ($stock >= $row["smv_cantidad"]){
			$cantidad = $row["smv_cantidad"];
		}else{
			$cantidad = $stock;
		}
		$date1 = new DateTime($row["smv_fecha"]);
		$date2 = new DateTime(date("Y-m-d"));
		$diff = $date1->diff($date2);
		$agingDias = $diff->days;	
		if ($agingDias <= 15){
			$rango = 15;
		}elseif($agingDias <= 30){
			$rango = 30;
		}elseif($agingDias <= 60){
			$rango = 60;
		}elseif($agingDias <= 90){
			$rango = 90;
		}else{
			$rango = 999;
		}
		$stock = $stock - $row["smv_cantidad"];					
		$a_aging[$rango] += $cantidad*$costoProm;
	}
}

$ImStock	= NEW ImStock();
$ImStockObj	= NEW ImStock();
$ImStockObj->groupBy = "stk_almacenId ";
$a_lista = $ImStock->consultar($ImStockObj);
$a_listaStock_alm = $a_lista["listaPag"];
for ($j=0; $j < count($a_listaStock_alm); $j++){
	$DSHB_STOCK_TOTAL += $a_listaStock_alm[$j]["stk_tot_costoProm"];
	$a_listaStock_alm[$j]["stk_tot_costoProm"] = number_format($a_listaStock_alm[$j]["stk_tot_costoProm"],2);
}
$DSHB_STOCK_TOTAL = MONEDA_DEFAULT_SYM." ".number_format($DSHB_STOCK_TOTAL,2);


$ImStock	= NEW ImStock();
$ImStockObj	= NEW ImStock();
$ImStockObj->groupBy = "fm_familiaId ";
$a_lista = $ImStock->consultar($ImStockObj);
$a_listaStock_fm = $a_lista["listaPag"];
for ($j=0; $j < count($a_listaStock_fm); $j++){
	$DSHB_STOCK_TOTAL_FM += $a_listaStock_fm[$j]["stk_tot_costoProm"];
	$a_listaStock_fm[$j]["stk_tot_costoProm"] = number_format($a_listaStock_fm[$j]["stk_tot_costoProm"],2);
}
$DSHB_STOCK_TOTAL_FM = MONEDA_DEFAULT_SYM." ".number_format($DSHB_STOCK_TOTAL_FM,2);

$ImStock	= NEW ImStock();
$ImStockObj	= NEW ImStock();
$ImStockObj->stk_fisico = 1;
$a_lista = $ImStock->consultar($ImStockObj);
$a_listaStock_aging = $a_lista["listaPag"];
foreach ($a_listaStock_aging as $clave => $valor){
	$a_aging2 = calcAging($valor["pr_id"],$valor["stk_fisico"],$valor["stk_costoProm"]);
}
ksort($a_aging);
$DSHB_AGING_MAX_KEY		= array_key_last($a_aging);
$DSHB_AGING_MAX_VALUE	= MONEDA_DEFAULT_SYM." ".number_format($a_aging[$DSHB_AGING_MAX_KEY],0, '.', ','); 
$DSHB_AGING_MAX_COLOR	= $DSHB_AGING_KEY_COLOR[$DSHB_AGING_MAX_KEY];
foreach ($a_aging as $clave => $valor){
	$DSHB_AGING_LABELS .= ",\"".$clave." dias \"";
	$DSHB_AGING_DATA .= ",".$valor;
	$DSHB_AGING_COLOR .= ",\"".$DSHB_AGING_KEY_COLOR[$clave]."\"";
}
$DSHB_AGING_LABELS = substr($DSHB_AGING_LABELS,1);
$DSHB_AGING_DATA = substr($DSHB_AGING_DATA,1);
$DSHB_AGING_COLOR = substr($DSHB_AGING_COLOR,1);


/****** PDTES PI *************/

$ImOrdenDespachoPdte	= NEW ImOrdenDespachoPdte();
$ImOrdenDespachoPdteObj	= NEW ImOrdenDespachoPdte();
$a_vars["odp_pdte"]						= TRUE;
$ImOrdenDespachoPdteObj->odp_pdte		= TRUE;
$ImOrdenDespachoPdteObj->odp_tipo		= "PI";
$a_lista_pi_pdte = $ImOrdenDespachoPdte->consultarPdtesRsm($ImOrdenDespachoPdteObj);
for ($i=0; $i < count($a_lista_pi_pdte); $i++){
	if (!defined("VER_COSTO")){
		$a_lista_pi_pdte[$i]["tot_costoProm"] = 0;
	}
	if ($a_lista_pi_pdte[$i]["dias_tot"] == 60){
		$a_lista_pi_pdte[$i]["dias_tot"] = ">= 60";
		$a_lista_pi_pdte[$i]["dias_style"] = "table-danger";
		$TPL_tot_60 += $a_lista_pi_pdte[$i]["tot_costoProm"];
	}elseif ($a_lista_pi_pdte[$i]["dias_tot"] == 30){
		$a_lista_pi_pdte[$i]["dias_tot"] = ">= 30";
		$a_lista_pi_pdte[$i]["dias_style"] = "table-warning";
		$TPL_tot_30 += $a_lista_pi_pdte[$i]["tot_costoProm"];
	}else{
		$a_lista_pi_pdte[$i]["dias_tot"] = "< 30";
		$a_lista_pi_pdte[$i]["dias_style"] = "table-default";
		$TPL_tot_1 += $a_lista_pi_pdte[$i]["tot_costoProm"];
	}
	$TPL_tot += $a_lista_pi_pdte[$i]["tot_costoProm"];
}
reset($a_lista_pi_pdte);
?>
