<?php

$a_vars	= $_REQUEST;

$LONG_MAX_DESCRIP = 80;
if ($_POST){
	$_GET = $_POST;
}


function series($pr_id, $od){
	global $PDO, $a_vars,$LONG_MAX_DESCRIP;
	$sql = "
		SELECT ser_serie AS sert_serieId 
				FROM im_salidaserie
				LEFT JOIN im_salidalinea ON sals_lineaId = sall_lineaId
				LEFT JOIN im_salida ON sall_id = sal_id
				LEFT JOIN im_serie ON sals_ser_id = ser_id
				LEFT JOIN im_producto ON ser_prId = pr_id
				WHERE sal_od_id = '".$od."'
					AND ser_prId = '".$pr_id."'
	";
	/*
	if ($pr_id == '2366'){
		exit($sql);
	}

	echo $sql;
	*/
	$sentencia = $PDO->query($sql);
	$sentencia->setFetchMode(PDO::FETCH_ASSOC);
	$listaSeries = "";
	$i= 0;
	while ($row = $sentencia->fetch()){

		$listaSeries .= $row["sert_serieId"] . "  ";
		if (strlen($a_seriesDsc[$i] ." ".$row["sert_serieId"]) <= $LONG_MAX_DESCRIP){
			$a_seriesDsc[$i] .= " ".sprintf("%-20s",$row["sert_serieId"]);
		}else{
			$i++;
			$a_seriesDsc[$i] .= " ".sprintf("%-20s",$row["sert_serieId"]);
		}

	}
	return $a_seriesDsc;
}


function getDescSalTipo($tipo){
	if ($tipo=="G"){
		return "CONSIGNACION";
	}elseif ($tipo=="V"){
		return "VENTA";
	}elseif ($tipo=="T"){
		return "TRASLADO ENTRE ALMACENES";
	}elseif ($tipo=="Q"){
		return "ALQUILER";
	}elseif ($tipo=="E"){
		return "PRESTAMO";
	}elseif ($tipo=="M"){
		return "DEMOSTRACION";
	}elseif ($tipo=="S"){
		return "SERVICIO TECNICO";
	}elseif ($tipo=="P"){
		return "GARANTIA";
	}elseif ($tipo=="D"){
		return "DEVOLUCION";
	}else{
		return "OTROS";
	}	
}

function getAddrs($sal_almacenId){
	global $PDO;
	$sql = "
		SELECT 
			A.alm_direcc1 AS alm_direcc1,
			A.alm_direcc2 AS alm_direcc2,
			A.alm_ciudad AS alm_ciudad,
			A.alm_estado AS alm_estado
		FROM im_almacen A
		WHERE A.alm_id = '$sal_almacenId'
	";
	$sentencia = $PDO->query($sql);
	$sentencia->setFetchMode(PDO::FETCH_ASSOC);
	$row = $sentencia->fetch();
	if ($row["alm_direcc1"]){
		return $row["alm_direcc1"]." ".$row["alm_direcc2"]." ".$row["alm_ciudad"]." ".$row["alm_estado"];
	}
}


function getDescripcion($descripcion,$producto){
	global $LONG_MAX_DESCRIP;
	$j = 0;
	if (strlen($descripcion) > $LONG_MAX_DESCRIP){
		while (strlen($descripcion) > $LONG_MAX_DESCRIP){
			$a_descripcion[$j] = sprintf("%-80s",substr($descripcion,0,$LONG_MAX_DESCRIP));
			$descripcion = substr($descripcion,$LONG_MAX_DESCRIP);
			$j++;
		}	
		$a_descripcion[$j] = sprintf("%-80s",$descripcion);
		$j++;		
	}else{
		$a_descripcion[$j] = sprintf("%-80s",$descripcion);
		$j++;
	}
	/*
	$a_descripcionSeries = series($producto);
	if ($a_descripcionSeries){
		for ($i = 0; $i <=count($a_descripcionSeries);$i++){
			$a_descripcion[$j] = sprintf("%-80s",$a_descripcionSeries[$i]);
			$j++;
		}
	}
	*/
	return $a_descripcion;
}



function getOdConsigData($pr_id){
	global $a_vars,$PDO,$LONG_MAX_DESCRIP;
	$sql = "
		SELECT 
		od_id, od_glosa, odl_cantidad
		FROM  im_ordenDespacholinea 
			LEFT JOIN im_ordenDespachopendiente ON odl_odp_id = odp_id
			LEFT JOIN im_ordenDespacho ON odp_od_id = od_id
		WHERE odl_id = '".$a_vars["od_id"]."' 
			AND odl_prId = ".$pr_id."
		ORDER BY od_id
	";
	$sentencia = $PDO->query($sql);
	$sentencia->setFetchMode(PDO::FETCH_ASSOC);
	$j = 0;
	while($row = $sentencia->fetch()){
		$a_descripcion[$j] = sprintf("%-80s",round($row["odl_cantidad"])." UND. ".substr($row["od_glosa"],0,$LONG_MAX_DESCRIP));
		$j++;		
		$a_descripcionSeries = series($pr_id,$row["od_id"]);
		if ($a_descripcionSeries){
			for ($i = 0; $i <=count($a_descripcionSeries);$i++){
				$a_descripcion[$j] = sprintf("%-80s",$a_descripcionSeries[$i]);
				$j++;
			}
		}
	}
	return $a_descripcion;
}


if ($a_vars["od_id"]){
	$sql = "
		SELECT * 
		FROM im_ordenDespacho 
		WHERE od_id = '".$a_vars["od_id"]."'
	";
	$sentencia = $PDO->query($sql);
	$sentencia->setFetchMode(PDO::FETCH_ASSOC);
	$row = $sentencia->fetch();	
	if ($row["od_id"]){
		if($row["od_refDocId"]){
			$dataHeader["FECHA_EMISION"]  = substr($row["od_fechaDoc"],8,2)."/".substr($row["od_fechaDoc"],5,2)."/".substr($row["od_fechaDoc"],0,4);
			$dataHeader["FECHA_TRASLADO"] = substr($row["od_fechaDoc"],8,2)."/".substr($row["od_fechaDoc"],5,2)."/".substr($row["od_fechaDoc"],0,4);
			$dataHeader["PTO_PARTIDA"]    = getAddrs($row["od_almacenId"]);	
			$dataHeader["PTO_LLEGADA"]    = $row["od_direccion1"] ." ". $row["od_direccion2"]." ". $row["od_ciudad"]." ". $row["od_estado"];
			$dataHeader["NOMBRE"]		  = $row["od_cli_nombre"];		
			$dataHeader["OBS"]			  = $row["od_obs"];		
			$dataHeader["RUC"]			  = $row["od_cli_ruc"];	
			$dataHeader["SAL_TIPO"]		  = getDescSalTipo($row["od_tipo"]);
			$dataHeader["FACTURA"]		  = $row["od_refDocId2"];	

			$sql = "
				SELECT *, SUM(odl_cantidad) as odl_cantidadSum
				FROM  im_ordenDespacholinea 
					LEFT JOIN im_ordenDespachopendiente ON odl_odp_id = odp_id
					LEFT JOIN im_producto on odl_prId = pr_id
				WHERE odl_id = '".$a_vars["od_id"]."'
				GROUP BY pr_productoId
			";
			$sentencia = $PDO->query($sql);
			$sentencia->setFetchMode(PDO::FETCH_ASSOC);
			$i = 0;
			while($row = $sentencia->fetch()){
				$dataDetalle[$i]["CODIGO"]			  = sprintf("%-15s",$row["pr_productoId"]);
				if ($row["odl_cantidadSum"] > 0){
					$dataDetalle[$i]["CANTIDAD"] = $row["odl_cantidadSum"];	
				}
				$dataDetalle[$i]["UoM"]				  = "Und";	
				$resultDesc	= getDescripcion($row["pr_descripcion"],$row["pr_productoId"]);
				$j = 0;
				if (is_array($resultDesc)){
					$countResultDesc = count($resultDesc);
					for ($j=0; $j < $countResultDesc; $j++){
						if ($j==0){
							$dataDetalle[$j+$i]["CODIGO"]	= $dataDetalle[$i]["CODIGO"];
						}else{
							$dataDetalle[$j+$i]["CODIGO"]	= sprintf("%-15s"," ");
						}
						$dataDetalle[$j+$i]["DESCRIPCION"]	= $resultDesc[$j];
					}
				}else{
					$dataDetalle[$i]["DESCRIPCION"]	= $resultDesc;
				}
				$i = $i + $j;
				$i++;


				$resultDescConsig = getOdConsigData($row["odl_prId"]);
				$j = 0;
				if (is_array($resultDescConsig)){
					$countresultDescConsig = count($resultDescConsig);
					for ($j=0; $j < $countresultDescConsig; $j++){
						//if ($j==0){
							//$dataDetalle[$j+$i]["CODIGO"]	= $dataDetalle[$i]["CODIGO"];
						//}else{
							$dataDetalle[$j+$i]["CODIGO"]	= sprintf("%-15s"," ");
						//}
						$dataDetalle[$j+$i]["DESCRIPCION"]	= $resultDescConsig[$j];
					}
				}else{
					//$dataDetalle[$i]["DESCRIPCION"]	= $resultDescConsig;
				}
				$i = $i + $j;
				$i++;
				
			}
		}else{
			exit("No se indico numero de guia (Ref. 1) en datos generales");
		}
	}else{
		exit("Salida no encontrada".$a_vars["od_id"]);

	}
}else{
	exit("No se ha indicado nro de salida");
}


include("class/print.class.php");

define("maxNumLineasHeader", "10");		//cantidad de lineas permitidas para la cabecera de la guia
define("maxNumLineasBottom", "10");		//cantidad de lineas permitidas para el pie de la guia
define("maxNumLineasBody", "30");		//cantidad de lineas permitidas para el cuerpo de la guia

$contador_lineas = 0;
$maximo_permitido = 23;
$maxCol = 5;


function getNumFila($numFila) {
	$numCar = strlen($numFila);
	return str_repeat("0", 3 - $numCar).$numFila;
}

function reset_pagina(&$impr,$alm_deltronlogin=''){
	global  $contador_lineas, $numSeries, $imprimirCabeceraItem, $numSeriesTotal, $numPaginas;
	$impr->nuevaLinea();
	pinta_pie_pagina($numSeriesTotal, $numPaginas,1,$impr);
	pinta_header($impr,$alm_deltronlogin);
	$numSeriesTotal			= 0;
	$numSeries				= 0;		
	$imprimirCabeceraItem 	= true;
	$contador_lineas		= 0;
	$numPaginas++;
}

function pinta_relleno($total_lineas_relleno,&$impr){	
	global $maximo_permitido, $contador_lineas;
	$total_lineas_relleno = $maximo_permitido - $contador_lineas;
	for ($i=0; $i<$total_lineas_relleno; $i++){
		$impr->anadirTexto("\n", anchoCondensado); 
	}
}



function pinta_header(&$impr,$dataHeader){         
	$linea[] = "\n\n\n\n\n\n\n\n\n\n\n\n";
	$linea[] = str_repeat(" ", 21).$dataHeader["FECHA_EMISION"].str_repeat(" ", 38).$dataHeader["FECHA_TRASLADO"];
	$linea[] = "\n\n";
	$linea[] = str_repeat(" ", 19).$dataHeader["PTO_PARTIDA"].str_repeat(" ", 29).$dataHeader["FACTURA"];
	$linea[] = "\n\n\n";
	$linea[] = str_repeat(" ", 23).$dataHeader["NOMBRE"];
	$linea[] = "\n";
	$linea[] = str_repeat(" ", 23).$dataHeader["PTO_LLEGADA"];
	$linea[] = "\n";
	$linea[] = str_repeat(" ", 23).$dataHeader["RUC"];
	$linea[] = "\n\n";
	$linea[] = "\n\n";

	for ($i=0; $i < count($linea); $i++){
		$impr->anadirTexto($linea[$i], anchoCondensado);
	}
	$numSeriesTotal 	= 0;    //Cantidad total de series impresas para la pagina actual         
	$numPaginas			= 0;            //Numero de paginas         
	$imprimirPiePagina 	= false; //Indica si se imprime el pie de pagina         $old = ''; 	
}

function pinta_detalle(&$impr,$dataDetalle){
	global $dataHeader,$contador_lineas,$impr;
	$count = count($dataDetalle);	
	$lineadet = 0;
	foreach ($dataDetalle as $key => $value) {
		if (trim($value["DESCRIPCION"])){
			$linea  = "\n";
			$linea .= str_repeat(" ", 5).sprintf("%-20s",$value["CODIGO"]).str_repeat(" ", 6).sprintf("%-50s",$value["DESCRIPCION"]).str_repeat(" ", 5);
			if ($value["CANTIDAD"] > 0){
				$linea .= intval($value["CANTIDAD"]);
			}else{
				$linea .= str_repeat(" ", 2);
			}
			$linea .= str_repeat(" ", 12).$value["UoM"];
			$impr->anadirTexto($linea, anchoCondensado);	
			$contador_lineas++;
			$lineadet++;
			if ($lineadet > 25){
				$impr->saltoPagina();	
				pinta_header($impr,$dataHeader);
				$lineadet = 0;
			}
		}
	}
	$impr->anadirTexto("\n", anchoCondensado);
	$impr->anadirTexto("\t\t".$dataHeader["OBS"], anchoCondensado);

}


function pinta_pie_pagina($impr,$dataHeader){
	$impr->anadirTexto("\n\n\n\n\n\n\n\n\n\n", anchoCondensado);
	$impr->anadirTexto("\t\t\t\t\t".str_repeat(" ", 3).$dataHeader["SAL_TIPO"], anchoCondensado);	
	$imprimirPiePagina = false;
}




//************ IMPRESION *****************//

if ($a_vars["od_id"]){

	$impr = new imprimirTxt();
	$impr->inicializar();	
	pinta_header($impr,$dataHeader);
	pinta_detalle($impr,$dataDetalle);
	$numPaginas++;

	pinta_relleno($total_lineas_relleno,$impr);
	pinta_pie_pagina($impr,$dataHeader);

	$archivo = $impr->crearArchivo();
	$respuesta = $impr->imprimirArchivo($archivo, $printer);

	$file = $archivo;
	
	$today = date("F j, Y, g:i a");
	$time = time();

	$urlFile = str_replace("/home/sistema6/public_html/nettools/imgs/articulos/","",$file);
	$urlFile = str_replace(".txt","",$urlFile);
	if (!$_REQUEST["prnPreview"]){
		?>
		<script>
			window.location.href="http://localhost/prnlocal.php?urlFile=<?php echo $urlFile;?>";
		</script>
		<?php
	}else{
		?>
		<script>
			window.location.href="https://<?php echo $_SERVER['HTTP_HOST']?>/nettools/imgs/articulos/<?php echo $file;?>";
		</script>
		<?php		
	}
}		
	