<?php

include("print-fact-elec.class.php");

$a_vars	= $_REQUEST;

$LONG_MAX_DESCRIP = 80;
if ($_POST){
	$_GET = $_POST;
}

function pinta_header(&$impr,$dataHeader){         
	$impr->anadirTexto($dataHeader, anchoCondensado);
}

function series($producto){
	global $PDO, $a_vars,$LONG_MAX_DESCRIP;
	$sql = "
		SELECT * 
		FROM  `alm_salidalinea` 
			LEFT JOIN alm_seriestransacc 
				ON (sall_salidaNum = sert_transDoc AND sall_productoId = sert_productoId) 
		WHERE sall_salidaNum = '".$a_vars["od_id"]."'
			AND sall_productoId = '$producto'
	";
	$sql = "
		SELECT ser_serie AS sert_serieId 
				FROM im_salidaserie
				LEFT JOIN im_salidalinea ON sals_lineaId = sall_lineaId
				LEFT JOIN im_salida ON sall_id = sal_id
				LEFT JOIN im_serie ON sals_ser_id = ser_id
				LEFT JOIN im_producto ON ser_prId = pr_id
				WHERE sal_od_id = '".$a_vars["od_id"]."'
					AND pr_productoId = '".$producto."'
	";
	$sentencia = $PDO->query($sql);
	$sentencia->setFetchMode(PDO::FETCH_ASSOC);
	$listaSeries = "";
	$i= 0;
	while ($row = $sentencia->fetch()){

			$listaSeries .= $row["sert_serieId"] . "  ";
			if (strlen($a_seriesDsc[$i] ." ".$row["sert_serieId"]) <= $LONG_MAX_DESCRIP){
				$a_seriesDsc[$i] .= " ".sprintf("%-20s",$row["sert_serieId"]);
			}else{
				$i++;
				$a_seriesDsc[$i] .= " ".sprintf("%-20s",$row["sert_serieId"]);
			}

	}
	return $a_seriesDsc;
}


function getDescSalTipo($tipo){
	if ($tipo=="G"){
		return "CONSIGNACION";
	}elseif ($tipo=="V"){
		return "VENTA";
	}elseif ($tipo=="T"){
		return "TRASLADO ENTRE ALMACENES";
	}elseif ($tipo=="Q"){
		return "ALQUILER";
	}elseif ($tipo=="E"){
		return "PRESTAMO";
	}elseif ($tipo=="M"){
		return "DEMOSTRACION";
	}elseif ($tipo=="S"){
		return "SERVICIO TECNICO";
	}elseif ($tipo=="P"){
		return "GARANTIA";
	}elseif ($tipo=="D"){
		return "DEVOLUCION";
	}elseif ($tipo=="PI"){
		return "PRESTAMO INTERNO";
	}else{
		return "OTROS";
	}	
}

function getAddrs($sal_almacenId){
	global $PDO;
	$sql = "
		SELECT 
			A.alm_direcc1 AS alm_direcc1,
			A.alm_direcc2 AS alm_direcc2,
			A.alm_ciudad AS alm_ciudad,
			A.alm_estado AS alm_estado
		FROM im_almacen A
		WHERE A.alm_id = '$sal_almacenId'
	";
	$sentencia = $PDO->query($sql);
	$sentencia->setFetchMode(PDO::FETCH_ASSOC);
	$row = $sentencia->fetch();
	if ($row["alm_direcc1"]){
		return $row["alm_direcc1"]." ".$row["alm_direcc2"]." ".$row["alm_ciudad"]." ".$row["alm_estado"];
	}
}


function getDescripcion($descripcion,$producto){
	global $LONG_MAX_DESCRIP;
	$j = 0;
	if (strlen($descripcion) > $LONG_MAX_DESCRIP){
		while (strlen($descripcion) > $LONG_MAX_DESCRIP){
			$a_descripcion[$j] = sprintf("%-80s",substr($descripcion,0,$LONG_MAX_DESCRIP));
			$descripcion = substr($descripcion,$LONG_MAX_DESCRIP);
			$j++;
		}	
		$a_descripcion[$j] = sprintf("%-80s",$descripcion);
		$j++;		
	}else{
		$a_descripcion[$j] = sprintf("%-80s",$descripcion);
		$j++;
	}
	$a_descripcionSeries = series($producto);
	if ($a_descripcionSeries){
		for ($i = 0; $i <=count($a_descripcionSeries);$i++){
			$a_descripcion[$j] = sprintf("%-80s",$a_descripcionSeries[$i]);
			$j++;
		}
	}
	return $a_descripcion;
}



function generaId(){
	global $PDO;
	$_DATABASE = DATABASE_NAME;
	$sql = "
		SELECT (sq_secuencial + 1) as new
			FROM `xx_secuenciales` 			
		WHERE sq_tabla = 'guiaElec'
	";
	$sentencia = $PDO->query($sql);
	$sentencia->setFetchMode(PDO::FETCH_ASSOC);
	$row = $sentencia->fetch();

	$sql = "
		UPDATE `xx_secuenciales`
		SET sq_secuencial = '".$row["new"]."'
		WHERE sq_tabla = 'guiaElec'
	";
	$sentencia = $PDO->query($sql);
	$sentencia->setFetchMode(PDO::FETCH_ASSOC);
	return sprintf("%'010d", $row["new"]);

}


if ($a_vars["od_id"]){
	$sql = "
		SELECT * 
		FROM im_ordenDespacho 
		WHERE od_id = '".$a_vars["od_id"]."'
	";
	$_DATABASE = DATABASE_NAME;
	$sentencia = $PDO->query($sql);
	$sentencia->setFetchMode(PDO::FETCH_ASSOC);
	$row = $sentencia->fetch();	
	if ($row["od_id"]){

		$row["od_ubigeo_partida"]	= "150140";
/*
		$row["od_ubigeo_llegada"]	= "150101";

		$row["od_tipo_transporte"]	= "01";
		$row["od_transp_doc_tipo"]	= "6";
		$row["od_transp_doc_nro"]	= "20107648829";
		$row["od_transp_nombre"]	= "ABC SAC";
		$row["od_transp_placa"]		= "COJ778";

		$row["od_cli_tipo_doc"]		= "6";
		$row["od_cli_correo"]		= "hola@abc.com";	

		$row["od_tipo_sunat"]		= "01";
*/
		$dataHeader["correlativo_txt"]			= generaId();
		$VERSION_TXT							= '210';
		$dataHeader["DOC_ID"]					= substr($dataHeader["correlativo_txt"],5);
		$dataHeader["COD_TIPO_DOC"]				= "09";
		$dataHeader["RUC_EMISOR"]				= CIA_RUC;
		$dataHeader["SUCURSAL_EMISOR"]			= CODIGO_SUCURSAL_SUNAT;
		$dataHeader["FECHA_HORA_EMISION"]		= date("d/m/Y H:i:s");
		$dataHeader["TIPO_MONEDA"]				= "PEN";
		$dataHeader["MOTIVO_TRASLADO"]			= $row["od_tipo_sunat"];
		$dataHeader["TIPO_TRANSPORTE"]			= $row["od_tipo_transporte"];
		$dataHeader["FECHA_TRASLADO"]			= date("d/m/Y");
		$dataHeader["FECHA_ENTREGA"]			= date("d/m/Y");
		$dataHeader["GUIA_REFERENCIA_SW"]		= "0";
		$dataHeader["GUIA_REFERENCIA_SERIE"]	= "";
		$dataHeader["GUIA_REFERENCIA_NRO"]		= "";
		$dataHeader["GUIA_SERIE"]				= "T001";
		$dataHeader["GUIA_NRO"]					= $dataHeader["correlativo_txt"];
		$dataHeader["USR_ID"]					= "EBARRON";
		$dataHeader["DOCUM_RELAC"]				= "0";
		$dataHeader["PESO_BRUTO_TOTAL"]			= "5";
		$dataHeader["VERSION_GUIA"]				= "2";
		$dataHeader["BULTOS"]					= "";
		$dataHeader["OTROS_MOTIVOS"]			= "";

		$dataTransporte["REGISTRO_MTC"]			= "";
		$dataTransporte["NRO_AUTORIZACION"]		= "";
		$dataTransporte["COD_ENTIDAD_AUTORIZACION"]		= "06";


		$sql = "
			SELECT *, SUM(odl_cantidad) as odl_cantidadSum
			FROM  im_ordenDespacholinea 
				LEFT JOIN im_producto on odl_prId = pr_id
			WHERE odl_id = '".$a_vars["od_id"]."'
				AND pr_tipo <> 'SRV'
			GROUP BY pr_productoId
		";
		$_DATABASE = DATABASE_NAME;
		$sentencia = $PDO->query($sql);
		$sentencia->setFetchMode(PDO::FETCH_ASSOC);
		$i = 0;
		while($rowDet = $sentencia->fetch()){
			$dataDetalle[$i]["CORRELATIVO"]	= $i+1;
			$dataDetalle[$i]["CODIGO"]		= $rowDet["pr_productoId"];
			$dataDetalle[$i]["CANTIDAD"]	= $rowDet["odl_cantidadSum"];
			$dataDetalle[$i]["CODIGO_SUNAT"]= "";
			$dataDetalle[$i]["UND_MEDIDA"]	= "NIU";
			$dataDetalle[$i]["DESCRIPCION"]	= $rowDet["pr_descripcion"];
			if ($rowDet["pr_peso"] > 0){
				$dataHeader["PESO_BRUTO_TOTAL"] += $rowDet["pr_peso"];
			}else{
				$ERROR_MSG .= "Peso no definido para ".$rowDet["pr_productoId"]."<BR>";
			}
			$i++;
			
		}
		$dataPartidaLLegada["ID_DIFERENCIAL"]	= "GPPYL";
		$dataPartidaLLegada["UBIGEO_PARTIDA"]	= $row["od_ubigeo_partida"];
		$dataPartidaLLegada["DIRECC_PARTIDA"]	= CIA_ADDRESS1;
		$dataPartidaLLegada["UBIGEO_LLEGADA"]	= $row["od_ubigeo"];
		$dataPartidaLLegada["DIRECC_LLEGADA"]	= $row["od_direccion1"]." ".$row["od_direccion2"];
		$dataPartidaLLegada["RUC_PARTIDA"]		= "";
		$dataPartidaLLegada["RUC_LLEGADA"]		= "";


		$dataTransporte["ID_DIFERENCIAL"]	= "GDTP";
		$dataTransporte["TIPO_DOC"]			= $row["od_transp_doc_tipo"];
		$dataTransporte["DOC_NUMERO"]		= $row["od_transp_doc_nro"];
		$dataTransporte["NOMBRE_RAZSOC"]	= $row["od_transp_nombre"];
		$dataTransporte["PLACA"]			= $row["od_transp_placa"];

		$dataDestinatario["ID_DIFERENCIAL"]	= "DESTINATARIO";
		$dataDestinatario["TIPO_DOC"]		= $row["od_cli_tipo_doc"];
		$dataDestinatario["DOC_NUMERO"]		= $row["od_cli_ruc"];
		$dataDestinatario["NOMBRE_RAZSOC"]	= $row["od_cli_nombre"];
		$dataDestinatario["CORREO"]			= $row["od_cli_correo"];

		
		if (!$dataHeader["MOTIVO_TRASLADO"]){
			$ERROR_MSG .= "	Tipo traslado SUNAT no definido<BR>";		
		}

		if (!$dataPartidaLLegada["UBIGEO_LLEGADA"]){
			$ERROR_MSG .= "	UBIGEO de llegada no definido<BR>";
		}
		if (!$dataPartidaLLegada["DIRECC_LLEGADA"]){
			$ERROR_MSG .= "	Direccion de llegada no definida<BR>";
		}
		if (!$dataTransporte["TIPO_DOC"]){
			$ERROR_MSG .= "	Tipo doc transportista no definido<BR>";
		}
		if (!$dataTransporte["DOC_NUMERO"]){
			$ERROR_MSG .= " Nro doc transportista no definido<BR>";
		}
		if (!$dataTransporte["NOMBRE_RAZSOC"]){
			$ERROR_MSG .= " Nombre transportista no definido<BR>";
		}
		if (!$dataTransporte["PLACA"]){
			$ERROR_MSG .= " Placa transportista no definido<BR>";
		}

		if (!$dataDestinatario["TIPO_DOC"]){
			$ERROR_MSG .= " Tipo documento de destinatario no definido<BR>";
		}
		if (!$dataDestinatario["DOC_NUMERO"]){
			$ERROR_MSG .= " Nro documento de destinatario no definido<BR>";
		}
		if (!$dataDestinatario["NOMBRE_RAZSOC"]){
			$ERROR_MSG .= " Nombre de destinatario no definido<BR>";
		}
		if (!$dataDestinatario["CORREO"]){
			$ERROR_MSG .= " Correo de destinatario no definido<BR>";
		}

	}else{
		exit("Salida no encontrada".$a_vars["od_id"]);

	}
}else{
	exit("No se ha indicado nro de salida");
}




if ($ERROR_MSG){
	exit($ERROR_MSG);
}



//************ IMPRESION *****************//

$dataHeader_FE_TXT .= $VERSION_TXT . "|";
$dataHeader_FE_TXT .= $dataHeader["correlativo_txt"] . "|";
//$dataHeader_FE_TXT .= $dataHeader["DOC_ID"] . "|";
$dataHeader_FE_TXT .= $dataHeader["COD_TIPO_DOC"] . "|";
$dataHeader_FE_TXT .= $dataHeader["RUC_EMISOR"] . "|";
$dataHeader_FE_TXT .= $dataHeader["SUCURSAL_EMISOR"] . "|";
$dataHeader_FE_TXT .= $dataHeader["FECHA_HORA_EMISION"] . "|";
$dataHeader_FE_TXT .= $dataHeader["TIPO_MONEDA"] . "|";
$dataHeader_FE_TXT .= $dataHeader["MOTIVO_TRASLADO"] . "|";
$dataHeader_FE_TXT .= $dataHeader["TIPO_TRANSPORTE"] . "|";
$dataHeader_FE_TXT .= $dataHeader["FECHA_TRASLADO"] . "|";
$dataHeader_FE_TXT .= $dataHeader["FECHA_ENTREGA"] . "|";
$dataHeader_FE_TXT .= $dataHeader["GUIA_REFERENCIA_SW"] . "|";
$dataHeader_FE_TXT .= $dataHeader["GUIA_REFERENCIA_SERIE"] . "|";
$dataHeader_FE_TXT .= $dataHeader["GUIA_REFERENCIA_NRO"] . "|";
$dataHeader_FE_TXT .= $dataHeader["GUIA_SERIE"] . "|";
$dataHeader_FE_TXT .= $dataHeader["GUIA_NRO"] . "|";
$dataHeader_FE_TXT .= $dataHeader["USR_ID"] . "|";
$dataHeader_FE_TXT .= $dataHeader["DOCUM_RELAC"] . "|";
$dataHeader_FE_TXT .= $dataHeader["PESO_BRUTO_TOTAL"] . "|";
$dataHeader_FE_TXT .= $dataHeader["OBS"] . "|";
$dataHeader_FE_TXT .= $dataHeader["VERSION_GUIA"] . "|";
$dataHeader_FE_TXT .= $dataHeader["BULTOS"] . "|";
$dataHeader_FE_TXT .= $dataHeader["OTROS_MOTIVOS"] . "|";


$count_detalle = count($dataDetalle);
for ($i=0; $i < $count_detalle; $i++){	
	$dataDetalle_FE_TXT .= $dataDetalle[$i]["CORRELATIVO"] . "|";
	$dataDetalle_FE_TXT .= $dataDetalle[$i]["CODIGO"] . "|";
	$dataDetalle_FE_TXT .= $dataDetalle[$i]["CODIGO_SUNAT"] . "|";
	$dataDetalle_FE_TXT .= $dataDetalle[$i]["UND_MEDIDA"] . "|";	
	$dataDetalle_FE_TXT .= $dataDetalle[$i]["CANTIDAD"] . "|";
	$dataDetalle_FE_TXT .= $dataDetalle[$i]["DESCRIPCION"] . "|";
	$dataDetalle_FE_TXT .= $dataDetalle[$i]["COD_CONCEPTO"] . "|";
	$dataDetalle_FE_TXT .= $dataDetalle[$i]["PART_ARANCEL"] . "|";
	$dataDetalle_FE_TXT .= $dataDetalle[$i]["BIEN_NORMALIZADO"] . "|";
	$dataDetalle_FE_TXT .= $dataDetalle[$i]["DAM"] . "|";
	$dataDetalle_FE_TXT .= $dataDetalle[$i]["DAM_SERIE"] . "|";
	$dataDetalle_FE_TXT .= chr(13);	
}


$dataPartidaLLegada_FE_TXT .= $dataPartidaLLegada["ID_DIFERENCIAL"] . "|";
$dataPartidaLLegada_FE_TXT .= $dataPartidaLLegada["UBIGEO_PARTIDA"] . "|";
$dataPartidaLLegada_FE_TXT .= $dataPartidaLLegada["DIRECC_PARTIDA"] . "|";
$dataPartidaLLegada_FE_TXT .= $dataPartidaLLegada["UBIGEO_LLEGADA"] . "|";
$dataPartidaLLegada_FE_TXT .= $dataPartidaLLegada["DIRECC_LLEGADA"] . "|";
$dataPartidaLLegada_FE_TXT .= $dataPartidaLLegada["RUC_PARTIDA"] . "|";
$dataPartidaLLegada_FE_TXT .= $dataPartidaLLegada["COD_PARTIDA"] . "|";
$dataPartidaLLegada_FE_TXT .= $dataPartidaLLegada["GEOREF_PARTIDA"] . "|";
$dataPartidaLLegada_FE_TXT .= $dataPartidaLLegada["RUC_LLEGADA"] . "|";
$dataPartidaLLegada_FE_TXT .= $dataPartidaLLegada["COD_LLEGADA"] . "|";
$dataPartidaLLegada_FE_TXT .= $dataPartidaLLegada["GEOREF_LLEGADA"] . "|";


$dataTransporte_FE_TXT .= $dataTransporte["ID_DIFERENCIAL"] . "|";
$dataTransporte_FE_TXT .= $dataTransporte["TIPO_DOC"] . "|";
$dataTransporte_FE_TXT .= $dataTransporte["DOC_NUMERO"] . "|";
$dataTransporte_FE_TXT .= $dataTransporte["NOMBRE_RAZSOC"] . "|";
//$dataTransporte_FE_TXT .= $dataTransporte["PLACA"] . "|";
$dataTransporte_FE_TXT .= $dataTransporte["REGISTRO_MTC"] . "|";
$dataTransporte_FE_TXT .= $dataTransporte["NRO_AUTORIZACION"] . "|";
$dataTransporte_FE_TXT .= $dataTransporte["COD_AUTORIZACION"] . "|";

$dataDestinatario_FE_TXT .= $dataDestinatario["ID_DIFERENCIAL"] . "|";
$dataDestinatario_FE_TXT .= $dataDestinatario["TIPO_DOC"] . "|";
$dataDestinatario_FE_TXT .= $dataDestinatario["DOC_NUMERO"] . "|";
$dataDestinatario_FE_TXT .= $dataDestinatario["NOMBRE_RAZSOC"] . "|";
$dataDestinatario_FE_TXT .= $dataDestinatario["CORREO"] . "|";

$FE_archivo = $dataHeader_FE_TXT .chr(13). $dataDetalle_FE_TXT . $dataPartidaLLegada_FE_TXT .chr(13). $dataTransporte_FE_TXT .chr(13). $dataDestinatario_FE_TXT;

echo "<pre>".$FE_archivo."</pre>";

if ($a_vars["od_id"]){
	$impr = new imprimir2();
	pinta_header($impr,$FE_archivo);
	$archivo = $impr->crearArchivo($dataHeader["correlativo_txt"],date("dmY"),$dataHeader["COD_TIPO_DOC"]);
	$nombreTxt = CIA_RUC.CODIGO_SUCURSAL_SUNAT.$dataHeader["correlativo_txt"].date("dmY").$dataHeader["COD_TIPO_DOC"].$VERSION_TXT;

	//echo "| ".$nombreTxt."txt |";
	?>
	<SCRIPT>
		window.location.href="http://localhost/file_get_test.php?urlFile=<? echo $nombreTxt;?>.txt";
	</SCRIPT>
	<?

}