<?php
/*
*  articulo logica
*
*/


set_time_limit(600);

include ("class/imStockMovim.class.php");
include ("class/imAlmacen.class.php");
include ("class/xxMaestroLista.class.php");
include ("class/imFamilia.class.php");
include ("class/imSubFamilia.class.php");

$DECIMALES = 6;
$DECIMALES_TOT = 6;
$DECIMALES_CANT = 0;
$antiguedadMovimDias = 30;

$a_mes["01"] = "Enero";
$a_mes["02"] = "Febrero";
$a_mes["03"] = "Marzo";
$a_mes["04"] = "Abril";
$a_mes["05"] = "Mayo";
$a_mes["06"] = "Junio";
$a_mes["07"] = "Julio";
$a_mes["08"] = "Agosto";
$a_mes["09"] = "Setiembre";
$a_mes["10"] = "Octubre";
$a_mes["11"] = "Noviembre";
$a_mes["12"] = "Diciembre";

function getDataDoc($doc){
	$doc = trim(str_replace("|","",$doc));
	$a_data["docSerie"] = substr($doc,0,strpos($doc,"-"));
	$a_data["docNro"]	= substr($doc,strpos($doc,"-")+1);	
	if (substr($a_data["docSerie"],0,1)=="0"){
		$a_data["docTipo"]	= "09";
	}elseif(substr($a_data["docSerie"],0,1)=="E"){
		$a_data["docTipo"]	= "01";
	}elseif(substr($a_data["docSerie"],0,3)=="118" OR substr($a_data["docSerie"],0,3)=="235"){
		$a_data["docTipo"]	= "50";
	}else{
		
	}
	return $a_data;
}


function getTipoOper($tipo){

/*
	$a_tipoOper["02"]["NOMBRE"] = "COMPRA";
	$a_tipoOper["03"]["NOMBRE"] = "CONSIGNACIN RECIBIDA";
	$a_tipoOper["04"]["NOMBRE"] = "CONSIGNACIN ENTREGADA";
	$a_tipoOper["05"]["NOMBRE"] = "DEVOLUCIN RECIBIDA";
	$a_tipoOper["06"]["NOMBRE"] = "DEVOLUCIN ENTREGADA";
	$a_tipoOper["07"]["NOMBRE"] = "PROMOCIN";
	$a_tipoOper["08"]["NOMBRE"] = "PREMIO";
	$a_tipoOper["09"]["NOMBRE"] = "DONACIN";
	$a_tipoOper["10"]["NOMBRE"] = "SALIDA A PRODUCCIN";
	$a_tipoOper["11"]["NOMBRE"] = "TRANSFERENCIA ENTRE ALMACENES";
	$a_tipoOper["12"]["NOMBRE"] = "RETIRO";
	$a_tipoOper["13"]["NOMBRE"] = "MERMAS";
	$a_tipoOper["14"]["NOMBRE"] = "DESMEDROS";
	$a_tipoOper["15"]["NOMBRE"] = "DESTRUCCIN";
	$a_tipoOper["16"]["NOMBRE"] = "SALDO INICIAL";
	$a_tipoOper["99"]["NOMBRE"] = "OTROS (ESPECIFICAR)";

*/

	if ($tipo=="V"){
		$a_tipoOper["ID"]		= "01";
		$a_tipoOper["NOMBRE"] = "VENTA";
	}elseif($tipo=="C" OR $tipo=="PO"){
		$a_tipoOper["ID"]		= "02";
		$a_tipoOper["NOMBRE"] = "COMPRA";
	}else{
		$a_tipoOper["ID"]		= "99";
		$a_tipoOper["NOMBRE"] = "OTROS";	
	}
	return $a_tipoOper;
}

if ($_REQUEST["action"]=="buscar"){
	$a_vars			= $_REQUEST;

	if (!$a_vars["smv_fechaIni"]){
		$a_vars["smv_fechaIni"] = strtotime ( '-'.$antiguedadMovimDias.' days' , strtotime ( date("Y-m-d") ) ) ;
		$a_vars["smv_fechaIni"] = date ( 'Y-m-d' , $a_vars["smv_fechaIni"]);
	}
	if ($a_vars["decimales"] >=2 && $a_vars["decimales"] <= 5){
		$DECIMALES = $a_vars["decimales"];
	}
	if ($a_vars["decimales_tot"] >=2 && $a_vars["decimales_tot"] <= 5){
		$DECIMALES_TOT = $a_vars["decimales_tot"];
	}

	$ImStockMovim		= NEW ImStockMovim();
	$ImStockMovimObj	= NEW ImStockMovim();
	$ImStockMovimObj->pr_productoId		= $a_vars["pr_productoId"];
	$ImStockMovimObj->pr_productoIdLista= $a_vars["pr_productoIdLista"];
	$ImStockMovimObj->smv_prId			= $a_vars["smv_prId"];
	$ImStockMovimObj->pr_familiaId		= $a_vars["pr_familiaId"];
	$ImStockMovimObj->pr_subfamiliaId	= $a_vars["pr_subfamiliaId"];
	$ImStockMovimObj->smv_fechaFin		= $a_vars["smv_fechaFin"];
	$ImStockMovimObj->kdxTipo			= $a_vars["kdxTipo"];
	$a_lista_articulos	= $ImStockMovim->consultarListaArtKdx($ImStockMovimObj);	

	if ($a_vars["kdxTipo"]=="GL"){
		$costo_field	= "smv_costo_gl";
		$smv_stockAnt   = "smv_stockAnt_gl";
		$costoPromAnt_field	= "smv_costoPromAnt_gl";
		$TPL_costo_symbol	= constant("SETUP_MONEDA_SYMB_".MONEDA_CONTAB);
		$TPL_NO_nombre	= TRUE;	
		$TPL_cols_saldoIni = 10;
	}else{
		$smv_stockAnt   = "smv_stockAnt";
		$costo_field	= "smv_costo";
		$costoPromAnt_field	= "smv_costoPromAnt";
		$TPL_costo_symbol	= constant("SETUP_MONEDA_SYMB_".SETUP_MONEDA_DEFA);
		$TPL_cols_saldoIni = 11;
	}

	$TPL_xls = $a_vars["vwXls"];
	$TPL_periodo_texto = $a_mes[(substr($a_vars["smv_fechaIni"],5,2))]." ".substr($a_vars["smv_fechaIni"],0,4);
	$TPL_chkSaldos = $a_vars["chkSaldos"];


	if (is_array($a_lista_articulos)){

		$k = 0;
		$m = 0;
		$count_lista_articulos = count($a_lista_articulos);
//		for ($m=0; $m < $count_lista_articulos; $m++){
		foreach ($a_lista_articulos as $a_art) {



			$ImStockMovim		= NEW ImStockMovim();
			$ImStockMovimObj	= NEW ImStockMovim();
			$ImStockMovimObj->smv_prId			= $a_art["smv_prId"];
			$ImStockMovimObj->smv_almacenId		= $a_vars["smv_almacenId"];
			$ImStockMovimObj->smv_fechaIni		= $a_vars["smv_fechaIni"];
			$ImStockMovimObj->smv_fechaFin		= $a_vars["smv_fechaFin"];
			$ImStockMovimObj->smv_tipo			= $a_vars["smv_tipo"];
			if ($a_vars["ing_tipo"]){
				$ImStockMovimObj->smv_tipo		= $a_vars["ing_tipo"];
				$ImStockMovimObj->smv_ingSal	= "I";
			}elseif($a_vars["sal_tipo"]){
				$ImStockMovimObj->smv_tipo		= $a_vars["sal_tipo"];
				$ImStockMovimObj->smv_ingSal	= "S";
			}
			$ImStockMovimObj->kdxTipo			= $a_vars["kdxTipo"];
			$a_lista = $ImStockMovim->consultar($ImStockMovimObj);
			$a_lista = $a_lista["listaPag"];

			if (is_array($a_lista)){



				$count = count($a_lista);
//				for ($i=0; $i < $count; $i++){
				$i = 0 ;

				foreach ($a_lista as $v1) {

///					echo $i."<br>";

if ($usuario=='jreyes'){
	//exit("AQUI24");
	//print_r($v1);
}
					$filaData[$k] = $v1;
					if (($i+1) == $count){
						$filaData[$k]["ultimo"] = TRUE;
					}else{
						$filaData[$k]["ultimo"] = FALSE;
					}					
					if ($i==0){
						$filaData[$k]["filaDataIni"]  = 1;
						$productoId = $filaData[$k]["pr_productoId"];
					}else{
						$filaData[$k]["filaDataIni"] = '';
					}
					if ($a_vars["kdxTipo"]=="GL"){
						if ($filaData[$k]["smv_fecha"] > 0){
							$filaData[$k]["smv_fecha"] = date("d/m/Y", strtotime($filaData[$k]["smv_fecha"]));
						}
						$a_dataDocumento		= getDataDoc($filaData[$k]["smv_documRef"]);
						$filaData[$k]["docTipo"]	= $a_dataDocumento["docTipo"];
						$filaData[$k]["docSerie"]	= $a_dataDocumento["docSerie"];
						$filaData[$k]["docNro"]		= $a_dataDocumento["docNro"];
						$a_tipoOPer				= getTipoOper($filaData[$k]["smv_tipo"]);
						$filaData[$k]["tipoOper"]	= $a_tipoOPer["ID"];
						$filaData[$k]["descrip"]	= $a_tipoOPer["NOMBRE"];
					}else{
						$filaData[$k]["smv_fecha"]	= $filaData[$k]["smv_fecha"];			
					}
		
					if ($filaData[$k]["smv_ingSal"]=='I'){
					   $filaData[$k]["doParam"] = "imIng&module=lin&ing_id=".$filaData[$k]["smv_docum"];
					}else{
					   $filaData[$k]["doParam"] = "imSal&module=lin&sal_id=".$filaData[$k]["smv_docum"];
					}
					/*
						if ($filaData[$k]["smv_tipo"] == 'IN2'){
							$filaData[$k]["smv_stockAnt_gl"]	  = $filaData[$k]["smv_cantidad"];
						}
					*/
					if ($filaData[$k]["pr_uom"]=='UND' OR !$filaData[$k]["pr_uom"]){
						 $filaData[$k]["smv_stockAnt"] = round($filaData[$k][$smv_stockAnt]);
						 $filaData[$k]["smv_cantidad"] = round($filaData[$k]["smv_cantidad"]);
					}
					$filaData[$k][$costo_field] = round($filaData[$k][$costo_field],$DECIMALES);
					$filaData[$k][$costoPromAnt_field] = round($filaData[$k][$costoPromAnt_field],$DECIMALES);
					$filaData[$k]["saldoIni_tot"] = $filaData[$k]["smv_stockAnt"] * $filaData[$k][$costoPromAnt_field];

					if ($a_vars["kdxTipo"]=="GL"){
						if ($prId != $filaData[$k]["smv_prId"]){
							$filaData[$k]["filaDataIni"]  = 1;
							$prId = $filaData[$k]["smv_prId"];
						}elseif(!$filaData[$k]["filaDataIni"]){
							$filaData[$k]["filaDataIni"] = '';
						}
					}else{
						if ($almacenId != $filaData[$k]["smv_almacenId"]){
							$filaData[$k]["filaDataIni"]  = 1;
							$almacenId = $filaData[$k]["smv_almacenId"];
						}elseif(!$filaData[$k]["filaDataIni"]){
							$filaData[$k]["filaDataIni"] = '';
						}
					}
					$cantAnt = 0;
					if ($filaData[$k]["smv_ingSal"] == 'I' && $filaData[$k]["smv_cantidad"] > 0){

						if ($filaData[$k]["smv_tipo"] == 'IN2'){
							$filaData[$k]["smv_stockAnt"]	   = $filaData[$k]["smv_cantidad"];
							$filaData[$k][$costoPromAnt_field] = $filaData[$k][$costo_field]; 
							$filaData[$k]["saldoIni_tot"]      = $filaData[$k]["smv_cantidad"] * $filaData[$k][$costo_field];

							$filaData[$k]["smv_cantIngreso_num"]	= 0;
							$filaData[$k]["smv_costIngreso_num"]	= 0;
							$filaData[$k]["smv_cantIngreso"]		= 0;
							$filaData[$k]["smv_costIngreso"]		= 0;

							$filaData[$k]["smv_costIngresoTot_num"]	= 0;
							$filaData[$k]["smv_costIngresoTot"]		= 0;

						}else{
						
							$filaData[$k]["smv_cantIngreso"] = $filaData[$k]["smv_cantidad"];
							$filaData[$k]["smv_costIngreso"] = $filaData[$k][$costo_field];
							$filaData[$k]["smv_costIngresoTot"] = $filaData[$k]["smv_cantidad"] * $filaData[$k][$costo_field];
							$filaData[$k]["smv_cantSalida"] = "";
							$filaData[$k]["smv_costSalida"] = "";
							$filaData[$k]["smv_costSalidaTot"] = "";
							$factorSaldo = 1;
							$TPL_tot_ingreso_cant += $filaData[$k]["smv_cantIngreso"];
							$TPL_tot_ingreso_cost += $filaData[$k]["smv_costIngresoTot"];
							$filaData[$k]["smv_costIngresoTot_num"]	= $filaData[$k]["smv_costIngresoTot"];
						
						}	

					}else{
						if ($filaData[$k]["smv_cantidad"] < 0  && $filaData[$k]["smv_tipo"] == 'DEV'){
							$cantAnt = $filaData[$k]["smv_cantidad"];
							$filaData[$k]["smv_cantidad"] = $filaData[$k]["smv_cantidad"]*(-1);
						}
						$filaData[$k]["smv_cantIngreso"] = "";
						$filaData[$k]["smv_costIngreso"] = "";
						$filaData[$k]["smv_costIngresoTot"] = "";
						$filaData[$k]["smv_cantSalida"] = $filaData[$k]["smv_cantidad"];
						$filaData[$k]["smv_costSalida"] = $filaData[$k][$costo_field];
						$filaData[$k]["smv_costSalidaTot"] = $filaData[$k]["smv_cantidad"] * $filaData[$k][$costo_field];
						$factorSaldo = -1;
						$TPL_tot_salida_cant += $filaData[$k]["smv_cantSalida"];
						$TPL_tot_salida_cost += $filaData[$k]["smv_costSalidaTot"];
						$filaData[$k]["smv_costSalidaTot_num"]	= $filaData[$k]["smv_costSalidaTot"];
					}


					$filaData[$k]["smv_cantSaldo"]		= ($filaData[$k]["smv_cantidad"]*($factorSaldo)) + $filaData[$k]["smv_stockAnt"];


					if ($cantAnt < 0){
						$filaData[$k]["smv_cantidad"] = $cantAnt;
					}

					if ($filaData[$k]["smv_stockAnt"]+$filaData[$k]["smv_cantidad"] > 0){
						$filaData[$k]["smv_costSaldo"]		= (($filaData[$k]["smv_stockAnt"]*$filaData[$k][$costoPromAnt_field]) + ($filaData[$k]["smv_cantidad"]*$filaData[$k][$costo_field]))/($filaData[$k]["smv_stockAnt"]+$filaData[$k]["smv_cantidad"]);
					}
					//echo $filaData[$k]["smv_costSaldo"]."<br>";
					$filaData[$k]["smv_costSaldoTot"]	= $filaData[$k]["smv_cantSaldo"] * $filaData[$k]["smv_costSaldo"];
					$filaData[$k]["smv_costSaldoTot_num"]	= $filaData[$k]["smv_costSaldoTot"];		

					$filaData[$k]["smv_cantIngreso_num"]	= $filaData[$k]["smv_cantIngreso"];
					$filaData[$k]["smv_cantSalida_num"]		= $filaData[$k]["smv_cantSalida"];

					$filaData[$k]["smv_stockAnt"]		= round($filaData[$k]["smv_stockAnt"],$DECIMALES_CANT);
					$filaData[$k]["smv_costoPromAnt"]	= round($filaData[$k][$costoPromAnt_field],$DECIMALES);
					$filaData[$k]["saldoIni_tot"]		= round($filaData[$k]["saldoIni_tot"],$DECIMALES);
					if ($filaData[$k]["smv_cantIngreso"]){
						$filaData[$k]["smv_cantIngreso"]	= round($filaData[$k]["smv_cantIngreso"],$DECIMALES_CANT);
						$filaData[$k]["smv_costIngreso"]	= round($filaData[$k]["smv_costIngreso"],$DECIMALES);
						$filaData[$k]["smv_costIngresoTot"] = round($filaData[$k]["smv_costIngresoTot"],$DECIMALES);
					}

					if ($filaData[$k]["smv_cantSalida"]){						
						if ($filaData[$k]["smv_cantSalida"]){
							$filaData[$k]["smv_cantSalida"] = (-1)*$filaData[$k]["smv_cantSalida"];
						}
						$filaData[$k]["smv_cantSalida"]		= round($filaData[$k]["smv_cantSalida"],$DECIMALES_CANT);
						$filaData[$k]["smv_costSalida"]		= round($filaData[$k]["smv_costSalida"],$DECIMALES);
						$filaData[$k]["smv_costSalidaTot"]	= round($filaData[$k]["smv_costSalidaTot"],$DECIMALES);
					}
					$filaData[$k]["smv_cantSaldo_num"]	= $filaData[$k]["smv_cantSaldo"];
					$filaData[$k]["smv_cantSaldo"]		= round($filaData[$k]["smv_cantSaldo"],$DECIMALES_CANT);
					$filaData[$k]["smv_costSaldo"]		= round($filaData[$k]["smv_costSaldo"],$DECIMALES);
					$filaData[$k]["smv_costSaldoTot"]	= round($filaData[$k]["smv_costSaldoTot"],$DECIMALES);

					if (!$filaData[$k]["smv_stockAnt"]){
						$filaData[$k]["smv_costoPromAnt"] = 0;
					}
					//$a_listaKdx[] = $filaData;

					if ($filaData[$k]["smv_tipo"] == 'IN2'){
						$filaData[$k]["smv_cantSaldo_num"]	= 0;
						$filaData[$k]["smv_cantSaldo"]		= 0;
						$filaData[$k]["smv_costSaldo"]		= 0;
						$filaData[$k]["smv_costSaldoTot"]	= 0;						
					}

					$k++;
					$i++;
				}


				$a_listaKdx = $filaData;



			}else{  // no tiene movimientos


				$ImStockMovim = NEW ImStockMovim();
				$a_saldoAnt = $ImStockMovim->consulta_ultSaldo($a_art["smv_prId"],$a_vars["smv_fechaIni"]);
if ($a_saldoAnt){
				$filaData[$k]["smv_cantIngreso_num"]	= 0;
				$filaData[$k]["smv_cantSalida_num"]		= 0;

				$filaData[$k]["pr_productoId"]			= $a_saldoAnt["pr_productoId"];
				$filaData[$k]["pr_descripcion"]			= $a_saldoAnt["pr_descripcion"];					
				$filaData[$k]["smv_cantidad"]			= $a_saldoAnt["smv_cantidad"];
				$filaData[$k]["smv_stockAnt"]			= $a_saldoAnt[$smv_stockAnt];
				$filaData[$k]["smv_costo"]				= $a_saldoAnt[$costo_field];
				$filaData[$k]["smv_costoProm"]			= $a_saldoAnt["smv_costoProm_gl"];
				$filaData[$k]["smv_costoProm_gl"]		= $a_saldoAnt["smv_costoProm_gl"];
				if ($a_saldoAnt[$costoPromAnt_field] > 0){
					$filaData[$k]["smv_costoPromAnt"]		= $a_saldoAnt[$costoPromAnt_field];
					$filaData[$k]["saldoIni_tot"]			= $a_saldoAnt[$smv_stockAnt] * $a_saldoAnt["smv_costoProm_gl"];
				}else{
					$filaData[$k]["smv_costoPromAnt"]		= $a_saldoAnt[$costo_field];
					$filaData[$k]["saldoIni_tot"]			= $a_saldoAnt[$smv_stockAnt] * $a_saldoAnt[$costo_field];
				}
			
				if (!$filaData[$k]["smv_cantidad"]){
					$filaData[$k]["smv_cantidad"] = 0;
				}

				if (($filaData[$k]["smv_stockAnt"]+$filaData[$k]["smv_cantidad"]) > 0){
					if ($a_saldoAnt[$costoPromAnt_field] <=0){
						$a_saldoAnt[$costoPromAnt_field] = $a_saldoAnt["smv_costoProm_gl"];
					}
					$filaData[$k]["smv_costSaldo"]		= (($filaData[$k]["smv_stockAnt"]*$a_saldoAnt[$costoPromAnt_field]) + ($filaData[$k]["smv_cantidad"]*$filaData[$k][$costo_field]))/($filaData[$k]["smv_stockAnt"]+$filaData[$k]["smv_cantidad"]);
				}

				$filaData[$k]["smv_costoPromAnt"]		= round($filaData[$k]["smv_costoPromAnt"],$DECIMALES);
				$filaData[$k]["saldoIni_tot"]			= round($filaData[$k]["saldoIni_tot"],$DECIMALES);		
				$filaData[$k]["smv_cantSaldo"]			= $a_saldoAnt[$smv_stockAnt];
				if (!$filaData[$k]["smv_stockAnt"]){
					$filaData[$k]["smv_costoPromAnt"] = 0;
				}
				$filaData[$k]["smv_cantSaldo_num"]		= $a_saldoAnt[$smv_stockAnt];
				$filaData[$k]["smv_costSaldoTot"]		= $filaData[$k]["saldoIni_tot"];
				$filaData[$k]["smv_costSaldoTot_num"]	= $filaData[$k]["saldoIni_tot"];
				$filaData[$k]["ultimo"]					= TRUE;
				$filaData[$k]["filaDataIni"]			= 1;				
				$a_listaKdx = $filaData;
				$k++;
}

			}

			//$TPL_tot_salida_cant = number_format($TPL_tot_salida_cant,$DECIMALES_CANT, '.', ',');
		


		}



	}

}




if ($_REQUEST["tabArticulo"] && $a_vars["smv_prId"]){
	$TPL_NO_FILTER = TRUE;
	$TPL_NO_MENU = TRUE;
	$TPL_IFRAME = TRUE;
}

if ($swError){
	$_SESSION["actionMessage"] = substr($_SESSION["actionMessage"],1);
	$_SESSION["actionMessage"] = str_replace("|","<BR>",$_SESSION["actionMessage"]);
	$_SESSION["actionMessageType"] = "alert";
	$_SESSION["a_vars"] = $a_vars;
}else{
	$_SESSION["actionMessage"] = '';
}


$ImAlmacen = NEW ImAlmacen();
$ImAlmacenFilter = NEW ImAlmacen();
$a_almacenDB = $ImAlmacen->consultar($ImAlmacenFilter);
$i = 0;
foreach ($a_almacenDB["listaPag"] as $clave => $valor) {
	$a_almacen[$i]["alm_id"] = $valor["alm_id"];
	$a_almacen[$i]["alm_nombre"]	= $valor["alm_nombre"];
	$i++;
}
$TPL_a_almacen = $a_almacen;
$TPL_idSelectAlmacen = "alm_id";
$TPL_labelSelectAlmacen = "alm_nombre";


unset($a_maestroLista);
$XXMaestroLista = NEW XXMaestroLista();
$XXMaestroListaFilter = NEW XXMaestroLista();
$XXMaestroListaFilter->mlst_listaId = "imKdxTipo";
$a_maestroListaDB = $XXMaestroLista->consultar($XXMaestroListaFilter);
$i = 0;

foreach ($a_maestroListaDB["listaPag"] as $clave => $valor) {
	$a_maestroLista[$i]["mlst_valorId"]		= $valor["mlst_valorId"];
	$a_maestroLista[$i]["mlst_valorDsc"]	= $valor["mlst_valorDsc"];
	$i++;
}
$TPL_a_tipo = $a_maestroLista;
$TPL_idSelectTipo = "mlst_valorId";
$TPL_labelSelectTipo = "mlst_valorDsc";


$ImFamilia = NEW ImFamilia();
$ImFamiliaFilter = NEW ImFamilia();
$a_familiaDB = $ImFamilia->consultar($ImFamiliaFilter);
$i = 0;
foreach ($a_familiaDB["listaPag"] as $clave => $valor) {
	$a_familia[$i]["fm_familiaId"] = $valor["fm_familiaId"];
	$a_familia[$i]["fm_nombre"]	= $valor["fm_nombre"];
	$i++;
}
$TPL_a_familia = $a_familia;
$TPL_idSelectFamilia = "fm_familiaId";
$TPL_labelSelectFamilia = "fm_nombre";

$ImSubFamilia = NEW ImSubFamilia();
$ImSubFamiliaFilter = NEW ImSubFamilia();
$a_subFamiliaDB = $ImSubFamilia->consultar($ImSubFamiliaFilter);
$i = 0;
foreach ($a_subFamiliaDB["listaPag"] as $clave => $valor) {
	$a_subFamilia[$i]["sfm_subFamiliaId"] = $valor["sfm_subFamiliaId"];
	$a_subFamilia[$i]["sfm_nombre"]	= $valor["sfm_nombre"];
	$i++;
}
$TPL_a_subFamilia = $a_subFamilia;
$TPL_idSelectSubFamilia = "sfm_subFamiliaId";
$TPL_labelSelectSubFamilia = "sfm_nombre";


unset($a_maestroLista);
$XXMaestroLista = NEW XXMaestroLista();
$XXMaestroListaFilter = NEW XXMaestroLista();
$XXMaestroListaFilter->mlst_listaId = "imIngTipo";
$a_maestroListaDB = $XXMaestroLista->consultar($XXMaestroListaFilter);
$i = 0;
foreach ($a_maestroListaDB["listaPag"] as $clave => $valor) {
	$a_maestroLista[$i]["mlst_valorId"]		= $valor["mlst_valorId"];
	$a_maestroLista[$i]["mlst_valorDsc"]	= $valor["mlst_valorDsc"];
	$i++;
}
$TPL_a_ing_tipo = $a_maestroLista;
$TPL_idSelectIngTipo = "mlst_valorId";
$TPL_labelSelectIngTipo = "mlst_valorDsc";


unset($a_maestroLista);
$XXMaestroLista = NEW XXMaestroLista();
$XXMaestroListaFilter = NEW XXMaestroLista();
$XXMaestroListaFilter->mlst_listaId = "imSalTipo";
$a_maestroListaDB = $XXMaestroLista->consultar($XXMaestroListaFilter);
$i = 0;
foreach ($a_maestroListaDB["listaPag"] as $clave => $valor) {
	$a_maestroLista[$i]["mlst_valorId"]		= $valor["mlst_valorId"];
	$a_maestroLista[$i]["mlst_valorDsc"]	= $valor["mlst_valorDsc"];
	$i++;
}
$TPL_a_sal_tipo = $a_maestroLista;
$TPL_idSelectSalTipo = "mlst_valorId";
$TPL_labelSelectSalTipo = "mlst_valorDsc";
?>
