<?php
/*
*  proveedor
  prv_id
  prv_nombre
  prv_alias
  prv_tipo
  prv_ruc
  prv_direccion1
  prv_direccion2
  prv_ciudad
  prv_estado
  prv_pais
  prv_telefono
  prv_email
  prv_contacto
  prv_moneda
  prv_termsPago
  prv_termsPagoAdelPorc
  prv_metodoPago
  prv_incoterm
  prv_status

*
*/

include ("class/imPais.class.php");
include ("class/xxMaestroLista.class.php");


if ($_REQUEST["action"]=="save"){
	$a_vars			= $_POST;
	$PoProveedor	= NEW PoProveedor();
	$PoProveedorObj	= NEW PoProveedor();
	$PoProveedorObj->prv_id				= $a_vars["prv_id"];
	$PoProveedorObj->prv_nombre			= trim($a_vars["prv_nombre"]);
	$PoProveedorObj->prv_alias			= trim($a_vars["prv_alias"]);
	$PoProveedorObj->prv_tipo			= $a_vars["prv_tipo"];
	$PoProveedorObj->prv_ruc			= trim($a_vars["prv_ruc"]);
	$PoProveedorObj->prv_direccion1		= $a_vars["prv_direccion1"];
	$PoProveedorObj->prv_direccion2		= $a_vars["prv_direccion2"];
	$PoProveedorObj->prv_ciudad			= $a_vars["prv_ciudad"];
	$PoProveedorObj->prv_estado			= $a_vars["prv_estado"];
	$PoProveedorObj->prv_pais			= $a_vars["prv_pais"];
	$PoProveedorObj->prv_telefono		= $a_vars["prv_telefono"];
	$PoProveedorObj->prv_email			= trim($a_vars["prv_email"]);
	$PoProveedorObj->prv_contacto		= $a_vars["prv_contacto"];
	$PoProveedorObj->prv_moneda			= $a_vars["prv_moneda"];
	$PoProveedorObj->prv_termsPago		= $a_vars["prv_termsPago"];
	$PoProveedorObj->prv_termsPagoAdelPorc	= $a_vars["prv_termsPagoAdelPorc"];
	$PoProveedorObj->prv_metodoPago		= $a_vars["prv_metodoPago"];
	$PoProveedorObj->prv_incoterm		= $a_vars["prv_incoterm"];
	$PoProveedorObj->prv_swift			= $a_vars["prv_swift"];
	$PoProveedorObj->prv_aba			= $a_vars["prv_aba"];
	$PoProveedorObj->prv_cci			= $a_vars["prv_cci"];
	$PoProveedorObj->prv_status			= $a_vars["prv_status"];
	$PoProveedorObj->prv_usrreg			= $usuario;
	foreach ($PoProveedorObj as $clave => $valor) {
		if (!$PoProveedorObj->$clave){
			$PoProveedorObj->$clave = "";
		}
	}
	$_SESSION["actionMessage"] = '';
	if (!$PoProveedorObj->prv_nombre){
		$_SESSION["actionMessage"] .= "|".$a_SYS_MSG["prvNoNombre"];
		$swError = TRUE;
	}
	if (!$PoProveedorObj->prv_tipo){
		$_SESSION["actionMessage"] .= "|".$a_SYS_MSG["prvNoTipo"];
		$swError = TRUE;
	}
	
	if (!$PoProveedorObj->prv_termsPago){
		$_SESSION["actionMessage"] .= "|".$a_SYS_MSG["prvNoTerms"];
		$swError = TRUE;
	}
	if (!$swError){
		if ($a_vars["prv_id"]){
			$result = $PoProveedor->modificar($PoProveedorObj);
			if ($result){
				$_SESSION["actionMessage"] = $a_SYS_MSG["prvUpdOk"]." id #".$result;
				$id = $result;
			}else{
				$_SESSION["actionMessage"] .= "|".$a_SYS_MSG["prvUpdErr"]." id #".$result;
				$swError = TRUE;
			}
		}else{
			$PoProveedorExiste = NEW PoProveedor();
			if (!$PoProveedorExiste->consultarCodigo($a_vars["prv_ruc"])){
				$result = $PoProveedor->crear($PoProveedorObj);
				if ($result){
					$_SESSION["actionMessage"] = $a_SYS_MSG["prvNewOk"]." id ".$result;
					$id = $result;
					$a_vars["prv_id"] = $id;
				}else{
					$_SESSION["actionMessage"] .= "|".$a_SYS_MSG["prvNewErr"];
					$swError = TRUE;
				}
			}else{
				$_SESSION["actionMessage"] .= "|".$a_SYS_MSG["prvRUCDuplicado"];
				$swError = TRUE;
			}
		}
	}
	if ($swError){
		$_SESSION["actionMessage"] = substr($_SESSION["actionMessage"],1);
		$_SESSION["actionMessage"] = str_replace("|","<BR>",$_SESSION["actionMessage"]);
		$_SESSION["actionMessageType"] = "alert";
		$_SESSION["a_vars"] = $a_vars;
	}else{
		$_SESSION["actionMessageType"] = "success";
	}
	$REDIR_PATH = "poPrv&module=gen";
	if ($id){
		$REDIR_PATH .= "&prv_id=".$id;
	}

}else{

	if ($_REQUEST["prv_id"]){
		if ($_SESSION["a_vars"]){
			$a_vars = $_SESSION["a_vars"];
			$_SESSION["a_vars"] = '';
		}else{
			$PoProveedor = NEW PoProveedor();
			$a_vars = $PoProveedor->consultarId($_REQUEST["prv_id"]);
		}
		$TPL_articuloTitle = $a_vars["prv_id"];
	}else{
		$TPL_articuloTitle = "nuevo";
		if ($_SESSION["a_vars"]){
			$a_vars = $_SESSION["a_vars"];
			$_SESSION["a_vars"] = '';
		}
	}

}

if ($a_vars["prv_termsPagoAdelPorc"] <= 0){
	$a_vars["prv_termsPagoAdelPorc"] = '';
}


$ImPais = NEW ImPais();
$ImPaisFilter = NEW ImPais();
$a_paisDB = $ImPais->consultar($ImPaisFilter);
$i = 0;
foreach ($a_paisDB["listaPag"] as $clave => $valor) {
	$a_pais[$i]["pai_id"] = $valor["pai_id"];
	$a_pais[$i]["pai_nombre"]	= $valor["pai_nombre"];
	$i++;
}
$TPL_a_pais = $a_pais;
$TPL_idSelectPais = "pai_id";
$TPL_labelSelectPais = "pai_nombre";


unset($a_maestroLista);
$XXMaestroLista = NEW XXMaestroLista();
$XXMaestroListaFilter = NEW XXMaestroLista();
$XXMaestroListaFilter->mlst_listaId = "poPrvStatus";
$a_maestroListaDB = $XXMaestroLista->consultar($XXMaestroListaFilter);
$i = 0;
foreach ($a_maestroListaDB["listaPag"] as $clave => $valor) {
	$a_maestroLista[$i]["mlst_valorId"]		= $valor["mlst_valorId"];
	$a_maestroLista[$i]["mlst_valorDsc"]	= $valor["mlst_valorDsc"];
	$i++;
}
$TPL_a_status = $a_maestroLista;
$TPL_idSelectStatus = "mlst_valorId";
$TPL_labelSelectStatus = "mlst_valorDsc";


unset($a_maestroLista);
$XXMaestroLista = NEW XXMaestroLista();
$XXMaestroListaFilter = NEW XXMaestroLista();
$XXMaestroListaFilter->mlst_listaId = "poPrvTipo";
$a_maestroListaDB = $XXMaestroLista->consultar($XXMaestroListaFilter);
$i = 0;
foreach ($a_maestroListaDB["listaPag"] as $clave => $valor) {
	$a_maestroLista[$i]["mlst_valorId"]		= $valor["mlst_valorId"];
	$a_maestroLista[$i]["mlst_valorDsc"]	= $valor["mlst_valorDsc"];
	$i++;
}
$TPL_a_tipo = $a_maestroLista;
$TPL_idSelectTipo = "mlst_valorId";
$TPL_labelSelectTipo = "mlst_valorDsc";


unset($a_maestroLista);
$XXMaestroLista = NEW XXMaestroLista();
$XXMaestroListaFilter = NEW XXMaestroLista();
$XXMaestroListaFilter->mlst_listaId = "moneda";
$a_maestroListaDB = $XXMaestroLista->consultar($XXMaestroListaFilter);
$i = 0;
foreach ($a_maestroListaDB["listaPag"] as $clave => $valor) {
	$a_maestroLista[$i]["mlst_valorId"]		= $valor["mlst_valorId"];
	$a_maestroLista[$i]["mlst_valorDsc"]	= $valor["mlst_valorDsc"];
	$i++;
}
$TPL_a_moneda = $a_maestroLista;
$TPL_idSelectMoneda = "mlst_valorId";
$TPL_labelSelectMoneda = "mlst_valorDsc";


unset($a_maestroLista);
$XXMaestroLista = NEW XXMaestroLista();
$XXMaestroListaFilter = NEW XXMaestroLista();
$XXMaestroListaFilter->mlst_listaId = "poTermPago";
$a_maestroListaDB = $XXMaestroLista->consultar($XXMaestroListaFilter);
$i = 0;
foreach ($a_maestroListaDB["listaPag"] as $clave => $valor) {
	$a_maestroLista[$i]["mlst_valorId"]		= $valor["mlst_valorId"];
	$a_maestroLista[$i]["mlst_valorDsc"]	= $valor["mlst_valorDsc"];
	$i++;
}
$TPL_a_termsPago = $a_maestroLista;
$TPL_idSelectTermsPago = "mlst_valorId";
$TPL_labelSelectTermsPago = "mlst_valorDsc";


unset($a_maestroLista);
$XXMaestroLista = NEW XXMaestroLista();
$XXMaestroListaFilter = NEW XXMaestroLista();
$XXMaestroListaFilter->mlst_listaId = "poIncoterm";
$a_maestroListaDB = $XXMaestroLista->consultar($XXMaestroListaFilter);
$i = 0;
foreach ($a_maestroListaDB["listaPag"] as $clave => $valor) {
	$a_maestroLista[$i]["mlst_valorId"]		= $valor["mlst_valorId"];
	$a_maestroLista[$i]["mlst_valorDsc"]	= $valor["mlst_valorDsc"];
	$i++;
}
$TPL_a_incoterm = $a_maestroLista;
$TPL_idSelectIncoterm = "mlst_valorId";
$TPL_labelSelectIncoterm = "mlst_valorDsc";


$TPL_tab = "general";
if ($a_vars["prv_id"]){
	$TPL_tab_prv_id = "&prv_id=".$a_vars["prv_id"];
}

?>
