<?php


$almacenId	= 8;
$fecha		= "2021-12-22";



include ("general.inc.php");
include_once ("class/imIngreso.class.php");
include_once ("class/imSalida.class.php");

$sql = "
SELECT 
	inv_fecha, 
	stk_almacenId, 
	pr_id, 
	inv_productoId,
	pr_productoId, 
	stk_fisico, 
	inv_cantidad, 
	IF (stk_fisico IS NOT NULL, (inv_cantidad - stk_fisico), inv_cantidad) as diferencia,
	stk_costoProm, 
	stk_costoProm_gl 
FROM im_inventario
	LEFT JOIN im_producto ON inv_productoId = pr_productoId
	LEFT JOIN im_stock on pr_id = stk_prId and stk_almacenId = ".$almacenId."
WHERE 
	inv_almacenId = ".$almacenId."
	 and inv_fecha = '".$fecha."'
";
echo $sql;
$comando = $PDO->prepare($sql);
$comando->execute();

$sal_count = 0;
$ing_count = 0;
$ok_count  = 0;

while($row = $comando->fetch()){
		if ($row["diferencia"] < 0){
			//ingresos
			$a_salida[$sal_count]["costoProm"] = 0;
			$a_salida[$sal_count]["costoProm_gl"] = 0;
			$a_salida[$sal_count]["almacenId"]		= $row["stk_almacenId"];
			if ($row["pr_id"]){
				$a_salida[$sal_count]["prId"] = $row["pr_id"];
			}else{
				$a_salida[$sal_count]["prId"] = '';
			}
			$a_salida[$sal_count]["productoId"]		= $row["inv_productoId"];
			$a_salida[$sal_count]["inv_cantidad"]   = $row["inv_cantidad"];
			$a_salida[$sal_count]["stk_fisico"]		= $row["stk_fisico"];
			$a_salida[$sal_count]["cantidad"]		= $row["diferencia"]*(-1);
			$a_salida[$sal_count]["costoProm"]		= $row["stk_costoProm"];
			$a_salida[$sal_count]["costoProm_gl"]	= $row["stk_costoProm_gl"];
			$sal_count++;
		}elseif($row["diferencia"] > 0){
			//salidas
			$a_ingreso[$ing_count]["costoProm"]  = 0;
			$a_ingreso[$ing_count]["costoProm_gl"] = 0;
			$a_ingreso[$ing_count]["almacenId"]	= $row["stk_almacenId"];
			if ($row["pr_id"]){
				$a_ingreso[$ing_count]["prId"]	= $row["pr_id"];
			}else{
				$a_ingreso[$ing_count]["prId"]	= '';
			}
			$a_ingreso[$ing_count]["productoId"]= $row["inv_productoId"];
			$a_ingreso[$ing_count]["inv_cantidad"]   = $row["inv_cantidad"];
			$a_ingreso[$ing_count]["stk_fisico"]	= $row["stk_fisico"];
			$a_ingreso[$ing_count]["cantidad"]   = $row["diferencia"];
			$a_ingreso[$ing_count]["costoProm"]  = $row["stk_costoProm"];
			$a_ingreso[$ing_count]["costoProm_gl"] = $row["stk_costoProm_gl"];
			$ing_count++;
		}else{
			$a_ok[$ok_count]["almacenId"]	= $row["stk_almacenId"];
			$a_ok[$ok_count]["prId"]		= $row["pr_id"];
			$a_ok[$ok_count]["productoId"] = $row["inv_productoId"];
			$a_ok[$ok_count]["inv_cantidad"]   = $row["inv_cantidad"];
			$a_ok[$ok_count]["stk_fisico"]	= $row["stk_fisico"];
			$a_ok[$ok_count]["cantidad"]   = $row["diferencia"]*(-1);
			$a_ok[$ok_count]["costoProm"]  = $row["stk_costoProm"];
			$a_ok[$ok_count]["costoProm_gl"] = $row["stk_costoProm_gl"];
			$ok_count++;
			// ok
		}	
}
echo "RESULTADO: <br><br>";
echo "Almacen : ".$almacenId."<br><br>";
echo "Fecha : ".$fecha."<br><br>";
echo "
<table BORDER=1>

";
$n = 1;
if (is_array($a_ingreso)){
	reset($a_ingreso);
	echo "
		<tr>
			<td HEIGHT=35 STYLE=background-color:yellow COLSPAN=9>************ INGRESOS POR GENERAR *************</td>
		</tr>
		<tr>
			<td> Correlativo</td>
			<td>articulo Id</td>
			<td>articulo Cod</td>
			<td>cantidad inventario</td>
			<td>cantidad sistema</td>
			<td> AJUSTE POR REALIZAR</td>
			<td>Costo prom US$</td>
			<td>Costo prom S/</td>
			<td>Diferencia TOTAL <br> US$</td>
		</tr>		
		";	

	for($x=0;$x<count($a_ingreso);$x++){
		if ($a_ingreso[$x]["prId"] <= 0){
			$styleRow = " STYLE=color:red;font-weight:bold ";
			$msg = "NO ENCONTRADO EN SISTEMA";
			$link = "";
			$linkFin = "";
		}else{
			$styleRow = "";
			$msg = '';
			$link = "<A HREF='index.php?do=imStockKdx&tabArticulo=".$a_ingreso[$x]["prId"]."&smv_prId=".$a_ingreso[$x]["prId"]."&smv_almacenId=".$almacenId."&action=buscar' TARGET=blank>";
			$linkFin = "</A>";
		}
		echo "
			<tr>
				<td>".$n."</td>
				<td $styleRow>".$link.$msg.$a_ingreso[$x]["prId"].$linkFin."</td>
				<td $styleRow>".$a_ingreso[$x]["productoId"]."</td>
				<td ALIGN=RIGHT> ".round($a_ingreso[$x]["inv_cantidad"])."</td>
				<td ALIGN=RIGHT> ".round($a_ingreso[$x]["stk_fisico"])."</td>
				<td ALIGN=RIGHT>+ ".round($a_ingreso[$x]["cantidad"])."</td>
				<td ALIGN=RIGHT>".$a_ingreso[$x]["costoProm"]."</td>
				<td ALIGN=RIGHT>".$a_ingreso[$x]["costoProm_gl"]."</td>
				<td ALIGN=RIGHT>".round($a_ingreso[$x]["costoProm"]*$a_ingreso[$x]["cantidad"])."</td>
			</tr>
		";
		$total_diff_ingreso += $a_ingreso[$x]["costoProm"]*$a_ingreso[$x]["cantidad"];
		$n++;
	}
	echo "
		<tr>
			<td COLSPAN=8></td>
			<td ALIGN=RIGHT> <strong>US$ ".number_format($total_diff_ingreso)."</strong></td>
		</tr>
	";
}

if (is_array($a_salida)){
	reset($a_salida);
		echo "
			<tr>
				<td HEIGHT=35 STYLE=background-color:yellow COLSPAN=9>************ SALIDAS POR GENERAR  *************</td>
			</tr>
			<tr>
				<td> Correlativo</td>
				<td>articulo Id</td>
				<td>articulo Cod</td>
				<td>cantidad inventario</td>
				<td>cantidad sistema</td>
				<td> AJUSTE POR REALIZAR</td>
				<td>Costo prom US$</td>
				<td>Costo prom S/</td>
				<td>Diferencia TOTAL <br> US$</td>
			</tr>			
			";
	for($x=0;$x<count($a_salida);$x++){
		if ($a_salida[$x]["prId"] <= 0){
			$styleRow = " STYLE=color:red;font-weight:bold ";
			$msg = "NO ENCONTRADO EN SISTEMA";
			$link = "";
			$linkFin = "";
		}else{
			$styleRow = "";
			$msg = '';
			$link = "<A HREF='index.php?do=imStockKdx&tabArticulo=".$a_salida[$x]["prId"]."&smv_prId=".$a_salida[$x]["prId"]."&smv_almacenId=".$almacenId."&action=buscar' TARGET=blank>";
			$linkFin = "</A>";
		}
		echo "
			<tr>
				<td>".$n."</td>
				<td $styleRow>".$link.$msg.$a_salida[$x]["prId"].$linkFin."</td>
				<td $styleRow>".$a_salida[$x]["productoId"]."</td>
				<td ALIGN=RIGHT> ".round($a_salida[$x]["inv_cantidad"])."</td>
				<td ALIGN=RIGHT> ".round($a_salida[$x]["stk_fisico"])."</td>
				<td ALIGN=RIGHT>- ".round($a_salida[$x]["cantidad"])."</td>
				<td ALIGN=RIGHT>".$a_salida[$x]["costoProm"]."</td>
				<td ALIGN=RIGHT>".$a_salida[$x]["costoProm_gl"]."</td>
				<td ALIGN=RIGHT>".round($a_salida[$x]["costoProm"]*$a_salida[$x]["cantidad"])."</td>
			</tr>
		";
		$total_diff_salida += $a_salida[$x]["costoProm"]*$a_salida[$x]["cantidad"];
		$n++;
	}
	echo "
		<tr>
			<td COLSPAN=8></td>
			<td ALIGN=RIGHT> <strong>US$ ".number_format($total_diff_salida)."</strong></td>
		</tr>
	";
}


if (is_array($a_ok)){
	reset($a_ok);
		echo "
			<tr>
				<td HEIGHT=35 STYLE=background-color:yellow COLSPAN=9>************ COINCIDENCIAS *************</td>
			</tr>
			<tr>
				<td> Correlativo</td>
				<td>articulo Id</td>
				<td>articulo Cod</td>
				<td>cantidad inventario</td>
				<td>cantidad sistema</td>
				<td> AJUSTE POR REALIZAR</td>
				<td>Costo prom US$</td>
				<td>Costo prom S/</td>
				<td></td>			
			</tr>			
			";
	for($x=0;$x<count($a_ok);$x++){
		if ($a_ok[$x]["prId"] <= 0){
			$styleRow = " STYLE=color:red;font-weight:bold ";
			$msg = "NO ENCONTRADO EN SISTEMA";		
		}else{
			$styleRow = "";
			$msg = '';
		}
		echo "
			<tr>
				<td>".$n."</td>
				<td $styleRow>".$msg.$a_ok[$x]["prId"]."</td>
				<td $styleRow>".$a_ok[$x]["productoId"]."</td>
				<td ALIGN=RIGHT>".round($a_ok[$x]["inv_cantidad"])."</td>
				<td ALIGN=RIGHT>".round($a_ok[$x]["stk_fisico"])."</td>
				<td ALIGN=RIGHT>".round($a_ok[$x]["cantidad"])."</td>
				<td ALIGN=RIGHT>".$a_ok[$x]["costoProm"]."</td>
				<td ALIGN=RIGHT>".$a_ok[$x]["costoProm_gl"]."</td>
				<td></td>
			</tr>
		";
		$n++;
	}
}


echo "</table>";

if ($_REQUEST["procesar"]=="1"){
	try {  
		$PDO->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
		$PDO->beginTransaction();
		if (is_array($a_ingreso)){
			$ImIngreso		= NEW ImIngreso();
			$ImIngresoObj	= NEW ImIngreso();
			$ImIngresoObj->ing_tipo			= "AJU";
			$ImIngresoObj->ing_almacenId	= $almacenId;
			$ImIngresoObj->ing_loteId		= 0;
			$ImIngresoObj->ing_prv_id		= 0;
			$ImIngresoObj->ing_prv_nombre	= "DAKOTA";
			$ImIngresoObj->ing_fecha		= $fecha;
			$ImIngresoObj->ing_fechaDoc		= $fecha;
			$ImIngresoObj->ing_refDocTipo	= "";
			$ImIngresoObj->ing_refDocId		= "";
			$ImIngresoObj->ing_refDocTipo2	= "";
			$ImIngresoObj->ing_refDocId2	= "";
			$ImIngresoObj->ing_tipoCambio	= 0;
			$ImIngresoObj->ing_glosa		= "";
			$ImIngresoObj->ing_obs			= "AJUSTE POR DIFERENCIA CON CONTEO DE INVENTARIO";
			$ImIngresoObj->ing_usrreg		= "SISTEMA";
			$ingresoId = $ImIngreso->crear($ImIngresoObj);
			for ($j=0; $j < count($a_ingreso); $j++){
				if ($a_ingreso[$j]["prId"] > 0){
					$ImIngresoLinea		= NEW ImIngresoLinea();
					$ImIngresoLineaObj	= NEW ImIngresoLinea();
					if (!$a_ingreso[$j]["costoProm"]){
						$a_ingreso[$j]["costoProm"] = 0;
					}
					if (!$a_ingreso[$j]["costoProm_gl"]){
						$a_ingreso[$j]["costoProm_gl"] = 0;
					}
					$ImIngresoLineaObj->ingl_id			= $ingresoId;
					$ImIngresoLineaObj->ingl_prId		= $a_ingreso[$j]["prId"];
					$ImIngresoLineaObj->ingl_cantidad	= $a_ingreso[$j]["cantidad"];
					$ImIngresoLineaObj->ingl_costo		= $a_ingreso[$j]["costoProm"];
					$ImIngresoLineaObj->ingl_costo_gl	= $a_ingreso[$j]["costoProm_gl"];
					$ImIngresoLineaObj->ingl_usrreg	= "SISTEMA";
					$result = $ImIngresoLinea->crear($ImIngresoLineaObj);					
				}
			}
			//$ImIngreso->cerrarIngreso($ingresoId);
		}
		if (is_array($a_salida)){
			$ImSalida		= NEW ImSalida();
			$ImSalidaObj	= NEW ImSalida();
			$ImSalidaObj->sal_tipo			= "AJU";
			$ImSalidaObj->sal_almacenId		= $almacenId;
			$ImSalidaObj->sal_loteId		= 0;
			$ImSalidaObj->sal_cli_nombre	= "DAKOTA";
			$ImSalidaObj->sal_fecha			= $fecha;
			$ImSalidaObj->sal_fechaDoc		= $fecha;
			$ImSalidaObj->sal_glosa			= "";
			$ImSalidaObj->sal_obs			= "AJUSTE POR DIFERENCIA CON CONTEO DE INVENTARIO";
			$ImSalidaObj->sal_usrreg		= "SISTEMA";
			$salidaId = $ImSalida->crear($ImSalidaObj);
			for ($j=0; $j < count($a_salida); $j++){
				if ($a_salida[$j]["prId"] > 0){
					$ImSalidaLinea		= NEW ImSalidaLinea();
					$ImSalidaLineaObj	= NEW ImSalidaLinea();
					$ImSalidaLineaObj->sall_id			= $salidaId;
					$ImSalidaLineaObj->sall_prId		= $a_salida[$j]["prId"];
					$ImSalidaLineaObj->sall_loteId		= 0;
					$ImSalidaLineaObj->sall_cantidad	= $a_salida[$j]["cantidad"];
					$ImSalidaLineaObj->sall_costo		= $a_salida[$j]["costoProm"];
					$ImSalidaLineaObj->sall_costo_gl	= $a_salida[$j]["costoProm_gl"];
					$ImSalidaLineaObj->sall_usrreg	= "SISTEMA";
					$result = $ImSalidaLinea->crear($ImSalidaLineaObj);					
				}
			}
			//$ImSalida->cerrarSalida($salidaId);
		}
		$PDO->commit();
	  
	} catch (Exception $e) {
	  $PDO->rollBack();
	  echo "Fallo: " . $e->getMessage();
	}	
}
