<?php
//exit("bloqueado");

set_time_limit(6000);

try
{
  $PDO_old = new PDO('mysql:host=localhost;dbname=sistema6_ntsistint','sistema6_sys2','dakota0124');
}
catch (Exception $e)
{
  echo "Problema conexion PDO: " . $e->getMessage() ."<p>";
}

include ("general.inc.php");


function getPrIdFromSerie($serie){
	global $PDO_old;
	$sql = "
		SELECT *
		FROM `alm_seriestransacc`
		WHERE sert_serieId = '".$serie."'
	";
	$sentencia = $PDO_old->query($sql);
	$sentencia->setFetchMode(PDO::FETCH_ASSOC);
	$row = $sentencia->fetch();	
	return $row["sert_productoId"];	
}


function getPrId($id){
	global $PDO;
	$sql = "
		SELECT *
		FROM im_producto
		WHERE pr_productoId = '".$id."'
	";
	$sentencia = $PDO->query($sql);
	$sentencia->setFetchMode(PDO::FETCH_ASSOC);
	$row = $sentencia->fetch();	
	return $row["pr_id"];
}


function getTckId($id){
	global $PDO;
	$sql = "
		SELECT *
		FROM pv_solicitudServicio
		WHERE ss_refDocId3 = '".$id."'
	";
	$sentencia = $PDO->query($sql);
	$sentencia->setFetchMode(PDO::FETCH_ASSOC);
	$row = $sentencia->fetch();	
	return $row["ss_id"];
}


function getCliId($cliIdDkt){
	global $PDO;
	$sql = "
		SELECT *
		FROM vt_cliente
		WHERE cl_clienteId_dkt = '".$cliIdDkt."'
	";
	$sentencia = $PDO->query($sql);
	$sentencia->setFetchMode(PDO::FETCH_ASSOC);
	$row = $sentencia->fetch();	
	return $row["cl_id"];
}


function getSucId($sucIdDkt){
	global $PDO;
	$sql = "
		SELECT *
		FROM vt_clienteSuc
		WHERE cls_id_dkt = '".$sucIdDkt."'
	";
	$sentencia = $PDO->query($sql);
	$sentencia->setFetchMode(PDO::FETCH_ASSOC);
	$row = $sentencia->fetch();	
	return $row["cls_id"];
}


function getTecnicoId($tch_nombre){
	global $PDO;
	$sql = "
		SELECT *
		FROM pv_tecnico
		WHERE tec_nombre_ext LIKE '".$tch_nombre."'
	";
	$sentencia = $PDO->query($sql);
	$sentencia->setFetchMode(PDO::FETCH_ASSOC);
	$row = $sentencia->fetch();	
	return $row["tec_id"];
}

function getTipoServ($tipo){
	if ($tipo=="MNTPRV-FAC"){
		return "MPF";
	}elseif($tipo=="CAPC"){
		return "CAPC";
	}elseif($tipo=="DEM-SC"){
		return "DEMO";
	}elseif($tipo=="INC-SC"){
		return "INST";
	}elseif($tipo=="MNTCORREP-SC" OR $tipo=="MNTCORSRV-SC"){
		return "MC";
	}elseif($tipo=="MNTCORREP-FAC" OR $tipo=="MNTCORSRV-FAC"){
		return "MCF";
	}elseif($tipo=="MNTPRV-SC"){
		return "MP";
	}
}


function getEqpStatus($tipo){
	if ($tipo=="OPER"){
		return "OP";
	}elseif($tipo=="INOPER"){
		return "NOP";
	}elseif($tipo=="OPER_OBS"){
		return "OPNOV";
	}
}

function getSerieId($id){
	global $PDO;
	$sql = "
		SELECT *
		FROM im_serie
		WHERE ser_serie = '".$id."'
	";
	$sentencia = $PDO->query($sql);
	$sentencia->setFetchMode(PDO::FETCH_ASSOC);
	$row = $sentencia->fetch();	
	return $row["ser_id"];
}



function getDocumento($tipo, $documentoId){
	global $PDO_old;
	if ($tipo=="S"){
		$sql = "
			SELECT 
                sal_salidaNum AS ID,
				sal_documRef AS DOCUMENTO,
				sal_documRef2 AS REFERENCIA,
				cli_ruc AS RUC,
				cli_clienteId AS CLIENTE_ID,
				cli_nombre AS CLIENTE,
				al_almNombre AS ALMACEN,
				sal_fechaIng AS FECHA
			FROM alm_salida
				LEFT JOIN vts_cliente ON sal_clienteId = cli_clienteId 
				LEFT JOIN alm_almacen ON sal_almacenId = al_almacenId
			WHERE sal_salidaNum = '$documentoId'
		";
                $a_resultado["URL"]  = "almSalidaDet.tpl.php?sal_salidaNum=";
	}else{
		$sql = "
			SELECT 
                                ing_ingresoNum AS ID,
				ing_documRef AS DOCUMENTO,
				ing_documRef2 AS REFERENCIA,
				ing_fechaIng AS FECHA,
				al_almNombre AS ALMACEN
			FROM alm_ingreso
				LEFT JOIN alm_almacen ON ing_almacenId = al_almacenId
			WHERE ing_ingresoNum = '$documentoId'
		";
                $a_resultado["URL"]  = "almIngresoDet.tpl.php?ing_ingresoNum=";
	}
	$sentencia = $PDO_old->query($sql);
	$sentencia->setFetchMode(PDO::FETCH_ASSOC);
	$row = $sentencia->fetch();
	$a_resultado["ID"] = $row["ID"];
	$a_resultado["DOCUMENTO"] = $row["DOCUMENTO"];
	$a_resultado["REFERENCIA"] = $row["REFERENCIA"];
	$a_resultado["CLIENTE"] = $row["CLIENTE"];
	$a_resultado["CLIENTE_ID"] = $row["CLIENTE_ID"];
	$a_resultado["RUC_CLIENTE"] = $row["RUC"];
	$a_resultado["ALMACEN"] = $row["ALMACEN"];
	$a_resultado["FECHA"] = $row["FECHA"];
	return $a_resultado;
}





$sql = "
	SELECT *
	FROM pv_caso 
		LEFT JOIN pv_preCaso ON cas_docRefNum = prpv_casoId
		LEFT JOIN pv_tecnico ON cas_tecnicoId = tch_tecnicoId
		LEFT JOIN pv_caso_dataEqp ON cas_casoId = dteq_casoId
	WHERE cas_casoFec >= '2018-01-01'
	GROUP BY cas_casoId
";
$sentencia_old = $PDO_old->query($sql);
$sentencia_old->setFetchMode(PDO::FETCH_ASSOC);
$i = 1;		
while ($row = $sentencia_old->fetch()){
	$os_ss_id			= '';
	$os_serieId			= '';
//	$os_serie_cliente	= ''; 
	$os_pr_id			= '';
	$os_cli_id			= '';
	$os_cli_nombre		= '';
	$os_cli_suc_id		= '';
	$os_cli_contacto	= '';
	$os_fecha			= '';
	$os_fechaProg		= '';
	$os_acuerdo_tipo	= "";
	$os_acuerdo_id		= "";
	$os_tipo_servicio	= '';
	$os_ubicacion		= '';
//	$os_falla_id		= '';
//	$os_falla_det		= '';
	$os_tecnico_id		= '';
	$os_fecIni			= '';
	$os_fecFin			= '';
//	$os_diagnostico_id	= ''; 
	$os_diagnostico_det = '';
	$os_acciones		= '';
	$os_recomendaciones = '';
	$os_eqpStatus		= '';
//	$os_fechaRevSug		= '';
	$os_refDocId		= '';
	$os_refDocId3		= '';
	$os_obs				= '';
	$os_status			= '';
	$os_usrreg			= '';
	$os_usract			= '';
	$os_fecreg			= '';
	$os_fecact			= '';
	$contometro		    = '';
	$testPatch			= '';
	$detectionModule	= '';
	$gap				= '';
	$gasto_viatico		= '';
	$gasto_socio		= '';
	$gasto_alojamiento	= '';
	$gasto_alimentacion = '';
	$gasto_pasajes		= '';
	$gasto_movilidad	= '';
	$gasto_otros		= '';
	$os_informeNro      = '';


	if (!$row["cas_productoId"]){
		$row["cas_productoId"] = getPrIdFromSerie($row["cas_serieId"]);
	}
	$os_ss_id			= getTckId($row["cas_docRefNum"]);
	$os_serieId			= $row["cas_serieId"];
//	$os_serie_cliente	= $row[""]; 
	$os_pr_id			= getPrId($row["cas_productoId"]);
	$os_cli_id			= getCliId($row["cas_clienteId"]);
	$os_cli_nombre		= str_replace("\"","'",$row["cas_clienteNombre"]);
	$os_cli_suc_id		= getSucId($row["cas_clienteAnexoId"]);
	$os_cli_contacto	= $row["cas_clienteAnexoCnt"];
	$os_fecha			= $row["cas_casoFec"];
	$os_fechaProg		= $row["cas_casoFec"];
	if ($row["prpv_motivo"] == "CONTR"){
		$os_acuerdo_tipo	= "CNT";
		$os_acuerdo_id		= $row["prpv_motivoDocNum"];
	}
	$os_tipo_servicio	= getTipoServ($row["cas_condIngreso"]);
	$os_ubicacion		= $row["cas_tipoAtencion"];
//	$os_falla_id		= $row[""];
//	$os_falla_det		= $row[""];
	$os_tecnico_id		= getTecnicoId($row["tch_nombre"]);
	$os_fecIni			= $row["cas_casoFec"];
	$os_fecFin			= $row["cas_casoFec"];
//	$os_diagnostico_id	= $row[""]; 
	$os_diagnostico_det = str_replace("\"","'",$row["cas_evaluacionDetalle"]);
	$os_acciones		= str_replace("\"","'",$row["cas_recomendacion"]."<BR>".$row["cas_evaluacionDetalle"]);
	$os_recomendaciones = str_replace("\"","'",$row["cas_recomendacion"]);
	$os_eqpStatus		= getEqpStatus($row["cas_condEqp"]);
//	$os_fechaRevSug		= $row[""];
	$os_refDocId		= $row["cas_docRefNum"];
	$os_refDocId3		= $row["cas_casoId"];
	$os_obs				= str_replace("\"","'",$row["cas_observacion"]);
	$os_status			= $row["cas_status"];
	$os_usrreg			= $row["cas_creacionAutor"];
	$os_usract			= $row["cas_cambioAutor"];
	$os_fecreg			= $row["cas_creacionFec"];
	$os_fecact			= $row["cas_cambioFec"];
	$os_informeNro		= $row["cas_ingresoNro"];
	$contometro		    = $row["cas_contometro_nac"];
	$testPatch			= $row["dteq_fld1"];
	$detectionModule	= $row["dteq_fld2"];
	$gap				= $row["dteq_fld3"];

	$gasto_viatico		= $row["cas_costo_viatico"];
	$gasto_socio		= $row["cas_costo_socio"];
	$gasto_alojamiento	= $row["cas_costo_alojamiento"];
	$gasto_alimentacion = $row["cas_costo_alimentacion"];
	$gasto_pasajes		= $row["cas_costo_pasajes"];
	$gasto_movilidad	= $row["cas_costo_movilidad"];
	$gasto_otros		= $row["cas_costo_otros"];

	$sql = "
		SELECT *
		FROM pv_ordenServicio 
		WHERE os_refDocId3 = \"".$row["cas_casoId"]."\";
	";	
	$sentencia_CHK = $PDO->query($sql);
	$sentencia_CHK->setFetchMode(PDO::FETCH_ASSOC);
	$row_CHK = $sentencia_CHK->fetch();
	if (!$row_CHK["os_refDocId3"]){
		if ($os_pr_id){
			$sql = "
				REPLACE INTO pv_ordenServicio
				(
				os_ss_id,
				`os_serieId`, 
				`os_serie_cliente`, 
				`os_pr_id`, 
				`os_cli_id`, 
				`os_cli_nombre`, 
				`os_cli_suc_id`, 
				`os_cli_contacto`, 
				`os_fecha`, 
				`os_fechaProg`, 
				`os_acuerdo_tipo`, 
				`os_acuerdo_id`, 
				`os_tipo_servicio`, 
				os_ubicacion,
				`os_falla_id`, 
				`os_falla_det`, 
				`os_tecnico_id`, 
				`os_fecIni`, 
				`os_fecFin`, 
				`os_diagnostico_id`, 
				`os_diagnostico_det`, 
				`os_acciones`, 
				`os_recomendaciones`, 
				`os_eqpStatus`, 
				`os_fechaRevSug`, 
				`os_refDocId`, 
				`os_refDocId3`,
				os_informeNro,
				`os_obs`, 
				`os_status`, 
				`os_usrreg`, 
				`os_usract`, 
				`os_fecreg`,
				`os_fecact`
				)
				VALUES (
				'".$os_ss_id."',
				'".$os_serieId."', 
				'".$os_serie_cliente."', 
				'".$os_pr_id."', 
				'".$os_cli_id."', 
				\"".$os_cli_nombre."\", 
				'".$os_cli_suc_id."', 
				'".$os_cli_contacto."', 
				'".$os_fecha."', 
				'".$os_fechaProg."', 
				'".$os_acuerdo_tipo."', 
				'".$os_acuerdo_id."', 
				'".$os_tipo_servicio."', 
				'".$os_ubicacion."', 
				'".$os_falla_id."', 
				'".$os_falla_det."', 
				'".$os_tecnico_id."', 
				'".$os_fecIni."', 
				'".$os_fecFin."', 
				'".$os_diagnostico_id."', 
				\"".$os_diagnostico_det."\", 
				\"".$os_acciones."\", 
				\"".$os_recomendaciones."\", 
				'".$os_eqpStatus."', 
				'".$os_fechaRevSug."', 
				'".$os_refDocId."', 
				'".$os_refDocId3."', 
				'".$os_informeNro."', 
				\"".$os_obs."\", 
				'".$os_status."', 
				'".$os_usrreg."', 
				'".$os_usract."', 
				'".$os_fecreg."',
				'".$os_fecact."'
				)
			";
			
			echo $os_tipo_servicio ." :: ". $row["cas_condIngreso"]."<br>";

			echo $i.".".$sql . "<br>";
			$sentencia = $PDO->query($sql);
			print_r($PDO->errorInfo());
			$sentencia->setFetchMode(PDO::FETCH_ASSOC);

			$sql2 = "
				SELECT *
				FROM pv_ordenServicio 
				WHERE os_refDocId3 = \"".$row["cas_casoId"]."\";
			";	
echo $sql2."<br>";
			$sentencia_CHK2 = $PDO->query($sql2);
			$sentencia_CHK2->setFetchMode(PDO::FETCH_ASSOC);
			$row_CHK2 = $sentencia_CHK2->fetch();
			if ($row_CHK2["os_id"]){


				$sqlEqp  = "
					INSERT INTO `pv_ordenServicio_dataEqp` (
						`dteq_os_id`, 
						`dteq_fld8`, 
						`dteq_fld3`, 
						`dteq_fld4`,
						`dteq_fld5`
					)VALUES (
						'".$row_CHK2["os_id"]."',
						'".$contometro."',
						'".$testPatch."',
						'".$detectionModule."',
						'".$gap."'						
					);";
				$sentenciaEqp = $PDO->query($sqlEqp);	
echo $sqlEqp."<br>";
				$sqlGas  = "
					INSERT INTO pv_ordenServicio_gasto (
						 gas_os_id, 
						`gas_fld1`, 
						`gas_fld2`, 
						`gas_fld3`,
						`gas_fld4`,
						`gas_fld5`,
						`gas_fld6`,
						`gas_fld7`
					)VALUES (
						".$row_CHK2["os_id"].",
						".$gasto_viatico.",
						".$gasto_socio.",
						".$gasto_alojamiento.",
						".$gasto_alimentacion.",
						".$gasto_pasajes.",
						".$gasto_movilidad.",
						'".$gasto_otros."'		
					);";
				$sentenciaGas = $PDO->query($sqlGas);	
echo $sqlGas."<br>";
				$sql = "
					SELECT * 
					FROM pv_caso_itemdet
					WHERE csd_casoId = '".$row["cas_casoId"]."'";
				$sentencia_old_rep = $PDO_old->query($sql);
				if ($sentencia_old_rep){
					$sentencia_old_rep->setFetchMode(PDO::FETCH_ASSOC);
					$i = 1;		
					while ($rowRep = $sentencia_old_rep->fetch()){			
						$sqlRep = "
							INSERT INTO `pv_ordenServicio_repuesto` 
							(
							`osr_os_id`, 
							`osr_pr_id`, 
							`osr_cantidad`, 
							`osr_usract`, 
							`osr_fecact`) 
							VALUES (
							'".$row_CHK2["os_id"]."', 
							'".getPrId($rowRep["csd_itemId"])."', 
							'".$rowRep["csd_itemCant"]."', 
							'".$rowRep["csd_cambioAutor"]."', 
							'".$rowRep["csd_cambioFec"]."' 
							);
						";
						$sentencia = $PDO->query($sqlRep);
					}
				}
			}	
			$i++;
		}else{
			echo "*** producto no encontrado Caso :".$row["cas_casoId"]." >> Prod :".$row["cas_productoId"]."*** <br>";
			$a_prNO[$row["cas_productoId"]] = $row["cas_productoId"];
		}
	}else{
		echo "*** caso ya existe ".$row["cas_casoId"]."*** <br>";
	}
}
if ($a_prNO){
	echo "<pre>";
	print_r($a_prNO);
	echo "</pre>";
}
?>