<?php
//exit("bloqueado");

set_time_limit(600);

try
{
  $PDO_old = new PDO('mysql:host=localhost;dbname=sistema6_ntsistint','sistema6_sys2','dakota0124');
}
catch (Exception $e)
{
  echo "Problema conexion PDO: " . $e->getMessage() ."<p>";
}

include ("general.inc.php");


function getPrId($id){
	global $PDO;
	$sql = "
		SELECT *
		FROM im_producto
		WHERE pr_productoId = '".$id."'
	";
	$sentencia = $PDO->query($sql);
	$sentencia->setFetchMode(PDO::FETCH_ASSOC);
	$row = $sentencia->fetch();	
	return $row["pr_id"];
}


function getCliId($cliIdDkt){
	global $PDO;
	$sql = "
		SELECT *
		FROM vt_cliente
		WHERE cl_clienteId_dkt = '".$cliIdDkt."'
	";
	$sentencia = $PDO->query($sql);
	$sentencia->setFetchMode(PDO::FETCH_ASSOC);
	$row = $sentencia->fetch();	
	return $row["cl_id"];
}


function getSucId($sucIdDkt){
	global $PDO;
	$sql = "
		SELECT *
		FROM vt_clienteSuc
		WHERE cls_id_dkt = '".$sucIdDkt."'
	";
	$sentencia = $PDO->query($sql);
	$sentencia->setFetchMode(PDO::FETCH_ASSOC);
	$row = $sentencia->fetch();	
	return $row["cls_id"];
}


function getTecnicoId($tch_nombre){
	global $PDO;
	$sql = "
		SELECT *
		FROM pv_tecnico
		WHERE tec_nombre_ext LIKE '".$tch_nombre."'
	";
	$sentencia = $PDO->query($sql);
	$sentencia->setFetchMode(PDO::FETCH_ASSOC);
	$row = $sentencia->fetch();	
	return $row["tec_id"];
}


function getUltOs($serie){
	global $PDO;
	$sql = "
		SELECT *
		FROM pv_ordenServicio
		WHERE os_serieId LIKE '".$serie."'
		ORDER BY os_fecha DESC, os_id DESC
	";
	$sentencia = $PDO->query($sql);
	$sentencia->setFetchMode(PDO::FETCH_ASSOC);
	$row = $sentencia->fetch();	
	return $row["os_id"];
}

function getTipoServ($tipo){
	if ($tipo=="MNTPRVFC"){
		return "MPF";
	}elseif($tipo=="CAPC"){
		return "CAPC";
	}elseif($tipo=="DEMO"){
		return "DEMO";
	}elseif($tipo=="INST"){
		return "INST";
	}elseif($tipo==""){
		return "ISP_TEC";
	}elseif($tipo=="MNTCRR"){
		return "MC";
	}elseif($tipo=="MNTCRRFC"){
		return "MCF";
	}elseif($tipo=="MNTPRV"){
		return "MP";
	}
}


function getEqpStatus($tipo){
	if ($tipo=="OPER"){
		return "OP";
	}elseif($tipo=="INOPER"){
		return "NOP";
	}elseif($tipo=="OPER_OBS"){
		return "OPNOV";
	}
}

function getSerieId($id){
	global $PDO;
	$sql = "
		SELECT *
		FROM im_serie
		WHERE ser_serie = '".$id."'
	";
	$sentencia = $PDO->query($sql);
	$sentencia->setFetchMode(PDO::FETCH_ASSOC);
	$row = $sentencia->fetch();	
	return $row["ser_id"];
}



function getDocumento($tipo, $documentoId){
	global $PDO_old;
	if ($tipo=="S"){
		$sql = "
			SELECT 
                sal_salidaNum AS ID,
				sal_documRef AS DOCUMENTO,
				sal_documRef2 AS REFERENCIA,
				cli_ruc AS RUC,
				cli_clienteId AS CLIENTE_ID,
				cli_nombre AS CLIENTE,
				al_almNombre AS ALMACEN,
				sal_fechaIng AS FECHA
			FROM alm_salida
				LEFT JOIN vts_cliente ON sal_clienteId = cli_clienteId 
				LEFT JOIN alm_almacen ON sal_almacenId = al_almacenId
			WHERE sal_salidaNum = '$documentoId'
		";
                $a_resultado["URL"]  = "almSalidaDet.tpl.php?sal_salidaNum=";
	}else{
		$sql = "
			SELECT 
                                ing_ingresoNum AS ID,
				ing_documRef AS DOCUMENTO,
				ing_documRef2 AS REFERENCIA,
				ing_fechaIng AS FECHA,
				al_almNombre AS ALMACEN
			FROM alm_ingreso
				LEFT JOIN alm_almacen ON ing_almacenId = al_almacenId
			WHERE ing_ingresoNum = '$documentoId'
		";
                $a_resultado["URL"]  = "almIngresoDet.tpl.php?ing_ingresoNum=";
	}
	$sentencia = $PDO_old->query($sql);
	$sentencia->setFetchMode(PDO::FETCH_ASSOC);
	$row = $sentencia->fetch();
	$a_resultado["ID"] = $row["ID"];
	$a_resultado["DOCUMENTO"] = $row["DOCUMENTO"];
	$a_resultado["REFERENCIA"] = $row["REFERENCIA"];
	$a_resultado["CLIENTE"] = $row["CLIENTE"];
	$a_resultado["CLIENTE_ID"] = $row["CLIENTE_ID"];
	$a_resultado["RUC_CLIENTE"] = $row["RUC"];
	$a_resultado["ALMACEN"] = $row["ALMACEN"];
	$a_resultado["FECHA"] = $row["FECHA"];
	return $a_resultado;
}





$sql = "
	SELECT *
	FROM pv_mant_contrato 
";
$sentencia_old = $PDO_old->query($sql);
$sentencia_old->setFetchMode(PDO::FETCH_ASSOC);
$i = 1;		
while ($row = $sentencia_old->fetch()){

	$as_tipo						= "CNT";
	$as_documRef					= $row["mnt_documNro"];
//	$as_id_ref						= $row[""];
//	$as_tipo_ref					= $row[""];
//	$as_documRef_ref				= $row[""];
	$as_dktId						= $row["mnt_id"];
	$as_cl_id						= getCliId($row["mnt_clienteId"]);
	$as_fechaDoc					= $row["mnt_fecIni"];
	$as_contacto					= str_replace("\"","'",$row["mnt_contactoNombre"]);
	$as_contactoEmail				= $row["mnt_contactoEmail"];
	$as_contactoTelefono			= $row["mnt_contactoTelf"];
	$as_fechaIniDefa				= $row["mnt_fecIni"];
	$as_fechaFinDefa				= $row["mnt_fecFin"];
//	$as_sla_presencial_tipo			= $row[""];
//	$as_sla_presencial_tiempoRpta	= $row[""];
//	$as_sla_remoto_tipo				= $row[""];
//	$as_sla_remoto_tiempoRpta		= $row[""];
	$as_inc_repuestos				= $row["mnt_incRepuestosDefa"];
	$as_inc_consumibles				= $row["mnt_incConsumiblesDefa"];
	$as_obs							= str_replace("\"","'",$row["mnt_obs"]);
	$as_status						= $row["mnt_status"];
	$as_usrreg						= $row["mnt_genUsrreg"];
	$as_fecreg						= $row["mnt_genFecreg"];
	$as_usract						= $row["mnt_genUsract"];
	$as_fecact						= $row["mnt_genUFecact"];


	$sql = "
		SELECT *
		FROM pv_acuerdoServicio 
		WHERE as_dktId = \"".$row["mnt_id"]."\";
	";	
	$sentencia_CHK = $PDO->query($sql);
	$sentencia_CHK->setFetchMode(PDO::FETCH_ASSOC);
	$row_CHK = $sentencia_CHK->fetch();
	if (!$row_CHK["as_dktId"]){
			$sql = "

				INSERT INTO `pv_acuerdoServicio` (
					`as_tipo`, 
					`as_documRef`, 
					`as_id_ref`, 
					`as_tipo_ref`, 
					`as_documRef_ref`, 
					`as_dktId`, 
					`as_cl_id`, 
					`as_contacto`, 
					`as_contactoEmail`, 
					`as_contactoTelefono`, 
					`as_fechaDoc`, 
					`as_fechaIniDefa`, 
					`as_fechaFinDefa`, 
					`as_sla_presencial_tipo`, 
					`as_sla_presencial_tiempoRpta`, 
					`as_sla_remoto_tipo`, 
					`as_sla_remoto_tiempoRpta`, 
					`as_inc_repuestos`, 
					`as_inc_consumibles`, 
					`as_obs`, 
					`as_status`, 
					`as_usrreg`, 
					`as_fecreg`, 
					`as_usract`, 
					`as_fecact`
				) VALUES (
					\"".$as_tipo."\", 
					\"".$as_documRef."\", 
					\"".$as_id_ref."\", 
					\"".$as_tipo_ref."\", 
					\"".$as_documRef_ref."\", 
					\"".$as_dktId."\", 
					\"".$as_cl_id."\", 
					\"".$as_contacto."\", 
					\"".$as_contactoEmail."\", 
					\"".$as_contactoTelefono."\", 
					\"".$as_fechaDoc."\", 
					\"".$as_fechaIniDefa."\", 
					\"".$as_fechaFinDefa."\", 
					\"".$as_sla_presencial_tipo."\", 
					\"".$as_sla_presencial_tiempoRpta."\", 
					\"".$as_sla_remoto_tipo."\", 
					\"".$as_sla_remoto_tiempoRpta."\", 
					\"".$as_inc_repuestos."\", 
					\"".$as_inc_consumibles."\", 
					\"".$as_obs."\", 
					\"".$as_status."\", 
					\"".$as_usrreg."\", 
					\"".$as_fecreg."\", 
					\"".$as_usract."\", 
					\"".$as_fecact."\"			
				);
			
			";
			echo $i.".".$sql . "<br>";
			$sentencia = $PDO->query($sql);
			print_r($PDO->errorInfo());
			$sentencia->setFetchMode(PDO::FETCH_ASSOC);

			$sql2 = "
				SELECT *
				FROM `pv_acuerdoServicio` 
				WHERE as_dktId = \"".$row["mnt_id"]."\";
			";	
			$sentencia_CHK2 = $PDO->query($sql2);
			$sentencia_CHK2->setFetchMode(PDO::FETCH_ASSOC);
			$row_CHK2 = $sentencia_CHK2->fetch();
			
			if ($row_CHK2["as_id"]){

				$sql = "
					SELECT * 
					FROM pv_mant_contratolinea
					WHERE mntl_mntId = '".$as_dktId."'";
echo $sql."<br>";
				$sentencia_old_rep = $PDO_old->query($sql);
				$sentencia_old_rep->setFetchMode(PDO::FETCH_ASSOC);
				$i = 1;		
				while ($rowRep = $sentencia_old_rep->fetch()){			
					$sqlRep = "
						INSERT INTO `pv_acuerdoServiciolinea` (
						`asl_as_id`, 
						`asl_pr_id`, 
						`asl_fechaIni`, 
						`asl_fechaFin`, 
						`asl_frecuencia`, 
						`asl_cantidad`, 
						`asl_precio_mntprv`, 
						`asl_precio_crr`, 
						`asl_obs`, 
						`asl_usrreg`, 
						`asl_fecreg`						) 
						VALUES (
						\"".$row_CHK2["as_id"]."\", 
						\"".getPrId($rowRep["mntl_eqpId"])."\", 
						\"".$rowRep["mntl_servFecIni"]."\", 
						\"".$rowRep["mntl_servFecFin"]."\", 
						\"".$rowRep["mntl_servFrecuenciaMes"]."\", 
						\"".$rowRep["mntl_cantidad"]."\", 
						\"".$rowRep["mntl_precioPreventivos"]."\", 						
						\"".$rowRep["mntl_precioCorrectivos"]."\", 
						\"".$rowRep["mntl_obs"]."\", 
						\"".$rowRep["mntl_usract"]."\", 
						\"".$rowRep["mntl_fecreg"]."\"
						);
					";
echo $sqlRep."<br><br>";
					$sentencia = $PDO->query($sqlRep);

				
					$sql2 = "
						SELECT max(asl_id) as asl_id
						FROM `pv_acuerdoServiciolinea` 
						WHERE `asl_as_id` = \"".$row_CHK2["as_id"]."\";
					";	
					$sentencia_CHK4 = $PDO->query($sql2);
					$sentencia_CHK4->setFetchMode(PDO::FETCH_ASSOC);
					$row_CHK4 = $sentencia_CHK4->fetch();

					$sql = "
						SELECT * 
						FROM pv_mant_contratoserie
						WHERE mnts_mntId = '".$as_dktId."'
						AND mnts_mntlId = '".$rowRep["mntl_id"]."'";
					$sentencia_old_rep2 = $PDO_old->query($sql);
					$sentencia_old_rep2->setFetchMode(PDO::FETCH_ASSOC);
					$i = 1;		
					while ($rowRep2 = $sentencia_old_rep2->fetch()){			
						$sqlRep = "
							INSERT INTO pv_acuerdoServicioserie (
								ass_asl_id, 
								ass_serie, 
								ass_fechaIni, 
								ass_fechaFin, 
								ass_os_id_ult, 
								ass_cls_id, 
								ass_obs, 
								ass_usrreg, 
								ass_fecreg
							) 
							VALUES (
							\"".$row_CHK4["asl_id"]."\", 
							\"".$rowRep2["mnts_serie"]."\", 
							\"".$rowRep2["mnts_servFecIni"]."\", 
							\"".$rowRep2["mnts_servFecFin"]."\", 
							\"".getUltOs($rowRep2["mnts_serie"])."\", 						
							\"".getSucId($rowRep2["mnts_sucursId"])."\", 
							\"".$rowRep2["mnts_obs"]."\", 
							\"".$rowRep2["mnts_usrreg"]."\", 
							\"".$rowRep2["mnts_fecreg"]."\"
							);
						";
						$sentenciaSerie = $PDO->query($sqlRep);
					}				
				
				}
/*
				$sql2 = "
					SELECT *
					FROM `pv_acuerdoServiciolinea` 
					WHERE `asl_as_id` = \"".$row_CHK2["as_id"]."\";
				";	
				$sentencia_CHK2 = $PDO->query($sql2);
				$sentencia_CHK2->setFetchMode(PDO::FETCH_ASSOC);
				while ($row_CHK2 = $sentencia_CHK2->fetch()){

				}
				
*/


			}	
			$i++;
	}else{
		echo "*** contrato ya existe ".$row["mnt_id"]."*** <br>";
	}
}


?>