<?php
include_once("vendor/html2pdf/html2pdf.class.php");
ob_start();
?>

<style type="text/css">
<!--
    table.page_header {width: 100%; border: none; background-color: #DDDDFF; border-bottom: solid 1mm #AAAADD; padding: 2mm }
    table.page_footer {width: 100%; border: none; background-color: #DDDDFF; border-top: solid 1mm #AAAADD; padding: 2mm}
    table.page_header TD {padding: 1mm}
    table.table_detail TD {padding: 5mm }

	h1 {color: #000033}
    h2 {color: #000055}
    h3 {color: #000077}

    div.niveau
    {
        padding-left: 5mm;
    }
-->
</style>
<page>
<table>
	<tr>
		<td><?php echo CIA_NOMBRE?></td>
		<td>R.U.C. <?php echo CIA_RUC?></td>
		<td style="text-align:right">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
			<?php echo date("d/m/Y H:i:s")?>
		</td>
	</tr>
</table>

<table>
	<tr>
		<td><h3>Orden de despacho #</h3></td>
		<td><h3><?php echo $TPL_OdTitle;?></h3></td>
	</tr>
</table>

<table>
<tr>
	<td>
		Cliente
		<h3><?php echo $a_vars["od_cli_nombre"];?></h3>
	</td>
</tr>
</table>

<TABLE class="page_header">
<tr>
	<td>Tipo</td>
	<td width=170>: <?php echo $a_vars["od_tipo_nombre"];?></td>
	<td>Fecha documento</td>
	<td width=170>: <?php echo $a_vars["od_fechaDoc"];?></td>
	<td>Status</td>
	<td width=120>: <?php echo $a_vars["od_status_nombre"];?></td>
</tr>
<tr>
	<td>Guia</td>
	<td>: <?php echo $a_vars["od_refDocId"];?></td>
	<td>Almacen</td>
	<td>: <?php echo $a_vars["alm_nombre"];?></td>
	<td></td>
	<td></td>
</tr>
<tr>
	<td COLSPAN=6>
		Observaciones 1 : 
		<?php echo $a_vars["od_obs"];?>
	</td>
</tr>
<tr>
	<td COLSPAN=6>
		Observaciones 2 : 
		<?php echo $a_vars["od_glosa"];?>
	</td>
</tr>
</table>

<h3>Detalle de la Orden</h3>


<table class="table-detail" border=1>

  <thead class="thead-light">
	<tr>
	  <th>Codigo</th>
	  <th>Nombre</th>
	  <th class="numeric">Cantidad</th>
	</tr>
  </thead>



<?php 
if(is_array($a_vars_linea)){
	for ($i=0; $i < count($a_vars_linea); $i++){
		?>
		<tr>
			<td>
				<?php echo $a_vars_linea[$i]["pr_productoId"];?>
			</td>
			<td width=450><?php echo $a_vars_linea[$i]["pr_descripcion"];?></td>
			<td class="numeric">
				<?php 
				echo $a_vars_linea[$i]["odl_cantidad"];
				?>
			</td>
		</tr>			
		<?php
	}
}
?>
  <tfoot class="thead-light">
	<tr>
	  <td>Total lineas <?php echo $TPL_linea_cant;?></td>
	  <td></td>
	  <td>Total articulos <?php echo $TPL_cant_total;?></td>
	</tr>
  </tfoot>
</table>


<table>
<tr>
	<td>
		<p>&nbsp;</p>
		__________________________<br>
		Recibido por<br>
		<p>D.N.I. : </p>
	</td>
</tr>
</table>


</page>



<?php
$content = ob_get_clean();
$html2pdf = new HTML2PDF('P','A4','fr');
$html2pdf->WriteHTML($content);
$html2pdf->Output($cotizacion.'.pdf');
?>