<?php

$fileName = "stkKdxRsm_export_".date('Ymd') . ".xls";			
header("Content-Type: application/vnd.ms-excel");
header("Content-Disposition: attachment; filename=\"$fileName\"");

?>
<h2>Resumen Kardex por categoria y tipo de movimiento</h2>
<p>Fecha inicio : <?php echo $a_vars["smv_fechaIni"]?></p>
<p>Fecha Fin : <?php echo $a_vars["smv_fechaFin"]?></p>


<table id="table"  class="table table-hover table-sm">
	<thead class="thead-light">
	<TR STYLE="font-weight:bold">
		<TD COLSPAN=2 STYLE="background-color:#b5b5b5;color:#FFF">Agrupacion</TD>
		<TD COLSPAN=2 class="filaHeader filaDetailRight" STYLE="border-left-style:solid;border-left-width:1px;border-color:#ebebeb;background-color:#05d16b;color:#FFF">Ingreso</TD>
		<TD COLSPAN=2 class="filaHeader filaDetailRight" STYLE="border-left-style:solid;border-left-width:1px;border-color:#ebebeb;background-color:#f46464;color:#FFF">Salida</TD>
		<TD COLSPAN=2 class="filaHeader filaDetailRight" STYLE="border-left-style:solid;border-left-width:1px;border-color:#ebebeb;background-color:#c4c4c4;color:#FFF">Saldo</TD>
	</TR>
	<TR STYLE="font-weight:bold">
		<!-- <TD STYLE="background-color:#b5b5b5;color:#FFF">Familia</TD> -->
		<TD STYLE="background-color:#b5b5b5;color:#FFF">SubFamilia</TD>
		<TD STYLE="background-color:#b5b5b5;color:#FFF">Movimiento</TD>
		<TD class="filaHeader filaDetailRight" STYLE="border-left-style:solid;border-left-width:1px;border-color:#ebebeb;background-color:#05d16b;color:#FFF">Cantidad</TD>
		<TD class="filaHeader filaDetailRight" STYLE="background-color:#05d16b;color:#FFF">Costo <?php echo $TPL_costo_symbol?></TD>
		<TD class="filaHeader filaDetailRight" STYLE="border-left-style:solid;border-left-width:1px;border-color:#ebebeb;background-color:#f46464;color:#FFF">Cantidad</TD>
		<TD class="filaHeader filaDetailRight" STYLE="background-color:#f46464;color:#FFF">Costo <?php echo $TPL_costo_symbol?></TD>
		<TD class="filaHeader filaDetailRight" STYLE="border-left-style:solid;border-left-width:1px;border-color:#ebebeb;background-color:#c4c4c4;color:#FFF">Cantidad</TD>
		<TD class="filaHeader filaDetailRight" STYLE="background-color:#c4c4c4;color:#FFF">Costo <?php echo $TPL_costo_symbol?></TD>
	</TR>
	</thead>

<?php 
if (is_array($a_listaKdx)){

	foreach ($a_listaKdx as $clave => $valor) {
		if ($valor["ultimo"]){
			$class_saldo = " ultimoSaldo ";
			$style = ";border-top-style:double";
		}else{
			$class_saldo = "";
			$style = "";
		}
		if ($valor["subTot"]){
			$class_saldo = " ultimoSaldo ";
		}else{
			$class_saldo = "";
		}
		if ($valor["saldoIni"]){
			$trStyle = "background-color:#f4f4f4";
		}else{
			$trStyle = "";
		}
		?>
		<TR id=trList STYLE="<?php echo $trStyle;?>">
			<!-- <TD class="<?php echo $class_saldo?>"><?php echo $valor["fm_nombre"]?></TD> -->
			<TD class="<?php echo $class_saldo?>" STYLE="<?php echo $style;?>"><?php echo $valor["sfm_nombre"]?></TD>
			<TD class="<?php echo $class_saldo?>" STYLE="<?php echo $style;?>">
				<A href="index.php?do=imStockKdx&<?php echo $valor["urlParam"]?>&viewGl=1" TARGET="blank">
				<?php echo $valor["tipo_dsc"]?>
				</a>
			</TD>
			<TD class="filaDetailRight <?php echo $class_saldo?>" STYLE="border-left-style:solid;border-left-width:1px;border-color:#ebebeb<?php echo $style;?>"><?php echo $valor["tot_ingreso_cant"]?></TD>
			<TD class="filaDetailRight <?php echo $class_saldo?>" STYLE="<?php echo $style;?>"><?php echo $valor["tot_ingreso_costo"]?></TD>

			<TD class="filaDetailRight <?php echo $class_saldo?>" STYLE="border-left-style:solid;border-left-width:1px;border-color:#ebebeb<?php echo $style;?>"><?php echo $valor["tot_salida_cant"]?></TD>
			<TD class="filaDetailRight <?php echo $class_saldo?>" STYLE="<?php echo $style;?>"><?php echo $valor["tot_salida_costo"]?></TD>
			<TD class="filaDetailRight <?php echo $class_saldo?>" STYLE="border-left-style:solid;border-left-width:1px;border-color:#ebebeb<?php echo $style;?>">
				<?php if ($valor["saldoIni"] OR $valor["subTot"]){echo $valor["tot_saldo_cant"];}?>
			</TD>
			<TD class="filaDetailRight <?php echo $class_saldo?>" STYLE="<?php echo $style;?>">
				<?php if ($valor["saldoIni"] OR $valor["subTot"]){echo $valor["tot_saldo_costo"];}?>
			</TD>
		</TR>
		<?php
	}
}
?>
		<TR id=trList style="background-color:#33ffff;font-weight:bold">
			<TD>Totales</TD>
			<TD></TD>
			<TD class="filaDetailRight" STYLE="border-left-style:solid;border-left-width:1px;border-color:#ebebeb"><?php echo $TPL_tot_ingreso_cant?></TD>
			<TD class="filaDetailRight"><?php echo $TPL_tot_ingreso_costo?></TD>

			<TD class="filaDetailRight" STYLE="border-left-style:solid;border-left-width:1px;border-color:#ebebeb"><?php echo $TPL_tot_salida_cant?></TD>
			<TD class="filaDetailRight"><?php echo $TPL_tot_salida_costo?></TD>
		</TR>

	</table>

