<?php

$IDIOMA = "en";

$po_label["es"]["ruc"]			= "R.U.C.";
$po_label["es"]["title"]		= "Orden de Compra";
$po_label["es"]["vendor"]		= "Proveedor";
$po_label["es"]["date"]			= "Fecha Orden";
$po_label["es"]["date_required"]= "Fecha Requerida";
$po_label["es"]["bill_to"]		= "Facturar a";
$po_label["es"]["ship_to"]		= "Enviar a";
$po_label["es"]["qty"]			= "Cantidad";
$po_label["es"]["pr_id"]		= "Codigo";
$po_label["es"]["partNum"]		= "Part Number";
$po_label["es"]["descrip"]		= "Descripcion";
$po_label["es"]["unit_price"]	= "Precio";
$po_label["es"]["subTot"]		= "SubTotal";
$po_label["es"]["total"]		= "Total";
$po_label["es"]["incoterm"]		= "Incoterms";
$po_label["es"]["transporte"]	= "Transportista";
$po_label["es"]["obs"]			= "Comentarios";
$po_label["es"]["detailTitle"]	= "Detalle de la orden";
$po_label["es"]["terms"]		= "Forma de pago";
$po_label["es"]["marca"]		= "Marca";
$po_label["es"]["modelo"]		= "Modelo";
$po_label["es"]["itemOrigen"]	= "Fabricado en ";
$po_label["es"]["ref"]			= "Referencia";
$po_label["es"]["lineId"]		= "Linea";


$po_label["en"]["ruc"]			= "Tax Id Number";
$po_label["en"]["title"]		= "Purchase Order";
$po_label["en"]["vendor"]		= "To";
$po_label["en"]["date"]			= "Order Date";
$po_label["en"]["date_required"]= "Required Date";
$po_label["en"]["bill_to"]		= "Bill To";
$po_label["en"]["ship_to"]		= "Ship To";
$po_label["en"]["qty"]			= "Qty";
$po_label["en"]["pr_id"]		= "Id";
$po_label["en"]["partNum"]		= "Part Num";
$po_label["en"]["descrip"]		= "Description";
$po_label["en"]["unit_price"]	= "Price";
$po_label["en"]["subTot"]		= "Amount";
$po_label["en"]["total"]		= "Grand Total";
$po_label["en"]["incoterm"]		= "Incoterms";
$po_label["en"]["transporte"]	= "Logistic Partner / Freight Fwd";
$po_label["en"]["obs"]			= "Comments";
$po_label["en"]["detailTitle"]	= "Items Ordered";
$po_label["en"]["terms"]		= "Terms";
$po_label["en"]["marca"]		= "Brand";
$po_label["en"]["modelo"]		= "Model";
$po_label["en"]["itemOrigen"]	= "Manufactured and assembled in ";
$po_label["en"]["ref"]			= "Reference";
$po_label["en"]["lineId"]		= "ID";

$a_vars["billTo_name"]			= CIA_NOMBRE;
$a_vars["billTo_address1"]		= CIA_ADDRESS1;
$a_vars["billTo_address2"]		= CIA_ADDRESS2;
$a_vars["billTo_city"]			= CIA_CITY;
$a_vars["billTo_state"]			= CIA_STATE;

if ($a_vars["po_shipTo_id"]){
	$a_vars["shipTo_name"]			= $a_vars["po_shipTo"];
	$a_vars["shipTo_address1"]		= $a_vars["po_shipTo_direccion1"];
	$a_vars["shipTo_address2"]		= $a_vars["po_shipTo_direccion2"];
	$a_vars["shipTo_city"]			= $a_vars["po_shipTo_ciudad"];
	$a_vars["shipTo_state"]			= $a_vars["po_shipTo_estado"];
	$a_vars["shipTo_country"]		= $a_vars["po_shipTo_pais"];
}else{
	$a_vars["shipTo_name"]			= CIA_NOMBRE;
	$a_vars["shipTo_address1"]		= $a_vars["alm_direcc1"];
	$a_vars["shipTo_address2"]		= $a_vars["alm_direcc2"];
	$a_vars["shipTo_city"]			= $a_vars["alm_ciudad"];
	$a_vars["shipTo_state"]			= $a_vars["alm_estado"];
	$a_vars["shipTo_country"]		= $a_vars["alm_pais"];
}
$a_vars["vendor_address1"]			= $a_vars["prv_direccion1"];
$a_vars["vendor_address2"]			= $a_vars["prv_direccion2"];
$a_vars["vendor_city"]				= $a_vars["prv_ciudad"];
$a_vars["vendor_state"]				= $a_vars["prv_estado"];
$a_vars["vendor_country"]			= $a_vars["prv_pais"];

include_once("vendor/html2pdf/html2pdf.class.php");
ob_start();
?>

<style type="text/css">
<!--
    table.page_header {width: 100%; border: none; background-color: #DDDDFF; border-bottom: solid 1mm #AAAADD; padding: 2mm }
    table.page_footer {width: 100%; border: none; background-color: #DDDDFF; border-top: solid 1mm #AAAADD; padding: 2mm}
    table.page_header TD {padding: 1mm}
    table.table_detail {padding: 5mm; border-style: solid; background-color: #FFF; border-top: solid 1mm #AAAADD; padding: 2mm }
	
	.td_detail_title {
		border-bottom: solid 1mm #e3e3f4;
	}

	.td_detail {
		border-bottom: solid 1px #ebebeb;
	}

	.td_total {
		padding: 5mm; border-style: solid; border-top: solid 1mm #AAAADD; padding: 2mm;
	}
	
	h1 {color: #000033}
    h2 {color: #000055}
    h3 {color: #000077}

    div.niveau
    {
        padding-left: 5mm;
    }
-->
	.titleStyle{
		font-weight:bold;
	}

	.td_number {
		text-align:right;
	}

	.td_disab {
		color:#c0c0c0;
	}

	.td_fecreg {
		font-size:10px;
		text-align:right;
		color:#FFF;
	}

	.sys-top{
		background: linear-gradient(45deg,#73b5ac,#29504b)!important;
		background-color:#73b5ac;
		padding: 8px 12px;
		height:60px;
		color:#FFF;
		font-size:24px;
		v-align:middle;
	}

	td pre{
		font-family:arial;
	}

</style>
<page>
<table class="sys-top">
	<tr>
		<td style="width:600px">
			<img src="img/dakota-logo-nuevo.png" border="0" alt="<?php echo CIA_NOMBRE?>">
		</td>
		<td class="td_fecreg">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
			<?php echo date("d/m/Y H:i:s")?>
			<br>
			<p><?php echo $po_label[$IDIOMA]["ref"];?> : <?php echo $a_vars["po_proveedorDocRef"];?></p>
		</td>
	</tr>
</table>

<table>
	<tr>
		<td><h3><?php echo $po_label[$IDIOMA]["title"];?> # <?php echo $a_vars["po_id"]?></h3></td>
		<td><h3><?php echo $TPL_OdTitle;?></h3></td>
	</tr>
</table>

<table>
	<tr>
		<td class="titleStyle">
			<?php echo $po_label[$IDIOMA]["date"];?> : 
			<?php echo $a_vars["po_fecha"];?>
		</td>
	</tr>
</table>

<table>
	<tr>
		<td class="titleStyle">
			<?php echo $po_label[$IDIOMA]["vendor"];?>
		</td>
		<td class="titleStyle">
			<?php echo $po_label[$IDIOMA]["bill_to"];?>
		</td>
		<td class="titleStyle">
			<?php echo $po_label[$IDIOMA]["ship_to"];?>
		</td>
	</tr>
	<tr>
		<td class="titleStyle" style="width:250px;vertical-align:top">
			<?php echo $a_vars["po_proveedorNombre"];?><br>
			<?php echo $a_vars["vendor_address1"];?><br>
			<?php echo $a_vars["vendor_address2"];?><br>
			<?php echo $a_vars["vendor_city"];?><br>
			<?php echo $a_vars["vendor_state"];?><br>
			<?php echo $a_vars["vendor_pai_nombre"];?>
		</td>
		<td style="width:250px;vertical-align:top">
			<?php echo $a_vars["billTo_name"];?><br>
			<?php echo $a_vars["billTo_address1"];?><br>
			<?php echo $a_vars["billTo_address2"];?><br>
			<?php echo $a_vars["billTo_city"];?><br>
			<?php echo $a_vars["billTo_state"];?><br>
			<?php echo $po_label[$IDIOMA]["ruc"] ." ". CIA_RUC;?>
		</td>
		<td style="width:250px;vertical-align:top">
			<?php echo $a_vars["shipTo_name"];?><br>		
			<?php echo $a_vars["shipTo_address1"];?><br>
			<?php echo $a_vars["shipTo_address2"];?><br>
			<?php echo $a_vars["shipTo_city"];?><br>
			<?php echo $a_vars["shipTo_state"];?><br>
			<?php echo $a_vars["shipTo_country"];?><br>
		</td>
	</tr>

	<tr>
		<td COLSPAN=3>
			&nbsp;
		</td>
	</tr>

	<tr>
		<td class="titleStyle">
			<?php echo $po_label[$IDIOMA]["date_required"];?>
		</td>
		<td class="titleStyle">
			<?php echo $po_label[$IDIOMA]["incoterm"];?>
		</td>
		<td class="titleStyle">
			<?php echo $po_label[$IDIOMA]["terms"];?>
		</td>
	</tr>
	<tr>
		<td style="width:250px;vertical-align:top">
			<?php echo $a_vars["po_fechaReqDefault"];?><br>
		</td>
		<td style="width:250px;vertical-align:top">
			<?php echo $a_vars["po_incoterm"];?>
		</td>
		<td style="width:250px;vertical-align:top">
			<?php echo $a_vars["po_pagoTerms"];?><br>
		</td>
	</tr>
</table>


<h4><?php echo $po_label[$IDIOMA]["detailTitle"];?></h4>


<table class="table_detail">

  <thead class="thead-light">
	<tr>
	  <th class="numeric td_detail_title td_disab" style="width:30px"><?php echo $po_label[$IDIOMA]["lineId"];?></th>
	  <th class="numeric td_detail_title" style="width:40px"><?php echo $po_label[$IDIOMA]["qty"];?></th>
	  <!--
	  <th class="numeric td_detail_title" style="width:60px"><?php echo $po_label[$IDIOMA]["pr_id"];?></th>
	  -->
	  <th class="numeric td_detail_title" style="width:80px"><?php echo $po_label[$IDIOMA]["partNum"];?></th>
	  <th class="numeric td_detail_title" style="width:370px"><?php echo $po_label[$IDIOMA]["descrip"];?></th>
	  <th class="numeric td_detail_title" style="width:50px"><?php echo $po_label[$IDIOMA]["unit_price"];?></th>
	  <th class="numeric td_detail_title" style="width:120px"><?php echo $po_label[$IDIOMA]["subTot"];?></th>
	</tr>
  </thead>



<?php 
if(is_array($a_vars_linea)){
	for ($i=0; $i < count($a_vars_linea); $i++){
		?>
		<!--
		<tr>
			<td class="td_detail">
				<?php echo intval($a_vars_linea[$i]["pol_cantidad"]);?>
			</td>
			<td class="td_detail">
				<?php echo $a_vars_linea[$i]["pol_descripcion"];?><BR>
				<?php echo $po_label[$IDIOMA]["modelo"];?> :  <?php echo $a_vars_linea[$i]["pr_modelo"];?><BR>
				<?php echo $po_label[$IDIOMA]["marca"];?> : <?php echo $a_vars_linea[$i]["mr_nombre"];?><br>
				<?php echo $po_label[$IDIOMA]["itemOrigen"];?> : <?php echo $a_vars_linea[$i]["pai_nombre"];?><br>
			</td>
			<td class="td_number td_detail">
				<?php echo  $a_vars["po_moneda_sym"]." ".number_format($a_vars_linea[$i]["pol_precio"],2);?>
			</td>
			<td class="td_number td_detail">
				<?php echo  $a_vars["po_moneda_sym"]." ".number_format($a_vars_linea[$i]["pol_subtotal"],2);?>
			</td>
		</tr>
		-->
		<tr>
			<td class="td_detail td_disab">
				<?php echo sprintf("%'*5d\n", $a_vars_linea[$i]["pol_lineaId"]);?>
			</td>
			<td class="td_detail td_number" >
				<?php echo intval($a_vars_linea[$i]["pol_cantidad"]);?>
			</td>
			<!--
			<td class="td_detail">
				<?php echo $a_vars_linea[$i]["pr_productoId"];?>
			</td>
			-->
			<td class="td_detail">
				<?php echo $a_vars_linea[$i]["pr_partNum"];?>
			</td>
			<td class="td_detail">
				<?php echo $a_vars_linea[$i]["pol_descripcion"];?>
			</td>
			<td class="td_number td_detail">
				<?php echo  $a_vars["po_moneda_sym"]." ".number_format($a_vars_linea[$i]["pol_precio"],2);?>
			</td>
			<td class="td_number td_detail">
				<?php echo  $a_vars["po_moneda_sym"]." ".number_format($a_vars_linea[$i]["pol_subtotal"],2);?>
			</td>
		</tr>		
		<?php
	}
}
?>
  <tfoot class="thead-light">
	<tr>
	  <td class="td_total"></td>
	  <td class="td_total"></td>
	  <td class="td_total"></td>
	  <td class="td_total"><?php echo $po_label[$IDIOMA]["total"];?></td>
	  <td class="td_total"></td>
	  <td class="td_total td_number"><?php echo $a_vars["po_moneda_sym"]." ".number_format($TPL_linea_total,2);?></td>
	</tr>
  </tfoot>
</table>

<p>&nbsp;</p>

<table>
	<tr>
		<td class="titleStyle" style="width:100px;vertical-align:top"><?php echo $po_label[$IDIOMA]["transporte"];?></td>
		<td>
			<?php echo $a_vars["po_envioTransportNombre"];?><br>
			<pre><?php echo $a_vars["po_envioTransportObs"];?></pre>
		</td>
	</tr>
	<tr>
		<td class="titleStyle" style="width:100px;vertical-align:top"><?php echo $po_label[$IDIOMA]["obs"];?></td>
		<td>
			<pre><?php echo $a_vars["po_obs"];?></pre>
		</td>
	</tr>
</table>


</page>



<?php
$content = ob_get_clean();
$html2pdf = new HTML2PDF('P','A4','fr');
$html2pdf->WriteHTML($content);
$html2pdf->Output($cotizacion.'.pdf');
?>