<?php
/*
echo "<pre>";
print_r($a_vars);
echo "</pre>";
*/
include_once("vendor/html2pdf/html2pdf.class.php");
ob_start();
?>

<style type="text/css">
<!--
    table.page_header {width: 100%; border: none; background-color: #DDDDFF; border-bottom: solid 1mm #AAAADD; padding: 2mm }
    table.page_footer {width: 100%; border: none; background-color: #DDDDFF; border-top: solid 1mm #AAAADD; padding: 2mm}
    table.page_header TD {padding: 1mm}
    table.table_detail {padding: 5mm; border-style: solid; background-color: #FFF; border-top: solid 1mm #AAAADD; padding: 2mm }

	table.table_header_cliente{padding: 2mm; border-style: solid; background-color: #FFF; border: solid 1px #AAAADD; padding: 2mm }
	
	.td_detail_title {
		border-bottom: solid 1mm #e3e3f4;
	}

	.td_detail {
		border-bottom: solid 1px #ebebeb;
	}

	.td_total {
		padding: 5mm; border-style: solid; border-top: solid 1mm #AAAADD; padding: 2mm;
	}
	
	h1 {color: #000033}
    h2 {color: #000055}
    h3 {color: #000077}

    div.niveau
    {
        padding-left: 5mm;
    }
-->
	.titleStyle{
		font-weight:bold;
	}

	.titlePdfCliente{
		width:450px;
	}

	.td_number {
		text-align:right;
	}

	.td_disab {
		color:#c0c0c0;
	}

	.td_key {
		color:#ea7500;
	}

	.td_fecreg {
		font-size:10px;
		text-align:right;
		color:#FFF;
	}

	.sys-top{
		background: linear-gradient(180deg,#0B1821,#0b1c26)!important;
		background-color:#0B1821;
		padding: 8px 12px;
		height:60px;
		color:#FFF;
		font-size:24px;
		v-align:middle;
	}

	td pre{
		font-family:arial;
	}

</style>
<page>
<table class="sys-top">
	<tr>
		<td style="width:550px">
			<img src="img/dakota-logo-nuevo.png" border="0" alt="<?php echo CIA_NOMBRE?>">
		</td>
		<td class="td_fecreg">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
			Emisi&oacute;n : <?php echo date("d/m/Y H:i:s")?>
		</td>
	</tr>
</table>

<table>
	<tr>
		<td class="titlePdfCliente"><h3>Cotizacion Orden de servicio # <?php echo $a_vars["os_id"]?></h3></td>
		<!-- <td STYLE="width:200px">Fecha : <?php echo $a_vars["os_fecha"];?></td> -->
		<!-- <td>Solicitud  : <?php echo $a_vars["os_sol_id"];?></td> -->
	</tr>
</table>


<table class="table_header_cliente">
	<tr>
		<td class="titleStyle" style="width:400px">
			Cliente
		</td>
		<td class="titleStyle" style="width:320px">
			Ubicacion
		</td>
	</tr>
	<tr>
		<td class="td_key">
			<?php echo $a_vars["os_cli_nombre"];?>
		</td>
	</tr>
	<tr>
		<td>
			<?php echo $a_vars["os_agenciaNombre"];?>
		</td>
	</tr>
</table>		

<table class="table_header_cliente">
	<tr>
		<td class="titleStyle" style="width:400px;">
			Equipo
		</td>
		<td class="titleStyle" style="width:320px;">

		</td>
	</tr>
	<tr>
		<td style="vertical-align:top">
			<table>
				<tr>
					<td>Modelo</td>
					<td class="td_key"> : <?php echo $a_vars["pr_descripcion"];?></td>
				</tr>
				<tr>
					<td>Serie</td>
					<td class="td_key"> : <?php echo $a_vars["os_serieId"];?></td>
				</tr>
			</table>	
		</td>
		<td style="vertical-align:top">
			<table>
				<tr>
					<td>Id. Equipo cliente</td>
					<td> : <?php echo $a_vars["os_serie_cliente"];?></td>
				</tr>
			</table>	
		</td>
	</tr>

</table>


<table class="table_header_cliente">
	<tr>
		<td class="titleStyle" style="width:400px;">
			Tipo de Servicio
		</td>
		<td class="titleStyle" style="width:320px;">
			# Acuerdo vigente
		</td>
	</tr>
	<tr>
		<td class="td_key">
			<?php echo $a_vars["os_tipoServicioNombre"];?>
		</td>
		<td>
			<?php echo $a_vars["os_acuerdoTipoNombre"];?> <?php echo $a_vars["os_acuerdoId"];?>
		</td>
	</tr>
	<tr>
		<td colspan=2>
			&nbsp;
		</td>
	</tr>
	<tr>
		<td class="titleStyle" COLSPAN=2>
			Diagnostico
		</td>
	</tr>
	<tr>
		<td COLSPAN=2>
			<?php echo $a_vars["os_diagnosticoNombre"];?>
		</td>
	</tr>
	<tr>
		<td COLSPAN=2>
			<?php echo $a_vars["os_diagnostico_det"];?>
		</td>
	</tr>
	<tr>
		<td colspan=2>
			&nbsp;
		</td>
	</tr>
</table>


<h4>Detalle de la cotizaci&oacute;n</h4>


<table class="table_detail">
	<tr>
	  <td style="width:100px">Codigo</td>
	  <td style="width:380px">Descripcion</td>
	  <td style="width:80px">Cantidad</td>
	  <td style="width:80px">Precio</td>
	  <td style="width:100px">Subtotal</td>
	</tr>




<?php 
if(is_array($a_vars_linea)){
	for ($i=0; $i < count($a_vars_linea); $i++){
		?>
		<tr>
			<td class="td_detail">
				<?php echo $a_vars_linea[$i]["pr_partNum"];?>
			</td>
			<td class="td_detail">
				<?php echo $a_vars_linea[$i]["pr_descripcion"];?>
			</td>
			<td class="td_detail td_number" >
				<?php echo intval($a_vars_linea[$i]["osr_cantidad"]);?>
			</td>
			<td class="td_detail td_number" >
				<?php echo intval($a_vars_linea[$i]["osr_cantidad"]);?>
			</td>
			<td class="td_detail td_number" >
				<?php echo ($a_vars_linea[$i]["osr_cantidad"]);?>
			</td>
		</tr>		
		<?php
	}
}
?>
</table>

<p>&nbsp;</p>

<table>
	<tr>
		<td style="width:700px;">
			<?php echo $a_vars["os_final_msg"];?>
		</td>
	</tr>
	<tr>
		<td style="width:650px;">
<pre>
CONDICIONES COMERCIALES
Condici&oacute;n de Pago : Contra entrega.
Validez de la oferta : 30 d&iacute;as.
Forma de Pago : En Cheque o Abono en Cuenta Corriente a nombre de DAKOTA SOLUCIONES SAC
Observaciones : LOS PRECIOS OFERTADOS NO INCLUYEN EL SERVICIO DE RECOJO Y ENTREGA DEL EQUIPO

Quedamos a la espera de la aprobaci&oacute;n de la cotizaci&oacute;n para poder dar inicio al servicio.

Atentamente :



SERVICIO TECNICO DAKOTA SOLUCIONES

</pre>

		</td>
	</tr>
</table>


</page>



<?php
$content = ob_get_clean();
$html2pdf = new HTML2PDF('P','A4','fr');
$html2pdf->WriteHTML($content);
$html2pdf->Output($cotizacion.'.pdf');
?>