<?php

$IDIOMA = "es";

$po_label["es"]["ruc"]			= "R.U.C.";
$po_label["es"]["title"]		= "Orden de Servicio";
$po_label["es"]["vendor"]		= "Proveedor";
$po_label["es"]["date"]			= "Fecha Orden";
$po_label["es"]["date_required"]= "Fecha Requerida";
$po_label["es"]["bill_to"]		= "Facturar a";
$po_label["es"]["ship_to"]		= "Enviar a";
$po_label["es"]["qty"]			= "Cantidad";
$po_label["es"]["pr_id"]		= "Codigo";
$po_label["es"]["partNum"]		= "Part Number";
$po_label["es"]["descrip"]		= "Descripcion";
$po_label["es"]["unit_price"]	= "Precio";
$po_label["es"]["subTot"]		= "SubTotal";
$po_label["es"]["total"]		= "Total";
$po_label["es"]["incoterm"]		= "Incoterms";
$po_label["es"]["transporte"]	= "Transportista";
$po_label["es"]["obs"]			= "Comentarios";
$po_label["es"]["detailTitle"]	= "Detalle de la orden";
$po_label["es"]["terms"]		= "Forma de pago";
$po_label["es"]["marca"]		= "Marca";
$po_label["es"]["modelo"]		= "Modelo";
$po_label["es"]["itemOrigen"]	= "Fabricado en ";
$po_label["es"]["ref"]			= "Referencia";
$po_label["es"]["lineId"]		= "Linea";


$po_label["en"]["ruc"]			= "Tax Id Number";
$po_label["en"]["title"]		= "Purchase Order";
$po_label["en"]["vendor"]		= "To";
$po_label["en"]["date"]			= "Order Date";
$po_label["en"]["date_required"]= "Required Date";
$po_label["en"]["bill_to"]		= "Bill To";
$po_label["en"]["ship_to"]		= "Ship To";
$po_label["en"]["qty"]			= "Qty";
$po_label["en"]["pr_id"]		= "Id";
$po_label["en"]["partNum"]		= "Part Num";
$po_label["en"]["descrip"]		= "Description";
$po_label["en"]["unit_price"]	= "Price";
$po_label["en"]["subTot"]		= "Amount";
$po_label["en"]["total"]		= "Grand Total";
$po_label["en"]["incoterm"]		= "Incoterms";
$po_label["en"]["transporte"]	= "Logistic Partner / Freight Fwd";
$po_label["en"]["obs"]			= "Comments";
$po_label["en"]["detailTitle"]	= "Items Ordered";
$po_label["en"]["terms"]		= "Terms";
$po_label["en"]["marca"]		= "Brand";
$po_label["en"]["modelo"]		= "Model";
$po_label["en"]["itemOrigen"]	= "Manufactured and assembled in ";
$po_label["en"]["ref"]			= "Reference";
$po_label["en"]["lineId"]		= "ID";

$a_vars["billTo_name"]			= CIA_NOMBRE;
$a_vars["billTo_address1"]		= CIA_ADDRESS1;
$a_vars["billTo_address2"]		= CIA_ADDRESS2;
$a_vars["billTo_city"]			= CIA_CITY;
$a_vars["billTo_state"]			= CIA_STATE;

if ($a_vars["po_shipTo_id"]){
	$a_vars["shipTo_name"]			= $a_vars["po_shipTo"];
	$a_vars["shipTo_address1"]		= $a_vars["po_shipTo_direccion1"];
	$a_vars["shipTo_address2"]		= $a_vars["po_shipTo_direccion2"];
	$a_vars["shipTo_city"]			= $a_vars["po_shipTo_ciudad"];
	$a_vars["shipTo_state"]			= $a_vars["po_shipTo_estado"];
	$a_vars["shipTo_country"]		= $a_vars["po_shipTo_pais"];
}else{
	$a_vars["shipTo_name"]			= CIA_NOMBRE;
	$a_vars["shipTo_address1"]		= $a_vars["alm_direcc1"];
	$a_vars["shipTo_address2"]		= $a_vars["alm_direcc2"];
	$a_vars["shipTo_city"]			= $a_vars["alm_ciudad"];
	$a_vars["shipTo_state"]			= $a_vars["alm_estado"];
	$a_vars["shipTo_country"]		= $a_vars["alm_pais"];
}
$a_vars["vendor_address1"]			= $a_vars["prv_direccion1"];
$a_vars["vendor_address2"]			= $a_vars["prv_direccion2"];
$a_vars["vendor_city"]				= $a_vars["prv_ciudad"];
$a_vars["vendor_state"]				= $a_vars["prv_estado"];
$a_vars["vendor_country"]			= $a_vars["prv_pais"];

include_once("vendor/html2pdf/html2pdf.class.php");
ob_start();
?>

<style type="text/css">
<!--
    table.page_header {width: 100%; border: none; background-color: #DDDDFF; border-bottom: solid 1mm #AAAADD; padding: 2mm }
    table.page_footer {width: 100%; border: none; background-color: #DDDDFF; border-top: solid 1mm #AAAADD; padding: 2mm}
    table.page_header TD {padding: 1mm}
    table.table_detail {padding: 5mm; border-style: solid; background-color: #FFF; border-top: solid 1mm #AAAADD; padding: 2mm }
	
	.td_detail_title {
		border-bottom: solid 1mm #e3e3f4;
	}

	.td_detail {
		border-bottom: solid 1px #ebebeb;
	}

	.td_total {
		padding: 5mm; border-style: solid; border-top: solid 1mm #AAAADD; padding: 2mm;
	}
	
	h1 {color: #000033}
    h2 {color: #000055}
    h3 {color: #000077}

    div.niveau
    {
        padding-left: 5mm;
    }
-->
	.titleStyle{
		font-weight:bold;
	}

	.titlePdfCliente{
		width:450px;
	}

	.td_number {
		text-align:right;
	}

	.td_disab {
		color:#c0c0c0;
	}

	.td_key {
		color:#ea7500;
	}

	.td_fecreg {
		font-size:10px;
		text-align:right;
		color:#FFF;
	}

	.sys-top{
		background: linear-gradient(180deg,#0B1821,#0b1c26)!important;
		background-color:#0B1821;
		padding: 8px 12px;
		height:60px;
		color:#FFF;
		font-size:24px;
		v-align:middle;
	}

	td pre{
		font-family:arial;
	}

</style>
<page>
<table class="sys-top">
	<tr>
		<td style="width:600px">
			<img src="img/dakota-logo-nuevo.png" border="0" alt="<?php echo CIA_NOMBRE?>">
		</td>
		<td class="td_fecreg">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
			<?php echo date("d/m/Y H:i:s")?>
		</td>
	</tr>
</table>

<table>
	<tr>
		<td class="titlePdfCliente"><h3>Orden de servicio # <?php echo $a_vars["os_id"]?></h3></td>
		<td STYLE="width:200px">Fecha : <?php echo $a_vars["os_fecha"];?></td>
		<td>Solicitud  : <?php echo $a_vars["os_sol_id"];?></td>
	</tr>
</table>


<table>
	<tr>
		<td class="titleStyle">
			Cliente
		</td>
	</tr>
	<tr>
		<td class="td_key">
			<?php echo $a_vars["os_clienteNombre"];?>
		</td>
	</tr>
	<tr>
		<td>
			&nbsp;
		</td>
	</tr>
</table>		

<table>
	<tr>
		<td class="titleStyle">
			Equipo
		</td>
		<td class="titleStyle">
			Direccion / Ubicacion
		</td>
	</tr>
	<tr>
		<td style="width:350px;vertical-align:top">
			<table>
				<tr>
					<td>Modelo</td>
					<td class="td_key"><?php echo $a_vars["os_equipoNombre"];?></td>
				</tr>
				<tr>
					<td>Serie</td>
					<td class="td_key"><?php echo $a_vars["os_serie"];?></td>
				</tr>
				<tr>
					<td>Id. Cliente</td>
					<td><?php echo $a_vars["os_equipoClienteId"];?></td>
				</tr>
				<tr>
					<td>Marca</td>
					<td><?php echo $a_vars["os_equipoMarca"];?></td>
				</tr>
				</table>	
		</td>
		<td style="width:420px;vertical-align:top">
			<?php echo $a_vars["os_agenciaNombre"];?><br>
			<?php echo $a_vars["os_direcc1"];?><br>
			<?php echo $a_vars["os_direcc2"];?><br>
			<?php echo $a_vars["os_ciudad"];?><br>
			<?php echo $a_vars["os_estado"] ." ," .$a_vars["os_pais"];?><br>
		</td>
	</tr>

</table>


<table>
	<tr>
		<td class="titleStyle" style="width:350px;">
			Tipo de Servicio
		</td>
		<td class="titleStyle">
			Acuerdo vigente
		</td>
	</tr>
	<tr>
		<td class="td_key">
			<?php echo $a_vars["os_tipoServicioNombre"];?>
		</td>
		<td>
			<?php echo $a_vars["os_acuerdoTipoNombre"];?> <?php echo $a_vars["os_acuerdoId"];?>
		</td>
	</tr>
	<tr>
		<td colspan=2>
			&nbsp;
		</td>
	</tr>
</table>

<table>
	<tr>
		<td class="titleStyle" style="width:350px;">
			Falla reportada
		</td>
		<td class="titleStyle" style="width:350px;">
			Diagnostico
		</td>
	</tr>
	<tr>
		<td>
			<?php echo $a_vars["os_fallaNombre"];?>
		</td>
		<td>
			<?php echo $a_vars["os_diagnosticoNombre"];?>
		</td>
	</tr>
	<tr>
		<td>
			<?php echo $a_vars["os_fallaDetalle"];?>
		</td>
		<td>
			<?php echo $a_vars["os_diagnosticoDetalle"];?>
		</td>
	</tr>
	<tr>
		<td colspan=2>
			&nbsp;
		</td>
	</tr>
</table>


<table>
	<tr>
		<td class="titleStyle" style="width:350px;">
			Tecnico
		</td>
		<td class="titleStyle" style="width:250px;">
			Inicio Servicio
		</td>
		<td class="titleStyle" style="width:150px;">
			Fin Servicio
		</td>
	</tr>
	<tr>
		<td>
			<?php echo $a_vars["os_tecnicoNombre"];?>
		</td>
		<td>
			<?php echo $a_vars["os_fechaSrvInicio"];?>
		</td>
		<td>
			<?php echo $a_vars["os_fechaSrvFin"];?>
		</td>
	</tr>
	<tr>
		<td colspan=3>
			&nbsp;
		</td>
	</tr>
</table>



<table>
	<tr>
		<td class="titleStyle" style="width:350px;">
			Procedimiento general aplicado
		</td>
		<td class="titleStyle" style="width:350px;">
			Procedimiento especifico aplicado
		</td>
	</tr>
	<tr>
		<td STYLE="vertical-align:top">
			<table>
				<?php for ($i=0; $i < count($a_lista_proced_gen);$i++){ ?>
						<tr>
							<td>[ <?php if ($a_lista_proced_gen[$i]["value"]){ echo "X";}?> ]</td>
							<td><?php echo $a_lista_proced_gen[$i]["label"]?></td>
						</tr>
				<?php }?>
			</table>
		</td>
		<td STYLE="vertical-align:top">
			<table>
				<?php for ($i=0; $i < count($a_lista_proced_eqp);$i++){ ?>
						<tr>
							<td>[ <?php if ($a_lista_proced_eqp[$i]["value"]){ echo "X";}?> ]</td>
							<td><?php echo $a_lista_proced_eqp[$i]["label"]?></td>
						</tr>
				<?php }?>
			</table>
		</td>
	</tr>
	<tr>
		<td colspan=2>
			&nbsp;
		</td>
	</tr>
</table>


<table>
	<tr>
		<td class="titleStyle" style="width:700px;">
			Acciones realizadas
		</td>
	</tr>
	<tr>
		<td>
			<pre><?php echo $a_vars["os_acciones"];?></pre>
		</td>
	</tr>
	<tr>
		<td>
			&nbsp;
		</td>
	</tr>
</table>

<table>
	<tr>
		<td class="titleStyle" style="width:700px;">
			Proxima revision sugerida
		</td>
	</tr>
	<tr>
		<td>
			<pre><?php echo $a_vars["os_fechaProxRevSug"];?></pre>
		</td>
	</tr>
	<tr>
		<td>
			&nbsp;
		</td>
	</tr>
</table>



<h4>Repuestos utilizados</h4>


<table class="table_detail">
	<tr>
	  <td style="width:100px">Codigo</td>
	  <td style="width:500px">Descripcion</td>
	  <td style="width:100px">Cantidad</td>
	</tr>




<?php 
if(is_array($a_vars_linea)){
	for ($i=0; $i < count($a_vars_linea); $i++){
		?>
		<tr>
			<td class="td_detail">
				<?php echo $a_vars_linea[$i]["pr_partNum"];?>
			</td>
			<td class="td_detail">
				<?php echo $a_vars_linea[$i]["pol_descripcion"];?>
			</td>
			<td class="td_detail td_number" >
				<?php echo intval($a_vars_linea[$i]["pol_cantidad"]);?>
			</td>
		</tr>		
		<?php
	}
}
?>
</table>

<p>&nbsp;</p>

<table>
	<tr>
		<td style="width:700px;">
			<?php echo $a_vars["os_final_msg"];?>
		</td>
	</tr>
	<tr>
		<td style="width:650px;">
			<p>&nbsp;</p>
			<p>&nbsp;</p>
			<p>&nbsp;</p>
			<p>&nbsp;</p>
			________________________________________

			<p>&nbsp;</p>
			Nombre, firma y sello del cliente.
		</td>
	</tr>
</table>


</page>



<?php
$content = ob_get_clean();
$html2pdf = new HTML2PDF('P','A4','fr');
$html2pdf->WriteHTML($content);
$html2pdf->Output($cotizacion.'.pdf');
?>