<?php

include_once ("class/imIngreso.class.php");
include_once ("class/imSalida.class.php");
include_once ("class/imAlmacen.class.php");

//include ("imStockMovim.class.php");

class ImDevConsig{


	public function creaDevConsig($sal_id){
		global $PDO, $usuario;
		try {  
			$PDO->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
			$PDO->beginTransaction();
			//DATOS DESDE SALIDA POR CONSIGNACION
			$ImSalida = NEW ImSalida();
			$a_vars_salida = $ImSalida->consultarId($sal_id);
			$ImSalidaLinea = NEW ImSalida();
			$a_vars_salida_linea = $ImSalidaLinea->consultarIdLineas($sal_id);
			//CREAR INGRESO
			if (is_array($a_vars_salida_linea)){

				$ImIngreso		= NEW ImIngreso();
				$ImIngresoObj	= NEW ImIngreso();
				$ImIngresoObj->ing_tipo			= "DCN";
				$ImIngresoObj->ing_almacenId	= $a_vars_salida["sal_almacenId"];
				//$ImIngresoObj->ing_loteId		= $a_vars_salida["sal_loteId"];
				$ImIngresoObj->ing_prv_nombre	= $a_vars_salida["sal_cli_nombre"];
				$ImIngresoObj->ing_fecha		= date("Y-m-d");
				$ImIngresoObj->ing_fechaDoc		= date("Y-m-d");
				$ImIngresoObj->ing_glosa		= $a_vars["sal_glosa"];
				$ImIngresoObj->ing_obs			= "DEVOLUCION CONSIGNACION (SALIDA ".$sal_id.") ".$a_vars_salida["sal_cli_nombre"]." ".$a_vars_salida["sal_obs"];
				$ImIngresoObj->ing_glosa		= $a_vars_salida["sal_glosa"];
				if (!$usuario){
					$usuario = "no login";
				}
				$ImIngresoObj->ing_usrreg		= "sistema";
				$ingresoId = $ImIngreso->crear($ImIngresoObj);

				$ImSalidaModelUpd		 = NEW ImSalidaModel();
				$ImSalidaModelSetObj	 = NEW ImSalidaModel();
				$ImSalidaModelSetObj->sal_id		= $sal_id;
				$ImSalidaModelSetObj->sal_2_ing_id	= $ingresoId;
				$ImSalidaModelUpd->update($ImSalidaModelSetObj);

				for ($j=0; $j < count($a_vars_salida_linea); $j++){
					$ImIngresoLinea		= NEW ImIngresoLinea();
					$ImIngresoLineaObj	= NEW ImIngresoLinea();
					$ImIngresoLineaObj->ingl_id			= $ingresoId;
					$ImIngresoLineaObj->ingl_prId		= $a_vars_salida_linea[$j]["sall_prId"];
					//$ImIngresoLineaObj->ingl_loteId		= $a_vars_salida_linea[$j]["ingl_loteId"];
					$ImIngresoLineaObj->ingl_cantidad	= $a_vars_salida_linea[$j]["sall_cantidad"];
					$ImIngresoLineaObj->ingl_costo		= $a_vars_salida_linea[$j]["sall_costo"];
					if ($a_vars_salida_linea[$j]["sall_costo_gl"] <= 0){
						$ImIngresoLineaObj->ingl_costo_gl = $a_vars_salida_linea[$j]["sall_costo"] * $a_vars_salida["sal_tipoCambio"];
					}else{
						$ImIngresoLineaObj->ingl_costo_gl = $a_vars_salida_linea[$j]["sall_costo_gl"];
					}
					$ImIngresoLineaObj->ingl_usrreg	= $usuario;
					$result = $ImIngresoLinea->crear($ImIngresoLineaObj);					
				}
				//reset($a_vars_linea);
				//$ImSalida->cerrarSalida($sal_id);
				//$ImIngreso->cerrarIngreso($ingresoId);
			}
			$PDO->commit();
		  
		} catch (Exception $e) {
		  $PDO->rollBack();
		  echo "Fallo: " . $e->getMessage();
		  exit;
		}

	}



	public function procesaDevConsig($ing_id){
		global $PDO, $usuario;
		try {  
			$PDO->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
			$PDO->beginTransaction();

			//Almacen configurado como prestamosInterno (solo existe 1)
			$ImAlmacen		= NEW ImAlmacen();
			$ImAlmacenObj	= NEW ImAlmacen();
			$ImAlmacenObj->alm_consignacion	= TRUE;
			$a_almacenList	= $ImAlmacen->consultar($ImAlmacenObj);
			$alm_consignacion	= $a_almacenList["listaPag"][0]["alm_id"];

			//DATOS DESDE EL INGRESO POR DEVOLUCION
			$ImIngreso = NEW ImIngreso();
			$a_vars_ingreso = $ImIngreso->consultarId($ing_id);
			$ImIngresoLinea = NEW ImIngreso();
			$a_vars_ingreso_linea = $ImIngresoLinea->consultarIdLineas($ing_id);
			//CREAR SALIDA
			if (is_array($a_vars_ingreso_linea)){
				$ImSalida		= NEW ImSalida();
				$ImSalidaObj	= NEW ImSalida();
				$ImSalidaObj->sal_tipo			= "DCN";
				$ImSalidaObj->sal_almacenId		= $alm_consignacion;
				//$ImSalidaObj->sal_loteId		= $a_vars_ingreso["ing_loteId"];
				$ImSalidaObj->sal_cli_nombre	= $a_vars_ingreso["ing_cli_nombre"];
				$ImSalidaObj->sal_fecha			= $a_vars_ingreso["ing_fecha"];
				$ImSalidaObj->sal_fechaDoc		= $a_vars_ingreso["ing_fechaDoc"];
				$ImSalidaObj->sal_glosa			= $a_vars["ing_glosa"];
				$ImSalidaObj->sal_obs			= "DEVOLUCION CONSIGNACION (INGRESO ".$ing_id.") ".$a_vars_ingreso["ing_cli_nombre"]." ".$a_vars_ingreso["ing_obs"];
				$ImSalidaObj->sal_usrreg		= "sistema";
				$salidaId = $ImSalida->crear($ImSalidaObj);
				for ($j=0; $j < count($a_vars_ingreso_linea); $j++){
					$ImSalidaLinea		= NEW ImSalidaLinea();
					$ImSalidaLineaObj	= NEW ImSalidaLinea();
					$ImSalidaLineaObj->sall_id			= $salidaId;
					$ImSalidaLineaObj->sall_prId		= $a_vars_ingreso_linea[$j]["ingl_prId"];
					//$ImSalidaLineaObj->sall_loteId		= $a_vars_ingreso_linea[$j]["ingl_loteId"];
					$ImSalidaLineaObj->sall_cantidad	= $a_vars_ingreso_linea[$j]["ingl_cantidad"];
					$ImSalidaLineaObj->sall_costo		= $a_vars_ingreso_linea[$j]["ingl_costo"];
					if ($a_vars_ingreso_linea[$j]["ingl_costo_gl"] <= 0){
						$ImSalidaLineaObj->sall_costo_gl = $a_vars_ingreso_linea[$j]["ingl_costo"] * $a_vars_ingreso["ing_tipoCambio"];
					}else{
						$ImSalidaLineaObj->sall_costo_gl = $a_vars_ingreso_linea[$j]["ingl_costo_gl"];
					}
					$ImSalidaLineaObj->sall_usrreg	= $usuario;
					/*
					echo "<pre>";
					print_r($a_vars_ingreso_linea);
					echo "</pre>";
					*/
					$result = $ImSalidaLinea->crear($ImSalidaLineaObj);					
				}
				//reset($a_vars_linea);
				$ImSalida->cerrarSalida($salidaId);
				$ImIngreso->cerrarIngreso($ing_id);
			}
			$PDO->commit();
		  
		} catch (Exception $e) {
		  $PDO->rollBack();
		  echo "Fallo:: " . $e->getMessage();
		  exit;
		}

	}


	public function creaVtaConsig($ing_id){
		global $PDO, $usuario;
		try {  
			$PDO->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
			$PDO->beginTransaction();

			//DATOS DESDE EL INGRESO POR DEVOLUCION
			$ImIngreso = NEW ImIngreso();
			$a_vars_ingreso = $ImIngreso->consultarId($ing_id);
			$ImIngresoLinea = NEW ImIngreso();
			$a_vars_ingreso_linea = $ImIngresoLinea->consultarIdLineas($ing_id);
			//CREAR SALIDA
			if (is_array($a_vars_ingreso_linea)){
				$ImSalida		= NEW ImSalida();
				$ImSalidaObj	= NEW ImSalida();
				$ImSalidaObj->sal_tipo			= "V";
				$ImSalidaObj->sal_almacenId		= $a_vars_ingreso["ing_almacenId"];
				$ImSalidaObj->sal_cli_nombre	= $a_vars_ingreso["ing_prv_nombre"];
				$ImSalidaObj->sal_fecha			= date("Y-m-d");
				$ImSalidaObj->sal_fechaDoc		= date("Y-m-d");
				$ImSalidaObj->sal_glosa			= $a_vars["ing_glosa"];
				$ImSalidaObj->sal_obs			= "VENTA CONSIGNACION (INGRESO ".$ing_id.") ".$a_vars_ingreso["ing_prv_nombre"]." ".$a_vars_ingreso["ing_obs"];
				if (!$usuario){
					$usuario = "no login";	
				}
				$ImSalidaObj->sal_usrreg		= "sistema";
				$salidaId = $ImSalida->crear($ImSalidaObj);

				$ImIngresoModelUpd		 = NEW ImIngresoModel();
				$ImIngresoModelSetObj	 = NEW ImIngresoModel();
				$ImIngresoModelSetObj->ing_id		= $ing_id;
				$ImIngresoModelSetObj->ing_2_sal_id	= $salidaId;
				$ImIngresoModelUpd->update($ImIngresoModelSetObj);

				for ($j=0; $j < count($a_vars_ingreso_linea); $j++){
					$ImSalidaLinea		= NEW ImSalidaLinea();
					$ImSalidaLineaObj	= NEW ImSalidaLinea();
					$ImSalidaLineaObj->sall_id			= $salidaId;
					$ImSalidaLineaObj->sall_prId		= $a_vars_ingreso_linea[$j]["ingl_prId"];
					$ImSalidaLineaObj->sall_cantidad	= $a_vars_ingreso_linea[$j]["ingl_cantidad"];
					$ImSalidaLineaObj->sall_costo		= $a_vars_ingreso_linea[$j]["ingl_costo"];
					if ($a_vars_ingreso_linea[$j]["ingl_costo_gl"] <= 0){
						$ImSalidaLineaObj->sall_costo_gl = $a_vars_ingreso_linea[$j]["ingl_costo"] * $a_vars_ingreso["ing_tipoCambio"];
					}else{
						$ImSalidaLineaObj->sall_costo_gl = $a_vars_ingreso_linea[$j]["ingl_costo_gl"];
					}
					$ImSalidaLineaObj->sall_usrreg	= $usuario;
					$result = $ImSalidaLinea->crear($ImSalidaLineaObj);					
				}
				//reset($a_vars_linea);
				//$ImSalida->cerrarSalida($salidaId);
				//$ImIngreso->cerrarIngreso($ing_id);
			}
			$PDO->commit();
		  
		} catch (Exception $e) {
		  $PDO->rollBack();
		  echo "Fallo: " . $e->getMessage();
		}

	}


}





?>