<?php

include_once ("class/imIngreso.class.php");
include_once ("class/imSalida.class.php");
include_once ("class/imAlmacen.class.php");

//include ("imStockMovim.class.php");

class ImDevRMA{

	public function procesaDevRMA($ing_id){
		global $PDO, $usuario;
		try {  
			$PDO->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
			$PDO->beginTransaction();

			//Almacen configurado como prestamosInterno (solo existe 1)
			$ImAlmacen		= NEW ImAlmacen();
			$ImAlmacenObj	= NEW ImAlmacen();
			$ImAlmacenObj->alm_RMA	= TRUE;
			$a_almacenList	= $ImAlmacen->consultar($ImAlmacenObj);
			$alm_RMA	= $a_almacenList["listaPag"][0]["alm_id"];

			//DATOS DESDE EL INGRESO POR DEVOLUCION
			$ImIngreso = NEW ImIngreso();
			$a_vars_ingreso = $ImIngreso->consultarId($ing_id);
			$ImIngresoLinea = NEW ImIngreso();
			$a_vars_ingreso_linea = $ImIngresoLinea->consultarIdLineas($ing_id);
			//CREAR SALIDA
			if (is_array($a_vars_ingreso_linea)){
				$ImSalida		= NEW ImSalida();
				$ImSalidaObj	= NEW ImSalida();
				$ImSalidaObj->sal_tipo			= "DRM";
				$ImSalidaObj->sal_almacenId		= $alm_RMA;
				$ImSalidaObj->sal_loteId		= $a_vars_ingreso["ing_loteId"];
				$ImSalidaObj->sal_cli_nombre	= "DAKOTA";
				$ImSalidaObj->sal_fecha			= $a_vars_ingreso["ing_fecha"];
				$ImSalidaObj->sal_fechaDoc		= $a_vars_ingreso["ing_fechaDoc"];
				$ImSalidaObj->sal_glosa			= $a_vars["sal_glosa"];
				$ImSalidaObj->sal_obs			= "DEVOLUCION RMA ".$a_vars_ingreso["ing_loteId"];
				$ImSalidaObj->sal_usrreg		= $usuario;
				$salidaId = $ImSalida->crear($ImSalidaObj);
				for ($j=0; $j < count($a_vars_ingreso_linea); $j++){
					$ImSalidaLinea		= NEW ImSalidaLinea();
					$ImSalidaLineaObj	= NEW ImSalidaLinea();
					$ImSalidaLineaObj->sall_id			= $salidaId;
					$ImSalidaLineaObj->sall_prId		= $a_vars_ingreso_linea[$j]["ingl_prId"];
					$ImSalidaLineaObj->sall_loteId		= $a_vars_ingreso_linea[$j]["ingl_loteId"];
					$ImSalidaLineaObj->sall_cantidad	= $a_vars_ingreso_linea[$j]["ingl_cantidad"];
					$ImSalidaLineaObj->sall_costo		= $a_vars_ingreso_linea[$j]["ingl_costo"];
					if ($a_vars_ingreso_linea[$j]["ingl_costo_gl"] <= 0){
						$ImSalidaLineaObj->sall_costo_gl = $a_vars_ingreso_linea[$j]["ingl_costo"] * $a_vars_ingreso["ing_tipoCambio"];
					}else{
						$ImSalidaLineaObj->sall_costo_gl = $a_vars_ingreso_linea[$j]["ingl_costo_gl"];
					}
					$ImSalidaLineaObj->sall_usrreg	= $usuario;
					$result = $ImSalidaLinea->crear($ImSalidaLineaObj);					
				}
				//reset($a_vars_ingreso_linea);
				$ImSalida->cerrarSalida($salidaId);
				$ImIngreso->cerrarIngreso($ing_id);
			}
			$PDO->commit();
		  
		} catch (Exception $e) {
		  $PDO->rollBack();
		  echo "Fallo: " . $e->getMessage();
		}

	}


}





?>