<?php

include ("class/imGuiaModel.class.php");


class ImGuia{

	var $ge_id = 0;
	var $ge_tipo = '';
	var $ge_tipo_sunat = '';
	var $ge_almacenId = 0;
	var $ge_pdte_regulariza = '';
	var $ge_cli_id = 0;
	var $ge_cli_ruc = '';
	var $ge_cli_nombre = '';
	var $ge_contacto = '';
	var $ge_so_id = 0;
	var $ge_wo_id = 0;
	var $ge_refDocId ='';
	var $ge_refDocId2 ='';
	var $ge_fechaDoc = '';
	var $ge_fechaReq = '';
	var $ge_fechaEnt = '';
	var $ge_tipo_entrega = '';
	var $ge_direccion1 = '';
	var $ge_direccion2 = '';
	var $ge_ciudad = '';
	var $ge_estado = '';
	var $ge_pais = '';
	var $ge_obs = '';
	var $ge_glosa = '';
	var $ge_status = '';
	var $ge_fecreg = '';
	var $ge_fecact = '';
	var $ge_usrreg = '';
	var $ge_usract = '';
	var $ge_ubigeo = '';
	var $ge_tipo_transporte  = '';
	var $ge_transp_doc_tipo = '';
	var $ge_transp_doc_nro = '';
	var $ge_transp_nombre = '';
	var $ge_transp_placa = '';
	var $ge_cli_tipo_doc = '';
	var $ge_cli_correo = '';

	public function consultarId($id){
		$ImGuiaModel= NEW ImGuiaModel();
		$a_result = $ImGuiaModel->selectUniqueId($id);
		return $a_result;
	}

	public function consultarIdExt($id){
		$ImGuiaModel= NEW ImGuiaModel();
		$a_result = $ImGuiaModel->selectExtUniqueId($id);
		return $a_result;
	}

	public function consultar($ImGuiaFilter){
		$ImGuiaModel = NEW ImGuiaModel();
		return $ImGuiaModel->select($ImGuiaFilter);
	}

	public function consultarExt($ImGuiaFilter){
		$ImGuiaModel = NEW ImGuiaModel();
		return $ImGuiaModel->selectGuiaExt($ImGuiaFilter);
	}

	public function consultarPag($ImGuiaFilter,$limit){
		$ImGuiaModel = NEW ImGuiaModel();
		return $ImGuiaModel->select($ImGuiaFilter,$limit);
	}

	public function consultarIdLineas($id,$chCant=''){
		$ImGuiaModel= NEW ImGuiaLineaModel();
		$a_result = $ImGuiaModel->selectUniqueId($id,$chCant);
		return $a_result;
	}

	public function consultarIdLineasGroupPrId($id){
		$ImGuiaModel= NEW ImGuiaLineaModel();
		$a_result = $ImGuiaModel->selectUniqueIdGroupPrId($id);
		return $a_result;
	}


	public function procesar($id){
		global $usuario, $PDO;
		try {
			$PDO->beginTransaction();

			$this->cerrarDespacho($id);

			$PDO->commit();
			return $a_imIngresoLineas;

		} catch (Exception $e) {
			echo '<h5 style=background-color:ffff00>Error capturado: ',  $e->getMessage(), "</h5>\n";
			$PDO->rollback();
			return FALSE;
		}
	}


	function cerrarDespacho($id){
		global $PDO, $usuario;
		$a_ImGuiaModel		= $this->consultarId($id);
		if ($a_ImGuiaModel["ge_status"] == ''){
			$ImGuiaModelUpd		 = NEW ImGuiaModel();
			$ImGuiaModelSetObj	 = NEW ImGuiaModel();
			$ImGuiaLineaModel		 = NEW ImGuiaLineaModel();
			$ImGuiaModelSetObj->ge_id	 = $id;
			$ImGuiaModelSetObj->ge_status = 'C';
			$ImGuiaModelUpd->update($ImGuiaModelSetObj);
			$a_imIngresoLineas = $ImGuiaLineaModel->selectUniqueId($id);
		}else{
			return FALSE;
		}		
	}

	public function crear($ImGuiaObj){		
		$ImGuiaModelIns = NEW ImGuiaModel();
		return $ImGuiaModelIns->insert($ImGuiaObj);
	}


	public function modificar($ImGuiaObj){
		if (!$ImGuiaObj->ge_id){
			return FALSE;
		}
		$ImGuiaModelUpd						= NEW ImGuiaModel();
		$ImGuiaModelSetObj						= NEW ImGuiaModel();	
		$ImGuiaModelSetObj->ge_id				= $ImGuiaObj->ge_id;
		$ImGuiaModelSetObj->ge_tipo			= $ImGuiaObj->ge_tipo;
		$ImGuiaModelSetObj->ge_tipo_sunat		= $ImGuiaObj->ge_tipo_sunat;
		$ImGuiaModelSetObj->ge_almacenId		= $ImGuiaObj->ge_almacenId;
		$ImGuiaModelSetObj->ge_pdte_regulariza	= $ImGuiaObj->ge_pdte_regulariza;
		$ImGuiaModelSetObj->ge_cli_id			= $ImGuiaObj->ge_cli_id;
		$ImGuiaModelSetObj->ge_cli_ruc			= $ImGuiaObj->ge_cli_ruc;
		$ImGuiaModelSetObj->ge_cli_nombre		= $ImGuiaObj->ge_cli_nombre;
		$ImGuiaModelSetObj->ge_contacto		= $ImGuiaObj->ge_contacto;
		$ImGuiaModelSetObj->ge_so_id			= $ImGuiaObj->ge_so_id;
		$ImGuiaModelSetObj->ge_wo_id			= $ImGuiaObj->ge_wo_id;
		$ImGuiaModelSetObj->ge_refDocId		= $ImGuiaObj->ge_refDocId;
		$ImGuiaModelSetObj->ge_refDocId2		= $ImGuiaObj->ge_refDocId2;

		$ImGuiaModelSetObj->ge_fechaDoc		= $ImGuiaObj->ge_fechaDoc;
		$ImGuiaModelSetObj->ge_fechaReq		= $ImGuiaObj->ge_fechaReq;
		$ImGuiaModelSetObj->ge_fechaEnt		= $ImGuiaObj->ge_fechaEnt;
		$ImGuiaModelSetObj->ge_tipo_entrega	= $ImGuiaObj->ge_tipo_entrega;
		$ImGuiaModelSetObj->ge_direccion1		= $ImGuiaObj->ge_direccion1;
		$ImGuiaModelSetObj->ge_direccion2		= $ImGuiaObj->ge_direccion2;
		$ImGuiaModelSetObj->ge_ciudad			= $ImGuiaObj->ge_ciudad;
		$ImGuiaModelSetObj->ge_estado			= $ImGuiaObj->ge_estado;
		$ImGuiaModelSetObj->ge_pais			= $ImGuiaObj->ge_pais;
		$ImGuiaModelSetObj->ge_obs				= $ImGuiaObj->ge_obs;
		$ImGuiaModelSetObj->ge_glosa			= $ImGuiaObj->ge_glosa;
		$ImGuiaModelSetObj->ge_ubigeo			= $ImGuiaObj->ge_ubigeo;

		$ImGuiaModelSetObj->ge_id_rem		= $ImGuiaObj->ge_id_rem;
		$ImGuiaModelSetObj->ge_ruc_rem		= $ImGuiaObj->ge_ruc_rem;
		$ImGuiaModelSetObj->ge_nombre_rem		= $ImGuiaObj->ge_nombre_rem;
		$ImGuiaModelSetObj->ge_direccion1_rem		= $ImGuiaObj->ge_direccion1_rem;
		$ImGuiaModelSetObj->ge_direccion2_rem		= $ImGuiaObj->ge_direccion2_rem;
		$ImGuiaModelSetObj->ge_ciudad_rem		= $ImGuiaObj->ge_ciudad_rem;
		$ImGuiaModelSetObj->ge_estado_rem		= $ImGuiaObj->ge_estado_rem;
		$ImGuiaModelSetObj->ge_ubigeo_rem		= $ImGuiaObj->ge_ubigeo_rem;
		$ImGuiaModelSetObj->ge_id_dst		= $ImGuiaObj->ge_id_dst;
		$ImGuiaModelSetObj->ge_ruc_dst		= $ImGuiaObj->ge_ruc_dst;
		$ImGuiaModelSetObj->ge_nombre_dst		= $ImGuiaObj->ge_nombre_dst;
		$ImGuiaModelSetObj->ge_direccion1_dst		= $ImGuiaObj->ge_direccion1_dst;
		$ImGuiaModelSetObj->ge_direccion2_dst		= $ImGuiaObj->ge_direccion2_dst;
		$ImGuiaModelSetObj->ge_ciudad_dst		= $ImGuiaObj->ge_ciudad_dst;
		$ImGuiaModelSetObj->ge_estado_dst		= $ImGuiaObj->ge_estado_dst;
		$ImGuiaModelSetObj->ge_ubigeo_dst		= $ImGuiaObj->ge_ubigeo_dst;

		$ImGuiaModelSetObj->ge_tipo_transporte	= $ImGuiaObj->ge_tipo_transporte;
		$ImGuiaModelSetObj->ge_transp_doc_tipo	= $ImGuiaObj->ge_transp_doc_tipo;
		$ImGuiaModelSetObj->ge_transp_doc_nro	= $ImGuiaObj->ge_transp_doc_nro;
		$ImGuiaModelSetObj->ge_transp_nombre	= $ImGuiaObj->ge_transp_nombre;
		$ImGuiaModelSetObj->ge_transp_placa	= $ImGuiaObj->ge_transp_placa;

		$ImGuiaModelSetObj->ge_transp_priv_doc_tipo	= $ImGuiaObj->ge_transp_priv_doc_tipo;
		$ImGuiaModelSetObj->ge_transp_priv_doc_nro	= $ImGuiaObj->ge_transp_priv_doc_nro;
		$ImGuiaModelSetObj->ge_transp_priv_nombre	= $ImGuiaObj->ge_transp_priv_nombre;
		$ImGuiaModelSetObj->ge_transp_priv_apellido	= $ImGuiaObj->ge_transp_priv_apellido;
		$ImGuiaModelSetObj->ge_transp_priv_licencia	= $ImGuiaObj->ge_transp_priv_licencia;

		$ImGuiaModelSetObj->ge_transp_priv_placa	= $ImGuiaObj->ge_transp_priv_placa;
		$ImGuiaModelSetObj->ge_transp_priv_tarjeta	= $ImGuiaObj->ge_transp_priv_tarjeta;
		$ImGuiaModelSetObj->ge_transp_priv_autoriz	= $ImGuiaObj->ge_transp_priv_autoriz;
		$ImGuiaModelSetObj->ge_transp_priv_codEmisor= $ImGuiaObj->ge_transp_priv_codEmisor;

		$ImGuiaModelSetObj->ge_cli_tipo_doc	= $ImGuiaObj->ge_cli_tipo_doc;
		$ImGuiaModelSetObj->ge_cli_correo		= $ImGuiaObj->ge_cli_correo;

		$ImGuiaModelSetObj->ge_transbordo		= $ImGuiaObj->ge_transbordo;
		$ImGuiaModelSetObj->ge_fecTran		= $ImGuiaObj->ge_fecTran;
		$ImGuiaModelSetObj->ge_fecEnt		= $ImGuiaObj->ge_fecEnt;

 		$ImGuiaModelSetObj->ge_status			= $ImGuiaObj->ge_status;
		$ImGuiaModelSetObj->ge_usract			= $ImGuiaObj->ge_usract;
		return $ImGuiaModelUpd->update($ImGuiaModelSetObj);		
	}


	public function anular($id){
		if (!$id){
			return FALSE;
		}
		$ImGuiaModelUpd		= NEW ImGuiaModel();
		$ImGuiaModelSetObj		 = NEW ImGuiaModel();	
		$ImGuiaModelSetObj->ge_id	  = $id;
		$ImGuiaModelSetObj->ge_status  = 'A';
		return $ImGuiaModelUpd->update($ImGuiaModelSetObj);
	}

}






class ImGuiaLinea{
/*
	var $odl_id			= 0; 
	var $odl_lineaId	= 0; 
	var $odl_prId		= 0;
	var $odl_obs		= ''; 
	var $odl_cantidad	= 0; 
	var $odl_usrreg		= ''; 
	var $odl_fecreg		= ''; 
*/
	public function crear($ImGuiaLineaObj,$tipoIngreso=''){	
		$ImGuiaLineaModelIns = NEW ImGuiaLineaModel();
		return $ImGuiaLineaModelIns->insert($ImGuiaLineaObj);
	}

	public function modificar($ImGuiaLineaObj){
		if (!$ImGuiaLineaObj->odl_id){
			return FALSE;
		}
		$ImGuiaModelLineaUpd	 = NEW ImGuiaLineaModel();
		$ImGuiaModelLineaSetObj = NEW ImGuiaLineaModel();	
		$ImGuiaModelLineaSetObj->odl_id		= $ImGuiaLineaObj->odl_id;
		$ImGuiaModelLineaSetObj->odl_lineaId	= $ImGuiaLineaObj->odl_lineaId;
		$ImGuiaModelLineaSetObj->odl_prId		= $ImGuiaLineaObj->odl_prId;
		$ImGuiaModelLineaSetObj->odl_cantidad	= $ImGuiaLineaObj->odl_cantidad;
		$ImGuiaModelLineaSetObj->odl_cantidad_resta = $ImGuiaLineaObj->odl_cantidad_resta;
		$ImGuiaModelLineaSetObj->odl_obs		= $ImGuiaLineaObj->odl_obs;

		return $ImGuiaModelLineaUpd->update($ImGuiaModelLineaSetObj);		
	}

	public function borrar($id){
		$ImGuiaLineaModelDel = NEW ImGuiaLineaModel();
		return $ImGuiaLineaModelDel->delete($id);		
	}

	public function consultarLineaArticulo($ordenId,$productoId){
		$ImGuiaLineaModel= NEW ImGuiaLineaModel();
		$a_result = $ImGuiaLineaModel->selectLineaArticulo($ordenId,$productoId);
		return $a_result;
	}

	public function consultar($ImGuiaLineaObj){
		$ImGuiaLineaModel= NEW ImGuiaLineaModel();
		$a_result = $ImGuiaLineaModel->select($ImGuiaLineaObj);
		return $a_result;
	}

	public function eliminarLineaRefDocId2($id){
		if (!$id){
			return FALSE;
		}
		$ImGuiaModelDelete	= NEW ImGuiaLineaModel();
		return $ImGuiaModelDelete->deleteLinRefDocId2($id);
	}

	public function eliminarLineasGuia($ge_id){
		if (!$ge_id){
			return FALSE;
		}
		$ImGuiaModelDelete	= NEW ImGuiaLineaModel();
		return $ImGuiaModelDelete->deleteLineasGuia($ge_id);
	}


}




class ImGuiaSerie{

	var $odl_id			= 0; 
	var $odl_lineaId	= 0; 
	var $odl_prId		= 0;
	var $odl_obs		= ''; 
	var $odl_cantidad	= 0; 
	var $odl_usrreg		= ''; 
	var $odl_fecreg		= ''; 

	public function crear($ImGuiaSerieObj,$tipoIngreso=''){	
		$ImGuiaSerieModelIns = NEW ImGuiaSerieModel();
		return $ImGuiaSerieModelIns->insert($ImGuiaSerieObj);
	}

	public function modificar($ImGuiaSerieObj){
		if (!$ImGuiaSerieObj->ods_id){
			return FALSE;
		}
		$ImGuiaModelSerieUpd	 = NEW ImGuiaSerieModel();
		$ImGuiaModelSerieSetObj = NEW ImGuiaSerieModel();	
		$ImGuiaModelSerieSetObj->odl_id		= $ImGuiaSerieObj->odl_id;
		$ImGuiaModelSerieSetObj->odl_lineaId	= $ImGuiaSerieObj->odl_lineaId;
		$ImGuiaModelSerieSetObj->odl_prId		= $ImGuiaSerieObj->odl_prId;
		$ImGuiaModelSerieSetObj->odl_cantidad	= $ImGuiaSerieObj->odl_cantidad;
		$ImGuiaModelSerieSetObj->odl_obs		= $ImGuiaSerieObj->odl_obs;

		return $ImGuiaModelSerieUpd->update($ImGuiaModelSerieSetObj);		
	}

	public function borrar($id){
		$ImGuiaSerieModelDel = NEW ImGuiaSerieModel();
		return $ImGuiaSerieModelDel->delete($id);		
	}

	public function borrarSeriesLinea($lineaId){
		$ImGuiaSerieModelDel = NEW ImGuiaSerieModel();
		return $ImGuiaSerieModelDel->deleteSeriesLinea($lineaId);		
	}

	public function borrarSeriesGuia($guia){
		$ImGuiaSerieModelDel = NEW ImGuiaSerieModel();
		return $ImGuiaSerieModelDel->deleteSeriesGuia($guia);		
	}


	public function consultarSerieArticulo($ingresoId,$productoId){
		$ImGuiaSerieModel= NEW ImGuiaSerieModel();
		$a_result = $ImGuiaSerieModel->selectSerieArticulo($ingresoId,$productoId);
		return $a_result;
	}

	public function consultar($ImGuiaSerieObj){
		$ImGuiaSerieModel= NEW ImGuiaSerieModel();
		$a_result = $ImGuiaSerieModel->select($ImGuiaSerieObj);
		return $a_result;
	}
}


class ImGuiaExt{

	public function modificar($ImGuiaObj){
		if (!$ImGuiaObj->gex_id){
			return FALSE;
		}
		$ImGuiaModelUpd	= NEW ImGuiaExtModel();
		return $ImGuiaModelUpd->update($ImGuiaObj);		
	}
}
?>