<?php

include ("class/imIngresoModel.class.php");
//include_once ("class/imAlmacen.class.php");

//include ("imStockMovim.class.php");

class ImIngreso{

	var $ing_id = '';
	var $ing_tipo = '';
	var $ing_fecha = '';
	var $ing_fechaDoc = '';
	var $ing_prv_id = '';
	var $ing_prv_nombre = '';
	var $ing_almacenId = '';
	var $ing_loteId = '';
	var $ing_refDocTipo = '';
	var $ing_refDocId = '';
	var $ing_refDocTipo2 = '';
	var $ing_refDocId2 = '';
	var $ing_tipoCambio = 0;
	var $ing_moneda = '';
	var $ing_glosa = '';
	var $ing_obs = '';
	var $ing_2_sal_id = '';
	var $ing_status = '';
	var $ing_usrreg = '';
	var $ing_usract = '';
	var $ing_fecreg = '';
	var $ing_fecact = '';


	public function consultarId($id){
		$ImIngresoModel= NEW ImIngresoModel();
		$a_result = $ImIngresoModel->selectUniqueId($id);
		return $a_result;
	}

	public function consultar($ImIngresoFilter){
		$ImIngresoModel = NEW ImIngresoModel();
		return $ImIngresoModel->select($ImIngresoFilter);
	}

	public function consultarPag($ImIngresoFilter,$limit){
		$ImIngresoModel = NEW ImIngresoModel();
		return $ImIngresoModel->select($ImIngresoFilter,$limit);
	}

	public function consultarIdLineas($id,$tipoIngreso=''){
		$ImIngresoModel= NEW ImIngresoLineaModel();
		if ($tipoIngreso=='DPI'){
			$ImAlmacen		= NEW ImAlmacen();
			$ImAlmacenObj	= NEW ImAlmacen();
			$ImAlmacenObj->alm_prestInt	= TRUE;
			$a_almacenList	= $ImAlmacen->consultar($ImAlmacenObj);
			$almacenDev		= $a_almacenList["listaPag"][0]["alm_id"];
		}elseif($tipoIngreso=='DCN'){
			$ImAlmacen		= NEW ImAlmacen();
			$ImAlmacenObj	= NEW ImAlmacen();
			$ImAlmacenObj->alm_consignacion	= TRUE;
			$a_almacenList	= $ImAlmacen->consultar($ImAlmacenObj);
			$almacenDev		= $a_almacenList["listaPag"][0]["alm_id"];
		}
		if($almacenDev){
			$a_result = $ImIngresoModel->selectUniqueIdDev($id,$tipoIngreso,$almacenDev);
		}else{
			$a_result = $ImIngresoModel->selectUniqueId($id);
			//$a_result = $ImIngresoModel->selectUniqueIdGroupPrId($id);
		}
		return $a_result;
	}

	public function procesar($id){
		global $usuario, $PDO;
		try {
			$PDO->beginTransaction();

			$this->cerrarIngreso($id);

			$PDO->commit();
			return $a_imIngresoLineas;

		} catch (Exception $e) {
			echo '<h5 style=background-color:ffff00>Error capturado: ',  $e->getMessage(), "</h5>\n";
			$PDO->rollback();
			exit;
			return FALSE;
		}
	}


	function cerrarIngreso($id){
		global $PDO;
		$a_ImIngresoModel		= $this->consultarId($id);
		if ($a_ImIngresoModel["ing_status"] == ''){
			$ImIngresoModelUpd		 = NEW ImIngresoModel();
			$ImIngresoModelSetObj	 = NEW ImIngresoModel();
			$ImIngresoLineaModel		 = NEW ImIngresoLineaModel();
			$ImIngresoModelSetObj->ing_id	 = $id;
			$ImIngresoModelSetObj->ing_status = 'C';
			$ImIngresoModelUpd->update($ImIngresoModelSetObj);
//			$a_imIngresoLineas = $ImIngresoLineaModel->selectUniqueId($id);
			$a_imIngresoLineas = $ImIngresoLineaModel->selectUniqueIdGroupPrId($id);

			if (SETUP_MONEDA_DEFA != MONEDA_CONTAB){
				$factor = TIPO_CAMBIO_CONTAB;
			}else{
				$factor = 1;
			}
			//print_r($a_imIngresoLineas);
			//while (list($clave, $valor) = each($a_imIngresoLineas)) {

			foreach ($a_imIngresoLineas as $clave => $valor) {
				$StockMovim = NEW ImStockMovim();
				$StockMovim->smv_prId		= $valor["ingl_prId"];
				$StockMovim->smv_almacenId	= $a_ImIngresoModel["ing_almacenId"];
				$StockMovim->smv_loteId		= $valor["ingl_loteId"];
				$StockMovim->smv_fecha		= $a_ImIngresoModel["ing_fecha"];
	//					$StockMovim->smv_fecha		= date("Y-m-d");
				$StockMovim->smv_ingSal		= "I";
				$StockMovim->smv_tipo		= $a_ImIngresoModel["ing_tipo"];
				$StockMovim->smv_docum		= $id;
				$StockMovim->smv_documTipo	= "I";
				$StockMovim->smv_documRef	= $a_ImIngresoModel["ing_refDocTipo"]." | ".$a_ImIngresoModel["ing_refDocId"];
				$StockMovim->smv_cantidad   = $valor["ingl_cantidad"];
				$StockMovim->smv_costo		= $valor["ingl_costo"];
				if ($valor["ingl_costo_gl"] > 0){
					$StockMovim->smv_costo_gl = $valor["ingl_costo_gl"];
				}else{
					//$StockMovim->smv_costo_gl = $valor["ingl_costo"] * $factor;
				}
				$StockMovim->smv_tc_contab	= TIPO_CAMBIO_CONTAB;
				$StockMovim->smv_tc			= TIPOCAMBIO;
				$StockMovim->smv_obs		= "";
/*				
				echo "<br>***>";
				print_r($valor);
				echo "<***<br><br>";
				print_r($StockMovim);
				echo "<br>";
*/
				$StockMovim->agregar($StockMovim);

			}
			//exit;
		}else{
			return FALSE;
		}		
	}

	public function crear($ImIngresoObj){		
		$ImIngresoModelIns = NEW ImIngresoModel();
		return $ImIngresoModelIns->insert($ImIngresoObj);
	}


	public function modificar($ImIngresoObj){
		if (!$ImIngresoObj->ing_id){
			return FALSE;
		}
		if ($ImIngresoObj->ing_tipo=='DPI' && !$ImIngresoObj->ing_loteId){
			//return FALSE;
		}
		$ImIngresoModelUpd				= NEW ImIngresoModel();
		/*
		$ImIngresoModelSetObj			= NEW ImIngresoModel();	
		$ImIngresoModelSetObj->ing_id			= $ImIngresoObj->ing_id;
		$ImIngresoModelSetObj->ing_prv_id			= $ImIngresoObj->ing_prv_id;
		$ImIngresoModelSetObj->ing_prv_id2			= $ImIngresoObj->ing_prv_id2;
		$ImIngresoModelSetObj->ing_tipo			= $ImIngresoObj->ing_tipo;
		$ImIngresoModelSetObj->ing_fecha			= $ImIngresoObj->ing_fecha;
		$ImIngresoModelSetObj->ing_fechaDoc			= $ImIngresoObj->ing_fechaDoc;
		$ImIngresoModelSetObj->ing_almacenId		= $ImIngresoObj->ing_almacenId;
		$ImIngresoModelSetObj->ing_loteId		= $ImIngresoObj->ing_loteId;
		$ImIngresoModelSetObj->ing_refDocTipo	= $ImIngresoObj->ing_refDocTipo;
		$ImIngresoModelSetObj->ing_refDocId		= $ImIngresoObj->ing_refDocId;
		$ImIngresoModelSetObj->ing_refDocTipo2	= $ImIngresoObj->ing_refDocTipo2;
		$ImIngresoModelSetObj->ing_prv_nombre	= $ImIngresoObj->ing_prv_nombre;
		$ImIngresoModelSetObj->ing_prv_nombre2	= $ImIngresoObj->ing_prv_nombre2;
		$ImIngresoModelSetObj->ing_prv_tipo2	= $ImIngresoObj->ing_prv_tipo2;
		$ImIngresoModelSetObj->ing_refDocId2		= $ImIngresoObj->ing_refDocId2;
		$ImIngresoModelSetObj->ing_tipoCambio			= $ImIngresoObj->ing_tipoCambio;
		$ImIngresoModelSetObj->ing_glosa			= $ImIngresoObj->ing_glosa;
		$ImIngresoModelSetObj->ing_obs			= $ImIngresoObj->ing_obs;
		$ImIngresoModelSetObj->ing_pdte_regulariza			= $ImIngresoObj->ing_pdte_regulariza;
		
		$ImIngresoModelSetObj->ing_status		= $ImIngresoObj->ing_status;
		*/
		return $ImIngresoModelUpd->update($ImIngresoObj);		
	}


	public function anular($id){
		if (!$id){
			return FALSE;
		}
		$ImIngresoModelUpd			 = NEW ImIngresoModel();
		$ImIngresoModelSetObj		 = NEW ImIngresoModel();	
		$ImIngresoModelSetObj->ing_id	  = $id;
		$ImIngresoModelSetObj->ing_status  = 'A';
		return $ImIngresoModelUpd->update($ImIngresoModelSetObj);
	}


}






class ImIngresoLinea{

	var $ingl_id			= 0; 
	var $ingl_docRefTipo	= '';
	var $ingl_docRefId		= 0;
	var $ingl_docRefLineaId = 0;
	var $ingl_prId			= 0;
	var $ingl_loteId		= 0;
	var $ingl_descripcion	= ''; 
	var $ingl_cantidad		= 0; 
	var $ingl_costo			= 0;
	var $ingl_costo_gl		= 0;
	var $ingl_usrreg		= ''; 
	var $ingl_fecreg		= ''; 

	public function crear($ImIngresoLineaObj,$tipoIngreso=''){	
		$ImIngreso		= NEW ImIngreso();
		$a_vars_ingreso	= $ImIngreso->consultarId($ImIngresoLineaObj->ingl_id);
		$ImIngresoLineaObj->ingl_loteId = $a_vars_ingreso["ing_loteId"];
		$ImIngresoLineaModelIns = NEW ImIngresoLineaModel();
		if ($ImIngresoLineaObj->ingl_loteId && $tipoIngreso=='DPIxxxxxxxxxxxx'){
			/*
			$ImAlmacen		= NEW ImAlmacen();
			$ImAlmacenObj	= NEW ImAlmacen();
			$ImAlmacenObj->alm_prestInt	= TRUE;
			$a_almacenList	= $ImAlmacen->consultar($ImAlmacenObj);
			$almDev	= $a_almacenList["listaPag"][0]["alm_id"];
			$ImStockLote = NEW ImStockLote();
			$a_stockLote = $ImStockLote->consultarId($almDev,$ImIngresoLineaObj->ingl_prId,$ImIngresoLineaObj->ingl_loteId);
			if (is_array($a_stockLote)){
				if ($a_stockLote["stkl_costoProm"]){
					$ImIngresoLineaObj->ingl_costo = $a_stockLote["stkl_costoProm"];
				}
				if ($a_stockLote["stkl_costoProm_gl"]){
					$ImIngresoLineaObj->ingl_costo_gl = $a_stockLote["stkl_costoProm_gl"];
				}
			}
			*/
		}elseif ($tipoIngreso=='DCN' OR $tipoIngreso=='DPI' OR $tipoIngreso=='DEV' OR $tipoIngreso=='AJUxxxx'){
/*
			$ImAlmacen		= NEW ImAlmacen();
			$ImAlmacenObj	= NEW ImAlmacen();
			$ImAlmacenObj->alm_consignacion	= TRUE;

			$a_almacenList	= $ImAlmacen->consultar($ImAlmacenObj);
			$almDev	= $a_almacenList["listaPag"][0]["alm_id"];
*/
			$almDev = 8;
			$ImStock = NEW ImStock();
			$a_stock = $ImStock->consultarId($almDev,$ImIngresoLineaObj->ingl_prId);
			if (is_array($a_stock)){
				if ($a_stock["stk_costoProm"]){
					$ImIngresoLineaObj->ingl_costo = $a_stock["stk_costoProm"];
				}
				if ($a_stock["stk_costoProm_gl"]){
					$ImIngresoLineaObj->ingl_costo_gl = $a_stock["stk_costoProm_gl"];
				}
			}
		}
		return $ImIngresoLineaModelIns->insert($ImIngresoLineaObj);
	}

	public function modificar($ImIngresoLineaObj){
		if (!$ImIngresoLineaObj->ingl_id){
			return FALSE;
		}
		$ImIngresoModelLineaUpd	  = NEW ImIngresoLineaModel();
		$ImIngresoModelLineaSetObj = NEW ImIngresoLineaModel();	
		$ImIngresoModelLineaSetObj->ingl_id			= $ImIngresoLineaObj->ingl_id;
		$ImIngresoModelLineaSetObj->ingl_lineaId		= $ImIngresoLineaObj->ingl_lineaId;
		$ImIngresoModelLineaSetObj->ingl_prId		= $ImIngresoLineaObj->ingl_prId;
		$ImIngresoModelLineaSetObj->ingl_loteId		= $ImIngresoLineaObj->ingl_loteId;
		$ImIngresoModelLineaSetObj->ingl_productoId	= $ImIngresoLineaObj->ingl_productoId;
		$ImIngresoModelLineaSetObj->ingl_descripcion	= $ImIngresoLineaObj->ingl_descripcion;
		$ImIngresoModelLineaSetObj->ingl_cantidad	= $ImIngresoLineaObj->ingl_cantidad;
		$ImIngresoModelLineaSetObj->ingl_costo		= $ImIngresoLineaObj->ingl_costo;
		$ImIngresoModelLineaSetObj->ingl_costo_gl	= $ImIngresoLineaObj->ingl_costo_gl;
		return $ImIngresoModelLineaUpd->update($ImIngresoModelLineaSetObj);		
	}


	public function modificarCerrado($ImIngresoLineaObj){
		global $PDO;
		if (!$ImIngresoLineaObj->ingl_id){
			return FALSE;
		}
		$ImIngresoModelLineaUpd	  = NEW ImIngresoLineaModel();
		$ImIngresoModelLineaSetObj = NEW ImIngresoLineaModel();	
		$ImIngresoModelLineaSetObj->ingl_id			= $ImIngresoLineaObj->ingl_id;
		$ImIngresoModelLineaSetObj->ingl_prId		= $ImIngresoLineaObj->ingl_prId;		
		$ImIngresoModelLineaSetObj->ingl_lineaId	= $ImIngresoLineaObj->ingl_lineaId;		
		$ImIngresoModelLineaSetObj->ingl_costo		= $ImIngresoLineaObj->ingl_costo;
		$ImIngresoModelLineaSetObj->ingl_costo_gl	= $ImIngresoLineaObj->ingl_costo_gl;
		try {
			$PDO->beginTransaction();
			$ImIngresoModelLineaUpd->update($ImIngresoModelLineaSetObj);
			$StockMovim		  = NEW ImStockMovim();
			$StockMovimFilter = NEW ImStockMovim();
			$StockMovimUpdate = NEW ImStockMovim();
			$StockMovimFilter->smv_prId		= $ImIngresoLineaObj->ingl_prId;
			$StockMovimFilter->smv_docum	= $ImIngresoLineaObj->ingl_id;
			$StockMovimFilter->smv_ingSal	= "I";
			$a_smv = $StockMovim->consultar($StockMovimFilter);
			$smvId = $a_smv["listaPag"][0]["smv_id"];
			if ($smvId){
				$StockMovimUpdate->smv_id = $smvId;
				$StockMovimUpdate->smv_costo	  = $ImIngresoLineaObj->ingl_costo;
				$StockMovimUpdate->smv_costo_gl = $ImIngresoLineaObj->ingl_costo_gl;
				$smvIdUpdate = $StockMovim->modificar($StockMovimUpdate);
				$PDO->commit();
			}else{
				$PDO->rollback();
			}
			return $a_imIngresoLineas;

		} catch (Exception $e) {
			echo '<h5 style=background-color:ffff00>Error capturado: ',  $e->getMessage(), "</h5>\n";
			$PDO->rollback();
			exit;
			return FALSE;
		}
	}


	public function borrar($id){
		$ImIngresoLineaModelDel = NEW ImIngresoLineaModel();
		return $ImIngresoLineaModelDel->delete($id);		
	}

	public function consultarLineaArticulo($ingresoId,$productoId){
		$ImIngresoLineaModel= NEW ImIngresoLineaModel();
		$a_result = $ImIngresoLineaModel->selectLineaArticulo($ingresoId,$productoId);
		return $a_result;
	}

	public function consultar($ImIngresoLineaObj){
		$ImIngresoLineaModel= NEW ImIngresoLineaModel();
		$a_result = $ImIngresoLineaModel->select($ImIngresoLineaObj);
		return $a_result;
	}
}



class ImIngresoSerie{

	public function crear($ImIngresoSerieObj){
		$ImIngresoSerieModelIns = NEW ImIngresoSerieModel();
		return $ImIngresoSerieModelIns->insert($ImIngresoSerieObj);
	}

	public function consultarSerieArticulo($salidaId,$productoId){
		$ImIngresoSerieModel= NEW ImIngresoSerieModel();
		$a_result = $ImIngresoSerieModel->selectSerieArticulo($salidaId,$productoId);
		return $a_result;
	}

	public function consultar($ImIngresoSerieObj){
		$ImIngresoSerieModel= NEW ImIngresoSerieModel();
		$a_result = $ImIngresoSerieModel->select($ImIngresoSerieObj);
		return $a_result;
	}

	public function borrar($id){
		$ImIngresoSerieModel = NEW ImIngresoSerieModel();
		return $ImIngresoSerieModel->delete($id);		
	}

	public function borrarSeriesLinea($lineaId){
		$ImIngresoSerieModel = NEW ImIngresoSerieModel();
		return $ImIngresoSerieModel->deleteSeriesLinea($lineaId);		
	}
}

?>