<?php

include ("class/imOrdenDespachoModel.class.php");


class ImOrdenDespacho{

	var $od_id = 0;
	var $od_tipo = '';
	var $od_tipo_sunat = '';
	var $od_almacenId = 0;
	var $od_pdte_regulariza = '';
	var $od_cli_id = 0;
	var $od_cli_ruc = '';
	var $od_cli_nombre = '';
	var $od_contacto = '';
	var $od_so_id = 0;
	var $od_wo_id = 0;
	var $od_refDocId ='';
	var $od_refDocId2 ='';
	var $od_fechaDoc = '';
	var $od_fechaReq = '';
	var $od_fechaEnt = '';
	var $od_tipo_entrega = '';
	var $od_direccion1 = '';
	var $od_direccion2 = '';
	var $od_ciudad = '';
	var $od_estado = '';
	var $od_pais = '';
	var $od_obs = '';
	var $od_status = '';
	var $od_fecreg = '';
	var $od_fecact = '';
	var $od_usrreg = '';
	var $od_usract = '';
	var $od_ubigeo = '';
	var $od_tipo_transporte  = '';
	var $od_transp_doc_tipo = '';
	var $od_transp_doc_nro = '';
	var $od_transp_nombre = '';
	var $od_transp_placa = '';
	var $od_cli_tipo_doc = '';
	var $od_cli_correo = '';

	public function consultarId($id){
		$ImOrdenDespachoModel= NEW ImOrdenDespachoModel();
		$a_result = $ImOrdenDespachoModel->selectUniqueId($id);
		return $a_result;
	}

	public function consultar($ImOrdenDespachoFilter){
		$ImOrdenDespachoModel = NEW ImOrdenDespachoModel();
		return $ImOrdenDespachoModel->select($ImOrdenDespachoFilter);
	}

	public function consultarPag($ImOrdenDespachoFilter,$limit){
		$ImOrdenDespachoModel = NEW ImOrdenDespachoModel();
		return $ImOrdenDespachoModel->select($ImOrdenDespachoFilter,$limit);
	}

	public function consultarIdLineas($id,$chCant=''){
		$ImOrdenDespachoModel= NEW ImOrdenDespachoLineaModel();
		$a_result = $ImOrdenDespachoModel->selectUniqueId($id,$chCant);
		return $a_result;
	}

	public function consultarIdLineasGroupPrId($id){
		$ImOrdenDespachoModel= NEW ImOrdenDespachoLineaModel();
		$a_result = $ImOrdenDespachoModel->selectUniqueIdGroupPrId($id);
		return $a_result;
	}


	public function procesar($id){
		global $usuario, $PDO;
		try {
			$PDO->beginTransaction();

			$this->cerrarDespacho($id);

			$PDO->commit();
			return $a_imIngresoLineas;

		} catch (Exception $e) {
			echo '<h5 style=background-color:ffff00>Error capturado: ',  $e->getMessage(), "</h5>\n";
			$PDO->rollback();
			return FALSE;
		}
	}


	function cerrarDespacho($id){
		global $PDO, $usuario;
		$a_ImOrdenDespachoModel		= $this->consultarId($id);
		if ($a_ImOrdenDespachoModel["od_status"] == ''){
			$ImOrdenDespachoModelUpd		 = NEW ImOrdenDespachoModel();
			$ImOrdenDespachoModelSetObj	 = NEW ImOrdenDespachoModel();
			$ImOrdenDespachoLineaModel		 = NEW ImOrdenDespachoLineaModel();
			$ImOrdenDespachoModelSetObj->od_id	 = $id;
			$ImOrdenDespachoModelSetObj->od_pdte_regulariza	 = $a_ImOrdenDespachoModel["od_pdte_regulariza"];
			$ImOrdenDespachoModelSetObj->od_status = 'C';
			$ImOrdenDespachoModelUpd->update($ImOrdenDespachoModelSetObj);
			$a_imIngresoLineas = $ImOrdenDespachoLineaModel->selectUniqueId($id);
			if (SETUP_MONEDA_DEFA != MONEDA_CONTAB){
				$factor = TIPO_CAMBIO_CONTAB;
			}else{
				$factor = 1;
			}
			while (list($clave, $valor) = each($a_imIngresoLineas)) {
				$StockMovim = NEW ImStockMovim();
				$StockMovim->smv_prId		= $valor["ingl_prId"];
				$StockMovim->smv_almacenId	= $a_ImOrdenDespachoModel["od_almacenId"];
				$StockMovim->smv_loteId		= $valor["ingl_loteId"];
				$StockMovim->smv_fecha		= $a_ImOrdenDespachoModel["od_fecha"];
	//					$StockMovim->smv_fecha		= date("Y-m-d");
				$StockMovim->smv_ingSal		= "I";
				$StockMovim->smv_tipo		= $a_ImOrdenDespachoModel["od_tipo"];
				$StockMovim->smv_docum		= $id;
				$StockMovim->smv_documTipo	= "I";
				$StockMovim->smv_documRef	= $a_ImOrdenDespachoModel["od_refDocTipo"]." | ".$a_ImOrdenDespachoModel["od_refDocId"];
				$StockMovim->smv_cantidad   = $valor["ingl_cantidad"];
				$StockMovim->smv_costo		= $valor["ingl_costo"];
				$StockMovim->smv_costo_contab = $valor["ingl_costo"] * $factor;
				$StockMovim->smv_tc_contab	 = TIPO_CAMBIO_CONTAB;
				$StockMovim->smv_tc			= TIPOCAMBIO;
				$StockMovim->smv_obs		= "";
				if ($usuario=='jreyes'){
					exit("aquiiiiii");
				}
				$StockMovim->agregar($StockMovim);
			}
		}else{
			return FALSE;
		}		
	}

	public function crear($ImOrdenDespachoObj){		
		$ImOrdenDespachoModelIns = NEW ImOrdenDespachoModel();
		return $ImOrdenDespachoModelIns->insert($ImOrdenDespachoObj);
	}


	public function modificar($ImOrdenDespachoObj){
		if (!$ImOrdenDespachoObj->od_id){
			return FALSE;
		}
		$ImOrdenDespachoModelUpd						= NEW ImOrdenDespachoModel();
		$ImOrdenDespachoModelSetObj						= NEW ImOrdenDespachoModel();	
		$ImOrdenDespachoModelSetObj->od_id				= $ImOrdenDespachoObj->od_id;
		$ImOrdenDespachoModelSetObj->od_tipo			= $ImOrdenDespachoObj->od_tipo;
		$ImOrdenDespachoModelSetObj->od_tipo_sunat		= $ImOrdenDespachoObj->od_tipo_sunat;
		$ImOrdenDespachoModelSetObj->od_almacenId		= $ImOrdenDespachoObj->od_almacenId;
		$ImOrdenDespachoModelSetObj->od_pdte_regulariza	= $ImOrdenDespachoObj->od_pdte_regulariza;
		$ImOrdenDespachoModelSetObj->od_cli_id			= $ImOrdenDespachoObj->od_cli_id;
		$ImOrdenDespachoModelSetObj->od_cli_ruc			= $ImOrdenDespachoObj->od_cli_ruc;
		$ImOrdenDespachoModelSetObj->od_cli_nombre		= $ImOrdenDespachoObj->od_cli_nombre;
		$ImOrdenDespachoModelSetObj->od_contacto		= $ImOrdenDespachoObj->od_contacto;
		$ImOrdenDespachoModelSetObj->od_so_id			= $ImOrdenDespachoObj->od_so_id;
		$ImOrdenDespachoModelSetObj->od_wo_id			= $ImOrdenDespachoObj->od_wo_id;
		$ImOrdenDespachoModelSetObj->od_refDocId		= $ImOrdenDespachoObj->od_refDocId;
		$ImOrdenDespachoModelSetObj->od_refDocId2		= $ImOrdenDespachoObj->od_refDocId2;

		$ImOrdenDespachoModelSetObj->od_fechaDoc		= $ImOrdenDespachoObj->od_fechaDoc;
		$ImOrdenDespachoModelSetObj->od_fechaReq		= $ImOrdenDespachoObj->od_fechaReq;
		$ImOrdenDespachoModelSetObj->od_fechaEnt		= $ImOrdenDespachoObj->od_fechaEnt;
		$ImOrdenDespachoModelSetObj->od_tipo_entrega	= $ImOrdenDespachoObj->od_tipo_entrega;
		$ImOrdenDespachoModelSetObj->od_direccion1		= $ImOrdenDespachoObj->od_direccion1;
		$ImOrdenDespachoModelSetObj->od_direccion2		= $ImOrdenDespachoObj->od_direccion2;
		$ImOrdenDespachoModelSetObj->od_ciudad			= $ImOrdenDespachoObj->od_ciudad;
		$ImOrdenDespachoModelSetObj->od_estado			= $ImOrdenDespachoObj->od_estado;
		$ImOrdenDespachoModelSetObj->od_pais			= $ImOrdenDespachoObj->od_pais;
		$ImOrdenDespachoModelSetObj->od_obs				= $ImOrdenDespachoObj->od_obs;
		$ImOrdenDespachoModelSetObj->od_glosa			= $ImOrdenDespachoObj->od_glosa;

		$ImOrdenDespachoModelSetObj->od_ubigeo			= $ImOrdenDespachoObj->od_ubigeo;
		$ImOrdenDespachoModelSetObj->od_tipo_transporte	= $ImOrdenDespachoObj->od_tipo_transporte;
		$ImOrdenDespachoModelSetObj->od_transp_doc_tipo	= $ImOrdenDespachoObj->od_transp_doc_tipo;
		$ImOrdenDespachoModelSetObj->od_transp_doc_nro	= $ImOrdenDespachoObj->od_transp_doc_nro;
		$ImOrdenDespachoModelSetObj->od_transp_nombre	= $ImOrdenDespachoObj->od_transp_nombre;
		$ImOrdenDespachoModelSetObj->od_transp_placa	= $ImOrdenDespachoObj->od_transp_placa;
		$ImOrdenDespachoModelSetObj->od_cli_tipo_doc	= $ImOrdenDespachoObj->od_cli_tipo_doc;
		$ImOrdenDespachoModelSetObj->od_cli_correo		= $ImOrdenDespachoObj->od_cli_correo;

 		$ImOrdenDespachoModelSetObj->od_status			= $ImOrdenDespachoObj->od_status;
		$ImOrdenDespachoModelSetObj->od_usract			= $ImOrdenDespachoObj->od_usract;
		return $ImOrdenDespachoModelUpd->update($ImOrdenDespachoModelSetObj);		
	}


	public function anular($id){
		if (!$id){
			return FALSE;
		}
		$ImOrdenDespachoModelUpd		= NEW ImOrdenDespachoModel();
		$ImOrdenDespachoModelSetObj		 = NEW ImOrdenDespachoModel();	
		$ImOrdenDespachoModelSetObj->od_id	  = $id;
		$ImOrdenDespachoModelSetObj->od_status  = 'A';
		return $ImOrdenDespachoModelUpd->update($ImOrdenDespachoModelSetObj);
	}


}






class ImOrdenDespachoLinea{

	var $odl_id			= 0; 
	var $odl_lineaId	= 0; 
	var $odl_prId		= 0;
	var $odl_obs		= ''; 
	var $odl_cantidad	= 0; 
	var $odl_usrreg		= ''; 
	var $odl_fecreg		= ''; 

	public function crear($ImOrdenDespachoLineaObj,$tipoIngreso=''){	
		$ImOrdenDespachoLineaModelIns = NEW ImOrdenDespachoLineaModel();
		return $ImOrdenDespachoLineaModelIns->insert($ImOrdenDespachoLineaObj);
	}

	public function modificar($ImOrdenDespachoLineaObj){
		if (!$ImOrdenDespachoLineaObj->odl_id){
			return FALSE;
		}
		$ImOrdenDespachoModelLineaUpd	 = NEW ImOrdenDespachoLineaModel();
		$ImOrdenDespachoModelLineaSetObj = NEW ImOrdenDespachoLineaModel();	
		$ImOrdenDespachoModelLineaSetObj->odl_id		= $ImOrdenDespachoLineaObj->odl_id;
		$ImOrdenDespachoModelLineaSetObj->odl_lineaId	= $ImOrdenDespachoLineaObj->odl_lineaId;
		$ImOrdenDespachoModelLineaSetObj->odl_prId		= $ImOrdenDespachoLineaObj->odl_prId;
		$ImOrdenDespachoModelLineaSetObj->odl_cantidad	= $ImOrdenDespachoLineaObj->odl_cantidad;
		$ImOrdenDespachoModelLineaSetObj->odl_peso	= $ImOrdenDespachoLineaObj->odl_peso;
		$ImOrdenDespachoModelLineaSetObj->odl_cantidad_resta = $ImOrdenDespachoLineaObj->odl_cantidad_resta;
		$ImOrdenDespachoModelLineaSetObj->odl_obs		= $ImOrdenDespachoLineaObj->odl_obs;

		return $ImOrdenDespachoModelLineaUpd->update($ImOrdenDespachoModelLineaSetObj);		
	}

	public function borrar($id){
		$ImOrdenDespachoLineaModelDel = NEW ImOrdenDespachoLineaModel();
		return $ImOrdenDespachoLineaModelDel->delete($id);		
	}

	public function consultarLineaArticulo($ordenId,$productoId){
		$ImOrdenDespachoLineaModel= NEW ImOrdenDespachoLineaModel();
		$a_result = $ImOrdenDespachoLineaModel->selectLineaArticulo($ordenId,$productoId);
		return $a_result;
	}

	public function consultar($ImOrdenDespachoLineaObj){
		$ImOrdenDespachoLineaModel= NEW ImOrdenDespachoLineaModel();
		$a_result = $ImOrdenDespachoLineaModel->select($ImOrdenDespachoLineaObj);
		return $a_result;
	}
}




class ImOrdenDespachoSerie{

	var $odl_id			= 0; 
	var $odl_lineaId	= 0; 
	var $odl_prId		= 0;
	var $odl_obs		= ''; 
	var $odl_cantidad	= 0; 
	var $odl_usrreg		= ''; 
	var $odl_fecreg		= ''; 

	public function crear($ImOrdenDespachoSerieObj,$tipoIngreso=''){	
		$ImOrdenDespachoSerieModelIns = NEW ImOrdenDespachoSerieModel();
		return $ImOrdenDespachoSerieModelIns->insert($ImOrdenDespachoSerieObj);
	}

	public function modificar($ImOrdenDespachoSerieObj){
		if (!$ImOrdenDespachoSerieObj->ods_id){
			return FALSE;
		}
		$ImOrdenDespachoModelSerieUpd	 = NEW ImOrdenDespachoSerieModel();
		$ImOrdenDespachoModelSerieSetObj = NEW ImOrdenDespachoSerieModel();	
		$ImOrdenDespachoModelSerieSetObj->odl_id		= $ImOrdenDespachoSerieObj->odl_id;
		$ImOrdenDespachoModelSerieSetObj->odl_lineaId	= $ImOrdenDespachoSerieObj->odl_lineaId;
		$ImOrdenDespachoModelSerieSetObj->odl_prId		= $ImOrdenDespachoSerieObj->odl_prId;
		$ImOrdenDespachoModelSerieSetObj->odl_cantidad	= $ImOrdenDespachoSerieObj->odl_cantidad;
		$ImOrdenDespachoModelSerieSetObj->odl_obs		= $ImOrdenDespachoSerieObj->odl_obs;

		return $ImOrdenDespachoModelSerieUpd->update($ImOrdenDespachoModelSerieSetObj);		
	}

	public function borrar($id){
		$ImOrdenDespachoSerieModelDel = NEW ImOrdenDespachoSerieModel();
		return $ImOrdenDespachoSerieModelDel->delete($id);		
	}

	public function borrarSeriesLinea($lineaId){
		$ImOrdenDespachoSerieModelDel = NEW ImOrdenDespachoSerieModel();
		return $ImOrdenDespachoSerieModelDel->deleteSeriesLinea($lineaId);		
	}

	public function consultarSerieArticulo($ingresoId,$productoId){
		$ImOrdenDespachoSerieModel= NEW ImOrdenDespachoSerieModel();
		$a_result = $ImOrdenDespachoSerieModel->selectSerieArticulo($ingresoId,$productoId);
		return $a_result;
	}

	public function consultar($ImOrdenDespachoSerieObj){
		$ImOrdenDespachoSerieModel= NEW ImOrdenDespachoSerieModel();
		$a_result = $ImOrdenDespachoSerieModel->select($ImOrdenDespachoSerieObj);
		return $a_result;
	}
}

?>