<?php

include_once ("class/imOrdenDespacho.class.php");
include_once ("class/imSalida.class.php");
include_once ("class/imAlmacen.class.php");
include_once ("class/imOrdenDespachoPdte.class.php");
include_once ("class/imOrdenDespachoPdteDet.class.php");


class ImOrdenDespacho2Salida{

	public function creaSalida($od_id){
		global $PDO, $usuario;
		try {  
			$PDO->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
			$PDO->beginTransaction();

			//DATOS DESDE EL INGRESO POR DEVOLUCION
			$ImOrdenDespacho = NEW ImOrdenDespacho();
			$a_vars_od = $ImOrdenDespacho->consultarId($od_id);
			$ImOrdenDespachoLinea = NEW ImOrdenDespacho();
			$a_vars_od_linea = $ImOrdenDespachoLinea->consultarIdLineasGroupPrId($od_id);
			//CREAR SALIDA

			if (is_array($a_vars_od_linea)){
				$ImSalida		= NEW ImSalida();
				$ImSalidaObj	= NEW ImSalida();
				$ImSalidaObj->sal_tipo			= $a_vars_od["od_tipo"];
				$ImSalidaObj->sal_almacenId		= $a_vars_od["od_almacenId"];
				$ImSalidaObj->sal_cli_nombre	= $a_vars_od["od_cli_nombre"];
				$ImSalidaObj->sal_fecha			= $a_vars_od["od_fechaDoc"];
				$ImSalidaObj->sal_fechaDoc		= $a_vars_od["od_fechaDoc"];
				$ImSalidaObj->sal_refDocId		= $a_vars_od["od_refDocId"];
				$ImSalidaObj->sal_refDocId2		= $a_vars_od["od_refDocId2"];

//				$ImSalidaObj->sal_glosa			= $a_vars["od_glosa"];
				$ImSalidaObj->sal_obs			= $a_vars_od["od_obs"];
				$ImSalidaObj->sal_od_id			= $a_vars_od["od_id"];
				if (!$usuario){
					$usuario = "no login";	
				}
				$ImSalidaObj->sal_usrreg		= $usuario;
				$salidaId = $ImSalida->crear($ImSalidaObj);
				$ImOrdenDespachoModelUpd		 = NEW ImOrdenDespachoModel();
				$ImOrdenDespachoModelSetObj		= NEW ImOrdenDespachoModel();
				$ImOrdenDespachoModelSetObj->od_id		= $od_id;
				$ImOrdenDespachoModelSetObj->od_status	= "C";

				$ImOrdenDespachoModelUpd->update($ImOrdenDespachoModelSetObj);

				for ($j=0; $j < count($a_vars_od_linea); $j++){
					$ImSalidaLinea		= NEW ImSalidaLinea();
					$ImSalidaLineaObj	= NEW ImSalidaLinea();
					$ImSalidaLineaObj->sall_id			= $salidaId;
					$ImSalidaLineaObj->sall_prId		= $a_vars_od_linea[$j]["odl_prId"];
					$ImSalidaLineaObj->sall_cantidad	= $a_vars_od_linea[$j]["odl_cantidad"];
					//$ImSalidaLineaObj->sall_costo		= $a_vars_od_linea[$j]["odl_costo"];
					/*
					if ($a_vars_od_linea[$j]["odl_costo_gl"] <= 0){
						$ImSalidaLineaObj->sall_costo_gl = $a_vars_od_linea[$j]["odl_costo"] * $a_vars_od["od_tipoCambio"];
					}else{
						$ImSalidaLineaObj->sall_costo_gl = $a_vars_od_linea[$j]["odl_costo_gl"];
					}
					*/
					$ImSalidaLineaObj->sall_usrreg	= $usuario;
					$result = $ImSalidaLinea->crear($ImSalidaLineaObj);

/***** crear pdtes de regularizacion ****/
					if ($a_vars_od["od_tipo"]=='G' OR $a_vars_od["od_tipo"]=='PI' OR $a_vars_od["od_tipo"]=='RMA'){
						$ImOrdenDespachoPdte	= NEW ImOrdenDespachoPdte();
						$ImOrdenDespachoPdteObj	= NEW ImOrdenDespachoPdte();
						$ImOrdenDespachoPdteObj->odp_tipo			= $a_vars_od["od_tipo"];
						$ImOrdenDespachoPdteObj->odp_od_id			= $a_vars_od["od_id"];
						$ImOrdenDespachoPdteObj->odp_cli_id			= $a_vars_od["od_cli_id"];
						$ImOrdenDespachoPdteObj->odp_cli_nombre		= $a_vars_od["od_cli_nombre"];
						$ImOrdenDespachoPdteObj->odp_fecha			= date("Y-m-d");
						$ImOrdenDespachoPdteObj->odp_refDocId		= $a_vars_od["od_refDocId"];
						$ImOrdenDespachoPdteObj->odp_refDocId2		= $a_vars_od["od_refDocId2"];
						$ImOrdenDespachoPdteObj->odp_pr_id			= $a_vars_od_linea[$j]["odl_prId"];
						$ImOrdenDespachoPdteObj->odp_cantidad		= $a_vars_od_linea[$j]["odl_cantidad"];
						$ImOrdenDespachoPdteObj->odp_cantidad_pdte	= $a_vars_od_linea[$j]["odl_cantidad"];
						$ImOrdenDespachoPdteObj->odp_obs			= $a_vars_od["od_obs"];
						$result = $ImOrdenDespachoPdte->crear($ImOrdenDespachoPdteObj);
					}
/***** fin crear pdtes de regularizacion ****/


/***** crear regularizacion de pdtes G y PI ****/
/*
					if ($a_vars_od["od_tipo"]=='V' AND $a_vars_od["od_pdte_regulariza"] <> ''){
						$ImOrdenDespachoPdteDet	= NEW ImOrdenDespachoPdteDet();
						$ImOrdenDespachoPdteDetObj	= NEW ImOrdenDespachoPdteDet();
						$ImOrdenDespachoPdteDetObj->odp_tipo			= $a_vars_od["od_tipo"];
						$ImOrdenDespachoPdteDetObj->odp_od_id			= $a_vars_od["od_id"];
						$ImOrdenDespachoPdteDetObj->odp_cli_id			= $a_vars_od["od_cli_id"];
						$ImOrdenDespachoPdteDetObj->odp_cli_nombre		= $a_vars_od["od_cli_nombre"];
						$ImOrdenDespachoPdteDetObj->odp_fecha			= date("Y-m-d");
						$ImOrdenDespachoPdteDetObj->odp_refDocId		= $a_vars_od["od_refDocId"];
						$ImOrdenDespachoPdteDetObj->odp_refDocId2		= $a_vars_od["od_refDocId2"];
						$ImOrdenDespachoPdteDetObj->odp_pr_id			= $a_vars_od_linea[$j]["odl_prId"];
						$ImOrdenDespachoPdteDetObj->odp_cantidad		= $a_vars_od_linea[$j]["odl_cantidad"];
						$ImOrdenDespachoPdteDetObj->odp_cantidad_pdte	= $a_vars_od_linea[$j]["odl_cantidad"];
						$ImOrdenDespachoPdteDetObj->odp_obs			= $a_vars_od["od_obs"];
						$result = $ImOrdenDespachoPdteDet->crear($ImOrdenDespachoPdteDetObj);
					}
*/
/***** fin crear pdtes de regularizacion ****/

					$ImOrdenDespachoSerie = NEW ImOrdenDespachoSerie();
					$ImOrdenDespachoSerieFilter = NEW ImOrdenDespachoSerie();
					$ImOrdenDespachoSerieFilter->ods_od_id	= $od_id;
					$ImOrdenDespachoSerieFilter->odl_prId	= $a_vars_od_linea[$j]["odl_prId"];
					$a_series = $ImOrdenDespachoSerie->consultar($ImOrdenDespachoSerieFilter);

					if (is_array($a_series)){
						for ($m=0; $m < count($a_series); $m++){
							//echo $a_series[$m]["ser_serie"]."<br>";
							$ImSalidaSerie		= NEW ImSalidaSerie();
							$ImSalidaSerieObj	= NEW ImSalidaSerie();
							$ImSalidaSerieObj->sals_sal_id	= $salidaId;
							$ImSalidaSerieObj->sals_lineaId	= $result;
							$ImSalidaSerieObj->sals_ser_id	= $a_series[$m]["ser_id"];
							$ImSalidaSerieObj->sall_usrreg	= $usuario;
							foreach ($ImSalidaSerieObj as $clave => $valor) {
								if (!$ImSalidaSerieObj->$clave){
									$ImSalidaSerieObj->$clave = "";
								}
							}

							$resultSerie = $ImSalidaSerie->crear($ImSalidaSerieObj);
													
						}
					}
										
					
				}

				//reset($a_vars_linea);
				if ($ImSalidaObj->sal_tipo == 'G'){
					include ("class/imSalConsig.class.php");
					$ImSalConsig = NEW ImSalConsig();
					$ImSalConsig->procesaSalConsig($salidaId);
				}elseif($ImSalidaObj->sal_tipo == 'PI'){
					include ("class/imSalPrestInt.class.php");
					$ImSalPI = NEW ImSalPrestInt();
					$ImSalPI->procesaSalPrestInt($salidaId);
				}elseif($ImSalidaObj->sal_tipo == 'RMA'){
					include ("class/imSalRMA.class.php");
					$ImSalPI = NEW ImSalRMA();
					$ImSalPI->procesaSalRMA($salidaId);					
				}else{
					$ImSalida->cerrarSalida($salidaId);
				}
				//$ImOrdenDespacho->cerrarIngreso($od_id);
			}
			$PDO->commit();
		  
		} catch (Exception $e) {
		  $PDO->rollBack();
		  echo "Fallo: " . $e->getMessage();
		}

	}


}





?>