<?php


class ImSerieModel{

	public function selectUniqueId($serId){
		global $PDO;
		if (!$serId){
			return FALSE;
		}
		$sql = "
			SELECT *
			FROM im_serie
				LEFT JOIN im_producto ON ser_prId = pr_id 
				LEFT JOIN im_almacen ON ser_almacenId = alm_id 
				LEFT JOIN im_seriemov ON ser_semv_id_ult = semv_id
				LEFT JOIN vt_cliente ON ser_ubicId = cl_id
				LEFT JOIN vt_clienteSuc ON ser_ubicId2 = cls_cl_id and cls_cl_id <> 0
			WHERE ser_id = '".$serId."'
			ORDER BY semv_fecha DESC, semv_id DESC
			LIMIT 1
		";					
		$sentencia = $PDO->query($sql);
		$sentencia->setFetchMode(PDO::FETCH_ASSOC);
		$row = $sentencia->fetch();
		/*
		$a_serie["ser_id"]			= $row["ser_id"];
		$a_serie["ser_serie"]		= $row["ser_serie"];
		$a_serie["ser_prId"]		= $row["ser_prId"];
		$a_serie["ser_almacenId"]	= $row["ser_almacenId"];
		$a_serie["ser_status"]		= $row["ser_status"];
		$a_serie["ser_fecIni"]		= $row["ser_fecIni"];
		$a_serie["ser_fecFin"]		= $row["ser_fecFin"];
		$a_serie["ser_obs"]			= $row["ser_obs"];
		*/

		$a_serie["ser_id"]			= $row["ser_id"];
		$a_serie["ser_serie"]		= $row["ser_serie"];
		$a_serie["ser_prId"]		= $row["ser_prId"];
		$a_serie["ser_almacenId"]	= $row["ser_almacenId"];
		$a_serie["ser_status"]		= $row["ser_status"];
		$a_serie["ser_status2"]		= $row["ser_status2"];
		if ($row["ser_fecIni"] > "0000-00-00"){
			$a_serie["ser_fecIni"]	= $row["ser_fecIni"];
		}
		if ($row["ser_fecFin"] > "0000-00-00"){
			$a_serie["ser_fecFin"]		= $row["ser_fecFin"];
		}
		$a_serie["ser_ubic"]		= $row["ser_ubic"];
		$a_serie["ser_ubicId"]		= $row["ser_ubicId"];
		$a_serie["ser_ubicId2"]		= $row["ser_ubicId2"];
		$a_serie["ser_docIni"]		= $row["ser_docIni"];
		$a_serie["ser_docFin"]		= $row["ser_docFin"];
		$a_serie["ser_obs"]			= $row["ser_obs"];


		$a_serie["ser_semv_id_ult"]	= $row["ser_semv_id_ult"];
		$a_serie["ser_fecreg"]		= $row["ser_fecreg"];
		$a_serie["ser_fecact"]		= $row["ser_fecact"];
		$a_serie["ser_usrreg"]		= $row["ser_usrreg"];
		$a_serie["ser_usract"]		= $row["ser_usract"];
		$a_serie["semv_docum"]		= $row["semv_docum"];
		$a_serie["semv_fecha"]		= $row["semv_fecha"];
		$a_serie["semv_ingSal"]		= $row["semv_ingSal"];
		$a_serie["semv_tipo"]		= $row["semv_tipo"];
		$a_serie["semv_documRef"]	= $row["semv_documRef"];
		$a_serie["semv_obs"]		= $row["semv_obs"];
		$a_serie["semv_obs2"]		= $row["semv_obs2"];
		$a_serie["pr_id"]			= $row["pr_id"];
		$a_serie["pr_productoId"]	= $row["pr_productoId"];
		$a_serie["pr_descripcion"]	= $row["pr_descripcion"];
		$a_serie["cl_nombre"]		= $row["cl_nombre"];
		$a_serie["cls_nombre"]		= $row["cls_nombre"];
		return $a_serie;
	}


	public function select($SerieObj,$limit=''){
		global $usuario, $PDO;
		if ($SerieObj->ser_serie){
			$where .= " AND ser_serie LIKE :ser_serie";
		}
		if ($SerieObj->pr_id){
			$where .= " AND pr_id = :pr_id";
		}
		if ($SerieObj->ser_prId){
			$where .= " AND ser_prId = :ser_prId";
		}
		if ($SerieObj->pr_productoId){
			$where .= " AND pr_productoId LIKE :pr_productoId";
		}
		if ($SerieObj->pr_descripcion){
			$where .= " AND pr_descripcion LIKE :pr_descripcion";
		}
		if ($SerieObj->ser_almacenId){
			$where .= " AND ser_almacenId = :ser_almacenId";
		}
		if ($SerieObj->pr_familiaId){
			$where .= " AND pr_familiaId LIKE :pr_familiaId";
		}
		if ($SerieObj->pr_subfamiliaId){
			$where .= " AND pr_subfamiliaId LIKE :pr_subfamiliaId";
		}
		if ($SerieObj->ser_status){
			$where .= " AND ser_status LIKE :ser_status";
		}
		if ($SerieObj->orderBy){
			$orderBy = " ORDER BY :orderBy";
		}else{
			$orderBy = " ORDER BY ser_serie,pr_productoId,ser_almacenId";
		}
		if ($where){
			$sql = "
				SELECT *
				$fields
				FROM im_serie
					LEFT JOIN im_producto ON ser_prId = pr_id 
					LEFT JOIN im_almacen ON ser_almacenId = alm_id 
					LEFT JOIN im_seriemov ON ser_semv_id_ult = semv_id
					LEFT JOIN im_familia ON pr_familiaId = fm_familiaId 
					LEFT JOIN im_subFamilia ON pr_subfamiliaId = sfm_subFamiliaId
				WHERE 1 $where
				$orderBy
			";
			$comando = $PDO->prepare($sql);
			if ($SerieObj->ser_serie){
				$comando->bindParam(':ser_serie', $SerieObj->ser_serie);
			}
			if ($SerieObj->pr_id){
				$comando->bindParam(':pr_id', $SerieObj->pr_id);
			}
			if ($SerieObj->ser_prId){
				$comando->bindParam(':ser_prId', $SerieObj->ser_prId);
			}
			if ($SerieObj->pr_productoId){
				$comando->bindParam(':pr_productoId', $SerieObj->pr_productoId);
			}
			if ($SerieObj->pr_descripcion){
				$comando->bindParam(':pr_descripcion', $SerieObj->pr_descripcion);
			}
			if ($SerieObj->ser_almacenId){
				$comando->bindParam(':ser_almacenId', $SerieObj->ser_almacenId);
			}
			if ($SerieObj->pr_familiaId){
				$comando->bindParam(':pr_familiaId', $SerieObj->pr_familiaId);
			}
			if ($SerieObj->pr_subfamiliaId){
				$comando->bindParam(':pr_subfamiliaId', $SerieObj->pr_subfamiliaId);
			}
			if ($SerieObj->ser_status){
				$comando->bindParam(':ser_status', $SerieObj->ser_status);
			}
			if ($SerieObj->orderBy){
				$comando->bindParam(':orderBy', $SerieObj->orderBy);
			}			
			$comando->execute();
			while($row = $comando->fetch()){
				$sql = "
					SELECT *
					FROM im_seriemov
					WHERE semv_ser_id = ".$row["ser_id"];
				$sentencia2 = $PDO->query($sql);
				$sentencia2->setFetchMode(PDO::FETCH_ASSOC);
				while($row2 = $sentencia2->fetch()){
					if (!$mov){
						$a_serie["semv_fecha_ini"]		= $row2["semv_fecha"];
						$a_serie["semv_ingSal_ini"]		= $row2["semv_ingSal"];
						$a_serie["semv_tipo_ini"]		= $row2["semv_tipo"];
						$a_serie["semv_documRef_ini"]	= $row2["semv_documRef"];
						$a_serie["semv_obs_ini"]		= $row2["semv_obs"];
						$a_serie["semv_docum_ini"]		= $row2["semv_docum"];
						$mov = 1;
					}else{
						$a_serie["semv_fecha_fin"]		= $row2["semv_fecha"];
						$a_serie["semv_ingSal_fin"]		= $row2["semv_ingSal"];
						$a_serie["semv_tipo_fin"]		= $row2["semv_tipo"];
						$a_serie["semv_documRef_fin"]	= $row2["semv_documRef"];
						$a_serie["semv_obs_fin"]		= $row2["semv_obs"];
						$a_serie["semv_docum_fin"]		= $row2["semv_docum"];
					}
				}
				$a_serie["ser_id"]			= $row["ser_id"];
				$a_serie["ser_serie"]		= $row["ser_serie"];
				$a_serie["ser_prId"]		= $row["ser_prId"];
				$a_serie["ser_almacenId"]	= $row["ser_almacenId"];
				$a_serie["ser_status"]		= $row["ser_status"];
				$a_serie["ser_fecIni"]		= $row["ser_fecIni"];
				$a_serie["ser_fecFin"]		= $row["ser_fecFin"];
				$a_serie["ser_obs"]			= $row["ser_obs"];
				$a_serie["ser_semv_id_ult"]	= $row["ser_semv_id_ult"];
				$a_serie["ser_movIdUlt"]	= $row["ser_movIdUlt"];
				$a_serie["ser_fecreg"]		= $row["ser_fecreg"];
				$a_serie["ser_fecact"]		= $row["ser_fecact"];
				$a_serie["ser_usrreg"]		= $row["ser_usrreg"];
				$a_serie["ser_usract"]		= $row["ser_usract"];
				$a_serie["fm_nombre"]		= $row["fm_nombre"];
				$a_serie["pr_id"]			= $row["pr_id"];
				$a_serie["pr_productoId"]	= $row["pr_productoId"];
				$a_serie["pr_descripcion"]	= $row["pr_descripcion"];
				$a_serie["alm_nombre"]		= $row["alm_nombre"];			
				$a_serie["pr_familiaId"]	= $row["pr_familiaId"];
				$a_serie["sfm_nombre"]		= $row["sfm_nombre"];
				$a_serieList[] = $a_serie;
			//	echo "<pre>";print_r($a_serie);
			}
			return $a_serieList;
		}else{
			return FALSE;
		}

	}



	public function selectMain($SerieObj,$limit=''){
		global $usuario, $PDO;
		if ($SerieObj->ser_serie){
			$where .= " AND ser_serie LIKE :ser_serie";
		}
		if ($SerieObj->pr_id){
			$where .= " AND pr_id = :pr_id";
		}
		if ($SerieObj->ser_prId){
			$where .= " AND ser_prId = :ser_prId";
		}
		if ($SerieObj->pr_productoId){
			$where .= " AND pr_productoId LIKE :pr_productoId";
		}
		if ($SerieObj->pr_descripcion){
			$where .= " AND pr_descripcion LIKE :pr_descripcion";
		}
		if ($SerieObj->ser_almacenId){
			$where .= " AND ser_almacenId = :ser_almacenId";
		}
		if ($SerieObj->pr_familiaId){
			$where .= " AND pr_familiaId LIKE :pr_familiaId";
		}
		if ($SerieObj->pr_subfamiliaId){
			$where .= " AND pr_subfamiliaId LIKE :pr_subfamiliaId";
		}
		if ($SerieObj->ser_status){
			$where .= " AND ser_status LIKE :ser_status";
		}


		if ($SerieObj->ser_status2){
			$where .= " AND ser_status2 LIKE :ser_status2";
		}
		if ($SerieObj->ser_ubic){
			$where .= " AND ser_ubic LIKE :ser_ubic";
		}
		if ($SerieObj->ser_ubicId){
			$where .= " AND ser_ubicId LIKE :ser_ubicId";
		}
		if ($SerieObj->ser_docIni){
			$where .= " AND ser_docIni LIKE :ser_docIni";
		}

		
		if ($SerieObj->inc_isp){
			//$join = " LEFT JOIN sistema6_ntsistint.pv_inspeccion ON ser_serie = isp_serie ";
		}

		if ($SerieObj->orderBy){
			$orderBy = " ORDER BY :orderBy";
		}else{
			$orderBy = " ORDER BY ser_serie,pr_productoId,ser_almacenId";
		}
		if ($where){
			$sql = "
				SELECT *
				$fields
				FROM im_serie
					LEFT JOIN im_producto ON ser_prId = pr_id 
					LEFT JOIN im_almacen ON ser_almacenId = alm_id 
					LEFT JOIN im_familia ON pr_familiaId = fm_familiaId 
					LEFT JOIN im_subFamilia ON pr_subfamiliaId = sfm_subFamiliaId
					LEFT JOIN vt_cliente ON ser_ubicId = cl_id
					LEFT JOIN vt_clienteSuc ON ser_ubicId2 = cls_cl_id and cls_cl_id <> 0
					$join
				WHERE 1 $where
				$orderBy
			";
			$comando = $PDO->prepare($sql);
			if ($SerieObj->ser_serie){
				$comando->bindParam(':ser_serie', $SerieObj->ser_serie);
			}
			if ($SerieObj->pr_id){
				$comando->bindParam(':pr_id', $SerieObj->pr_id);
			}
			if ($SerieObj->ser_prId){
				$comando->bindParam(':ser_prId', $SerieObj->ser_prId);
			}
			if ($SerieObj->pr_productoId){
				$comando->bindParam(':pr_productoId', $SerieObj->pr_productoId);
			}
			if ($SerieObj->pr_descripcion){
				$comando->bindParam(':pr_descripcion', $SerieObj->pr_descripcion);
			}
			if ($SerieObj->ser_almacenId){
				$comando->bindParam(':ser_almacenId', $SerieObj->ser_almacenId);
			}
			if ($SerieObj->pr_familiaId){
				$comando->bindParam(':pr_familiaId', $SerieObj->pr_familiaId);
			}
			if ($SerieObj->pr_subfamiliaId){
				$comando->bindParam(':pr_subfamiliaId', $SerieObj->pr_subfamiliaId);
			}
			if ($SerieObj->ser_status){
				$comando->bindParam(':ser_status', $SerieObj->ser_status);
			}


			if ($SerieObj->ser_status2){
				$comando->bindParam(':ser_status2', $SerieObj->ser_status2);
			}
			if ($SerieObj->ser_ubic){
				$comando->bindParam(':ser_ubic', $SerieObj->ser_ubic);
			}
			if ($SerieObj->ser_ubicId){
				$comando->bindParam(':ser_ubicId', $SerieObj->ser_ubicId);
			}
			if ($SerieObj->ser_docIni){
				$comando->bindParam(':ser_docIni', $SerieObj->ser_docIni);
			}


			if ($SerieObj->orderBy){
				$comando->bindParam(':orderBy', $SerieObj->orderBy);
			}			
			$comando->execute();
			while($row = $comando->fetch()){
				if ($SerieObj->inc_pv){
					$sql = " 	
						SELECT *
						FROM 
							(
							SELECT max(os_id) as max_os
							FROM pv_ordenServicio
							WHERE
							os_serieId = '".$row["ser_serie"]."'
							AND os_status <> 'A'
							GROUP BY os_serieId
							) OS_MAX 
						LEFT JOIN pv_ordenServicio ON max_os = os_id
						LEFT JOIN pv_ordenServicio_dataEqp ON os_id = dteq_os_id
						";
					$sentencia2 = $PDO->query($sql);
					$sentencia2->setFetchMode(PDO::FETCH_ASSOC);
					$row2 = $sentencia2->fetch();
					$a_serie["os_id"]		= $row2["os_id"];
					$a_serie["os_fecha"]	= $row2["os_fecha"];
					$a_serie["os_tipo_servicio"] = $row2["os_tipo_servicio"];
					$a_serie["dteq_fld8"]	= $row2["dteq_fld8"];
				}
				if ($SerieObj->inc_cnt){
					$sql = " 	
						SELECT *
						FROM 
							(
							SELECT max(mnts_mntId) as max_os
							FROM sistema6_ntsistint.pv_mant_contratoserie
							WHERE
							mnts_serie = '".$row["ser_serie"]."'
							GROUP BY mnts_serie
							) OS_MAX 
						LEFT JOIN sistema6_ntsistint.pv_mant_contratoserie ON max_os = mnts_mntId AND mnts_serie = '".$row["ser_serie"]."'
						LEFT JOIN sistema6_ntsistint.pv_mant_contrato ON mnts_mntId = mnt_id
						WHERE mnt_status <> 'A'
						ORDER BY mnt_id DESC";
					$sentencia3 = $PDO->query($sql);
					$sentencia3->setFetchMode(PDO::FETCH_ASSOC);
					$row3 = $sentencia3->fetch();
					$a_serie["mnt_id"]			= $row3["mnt_id"];
					$a_serie["mnts_servFecIni"]	= $row3["mnts_servFecIni"];
					$a_serie["mnts_servFecFin"]	= $row3["mnts_servFecFin"];
					$a_serie["mnt_tipoSolic"]	= $row3["mnt_tipoSolic"];
				}
				if ($SerieObj->inc_isp){
					$sql = " 	
						SELECT *
						FROM 
							(
							SELECT max(isp_id) as max_isp
							FROM sistema6_ntsistint.pv_inspeccion
							WHERE isp_serie = '".$row["ser_serie"]."'
							GROUP BY isp_serie
							) OS_MAX 
						LEFT JOIN sistema6_ntsistint.pv_inspeccion ON max_isp = isp_id
						";
					$sentencia4 = $PDO->query($sql);
					$sentencia4->setFetchMode(PDO::FETCH_ASSOC);
					$row4 = $sentencia4->fetch();
					if ($row4["isp_fechaIni"] > "0000-00-00"){
						$a_serie["isp_fechaIni"]	= substr($row4["isp_fechaIni"],0,10);
					}
					$a_serie["isp_noConforme"]		= $row4["isp_noConforme"];
					$a_serie["isp_diagnostico"]		= $row4["isp_diagnostico"];
					$a_serie["isp_diagnosticoDet"]	= $row4["isp_diagnosticoDet"];
					$a_serie["isp_accion"]			= $row4["isp_accion"];
					$a_serie["isp_estado"]			= $row4["isp_estado"];
				}
				$a_serie["ser_id"]			= $row["ser_id"];
				$a_serie["ser_serie"]		= $row["ser_serie"];
				$a_serie["ser_prId"]		= $row["ser_prId"];
				$a_serie["ser_almacenId"]	= $row["ser_almacenId"];
				$a_serie["ser_status"]		= $row["ser_status"];
				$a_serie["ser_status2"]		= $row["ser_status2"];
				if ($row["ser_fecIni"] > "0000-00-00"){
					$a_serie["ser_fecIni"]	= $row["ser_fecIni"];
				}
				if ($row["ser_fecFin"] > "0000-00-00"){
					$a_serie["ser_fecFin"]		= $row["ser_fecFin"];
				}
				$a_serie["ser_ubic"]		= $row["ser_ubic"];
				$a_serie["ser_ubicId"]		= $row["ser_ubicId"];
				$a_serie["ser_ubicId2"]		= $row["ser_ubicId2"];
				$a_serie["ser_docIni"]		= $row["ser_docIni"];
				$a_serie["ser_docFin"]		= $row["ser_docFin"];
				$a_serie["ser_obs"]			= $row["ser_obs"];
				$a_serie["ser_semv_id_ult"]	= $row["ser_semv_id_ult"];
				$a_serie["ser_movIdUlt"]	= $row["ser_movIdUlt"];
				$a_serie["ser_fecreg"]		= $row["ser_fecreg"];
				$a_serie["ser_fecact"]		= $row["ser_fecact"];
				$a_serie["ser_usrreg"]		= $row["ser_usrreg"];
				$a_serie["ser_usract"]		= $row["ser_usract"];
				$a_serie["fm_nombre"]		= $row["fm_nombre"];
				$a_serie["pr_id"]			= $row["pr_id"];
				$a_serie["pr_productoId"]	= $row["pr_productoId"];
				$a_serie["pr_descripcion"]	= $row["pr_descripcion"];
				$a_serie["alm_nombre"]		= $row["alm_nombre"];			
				$a_serie["pr_familiaId"]	= $row["pr_familiaId"];
				$a_serie["sfm_nombre"]		= $row["sfm_nombre"];
				$a_serie["cl_nombre"]		= $row["cl_nombre"];
				$a_serie["cls_nombre"]		= $row["cls_nombre"];
				$a_serieList[] = $a_serie;
			//	echo "<pre>";print_r($a_serie);
			}
			return $a_serieList;
		}else{
			return FALSE;
		}

	}



	public function insert($SerieObj){
		global $PDO,$usuario;
		$sql = "
			INSERT INTO im_serie 
			(
			ser_serie, 
			ser_prId,
			ser_status,
			ser_fecIni,
			ser_fecFin,
			ser_obs,
			ser_fecreg,
			ser_usrreg
			) 
			VALUES 
			(
			:ser_serie, 
			:ser_prId,
			:ser_status,
			:ser_fecIni,
			:ser_fecFin,
			:ser_obs,
			:ser_fecreg,
			:ser_usrreg
			);			
		";
		$comando = $PDO->prepare($sql);
		$SerieObj->ser_fecreg = date("Y-m-d H:i:s");
		$SerieObj->ser_usrreg = $usuario;
		$comando->bindParam(':ser_serie', $SerieObj->ser_serie);
		$comando->bindParam(':ser_prId', $SerieObj->ser_prId);
		$comando->bindParam(':ser_status', $SerieObj->ser_status);
		$comando->bindParam(':ser_fecIni', $SerieObj->ser_fecIni);
		$comando->bindParam(':ser_fecFin', $SerieObj->ser_fecFin);
		$comando->bindParam(':ser_fecreg', $SerieObj->ser_fecreg);
		$comando->bindParam(':ser_obs', $SerieObj->ser_obs);
		$comando->bindParam(':ser_usrreg', $SerieObj->ser_usrreg);
		$comando->execute();	 
		$query	 = "
			SELECT DISTINCT max(ser_id) as id 
			FROM `im_serie` 
			WHERE ser_usrreg = :ser_usrreg 
				AND ser_fecreg = :ser_fecreg ";
		$comando = $PDO->prepare($query);
		$comando->bindParam(':ser_usrreg', $SerieObj->ser_usrreg);
		$comando->bindParam(':ser_fecreg', $SerieObj->ser_fecreg);
		$comando->execute();	 
		$resultado = $comando->fetchAll(PDO::FETCH_ASSOC);
		$row = $resultado[0];
		return $row["id"];
	}


	public function update($SerieObj){
		global $usuario, $PDO;
		if ($SerieObj->ser_serie){
			$set .= ", ser_serie = :ser_serie";
		}
		if ($SerieObj->ser_prId){
			$set .= ", ser_prId = :ser_prId";
		}
		if ($SerieObj->ser_almacenId){
			$set .= ", ser_almacenId = :ser_almacenId";
		}
		if ($SerieObj->ser_status){
			$set .= ", ser_status = :ser_status";
		}
		if ($SerieObj->ser_status2){
			$set .= ", ser_status2 = :ser_status2";
		}
		if ($SerieObj->ser_ubic){
			$set .= ", ser_ubic = :ser_ubic";
		}
		if ($SerieObj->ser_ubicId){
			$set .= ", ser_ubicId = :ser_ubicId";
		}
		if ($SerieObj->ser_ubicId2){
			$set .= ", ser_ubicId2 = :ser_ubicId2";
		}
		if ($SerieObj->ser_fecIni){
			$set .= ", ser_fecIni = :ser_fecIni";
		}
		if ($SerieObj->ser_fecFin){
			$set .= ", ser_fecFin = :ser_fecFin";
		}
		if ($SerieObj->ser_obs){
			$set .= ", ser_obs = :ser_obs";
		}

		if ($set && $SerieObj->ser_id){
			$set = substr($set,1);
			$sql2 = "
				UPDATE im_serie
				SET 
					$set
					,ser_usract = :ser_usract
				WHERE ser_id = :ser_id
				LIMIT 1";
			$comando = $PDO->prepare($sql2);
			$comando->bindParam(':ser_id', $SerieObj->ser_id);
			if ($SerieObj->ser_serie){
				$comando->bindParam(':ser_serie', $SerieObj->ser_serie);
			}
			if ($SerieObj->ser_prId){
				$comando->bindParam(':ser_prId', $SerieObj->ser_prId);
			}
			if ($SerieObj->ser_almacenId){
				$comando->bindParam(':ser_almacenId', $SerieObj->ser_almacenId);
			}
			if ($SerieObj->ser_status){
				$comando->bindParam(':ser_status', $SerieObj->ser_status);
			}
			if ($SerieObj->ser_status2){
				$comando->bindParam(':ser_status2', $SerieObj->ser_status2);
			}
			if ($SerieObj->ser_ubic){
				$comando->bindParam(':ser_ubic', $SerieObj->ser_ubic);
			}
			if ($SerieObj->ser_ubicId){
				$comando->bindParam(':ser_ubicId', $SerieObj->ser_ubicId);
			}
			if ($SerieObj->ser_ubicId2){
				$comando->bindParam(':ser_ubicId2', $SerieObj->ser_ubicId2);
			}
			if ($SerieObj->ser_fecIni){
				$comando->bindParam(':ser_fecIni', $SerieObj->ser_fecIni);
			}
			if ($SerieObj->ser_fecFin){
				$comando->bindParam(':ser_fecFin', $SerieObj->ser_fecFin);
			}
			if ($SerieObj->ser_obs){
				$comando->bindParam(':ser_obs', $SerieObj->ser_obs);
			}
			$comando->bindParam(':ser_usract', $usuario);
			$comando->execute();
			//print_r($comando->errorInfo());
			return $SerieObj->ser_id;
		}
	}


}


?>