<?php

include ("class/imSolicDespachoModel.class.php");


class ImSolicDespacho{

	public function consultarId($id){
		$ImSolicDespachoModel= NEW ImSolicDespachoModel();
		$a_result = $ImSolicDespachoModel->selectUniqueId($id);
		return $a_result;
	}

	public function consultar($ImSolicDespachoFilter){
		$ImSolicDespachoModel = NEW ImSolicDespachoModel();
		return $ImSolicDespachoModel->select($ImSolicDespachoFilter);
	}

	public function consultarIdLineas($id,$chCant=''){
		$ImSolicDespachoModel= NEW ImSolicDespachoLineaModel();
		$a_result = $ImSolicDespachoModel->selectUniqueId($id,$chCant);
		return $a_result;
	}

	function cerrarSolicitud($id){
		global $PDO, $usuario;
		$a_ImSolicDespachoModel		= $this->consultarId($id);
		if ($a_ImSolicDespachoModel["sd_status"] == ''){
			$ImSolicDespachoModelUpd				= NEW ImSolicDespachoModel();
			$ImSolicDespachoModelSetObj				= NEW ImSolicDespachoModel();
			$ImSolicDespachoLineaModel				= NEW ImSolicDespachoLineaModel();
			$ImSolicDespachoModelSetObj->sd_id	 = $id;
			$ImSolicDespachoModelSetObj->sd_status = 'C';
			$ImSolicDespachoModelUpd->update($ImSolicDespachoModelSetObj);
			$a_imIngresoLineas = $ImSolicDespachoLineaModel->selectUniqueId($id);
		}else{
			return FALSE;
		}		
	}

	public function crear($ImSolicDespachoObj){		
		$ImSolicDespachoModelIns = NEW ImSolicDespachoModel();
		return $ImSolicDespachoModelIns->insert($ImSolicDespachoObj);
	}


	public function modificar($ImSolicDespachoObj){
		if (!$ImSolicDespachoObj->sd_id){
			return FALSE;
		}
		$ImSolicDespachoModelUpd = NEW ImSolicDespachoModel();
		return $ImSolicDespachoModelUpd->update($ImSolicDespachoObj);		
	}


	public function anular($id){
		if (!$id){
			return FALSE;
		}
		$ImSolicDespachoModelUpd		= NEW ImSolicDespachoModel();
		$ImSolicDespachoModelSetObj		 = NEW ImSolicDespachoModel();	
		$ImSolicDespachoModelSetObj->sd_id	  = $id;
		$ImSolicDespachoModelSetObj->sd_status  = 'A';
		return $ImSolicDespachoModelUpd->update($ImSolicDespachoModelSetObj);
	}

}




class ImSolicDespachoLinea{

	public function crear($ImSolicDespachoLineaObj){	
		$ImSolicDespachoLineaModelIns = NEW ImSolicDespachoLineaModel();
		return $ImSolicDespachoLineaModelIns->insert($ImSolicDespachoLineaObj);
	}


	public function borrar($id){
		$ImSolicDespachoLineaModelDel = NEW ImSolicDespachoLineaModel();
		return $ImSolicDespachoLineaModelDel->delete($id);		
	}

	public function consultarLineaArticulo($ordenId,$productoId){
		$ImSolicDespachoLineaModel= NEW ImSolicDespachoLineaModel();
		$a_result = $ImSolicDespachoLineaModel->selectLineaArticulo($ordenId,$productoId);
		return $a_result;
	}

	public function consultar($ImSolicDespachoLineaObj){
		$ImSolicDespachoLineaModel= NEW ImSolicDespachoLineaModel();
		$a_result = $ImSolicDespachoLineaModel->select($ImSolicDespachoLineaObj);
		return $a_result;
	}
}


?>