<?php


class ImStockModel{

	public function selectUniqueId($almId,$prId){
		global $PDO;
		if (!$almId OR !$prId){
			return FALSE;
		}
		$sql = "
			SELECT *
			FROM im_stock
				LEFT JOIN im_producto ON stk_prId = pr_id 
				LEFT JOIN im_almacen ON stk_almacenId = alm_id 
				LEFT JOIN im_stockmov ON stk_movIdUlt = smv_id
			WHERE stk_almacenId = '".$almId."'
				AND stk_prId = '".$prId."'
			LIMIT 1
		";					
		$sentencia = $PDO->query($sql);
		$sentencia->setFetchMode(PDO::FETCH_ASSOC);
		$row = $sentencia->fetch();
		$a_stock["stk_almacenId"]	= $row["stk_almacenId"];
		$a_stock["stk_prId"]		= $row["stk_prId"];
		$a_stock["stk_fisico"]		= $row["stk_fisico"];
		$a_stock["stk_reserva"]		= $row["stk_reserva"];
		$a_stock["stk_costoProm"]	= $row["stk_costoProm"];
		$a_stock["stk_costoProm_gl"]= $row["stk_costoProm_gl"];
		$a_stock["stk_costoUlt"]	= $row["stk_costoUlt"];
		$a_stock["stk_movIdUlt"]	= $row["stk_movIdUlt"];
		$a_stock["stk_movIngSalUlt"]= $row["stk_movIngSalUlt"];
		$a_stock["stk_movTipoUlt"]	= $row["stk_movTipoUlt"];
		$a_stock["stk_fecact"]		= $row["stk_fecact"];
		$a_stock["smv_docum"]		= $row["smv_docum"];
		return $a_stock;
	}


	public function select($StockObj,$limit=''){
		global $usuario, $PDO;
		if ($StockObj->pr_id){
			$where .= " AND pr_id = :pr_id";
		}
		if ($StockObj->pr_productoId){
			$where .= " AND pr_productoId LIKE :pr_productoId";
		}
		if ($StockObj->pr_descripcion){
			$where .= " AND pr_descripcion LIKE :pr_descripcion";
		}
		if ($StockObj->stk_almacenId){
			$where .= " AND stk_almacenId = :stk_almacenId";
		}
		if ($StockObj->pr_familiaId){
			$where .= " AND pr_familiaId LIKE :pr_familiaId";
		}
		if ($StockObj->pr_subfamiliaId){
			$where .= " AND pr_subfamiliaId LIKE :pr_subfamiliaId";
		}
		if ($StockObj->stk_fisico){
			$where .= " AND stk_fisico > 0";
		}
		if ($StockObj->orderBy){
			$orderBy = " ORDER BY :orderBy";
		}else{
			$orderBy = " ORDER BY pr_productoId,stk_almacenId";
		}
		if ($StockObj->groupBy){
			$StockObj->groupBy = str_replace(" ","",$StockObj->groupBy);
			$groupBy = " GROUP BY ".$StockObj->groupBy;
			$fields = ", SUM(stk_fisico) AS stk_tot_fisico, SUM(stk_reserva)  AS stk_tot_reserva, SUM(stk_fisico*stk_costoProm)  AS stk_tot_costoProm";
		}
		$sql = "
			SELECT *
			$fields
			FROM im_stock
				LEFT JOIN im_producto ON stk_prId = pr_id 
				LEFT JOIN im_almacen ON stk_almacenId = alm_id 
				LEFT JOIN im_stockmov ON stk_movIdUlt = smv_id
				LEFT JOIN im_familia ON pr_familiaId = fm_familiaId 
				LEFT JOIN im_subFamilia ON pr_subfamiliaId = sfm_subFamiliaId
			WHERE 1 $where
			$groupBy
			$orderBy
		";

		$comando = $PDO->prepare($sql);
		if ($StockObj->pr_id){
			$comando->bindParam(':pr_id', $StockObj->pr_id);
		}
		if ($StockObj->pr_productoId){
			$comando->bindParam(':pr_productoId', $StockObj->pr_productoId);
		}
		if ($StockObj->pr_descripcion){
			$comando->bindParam(':pr_descripcion', $StockObj->pr_descripcion);
		}
		if ($StockObj->stk_almacenId){
			$comando->bindParam(':stk_almacenId', $StockObj->stk_almacenId);
		}
		if ($StockObj->pr_familiaId){
			$comando->bindParam(':pr_familiaId', $StockObj->pr_familiaId);
		}
		if ($StockObj->pr_subfamiliaId){
			$comando->bindParam(':pr_subfamiliaId', $StockObj->pr_subfamiliaId);
		}
		if ($StockObj->orderBy){
			$comando->bindParam(':orderBy', $StockObj->orderBy);
		}			
		
		$comando->execute();
		//print_r($comando->errorInfo());
		while($row = $comando->fetch()){
			$a_almacen["fm_nombre"]			= $row["fm_nombre"];
			$a_almacen["pr_id"]				= $row["pr_id"];
			$a_almacen["pr_productoId"]		= $row["pr_productoId"];
			$a_almacen["pr_descripcion"]	= $row["pr_descripcion"];
			$a_almacen["stk_almacenId"]		= $row["stk_almacenId"];
			$a_almacen["alm_nombre"]		= $row["alm_nombre"];
			$a_almacen["stk_fisico"]		= $row["stk_fisico"];
			$a_almacen["stk_reserva"]		= $row["stk_reserva"];
			$a_almacen["stk_costoProm"]		= $row["stk_costoProm"];
			$a_almacen["stk_costoProm_gl"]	= $row["stk_costoProm_gl"];
			$a_almacen["stk_costoUlt"]		= $row["stk_costoUlt"];
			$a_almacen["stk_fecact"]		= $row["stk_fecact"];
//			$a_almacen["stk_fecact_dia"]	= substr($row["stk_fecact"],0,10);
			$a_almacen["stk_fecact_dia"]	= $row["smv_fecha"];
			$a_almacen["stk_tot_fisico"]	= $row["stk_tot_fisico"];
			$a_almacen["stk_tot_reserva"]	= $row["stk_tot_reserva"];
			$a_almacen["stk_tot_costoProm"]	= $row["stk_tot_costoProm"];			
			$a_almacen["pr_familiaId"]		= $row["pr_familiaId"];
			$a_almacen["sfm_nombre"]			= $row["sfm_nombre"];
			$a_stockList["listaPag"][] = $a_almacen;
		}
		return $a_stockList;

	}


}


?>