<?php

include ("class/poFacturaModel.class.php");

//include ("imStockMovim.class.php");

class PoFactura{

	public function consultarId($id){
		$PoFacturaModel= NEW PoFacturaModel();
		$a_result = $PoFacturaModel->selectUniqueId($id);
		return $a_result;
	}

	public function consultar($PoFacturaFilter){
		$PoFacturaModel = NEW PoFacturaModel();
		return $PoFacturaModel->select($PoFacturaFilter);
	}

	public function consultarPag($PoFacturaFilter,$limit){
		$PoFacturaModel = NEW PoFacturaModel();
		return $PoFacturaModel->select($PoFacturaFilter,$limit);
	}

	public function consultarIdLineas($id){
		$PoFacturaModel= NEW PoFacturaLineaModel();
		$a_result = $PoFacturaModel->selectUniqueId($id);
		return $a_result;
	}

	public function procesar($id){
		global $usuario, $PDO;
		$a_PoFacturaModel		= $this->consultarId($id);
		if ($a_PoFacturaModel["ing_status"] == ''){
			
			try {
				$PDO->beginTransaction();
				$PoFacturaModelUpd		 = NEW PoFacturaModel();
				$PoFacturaModelSetObj	 = NEW PoFacturaModel();
				$PoFacturaLineaModel		 = NEW PoFacturaLineaModel();
				$PoFacturaModelSetObj->ing_id	 = $id;
				$PoFacturaModelSetObj->ing_status = 'C';
				$PoFacturaModelUpd->update($PoFacturaModelSetObj);
				$a_poFacturaLineas = $PoFacturaLineaModel->selectUniqueId($id);

				//generar cuenta por pagar
				
				$PDO->commit();
				return $a_poFacturaLineas;

			} catch (Exception $e) {
				echo '<h5 style=background-color:ffff00>Error capturado: ',  $e->getMessage(), "</h5>\n";
				$PDO->rollback();
				return FALSE;
			}
			
		}else{
			return FALSE;
		}
	}


	public function crear($PoFacturaObj){		
		$PoFacturaModelIns = NEW PoFacturaModel();
		return $PoFacturaModelIns->insert($PoFacturaObj);
	}


	public function modificar($PoFacturaObj){
		if (!$PoFacturaObj->fcpo_id){
			return FALSE;
		}
		$PoFacturaModelUpd = NEW PoFacturaModel();
		return $PoFacturaModelUpd->update($PoFacturaObj);		
	}


	public function anular($id){
		if (!$id){
			return FALSE;
		}
		$PoFacturaModelUpd			 = NEW PoFacturaModel();
		$PoFacturaModelSetObj		 = NEW PoFacturaModel();	
		$PoFacturaModelSetObj->fcpo_id	  = $id;
		$PoFacturaModelSetObj->fcpo_status  = 'A';
		return $PoFacturaModelUpd->update($PoFacturaModelSetObj);
	}


}






class PoFacturaLinea{

	var $fcpo_costo_moneda_doc = 0;
	var $fcpol_gravada = 0;
	var $fcpol_detracc_factor = 0;
	var $fcpol_detracc = 0;
	var $fcpol_costo_imp = 0;
	var $fcpol_obs = '';
	
	public function crear($PoFacturaLineaObj){	
		$PoFacturaLineaModelIns = NEW PoFacturaLineaModel();
		return $PoFacturaLineaModelIns->insert($PoFacturaLineaObj);
	}

	public function modificar($PoFacturaLineaObj){
		if (!$PoFacturaLineaObj->ingl_id){
			return FALSE;
		}
		$PoFacturaModelLineaUpd	  = NEW PoFacturaLineaModel();
		$PoFacturaModelLineaSetObj = NEW PoFacturaLineaModel();	
		$PoFacturaModelLineaSetObj->ingl_id			= $PoFacturaLineaObj->ingl_id;
		$PoFacturaModelLineaSetObj->ingl_lineaId		= $PoFacturaLineaObj->ingl_lineaId;
		$PoFacturaModelLineaSetObj->ingl_prId		= $PoFacturaLineaObj->ingl_prId;
		$PoFacturaModelLineaSetObj->ingl_productoId	= $PoFacturaLineaObj->ingl_productoId;
		$PoFacturaModelLineaSetObj->ingl_descripcion	= $PoFacturaLineaObj->ingl_descripcion;
		$PoFacturaModelLineaSetObj->ingl_cantidad	= $PoFacturaLineaObj->ingl_cantidad;
		$PoFacturaModelLineaSetObj->ingl_costo		= $PoFacturaLineaObj->ingl_costo;
		return $PoFacturaModelLineaUpd->update($PoFacturaModelLineaSetObj);		
	}

	public function borrar($id){
		$PoFacturaLineaModelDel = NEW PoFacturaLineaModel();
		return $PoFacturaLineaModelDel->delete($id);		
	}

	public function consultarLineaArticulo($ingresoId,$productoId){
		$PoFacturaLineaModel= NEW PoFacturaLineaModel();
		$a_result = $PoFacturaLineaModel->selectLineaArticulo($ingresoId,$productoId);
		return $a_result;
	}

	public function consultar($PoFacturaLineaObj){
		$PoFacturaLineaModel= NEW PoFacturaLineaModel();
		$a_result = $PoFacturaLineaModel->select($PoFacturaLineaObj);
		return $a_result;
	}
}





?>