<?php


class PoImpLiqModel{

	public function selectUniqueId($id){
		global $PDO;
		if (!$id){
			return FALSE;
		}
		$sql = "
			SELECT *
			FROM po_impLiq
				LEFT JOIN xx_maestrolista ON lq_status = mlst_valorId AND mlst_listaId = 'poImpLiqStatus'
			WHERE lq_id = :id
		";					
		$comando = $PDO->prepare($sql);
		$comando->bindParam(':id', $id);
		$comando->execute();
		$resultado = $comando->fetchAll(PDO::FETCH_ASSOC);
		$row = $resultado[0];
		$a_impLiq["lq_id"]		= $row["lq_id"];
		$a_impLiq["lq_imp_id"]	= $row["lq_imp_id"];
		$a_impLiq["lq_dua"]		= $row["lq_dua"];
		$a_impLiq["lq_fecha"]	= $row["lq_fecha"];
		$a_impLiq["lq_prv_id"]	= $row["lq_prv_id"];
		$a_impLiq["lq_prv_nombre"]	= $row["lq_prv_nombre"];
		$a_impLiq["lq_tipoCambio"]	= $row["lq_tipoCambio"];
		$a_impLiq["lq_obs"]		= $row["lq_obs"];
		$a_impLiq["lq_status"]	= $row["lq_status"];
		$a_impLiq["lq_usrreg"]	= $row["lq_usrreg"];
		$a_impLiq["lq_usract"]	= $row["lq_usract"];
		$a_impLiq["lq_fecreg"]	= $row["lq_fecreg"];
		$a_impLiq["lq_fecact"]	= $row["lq_fecact"];
		$a_impLiq["impLiq_status_nombre"] = $row["mlst_valorDsc"];
		return $a_impLiq;
	}

	public function select($ImpLiqObj,$limit=''){
		global $usuario, $PDO;
		if ($ImpLiqObj->lq_id){
			$where .= " AND lq_id = :lq_id";
		}
		if ($ImpLiqObj->lq_imp_id){
			$where .= " AND lq_imp_id = :lq_imp_id";
		}
		if ($ImpLiqObj->lq_dua){
			$where .= " AND lq_dua = :lq_dua";
		}
		if ($ImpLiqObj->lq_fechaIni){
			$where .= " AND lq_fecha >= :lq_fechaIni";
		}
		if ($ImpLiqObj->lq_fechaFin){
			$where .= " AND lq_fecha <= :lq_fechaFin";
		}
		if ($ImpLiqObj->lq_obs){
			$where .= " AND lq_obs = :lq_obs";
		}
		if ($ImpLiqObj->lq_status){
			$where .= " AND lq_status = :lq_status";
		}
		if ($ImpLiqObj->orderBy){
			$ImpLiqObj->orderBy = str_replace(" ","",$ImpLiqObj->orderBy);
			$orderBy = " ORDER BY ".$ImpLiqObj->orderBy;
		}else{
			$orderBy = " ORDER BY lq_id";
		}
		//$where = substr($where,3);
		$sql = "
			SELECT *
			FROM po_impLiq
			WHERE 1 $where
			$orderBy
		";	
	//	exit($sql);
		$comando = $PDO->prepare($sql);
		if ($ImpLiqObj->lq_id){
			$comando->bindParam(':lq_id', $ImpLiqObj->lq_id);
		}
		if ($ImpLiqObj->lq_imp_id){
			$comando->bindParam(':lq_imp_id', $ImpLiqObj->lq_imp_id);
		}
		if ($ImpLiqObj->lq_dua){
			$comando->bindParam(':lq_dua', $ImpLiqObj->lq_dua);
		}
		if ($ImpLiqObj->lq_fechaIni){
			$comando->bindParam(':lq_fechaIni', $ImpLiqObj->lq_fechaIni);
		}
		if ($ImpLiqObj->lq_fechaFin){
			$comando->bindParam(':lq_fechaFin', $ImpLiqObj->lq_fechaFin);
		}
		if ($ImpLiqObj->lq_obs){
			$comando->bindParam(':lq_obs', $ImpLiqObj->lq_obs);
		}
		if ($ImpLiqObj->lq_status){
			$comando->bindParam(':lq_status', $ImpLiqObj->lq_status);
		}
		$comando->execute();
		while($row = $comando->fetch()){
			$a_impLiq["lq_id"]		= $row["lq_id"];
			$a_impLiq["lq_imp_id"]	= $row["lq_imp_id"];
			$a_impLiq["lq_dua"]		= $row["lq_dua"];
			$a_impLiq["lq_fecha"]	= $row["lq_fecha"];
			$a_impLiq["lq_prv_id"]	= $row["lq_prv_id"];
			$a_impLiq["lq_prv_nombre"]	= $row["lq_prv_nombre"];
			$a_impLiq["lq_tipoCambio"]	= $row["lq_tipoCambio"];
			$a_impLiq["lq_obs"]		= $row["lq_obs"];
			$a_impLiq["lq_status"]	= $row["lq_status"];
			$a_impLiq["lq_usrreg"]	= $row["lq_usrreg"];
			$a_impLiq["lq_usract"]	= $row["lq_usract"];
			$a_impLiq["lq_fecreg"]	= $row["lq_fecreg"];
			$a_impLiq["lq_fecact"]	= $row["lq_fecact"];
			$a_impLiq["impLiq_status_nombre"] = $row["mlst_valorDsc"];
			$a_impLiqList[]			= $a_impLiq;
		}
		return $a_impLiqList;

	}


	public function update($ImpLiqObj){
		global $PDO;
		if ($ImpLiqObj->lq_imp_id){
			$set .= ",lq_imp_id = :lq_imp_id";
		}
		if ($ImpLiqObj->lq_dua){
			$set .= ",lq_dua = :lq_dua";
		}
		if ($ImpLiqObj->lq_fecha){
			$set .= ",lq_fecha = :lq_fecha";
		}
		if ($ImpLiqObj->lq_prv_id){
			$set .= ",lq_prv_id = :lq_prv_id";
		}
		if ($ImpLiqObj->lq_prv_nombre){
			$set .= ",lq_prv_nombre = :lq_prv_nombre";
		}
		if ($ImpLiqObj->lq_obs){
			$set .= ",lq_obs = :lq_obs";
		}
		if ($ImpLiqObj->lq_status){
			$set .= ",lq_status = :lq_status";
		}
		if ($ImpLiqObj->lq_tipoCambio){
			$set .= ",lq_tipoCambio = :lq_tipoCambio";
		}

		if ($set){
			$set = substr($set,1);
			$sql2 = "
				UPDATE po_impLiq
				SET 
					$set
					,lq_usract = :usract
				WHERE lq_id = :lq_id
				LIMIT 1";			
			$comando = $PDO->prepare($sql2);
			$comando->bindParam(':lq_id', $ImpLiqObj->lq_id);
			$comando->bindParam(':usract', $ImpLiqObj->lq_usract);
			if ($ImpLiqObj->lq_imp_id){
				$comando->bindParam(':lq_imp_id', $ImpLiqObj->lq_imp_id);
			}
			if ($ImpLiqObj->lq_dua){
				$comando->bindParam(':lq_dua', $ImpLiqObj->lq_dua);
			}
			if ($ImpLiqObj->lq_fecha){
				$comando->bindParam(':lq_fecha', $ImpLiqObj->lq_fecha);
			}
			if ($ImpLiqObj->lq_prv_id){
				$comando->bindParam(':lq_prv_id', $ImpLiqObj->lq_prv_id);
			}
			if ($ImpLiqObj->lq_prv_nombre){
				$comando->bindParam(':lq_prv_nombre', $ImpLiqObj->lq_prv_nombre);
			}
			if ($ImpLiqObj->lq_obs){
				$comando->bindParam(':lq_obs', $ImpLiqObj->lq_obs);
			}
			if ($ImpLiqObj->lq_tipoCambio){
				$comando->bindParam(':lq_tipoCambio', $ImpLiqObj->lq_tipoCambio);
			}
			if ($ImpLiqObj->lq_status){
				$comando->bindParam(':lq_status', $ImpLiqObj->lq_status);
			}
			$comando->execute();
			return $ImpLiqObj->lq_id;
		}
	}


	public function insert($ImpLiqObj){
		global $PDO;
		$sql = "
			INSERT INTO `po_impLiq` 
			(
			lq_imp_id, 
			lq_dua,
			lq_fecha,
			lq_prv_id,
			lq_prv_nombre,
			lq_tipoCambio,
			lq_obs,	
			lq_status,  
			lq_usrreg,
			lq_fecreg
			) 
			VALUES 
			(
			:lq_imp_id,
			:lq_dua,
			:lq_fecha,
			:lq_prv_id,
			:lq_prv_nombre,
			:lq_tipoCambio,
			:lq_obs,
			:lq_status,
			:usrreg,
			:fecreg
			);			
		";
		$comando = $PDO->prepare($sql);
		$fecreg = date("Y-m-d H:i:s");
		$comando->bindParam(':lq_imp_id', $ImpLiqObj->lq_imp_id);
		$comando->bindParam(':lq_dua', $ImpLiqObj->lq_dua);
		$comando->bindParam(':lq_fecha', $ImpLiqObj->lq_fecha);
		$comando->bindParam(':lq_prv_id', $ImpLiqObj->lq_prv_id);
		$comando->bindParam(':lq_prv_nombre', $ImpLiqObj->lq_prv_nombre);
		$comando->bindParam(':lq_tipoCambio', $ImpLiqObj->lq_tipoCambio);
		$comando->bindParam(':lq_obs', $ImpLiqObj->lq_obs);
		$comando->bindParam(':lq_status', $ImpLiqObj->lq_status);
		$comando->bindParam(':usrreg', $ImpLiqObj->lq_usrreg);
		$comando->bindParam(':fecreg', $fecreg);
		$comando->execute();
		$query	 = "SELECT DISTINCT max(lq_id) as id FROM po_impLiq where lq_fecreg = '".$fecreg."' AND lq_usrreg = '".$ImpLiqObj->lq_usrreg."'; " ;
		$sentencia2 = $PDO->query($query);
		$sentencia2->setFetchMode(PDO::FETCH_ASSOC);
		$row = $sentencia2->fetch();
		return $row["id"];		
	}

}



class PoImpLiqLineaModel{

	public function insert($ImpLiqlineaObj){
		global $PDO;
		$sql = "
			INSERT INTO 
			po_impLiqlinea 
			(
			lqd_lq_id, 
			lqd_pr_id,
			lqd_cantidad,
			lqd_costo,
			lqd_costo_gl,
			lqd_adv,
			lqd_gastos_imp, 
			lqd_costoLiq, 
			lqd_obs, 
			lqd_usrreg, 
			lqd_fecreg 
			) 
			VALUES 
			(
			:lqd_lq_id,
			:lqd_pr_id,
			:lqd_cantidad,
			:lqd_costo,	
			:lqd_costo_gl,
			:lqd_adv, 
			:lqd_gastos_imp, 
			:lqd_costoLiq,  
			:lqd_obs,  
			:usuario, 
			:fecreg
			);			
		";
		$comando = $PDO->prepare($sql);
		$ImpLiqlineaObj->lqd_fecreg = date("Y-m-d H:i:s");
		if ($ImpLiqlineaObj->lqd_adv){
			$ImpLiqlineaObj->lqd_adv = ($ImpLiqlineaObj->lqd_adv / 100) * $ImpLiqlineaObj->lqd_costo;
		}else{
			$ImpLiqlineaObj->lqd_adv = 0;
		}
		if (!$ImpLiqlineaObj->lqd_gastos_imp){
			$ImpLiqlineaObj->lqd_gastos_imp = 0;
		}
		$ImpLiqlineaObj->lqd_costoLiq = $ImpLiqlineaObj->lqd_costo + $ImpLiqlineaObj->lqd_adv + $ImpLiqlineaObj->lqd_gastos_imp;
		$comando->bindParam(':lqd_lq_id', $ImpLiqlineaObj->lqd_lq_id);
		$comando->bindParam(':lqd_pr_id', $ImpLiqlineaObj->lqd_pr_id);
		$comando->bindParam(':lqd_cantidad', $ImpLiqlineaObj->lqd_cantidad);
		$comando->bindParam(':lqd_costo', $ImpLiqlineaObj->lqd_costo);
		$comando->bindParam(':lqd_costo_gl', $ImpLiqlineaObj->lqd_costo_gl);
		$comando->bindParam(':lqd_adv', $ImpLiqlineaObj->lqd_adv);
		$comando->bindParam(':lqd_gastos_imp', $ImpLiqlineaObj->lqd_gastos_imp);
		$comando->bindParam(':lqd_costoLiq', $ImpLiqlineaObj->lqd_costoLiq);
		$comando->bindParam(':lqd_obs', $ImpLiqlineaObj->lqd_obs);
		$comando->bindParam(':usuario', $ImpLiqlineaObj->lqd_usrreg);
		$comando->bindParam(':fecreg', $ImpLiqlineaObj->lqd_fecreg);
		$comando->execute();
		//print_r($comando->errorInfo());
		$query	 = "
			SELECT DISTINCT max(lqd_lineaId) as id 
			FROM po_impLiqlinea 
			WHERE lqd_fecreg = '".$ImpLiqlineaObj->lqd_fecreg."' 
				AND lqd_usrreg = '".$ImpLiqlineaObj->lqd_usrreg."'; " ;
		$sentencia2 = $PDO->query($query);
		$sentencia2->setFetchMode(PDO::FETCH_ASSOC);
		$row = $sentencia2->fetch();
		return $row["id"];
	}


	public function update($ImpLiqlineaObj){
		global $usuario, $PDO;

		if ($ImpLiqlineaObj->lqd_pr_id){
			$set .= ",lqd_pr_id = :lqd_pr_id";
		}
		if ($ImpLiqlineaObj->lqd_cantidad){
			$set .= ",lqd_cantidad = :lqd_cantidad";
		}
		if ($ImpLiqlineaObj->lqd_costo){
			$set .= ",lqd_costo = :lqd_costo";
		}
		if ($ImpLiqlineaObj->lqd_costo_gl){
			$set .= ",lqd_costo_gl = :lqd_costo_gl";
		}
		if ($ImpLiqlineaObj->lqd_gasto){
			$set .= ",lqd_gasto = :lqd_gasto";
		}
		if ($ImpLiqlineaObj->lqd_gasto_gl){
			$set .= ",lqd_gasto_gl = :lqd_gasto_gl";
		}
		if ($ImpLiqlineaObj->lqd_gasto_factor){
			$set .= ",lqd_gasto_factor = :lqd_gasto_factor";
		}
		if ($ImpLiqlineaObj->lqd_adv){
			$set .= ",lqd_adv = :lqd_adv";
		}
		/*
		if ($ImpLiqlineaObj->lqd_gasto_imp){
			$set .= ",lqd_gasto_imp = :lqd_gasto_imp";
		}
		if ($ImpLiqlineaObj->lqd_gasto_gl_imp){
			$set .= ",lqd_gasto_gl_imp = :lqd_gasto_gl_imp";
		}
		*/
		if ($ImpLiqlineaObj->lqd_costoLiq){
			$set .= ",lqd_costoLiq = :lqd_costoLiq";
		}
		if ($ImpLiqlineaObj->lqd_obs){
			$set .= ",lqd_obs = :lqd_obs";
		}
		/*
		print_r($ImpLiqlineaObj);
		echo $set."<br><br>";
*/
		if ($set){
			$set = substr($set,1);
			$sql = "
				UPDATE po_impLiqlinea
				SET 
					$set
					,lqd_usract = :usuario
				WHERE 
					lqd_lq_id = :lqd_lq_id
					AND lqd_lineaId = :lqd_lineaId
				LIMIT 1";			
			$comando = $PDO->prepare($sql);
			$ImpLiqlineaObj->lqd_costoLiq = $ImpLiqlineaObj->lqd_costo + $ImpLiqlineaObj->lqd_adv + $ImpLiqlineaObj->lqd_gastos_imp;
			$comando->bindParam(':lqd_lq_id', $ImpLiqlineaObj->lqd_lq_id);
			$comando->bindParam(':lqd_lineaId', $ImpLiqlineaObj->lqd_lineaId);
			$comando->bindParam(':usuario', $ImpLiqlineaObj->lqd_usract);
			if ($ImpLiqlineaObj->lqd_pr_id){
				$comando->bindParam(':lqd_pr_id', $ImpLiqlineaObj->lqd_pr_id);
			}
			if ($ImpLiqlineaObj->lqd_cantidad){
				$comando->bindParam(':lqd_cantidad', $ImpLiqlineaObj->lqd_cantidad);
			}
			if ($ImpLiqlineaObj->lqd_costo){
				$comando->bindParam(':lqd_costo', $ImpLiqlineaObj->lqd_costo);
			}
			if ($ImpLiqlineaObj->lqd_costo_gl){
				$comando->bindParam(':lqd_costo_gl', $ImpLiqlineaObj->lqd_costo_gl);
			}
			if ($ImpLiqlineaObj->lqd_adv){
				$comando->bindParam(':lqd_adv', $ImpLiqlineaObj->lqd_adv);
			}
			if ($ImpLiqlineaObj->lqd_gastos_imp){
				$comando->bindParam(':lqd_gastos_imp', $ImpLiqlineaObj->lqd_gastos_imp);
			}
			if ($ImpLiqlineaObj->lqd_costoLiq){
				$comando->bindParam(':lqd_costoLiq', $ImpLiqlineaObj->lqd_costoLiq);
			}
			if ($ImpLiqlineaObj->lqd_obs){
				$comando->bindParam(':lqd_obs', $ImpLiqlineaObj->lqd_obs);
			}
			if ($ImpLiqlineaObj->lqd_gasto){
				$comando->bindParam(':lqd_gasto', $ImpLiqlineaObj->lqd_gasto);
			}
			if ($ImpLiqlineaObj->lqd_gasto_gl){
				$comando->bindParam(':lqd_gasto_gl', $ImpLiqlineaObj->lqd_gasto_gl);
			}
			/*
			if ($ImpLiqlineaObj->lqd_gasto_imp){
				$comando->bindParam(':lqd_gasto_imp', $ImpLiqlineaObj->lqd_gasto_imp);
			}
			if ($ImpLiqlineaObj->lqd_gasto_gl_imp){
				$comando->bindParam(':lqd_gasto_gl_imp', $ImpLiqlineaObj->lqd_gasto_gl_imp);
			}
			*/
			if ($ImpLiqlineaObj->lqd_gasto_factor){
				$comando->bindParam(':lqd_gasto_factor', $ImpLiqlineaObj->lqd_gasto_factor);
			}



			$comando->execute();
//print_r($comando->errorInfo());

			return $ImpLiqlineaObj->lqd_lineaId;
		}
	}

	public function delete($lineaId){
		global $PDO;
		$sql = "
			DELETE
			FROM po_impLiqlinea
			WHERE lqd_lineaId = :lineaId
			LIMIT 1
		";		
		$comando = $PDO->prepare($sql);
		$comando->bindParam(':lineaId', $lineaId);
		$comando->execute();
		return $lineaId;
	}


	public function selectUniqueId($id){
		global $PDO;
		if (!$id){
			return FALSE;
		}
		$sql = "
			SELECT *
			FROM po_impLiqlinea
				LEFT JOIN im_producto P ON lqd_pr_id = pr_id
			WHERE lqd_lq_id = :lqd_lq_id
		";	
		$comando = $PDO->prepare($sql);
		if ($id){
			$comando->bindParam(':lqd_lq_id', $id);
		}
		$comando->execute();
		while($row = $comando->fetch()){
			$a_linea["lqd_lq_id"]		= $row["lqd_lq_id"];
			$a_linea["lqd_lineaId"]		= $row["lqd_lineaId"];
			$a_linea["lqd_pr_id"]		= $row["lqd_pr_id"];
			$a_linea["lqd_cantidad"]	= $row["lqd_cantidad"];
			$a_linea["lqd_costo"]		= $row["lqd_costo"];
			$a_linea["lqd_costo_gl"]		= $row["lqd_costo_gl"];
			$a_linea["lqd_adv"]			= $row["lqd_adv"];
			$a_linea["lqd_gastos_imp"]	= $row["lqd_gastos_imp"];
			$a_linea["lqd_gasto"]		= $row["lqd_gasto"];
			$a_linea["lqd_gasto_gl"]	= $row["lqd_gasto_gl"];
			$a_linea["lqd_gasto_factor"]= $row["lqd_gasto_factor"];
			$a_linea["lqd_costo_imp"]	= $row["lqd_costo"] + $row["lqd_gasto"];
			$a_linea["lqd_costo_gl_imp"]= $row["lqd_costo_gl"] + $row["lqd_gasto_gl"];
			$a_linea["lqd_costoLiq"]	= $row["lqd_costoLiq"];
			$a_linea["lqd_obs"]			= $row["lqd_obs"];
			$a_linea["lqd_usrreg"]		= $row["lqd_usrreg"];
			$a_linea["lqd_usract"]		= $row["lqd_usract"];
			$a_linea["lqd_fecreg"]		= $row["lqd_fecreg"];
			$a_linea["lqd_fecact"]		= $row["lqd_fecact"];
			$a_linea["pr_productoId"]	= $row["pr_productoId"];
			$a_linea["pr_descripcion"]	= $row["pr_descripcion"];
			$a_linea["pr_uom"]			= $row["pr_uom"];
			$a_linea["lqd_subtot"]		= $row["lqd_cantidad"]*$a_linea["lqd_costo_imp"];
			$a_linea["lqd_subtot_gl"]	= $row["lqd_cantidad"]*$a_linea["lqd_costo_gl_imp"];
			$a_linea["subtotal_adv"]	= $row["lqd_cantidad"]*$row["lqd_adv"];
			$a_linea["subtotal_gasto"]	= $row["lqd_cantidad"]*$row["lqd_gastos_imp"];
			$a_linea["subtotal_linea"]	= $row["lqd_cantidad"]*($row["lqd_costo"]+$row["lqd_adv"]+$row["lqd_gastos_imp"]);
			$a_ingresolinea[]			= $a_linea;
		}
		return $a_ingresolinea;
			

	}

	public function select($IngresoFilter){
		global $PDO;
		if ($IngresoFilter->lqd_lq_id){
			$where .=  " AND lqd_lq_id = :lqd_lq_id";
		}
		if ($IngresoFilter->lqd_lineaId){
			$where .=  " AND lqd_lineaId = :lqd_lineaId";
		}
		if ($IngresoFilter->lqd_pr_id){
			$where .=  " AND lqd_pr_id = :lqd_pr_id";
		}
		if ($where){
			$sql = "
				SELECT *
				FROM po_impLiqlinea
					LEFT JOIN im_producto P ON lqd_pr_id = pr_id
				WHERE 1 $where
			";		
			$comando = $PDO->prepare($sql);
			if ($IngresoFilter->lqd_lq_id){
				$comando->bindParam(':lqd_lq_id', $IngresoFilter->lqd_lq_id);
			}
			if ($IngresoFilter->lqd_lineaId){
				$comando->bindParam(':lqd_lineaId', $IngresoFilter->lqd_lineaId);
			}
			if ($IngresoFilter->lqd_pr_id){
				$comando->bindParam(':lqd_pr_id', $IngresoFilter->lqd_pr_id);
			}
			$comando->execute();
			//print_r($comando->errorInfo());
			while($row = $comando->fetch()){
				$a_linea["lqd_lq_id"]		= $row["lqd_lq_id"];
				$a_linea["lqd_lineaId"]		= $row["lqd_lineaId"];
				$a_linea["lqd_pr_id"]		= $row["lqd_pr_id"];
				$a_linea["lqd_cantidad"]	= $row["lqd_cantidad"];
				$a_linea["lqd_costo"]		= $row["lqd_costo"];
				$a_linea["lqd_costo_gl"]	= $row["lqd_costo_gl"];
				$a_linea["lqd_adv"]			= $row["lqd_adv"];
				$a_linea["lqd_gastos_imp"]	= $row["lqd_gastos_imp"];
				$a_linea["lqd_gasto"]		= $row["lqd_gasto"];
				$a_linea["lqd_gasto_gl"]	= $row["lqd_gasto_gl"];
				$a_linea["lqd_gasto_factor"]= $row["lqd_gasto_factor"];
				$a_linea["lqd_costoLiq"]	= $row["lqd_costoLiq"];
				$a_linea["lqd_costo_imp"]	= $row["lqd_costo"] + $row["lqd_gasto"];
				$a_linea["lqd_costo_gl_imp"]= $row["lqd_costo_gl"] + $row["lqd_gasto_gl"];
				$a_linea["lqd_obs"]			= $row["lqd_obs"];
				$a_linea["lqd_usrreg"]		= $row["lqd_usrreg"];
				$a_linea["lqd_usract"]		= $row["lqd_usract"];
				$a_linea["lqd_fecreg"]		= $row["lqd_fecreg"];
				$a_linea["lqd_fecact"]		= $row["lqd_fecact"];
				$a_linea["pr_productoId"]	= $row["pr_productoId"];
				$a_linea["pr_descripcion"]	= $row["pr_descripcion"];
				$a_linea["pr_uom"]			= $row["pr_uom"];
				$a_linea["subtotal_costo"]	= $row["lqd_cantidad"]*$row["lqd_costo"];
				$a_linea["subtotal_adv"]	= $row["lqd_cantidad"]*$row["lqd_adv"];
				$a_linea["subtotal_gasto"]	= $row["lqd_cantidad"]*$row["lqd_gastos_imp"];
				$a_linea["subtotal_linea"]	= $row["lqd_cantidad"]*($row["lqd_costo"]+$row["lqd_adv"]+$row["lqd_gastos_imp"]);
				$a_ingresolinea[]			= $a_linea;
			}
			return $a_ingresolinea;
			
		}
	}

	public function selectLineaArticulo($ingresoId,$productoId){
		global $PDO;
		if (!$ingresoId or !$productoId){
			return FALSE;
		}
		$sql = "
			SELECT *
			FROM po_impLiqlinea
			WHERE lqd_lq_id = '".$ingresoId."'				
				AND lqd_lineaId = '".$productoId."'
		";					
		$sentencia = $PDO->query($sql);
		$sentencia->setFetchMode(PDO::FETCH_ASSOC);
		$row = $sentencia->fetch();
		if ($row){
			$a_linea["lqd_pr_id"] = $row["lqd_pr_id"];
		}
		return $a_linea;
	}

}



class PoImpLiqGastoModel{

	public function insert($ImpLiqGastoObj){
		if (!$ImpLiqGastoObj->lqg_fcpo_id){
			$ImpLiqGastoObj->lqg_fcpo_id = '';
		}
		if (!$ImpLiqGastoObj->lqg_fcpol_lineaId){
			$ImpLiqGastoObj->lqg_fcpol_lineaId = '';
		}
		global $PDO;
		$sql = "
			INSERT INTO 
			po_impLiqgasto 
			(
			lqg_lq_id, 
			lqg_gastoId,
			lqg_refDocId,
			lqg_fecha,
			lqg_tipo_prorrateo,
			lqg_gasto,
			lqg_gasto_gl,
			lqg_gasto_tc,
			lqg_moneda,
			lqg_obs,
			lqg_fcpo_id,
			lqg_fcpol_lineaId,
			lqg_usrreg, 
			lqg_fecreg
			) 
			VALUES 
			(
			:lqg_lq_id,
			:lqg_gastoId,
			:lqg_refDocId,
			:lqg_fecha,
			:lqg_tipo_prorrateo,
			:lqg_gasto,	
			:lqg_gasto_gl,
			:lqg_gasto_tc,
			:lqg_moneda,			
			:lqg_obs, 
			:lqg_fcpo_id,
			:lqg_fcpol_lineaId,			
			:lqg_usrreg,  
			:lqg_fecreg
			);			
		";
		$comando = $PDO->prepare($sql);
		$ImpLiqGastoObj->lqg_fecreg = date("Y-m-d H:i:s");
		$comando->bindParam(':lqg_lq_id', $ImpLiqGastoObj->lqg_lq_id);
		$comando->bindParam(':lqg_gastoId', $ImpLiqGastoObj->lqg_gastoId);
		$comando->bindParam(':lqg_refDocId', $ImpLiqGastoObj->lqg_refDocId);
		$comando->bindParam(':lqg_fecha', $ImpLiqGastoObj->lqg_fecha);
		$comando->bindParam(':lqg_tipo_prorrateo', $ImpLiqGastoObj->lqg_tipo_prorrateo);
		$comando->bindParam(':lqg_gasto', $ImpLiqGastoObj->lqg_gasto);
		$comando->bindParam(':lqg_gasto_gl', $ImpLiqGastoObj->lqg_gasto_gl);
		$comando->bindParam(':lqg_gasto_tc', $ImpLiqGastoObj->lqg_gasto_tc);
		$comando->bindParam(':lqg_moneda', $ImpLiqGastoObj->lqg_moneda);
		$comando->bindParam(':lqg_obs', $ImpLiqGastoObj->lqg_obs);
		$comando->bindParam(':lqg_fcpo_id', $ImpLiqGastoObj->lqg_fcpo_id);
		$comando->bindParam(':lqg_fcpol_lineaId', $ImpLiqGastoObj->lqg_fcpol_lineaId);

		$comando->bindParam(':lqg_usrreg', $ImpLiqGastoObj->lqg_usrreg);
		$comando->bindParam(':lqg_fecreg', $ImpLiqGastoObj->lqg_fecreg);
		$comando->execute();
		/*
print_r($comando->errorInfo());
exit;
*/
		$query	 = "
			SELECT DISTINCT max(lqg_id) as id 
			FROM po_impLiqgasto 
			WHERE lqg_fecreg = '".$ImpLiqGastoObj->lqg_fecreg."' 
				AND lqg_usrreg = '".$ImpLiqGastoObj->lqg_usrreg."'; " ;
		$sentencia2 = $PDO->query($query);
		$sentencia2->setFetchMode(PDO::FETCH_ASSOC);
		$row = $sentencia2->fetch();
		return $row["id"];
	}


	public function update($ImpLiqGastoObj){
		global $usuario, $PDO;
		if ($ImpLiqGastoObj->lqg_gastoId){
			$set .= ",lqg_gastoId = :lqg_gastoId";
		}
		if ($ImpLiqGastoObj->lqg_refDocId){
			$set .= ",lqg_refDocId = :lqg_refDocId";
		}
		if ($ImpLiqGastoObj->lqg_fecha){
			$set .= ",lqg_fecha = :lqg_fecha";
		}
		if ($ImpLiqGastoObj->lqg_tipo_prorrateo){
			$set .= ",lqg_tipo_prorrateo = :lqg_tipo_prorrateo";
		}
		if ($ImpLiqGastoObj->lqg_gasto){
			$set .= ",lqg_gasto = :lqg_gasto";
		}
		if ($ImpLiqGastoObj->lqg_gasto_gl){
			$set .= ",lqg_gasto_gl = :lqg_gasto_gl";
		}
		if ($ImpLiqGastoObj->lqg_gasto_tc){
			$set .= ",lqg_gasto_tc = :lqg_gasto_tc";
		}
		if ($ImpLiqGastoObj->lqg_fcpo_id){
			$set .= ",lqg_fcpo_id = :lqg_fcpo_id";
		}
		if ($ImpLiqGastoObj->lqg_fcpol_lineaId){
			$set .= ",lqg_fcpol_lineaId = :lqg_fcpol_lineaId";
		}

		if ($ImpLiqGastoObj->lqg_moneda){
			$set .= ",lqg_moneda = :lqg_moneda";
		}
		if ($ImpLiqGastoObj->lqg_obs){
			$set .= ",lqg_obs = :lqg_obs";
		}
		if ($set){
			$set = substr($set,1);
			$sql2 = "
				UPDATE po_impLiqgasto
				SET 
					$set
					,lqg_usract = :usuario
				WHERE 
					lqg_lq_id = :lqg_lq_id
					AND lqg_id = :lqg_id
				LIMIT 1";			
			$comando->bindParam(':lqg_lq_id', $ImpLiqGastoObj->lqg_lq_id);
			$comando->bindParam(':lqg_id', $ImpLiqGastoObj->lqg_id);
			$comando->bindParam(':usuario', $ImpLiqGastoObj->lqd_usract);
			if ($ImpLiqGastoObj->lqg_gastoId){
				$comando->bindParam(':lqg_gastoId', $ImpLiqGastoObj->lqg_gastoId);
			}
			if ($ImpLiqGastoObj->lqg_refDocId){
				$comando->bindParam(':lqg_refDocId', $ImpLiqGastoObj->lqg_refDocId);
			}
			if ($ImpLiqGastoObj->lqg_fecha){
				$comando->bindParam(':lqg_fecha', $ImpLiqGastoObj->lqg_fecha);
			}
			if ($ImpLiqGastoObj->lqg_tipo_prorrateo){
				$comando->bindParam(':lqg_tipo_prorrateo', $ImpLiqGastoObj->lqg_tipo_prorrateo);
			}
			if ($ImpLiqGastoObj->lqg_gasto){
				$comando->bindParam(':lqg_gasto', $ImpLiqGastoObj->lqg_gasto);
			}
			if ($ImpLiqGastoObj->lqg_gasto_gl){
				$comando->bindParam(':lqg_gasto_gl', $ImpLiqGastoObj->lqg_gasto_gl);
			}
			if ($ImpLiqGastoObj->lqg_gasto_tc){
				$comando->bindParam(':lqg_gasto_tc', $ImpLiqGastoObj->lqg_gasto_tc);
			}
			if ($ImpLiqGastoObj->lqg_moneda){
				$comando->bindParam(':lqg_moneda', $ImpLiqGastoObj->lqg_moneda);
			}
			if ($ImpLiqGastoObj->lqg_obs){
				$comando->bindParam(':lqg_obs', $ImpLiqGastoObj->lqg_obs);
			}
			if ($ImpLiqGastoObj->lqg_fcpo_id){
				$comando->bindParam(':lqg_fcpo_id', $ImpLiqGastoObj->lqg_fcpo_id);
			}
			if ($ImpLiqGastoObj->lqg_fcpol_lineaId){
				$comando->bindParam(':lqg_fcpol_lineaId', $ImpLiqGastoObj->lqg_fcpol_lineaId);
			}

			$comando->execute();
			return $ImpLiqGastoObj->lqg_id;
		}
	}

	public function delete($lineaId){
		global $PDO;
		$sql = "
			DELETE
			FROM po_impLiqgasto
			WHERE lqg_id = :lineaId
			LIMIT 1
		";		
		$comando = $PDO->prepare($sql);
		$comando->bindParam(':lineaId', $lineaId);
		$comando->execute();
		return $lineaId;
	}


	public function selectUniqueId($id){
		global $PDO;
		if (!$id){
			return FALSE;
		}
		$sql = "
			SELECT *
			FROM po_impLiqgasto
				LEFT JOIN po_facturalinea ON lqg_fcpol_lineaId = fcpol_lineaId 
				LEFT JOIN po_factura ON fcpol_fcpo_id = fcpo_id
				LEFT JOIN xx_maestrolista ON lqg_gastoId = mlst_valorId AND mlst_listaId = 'poImpLqTipoGast'
			WHERE lqg_lq_id = :lqg_lq_id
		";	
		$comando = $PDO->prepare($sql);
		if ($id){
			$comando->bindParam(':lqg_lq_id', $id);
		}
		$comando->execute();
		
		while($row = $comando->fetch()){
			$a_linea["lqg_id"]				= $row["lqg_id"];
			$a_linea["lqg_lq_id"]			= $row["lqg_lq_id"];
			$a_linea["lqg_gastoId"]			= $row["lqg_gastoId"];
			$a_linea["lqg_refDocId"]		= $row["lqg_refDocId"];
			$a_linea["lqg_fecha"]			= $row["lqg_fecha"];
			$a_linea["lqg_tipo_prorrateo"]	= $row["lqg_tipo_prorrateo"];
			$a_linea["lqg_gasto"]			= $row["lqg_gasto"];
			$a_linea["lqg_gasto_gl"]		= $row["lqg_gasto_gl"];
			$a_linea["lqg_gasto_tc"]		= $row["lqg_gasto_tc"];
			$a_linea["lqg_moneda"]			= $row["lqg_moneda"];
			$a_linea["lqg_obs"]				= $row["lqg_obs"];
			$a_linea["lqg_fcpo_id"]			= $row["lqg_fcpo_id"];
			$a_linea["lqg_fcpol_lineaId"]	= $row["lqg_fcpol_lineaId"];
			$a_linea["lqg_usrreg"]			= $row["lqg_usrreg"];
			$a_linea["lqg_usract"]			= $row["lqg_usract"];
			$a_linea["lqg_fecreg"]			= $row["lqg_fecreg"];
			$a_linea["lqg_fecact"]			= $row["lqg_fecact"];
			$a_linea["gasto_dsc"]			= $row["mlst_valorDsc"];
			$a_linea["fcpo_numero"]			= $row["fcpo_numero"];
			$a_linea["lqf_fac_lineaId"]		= $row["lqf_fac_lineaId"];
			$a_linea["fcpo_prv_nombre"]		= $row["fcpo_prv_nombre"];
			$a_ingresolinea[]				= $a_linea;
		}
		return $a_ingresolinea;
			

	}

	public function select($IngresoFilter){
		global $PDO;
		if ($IngresoFilter->lqg_id){
			$where .=  "AND lqg_id = :lqg_id";
		}
		if ($IngresoFilter->lqg_lq_id){
			$where .=  "AND lqg_lq_id = :lqg_lq_id";
		}
		if ($IngresoFilter->lqg_gastoId){
			$where .=  "AND lqg_gastoId = :lqg_gastoId";
		}
		if ($where){
			$sql = "
				SELECT *
				FROM po_impLiqgasto
					LEFT JOIN po_facturalinea ON lqg_fcpol_lineaId = fcpol_lineaId 
					LEFT JOIN po_factura ON fcpol_fcpo_id = fcpo_id
					LEFT JOIN xx_maestrolista ON lqg_gastoId = mlst_valorId AND mlst_listaId = 'poImpLqTipoGast'
				WHERE 1 $where
			";			
			$comando = $PDO->prepare($sql);
			if ($IngresoFilter->lqg_id){
				$comando->bindParam(':lqg_id', $IngresoFilter->lqg_id);
			}
			if ($IngresoFilter->lqg_lq_id){
				$comando->bindParam(':lqg_lq_id', $IngresoFilter->lqg_lq_id);
			}
			if ($IngresoFilter->lqg_gastoId){
				$comando->bindParam(':lqg_gastoId', $IngresoFilter->lqg_gastoId);
			}
			$comando->execute();
			//print_r($comando->errorInfo());
			while($row = $comando->fetch()){
				$a_linea["lqg_id"]				= $row["lqg_id"];
				$a_linea["lqg_lq_id"]			= $row["lqg_lq_id"];
				$a_linea["lqg_gastoId"]			= $row["lqg_gastoId"];
				$a_linea["lqg_refDocId"]		= $row["lqg_refDocId"];
				$a_linea["lqg_fecha"]			= $row["lqg_fecha"];
				$a_linea["lqg_tipo_prorrateo"]	= $row["lqg_tipo_prorrateo"];
				$a_linea["lqg_gasto"]			= $row["lqg_gasto"];
				$a_linea["lqg_gasto_gl"]		= $row["lqg_gasto_gl"];
				$a_linea["lqg_gasto_tc"]		= $row["lqg_gasto_tc"];
				$a_linea["lqg_moneda"]			= $row["lqg_moneda"];
				$a_linea["lqg_obs"]				= $row["lqg_obs"];
				$a_linea["lqg_fcpo_id"]			= $row["lqg_fcpo_id"];
				$a_linea["lqg_fcpol_lineaId"]	= $row["lqg_fcpol_lineaId"];
				$a_linea["lqg_usrreg"]			= $row["lqg_usrreg"];
				$a_linea["lqg_usract"]			= $row["lqg_usract"];
				$a_linea["lqg_fecreg"]			= $row["lqg_fecreg"];
				$a_linea["lqg_fecact"]			= $row["lqg_fecact"];
				$a_linea["gasto_dsc"]			= $row["mlst_valorDsc"];
				$a_linea["fcpo_numero"]			= $row["fcpo_numero"];
				$a_linea["fcpo_prv_nombre"]		= $row["fcpo_prv_nombre"];
				$a_ingresolinea[]				= $a_linea;
			}
			return $a_ingresolinea;
			
		}
	}

	public function selectLineaArticulo($id,$gastoId){
		global $PDO;
		if (!$ingresoId or !$productoId){
			return FALSE;
		}
		$sql = "
			SELECT *
			FROM po_impLiqgasto
			WHERE lqg_lq_id = '".$id."'				
				AND lqg_gastoId = '".$gastoId."'
		";					
		$sentencia = $PDO->query($sql);
		$sentencia->setFetchMode(PDO::FETCH_ASSOC);
		$row = $sentencia->fetch();
		if ($row){
			$a_linea["lqg_gastoId"] = $row["lqg_gastoId"];
		}
		return $a_linea;
	}

}


class PoImpLiqGastoFacModel{
	public function insert($ImpLiqGastoFacObj){
		global $PDO;
		$sql = "
			INSERT INTO 
			po_impLiqgastoFac 
			(
			lqf_lq_id, 
			lqf_fac_id,
			lqf_fac_lineaId,
			lqf_gastoId,
			lqf_usrreg, 
			lqf_fecreg
			) 
			VALUES 
			(
			:lqf_lq_id,
			:lqf_fac_id,
			:lqf_fac_lineaId,
			:lqf_gastoId,			
			:lqf_usrreg,  
			:lqf_fecreg
			);			
		";
		$comando = $PDO->prepare($sql);
		$ImpLiqGastoFacObj->lqf_fecreg = date("Y-m-d H:i:s");
		$comando->bindParam(':lqf_lq_id', $ImpLiqGastoFacObj->lqf_lq_id);
		$comando->bindParam(':lqf_fac_id', $ImpLiqGastoFacObj->lqf_fac_id);
		$comando->bindParam(':lqf_fac_lineaId', $ImpLiqGastoFacObj->lqf_fac_lineaId);
		$comando->bindParam(':lqf_gastoId', $ImpLiqGastoFacObj->lqf_gastoId);
		$comando->bindParam(':lqf_usrreg', $ImpLiqGastoFacObj->lqf_usrreg);
		$comando->bindParam(':lqf_fecreg', $ImpLiqGastoFacObj->lqf_fecreg);
		$comando->execute();
		//print_r($comando->errorInfo());
		$query	 = "
			SELECT DISTINCT max(lqf_id) as id 
			FROM po_impLiqgastoFac 
			WHERE lqf_fecreg = '".$ImpLiqGastoFacObj->lqf_fecreg."' 
				AND lqf_usrreg = '".$ImpLiqGastoFacObj->lqf_usrreg."'; " ;
		$sentencia2 = $PDO->query($query);
		$sentencia2->setFetchMode(PDO::FETCH_ASSOC);
		$row = $sentencia2->fetch();
		return $row["id"];
	}	


	public function delete($lineaId){
		global $PDO;
		$sql = "
			DELETE
			FROM po_impLiqgastoFac
			WHERE lqf_id = :lineaId
			LIMIT 1
		";		
		$comando = $PDO->prepare($sql);
		$comando->bindParam(':lineaId', $lineaId);
		$comando->execute();
		return $lineaId;
	}

	public function selectUniqueId($id){
		global $PDO;
		if (!$id){
			return FALSE;
		}
		$sql = "
			SELECT *
			FROM po_impLiqgastoFac
			WHERE lqf_lq_id = :lqf_lq_id
		";	
		$comando = $PDO->prepare($sql);
		if ($id){
			$comando->bindParam(':lqg_lq_id', $id);
		}
		$comando->execute();
		while($row = $comando->fetch()){
			$a_linea["lqf_id"]				= $row["lqf_id"];
			$a_linea["lqf_lq_id"]			= $row["lqf_lq_id"];
			$a_linea["lqf_fac_id"]			= $row["lqf_fac_id"];
			$a_linea["lqf_fac_lineaId"]		= $row["lqf_fac_lineaId"];
			$a_linea["lqf_gastoId"]			= $row["lqf_gastoId"];
			$a_linea["lqf_usrreg"]			= $row["lqf_usrreg"];
			$a_linea["lqf_usract"]			= $row["lqf_usract"];
			$a_linea["lqf_fecreg"]			= $row["lqf_fecreg"];
			$a_linea["lqf_fecact"]			= $row["lqf_fecact"];
			$a_ingresolinea[]				= $a_linea;
		}
		return $a_ingresolinea;
	}

	public function select($IngresoFilter){
		global $PDO;
		if ($IngresoFilter->lqf_id){
			$where .=  "AND lqf_id = :lqf_id";
		}
		if ($IngresoFilter->lqf_lq_id){
			$where .=  "AND lqf_lq_id = :lqf_lq_id";
		}
		if ($IngresoFilter->lqf_gastoId){
			$where .=  "AND lqf_gastoId = :lqf_gastoId";
		}
		if ($where){
			$sql = "
				SELECT *
				FROM po_impLiqgastoFac
					LEFT JOIN po_facturalinea ON lqf_fac_lineaId = fcpol_lineaId
					LEFT JOIN po_impLiqgasto ON lqf_gastoId = lqg_id
					LEFT JOIN im_producto P ON fcpol_prId = pr_id
					LEFT JOIN po_factura ON fcpol_fcpo_id = fcpo_id
					LEFT JOIN po_proveedor ON fcpo_prv_id = prv_id  
					LEFT JOIN xx_maestrolista ON lqg_gastoId = mlst_valorId AND mlst_listaId = 'poImpLqTipoGast'
				WHERE 1 $where
			";
			$comando = $PDO->prepare($sql);
			if ($IngresoFilter->lqf_id){
				$comando->bindParam(':lqf_id', $IngresoFilter->lqf_id);
			}
			if ($IngresoFilter->lqf_lq_id){
				$comando->bindParam(':lqf_lq_id', $IngresoFilter->lqf_lq_id);
			}
			if ($IngresoFilter->lqf_gastoId){
				$comando->bindParam(':lqf_gastoId', $IngresoFilter->lqf_gastoId);
			}
			$comando->execute();
			//print_r($comando->errorInfo());
			while($row = $comando->fetch()){
				$a_linea["lqf_id"]				= $row["lqf_id"];
				$a_linea["lqf_lq_id"]			= $row["lqf_lq_id"];
				$a_linea["lqf_fac_id"]			= $row["lqf_fac_id"];
				$a_linea["lqf_fac_lineaId"]		= $row["lqf_fac_lineaId"];
				$a_linea["lqf_gastoId"]			= $row["lqf_gastoId"];
				$a_linea["lqf_usrreg"]			= $row["lqf_usrreg"];
				$a_linea["lqf_usract"]			= $row["lqf_usract"];
				$a_linea["lqf_fecreg"]			= $row["lqf_fecreg"];
				$a_linea["lqf_fecact"]			= $row["lqf_fecact"];
				$a_linea["pr_productoId"]		= $row["pr_productoId"];
				$a_linea["pr_descripcion"]		= $row["pr_descripcion"];
				$a_linea["pr_uom"]				= $row["pr_uom"];
				$a_linea["subtotal"]			= $row["fcpol_cantidad"]*$row["fcpol_costo"];
				$a_linea["prv_nombre"]			= $row["prv_nombre"];
				$a_linea["fcpo_id"]				= $row["fcpo_id"];
				$a_linea["fcpo_serie"]			= $row["fcpo_serie"];
				$a_linea["fcpo_numero"]			= $row["fcpo_numero"];
				$a_linea["fcpo_fecha"]			= $row["fcpo_fecha"];
				$a_linea["gasto_dsc"]			= $row["mlst_valorDsc"];
				$a_ingresolinea[]				= $a_linea;
			}
			return $a_ingresolinea;
			
		}
	}

}

?>