<?php

include ("class/poReqModel.class.php");


class PoReq{

	var $rq_id = '';
	var $rq_tipo = '';
	var $rq_fecha = '';
	var $rq_tipoCambio = 0;
	var $rq_obs = '';
	var $rq_status = '';
	var $rq_usrreg = '';
	var $rq_usract = '';
	var $rq_fecreg = '';
	var $rq_fecact = '';


	public function consultarId($id){
		$PoReqModel= NEW PoReqModel();
		$a_result = $PoReqModel->selectUniqueId($id);
		return $a_result;
	}

	public function consultar($PoReqFilter){
		$PoReqModel = NEW PoReqModel();
		return $PoReqModel->select($PoReqFilter);
	}

	public function consultarPag($PoReqFilter,$limit){
		$PoReqModel = NEW PoReqModel();
		return $PoReqModel->select($PoReqFilter,$limit);
	}

	public function consultarIdLineas($id){
		$PoReqModel= NEW PoReqLineaModel();
		$a_result = $PoReqModel->selectUniqueId($id);
		return $a_result;
	}


	public function crear($PoReqObj){		
		$PoReqModelIns = NEW PoReqModel();
		return $PoReqModelIns->insert($PoReqObj);
	}


	public function modificar($PoReqObj){
		if (!$PoReqObj->rq_id){
			return FALSE;
		}
		$PoReqModelUpd				= NEW PoReqModel();
		$PoReqModelSetObj			= NEW PoReqModel();	
		$PoReqModelSetObj->rq_id			= $PoReqObj->rq_id;
		$PoReqModelSetObj->rq_tipo			= $PoReqObj->rq_tipo;
		$PoReqModelSetObj->rq_fecha			= $PoReqObj->rq_fecha;
		$PoReqModelSetObj->rq_tipoCambio	= $PoReqObj->rq_tipoCambio;
		$PoReqModelSetObj->rq_moneda		= $PoReqObj->rq_moneda;
		$PoReqModelSetObj->rq_obs			= $PoReqObj->rq_obs;		
		$PoReqModelSetObj->rq_status		= $PoReqObj->rq_status;
		return $PoReqModelUpd->update($PoReqModelSetObj);		
	}


	public function cerrar($rq_id){
		if (!$rq_id){
			return FALSE;
		}
		$PoReqModelUpd				= NEW PoReqModel();
		$PoReqModelSetObj			= NEW PoReqModel();	
		$PoReqModelSetObj->rq_id	= $rq_id;
		$PoReqModelSetObj->rq_status = "C";
		return $PoReqModelUpd->update($PoReqModelSetObj);		
	}


	public function anular($id){
		if (!$id){
			return FALSE;
		}
		$PoReqModelUpd			 = NEW PoReqModel();
		$PoReqModelSetObj		 = NEW PoReqModel();	
		$PoReqModelSetObj->rq_id	  = $id;
		$PoReqModelSetObj->rq_status  = 'A';
		return $PoReqModelUpd->update($PoReqModelSetObj);
	}


}






class PoReqLinea{

	var $rql_id			= 0; 
	var $rql_docRefTipo	= '';
	var $rql_docRefId		= 0;
	var $rql_docRefLineaId = 0;
	var $rql_prId			= 0;
	var $rql_loteId		= 0;
	var $rql_descripcion	= ''; 
	var $rql_cantidad		= 0; 
	var $rql_costo			= 0;
	var $rql_costo_gl		= 0;
	var $rql_usrreg		= ''; 
	var $rql_fecreg		= ''; 

	public function crear($PoReqLineaObj,$tipoIngreso=''){	
		$PoReq		= NEW PoReqLineaModel();
		$PoReqLineaModelIns = NEW PoReqLineaModel();

		return $PoReqLineaModelIns->insert($PoReqLineaObj);
	}

	public function modificar($PoReqLineaObj){
		if (!$PoReqLineaObj->rql_id){
			return FALSE;
		}
		$PoReqModelLineaUpd	  = NEW PoReqLineaModel();
		$PoReqModelLineaSetObj = NEW PoReqLineaModel();	
		$PoReqModelLineaSetObj->rql_id			= $PoReqLineaObj->rql_id;
		$PoReqModelLineaSetObj->rql_lineaId		= $PoReqLineaObj->rql_lineaId;
		$PoReqModelLineaSetObj->rql_prId		= $PoReqLineaObj->rql_prId;
		$PoReqModelLineaSetObj->rql_loteId		= $PoReqLineaObj->rql_loteId;
		$PoReqModelLineaSetObj->rql_productoId	= $PoReqLineaObj->rql_productoId;
		$PoReqModelLineaSetObj->rql_descripcion	= $PoReqLineaObj->rql_descripcion;
		$PoReqModelLineaSetObj->rql_cantidad	= $PoReqLineaObj->rql_cantidad;
		$PoReqModelLineaSetObj->rql_costo		= $PoReqLineaObj->rql_costo;
		$PoReqModelLineaSetObj->rql_costo_gl	= $PoReqLineaObj->rql_costo_gl;
		return $PoReqModelLineaUpd->update($PoReqModelLineaSetObj);		
	}

	public function borrar($id){
		$PoReqLineaModelDel = NEW PoReqLineaModel();
		return $PoReqLineaModelDel->delete($id);		
	}

	public function consultarLineaArticulo($ingresoId,$productoId){
		$PoReqLineaModel= NEW PoReqLineaModel();
		$a_result = $PoReqLineaModel->selectLineaArticulo($ingresoId,$productoId);
		return $a_result;
	}

	public function consultar($PoReqLineaObj){
		$PoReqLineaModel= NEW PoReqLineaModel();
		$a_result = $PoReqLineaModel->select($PoReqLineaObj);
		return $a_result;
	}
}

?>