<?php

include ("class/pvAcuerdoServicioModel.class.php");



class PvAcuerdoServicio{

	public function consultarId($id){
		$PvAcuerdoServicioModel= NEW PvAcuerdoServicioModel();
		$a_result = $PvAcuerdoServicioModel->selectUniqueId($id);
		return $a_result;
	}

	public function consultar($PoProveedorFilter){
		$PvAcuerdoServicioModel = NEW PvAcuerdoServicioModel();
		return $PvAcuerdoServicioModel->select($PoProveedorFilter);
	}

	public function consultarIdLineas($id){
		$PvAcuerdoServicioLineaModel= NEW PvAcuerdoServicioLineaModel();
		$a_result = $PvAcuerdoServicioLineaModel->selectUniqueId($id);
		return $a_result;
	}

	public function crear($PvAcuerdoServicioObj){		
		$PvAcuerdoServicioModelIns = NEW PvAcuerdoServicioModel();
		return $PvAcuerdoServicioModelIns->insert($PvAcuerdoServicioObj);
	}


	public function modificar($PvAcuerdoServicioObj){
		if (!$PvAcuerdoServicioObj->as_id){
			return FALSE;
		}
		$PvAcuerdoServicioModelUpd	= NEW PvAcuerdoServicioModel();
		$PvAcuerdoServicioModelSetObj	= NEW PvAcuerdoServicioModel();
		$PvAcuerdoServicioModelSetObj	= $PvAcuerdoServicioObj;
		return $PvAcuerdoServicioModelUpd->update($PvAcuerdoServicioModelSetObj);		
	}


	public function anular($id){
		if (!$id){
			return FALSE;
		}
		$PvAcuerdoServicioModelUpd				= NEW PvAcuerdoServicioModel();
		$PvAcuerdoServicioModelSetObj				= NEW PvAcuerdoServicioModel();	
		$PvAcuerdoServicioModelSetObj->as_id		= $id;
		$PvAcuerdoServicioModelSetObj->as_status	= 'A';
		return $PvAcuerdoServicioModelUpd->update($PvAcuerdoServicioModelSetObj);
	}
}



class PvAcuerdoServicioLinea{

	public function consultarId($id){
		$PvAcuerdoServicioLineaModel= NEW PvAcuerdoServicioLineaModel();
		$a_result = $PvAcuerdoServicioLineaModel->selectUniqueId($id);
		return $a_result;
	}

	public function consultarIdLinea($id){
		$PvAcuerdoServicioLineaModel= NEW PvAcuerdoServicioLineaModel();
		$a_result = $PvAcuerdoServicioLineaModel->selectUniqueIdLinea($id);
		return $a_result;
	}

	public function consultar($PvAcuerdoServicioLineaFilter){
		$PvAcuerdoServicioLineaModel = NEW PvAcuerdoServicioLineaModel();
		return $PvAcuerdoServicioLineaModel->select($PvAcuerdoServicioLineaFilter);
	}

	public function crear($PvAcuerdoServicioLineaObj){		
		$PvAcuerdoServicioLineaModelIns = NEW PvAcuerdoServicioLineaModel();
		return $PvAcuerdoServicioLineaModelIns->insert($PvAcuerdoServicioLineaObj);
	}

	public function modificar($PvAcuerdoServicioLineaObj){
		if (!$PvAcuerdoServicioLineaObj->as_id){
			//return FALSE;
		}
		$PvAcuerdoServicioLineaModelUpd	= NEW PvAcuerdoServicioLineaModel();
		$PvAcuerdoServicioLineaModelSetObj	= NEW PvAcuerdoServicioLineaModel();
		$PvAcuerdoServicioLineaModelSetObj	= $PvAcuerdoServicioLineaObj;
		return $PvAcuerdoServicioLineaModelUpd->update($PvAcuerdoServicioLineaModelSetObj);		
	}

	public function borrar($id){
		$PvAcuerdoServicioLineaModel= NEW PvAcuerdoServicioLineaModel();
		$a_result = $PvAcuerdoServicioLineaModel->delete($id);
		return $a_result;
	}

}



class PvAcuerdoServicioSerie{

	public function crear($PvAcuerdoServicioSerieObj){		
		$PvAcuerdoServicioSerieModelIns = NEW PvAcuerdoServicioSerieModel();
		return $PvAcuerdoServicioSerieModelIns->insert($PvAcuerdoServicioSerieObj);
	}

	public function borrar($id){
		$PvAcuerdoServicioSerieModel= NEW PvAcuerdoServicioSerieModel();
		$a_result = $PvAcuerdoServicioSerieModel->delete($id);
		return $a_result;
	}

	public function borrarSeriesLinea($lineaId){
		$PvAcuerdoServicioSerieModel= NEW PvAcuerdoServicioSerieModel();
		$a_result = $PvAcuerdoServicioSerieModel->deleteLinea($lineaId);
		return $a_result;
	}

	public function consultarId($id){
		$PvAcuerdoServicioSerieModel= NEW PvAcuerdoServicioSerieModel();
		$a_result = $PvAcuerdoServicioSerieModel->selectUniqueId($id);
		return $a_result;
	}

	public function consultar($PvAcuerdoServicioSerieFilter){
		$PvAcuerdoServicioSerieModel = NEW PvAcuerdoServicioSerieModel();
		return $PvAcuerdoServicioSerieModel->select($PvAcuerdoServicioSerieFilter);
	}

}



class PvAcuerdoServicioProg{

	public function crear($PvAcuerdoServicioProgObj){		
		$PvAcuerdoServicioProgModelIns = NEW PvAcuerdoServicioProgModel();
		return $PvAcuerdoServicioProgModelIns->insert($PvAcuerdoServicioProgObj);
	}

	public function borrar($id){
		$PvAcuerdoServicioProgModel= NEW PvAcuerdoServicioProgModel();
		$a_result = $PvAcuerdoServicioProgModel->delete($id);
		return $a_result;
	}

	public function consultarId($id){
		$PvAcuerdoServicioProgModel= NEW PvAcuerdoServicioProgModel();
		$a_result = $PvAcuerdoServicioProgModel->selectUniqueId($id);
		return $a_result;
	}

	public function consultar($PvAcuerdoServicioProgFilter){
		$PvAcuerdoServicioProgModel = NEW PvAcuerdoServicioProgModel();
		return $PvAcuerdoServicioProgModel->select($PvAcuerdoServicioProgFilter);
	}


	public function modificar($PvAcuerdoServicioProgObj){
		if (!$PvAcuerdoServicioProgObj->asp_id){
			return FALSE;
		}
		$PvAcuerdoServicioModelUpd	= NEW PvAcuerdoServicioProgModel();
		$PvAcuerdoServicioModelSetObj	= NEW PvAcuerdoServicioProgModel();
		$PvAcuerdoServicioModelSetObj	= $PvAcuerdoServicioProgObj;
		return $PvAcuerdoServicioModelUpd->update($PvAcuerdoServicioModelSetObj);		
	}

}

?>