<?php

include ("class/pvOrdenServicioModel.class.php");
include_once ("class/pvSolicitudServicio.class.php");


class PvOrdenServicio{

	public function consultarId($id){
		$PvOrdenServicioModel= NEW PvOrdenServicioModel();
		$a_result = $PvOrdenServicioModel->selectUniqueId($id);
		return $a_result;
	}

	public function consultar($PoProveedorFilter){
		$PvOrdenServicioModel = NEW PvOrdenServicioModel();
		return $PvOrdenServicioModel->select($PoProveedorFilter);
	}

	public function consultarDshb($PoProveedorFilter){
		$PvOrdenServicioModel = NEW PvOrdenServicioModel();
		return $PvOrdenServicioModel->selectDshb($PoProveedorFilter);
	}

	public function consultarDshb2($PoProveedorFilter){
		$PvOrdenServicioModel = NEW PvOrdenServicioModel();
		return $PvOrdenServicioModel->selectDshb2($PoProveedorFilter);
	}

	public function consultarDshb3($PoProveedorFilter){
		$PvOrdenServicioModel = NEW PvOrdenServicioModel();
		return $PvOrdenServicioModel->selectDshb3($PoProveedorFilter);
	}

	public function consultarDshb4($PoProveedorFilter){
		$PvOrdenServicioModel = NEW PvOrdenServicioModel();
		return $PvOrdenServicioModel->selectDshb4($PoProveedorFilter);
	}

	public function consultarPag($PoProveedorFilter,$limit){
		$PvOrdenServicioModel = NEW PvOrdenServicioModel();
		return $PvOrdenServicioModel->select($PoProveedorFilter,$limit);
	}

	public function crear($PvOrdenServicioObj){		
		$PvOrdenServicioModelIns = NEW PvOrdenServicioModel();
		$return = $PvOrdenServicioModelIns->insert($PvOrdenServicioObj);
		if ($return){
			/*
			$from		= "sistema@sistemadakotaperu.com";
			$to			= mail_vendedor;
			$subject	= "PV - Nueva OS Programada Nro.".$return;
			$body	   .= "Orden de servicio : ". $return;
			$body	   .= "Ticket : ". $PvOrdenServicioObj->os_ss_id;
			$body	   .= "Cliente : ". $PvOrdenServicioObj->os_cli_nombre;
			$body	   .= "Equipo : ". $PvOrdenServicioObj->os_serieId;
			$body	   .= "Serie : ". $PvOrdenServicioObj->os_serieId;
			mailSend($from,$to,$body,$subject);
			*/
			return $return;
		}
	}


	public function modificar($PvOrdenServicioObj){
		if (!$PvOrdenServicioObj->os_id){
			return FALSE;
		}
		$PvOrdenServicioModelUpd	= NEW PvOrdenServicioModel();
		$PvOrdenServicioModelSetObj	= NEW PvOrdenServicioModel();
		$PvOrdenServicioModelSetObj	= $PvOrdenServicioObj;
		$PvOrdenServicioModelAct = NEW PvOrdenServicioModel();
		$a_vars_OS = $PvOrdenServicioModelAct->selectUniqueId($PvOrdenServicioObj->os_id);
		$return = $PvOrdenServicioModelUpd->update($PvOrdenServicioModelSetObj);
		if ($return){
			if ($a_vars_OS["os_ss_id"] && $PvOrdenServicioObj->os_eqpStatus && $a_vars_OS["os_eqpStatus"] != $PvOrdenServicioObj->os_eqpStatus){
				$PvSolicitudServicioModelUpd	= NEW PvSolicitudServicioModel();
				$PvSolicitudServicioModelSetObj	= NEW PvSolicitudServicioModel();
				$PvSolicitudServicioModelSetObj->ss_id = $a_vars_OS["os_ss_id"];
				if ($PvOrdenServicioObj->os_eqpStatus == 'OP'){
					$PvSolicitudServicioModelSetObj->ss_status = "C";
				}else{
					//por evaluar otros casos
				}
				$return_ss = $PvSolicitudServicioModelUpd->update($PvSolicitudServicioModelSetObj);
			}
			return $return;
		}
	}


	public function anular($id){
		if (!$id){
			return FALSE;
		}
		$PvOrdenServicioModelUpd				= NEW PvOrdenServicioModel();
		$PvOrdenServicioModelSetObj				= NEW PvOrdenServicioModel();	
		$PvOrdenServicioModelSetObj->so_id		= $id;
		$PvOrdenServicioModelSetObj->so_status	= 'A';
		return $PvOrdenServicioModelUpd->update($PvOrdenServicioModelSetObj);
	}


}


class PvOrdenServicioRep{

	var $osr_id			= 0; 
	var $osr_os_id		= 0;
	var $osr_pr_id		= 0;
	var $osr_cantidad	= 0;
	var $osr_usract		= '';
	var $osr_fecacct	= '';

	public function crear($PvOrdenServicioRepObj){	
		$PoPo		= NEW PvOrdenServicioRepModel();
		$PvOrdenServicioRepModelIns = NEW PvOrdenServicioRepModel();
		return $PvOrdenServicioRepModelIns->insert($PvOrdenServicioRepObj);
	}

	public function modificar($PvOrdenServicioRepObj){
		if (!$PvOrdenServicioRepObj->osr_id){
			return FALSE;
		}
		$PvOrdenServicioRepUpd = NEW PvOrdenServicioRepModel();
		return $PvOrdenServicioRepUpd->update($PvOrdenServicioRepObj);		
	}

	public function borrar($id){
		$PvOrdenServicioRepModelDel = NEW PvOrdenServicioRepModel();
		return $PvOrdenServicioRepModelDel->delete($id);		
	}

	public function consultarLineaArticulo($osId,$productoId){
		$PvOrdenServicioRepModel= NEW PvOrdenServicioRepModel();
		$a_result = $PvOrdenServicioRepModel->selectLineaArticulo($osId,$productoId);
		return $a_result;
	}

	public function consultar($PvOrdenServicioRepObj){
		$PvOrdenServicioRepModel= NEW PvOrdenServicioRepModel();
		$a_result = $PvOrdenServicioRepModel->select($PvOrdenServicioRepObj);
		return $a_result;
	}

	public function consultarIdRep($id){
		$PvOrdenServicioRepModel= NEW PvOrdenServicioRepModel();
		$a_result = $PvOrdenServicioRepModel->selectRep($id);
		return $a_result;
	}

	public function consultarId($id){
		$PvOrdenServicioRepModel= NEW PvOrdenServicioRepModel();
		$a_result = $PvOrdenServicioRepModel->selectId($id);
		return $a_result;
	}
}




class PvOrdenServicioRepReq{

	var $osr_id			= 0; 
	var $osr_os_id		= 0;
	var $osr_pr_id		= 0;
	var $osr_cantidad	= 0;
	var $osr_usract		= '';
	var $osr_fecacct	= '';

	public function crear($PvOrdenServicioRepReqObj){	
		$PoPo		= NEW PvOrdenServicioRepReqModel();
		$PvOrdenServicioRepReqModelIns = NEW PvOrdenServicioRepReqModel();
		return $PvOrdenServicioRepReqModelIns->insert($PvOrdenServicioRepReqObj);
	}

	public function modificar($PvOrdenServicioRepReqObj){
		if (!$PvOrdenServicioRepReqObj->osr_id){
			return FALSE;
		}
		$PvOrdenServicioRepReqUpd = NEW PvOrdenServicioRepReqModel();
		return $PvOrdenServicioRepReqUpd->update($PvOrdenServicioRepReqObj);		
	}

	public function borrar($id){
		$PvOrdenServicioRepReqModelDel = NEW PvOrdenServicioRepReqModel();
		return $PvOrdenServicioRepReqModelDel->delete($id);		
	}

	public function consultarLineaArticulo($osId,$productoId){
		$PvOrdenServicioRepReqModel= NEW PvOrdenServicioRepReqModel();
		$a_result = $PvOrdenServicioRepReqModel->selectLineaArticulo($osId,$productoId);
		return $a_result;
	}

	public function consultar($PvOrdenServicioRepReqObj){
		$PvOrdenServicioRepReqModel= NEW PvOrdenServicioRepReqModel();
		$a_result = $PvOrdenServicioRepReqModel->select($PvOrdenServicioRepReqObj);
		return $a_result;
	}

	public function consultarIdRep($id){
		$PvOrdenServicioRepReqModel= NEW PvOrdenServicioRepReqModel();
		$a_result = $PvOrdenServicioRepReqModel->selectRep($id);
		return $a_result;
	}

	public function consultarId($id){
		$PvOrdenServicioRepModel= NEW PvOrdenServicioRepReqModel();
		$a_result = $PvOrdenServicioRepModel->selectId($id);
		return $a_result;
	}
}

?>