<?php

class PvSolicitudServicioModel{

	public function selectUniqueId($id){
		global $PDO, $usuario, $PERFIL;
		if (!$id){
			return FALSE;
		}
		$sql = "
			SELECT *
			FROM pv_solicitudServicio
				LEFT JOIN pv_serie ON ss_serieId = pser_serie
				LEFT JOIN im_producto ON ss_pr_id = pr_id
				LEFT JOIN im_marca ON pr_marcaId = 	mr_marcaId
				LEFT JOIN vt_clienteSuc ON ss_cli_suc_id = cls_id
			WHERE ss_id = :id
			$where
		";
		$comando = $PDO->prepare($sql);
		$comando->bindParam(':id', $id);
		$comando->execute();
		$resultado = $comando->fetchAll(PDO::FETCH_ASSOC);
		$row = $resultado[0];
		$a_os["ss_id"]				= $row["ss_id"];
		$a_os["ss_serieId"]			= $row["ss_serieId"];
		$a_os["ss_serie_cliente"]	= $row["ss_serie_cliente"];
		$a_os["ss_pr_id"]			= $row["ss_pr_id"];
		$a_os["ss_cli_id"]			= $row["ss_cli_id"];
		$a_os["ss_cli_nombre"]		= $row["ss_cli_nombre"];
		$a_os["ss_cli_direcc1"]		= $row["ss_cli_direcc1"];
		$a_os["ss_cli_direcc2"]		= $row["ss_cli_direcc2"];
		$a_os["ss_cli_ciudad"]		= $row["ss_cli_ciudad"];
		$a_os["ss_cli_estado"]		= $row["ss_cli_estado"];
		$a_os["ss_cli_suc_id"]		= $row["ss_cli_suc_id"];
		$a_os["ss_cli_contacto"]	= $row["ss_cli_contacto"];
		$a_os["ss_cli_contacto_telf"]	= $row["ss_cli_contacto_telf"];
		$a_os["ss_cli_contacto_email"]	= $row["ss_cli_contacto_email"];
		$a_os["ss_fecha"]			= $row["ss_fecha"];
		$a_os["ss_fechaReq"]		= $row["ss_fechaReq"];
		$a_os["ss_acuerdo_tipo"]	= $row["ss_acuerdo_tipo"];
		$a_os["ss_acuerdo_id"]		= $row["ss_acuerdo_id"];
		$a_os["ss_tipo_servicio"]	= $row["ss_tipo_servicio"];
		$a_os["ss_tipo_atencion"]	= $row["ss_tipo_atencion"];
		$a_os["ss_onsite"]			= $row["ss_onsite"];
		$a_os["ss_falla_id"]		= $row["ss_falla_id"];
		$a_os["ss_falla_det"]		= $row["ss_falla_det"];
		$a_os["ss_obs"]				= $row["ss_obs"];
		$a_os["ss_refDocId"]		= $row["ss_refDocId"];
		$a_os["ss_status"]			= $row["ss_status"];
		$a_os["ss_usrreg"]			= $row["ss_usrreg"];
		$a_os["ss_usract"]			= $row["ss_usract"];
		$a_os["ss_fecreg"]			= $row["ss_fecreg"];
		$a_os["ss_fecact"]			= $row["ss_fecact"];
		$a_os["pr_descripcion"]		= $row["pr_descripcion"];
		$a_os["mr_nombre"]			= $row["mr_nombre"];
		$a_os["cls_nombre"]			= $row["cls_nombre"];
		return $a_os;
	}


	public function select($OsObj,$limit=''){
		global $usuario, $PDO;
		if ($OsObj->ss_id){
			$where .= " AND ss_id = :ss_id";
		}
		if ($OsObj->ss_serieId){
			$where .= " AND ss_serieId = :ss_serieId";
		}
		if ($OsObj->ss_pr_id){
			$where .= " AND ss_pr_id = :ss_pr_id";
		}
		if ($OsObj->ss_cli_id){
			$where .= " AND ss_cli_id LIKE :ss_cli_id";
		}
		if ($OsObj->ss_cli_nombre){
			$where .= " AND ss_cli_nombre LIKE :ss_cli_nombre";
		}
		if ($OsObj->cls_nombre){
			$where .= " AND cls_nombre LIKE :cls_nombre";
		}
		if ($OsObj->cls_ciudad){
			$where .= " AND cls_ciudad LIKE :cls_ciudad";
		}
		if ($OsObj->cls_direccion2){
			$where .= " AND cls_direccion2 LIKE :cls_direccion2";
		}
		if ($OsObj->cls_estado){
			$where .= " AND cls_estado LIKE :cls_estado";
		}
		if ($OsObj->ss_cli_suc_id){
			$where .= " AND ss_cli_suc_id LIKE :ss_cli_suc_id";
		}
		if ($OsObj->fechaIni){
			$where .= " AND ss_fecha >= :fechaIni";
		}
		if ($OsObj->fechaFin){
			$where .= " AND ss_fecha <= :fechaFin";
		}
		if ($OsObj->fechaIniReq){
			$where .= " AND ss_fechaReq >= :fechaIniReq";
		}
		if ($OsObj->fechaFinReq){
			$where .= " AND ss_fechaReq <= :fechaFinReq";
		}
		if ($OsObj->ss_fechaReq){
			$where .= " AND ss_fechaReq = :fechaReq";
		}
		if ($OsObj->ss_tipo_servicio){
			$where .= " AND ss_tipo_servicio = :ss_tipo_servicio";
		}
		if ($OsObj->ss_status){
			if ($OsObj->ss_status=='XX'){
				$where .= " AND (ss_status LIKE 'AC' OR ss_status  LIKE 'R')";
			}else{
				$where .= " AND ss_status = :ss_status";
			}
		}
		if ($OsObj->ss_fecreg){
			$where .= " AND ss_fecreg = :ss_fecreg";
		}
		if ($OsObj->ss_fecact){
			$where .= " AND ss_fecact = :ss_fecact";
		}
		if ($OsObj->orderBy){
			$orderBy = " ORDER BY :orderBy";
		}else{
			$orderBy = " ORDER BY ss_id";
		}
		if ($OsObj->orderByDesc){
			$orderBy .= " DESC";
		}
		$sql = "
			SELECT *
			FROM pv_solicitudServicio
				LEFT JOIN pv_serie ON ss_serieId = pser_serie
				LEFT JOIN im_producto ON ss_pr_id = pr_id
				LEFT JOIN vt_clienteSuc ON ss_cli_suc_id = cls_id
				LEFT JOIN xx_maestrolista ON ss_status = mlst_valorId AND mlst_listaId = 'PvSsStatus'
			WHERE 1 
			$where
			$orderBy
		";

		$comando = $PDO->prepare($sql);
		if ($OsObj->ss_id){
			$comando->bindParam(':ss_id', $OsObj->ss_id);
		}
		if ($OsObj->ss_serieId){
			$comando->bindParam(':ss_serieId', $OsObj->ss_serieId);
		}
		if ($OsObj->ss_pr_id){
			$comando->bindParam(':ss_pr_id', $OsObj->ss_pr_id);
		}
		if ($OsObj->ss_cli_nombre){
			$comando->bindParam(':ss_cli_nombre', $OsObj->ss_cli_nombre);
		}
		if ($OsObj->ss_cli_id){
			$comando->bindParam(':ss_cli_id', $OsObj->ss_cli_id);
		}
		if ($OsObj->cls_nombre){
			$comando->bindParam(':cls_nombre', $OsObj->cls_nombre);
		}
		if ($OsObj->cls_direccion2){
			$comando->bindParam(':cls_direccion2', $OsObj->cls_direccion2);
		}
		if ($OsObj->cls_ciudad){
			$comando->bindParam(':cls_ciudad', $OsObj->cls_ciudad);
		}
		if ($OsObj->cls_estado){
			$comando->bindParam(':cls_estado', $OsObj->cls_estado);
		}
		if ($OsObj->ss_cli_suc_id){
			$comando->bindParam(':ss_cli_suc_id', $OsObj->ss_cli_suc_id);
		}
		if ($OsObj->fechaIni){
			$comando->bindParam(':fechaIni', $OsObj->fechaIni);
		}
		if ($OsObj->fechaFin){
			$comando->bindParam(':fechaFin', $OsObj->fechaFin);
		}
		if ($OsObj->fechaReq){
			$comando->bindParam(':fechaReq', $OsObj->fechaReq);
		}
		if ($OsObj->fechaIniReq){
			$comando->bindParam(':fechaIniReq', $OsObj->fechaIniReq);
		}
		if ($OsObj->fechaFinReq){
			$comando->bindParam(':fechaFinReq', $OsObj->fechaFinReq);
		}
		if ($OsObj->ss_fechaReq){
			$comando->bindParam(':fechaReq', $OsObj->fechaReq);
		}		
		if ($OsObj->ss_status && $OsObj->ss_status!='XX'){
			if ($OsObj->ss_status=='*'){
				$OsObj->ss_status = '';
			}
			$comando->bindParam(':ss_status', $OsObj->ss_status);
		}
		if ($OsObj->ss_fecreg){
			$comando->bindParam(':ss_fecreg', $OsObj->ss_fecreg);
		}
		if ($OsObj->ss_fecact){
			$comando->bindParam(':ss_fecact', $OsObj->ss_fecact);
		}
		if ($OsObj->ss_tipo_servicio){
			$comando->bindParam(':ss_tipo_servicio', $OsObj->ss_tipo_servicio);
		}
		
		if ($OsObj->orderBy){
			$comando->bindParam(':orderBy', $OsObj->orderBy);
		}			
		$comando->execute();
		//print_r($comando->errorInfo());
		//print_r($OsObj);
		//exit($sql);
		while($row = $comando->fetch()){
			$a_os["ss_id"]				= $row["ss_id"];
			$a_os["ss_serieId"]			= $row["ss_serieId"];
			$a_os["ss_serie_cliente"]	= $row["ss_serie_cliente"];
			$a_os["ss_pr_id"]			= $row["ss_pr_id"];
			$a_os["ss_cli_id"]			= $row["ss_cli_id"];
			$a_os["ss_cli_nombre"]		= $row["ss_cli_nombre"];
			$a_os["ss_cli_suc_id"]		= $row["ss_cli_suc_id"];
			$a_os["ss_cli_contacto"]	= $row["ss_cli_contacto"];
			if ($row["ss_fechaProg"] > 0){
				$a_os["ss_fechaProg"]	= $row["ss_fechaProg"];
			}else{
				$a_os["ss_fechaProg"]	= "";	
			}
			if ($row["ss_fechaProg"] > 0){
				$a_os["ss_fecha"]		= $row["ss_fecha"];
			}else{
				$a_os["ss_fecha"]		= "";	
			}
			$a_os["ss_acuerdo_tipo"]	= $row["ss_acuerdo_tipo"];
			$a_os["ss_acuerdo_id"]		= $row["ss_acuerdo_id"];
			$a_os["ss_tipo_servicio"]	= $row["ss_tipo_servicio"];
			$a_os["ss_tipo_atencion"]	= $row["ss_tipo_atencion"];
			
			$a_os["ss_falla_id"]		= $row["ss_falla_id"];
			$a_os["ss_falla_det"]		= $row["ss_falla_det"];
			$a_os["ss_tecnico_id"]		= $row["ss_tecnico_id"];
			$a_os["ss_fecha"]			= $row["ss_fecha"];
			$a_os["ss_diagnostico_id"]	= $row["ss_diagnostico_id"];
			$a_os["ss_diagnostico_det"]	= $row["ss_diagnostico_det"];
			$a_os["ss_acciones"]		= $row["ss_acciones"];
			$a_os["ss_obs"]				= $row["ss_obs"];
			$a_os["ss_refDocId"]		= $row["ss_refDocId"];
			$a_os["ss_recomendaciones"]	= $row["ss_recomendaciones"];
			$a_os["ss_eqpStatus"]		= $row["ss_eqpStatus"];
			$a_os["ss_fechaRevSug"]		= $row["ss_fechaRevSug"];
			$a_os["ss_status"]			= $row["ss_status"];
			$a_os["ss_usrreg"]			= $row["ss_usrreg"];
			$a_os["ss_usract"]			= $row["ss_usract"];
			$a_os["ss_fecreg"]			= $row["ss_fecreg"];
			$a_os["ss_fecact"]			= $row["ss_fecact"];
			$a_os["pr_descripcion"]		= $row["pr_descripcion"];
			$a_os["pr_productoId"]		= $row["pr_productoId"];
			$a_os["cls_nombre"]			= $row["cls_nombre"];
			$a_os["cls_direccion2"]		= $row["cls_direccion2"];
			$a_os["cls_ciudad"]			= $row["cls_ciudad"];
			$a_os["cls_estado"]			= $row["cls_estado"];

			if ($row["ss_cli_direcc1"]){
				$a_os["ss_cli_direcc1"]	= $row["ss_cli_direcc1"];
			}else{
				$a_os["ss_cli_direcc1"]	= $row["cls_direccion1"];
			}
			if ($row["ss_cli_direcc2"]){
				$a_os["ss_cli_direcc2"]	= $row["ss_cli_direcc2"];
			}else{
				$a_os["ss_cli_direcc2"]	= $row["cls_direccion2"];
			}
			if ($row["ss_cli_ciudad"]){
				$a_os["ss_cli_ciudad"]	= $row["ss_cli_ciudad"];
			}else{
				$a_os["ss_cli_ciudad"]	= $row["cls_ciudad"];
			}
			if ($row["ss_cli_estado"]){
				$a_os["ss_cli_estado"]	= $row["ss_cli_estado"];
			}else{
				$a_os["ss_cli_estado"]	= $row["cls_estado"];
			}
			$a_os["ss_cli_contacto_telf"]	= $row["ss_cli_contacto_telf"];
			$a_os["ss_cli_contacto_email"]	= $row["ss_cli_contacto_email"];
			$a_os["ss_onsite"]				= $row["ss_onsite"];
			$a_os["ss_fechaReq"]			= $row["ss_fechaReq"];
			$a_os["ss_status_dsc"]		= $row["mlst_valorDsc"];			
			$a_osList[] = $a_os;
		}
		return $a_osList;

	}



	public function select_os($OsObj,$limit=''){
		global $usuario, $PDO;
		if ($OsObj->ss_id){
			$where .= " AND ss_id = :ss_id";
		}
		if ($OsObj->ss_serieId){
			$where .= " AND ss_serieId = :ss_serieId";
		}
		if ($OsObj->ss_pr_id){
			$where .= " AND ss_pr_id = :ss_pr_id";
		}
		if ($OsObj->ss_cli_id){
			$where .= " AND ss_cli_id LIKE :ss_cli_id";
		}
		if ($OsObj->ss_cli_nombre){
			$where .= " AND ss_cli_nombre LIKE :ss_cli_nombre";
		}
		if ($OsObj->cls_nombre){
			$where .= " AND cls_nombre LIKE :cls_nombre";
		}
		if ($OsObj->cls_ciudad){
			$where .= " AND cls_ciudad LIKE :cls_ciudad";
		}
		if ($OsObj->cls_estado){
			$where .= " AND cls_estado LIKE :cls_estado";
		}
		if ($OsObj->ss_cli_suc_id){
			$where .= " AND ss_cli_suc_id LIKE :ss_cli_suc_id";
		}
		if ($OsObj->fechaIni){
			$where .= " AND ss_fecha >= :fechaIni";
		}
		if ($OsObj->fechaFin){
			$where .= " AND ss_fecha <= :fechaFin";
		}
		if ($OsObj->fechaIniReq){
			$where .= " AND ss_fechaReq >= :fechaIniReq";
		}
		if ($OsObj->fechaFinReq){
			$where .= " AND ss_fechaReq <= :fechaFinReq";
		}
		if ($OsObj->ss_fechaReq){
			$where .= " AND ss_fechaReq = :fechaReq";
		}
		if ($OsObj->ss_tipo_servicio){
			$where .= " AND ss_tipo_servicio = :ss_tipo_servicio";
		}
		if ($OsObj->ss_status){
			$where .= " AND ss_status = :ss_status";
		}
		if ($OsObj->ss_fecreg){
			$where .= " AND ss_fecreg = :ss_fecreg";
		}
		if ($OsObj->ss_fecact){
			$where .= " AND ss_fecact = :ss_fecact";
		}
		if ($OsObj->os_tecnico_id){
			$where .= " AND os_tecnico_id = :os_tecnico_id";
		}
		if ($OsObj->orderBy){
			$orderBy = " ORDER BY :orderBy";
		}else{
			$orderBy = " ORDER BY ss_id";
		}
		if ($OsObj->orderByDesc){
			$orderBy .= " DESC";
		}
		$sql = "
			SELECT  *,
				LIST_A.mlst_valorDsc AS status_os, 
				LIST_B.mlst_valorDsc AS status_ss
				
			FROM pv_solicitudServicio 
				LEFT JOIN 
				(
				SELECT *
				FROM `pv_ordenServicio` A
					LEFT JOIN 
					(
					SELECT max(`os_id`) as maximo_os
					FROM pv_ordenServicio
					WHERE os_ss_id > 0
					GROUP BY os_ss_id
					) XX ON A.os_id = maximo_os
					LEFT JOIN pv_tecnico ON os_tecnico_id = tec_id
				WHERE maximo_os IS NOT NULL
				) OS ON ss_id = os_ss_id
				LEFT JOIN xx_maestrolista LIST_A ON os_status = LIST_A.mlst_valorId AND LIST_A.mlst_listaId = 'PvOsStatus'
				LEFT JOIN pv_serie ON ss_serieId = pser_serie
				LEFT JOIN im_producto ON ss_pr_id = pr_id
				LEFT JOIN vt_clienteSuc ON ss_cli_suc_id = cls_id
				LEFT JOIN xx_maestrolista LIST_B ON ss_status = LIST_B.mlst_valorId AND LIST_B.mlst_listaId = 'PvSsStatus'
			WHERE 1 
			$where
			$orderBy
		";

		$comando = $PDO->prepare($sql);
		if ($OsObj->ss_id){
			$comando->bindParam(':ss_id', $OsObj->ss_id);
		}
		if ($OsObj->ss_serieId){
			$comando->bindParam(':ss_serieId', $OsObj->ss_serieId);
		}
		if ($OsObj->ss_pr_id){
			$comando->bindParam(':ss_pr_id', $OsObj->ss_pr_id);
		}
		if ($OsObj->ss_cli_nombre){
			$comando->bindParam(':ss_cli_nombre', $OsObj->ss_cli_nombre);
		}
		if ($OsObj->ss_cli_id){
			$comando->bindParam(':ss_cli_id', $OsObj->ss_cli_id);
		}
		if ($OsObj->cls_nombre){
			$comando->bindParam(':cls_nombre', $OsObj->cls_nombre);
		}
		if ($OsObj->cls_ciudad){
			$comando->bindParam(':cls_ciudad', $OsObj->cls_ciudad);
		}
		if ($OsObj->cls_estado){
			$comando->bindParam(':cls_estado', $OsObj->cls_estado);
		}
		if ($OsObj->ss_cli_suc_id){
			$comando->bindParam(':ss_cli_suc_id', $OsObj->ss_cli_suc_id);
		}
		if ($OsObj->fechaIni){
			$comando->bindParam(':fechaIni', $OsObj->fechaIni);
		}
		if ($OsObj->fechaFin){
			$comando->bindParam(':fechaFin', $OsObj->fechaFin);
		}
		if ($OsObj->fechaReq){
			$comando->bindParam(':fechaReq', $OsObj->fechaReq);
		}
		if ($OsObj->fechaIniReq){
			$comando->bindParam(':fechaIniReq', $OsObj->fechaIniReq);
		}
		if ($OsObj->fechaFinReq){
			$comando->bindParam(':fechaFinReq', $OsObj->fechaFinReq);
		}
		if ($OsObj->ss_fechaReq){
			$comando->bindParam(':fechaReq', $OsObj->fechaReq);
		}		
		if ($OsObj->os_tecnico_id){
			$comando->bindParam(':os_tecnico_id', $OsObj->os_tecnico_id);
		}		
		if ($OsObj->ss_status){
			if ($OsObj->ss_status=='*'){
				$OsObj->ss_status = '';
			}
			$comando->bindParam(':ss_status', $OsObj->ss_status);
		}
		if ($OsObj->ss_fecreg){
			$comando->bindParam(':ss_fecreg', $OsObj->ss_fecreg);
		}
		if ($OsObj->ss_fecact){
			$comando->bindParam(':ss_fecact', $OsObj->ss_fecact);
		}
		if ($OsObj->ss_tipo_servicio){
			$comando->bindParam(':ss_tipo_servicio', $OsObj->ss_tipo_servicio);
		}
		
		if ($OsObj->orderBy){
			$comando->bindParam(':orderBy', $OsObj->orderBy);
		}			
		$comando->execute();
		//print_r($comando->errorInfo());
		while($row = $comando->fetch()){
			$a_os["ss_id"]				= $row["ss_id"];
			$a_os["ss_serieId"]			= $row["ss_serieId"];
			$a_os["ss_serie_cliente"]	= $row["ss_serie_cliente"];
			$a_os["ss_pr_id"]			= $row["ss_pr_id"];
			$a_os["ss_cli_id"]			= $row["ss_cli_id"];
			$a_os["ss_cli_nombre"]		= $row["ss_cli_nombre"];
			$a_os["ss_cli_suc_id"]		= $row["ss_cli_suc_id"];
			$a_os["ss_cli_contacto"]	= $row["ss_cli_contacto"];
			if ($row["ss_fechaProg"] > 0){
				$a_os["ss_fechaProg"]	= $row["ss_fechaProg"];
			}else{
				$a_os["ss_fechaProg"]	= "";	
			}
			if ($row["ss_fechaProg"] > 0){
				$a_os["ss_fecha"]		= $row["ss_fecha"];
			}else{
				$a_os["ss_fecha"]		= "";	
			}
			$a_os["ss_acuerdo_tipo"]	= $row["ss_acuerdo_tipo"];
			$a_os["ss_acuerdo_id"]		= $row["ss_acuerdo_id"];
			$a_os["ss_tipo_servicio"]	= $row["ss_tipo_servicio"];
			$a_os["ss_tipo_atencion"]	= $row["ss_tipo_atencion"];
			
			$a_os["ss_falla_id"]		= $row["ss_falla_id"];
			$a_os["ss_falla_det"]		= $row["ss_falla_det"];
			$a_os["ss_tecnico_id"]		= $row["ss_tecnico_id"];
			$a_os["ss_fecha"]			= $row["ss_fecha"];
			$a_os["ss_diagnostico_id"]	= $row["ss_diagnostico_id"];
			$a_os["ss_diagnostico_det"]	= $row["ss_diagnostico_det"];
			$a_os["ss_acciones"]		= $row["ss_acciones"];
			$a_os["ss_obs"]				= $row["ss_obs"];
			$a_os["ss_refDocId"]		= $row["ss_refDocId"];
			$a_os["ss_recomendaciones"]	= $row["ss_recomendaciones"];
			$a_os["ss_eqpStatus"]		= $row["ss_eqpStatus"];
			$a_os["ss_fechaRevSug"]		= $row["ss_fechaRevSug"];
			$a_os["ss_status"]			= $row["ss_status"];
			$a_os["ss_usrreg"]			= $row["ss_usrreg"];
			$a_os["ss_usract"]			= $row["ss_usract"];
			$a_os["ss_fecreg"]			= $row["ss_fecreg"];
			$a_os["ss_fecact"]			= $row["ss_fecact"];
			$a_os["pr_descripcion"]		= $row["pr_descripcion"];
			$a_os["pr_productoId"]		= $row["pr_productoId"];
			$a_os["cls_nombre"]			= $row["cls_nombre"];
			$a_os["cls_direccion2"]		= $row["cls_direccion2"];
			$a_os["cls_ciudad"]			= $row["cls_ciudad"];
			$a_os["cls_estado"]			= $row["cls_estado"];
/*
			$a_os["ss_cli_direcc1"]			= $row["ss_cli_direcc1"];
			$a_os["ss_cli_direcc2"]			= $row["ss_cli_direcc2"];
			$a_os["ss_cli_ciudad"]			= $row["ss_cli_ciudad"];
			$a_os["ss_cli_estado"]			= $row["ss_cli_estado"];
*/			
			if ($row["ss_cli_direcc1"]){
				$a_os["ss_cli_direcc1"]	= $row["ss_cli_direcc1"];
			}else{
				$a_os["ss_cli_direcc1"]	= $row["cls_direccion1"];
			}
			if ($row["ss_cli_direcc2"]){
				$a_os["ss_cli_direcc2"]	= $row["ss_cli_direcc2"];
			}else{
				$a_os["ss_cli_direcc2"]	= $row["cls_direccion2"];
			}
			if ($row["ss_cli_ciudad"]){
				$a_os["ss_cli_ciudad"]	= $row["ss_cli_ciudad"];
			}else{
				$a_os["ss_cli_ciudad"]	= $row["cls_ciudad"];
			}
			if ($row["ss_cli_estado"]){
				$a_os["ss_cli_estado"]	= $row["ss_cli_estado"];
			}else{
				$a_os["ss_cli_estado"]	= $row["cls_estado"];
			}


			$a_os["ss_cli_contacto_telf"]	= $row["ss_cli_contacto_telf"];
			$a_os["ss_cli_contacto_email"]	= $row["ss_cli_contacto_email"];
			$a_os["ss_onsite"]				= $row["ss_onsite"];
			$a_os["ss_fechaReq"]			= $row["ss_fechaReq"];
			$a_os["ss_status_dsc"]			= $row["status_ss"];
			$a_os["os_status_dsc"]			= $row["status_os"];
			$a_os["os_id"]					= $row["os_id"];
			$a_os["os_tecnico_id"]			= $row["os_tecnico_id"];
			$a_os["os_eqpStatus"]			= $row["os_eqpStatus"];
			$a_os["os_fecact"]				= $row["os_fecact"];	
			$a_os["tec_nombre"]				= $row["tec_nombre"];
			$a_osList[] = $a_os;
		}
		return $a_osList;

	}



	public function update($OsObj){
		global $usuario, $PDO;
		if ($OsObj->ss_serieId){
			$set .= ", ss_serieId = :ss_serieId";
		}
		if ($OsObj->ss_serie_cliente){
			$set .= ", ss_serie_cliente = :ss_serie_cliente";
		}
		if ($OsObj->ss_pr_id){
			$set .= ", ss_pr_id = :ss_pr_id";
		}
		if ($OsObj->ss_cli_id){
			$set .= ", ss_cli_id = :ss_cli_id";
		}
		if ($OsObj->ss_cli_nombre){
			$set .= ", ss_cli_nombre = :ss_cli_nombre";
		}
		if ($OsObj->ss_cli_suc_id){
			$set .= ", ss_cli_suc_id = :ss_cli_suc_id";
		}
		if ($OsObj->ss_cli_contacto){
			$set .= ", ss_cli_contacto = :ss_cli_contacto";
		}
		if ($OsObj->ss_fechaReq){
			$set .= ", ss_fechaReq = :ss_fechaReq";
		}
		if ($OsObj->ss_fecha){
			$set .= ", ss_fecha = :ss_fecha";
		}
		if ($OsObj->ss_acuerdo_tipo){
			$set .= ", ss_acuerdo_tipo = :ss_acuerdo_tipo";
		}
		if ($OsObj->ss_acuerdo_id){
			$set .= ", ss_acuerdo_id = :ss_acuerdo_id";
		}
		if ($OsObj->ss_tipo_servicio){
			$set .= ", ss_tipo_servicio = :ss_tipo_servicio";
		}
		if ($OsObj->ss_tipo_atencion){
			$set .= ", ss_tipo_atencion = :ss_tipo_atencion";
		}
		if ($OsObj->ss_falla_id){
			$set .= ", ss_falla_id = :ss_falla_id";
		}
		if ($OsObj->ss_falla_det){
			$set .= ", ss_falla_det = :ss_falla_det";
		}
		if ($OsObj->ss_fecIni){
			$set .= ", ss_fecIni = :ss_fecIni";
		}
		if ($OsObj->ss_fecFin){
			$set .= ", ss_fecFin = :ss_fecFin";
		}
		if ($OsObj->ss_obs){
			$set .= ", ss_obs = :ss_obs";
		}
		if ($OsObj->ss_refDocId){
			$set .= ", ss_refDocId = :ss_refDocId";
		}

		if ($OsObj->ss_cli_direcc1){
			$set .= ", ss_cli_direcc1 = :ss_cli_direcc1";
		}

		if (($OsObj->ss_cli_direcc2)){
			$set .= ", ss_cli_direcc2 = :ss_cli_direcc2";
		}
		if (($OsObj->ss_cli_ciudad)){
			$set .= ", ss_cli_ciudad = :ss_cli_ciudad";
		}
		if (($OsObj->ss_cli_estado)){
			$set .= ", ss_cli_estado = :ss_cli_estado";
		}
		if (($OsObj->ss_cli_contacto_telf)){
			$set .= ", ss_cli_contacto_telf = :ss_cli_contacto_telf";
		}
		if (($OsObj->ss_cli_contacto_email)){
			$set .= ", ss_cli_contacto_email = :ss_cli_contacto_email";
		}
		if (($OsObj->ss_onsite)){
			$set .= ", ss_onsite = :ss_onsite";
		}

		if (($OsObj->ss_status)){
			$set .= ", ss_status = :ss_status";
		}

		if ($set && $OsObj->ss_id){
			$set = substr($set,1);
			$sql2 = "
				UPDATE pv_solicitudServicio
				SET 
					$set
					,ss_usract = :ss_usract
					,ss_fecact = :ss_fecact
				WHERE ss_id = :ss_id
				AND ss_status <> 'C'
				LIMIT 1";
			$comando = $PDO->prepare($sql2);
			$comando->bindParam(':ss_id', $OsObj->ss_id);
			if (!$OsObj->ss_fecact){
				$OsObj->ss_fecact = date("Y-m-d H:i:s");
			}

			if ($OsObj->ss_serieId){
				$comando->bindParam(':ss_serieId', $OsObj->ss_serieId);
			}
			if ($OsObj->ss_serie_cliente){
				$comando->bindParam(':ss_serie_cliente', $OsObj->ss_serie_cliente);
			}
			if ($OsObj->ss_pr_id){
				$comando->bindParam(':ss_pr_id', $OsObj->ss_pr_id);
			}
			if ($OsObj->ss_cli_id){
				$comando->bindParam(':ss_cli_id', $OsObj->ss_cli_id);
			}
			if ($OsObj->ss_cli_nombre){
				$comando->bindParam(':ss_cli_nombre', $OsObj->ss_cli_nombre);
			}
			if ($OsObj->ss_cli_suc_id){
				$comando->bindParam(':ss_cli_suc_id', $OsObj->ss_cli_suc_id);
			}
			if ($OsObj->ss_cli_contacto){
				$comando->bindParam(':ss_cli_contacto', $OsObj->ss_cli_contacto);
			}
			if ($OsObj->ss_fechaReq){
				$comando->bindParam(':ss_fechaReq', $OsObj->ss_fechaReq);
			}
			if ($OsObj->ss_fecha){
				$comando->bindParam(':ss_fecha', $OsObj->ss_fecha);
			}
			if ($OsObj->ss_acuerdo_tipo){
				$comando->bindParam(':ss_acuerdo_tipo', $OsObj->ss_acuerdo_tipo);
			}
			if ($OsObj->ss_acuerdo_id){
				$comando->bindParam(':ss_acuerdo_id', $OsObj->ss_acuerdo_id);
			}
			if ($OsObj->ss_tipo_servicio){
				$comando->bindParam(':ss_tipo_servicio', $OsObj->ss_tipo_servicio);
			}
			if ($OsObj->ss_tipo_atencion){
				$comando->bindParam(':ss_tipo_atencion', $OsObj->ss_tipo_atencion);
			}
			
			if ($OsObj->ss_falla_id){
				$comando->bindParam(':ss_falla_id', $OsObj->ss_falla_id);
			}
			if ($OsObj->ss_falla_det){
				$comando->bindParam(':ss_falla_det', $OsObj->ss_falla_det);
			}
			if ($OsObj->ss_fecIni){
				$comando->bindParam(':ss_fecIni', $OsObj->ss_fecIni);
			}
			if ($OsObj->ss_fecFin){
				$comando->bindParam(':ss_fecFin', $OsObj->ss_fecFin);
			}
			if ($OsObj->ss_obs){
				$comando->bindParam(':ss_obs', $OsObj->ss_obs);
			}
			if ($OsObj->ss_refDocId){
				$comando->bindParam(':ss_refDocId', $OsObj->ss_refDocId);
			}
			if ($OsObj->ss_cli_direcc1){
				$comando->bindParam(':ss_cli_direcc1', $OsObj->ss_cli_direcc1);
			}

			if ($OsObj->ss_cli_direcc2){
				$comando->bindParam(':ss_cli_direcc2', $OsObj->ss_cli_direcc2);
			}
			if ($OsObj->ss_cli_ciudad){
				$comando->bindParam(':ss_cli_ciudad', $OsObj->ss_cli_ciudad);
			}
			if ($OsObj->ss_cli_estado){
				$comando->bindParam(':ss_cli_estado', $OsObj->ss_cli_estado);
			}
			if ($OsObj->ss_cli_contacto_telf){
				$comando->bindParam(':ss_cli_contacto_telf', $OsObj->ss_cli_contacto_telf);
			}
			if ($OsObj->ss_cli_contacto_email){
				$comando->bindParam(':ss_cli_contacto_email', $OsObj->ss_cli_contacto_email);
			}
			if ($OsObj->ss_onsite){
				$comando->bindParam(':ss_onsite', $OsObj->ss_onsite);
			}

			if (($OsObj->ss_status)){
				$comando->bindParam(':ss_status', $OsObj->ss_status);
			}

			$comando->bindParam(':ss_usract', $usuario);
			$comando->bindParam(':ss_fecact', $OsObj->ss_fecact);
			$comando->execute();
			//print_r($comando->errorInfo());
			return $OsObj->ss_id;
		}			
	}

	public function insert($OsObj){
		global $PDO;
		$sql = "
			INSERT INTO pv_solicitudServicio 
			(
			ss_serieId,
			ss_serie_cliente,
			ss_pr_id,
			ss_cli_id,
			ss_cli_nombre,
			ss_cli_suc_id,
			ss_cli_contacto,
			ss_fecha,
			ss_fechaReq,
			ss_acuerdo_tipo,
			ss_acuerdo_id,
			ss_tipo_servicio,
			ss_tipo_atencion,
			ss_falla_id,
			ss_falla_det,
			ss_obs,
			ss_refDocId,
			ss_cli_direcc1,
			ss_cli_direcc2,
			ss_cli_ciudad,
			ss_cli_estado,
			ss_cli_contacto_telf,
			ss_cli_contacto_email,
			ss_onsite,
			ss_status,
			ss_usrreg,
			ss_fecreg
			) 
			VALUES 
			(
			:ss_serieId,
			:ss_serie_cliente,
			:ss_pr_id,
			:ss_cli_id,
			:ss_cli_nombre,
			:ss_cli_suc_id,
			:ss_cli_contacto,
			:ss_fecha,
			:ss_fechaReq,
			:ss_acuerdo_tipo,
			:ss_acuerdo_id,
			:ss_tipo_servicio,
			:ss_tipo_atencion,
			:ss_falla_id,
			:ss_falla_det,
			:ss_obs,
			:ss_refDocId,
			:ss_cli_direcc1,
			:ss_cli_direcc2,
			:ss_cli_ciudad,
			:ss_cli_estado,
			:ss_cli_contacto_telf,
			:ss_cli_contacto_email,
			:ss_onsite,
			:ss_status,
			:ss_usrreg,
			:ss_fecreg
			);			
		";

		$comando = $PDO->prepare($sql);
		if (!$OsObj->ss_fecreg){
			$OsObj->ss_fecreg = date("Y-m-d H:i:s");
		}
		$comando->bindParam(':ss_serieId', $OsObj->ss_serieId);
		$comando->bindParam(':ss_serie_cliente', $OsObj->ss_serie_cliente);
		$comando->bindParam(':ss_pr_id', $OsObj->ss_pr_id);
		$comando->bindParam(':ss_cli_id', $OsObj->ss_cli_id);
		$comando->bindParam(':ss_cli_nombre', $OsObj->ss_cli_nombre);
		$comando->bindParam(':ss_cli_suc_id', $OsObj->ss_cli_suc_id);
		$comando->bindParam(':ss_cli_contacto', $OsObj->ss_cli_contacto);
		$comando->bindParam(':ss_fecha', $OsObj->ss_fecha);
		$comando->bindParam(':ss_fechaReq', $OsObj->ss_fechaReq);
		$comando->bindParam(':ss_acuerdo_tipo', $OsObj->ss_acuerdo_tipo);
		$comando->bindParam(':ss_acuerdo_id', $OsObj->ss_acuerdo_id);
		$comando->bindParam(':ss_tipo_servicio', $OsObj->ss_tipo_servicio);
		$comando->bindParam(':ss_tipo_atencion', $OsObj->ss_tipo_atencion);
		$comando->bindParam(':ss_falla_id', $OsObj->ss_falla_id);
		$comando->bindParam(':ss_falla_det', $OsObj->ss_falla_det);	
		$comando->bindParam(':ss_obs', $OsObj->ss_obs);		
		$comando->bindParam(':ss_refDocId', $OsObj->ss_refDocId);		

		$comando->bindParam(':ss_cli_direcc1', $OsObj->ss_cli_direcc1);		
		$comando->bindParam(':ss_cli_direcc2', $OsObj->ss_cli_direcc2);		
		$comando->bindParam(':ss_cli_ciudad', $OsObj->ss_cli_ciudad);		
		$comando->bindParam(':ss_cli_estado', $OsObj->ss_cli_estado);		
		$comando->bindParam(':ss_cli_contacto_telf', $OsObj->ss_cli_contacto_telf);		
		$comando->bindParam(':ss_cli_contacto_email', $OsObj->ss_cli_contacto_email);		
		$comando->bindParam(':ss_onsite', $OsObj->ss_onsite);		

		$comando->bindParam(':ss_status', $OsObj->ss_status);
		$comando->bindParam(':ss_usrreg', $OsObj->ss_usrreg);
		$comando->bindParam(':ss_fecreg', $OsObj->ss_fecreg);

		$comando->execute();	
	//		print_r($comando->errorInfo());

		$query	 = "
			SELECT DISTINCT max(ss_id) as id 
			FROM pv_solicitudServicio 
			WHERE ss_usrreg = :ss_usrreg 
				AND ss_fecreg = :ss_fecreg ";
		$comando = $PDO->prepare($query);
		$comando->bindParam(':ss_usrreg', $OsObj->ss_usrreg);
		$comando->bindParam(':ss_fecreg', $OsObj->ss_fecreg);
		$comando->execute();	 
		$resultado = $comando->fetchAll(PDO::FETCH_ASSOC);
		$row = $resultado[0];
		return $row["id"];
	}

}



?>