<?php


class SoClienteModel{

	public function selectUniqueId($id){
		global $PDO;
		if (!$id){
			return FALSE;
		}
		$sql = "
			SELECT *
			FROM vt_cliente
			WHERE cl_id = :id
		";
		$comando = $PDO->prepare($sql);
		$comando->bindParam(':id', $id);
		$comando->execute();
		$resultado = $comando->fetchAll(PDO::FETCH_ASSOC);
		$row = $resultado[0];
		$a_cliente["cl_id"]				= $row["cl_id"];
		$a_cliente["cl_nombre"]			= $row["cl_nombre"];
		$a_cliente["cl_nombreFac"]		= $row["cl_nombreFac"];
		$a_cliente["cl_tipo"]			= $row["cl_tipo"];
		$a_cliente["cl_ruc"]			= $row["cl_ruc"];
		$a_cliente["cl_direccion1"]		= $row["cl_direccion1"];
		$a_cliente["cl_direccion2"]		= $row["cl_direccion2"];
		$a_cliente["cl_ciudad"]			= $row["cl_ciudad"];
		$a_cliente["cl_estado"]			= $row["cl_estado"];
		$a_cliente["cl_pais"]			= $row["cl_pais"];
		$a_cliente["cl_telefono"]		= $row["cl_telefono"];
		$a_cliente["cl_telefono2"]		= $row["cl_telefono2"];
		$a_cliente["cl_email"]			= $row["cl_email"];
		$a_cliente["cl_contacto"]		= $row["cl_contacto"];
		$a_cliente["cl_tipoPrecio"]		= $row["cl_tipoPrecio"];
		$a_cliente["cl_prioridad"]		= $row["cl_prioridad"];
		$a_cliente["cl_requisEntrega"]	= $row["cl_requisEntrega"];
		$a_cliente["cl_vendedorId"]		= $row["cl_vendedorId"];
		$a_cliente["cl_condiciones"]	= $row["cl_condiciones"];
		$a_cliente["cl_termsPago"]		= $row["cl_termsPago"];		
		$a_cliente["cl_limiteCred"]		= $row["cl_limiteCred"];
		$a_cliente["cl_agenteRet"]		= $row["cl_agenteRet"];
		$a_cliente["cl_entregaTipo"]	= $row["cl_entregaTipo"];
		$a_cliente["cl_agenciaEnvioId"]	= $row["cl_agenciaEnvioId"];
		$a_cliente["cl_status"]			= $row["cl_status"];
		$a_cliente["cl_fecreg"]			= $row["cl_fecreg"];
		$a_cliente["cl_usrreg"]			= $row["cl_usrreg"];
		$a_cliente["cl_usract"]			= $row["cl_usract"];
		$a_cliente["cl_fecact"]			= $row["cl_fecact"];
		return $a_cliente;
	}


	public function select($ClienteObj,$limit=''){
		global $usuario, $PDO;
		if ($ClienteObj->cl_id){
			$where .= " AND cl_id = :cl_id";
		}
		if ($ClienteObj->cl_clienteId_dkt){
			$where .= " AND cl_clienteId_dkt = :cl_clienteId_dkt";
		}
		
		if ($ClienteObj->activo){
			$where .= " AND cl_status = '' ";
		}
		if ($ClienteObj->cl_nombre){
			$where .= " AND cl_nombre LIKE :cl_nombre";
		}
		if ($ClienteObj->cl_alias){
			$where .= " AND cl_alias LIKE :cl_alias";
		}
		if ($ClienteObj->cl_tipo){
			$where .= " AND cl_tipo = :cl_tipo";
		}
		if ($ClienteObj->cl_ruc){
			$where .= " AND cl_ruc = :cl_ruc";
		}
		if ($ClienteObj->orderBy){
			$orderBy = " ORDER BY :orderBy";
		}else{
			$orderBy = " ORDER BY cl_nombre";
		}
		$sql = "
			SELECT *
			FROM vt_cliente 
			WHERE 1 
			$where
			$orderBy
		";
		$comando = $PDO->prepare($sql);
		if ($ClienteObj->cl_id){
			$comando->bindParam(':cl_id', $ClienteObj->cl_id);
		}
		if ($ClienteObj->cl_clienteId_dkt){
			$comando->bindParam(':cl_clienteId_dkt', $ClienteObj->cl_clienteId_dkt);
		}
		if ($ClienteObj->cl_nombre){
			$comando->bindParam(':cl_nombre', $ClienteObj->cl_nombre);
		}
		if ($ClienteObj->cl_alias){
			$comando->bindParam(':cl_alias', $ClienteObj->cl_alias);
		}
		if ($ClienteObj->cl_tipo){
			$comando->bindParam(':cl_tipo', $ClienteObj->cl_tipo);
		}
		if ($ClienteObj->cl_ruc){
			$comando->bindParam(':cl_ruc', $ClienteObj->cl_ruc);
		}
		if ($ClienteObj->orderBy){
			$comando->bindParam(':orderBy', $ClienteObj->orderBy);
		}			
		$comando->execute();
//		print_r($comando->errorInfo());
//		exit;
		while($row = $comando->fetch()){
			$a_cliente["cl_id"]				= $row["cl_id"];
			$a_cliente["cl_nombre"]			= $row["cl_nombre"];
			$a_cliente["cl_nombreFac"]		= $row["cl_nombreFac"];
			$a_cliente["cl_tipo"]			= $row["cl_tipo"];
			$a_cliente["cl_ruc"]			= $row["cl_ruc"];
			$a_cliente["cl_direccion1"]		= $row["cl_direccion1"];
			$a_cliente["cl_direccion2"]		= $row["cl_direccion2"];
			$a_cliente["cl_ciudad"]			= $row["cl_ciudad"];
			$a_cliente["cl_estado"]			= $row["cl_estado"];
			$a_cliente["cl_pais"]			= $row["cl_pais"];
			$a_cliente["cl_telefono"]		= $row["cl_telefono"];
			$a_cliente["cl_telefono2"]		= $row["cl_telefono2"];
			$a_cliente["cl_email"]			= $row["cl_email"];
			$a_cliente["cl_contacto"]		= $row["cl_contacto"];
			$a_cliente["cl_tipoPrecio"]		= $row["cl_tipoPrecio"];
			$a_cliente["cl_prioridad"]		= $row["cl_prioridad"];
			$a_cliente["cl_requisEntrega"]	= $row["cl_requisEntrega"];
			$a_cliente["cl_vendedorId"]		= $row["cl_vendedorId"];
			$a_cliente["cl_condiciones"]	= $row["cl_condiciones"];
			$a_cliente["cl_termsPago"]		= $row["cl_termsPago"];		
			$a_cliente["cl_limiteCred"]		= $row["cl_limiteCred"];
			$a_cliente["cl_agenteRet"]		= $row["cl_agenteRet"];
			$a_cliente["cl_entregaTipo"]	= $row["cl_entregaTipo"];
			$a_cliente["cl_agenciaEnvioId"]	= $row["cl_agenciaEnvioId"];
			$a_cliente["cl_status"]			= $row["cl_status"];
			$a_cliente["cl_fecreg"]			= $row["cl_fecreg"];
			$a_cliente["cl_usrreg"]			= $row["cl_usrreg"];
			$a_cliente["cl_usract"]			= $row["cl_usract"];
			$a_cliente["cl_fecact"]			= $row["cl_fecact"];
			$a_clienteList[] = $a_cliente;
		}/*
			print_r($ClienteObj);
			print_r($a_clienteList);
		exit;*/
		return $a_clienteList;
	}


	public function update($ClienteObj){
		global $usuario, $PDO;
		if ($ClienteObj->cl_nombre){
			$set .= ", cl_nombre = :cl_nombre";
		}
		if ($ClienteObj->cl_alias){
			$set .= ", cl_alias = :cl_alias";
		}
		if ($ClienteObj->cl_tipo){
			$set .= ", cl_tipo = :cl_tipo";
		}
		if ($ClienteObj->cl_ruc){
			$set .= ", cl_ruc = :cl_ruc";
		}
		if ($ClienteObj->cl_direccion1){
			$set .= ", cl_direccion1 = :cl_direccion1";
		}
		if ($ClienteObj->cl_direccion2){
			$set .= ", cl_direccion2 = :cl_direccion2";
		}
		if ($ClienteObj->cl_ciudad){
			$set .= ", cl_ciudad = :cl_ciudad";
		}
		if ($ClienteObj->cl_estado){
			$set .= ", cl_estado = :cl_estado";
		}
		if ($ClienteObj->cl_pais){
			$set .= ", cl_pais = :cl_pais";
		}
		if ($ClienteObj->cl_telefono){
			$set .= ", cl_telefono = :cl_telefono";
		}
		if ($ClienteObj->cl_telefono2){
			$set .= ", cl_telefono2 = :cl_telefono2";
		}
		if ($ClienteObj->cl_email){
			$set .= ", cl_email = :cl_email";
		}
		if ($ClienteObj->cl_contacto){
			$set .= ", cl_contacto = :cl_contacto";
		}
		if ($ClienteObj->cl_tipoPrecio){
			$set .= ", cl_tipoPrecio = :cl_tipoPrecio";
		}
		if ($ClienteObj->cl_prioridad){
			$set .= ", cl_prioridad = :cl_prioridad";
		}
		if ($ClienteObj->cl_requisEntrega){
			$set .= ", cl_requisEntrega = :cl_requisEntrega";
		}
		if ($ClienteObj->cl_vendedorId){
			$set .= ", cl_vendedorId = :cl_vendedorId";
		}
		if ($ClienteObj->cl_condiciones){
			$set .= ", cl_condiciones = :cl_condiciones";
		}
		if ($ClienteObj->cl_termsPago){
			$set .= ", cl_termsPago = :cl_termsPago";
		}
		if ($ClienteObj->cl_limiteCred){
			$set .= ", cl_limiteCred = :cl_limiteCred";
		}
		if ($ClienteObj->cl_agenteRet){
			$set .= ", cl_agenteRet = :cl_agenteRet";
		}
		if ($ClienteObj->cl_entregaTipo){
			$set .= ", cl_entregaTipo = :cl_entregaTipo";
		}
		if ($ClienteObj->cl_agenciaEnvioId){
			$set .= ", cl_agenciaEnvioId = :cl_agenciaEnvioId";
		}
		if ($ClienteObj->cl_status){
			$set .= ", cl_status = :cl_status";
		}
		if ($set && $ClienteObj->cl_id){
			$set = substr($set,1);
			$sql2 = "
				UPDATE vt_cliente
				SET 
					$set
					,cl_usract = :cl_usract
				WHERE cl_id = :cl_id
				LIMIT 1";
			$comando = $PDO->prepare($sql2);
			$comando->bindParam(':cl_id', $ClienteObj->cl_id);
			if ($ClienteObj->cl_nombre){
				$comando->bindParam(':cl_nombre', $ClienteObj->cl_nombre);
			}
			if ($ClienteObj->cl_alias){
				$comando->bindParam(':cl_alias', $ClienteObj->cl_alias);
			}
			if ($ClienteObj->cl_tipo){
				$comando->bindParam(':cl_tipo', $ClienteObj->cl_tipo);
			}
			if ($ClienteObj->cl_ruc){
				$comando->bindParam(':cl_ruc', $ClienteObj->cl_ruc);
			}
			if ($ClienteObj->cl_direccion1){
				$comando->bindParam(':cl_direccion1', $ClienteObj->cl_direccion1);
			}
			if ($ClienteObj->cl_direccion2){
				$comando->bindParam(':cl_direccion2', $ClienteObj->cl_direccion2);
			}
			if ($ClienteObj->cl_ciudad){
				$comando->bindParam(':cl_ciudad', $ClienteObj->cl_ciudad);
			}
			if ($ClienteObj->cl_estado){
				$comando->bindParam(':cl_estado', $ClienteObj->cl_estado);
			}
			if ($ClienteObj->cl_pais){
				$comando->bindParam(':cl_pais', $ClienteObj->cl_pais);
			}
			if ($ClienteObj->cl_telefono){
				$comando->bindParam(':cl_telefono', $ClienteObj->cl_telefono);
			}
			if ($ClienteObj->cl_telefono2){
				$comando->bindParam(':cl_telefono2', $ClienteObj->cl_telefono2);
			}
			if ($ClienteObj->cl_email){
				$comando->bindParam(':cl_email', $ClienteObj->cl_email);
			}
			if ($ClienteObj->cl_contacto){
				$comando->bindParam(':cl_contacto', $ClienteObj->cl_contacto);
			}
			if ($ClienteObj->cl_tipoPrecio){
				$comando->bindParam(':cl_tipoPrecio', $ClienteObj->cl_tipoPrecio);
			}
			if ($ClienteObj->cl_prioridad){
				$comando->bindParam(':cl_prioridad', $ClienteObj->cl_prioridad);
			}
			if ($ClienteObj->cl_requisEntrega){
				$comando->bindParam(':cl_requisEntrega', $ClienteObj->cl_requisEntrega);
			}
			if ($ClienteObj->cl_vendedorId){
				$comando->bindParam(':cl_vendedorId', $ClienteObj->cl_vendedorId);
			}
			if ($ClienteObj->cl_condiciones){
				$comando->bindParam(':cl_condiciones', $ClienteObj->cl_condiciones);
			}
			if ($ClienteObj->cl_termsPago){
				$comando->bindParam(':cl_termsPago', $ClienteObj->cl_termsPago);
			}
			if ($ClienteObj->cl_limiteCred){
				$comando->bindParam(':cl_limiteCred', $ClienteObj->cl_limiteCred);
			}
			if ($ClienteObj->cl_agenteRet){
				$comando->bindParam(':cl_agenteRet', $ClienteObj->cl_agenteRet);
			}
			if ($ClienteObj->cl_entregaTipo){
				$comando->bindParam(':cl_entregaTipo', $ClienteObj->cl_entregaTipo);
			}
			if ($ClienteObj->cl_agenciaEnvioId){
				$comando->bindParam(':cl_agenciaEnvioId', $ClienteObj->cl_agenciaEnvioId);
			}
			if ($ClienteObj->cl_status){
				$comando->bindParam(':cl_status', $ClienteObj->cl_status);
			}
			$comando->bindParam(':cl_usract', $usuario);
			$comando->execute();
			return $ClienteObj->cl_id;
		}
	}

	public function insert($ClienteObj){
		global $PDO, $usuario;
		$sql = "
			INSERT INTO vt_cliente 
			(
			cl_nombre,
			cl_nombreFac,			
			cl_tipo,
			cl_ruc,
			cl_direccion1,
			cl_direccion2,
			cl_ciudad,
			cl_estado,
			cl_pais,
			cl_telefono,
			cl_telefono2,
			cl_email,
			cl_contacto,
			cl_tipoPrecio,
			cl_prioridad,
			cl_requisEntrega,
			cl_vendedorId, 
			cl_condiciones, 
			cl_termsPago,
			cl_limiteCred,
			cl_agenteRet,
			cl_entregaTipo,
			cl_agenciaEnvioId,
			cl_status, 
			cl_fecreg, 
			cl_usrreg
			) 
			VALUES 
			(
			:cl_nombre, 
			:cl_nombreFac, 
			:cl_tipo,
			:cl_ruc,
			:cl_direccion1,
			:cl_direccion2,
			:cl_ciudad,
			:cl_estado,
			:cl_pais,
			:cl_telefono,
			:cl_telefono2,
			:cl_email,
			:cl_contacto,
			:cl_tipoPrecio,
			:cl_prioridad,
			:cl_requisEntrega,
			:cl_vendedorId, 
			:cl_condiciones,
			:cl_termsPago,
			:cl_limiteCred,
			:cl_agenteRet,
			:cl_entregaTipo,
			:cl_agenciaEnvioId,
			:cl_status,
			:cl_fecreg,
			:cl_usrreg
			);			
		";
		$comando = $PDO->prepare($sql);
		$ClienteObj->cl_usrreg = $usuario;
		$ClienteObj->cl_fecreg = date("Y-m-d H:i:s");
		$comando->bindParam(':cl_nombre', $ClienteObj->cl_nombre);
		$comando->bindParam(':cl_nombreFac', $ClienteObj->cl_nombreFac);
		$comando->bindParam(':cl_tipo', $ClienteObj->cl_tipo);
		$comando->bindParam(':cl_ruc', $ClienteObj->cl_ruc);
		$comando->bindParam(':cl_direccion1', $ClienteObj->cl_direccion1);
		$comando->bindParam(':cl_direccion2', $ClienteObj->cl_direccion2);
		$comando->bindParam(':cl_ciudad', $ClienteObj->cl_ciudad);
		$comando->bindParam(':cl_estado', $ClienteObj->cl_estado);
		$comando->bindParam(':cl_pais', $ClienteObj->cl_pais);
		$comando->bindParam(':cl_telefono', $ClienteObj->cl_telefono);
		$comando->bindParam(':cl_telefono2', $ClienteObj->cl_telefono2);
		$comando->bindParam(':cl_email', $ClienteObj->cl_email);
		$comando->bindParam(':cl_contacto', $ClienteObj->cl_contacto);
		$comando->bindParam(':cl_tipoPrecio', $ClienteObj->cl_tipoPrecio);
		$comando->bindParam(':cl_prioridad', $ClienteObj->cl_prioridad);	
		$comando->bindParam(':cl_requisEntrega', $ClienteObj->cl_requisEntrega);	
		$comando->bindParam(':cl_vendedorId', $ClienteObj->cl_vendedorId);	
		$comando->bindParam(':cl_condiciones', $ClienteObj->cl_condiciones);	
		$comando->bindParam(':cl_termsPago', $ClienteObj->cl_termsPago);	
		$comando->bindParam(':cl_limiteCred', $ClienteObj->cl_limiteCred);
		$comando->bindParam(':cl_agenteRet', $ClienteObj->cl_agenteRet);		
		$comando->bindParam(':cl_entregaTipo', $ClienteObj->cl_entregaTipo);		
		$comando->bindParam(':cl_agenciaEnvioId', $ClienteObj->cl_agenciaEnvioId);				
		$comando->bindParam(':cl_status', $ClienteObj->cl_status);
		$comando->bindParam(':cl_fecreg', $ClienteObj->cl_fecreg);
		$comando->bindParam(':cl_usrreg', $ClienteObj->cl_usrreg);
		$comando->execute();	
/*
		print_r($comando->errorInfo());
		exit;
*/
		$query	 = "
			SELECT DISTINCT max(cl_id) as id 
			FROM vt_cliente 
			WHERE cl_usrreg = :cl_usrreg 
				AND cl_fecreg = :cl_fecreg ";
/*
echo $query;
print_r($ClienteObj);
exit;
*/
		$comando = $PDO->prepare($query);
		$comando->bindParam(':cl_usrreg', $ClienteObj->cl_usrreg);
		$comando->bindParam(':cl_fecreg', $ClienteObj->cl_fecreg);
		$comando->execute();	 
		$resultado = $comando->fetchAll(PDO::FETCH_ASSOC);
		$row = $resultado[0];
		//print_r($comando->errorInfo());
//		exit($row["id"].$ClienteObj->cl_usrreg.$ClienteObj->cl_fecreg);
		return $row["id"];
	}

}




class SoClienteSucModel{

	public function selectUniqueId($id){
		global $PDO;
		if (!$id){
			return FALSE;
		}
		$sql = "
			SELECT *
			FROM vt_clienteSuc
			WHERE cls_id = :id
		";
		$comando = $PDO->prepare($sql);
		$comando->bindParam(':id', $id);
		$comando->execute();
		$resultado = $comando->fetchAll(PDO::FETCH_ASSOC);
		$row = $resultado[0];
		$a_cliente["cls_id"]			= $row["cls_id"];
		$a_cliente["cls_cl_id"]			= $row["cls_cl_id"];
		$a_cliente["cls_nombre"]		= $row["cls_nombre"];
		$a_cliente["cls_tipo"]			= $row["cls_tipo"];
		$a_cliente["cls_direccion1"]	= $row["cls_direccion1"];
		$a_cliente["cls_direccion2"]	= $row["cls_direccion2"];
		$a_cliente["cls_ciudad"]		= $row["cls_ciudad"];
		$a_cliente["cls_estado"]		= $row["cls_estado"];
		$a_cliente["cls_ubigeo"]		= $row["cls_ubigeo"];
		$a_cliente["cls_zona"]			= $row["cls_zona"];
		$a_cliente["cls_pais"]			= $row["cls_pais"];
		$a_cliente["cls_referencia"]	= $row["cls_referencia"];
		$a_cliente["cls_telefono"]		= $row["cls_telefono"];
		$a_cliente["cls_email"]			= $row["cls_email"];
		$a_cliente["cls_contacto"]		= $row["cls_contacto"];
		$a_cliente["cls_contactoCargo"]	= $row["cls_contactoCargo"];
		$a_cliente["cls_status"]		= $row["cls_status"];
		$a_cliente["cls_usract"]		= $row["cls_usract"];
		$a_cliente["cls_fecact"]		= $row["cls_fecact"];
		$a_cliente["cls_direccion_google"] = $row["cls_direccion1"].",".$row["cls_direccion2"].",".$row["cls_ciudad"].",".$row["cls_estado"];
		return $a_cliente;
	}


	public function select($ClienteObj,$limit=''){
		global $usuario, $PDO;
		if ($ClienteObj->cls_id){
			$where .= " AND cls_id = :cls_id";
		}
		if ($ClienteObj->cls_cl_id){
			$where .= " AND cls_cl_id = :cls_cl_id";
		}
		if ($ClienteObj->cls_id_dkt){
			$where .= " AND cls_id_dkt = :cls_id_dkt";
		}
		if ($ClienteObj->activo){
			$where .= " AND cls_status = '' ";
		}
		if ($ClienteObj->cls_nombre){
			$where .= " AND cls_nombre LIKE :cls_nombre";
		}
		if ($ClienteObj->cls_tipo){
			$where .= " AND cls_tipo = :cls_tipo";
		}
		if ($ClienteObj->cl_ruc){
			$where .= " AND cl_ruc LIKE :cl_ruc";
		}		
		if ($ClienteObj->orderBy){
			$orderBy = " ORDER BY :orderBy";
		}else{
			$orderBy = " ORDER BY cls_nombre";
		}
		$sql = "
			SELECT *
			FROM vt_clienteSuc 
				LEFT JOIN vt_cliente ON cls_cl_id = cl_id
			WHERE 1 
			$where
			$orderBy
		";
		$comando = $PDO->prepare($sql);
		if ($ClienteObj->cls_id){
			$comando->bindParam(':cls_id', $ClienteObj->cls_id);
		}
		if ($ClienteObj->cls_cl_id){
			$comando->bindParam(':cls_cl_id', $ClienteObj->cls_cl_id);
		}
		if ($ClienteObj->cls_id_dkt){
			$comando->bindParam(':cls_id_dkt', $ClienteObj->cls_id_dkt);
		}
		if ($ClienteObj->cls_nombre){
			$comando->bindParam(':cls_nombre', $ClienteObj->cls_nombre);
		}
		if ($ClienteObj->cls_tipo){
			$comando->bindParam(':cls_tipo', $ClienteObj->cls_tipo);
		}
		if ($ClienteObj->cl_ruc){
			$comando->bindParam(':cl_ruc', $ClienteObj->cl_ruc);
		}
		if ($ClienteObj->orderBy){
			$comando->bindParam(':orderBy', $ClienteObj->orderBy);
		}		
		$comando->execute();
		while($row = $comando->fetch()){
			$a_cliente["cls_id"]			= $row["cls_id"];
			$a_cliente["cls_id_dkt"]		= $row["cls_id_dkt"];			
			$a_cliente["cls_cl_id"]			= $row["cls_cl_id"];
			$a_cliente["cls_nombre"]		= $row["cls_nombre"];
			$a_cliente["cls_tipo"]			= $row["cls_tipo"];
			$a_cliente["cls_direccion1"]	= $row["cls_direccion1"];
			$a_cliente["cls_direccion2"]	= $row["cls_direccion2"];
			$a_cliente["cls_ciudad"]		= $row["cls_ciudad"];
			$a_cliente["cls_estado"]		= $row["cls_estado"];
			$a_cliente["cls_pais"]			= $row["cls_pais"];
			$a_cliente["cls_ubigeo"]		= $row["cls_ubigeo"];
			$a_cliente["cls_zona"]			= $row["cls_zona"];
			$a_cliente["cls_referencia"]	= $row["cls_referencia"];
			$a_cliente["cls_telefono"]		= $row["cls_telefono"];
			$a_cliente["cls_email"]			= $row["cls_email"];
			$a_cliente["cls_contacto"]		= $row["cls_contacto"];
			$a_cliente["cls_contactoCargo"]	= $row["cls_contactoCargo"];
			$a_cliente["cls_status"]		= $row["cls_status"];
			$a_cliente["cls_usract"]		= $row["cls_usract"];
			$a_cliente["cls_fecact"]		= $row["cls_fecact"];
			$a_clienteList[] = $a_cliente;
		}
		return $a_clienteList;
	}


	public function insert($ClienteSucObj){
		global $PDO, $usuario;
		$sql = "
			INSERT INTO vt_clienteSuc 
			(
			cls_cl_id,
			cls_nombre,
			cls_tipo,
			cls_direccion1,
			cls_direccion2,
			cls_ciudad,
			cls_estado,
			cls_pais,
			cls_ubigeo,
			cls_zona,
			cls_telefono,
			cls_email,
			cls_contacto,
			cls_contactoCargo,
			cls_referencia,
			cls_fecact, 
			cls_usract
			) 
			VALUES 
			(
			:cls_cl_id, 
			:cls_nombre, 
			:cls_tipo,
			:cls_direccion1,
			:cls_direccion2,
			:cls_ciudad,
			:cls_estado,
			:cls_pais,
			:cls_ubigeo,
			:cls_zona,
			:cls_telefono,
			:cls_email,
			:cls_contacto,
			:cls_contactoCargo,
			:cls_referencia,
			:cls_fecact,
			:cls_usract
			);			
		";
		$comando = $PDO->prepare($sql);
		$ClienteSucObj->cls_usract = $usuario;
		$ClienteSucObj->cls_fecact = date("Y-m-d H:i:s");
		$comando->bindParam(':cls_cl_id', $ClienteSucObj->cls_cl_id);
		$comando->bindParam(':cls_nombre', $ClienteSucObj->cls_nombre);
		$comando->bindParam(':cls_tipo', $ClienteSucObj->cls_tipo);
		$comando->bindParam(':cls_direccion1', $ClienteSucObj->cls_direccion1);
		$comando->bindParam(':cls_direccion2', $ClienteSucObj->cls_direccion2);
		$comando->bindParam(':cls_ciudad', $ClienteSucObj->cls_ciudad);
		$comando->bindParam(':cls_estado', $ClienteSucObj->cls_estado);
		$comando->bindParam(':cls_pais', $ClienteSucObj->cls_pais);
		$comando->bindParam(':cls_ubigeo', $ClienteSucObj->cls_ubigeo);
		$comando->bindParam(':cls_zona', $ClienteSucObj->cls_zona);
		$comando->bindParam(':cls_telefono', $ClienteSucObj->cls_telefono);
		$comando->bindParam(':cls_email', $ClienteSucObj->cls_email);
		$comando->bindParam(':cls_contacto', $ClienteSucObj->cls_contacto);
		$comando->bindParam(':cls_contactoCargo', $ClienteSucObj->cls_contactoCargo);
		$comando->bindParam(':cls_referencia', $ClienteSucObj->cls_referencia);
		$comando->bindParam(':cls_fecact', $ClienteSucObj->cls_fecact);
		$comando->bindParam(':cls_usract', $ClienteSucObj->cls_usract);
		$comando->execute();	
/*
		print_r($comando->errorInfo());
		exit;
*/
		$query	 = "
			SELECT DISTINCT max(cls_id) as id 
			FROM vt_clienteSuc 
			WHERE cls_usract = :cls_usract 
				AND cls_fecact = :cls_fecact ";
		$comando = $PDO->prepare($query);
		$comando->bindParam(':cls_usract', $ClienteSucObj->cls_usract);
		$comando->bindParam(':cls_fecact', $ClienteSucObj->cls_fecact);
		$comando->execute();	 
		$resultado = $comando->fetchAll(PDO::FETCH_ASSOC);
		$row = $resultado[0];
		/*
		print_r($comando->errorInfo());
		
		echo $query;
		print_r($ClienteSucObj);
		exit;
		*/
		return $row["id"];
	}

	public function update($ClienteObjSuc){
		global $usuario, $PDO;
		if ($ClienteObjSuc->cls_nombre){
			$set .= ", cls_nombre = :cls_nombre";
		}
		if ($ClienteObjSuc->cls_tipo){
			$set .= ", cls_tipo = :cls_tipo";
		}
		if ($ClienteObjSuc->cls_direccion1){
			$set .= ", cls_direccion1 = :cls_direccion1";
		}
		if ($ClienteObjSuc->cls_direccion2){
			$set .= ", cls_direccion2 = :cls_direccion2";
		}
		if ($ClienteObjSuc->cls_ciudad){
			$set .= ", cls_ciudad = :cls_ciudad";
		}
		if ($ClienteObjSuc->cls_estado){
			$set .= ", cls_estado = :cls_estado";
		}
		if ($ClienteObjSuc->cls_pais){
			$set .= ", cls_pais = :cls_pais";
		}
		if ($ClienteObjSuc->cls_ubigeo){
			$set .= ", cls_ubigeo = :cls_ubigeo";
		}
		if ($ClienteObjSuc->cls_zona){
			$set .= ", cls_zona = :cls_zona";
		}
		if ($ClienteObjSuc->cls_referencia){
			$set .= ", cls_referencia = :cls_referencia";
		}
		if ($ClienteObjSuc->cls_telefono){
			$set .= ", cls_telefono = :cls_telefono";
		}
		if ($ClienteObjSuc->cls_email){
			$set .= ", cls_email = :cls_email";
		}
		if ($ClienteObjSuc->cls_contacto){
			$set .= ", cls_contacto = :cls_contacto";
		}
		if ($ClienteObjSuc->cls_contactoCargo){
			$set .= ", cls_contactoCargo = :cls_contactoCargo";
		}
		if ($set && $ClienteObjSuc->cls_id){
			$set = substr($set,1);
			$sql2 = "
				UPDATE vt_clienteSuc
				SET 
					$set
					,cls_usract = :cls_usract
				WHERE cls_id = :cls_id
				LIMIT 1";
			$comando = $PDO->prepare($sql2);
			$comando->bindParam(':cls_id', $ClienteObjSuc->cls_id);
			if ($ClienteObjSuc->cls_nombre){
				$comando->bindParam(':cls_nombre', $ClienteObjSuc->cls_nombre);
			}
			if ($ClienteObjSuc->cls_tipo){
				$comando->bindParam(':cls_tipo', $ClienteObjSuc->cls_tipo);
			}
			if ($ClienteObjSuc->cls_direccion1){
				$comando->bindParam(':cls_direccion1', $ClienteObjSuc->cls_direccion1);
			}
			if ($ClienteObjSuc->cls_direccion2){
				$comando->bindParam(':cls_direccion2', $ClienteObjSuc->cls_direccion2);
			}
			if ($ClienteObjSuc->cls_ciudad){
				$comando->bindParam(':cls_ciudad', $ClienteObjSuc->cls_ciudad);
			}
			if ($ClienteObjSuc->cls_estado){
				$comando->bindParam(':cls_estado', $ClienteObjSuc->cls_estado);
			}
			if ($ClienteObjSuc->cls_pais){
				$comando->bindParam(':cls_pais', $ClienteObjSuc->cls_pais);
			}
			if ($ClienteObjSuc->cls_ubigeo){
				$comando->bindParam(':cls_ubigeo', $ClienteObjSuc->cls_ubigeo);
			}
			if ($ClienteObjSuc->cls_zona){
				$comando->bindParam(':cls_zona', $ClienteObjSuc->cls_zona);
			}			
			if ($ClienteObjSuc->cls_referencia){
				$comando->bindParam(':cls_referencia', $ClienteObjSuc->cls_referencia);
			}
			if ($ClienteObjSuc->cls_telefono){
				$comando->bindParam(':cls_telefono', $ClienteObjSuc->cls_telefono);
			}
			if ($ClienteObjSuc->cls_email){
				$comando->bindParam(':cls_email', $ClienteObjSuc->cls_email);
			}
			if ($ClienteObjSuc->cls_contacto){
				$comando->bindParam(':cls_contacto', $ClienteObjSuc->cls_contacto);
			}
			if ($ClienteObjSuc->cls_contactoCargo){
				$comando->bindParam(':cls_contactoCargo', $ClienteObjSuc->cls_contactoCargo);
			}
			$comando->bindParam(':cls_usract', $usuario);
			$comando->execute();
			return $ClienteObjSuc->cls_id;
		}
	}


}

?>