<?php


class XXComentarioModel{

	public function selectUniqueId($listaId,$id){
		global $PDO;
		if (!$id){
			return FALSE;
		}
		$sql = "
			SELECT *
				xx_comentario
			WHERE com_tipo = :listaId
				AND com_id = :id
		";
		$comando = $PDO->prepare($sql);
		$comando->bindParam(':id', $id);
		$comando->bindParam(':listaId', $listaId);
		$comando->execute();
		$resultado = $comando->fetchAll(PDO::FETCH_ASSOC);
		$row = $resultado[0];
		$a_xxMaestroLista["com_tipo"]		= $row["com_tipo"];
		$a_xxMaestroLista["com_id"]			= $row["com_id"];
		$a_xxMaestroLista["com_idRef"]		= $row["com_idRef"];		 
		$a_xxMaestroLista["com_titulo"]		= $row["com_titulo"];
		$a_xxMaestroLista["com_detalle"]	= $row["com_detalle"];
		$a_xxMaestroLista["com_usrreg"]		= $row["com_usrreg"];
		$a_xxMaestroLista["com_fecreg"]		= $row["com_fecreg"];
		return $a_xxMaestroLista;
	}


	public function select($XXComentarioObj){
		global $usuario, $PDO;
		if ($XXComentarioObj->com_idRef){
			$where .= " AND com_idRef = :com_idRef";
		}else{
			return FALSE;
		}
		if ($XXComentarioObj->com_id){
			$where .= " AND com_id = :com_id";
		}
		if ($XXComentarioObj->com_tipo){
			$where .= " AND com_tipo = :com_tipo";
		}
		if ($XXComentarioObj->orderBy){
			$orderBy = " ORDER BY :orderBy";
		}else{
			$orderBy = " ORDER BY com_id DESC";
		}
		$sql = "
			SELECT *
			FROM xx_comentario 
			WHERE 1 $where
			$orderBy
		";
		$comando = $PDO->prepare($sql);
		if ($XXComentarioObj->com_tipo){
			$comando->bindParam(':com_tipo', $XXComentarioObj->com_tipo);
		}
		if ($XXComentarioObj->com_id){
			$comando->bindParam(':com_id', $XXComentarioObj->com_id);
		}
		if ($XXComentarioObj->com_idRef){
			$comando->bindParam(':com_idRef', $XXComentarioObj->com_idRef);
		}
		if ($XXComentarioObj->orderBy){
			$comando->bindParam(':orderBy', $XXComentarioObj->orderBy);
		}			
		$comando->execute();

		while($row = $comando->fetch()){
			$a_xxMaestroLista["com_tipo"]		= $row["com_tipo"];
			$a_xxMaestroLista["com_id"]			= $row["com_id"];
			$a_xxMaestroLista["com_idRef"]		= $row["com_idRef"];		 
			$a_xxMaestroLista["com_titulo"]		= $row["com_titulo"];
			$a_xxMaestroLista["com_detalle"]	= $row["com_detalle"];
			$a_xxMaestroLista["com_usrreg"]		= $row["com_usrreg"];
			$a_xxMaestroLista["com_fecreg"]		= $row["com_fecreg"];
			$a_maestroListaList[] = $a_xxMaestroLista;
		}
		return $a_maestroListaList;

	}




	public function insert($XXComentarioObj){
		global $PDO, $usuario;
		$sql = "
			INSERT INTO xx_comentario 
			(
			com_id,
			com_tipo, 
			com_idRef ,
			com_titulo,
			com_detalle,
			com_usrreg, 
			com_fecreg
			) 
			VALUES 
			(
			:com_id,
			:com_tipo, 
			:com_idRef ,
			:com_titulo,
			:com_detalle,
			:com_usrreg, 
			:com_fecreg
			);			
		";
		$comando = $PDO->prepare($sql);
		$fecreg = date("Y-m-d H:i:s");
		$comando->bindParam(':com_tipo', $XXComentarioObj->com_tipo);
		$comando->bindParam(':com_id', $XXComentarioObj->com_id);
		$comando->bindParam(':com_idRef', $XXComentarioObj->com_idRef);
		$comando->bindParam(':com_titulo', $XXComentarioObj->com_titulo);
		$comando->bindParam(':com_detalle', $XXComentarioObj->com_detalle);
		$comando->bindParam(':com_usrreg', $usuario);
		$comando->bindParam(':com_fecreg', $fecreg);
		$comando->execute();	 
		$query	 = "
			SELECT DISTINCT max(com_id) as id 
			FROM `xx_comentario` 
			WHERE com_usrreg = :com_usrreg 
				AND com_fecreg = :com_fecreg ";
		$comando = $PDO->prepare($query);
		$comando->bindParam(':com_usrreg', $usuario);
		$comando->bindParam(':com_fecreg', $fecreg);
		$comando->execute();	 
		$resultado = $comando->fetchAll(PDO::FETCH_ASSOC);
		$row = $resultado[0];
		return $row["id"];
	}

}


?>