<?php
/*
*  articulo logica
*
*/

include ("class/imStock.class.php");
include ("class/imAlmacen.class.php");
include ("class/imFamilia.class.php");

$DSHB_AGING_KEY_COLOR[15]	= "#33cc00";
$DSHB_AGING_KEY_COLOR[30]	= "#afff95";
$DSHB_AGING_KEY_COLOR[60]	= "#ffff00";
$DSHB_AGING_KEY_COLOR[90]	= "#ffc488";
$DSHB_AGING_KEY_COLOR[999]	= "#ff0000";

$a_rango[1] = 15;
$a_rango[2] = 30;
$a_rango[3] = 60;
$a_rango[4] = 90;
$a_rango[5] = 999;

function calcAging($pr_id,$stockIni,$costoProm){
	global $PDO,$a_aging,$a_rango;
	$sql = "
		SELECT *
		FROM im_stockmov
			LEFT JOIN im_producto ON smv_prId = pr_id
		WHERE 
			smv_prId = '".$pr_id."'
			AND smv_ingSal = 'I'
			AND smv_tipo = 'PO'
		ORDER BY smv_fecha DESC
	";
	$comando = $PDO->prepare($sql);
	$comando->execute();
	$stock = $stockIni;
	while($row = $comando->fetch()){
		if ($stock >= $row["smv_cantidad"]){
			$cantidad = $row["smv_cantidad"];
		}else{
			$cantidad = $stock;
		}
		$date1 = new DateTime($row["smv_fecha"]);
		$date2 = new DateTime(date("Y-m-d"));
		$diff = $date1->diff($date2);
		$agingDias = $diff->days;	
		if ($agingDias <= 15){
			$rango = 15;
			$rangoKey = 1;
		}elseif($agingDias <= 30){
			$rango = 30;
			$rangoKey = 2;
		}elseif($agingDias <= 60){
			$rango = 60;
			$rangoKey = 3;
		}elseif($agingDias <= 90){
			$rango = 90;
			$rangoKey = 4;
		}else{
			$rango = 999;
			$rangoKey = 5;
		}
		$stock = $stock - $row["smv_cantidad"];					
		$a_aging[$rango."-".$pr_id]["valor"]		+= $cantidad*$costoProm;
		$a_aging[$rango."-".$pr_id]["cantidad"]		+= $cantidad;
		$a_aging[$rango."-".$pr_id]["id"]			= $pr_id;
		$a_aging[$rango."-".$pr_id]["descripcion"]	= $row["pr_descripcion"];
		$a_aging[$rango."-".$pr_id]["codigo"]		= $row["pr_productoId"];
		$a_aging[$rango."-".$pr_id]["rango"]		= $rango;
		$a_aging[$rango."-".$pr_id]["rangoKey"]		= $rangoKey;

	}

}

$ImStock	= NEW ImStock();
$ImStockObj	= NEW ImStock();
$ImStockObj->groupBy = "stk_almacenId ";
$a_lista = $ImStock->consultar($ImStockObj);
$a_listaStock_alm = $a_lista["listaPag"];
foreach ($a_listaStock_alm as $clave => $valor) {
	$DSHB_STOCK_TOTAL += $valor["stk_tot_costoProm"];
}
$DSHB_STOCK_TOTAL = MONEDA_DEFAULT_SYM." ".number_format($DSHB_STOCK_TOTAL,0, '.', ',');



$ImStock	= NEW ImStock();
$ImStockObj	= NEW ImStock();
$ImStockObj->stk_fisico = 1;
$a_lista = $ImStock->consultar($ImStockObj);
$a_listaStock_aging = $a_lista["listaPag"];
foreach ($a_listaStock_aging as $clave => $valor){
	$a_aging2 = calcAging($valor["pr_id"],$valor["stk_fisico"],$valor["stk_costoProm"]);
}

foreach ($a_aging as $clave => $valor) {
	$a_aging[$clave]["cantidad"]		= number_format($valor["cantidad"],0, '.', ',');
	$a_aging[$clave]["valor"]			= number_format($valor["valor"],2, '.', ',');
	$a_aging[$clave]["rangoDiasFin"]	= $valor["rango"];
	$a_aging[$clave]["rango"]			= "<= ".$valor["rango"]." dias";
	$a_aging[$clave]["rangoDias"]		= $a_rango[$valor["rangoKey"]-1];
}
ksort($a_aging);

?>
