<?php

include("print-fact-elec.class.php");
include ("class/imOrdenDespacho2Guia.class.php");

$a_vars	= $_REQUEST;

$LONG_MAX_DESCRIP = 80;
if ($_POST){
	$_GET = $_POST;
}

function pinta_header(&$impr,$dataHeader){         
	$impr->anadirTexto($dataHeader, anchoCondensado);
}

function series($producto){
	global $PDO, $a_vars,$LONG_MAX_DESCRIP;
	if ($a_vars["od_id"]){
		$sql = "
			SELECT ser_serie AS sert_serieId 
					FROM im_salidaserie
					LEFT JOIN im_salidalinea ON sals_lineaId = sall_lineaId
					LEFT JOIN im_salida ON sall_id = sal_id
					LEFT JOIN im_serie ON sals_ser_id = ser_id
					LEFT JOIN im_producto ON ser_prId = pr_id
					WHERE sal_od_id = '".$a_vars["od_id"]."'
						AND pr_productoId = '".$producto."'
		";
		$sentencia = $PDO->query($sql);
		$sentencia->setFetchMode(PDO::FETCH_ASSOC);
		$listaSeries = "";
		$i= 0;
		while ($row = $sentencia->fetch()){
			$a_seriesDsc .= ",".$row["sert_serieId"];
		}
	}
	if (!$a_seriesDsc){

		$sql = "
			SELECT * 
			FROM im_guiaserie
				LEFT JOIN im_serie ON ges_ser_id = ser_id
				LEFT JOIN im_guialinea ON ges_lineaId = gel_lineaId
				LEFT JOIN im_producto ON gel_prId = pr_id
			WHERE ges_ge_id = '".$a_vars["ge_id"]."'
				AND pr_productoId = '".$producto."'
		";
		$sentencia = $PDO->query($sql);
		$sentencia->setFetchMode(PDO::FETCH_ASSOC);
		$listaSeries = "";
		while ($row = $sentencia->fetch()){
			if ($row["sert_serieId"]){
				$a_seriesDsc .= ",".$row["sert_serieId"];
			}else{
				$a_seriesDsc .= ",".$row["ges_serie"];			
			}
		}
	}
	/*
	echo $sql;
	exit("Serie:".$a_seriesDsc);
	*/
	return substr($a_seriesDsc,1);
}


function getDescripcion($descripcion,$producto){
	global $LONG_MAX_DESCRIP;
	$j = 0;
	if (strlen($descripcion) > $LONG_MAX_DESCRIP){
		while (strlen($descripcion) > $LONG_MAX_DESCRIP){
			$a_descripcion[$j] = sprintf("%-80s",substr($descripcion,0,$LONG_MAX_DESCRIP));
			$descripcion = substr($descripcion,$LONG_MAX_DESCRIP);
			$j++;
		}	
		$a_descripcion[$j] = sprintf("%-80s",$descripcion);
		$j++;		
	}else{
		$a_descripcion[$j] = sprintf("%-80s",$descripcion);
		$j++;
	}
	$a_descripcionSeries = series($producto);
	if ($a_descripcionSeries){
		for ($i = 0; $i <=count($a_descripcionSeries);$i++){
			$a_descripcion[$j] = sprintf("%-80s",$a_descripcionSeries[$i]);
			$j++;
		}
	}
	return $a_descripcion;
}



function generaId(){
	global $PDO, $a_vars;
	if (!$a_vars["gex_id"]){
		$sql = "
			SELECT (sq_secuencial + 1) as new
				FROM `xx_secuenciales` 			
			WHERE sq_tabla = 'guiaElec'
			AND sq_obs = '".$a_vars["gex_serie"]."'
		";
		$sentencia = $PDO->query($sql);
		$sentencia->setFetchMode(PDO::FETCH_ASSOC);
		$row = $sentencia->fetch();

		$sql = "
			UPDATE `xx_secuenciales`
			SET sq_secuencial = '".$row["new"]."'
			WHERE sq_tabla = 'guiaElec'
		";
		$sentencia = $PDO->query($sql);
		$sentencia->setFetchMode(PDO::FETCH_ASSOC);
		return sprintf("%'010d", $row["new"]);
	}else{
		$sql2 = "
			SELECT *
			FROM im_guiaexterna
			WHERE gex_id = '".$a_vars["gex_id"]."'
				AND gex_serie = '".$a_vars["gex_serie"]."'
				AND gex_status = 'P'
		";
		$sentencia = $PDO->query($sql2);
		$sentencia->setFetchMode(PDO::FETCH_ASSOC);
		$row = $sentencia->fetch();
		if ($row["gex_id"] > 0){
			$sql3 = "
				UPDATE im_guiaexterna
				SET gex_status = '',
					gex_ge_id = '".$a_vars["ge_id"]."'
				WHERE gex_id = '".$a_vars["gex_id"]."'
				AND gex_status = 'P'
			";

			$sentencia = $PDO->query($sql3);
			$sentencia->setFetchMode(PDO::FETCH_ASSOC);
			if (strlen($row["gex_id"]) < 10){
				return sprintf("%'010d", $row["gex_id"]);
			}else{
				return $row["gex_id"];
			}
		}else{
			exit("ERROR EN UBICAR CORRELATIVO A REUTILIZAR");
			return FALSE;
		}
	}
}


function getTipoOtros($ge_obs){
	global $PDO;
	$sql = "
		SELECT * 
		FROM `xx_maestrolista` 
		WHERE `mlst_listaId` LIKE 'imGeOtros' AND `mlst_valorId` LIKE '".$ge_obs."'
	";
	$sentencia = $PDO->query($sql);
	$sentencia->setFetchMode(PDO::FETCH_ASSOC);
	$row = $sentencia->fetch();
	return $row["mlst_valorDsc"];
}


function grabaGuiaExterno($guiaId, $guiaExtId){
	global $PDO, $usuario,$a_vars;
	$fecreg = date("Y-m-d H:i:s");
	$sql = "
		INSERT INTO `im_guiaexterna` 
		(
		`gex_serie`, 
		`gex_id`, 
		`gex_ge_id`, 
		`gex_usrreg`, 
		`gex_fecreg`
		) VALUES (
		'".$a_vars["gex_serie"]."', 
		'".$guiaExtId."', 
		'".$guiaId."', 
		'".$usuario."', 
		'".$fecreg."'
		);	
	";
	$sentencia = $PDO->query($sql);	
	return $guiaExtId;
}


function actualizaOd($odId, $clienteId, $gex_id){
	global $PDO;
	if ($odId){
		$sql = "
			UPDATE im_ordenDespacho
			SET od_refDocId = '".$gex_id."'
			WHERE od_id = '".$odId."'
			AND od_cli_id = $clienteId
			LIMIT 1
		";
		$sentencia = $PDO->query($sql);
		$sentencia->setFetchMode(PDO::FETCH_ASSOC);

		$sql = "
			UPDATE im_ordenDespachopendiente
			SET odp_refDocId = '".$gex_id."'
			WHERE odp_od_id = '".$odId."'
		";
		echo $sql;
		$sentencia = $PDO->query($sql);
		$sentencia->setFetchMode(PDO::FETCH_ASSOC);


		$sql = "
			UPDATE im_salida
			SET sal_refDocId = '".$gex_id."'
			WHERE sal_od_id = '".$odId."'
		";
		echo $sql;
		$sentencia = $PDO->query($sql);
		$sentencia->setFetchMode(PDO::FETCH_ASSOC);

		$sql = "
			SELECT *
			FROM im_salida
			WHERE sal_refDocId = '".$gex_id."'
			AND sal_od_id = '".$odId."'
		";
		$sentencia = $PDO->query($sql);
		$sentencia->setFetchMode(PDO::FETCH_ASSOC);
		$row = $sentencia->fetch();
		$smv_docum = $row["sal_id"];
		if ($smv_docum > 0){
			$sql = "
				UPDATE im_stockmov 
				SET smv_documRef = '".$gex_id."' 
				WHERE smv_docum = ".$smv_docum." 
				AND smv_ingSal = 'S'
				limit 150;
			";
			$sentencia = $PDO->query($sql);
			$sentencia->setFetchMode(PDO::FETCH_ASSOC);
		}
		return $gex_id;
	}
}





if (!$a_vars["gex_serie"]){
	$a_vars["gex_serie"] = 'T001';	
}




if ($a_vars["ge_id"]){
	if ($a_vars["od_id"]){
		$ImOrdenDespacho2Guia = NEW ImOrdenDespacho2Guia();
		$ImOrdenDespacho2Guia->creaGuiaLin($a_vars["od_id"],$a_vars["ge_id"]);
	}

	$sql = "
		SELECT * 
		FROM im_guia 
		WHERE ge_id = '".$a_vars["ge_id"]."'
	";
	$_DATABASE = DATABASE_NAME;
	$sentencia = $PDO->query($sql);
	$sentencia->setFetchMode(PDO::FETCH_ASSOC);
	$row = $sentencia->fetch();	
	if ($row["ge_id"]){
		$row["ge_obs_dsc"]						= getTipoOtros($row["ge_obs"]);

		$VERSION_TXT							= '210';

		$dataHeader["COD_TIPO_DOC"]				= "09";
		$dataHeader["RUC_EMISOR"]				= CIA_RUC;
		$dataHeader["SUCURSAL_EMISOR"]			= CODIGO_SUCURSAL_SUNAT;
		$dataHeader["FECHA_HORA_EMISION"]		= date("d/m/Y H:i:s");
		$dataHeader["TIPO_MONEDA"]				= "PEN";
		$dataHeader["MOTIVO_TRASLADO"]			= $row["ge_tipo"];
		$dataHeader["TIPO_TRANSPORTE"]			= $row["ge_tipo_transporte"];
		$dataHeader["FECHA_TRASLADO"]			= date("d/m/Y");
		$dataHeader["FECHA_ENTREGA"]			= date("d/m/Y");
		$dataHeader["GUIA_REFERENCIA_SW"]		= "0";
		$dataHeader["GUIA_REFERENCIA_SERIE"]	= "";
		$dataHeader["GUIA_REFERENCIA_NRO"]		= "";
		$dataHeader["GUIA_SERIE"]				= $a_vars["gex_serie"];

		$dataHeader["USR_ID"]					= "EBARRON";
		$dataHeader["DOCUM_RELAC"]				= "0";
		$dataHeader["VERSION_GUIA"]				= "2";
		$dataHeader["BULTOS"]					= "";
		$dataHeader["OTROS_MOTIVOS"]			= substr($row["ge_obs_dsc"],0,100);
		$dataHeader["TRANSBORDO"]				= $row["ge_transbordo"];
		$dataHeader["OBS"]						= $row["ge_glosa"];
		
		$dataPartidaLLegada["ID_DIFERENCIAL"]	= "GPPYL";
		$dataPartidaLLegada["UBIGEO_PARTIDA"]	= $row["ge_ubigeo_rem"];
//		$dataPartidaLLegada["DIRECC_PARTIDA"]	= $row["ge_direccion1_rem"]." ".$row["ge_direccion2_rem"]." ".$row["ge_ciudad_rem"]." ".$row["ge_estado_rem"];
		$dataPartidaLLegada["UBIGEO_LLEGADA"]	= $row["ge_ubigeo_dst"];
//		$dataPartidaLLegada["DIRECC_LLEGADA"]	= $row["ge_direccion1_dst"]." ".$row["ge_direccion2_dst"]." ".$row["ge_ciudad_dst"]." ".$row["ge_estado_dst"];
		$dataPartidaLLegada["RUC_PARTIDA"]		= "";
		$dataPartidaLLegada["RUC_LLEGADA"]		= "";

		$dataPartidaLLegada["DIRECC_PARTIDA"]	= $row["ge_direccion1_rem"];
		$dataPartidaLLegada["DIRECC_LLEGADA"]	= $row["ge_direccion1_dst"];


		$dataTransporte["ID_DIFERENCIAL"]		= "GDTP";
		$dataTransporte["TIPO_DOC"]				= $row["ge_transp_doc_tipo"];
		$dataTransporte["DOC_NUMERO"]			= $row["ge_transp_doc_nro"];
		$dataTransporte["NOMBRE_RAZSOC"]		= $row["ge_transp_nombre"];
		$dataTransporte["REGISTRO_MTC"]			= "";
		$dataTransporte["NRO_AUTORIZACION"]		= "";
		$dataTransporte["COD_ENTIDAD_AUTORIZACION"]	= "06";
		$dataTransporte["PLACA"]				= $row["ge_transp_placa"];


		$dataVehiculo["ID_DIFERENCIAL"]			= "VEHICULO";
		$dataVehiculo["PLACA"]					= $row["ge_transp_priv_placa"];
		$dataVehiculo["TARJETA"]				= $row["ge_transp_priv_tarjeta"];
		$dataVehiculo["AUTORIZ"]				= $row["ge_transp_priv_autoriz"];
		$dataVehiculo["COD_EMISOR"]				= $row["ge_transp_priv_codEmisor"];


		$dataConductor["ID_DIFERENCIAL1"]			= "CONDUCTOR";
		$dataConductor["ID_DIFERENCIAL2"]			= "PRINCIPAL";
		$dataConductor["TRANSP_PRIV_DOC_ID"]		= $row["ge_transp_priv_doc_tipo"];
		$dataConductor["TRANSP_PRIV_DOC_NRO"]		= $row["ge_transp_priv_doc_nro"];
		$dataConductor["TRANSP_PRIV_DOC_NOMBRE"]	= $row["ge_transp_priv_nombre"];
		$dataConductor["TRANSP_PRIV_DOC_APELLIDO"]	= $row["ge_transp_priv_apellido"];
		$dataConductor["TRANSP_PRIV_DOC_LICENCIA"]	= $row["ge_transp_priv_licencia"];


		$dataDestinatario["ID_DIFERENCIAL"]		= "DESTINATARIO";
		$dataDestinatario["TIPO_DOC"]			= $row["ge_cli_tipo_doc"];
		$dataDestinatario["DOC_NUMERO"]			= $row["ge_ruc_dst"];
		$dataDestinatario["NOMBRE_RAZSOC"]		= $row["ge_nombre_dst"];
		$dataDestinatario["CORREO"]				= $row["ge_cli_correo"];


		$sql = "
			SELECT *, SUM(gel_cantidad) as gel_cantidadSum
			FROM  im_guialinea 
				LEFT JOIN im_producto on gel_prId = pr_id
			WHERE gel_id = '".$a_vars["ge_id"]."'
				AND pr_tipo <> 'SRV'
			GROUP BY pr_productoId
		";
		$_DATABASE = DATABASE_NAME;
		$sentencia = $PDO->query($sql);
		$sentencia->setFetchMode(PDO::FETCH_ASSOC);
		$i = 0;
		while($rowDet = $sentencia->fetch()){
			$dataDetalle[$i]["CORRELATIVO"]	= $i+1;
			$dataDetalle[$i]["CODIGO"]		= $rowDet["pr_productoId"];
			$dataDetalle[$i]["CANTIDAD"]	= $rowDet["gel_cantidadSum"];
			$dataDetalle[$i]["CODIGO_SUNAT"]= "";
			$dataDetalle[$i]["UND_MEDIDA"]	= "NIU";
			$dataDetalle[$i]["DESCRIPCION"]	= $rowDet["pr_descripcion"];
			$series = series($rowDet["pr_productoId"]);
			if ($series){
				$dataDetalle[$i]["DESCRIPCION"]	.= " Series :".$series;
			}
			if ($rowDet["gel_peso"] > 0){
				$dataHeader["PESO_BRUTO_TOTAL"] += ($rowDet["gel_peso"]*$rowDet["gel_cantidadSum"]);
			}else{
				$ERROR_MSG .= "Peso no definido para ".$rowDet["pr_productoId"]."<BR>";
			}
			$i++;
			
		}
		if ($dataHeader["PESO_BRUTO_TOTAL"] > 0 && $dataHeader["PESO_BRUTO_TOTAL"] < 0.1){
			$dataHeader["PESO_BRUTO_TOTAL"] = 0.1;
		}

		if (!$dataHeader["MOTIVO_TRASLADO"]){
			$ERROR_MSG .= "	Tipo traslado SUNAT no definido<BR>";		
		}

		if ($dataHeader["MOTIVO_TRASLADO"]=='13' && !$dataHeader["OTROS_MOTIVOS"]){
			$ERROR_MSG .= "	Debe especificar otros motivos<BR>";		
		}

		if (!$dataPartidaLLegada["UBIGEO_LLEGADA"]){
			$ERROR_MSG .= "	UBIGEO de llegada no definido<BR>";
		}
		if (!$dataPartidaLLegada["DIRECC_LLEGADA"]){
			$ERROR_MSG .= "	Direccion de llegada no definida<BR>";
		}

		if (!$dataDestinatario["TIPO_DOC"]){
			$ERROR_MSG .= " Tipo documento de destinatario no definido<BR>";
		}
		if (!$dataDestinatario["DOC_NUMERO"]){
			$ERROR_MSG .= " Nro documento de destinatario no definido<BR>";
		}
		if (!$dataDestinatario["NOMBRE_RAZSOC"]){
			$ERROR_MSG .= " Nombre de destinatario no definido<BR>";
		}
		if (!$dataDestinatario["CORREO"]){
			$ERROR_MSG .= " Correo de destinatario no definido<BR>";
		}

		if (strlen($dataHeader["OBS"]) > GUIA_LONG_MAX_OBS){
			$ERROR_MSG .= " Comentarios no deben exceder de ".GUIA_LONG_MAX_OBS." caracteres<BR>";			
		}

		if ($dataHeader["TIPO_TRANSPORTE"]=='02'){ //privado

			if (!$dataVehiculo["PLACA"]){
				$ERROR_MSG .= " Placa vehiculo privado no definido<BR>";
			}
			if (!$dataVehiculo["TARJETA"]){
				//$ERROR_MSG .= " Tarjeta vehiculo privado no definido<BR>";
			}
			if (!$dataVehiculo["AUTORIZ"]){
				//$ERROR_MSG .= " Autorizacion vehiculo privado no definido<BR>";
			}
			if (!$dataVehiculo["COD_EMISOR"]){
				//$ERROR_MSG .= " Cod Emisor vehiculo privado no definido<BR>";
			}

			if (!$dataConductor["TRANSP_PRIV_DOC_ID"]){
				$ERROR_MSG .= " Documento tipo chofer no definido<BR>";
			}
			if (!$dataConductor["TRANSP_PRIV_DOC_NRO"]){
				$ERROR_MSG .= " Documento Nro chofer no definido<BR>";
			}
			if (!$dataConductor["TRANSP_PRIV_DOC_NOMBRE"]){
				$ERROR_MSG .= " Nombre chofer no definido<BR>";
			}
			if (!$dataConductor["TRANSP_PRIV_DOC_APELLIDO"]){
				$ERROR_MSG .= " Apellido chofer no definido<BR>";
			}
			if (!$dataConductor["TRANSP_PRIV_DOC_LICENCIA"]){
				$ERROR_MSG .= " Licencia chofer no definida<BR>";
			}

		}else{

			if (!$dataTransporte["TIPO_DOC"]){
				$ERROR_MSG .= " Tipo documento transportista no definido<BR>";
			}
			if (!$dataTransporte["DOC_NUMERO"]){
				$ERROR_MSG .= " Numero documento transportista no definido<BR>";
			}
			if (!$dataTransporte["NOMBRE_RAZSOC"]){
				$ERROR_MSG .= " Razon social transportista no definida<BR>";
			}

		}

	}else{
		exit("Guia no encontrada".$a_vars["ge_id"]);

	}
}else{
	exit("No se ha indicado nro de guia");
}




if ($ERROR_MSG){
	
	exit($ERROR_MSG);

}else{

	/**** correlativo ****/
	$dataHeader["correlativo_txt"]	= generaId();
	if (!$dataHeader["correlativo_txt"]){
		if ($a_vars["gex_id"]){
			echo "<p>El correlativo ".$a_vars["gex_id"]." no esta disponible para ser reutilizado</p>";
		}
		exit("ERROR AL OBTENER CORRELATIVO ".$a_vars["gex_id"]);
	}
	$im_guiaexterna = grabaGuiaExterno($row["ge_id"],$dataHeader["correlativo_txt"]); 
	if ($row["ge_refDocId2"]){
		actualizaOd($row["ge_refDocId2"],$row["ge_id_dst"],$a_vars["gex_serie"]."-".$dataHeader["correlativo_txt"]);
	}
	/**** fin correlativo ****/
}
$dataHeader["GUIA_NRO"]	= $dataHeader["correlativo_txt"];
$dataHeader["DOC_ID"]	= substr($dataHeader["correlativo_txt"],5);

//************ IMPRESION *****************//

$dataHeader_FE_TXT .= $VERSION_TXT . "|";
$dataHeader_FE_TXT .= $dataHeader["correlativo_txt"] . "|";
$dataHeader_FE_TXT .= $dataHeader["COD_TIPO_DOC"] . "|";
$dataHeader_FE_TXT .= $dataHeader["RUC_EMISOR"] . "|";
$dataHeader_FE_TXT .= $dataHeader["SUCURSAL_EMISOR"] . "|";
$dataHeader_FE_TXT .= $dataHeader["FECHA_HORA_EMISION"] . "|";
$dataHeader_FE_TXT .= $dataHeader["TIPO_MONEDA"] . "|";
$dataHeader_FE_TXT .= $dataHeader["MOTIVO_TRASLADO"] . "|";
$dataHeader_FE_TXT .= $dataHeader["TIPO_TRANSPORTE"] . "|";
$dataHeader_FE_TXT .= $dataHeader["FECHA_TRASLADO"] . "|";
$dataHeader_FE_TXT .= $dataHeader["FECHA_ENTREGA"] . "|";
$dataHeader_FE_TXT .= $dataHeader["GUIA_REFERENCIA_SW"] . "|";
$dataHeader_FE_TXT .= $dataHeader["GUIA_REFERENCIA_SERIE"] . "|";
$dataHeader_FE_TXT .= $dataHeader["GUIA_REFERENCIA_NRO"] . "|";
$dataHeader_FE_TXT .= $dataHeader["GUIA_SERIE"] . "|";
$dataHeader_FE_TXT .= $dataHeader["GUIA_NRO"] . "|";
$dataHeader_FE_TXT .= $dataHeader["USR_ID"] . "|";
$dataHeader_FE_TXT .= $dataHeader["DOCUM_RELAC"] . "|";
$dataHeader_FE_TXT .= $dataHeader["PESO_BRUTO_TOTAL"] . "|";
$dataHeader_FE_TXT .= $dataHeader["OBS"] . "|";
$dataHeader_FE_TXT .= $dataHeader["VERSION_GUIA"] . "|";
$dataHeader_FE_TXT .= $dataHeader["BULTOS"] . "|";
$dataHeader_FE_TXT .= $dataHeader["OTROS_MOTIVOS"] . "|";
$dataHeader_FE_TXT .= $dataHeader["TRANSBORDO"] . "|";
$dataHeader_FE_TXT .= chr(13);

$count_detalle = count($dataDetalle);
for ($i=0; $i < $count_detalle; $i++){	
	$dataDetalle_FE_TXT .= $dataDetalle[$i]["CORRELATIVO"] . "|";
	$dataDetalle_FE_TXT .= $dataDetalle[$i]["CODIGO"] . "|";
	$dataDetalle_FE_TXT .= $dataDetalle[$i]["CODIGO_SUNAT"] . "|";
	$dataDetalle_FE_TXT .= $dataDetalle[$i]["UND_MEDIDA"] . "|";	
	$dataDetalle_FE_TXT .= $dataDetalle[$i]["CANTIDAD"] . "|";
	$dataDetalle_FE_TXT .= $dataDetalle[$i]["DESCRIPCION"] . "|";
	$dataDetalle_FE_TXT .= $dataDetalle[$i]["COD_CONCEPTO"] . "|";
	$dataDetalle_FE_TXT .= $dataDetalle[$i]["PART_ARANCEL"] . "|";
	$dataDetalle_FE_TXT .= $dataDetalle[$i]["BIEN_NORMALIZADO"] . "|";
	$dataDetalle_FE_TXT .= $dataDetalle[$i]["DAM"] . "|";
	$dataDetalle_FE_TXT .= $dataDetalle[$i]["DAM_SERIE"] . "|";
	$dataDetalle_FE_TXT .= chr(13);	
}


$dataPartidaLLegada_FE_TXT .= $dataPartidaLLegada["ID_DIFERENCIAL"] . "|";
$dataPartidaLLegada_FE_TXT .= $dataPartidaLLegada["UBIGEO_PARTIDA"] . "|";
$dataPartidaLLegada_FE_TXT .= $dataPartidaLLegada["DIRECC_PARTIDA"] . "|";
$dataPartidaLLegada_FE_TXT .= $dataPartidaLLegada["UBIGEO_LLEGADA"] . "|";
$dataPartidaLLegada_FE_TXT .= $dataPartidaLLegada["DIRECC_LLEGADA"] . "|";
$dataPartidaLLegada_FE_TXT .= $dataPartidaLLegada["RUC_PARTIDA"] . "|";
$dataPartidaLLegada_FE_TXT .= $dataPartidaLLegada["COD_PARTIDA"] . "|";
$dataPartidaLLegada_FE_TXT .= $dataPartidaLLegada["GEOREF_PARTIDA"] . "|";
$dataPartidaLLegada_FE_TXT .= $dataPartidaLLegada["RUC_LLEGADA"] . "|";
$dataPartidaLLegada_FE_TXT .= $dataPartidaLLegada["COD_LLEGADA"] . "|";
$dataPartidaLLegada_FE_TXT .= $dataPartidaLLegada["GEOREF_LLEGADA"] . "|";
$dataPartidaLLegada_FE_TXT .= chr(13); 

if ($dataHeader["TIPO_TRANSPORTE"]!='02'){

	$dataTransporte_FE_TXT .= $dataTransporte["ID_DIFERENCIAL"] . "|";
	$dataTransporte_FE_TXT .= $dataTransporte["TIPO_DOC"] . "|";
	$dataTransporte_FE_TXT .= $dataTransporte["DOC_NUMERO"] . "|";
	$dataTransporte_FE_TXT .= $dataTransporte["NOMBRE_RAZSOC"] . "|";
	$dataTransporte_FE_TXT .= $dataTransporte["REGISTRO_MTC"] . "|";
	$dataTransporte_FE_TXT .= $dataTransporte["NRO_AUTORIZACION"] . "|";
	$dataTransporte_FE_TXT .= $dataTransporte["COD_AUTORIZACION"] . "|";
	$dataTransporte_FE_TXT .= chr(13);

}else{

	$dataVehiculo_FE_TXT .= $dataVehiculo["ID_DIFERENCIAL"] . "|";
	$dataVehiculo_FE_TXT .=	$dataVehiculo["PLACA"] . "|";
	$dataVehiculo_FE_TXT .=	$dataVehiculo["TARJETA"] . "|";
	$dataVehiculo_FE_TXT .=	$dataVehiculo["AUTORIZ"] . "|";
	$dataVehiculo_FE_TXT .=	$dataVehiculo["COD_EMISOR"] . "|";
	$dataVehiculo_FE_TXT .=	chr(13);

	$dataConductor_FE_TXT .= $dataConductor["ID_DIFERENCIAL1"] . "|";
	$dataConductor_FE_TXT .= $dataConductor["ID_DIFERENCIAL2"] . "|";
	$dataConductor_FE_TXT .= $dataConductor["TRANSP_PRIV_DOC_ID"] . "|";
	$dataConductor_FE_TXT .= $dataConductor["TRANSP_PRIV_DOC_NRO"] . "|";
	$dataConductor_FE_TXT .= $dataConductor["TRANSP_PRIV_DOC_NOMBRE"] . "|";
	$dataConductor_FE_TXT .= $dataConductor["TRANSP_PRIV_DOC_APELLIDO"] . "|";
	$dataConductor_FE_TXT .= $dataConductor["TRANSP_PRIV_DOC_LICENCIA"] . "|";
	$dataConductor_FE_TXT .= chr(13);
}

$dataDestinatario_FE_TXT .= $dataDestinatario["ID_DIFERENCIAL"] . "|";
$dataDestinatario_FE_TXT .= $dataDestinatario["TIPO_DOC"] . "|";
$dataDestinatario_FE_TXT .= $dataDestinatario["DOC_NUMERO"] . "|";
$dataDestinatario_FE_TXT .= $dataDestinatario["NOMBRE_RAZSOC"] . "|";
$dataDestinatario_FE_TXT .= $dataDestinatario["CORREO"] . "|";


$FE_archivo = $dataHeader_FE_TXT . $dataDetalle_FE_TXT . $dataPartidaLLegada_FE_TXT;
if ($dataHeader["TIPO_TRANSPORTE"]=='02'){
	$FE_archivo .= $dataVehiculo_FE_TXT;
	$FE_archivo .= $dataConductor_FE_TXT;
}else{
	$FE_archivo .= $dataTransporte_FE_TXT;
}
$FE_archivo .= $dataDestinatario_FE_TXT;

echo "<pre>".$FE_archivo."</pre>";
if ($usuario=='jreyes'){
	exit("prueba de impresion");
}
if ($a_vars["ge_id"]){
	$impr = new imprimir2();
	pinta_header($impr,$FE_archivo);
	$archivo = $impr->crearArchivo($dataHeader["correlativo_txt"],date("dmY"),$dataHeader["COD_TIPO_DOC"]);
	$nombreTxt = CIA_RUC.CODIGO_SUCURSAL_SUNAT.$dataHeader["correlativo_txt"].date("dmY").$dataHeader["COD_TIPO_DOC"].$VERSION_TXT;

	//echo "| ".$nombreTxt."txt |";
	?>
	<SCRIPT>
		window.location.href="http://localhost/file_get_test.php?urlFile=<? echo $nombreTxt;?>.txt";
	</SCRIPT>
	<?

}