<?php

/*
*  Kardex Resumen
*
*/

include ("class/imStockMovim.class.php");
include ("class/xxMaestroLista.class.php");
include ("class/imFamilia.class.php");
include ("class/imSubFamilia.class.php");

$DECIMALES = 2;
$DECIMALES_CANT = 0;
$antiguedadMovimDias = 30;



if ($_REQUEST["action"]=="buscar"){
	$a_vars	= $_REQUEST;
	$a_vars["kdxTipo"] = 'GL';
	
	if (!$a_vars["smv_fechaIni"]){
		$a_vars["smv_fechaIni"] = strtotime ( '-'.$antiguedadMovimDias.' days' , strtotime ( date("Y-m-d") ) ) ;
		$a_vars["smv_fechaIni"] = date ( 'Y-m-d' , $a_vars["smv_fechaIni"]);
	}

	$ImStockMovim		= NEW ImStockMovim();
	$ImStockMovimObj	= NEW ImStockMovim();
	$ImStockMovimObj->pr_productoId		= $a_vars["pr_productoId"];
	$ImStockMovimObj->smv_prId			= $a_vars["smv_prId"];
	$ImStockMovimObj->pr_familiaId		= $a_vars["pr_familiaId"];
	$ImStockMovimObj->pr_subfamiliaId	= $a_vars["pr_subfamiliaId"];
	$ImStockMovimObj->smv_fechaFin		= $a_vars["smv_fechaFin"];
	$ImStockMovimObj->kdxTipo			= $a_vars["kdxTipo"];
	$a_lista_articulos	= $ImStockMovim->consultarListaArtKdx($ImStockMovimObj);	

	if ($a_vars["kdxTipo"]=="GL"){
		$costo_field	= "smv_costo_gl";
		$smv_stockAnt   = "smv_stockAnt_gl";
		$costoPromAnt_field	= "smv_costoPromAnt_gl";
		$TPL_costo_symbol	= constant("SETUP_MONEDA_SYMB_".MONEDA_CONTAB);
		$TPL_NO_nombre	= TRUE;	
		$TPL_cols_saldoIni = 10;
	}else{
		$smv_stockAnt   = "smv_stockAnt";
		$costo_field	= "smv_costo";
		$costoPromAnt_field	= "smv_costoPromAnt";
		$TPL_costo_symbol	= constant("SETUP_MONEDA_SYMB_".SETUP_MONEDA_DEFA);
		$TPL_cols_saldoIni = 11;
	}
	
	if ($ImStockMovimObj->pr_subfamiliaId){
		//$arrayKey = "pr_subfamiliaId";
	}elseif($ImStockMovimObj->pr_familiaId){
		$arrayKey = "pr_subfamiliaId";
	}

	$TPL_xls = $a_vars["vwXls"];


	if (is_array($a_lista_articulos)){

		$k = 0;
		for ($m=0; $m < count($a_lista_articulos); $m++){

			$ImStockMovim		= NEW ImStockMovim();
			$ImStockMovimObj	= NEW ImStockMovim();
			$ImStockMovimObj->smv_prId			= $a_lista_articulos[$m]["smv_prId"];
			$ImStockMovimObj->smv_almacenId		= $a_vars["smv_almacenId"];
			$ImStockMovimObj->smv_fechaIni		= $a_vars["smv_fechaIni"];
			$ImStockMovimObj->smv_fechaFin		= $a_vars["smv_fechaFin"];
			$ImStockMovimObj->smv_tipo			= $a_vars["smv_tipo"];
			if ($a_vars["ing_tipo"]){
				$ImStockMovimObj->smv_tipo		= $a_vars["ing_tipo"];
				$ImStockMovimObj->smv_ingSal	= "I";
			}elseif($a_vars["sal_tipo"]){
				$ImStockMovimObj->smv_tipo		= $a_vars["sal_tipo"];
				$ImStockMovimObj->smv_ingSal	= "S";
			}
			$ImStockMovimObj->kdxTipo			= $a_vars["kdxTipo"];
			$a_lista = $ImStockMovim->consultar($ImStockMovimObj);
			$a_lista = $a_lista["listaPag"];

			if (is_array($a_lista)){

				for ($i=0; $i < count($a_lista); $i++){
					$filaData[$k] = $a_lista[$i];
					if (($i+1) == count($a_lista)){
						$filaData[$k]["ultimo"] = TRUE;
					}else{
						$filaData[$k]["ultimo"] = FALSE;
					}					
					if ($i==0){
						$filaData[$k]["filaDataIni"]  = 1;
						$productoId = $filaData[$k]["pr_productoId"];
					}else{
						$filaData[$k]["filaDataIni"] = '';
					}
		
					if ($filaData[$k]["smv_ingSal"]=='I'){
					   $filaData[$k]["doParam"] = "imIng&module=lin&ing_id=".$filaData[$k]["smv_docum"];
					}else{
					   $filaData[$k]["doParam"] = "imSal&module=lin&sal_id=".$filaData[$k]["smv_docum"];
					}

					if ($filaData[$k]["pr_uom"]=='UND' OR !$filaData[$k]["pr_uom"]){
						 $filaData[$k]["smv_stockAnt"] = round($filaData[$k][$smv_stockAnt]);
						 $filaData[$k]["smv_cantidad"] = round($filaData[$k]["smv_cantidad"]);
					}
					$filaData[$k][$costo_field] = round($filaData[$k][$costo_field],$DECIMALES);
					$filaData[$k][$costoPromAnt_field] = round($filaData[$k][$costoPromAnt_field],$DECIMALES);
					$filaData[$k]["saldoIni_tot"] = $filaData[$k]["smv_stockAnt"] * $filaData[$k][$costoPromAnt_field];

					if ($a_vars["kdxTipo"]=="GL"){
						if ($prId != $filaData[$k]["smv_prId"]){
							$filaData[$k]["filaDataIni"]  = 1;
							$prId = $filaData[$k]["smv_prId"];
						}elseif(!$filaData[$k]["filaDataIni"]){
							$filaData[$k]["filaDataIni"] = '';
						}
					}else{
						if ($almacenId != $filaData[$k]["smv_almacenId"]){
							$filaData[$k]["filaDataIni"]  = 1;
							$almacenId = $filaData[$k]["smv_almacenId"];
						}elseif(!$filaData[$k]["filaDataIni"]){
							$filaData[$k]["filaDataIni"] = '';
						}
					}
					if ($filaData[$k]["smv_ingSal"] == 'I'){
						$filaData[$k]["smv_cantIngreso"] = $filaData[$k]["smv_cantidad"];
						$filaData[$k]["smv_costIngreso"] = $filaData[$k][$costo_field];
						$filaData[$k]["smv_costIngresoTot"] = $filaData[$k]["smv_cantidad"] * $filaData[$k][$costo_field];
						$filaData[$k]["smv_cantSalida"] = "";
						$filaData[$k]["smv_costSalida"] = "";
						$filaData[$k]["smv_costSalidaTot"] = "";
						$factorSaldo = 1;
						$TPL_tot_ingreso_cant += $filaData[$k]["smv_cantIngreso"];
						$TPL_tot_ingreso_cost += $filaData[$k]["smv_costIngresoTot"];
						$filaData[$k]["smv_costIngresoTot_num"]	= $filaData[$k]["smv_costIngresoTot"];
						$filaData[$k]["smv_cantIngreso_num"]	= $filaData[$k]["smv_cantIngreso"];

					}else{

						$filaData[$k]["smv_cantIngreso"] = "";
						$filaData[$k]["smv_costIngreso"] = "";
						$filaData[$k]["smv_costIngresoTot"] = "";
						$filaData[$k]["smv_cantSalida"] = $filaData[$k]["smv_cantidad"];
						$filaData[$k]["smv_costSalida"] = $filaData[$k][$costo_field];
						$filaData[$k]["smv_costSalidaTot"] = $filaData[$k]["smv_cantidad"] * $filaData[$k][$costo_field];
						$factorSaldo = -1;
						$TPL_tot_salida_cant += $filaData[$k]["smv_cantSalida"];
						$TPL_tot_salida_cost += $filaData[$k]["smv_costSalidaTot"];
						$filaData[$k]["smv_costSalidaTot_num"]	= $filaData[$k]["smv_costSalidaTot"];
						$filaData[$k]["smv_cantSalida_num"]		= $filaData[$k]["smv_cantSalida"];

					}
					$filaData[$k]["smv_cantSaldo"]		= ($filaData[$k]["smv_cantidad"]*($factorSaldo)) + $filaData[$k]["smv_stockAnt"];
					if ($filaData[$k]["smv_stockAnt"]+$filaData[$k]["smv_cantidad"] > 0){
						$filaData[$k]["smv_costSaldo"]		= (($filaData[$k]["smv_stockAnt"]*$filaData[$k][$costoPromAnt_field]) + ($filaData[$k]["smv_cantidad"]*$filaData[$k][$costo_field]))/($filaData[$k]["smv_stockAnt"]+$filaData[$k]["smv_cantidad"]);
					}
					$filaData[$k]["smv_costSaldoTot"]	= $filaData[$k]["smv_cantSaldo"] * $filaData[$k]["smv_costSaldo"];
					$filaData[$k]["smv_costSaldoTot_num"]	= $filaData[$k]["smv_costSaldoTot"];		

					$filaData[$k]["smv_stockAnt"]		= number_format($filaData[$k]["smv_stockAnt"],$DECIMALES_CANT, '.', ',');
					$filaData[$k]["smv_costoPromAnt"]	= number_format($filaData[$k][$costoPromAnt_field],$DECIMALES, '.', ',');
					$filaData[$k]["saldoIni_tot"]		= number_format($filaData[$k]["saldoIni_tot"],$DECIMALES, '.', ',');
					if ($filaData[$k]["smv_cantIngreso"]){
						$filaData[$k]["smv_cantIngreso"]	= number_format($filaData[$k]["smv_cantIngreso"],$DECIMALES_CANT, '.', ',');
						$filaData[$k]["smv_costIngreso"]	= number_format($filaData[$k]["smv_costIngreso"],$DECIMALES, '.', ',');
						$filaData[$k]["smv_costIngresoTot"] = number_format($filaData[$k]["smv_costIngresoTot"],$DECIMALES, '.', ',');
					}

					if ($filaData[$k]["smv_cantSalida"]){
						$filaData[$k]["smv_cantSalida"]		= number_format($filaData[$k]["smv_cantSalida"],$DECIMALES_CANT, '.', ',');
						if ($filaData[$k]["smv_cantSalida"]){
							$filaData[$k]["smv_cantSalida"] = (-1)*$filaData[$k]["smv_cantSalida"];
						}
						$filaData[$k]["smv_costSalida"]		= number_format($filaData[$k]["smv_costSalida"],$DECIMALES, '.', ',');
						$filaData[$k]["smv_costSalidaTot"]	= number_format($filaData[$k]["smv_costSalidaTot"],$DECIMALES, '.', ',');
					}
					$filaData[$k]["smv_cantSaldo_num"]	= $filaData[$k]["smv_cantSaldo"];
					$filaData[$k]["smv_cantSaldo"]		= number_format($filaData[$k]["smv_cantSaldo"],$DECIMALES_CANT, '.', ',');
					$filaData[$k]["smv_costSaldo"]		= number_format($filaData[$k]["smv_costSaldo"],$DECIMALES, '.', ',');
					$filaData[$k]["smv_costSaldoTot"]	= number_format($filaData[$k]["smv_costSaldoTot"],$DECIMALES, '.', ',');

					//$a_listaKdx[] = $filaData;
					$filaData[$k]["smv_id"]				= $filaData[$k]["smv_id"];

					$k++;

				}

				$a_listaKdxTmp = $filaData;

			}else{  // no tiene movimientos

				$ImStockMovim = NEW ImStockMovim();
				$a_saldoAnt = $ImStockMovim->consulta_ultSaldo($a_lista_articulos[$m]["smv_prId"],$a_vars["smv_fechaIni"]);
				$filaData[$k]["pr_productoId"]			= $a_saldoAnt["pr_productoId"];
				$filaData[$k]["pr_descripcion"]			= $a_saldoAnt["pr_descripcion"];
				$filaData[$k]["pr_familiaId"]			= $a_saldoAnt["pr_familiaId"];
				$filaData[$k]["pr_subfamiliaId"]		= $a_saldoAnt["pr_subfamiliaId"];
				$filaData[$k]["fm_nombre"]				= $a_saldoAnt["fm_nombre"];
				$filaData[$k]["sfm_nombre"]				= $a_saldoAnt["sfm_nombre"];
/*
				$filaData[$k]["tipoNombre"]				= $a_saldoAnt["tipoNombre"];
				$filaData[$k]["smv_tipo"]				= $a_saldoAnt["smv_tipo"];
*/
				$filaData[$k]["tipoNombre"]				= "SALDO INICIAL";
				$filaData[$k]["smv_tipo"]				= "INI";
				$filaData[$k]["smv_docum"]				= $a_lista[$i]["smv_docum"];
				$filaData[$k]["smv_cantidad"]			= $a_saldoAnt["smv_cantidad"];
				$filaData[$k]["smv_stockAnt"]			= $a_saldoAnt[$smv_stockAnt];
				$filaData[$k]["smv_costo"]				= $a_saldoAnt[$costo_field];
				$filaData[$k]["smv_costoProm"]			= $a_saldoAnt["smv_costoProm"];
				$filaData[$k]["smv_costoPromAnt"]		= $a_saldoAnt[$costoPromAnt_field];
				$filaData[$k]["saldoIni_tot"]			= $a_saldoAnt[$smv_stockAnt] * $a_saldoAnt[$costoPromAnt_field];
				$filaData[$k]["smv_costoPromAnt"]		= round($filaData[$k]["smv_costoPromAnt"],$DECIMALES);
				$filaData[$k]["saldoIni_tot"]			= round($filaData[$k]["saldoIni_tot"],$DECIMALES);		
				$filaData[$k]["smv_cantSaldo"]			= $a_saldoAnt[$smv_stockAnt];
				$filaData[$k]["smv_cantSaldo_num"]		= $a_saldoAnt[$smv_stockAnt];
				$filaData[$k]["smv_costSaldoTot"]		= $filaData[$k]["saldoIni_tot"];
				$filaData[$k]["smv_costSaldoTot_num"]	= $filaData[$k]["saldoIni_tot"];
				$filaData[$k]["ultimo"]					= TRUE;
				$filaData[$k]["filaDataIni"]			= 1;
				$filaData[$k]["saldoIni"]				= TRUE;				
				$filaData[$k]["smv_id"]					= $a_saldoAnt["smv_id"]."@";
				$a_listaKdxTmp = $filaData;
				$k++;

			}

			$TPL_tot_salida_cant = number_format($TPL_tot_salida_cant,$DECIMALES_CANT, '.', ',');
		
		} // end for
		$a_listaKdx = array();
		echo "<pre>";
		print_r($a_listaKdxTmp);
		echo "</pre>";

		for ($n=0; $n < count($a_listaKdxTmp); $n++){			
			$a_listaKdx[$a_listaKdxTmp[$n][$arrayKey]."-".$a_listaKdxTmp[$n]["smv_tipo"]]["fm_nombre"]				= $a_listaKdxTmp[$n]["fm_nombre"];
			$a_listaKdx[$a_listaKdxTmp[$n][$arrayKey]."-".$a_listaKdxTmp[$n]["smv_tipo"]]["sfm_nombre"]				= $a_listaKdxTmp[$n]["sfm_nombre"];
			$a_listaKdx[$a_listaKdxTmp[$n][$arrayKey]."-".$a_listaKdxTmp[$n]["smv_tipo"]]["tipo_dsc"]				= $a_listaKdxTmp[$n]["tipoNombre"];
			$a_listaKdx[$a_listaKdxTmp[$n][$arrayKey]."-".$a_listaKdxTmp[$n]["smv_tipo"]]["tot_ingreso_cant"]		+= $a_listaKdxTmp[$n]["smv_cantIngreso_num"];
			$a_listaKdx[$a_listaKdxTmp[$n][$arrayKey]."-".$a_listaKdxTmp[$n]["smv_tipo"]]["tot_salida_cant"]		+= $a_listaKdxTmp[$n]["smv_cantSalida_num"];
			$a_listaKdx[$a_listaKdxTmp[$n][$arrayKey]."-".$a_listaKdxTmp[$n]["smv_tipo"]]["tot_ingreso_costo"]		+= $a_listaKdxTmp[$n]["smv_costIngresoTot_num"];
			$a_listaKdx[$a_listaKdxTmp[$n][$arrayKey]."-".$a_listaKdxTmp[$n]["smv_tipo"]]["tot_salida_costo"]		+= $a_listaKdxTmp[$n]["smv_costSalidaTot_num"];
			if ($a_listaKdxTmp[$n]["filaDataIni"]){
				$a_listaKdx[$a_listaKdxTmp[$n][$arrayKey]."- Saldo Inicial ***"]["tot_saldo_cant"]					+= $a_listaKdxTmp[$n]["smv_cantSaldo_num"];
				$a_listaKdx[$a_listaKdxTmp[$n][$arrayKey]."- Saldo Inicial ***"]["tot_saldo_costo"]					+= $a_listaKdxTmp[$n]["smv_costSaldoTot_num"];
				$a_listaKdx[$a_listaKdxTmp[$n][$arrayKey]."- Saldo Inicial ***"]["fm_nombre"]						= $a_listaKdxTmp[$n]["fm_nombre"];
				$a_listaKdx[$a_listaKdxTmp[$n][$arrayKey]."- Saldo Inicial ***"]["sfm_nombre"]						= $a_listaKdxTmp[$n]["sfm_nombre"];
			}else{
				$a_listaKdx[$a_listaKdxTmp[$n][$arrayKey]."-".$a_listaKdxTmp[$n]["smv_tipo"]]["fm_nombre"]			= $a_listaKdxTmp[$n]["fm_nombre"];
				$a_listaKdx[$a_listaKdxTmp[$n][$arrayKey]."-".$a_listaKdxTmp[$n]["smv_tipo"]]["sfm_nombre"]			= $a_listaKdxTmp[$n]["sfm_nombre"];
				$a_listaKdx[$a_listaKdxTmp[$n][$arrayKey]."-".$a_listaKdxTmp[$n]["smv_tipo"]]["tipo_dsc"]			= $a_listaKdxTmp[$n]["tipoNombre"];
				$a_listaKdx[$a_listaKdxTmp[$n][$arrayKey]."-".$a_listaKdxTmp[$n]["smv_tipo"]]["tot_ingreso_cant"]  += $a_listaKdxTmp[$n]["smv_cantIngreso_num"];
				$a_listaKdx[$a_listaKdxTmp[$n][$arrayKey]."-".$a_listaKdxTmp[$n]["smv_tipo"]]["tot_salida_cant"]   += $a_listaKdxTmp[$n]["smv_cantSalida_num"];
				$a_listaKdx[$a_listaKdxTmp[$n][$arrayKey]."-".$a_listaKdxTmp[$n]["smv_tipo"]]["tot_ingreso_costo"]  += $a_listaKdxTmp[$n]["smv_costIngresoTot_num"];
				$a_listaKdx[$a_listaKdxTmp[$n][$arrayKey]."-".$a_listaKdxTmp[$n]["smv_tipo"]]["tot_salida_costo"]   += $a_listaKdxTmp[$n]["smv_costSalidaTot_num"];
			}
		}
/*
		for ($n=0; $n < count($a_listaKdxTmp); $n++){
			if ($a_listaKdxTmp[$n][$arrayKey]==108){
				echo $a_listaKdxTmp[$n]["smv_cantSaldo_num"]."<br>";
			}
			//echo $a_listaKdxTmp[$n][$arrayKey]."-".$a_listaKdxTmp[$n]["smv_tipo"]." >> ".$a_listaKdxTmp[$n]["smv_id"]."<br>";
			
			$a_listaKdx[$a_listaKdxTmp[$n][$arrayKey]."-".$a_listaKdxTmp[$n]["smv_tipo"]]["fm_nombre"]			= $a_listaKdxTmp[$n]["fm_nombre"];
			$a_listaKdx[$a_listaKdxTmp[$n][$arrayKey]."-".$a_listaKdxTmp[$n]["smv_tipo"]]["sfm_nombre"]			= $a_listaKdxTmp[$n]["sfm_nombre"];
			$a_listaKdx[$a_listaKdxTmp[$n][$arrayKey]."-".$a_listaKdxTmp[$n]["smv_tipo"]]["tipo_dsc"]			= $a_listaKdxTmp[$n]["tipoNombre"];
			$a_listaKdx[$a_listaKdxTmp[$n][$arrayKey]."-".$a_listaKdxTmp[$n]["smv_tipo"]]["tot_ingreso_cant"]  += $a_listaKdxTmp[$n]["smv_cantIngreso_num"];
			$a_listaKdx[$a_listaKdxTmp[$n][$arrayKey]."-".$a_listaKdxTmp[$n]["smv_tipo"]]["tot_salida_cant"]   += $a_listaKdxTmp[$n]["smv_cantSalida_num"];
			$a_listaKdx[$a_listaKdxTmp[$n][$arrayKey]."-".$a_listaKdxTmp[$n]["smv_tipo"]]["tot_ingreso_costo"]  += $a_listaKdxTmp[$n]["smv_costIngresoTot_num"];
			$a_listaKdx[$a_listaKdxTmp[$n][$arrayKey]."-".$a_listaKdxTmp[$n]["smv_tipo"]]["tot_salida_costo"]   += $a_listaKdxTmp[$n]["smv_costSalidaTot_num"];
			if ($a_listaKdxTmp[$n]["filaDataIni"]){
				$a_listaKdx[$a_listaKdxTmp[$n][$arrayKey]."- Saldo Inicial ***"]["tot_saldo_cant"]		+= $a_listaKdxTmp[$n]["smv_cantSaldo_num"];
				$a_listaKdx[$a_listaKdxTmp[$n][$arrayKey]."- Saldo Inicial ***"]["tot_saldo_costo"]		+= $a_listaKdxTmp[$n]["smv_costSaldoTot_num"];
			}
			$a_listaKdx[$a_listaKdxTmp[$n][$arrayKey]."-".$a_listaKdxTmp[$n]["smv_tipo"]]["smv_id"]			= $a_listaKdxTmp[$n]["smv_id"];

		}

*/

		echo "@@@@@@@@@@@@@@@@@@@<br><br>";	

		echo "<pre>";
		print_r($a_listaKdx);
		echo "</pre>";


	}

}
ksort($a_listaKdx);
echo ">>>>".$arrayKey;


if ($_REQUEST["tabArticulo"] && $a_vars["smv_prId"]){
	$TPL_NO_FILTER = TRUE;
	$TPL_NO_MENU = TRUE;
	$TPL_IFRAME = TRUE;
}

if ($swError){
	$_SESSION["actionMessage"] = substr($_SESSION["actionMessage"],1);
	$_SESSION["actionMessage"] = str_replace("|","<BR>",$_SESSION["actionMessage"]);
	$_SESSION["actionMessageType"] = "alert";
	$_SESSION["a_vars"] = $a_vars;
}else{
	$_SESSION["actionMessage"] = '';
}


unset($a_maestroLista);
$XXMaestroLista = NEW XXMaestroLista();
$XXMaestroListaFilter = NEW XXMaestroLista();
$XXMaestroListaFilter->mlst_listaId = "imKdxTipo";
$a_maestroListaDB = $XXMaestroLista->consultar($XXMaestroListaFilter);
$i = 0;

foreach ($a_maestroListaDB["listaPag"] as $clave => $valor) {
	$a_maestroLista[$i]["mlst_valorId"]		= $valor["mlst_valorId"];
	$a_maestroLista[$i]["mlst_valorDsc"]	= $valor["mlst_valorDsc"];
	$i++;
}
$TPL_a_tipo = $a_maestroLista;
$TPL_idSelectTipo = "mlst_valorId";
$TPL_labelSelectTipo = "mlst_valorDsc";


$ImFamilia = NEW ImFamilia();
$ImFamiliaFilter = NEW ImFamilia();
$a_familiaDB = $ImFamilia->consultar($ImFamiliaFilter);
$i = 0;
foreach ($a_familiaDB["listaPag"] as $clave => $valor) {
	$a_familia[$i]["fm_familiaId"] = $valor["fm_familiaId"];
	$a_familia[$i]["fm_nombre"]	= $valor["fm_nombre"];
	$i++;
}
$TPL_a_familia = $a_familia;
$TPL_idSelectFamilia = "fm_familiaId";
$TPL_labelSelectFamilia = "fm_nombre";

$ImSubFamilia = NEW ImSubFamilia();
$ImSubFamiliaFilter = NEW ImSubFamilia();
$a_subFamiliaDB = $ImSubFamilia->consultar($ImSubFamiliaFilter);
$i = 0;
foreach ($a_subFamiliaDB["listaPag"] as $clave => $valor) {
	$a_subFamilia[$i]["sfm_subFamiliaId"] = $valor["sfm_subFamiliaId"];
	$a_subFamilia[$i]["sfm_nombre"]	= $valor["sfm_nombre"];
	$i++;
}
$TPL_a_subFamilia = $a_subFamilia;
$TPL_idSelectSubFamilia = "sfm_subFamiliaId";
$TPL_labelSelectSubFamilia = "sfm_nombre";


unset($a_maestroLista);
$XXMaestroLista = NEW XXMaestroLista();
$XXMaestroListaFilter = NEW XXMaestroLista();
$XXMaestroListaFilter->mlst_listaId = "imIngTipo";
$a_maestroListaDB = $XXMaestroLista->consultar($XXMaestroListaFilter);
$i = 0;
foreach ($a_maestroListaDB["listaPag"] as $clave => $valor) {
	$a_maestroLista[$i]["mlst_valorId"]		= $valor["mlst_valorId"];
	$a_maestroLista[$i]["mlst_valorDsc"]	= $valor["mlst_valorDsc"];
	$i++;
}
$TPL_a_ing_tipo = $a_maestroLista;
$TPL_idSelectIngTipo = "mlst_valorId";
$TPL_labelSelectIngTipo = "mlst_valorDsc";


unset($a_maestroLista);
$XXMaestroLista = NEW XXMaestroLista();
$XXMaestroListaFilter = NEW XXMaestroLista();
$XXMaestroListaFilter->mlst_listaId = "imSalTipo";
$a_maestroListaDB = $XXMaestroLista->consultar($XXMaestroListaFilter);
$i = 0;
foreach ($a_maestroListaDB["listaPag"] as $clave => $valor) {
	$a_maestroLista[$i]["mlst_valorId"]		= $valor["mlst_valorId"];
	$a_maestroLista[$i]["mlst_valorDsc"]	= $valor["mlst_valorDsc"];
	$i++;
}
$TPL_a_sal_tipo = $a_maestroLista;
$TPL_idSelectSalTipo = "mlst_valorId";
$TPL_labelSelectSalTipo = "mlst_valorDsc";
?>
