<?php
//exit("bloqueado");

set_time_limit(6000);

try
{
  $PDO_old = new PDO('mysql:host=localhost;dbname=sistema6_ntsistint','sistema6_sys2','dakota0124');
}
catch (Exception $e)
{
  echo "Problema conexion PDO: " . $e->getMessage() ."<p>";
}

include ("general.inc.php");


function getPrIdFromSerie($serie){
	global $PDO_old;
	$sql = "
		SELECT *
		FROM `alm_seriestransacc`
		WHERE sert_serieId = '".$serie."'
	";
	echo $sql."<br>";
	$sentencia = $PDO_old->query($sql);
	if ($sentencia){
		$sentencia->setFetchMode(PDO::FETCH_ASSOC);
		$row = $sentencia->fetch();	
	}
	return $row["sert_productoId"];	
}


function getPrId($id){
	global $PDO;
	$sql = "
		SELECT *
		FROM im_producto
		WHERE pr_productoId = '".$id."'
	";
	$sentencia = $PDO->query($sql);
	$sentencia->setFetchMode(PDO::FETCH_ASSOC);
	$row = $sentencia->fetch();	
	return $row["pr_id"];
}


function getCliId($cliIdDkt){
	global $PDO;
	$sql = "
		SELECT *
		FROM vt_cliente
		WHERE cl_clienteId_dkt = '".$cliIdDkt."'
	";
	$sentencia = $PDO->query($sql);
	$sentencia->setFetchMode(PDO::FETCH_ASSOC);
	$row = $sentencia->fetch();	
	return $row["cl_id"];
}


function getSucId($sucIdDkt){
	global $PDO;
	$sql = "
		SELECT *
		FROM vt_clienteSuc
		WHERE cls_id_dkt = '".$sucIdDkt."'
	";
	$sentencia = $PDO->query($sql);
	$sentencia->setFetchMode(PDO::FETCH_ASSOC);
	$row = $sentencia->fetch();	
	$a_suc["id"] = $row["cls_id"];
	$a_suc["direcc1"]	= str_replace("\"","'",$row["cls_direccion1"]);	
	$a_suc["direcc2"]	= $row["cls_direccion2"];	
	$a_suc["ciudad"]	= $row["cls_ciudad"];	
	$a_suc["estado"]	= $row["cls_estado"];	
	return $a_suc;
}


function getTecnicoId($tch_nombre){
	global $PDO;
	$sql = "
		SELECT *
		FROM pv_tecnico
		WHERE tec_nombre_ext LIKE '".$tch_nombre."'
	";
	$sentencia = $PDO->query($sql);
	$sentencia->setFetchMode(PDO::FETCH_ASSOC);
	$row = $sentencia->fetch();	
	return $row["tec_id"];
}

function getTipoServ($tipo){
	if ($tipo=="MNTPRV-FAC"){
		return "MPF";
	}elseif($tipo=="CAPC"){
		return "CAPC";
	}elseif($tipo=="DEM-SC"){
		return "DEMO";
	}elseif($tipo=="INC-SC"){
		return "INST";
	}elseif($tipo=="MNTCORREP-SC" OR $tipo=="MNTCORSRV-SC"){
		return "MC";
	}elseif($tipo=="MNTCORREP-FAC" OR $tipo=="MNTCORSRV-FAC"){
		return "MCF";
	}elseif($tipo=="MNTPRV-SC"){
		return "MP";
	}
}


function getEqpStatus($tipo){
	if ($tipo=="OPER"){
		return "OP";
	}elseif($tipo=="INOPER"){
		return "NOP";
	}elseif($tipo=="OPER_OBS"){
		return "OPNOV";
	}
}

function getSerieId($id){
	global $PDO;
	$sql = "
		SELECT *
		FROM im_serie
		WHERE ser_serie = '".$id."'
	";
	$sentencia = $PDO->query($sql);
	$sentencia->setFetchMode(PDO::FETCH_ASSOC);
	$row = $sentencia->fetch();	
	return $row["ser_id"];
}



function getDocumento($tipo, $documentoId){
	global $PDO_old;
	if ($tipo=="S"){
		$sql = "
			SELECT 
                sal_salidaNum AS ID,
				sal_documRef AS DOCUMENTO,
				sal_documRef2 AS REFERENCIA,
				cli_ruc AS RUC,
				cli_clienteId AS CLIENTE_ID,
				cli_nombre AS CLIENTE,
				al_almNombre AS ALMACEN,
				sal_fechaIng AS FECHA
			FROM alm_salida
				LEFT JOIN vts_cliente ON sal_clienteId = cli_clienteId 
				LEFT JOIN alm_almacen ON sal_almacenId = al_almacenId
			WHERE sal_salidaNum = '$documentoId'
		";
                $a_resultado["URL"]  = "almSalidaDet.tpl.php?sal_salidaNum=";
	}else{
		$sql = "
			SELECT 
                                ing_ingresoNum AS ID,
				ing_documRef AS DOCUMENTO,
				ing_documRef2 AS REFERENCIA,
				ing_fechaIng AS FECHA,
				al_almNombre AS ALMACEN
			FROM alm_ingreso
				LEFT JOIN alm_almacen ON ing_almacenId = al_almacenId
			WHERE ing_ingresoNum = '$documentoId'
		";
                $a_resultado["URL"]  = "almIngresoDet.tpl.php?ing_ingresoNum=";
	}
	$sentencia = $PDO_old->query($sql);
	$sentencia->setFetchMode(PDO::FETCH_ASSOC);
	$row = $sentencia->fetch();
	$a_resultado["ID"] = $row["ID"];
	$a_resultado["DOCUMENTO"] = $row["DOCUMENTO"];
	$a_resultado["REFERENCIA"] = $row["REFERENCIA"];
	$a_resultado["CLIENTE"] = $row["CLIENTE"];
	$a_resultado["CLIENTE_ID"] = $row["CLIENTE_ID"];
	$a_resultado["RUC_CLIENTE"] = $row["RUC"];
	$a_resultado["ALMACEN"] = $row["ALMACEN"];
	$a_resultado["FECHA"] = $row["FECHA"];
	return $a_resultado;
}





$sql = "
	SELECT *
	FROM pv_preCaso 
		LEFT JOIN pv_tecnico ON prpv_tecnicoId = tch_tecnicoId
	WHERE prpv_casoFec >= '2017-01-01'
";
$sentencia_old = $PDO_old->query($sql);
$sentencia_old->setFetchMode(PDO::FETCH_ASSOC);
$i = 1;		
while ($row = $sentencia_old->fetch()){

	$ss_serieId				= ''; 
	$ss_serie_cliente		= ''; 
	$ss_pr_id				= ''; 
	$ss_cli_id				= ''; 
	$ss_cli_nombre			= ''; 
	$ss_cli_suc_id			= ''; 
	$ss_cli_direcc1			= ''; 
	$ss_cli_direcc2			= ''; 
	$ss_cli_ciudad			= ''; 
	$ss_cli_estado			= ''; 
	$ss_cli_contacto		= ''; 
	$ss_cli_contacto_telf	= ''; 
	$ss_cli_contacto_email	= ''; 
	$ss_fecha				= ''; 
	$ss_fechaReq			= ''; 
	$ss_acuerdo_tipo		= ''; 
	$ss_acuerdo_id			= ''; 
	$ss_tipo_servicio		= ''; 
	$ss_tipo_atencion		= ''; 
	$ss_onsite				= ''; 
	$ss_falla_id			= ''; 
	$ss_falla_det			= ''; 
	$ss_tecnico_id			= ''; 
	$ss_refDocId			= ''; 
	$ss_refDocId3			= ''; 
	$ss_obs					= ''; 
	$ss_status				= ''; 
	$ss_usrreg				= ''; 
	$ss_usract				= ''; 
	$ss_fecreg				= '';
	$ss_fecact				= '';


	if (!$row["prpv_productoId"]){
		$row["prpv_productoId"] = getPrIdFromSerie($row["prpv_serieId"]);
	}
	$a_suc					= getSucId($row["prpv_clienteAnexoId"]);
	$ss_serieId				= $row["prpv_serieId"]; 
	$ss_serie_cliente		= $row["prpv_serieId"]; 
	$ss_pr_id				= getPrId($row["prpv_productoId"]); 
	$ss_cli_id				= getCliId($row["prpv_clienteId"]);
	$ss_cli_nombre			= $row["prpv_clienteNombre"]; 
	$ss_cli_suc_id			= $a_suc["id"]; 
	$ss_cli_direcc1			= $a_suc["direcc1"]; 
	$ss_cli_direcc2			= $a_suc["direcc2"]; 
	$ss_cli_ciudad			= $a_suc["ciudad"]; 
	$ss_cli_estado			= $a_suc["estado"]; 
	$ss_cli_contacto		= $row["prpv_clienteAnexoCnt"]; 
	$ss_cli_contacto_telf	= $row["prpv_clienteAnexoTlf"]; 
	$ss_cli_contacto_email	= $row["prpv_clienteAnexoMail"]; 
	$ss_fecha				= substr($row["prpv_creacionFec"],0,10); 
	$ss_fechaReq			= $row["prpv_casoFec"]; 
	if ($row["prpv_motivo"] == "CONTR"){
		$ss_acuerdo_tipo	= "CONTR";
		$ss_acuerdo_id		= $row["prpv_motivoDocNum"]; 
	}else{
		$ss_acuerdo_tipo	= "";
	}
	$ss_tipo_servicio		= getTipoServ($row["prpv_tipoSolicitud"]);	
	$ss_tipo_atencion		= $row["prpv_tipoAtencion"];
	if ($row["prpv_tipoAtencion"]=='OS' OR $row["prpv_onSite"]){
		$ss_onsite	= "X"; 
	}else{
		$ss_onsite	= ""; 	
	}
	$ss_falla_id			= $row["prpv_fallaId"]; 
	$ss_falla_det			= str_replace("\"","'",$row["prpv_fallaDetalle"]); 
	$ss_tecnico_id			= getTecnicoId($row["tch_nombre"]); 
	$ss_refDocId3			= $row["prpv_casoId"]; 
	$ss_obs					= str_replace("\"","'",$row["prpv_observacion"]); 
	$ss_status				= $row["prpv_status"]; 
	$ss_usrreg				= $row["prpv_creacionAutor"]; 
	$ss_usract				= $row["prpv_cambioAutor"]; 
	$ss_fecreg				= $row["prpv_creacionFec"];
	$ss_fecact				= $row["prpv_cambioFec"];




	$sql = "
		SELECT *
		FROM `pv_solicitudServicio` 
		WHERE ss_refDocId3 = \"".$row["prpv_casoId"]."\";
	";	
	$sentencia_CHK = $PDO->query($sql);
	$sentencia_CHK->setFetchMode(PDO::FETCH_ASSOC);
	$row_CHK = $sentencia_CHK->fetch();
	if (!$row_CHK["ss_refDocId3"]){
		if ($ss_pr_id){
			$sql = "
				INSERT INTO `pv_solicitudServicio` (
				`ss_id`, 
				`ss_serieId`, 
				`ss_serie_cliente`, 
				`ss_pr_id`, 
				`ss_cli_id`, 
				`ss_cli_nombre`, 
				`ss_cli_suc_id`, 
				`ss_cli_direcc1`, 
				`ss_cli_direcc2`, 
				`ss_cli_ciudad`, 
				`ss_cli_estado`, 
				`ss_cli_contacto`, 
				`ss_cli_contacto_telf`, 
				`ss_cli_contacto_email`, 
				`ss_fecha`, 
				`ss_fechaReq`, 
				`ss_acuerdo_tipo`, 
				`ss_acuerdo_id`, 
				`ss_tipo_servicio`, 
				`ss_onsite`, 
				`ss_falla_id`, 
				`ss_falla_det`, 
				`ss_tecnico_id`, 
				`ss_refDocId`, 
				`ss_refDocId3`, 
				`ss_obs`, 
				`ss_status`, 
				`ss_usrreg`, 
				`ss_usract`, 
				`ss_fecreg`
				) VALUES (
				\"".$ss_id."\", 
				\"".$ss_serieId."\", 
				\"".$ss_serie_cliente."\", 
				\"".$ss_pr_id."\", 
				\"".$ss_cli_id."\", 
				\"".$ss_cli_nombre."\", 
				\"".$ss_cli_suc_id."\", 
				\"".$ss_cli_direcc1."\", 
				\"".$ss_cli_direcc2."\", 
				\"".$ss_cli_ciudad."\", 
				\"".$ss_cli_estado."\", 
				\"".$ss_cli_contacto."\", 
				\"".$ss_cli_contacto_telf."\", 
				\"".$ss_cli_contacto_email."\", 
				\"".$ss_fecha."\", 
				\"".$ss_fechaReq."\", 
				\"".$ss_acuerdo_tipo."\", 
				\"".$ss_acuerdo_id."\", 
				\"".$ss_tipo_servicio."\", 
				\"".$ss_onsite."\", 
				\"".$ss_falla_id."\", 
				\"".$ss_falla_det."\", 
				\"".$ss_tecnico_id."\", 
				\"".$ss_refDocId."\", 
				\"".$ss_refDocId3."\", 
				\"".$ss_obs."\", 
				\"".$ss_status."\", 
				\"".$ss_usrreg."\", 
				\"".$ss_usract."\", 
				\"".$ss_fecreg."\"			
				);
			";
			

			echo $i.".".$sql . "<br>";
			$sentencia = $PDO->query($sql);
			print_r($PDO->errorInfo());
			$sentencia->setFetchMode(PDO::FETCH_ASSOC);
			$i++;
		}else{
			echo "*** producto no encontrado ".$row["prpv_productoId"]."*** <br>";
			$a_prNO[$row["prpv_productoId"]] = $row["prpv_productoId"];
		}
	}else{
		echo "*** solicitud ya existe ".$row["prpv_casoId"]."*** <br>";
	}
}
if ($a_prNO){
	echo "<pre>";
	print_r($a_prNO);
	echo "</pre>";
}
?>