<?php
//exit("bloqueado");

set_time_limit(6000);

try
{
  $PDO_old = new PDO('mysql:host=localhost;dbname=sistema6_ntsistint','sistema6_sys2','dakota0124');
}
catch (Exception $e)
{
  echo "Problema conexion PDO: " . $e->getMessage() ."<p>";
}

include ("general.inc.php");


function getCliId($cliIdDkt){
	global $PDO;
	$sql = "
		SELECT *
		FROM vt_cliente
		WHERE cl_clienteId_dkt = '".$cliIdDkt."'
	";
	$sentencia = $PDO->query($sql);
	$sentencia->setFetchMode(PDO::FETCH_ASSOC);
	$row = $sentencia->fetch();	
	return $row["cl_id"];
}


function getSucId($sucIdDkt){
	global $PDO;
	$sql = "
		SELECT *
		FROM vt_clienteSuc
		WHERE cls_id_dkt = '".$sucIdDkt."'
	";
	$sentencia = $PDO->query($sql);
	$sentencia->setFetchMode(PDO::FETCH_ASSOC);
	$row = $sentencia->fetch();	
	return $row["cls_id"];
}


function getTecnicoId($tch_nombre){
	global $PDO;
	$sql = "
		SELECT *
		FROM pv_tecnico
		WHERE tec_nombre_ext LIKE '".$tch_nombre."'
	";
	$sentencia = $PDO->query($sql);
	$sentencia->setFetchMode(PDO::FETCH_ASSOC);
	$row = $sentencia->fetch();	
	return $row["tec_id"];
}


function getUltCasoId($preCasoId){
	global $PDO_old;
	$sql = "
		SELECT MAX(cas_casoId)
		FROM pv_caso
		WHERE cas_docRefNum LIKE '".$preCasoId."'
	";
	$sentencia = $PDO_old->query($sql);
	$sentencia->setFetchMode(PDO::FETCH_ASSOC);
	$row = $sentencia->fetch();	
	return $row["cas_casoId"];
}



function getTipoServ($tipo){
	if ($tipo=="MNTPRV-FAC"){
		return "MPF";
	}elseif($tipo=="CAPC"){
		return "CAPC";
	}elseif($tipo=="DEM-SC"){
		return "DEMO";
	}elseif($tipo=="INC-SC"){
		return "INST";
	}elseif($tipo=="MNTCORREP-SC" OR $tipo=="MNTCORSRV-SC"){
		return "MC";
	}elseif($tipo=="MNTCORREP-FAC" OR $tipo=="MNTCORSRV-FAC"){
		return "MCF";
	}elseif($tipo=="MNTPRV-SC"){
		return "MP";
	}
}






$sql = "
	SELECT *
	FROM pv_preCaso 
		LEFT JOIN pv_caso ON prpv_casoId = cas_docRefNum
	WHERE prpv_casoFec >= '2023-11-01'
	 AND `prpv_status` IN('AC','R', 'ER');
	ORDER BY prpv_casoId
";
$sentencia_old = $PDO_old->query($sql);
$sentencia_old->setFetchMode(PDO::FETCH_ASSOC);
$i = 1;		
while ($row = $sentencia_old->fetch()){
	$tk_cl_id			= '';
	$tk_cl_suc_id		= '';
	$tk_tipo			= ''; 
	$tk_tipoSub			= ''; 
	$tk_tipoDocRef		= '';
	$tk_referencia		= '';
	$tk_refDocId1		= '';
	$tk_refDocId2		= '';
	$tk_refDocId3		= '';
	$tk_refDkt			= '';
	$tk_fechaReq		= ''; 
	$tk_detalle			= ''; 
	$tk_contacto		= ''; 
	$tk_contactoMail	= '';
	$tk_contactoTelf	= ''; 
	$tk_responsable		= ''; 
	$tk_obs				= ''; 
	$tk_status			= '';
	$tk_usrreg			= '';
	$tk_fecreg			= '';


	$tk_cl_id			= getCliId($row["prpv_clienteId"]);
	$tk_cl_suc_id		= getSucId($row["prpv_clienteAnexoId"]);
	$tk_tipoSub			= getTipoServ($row["prpv_tipoSolicitud"]); 
	$tk_tipo			= "ST"; 
	$tk_referencia		= $row["prpv_serieId"];
//	$tk_refDocId1		= $row["prpv_casoFec"];
//	$tk_refDocId2		= $row["prpv_casoFec"];
	$tk_refDocId1		= $row["cas_casoId"];
	$tk_refDkt			= $row["prpv_casoId"];

	$tk_fechaReq		= $row["prpv_casoFec"]; 
	$tk_detalle			= $row["prpv_productoId"]." - ".$row["prpv_fallaDetalle"]."\n".$row["prpv_observacion"]."\n".$row["prpv_observacion2"]; 
//	$tk_contacto		= $row["prpv_casoFec"]; 
//	$tk_contactoMail	= $row["prpv_casoFec"];
//	$tk_contactoTelf	= $row["prpv_casoFec"]; 
	$tk_responsable		= $row["prpv_creacionAutor"]; 
	$tk_obs				= "MIGRACION DESDE SOLICITUD #".$row["prpv_casoId"]; 
	$tk_status			= "";
	$tk_usrreg			= $row["prpv_creacionAutor"];
	$tk_fecreg			= $row["prpv_creacionFec"];

/*
	$os_ss_id			= getTckId($row["prpv_docRefNum"]);
	$os_serieId			= $row["prpv_serieId"];
	$os_pr_id			= getPrId($row["prpv_productoId"]);
	$os_cli_id			= getCliId($row["prpv_clienteId"]);
	$os_cli_nombre		= str_replace("\"","'",$row["prpv_clienteNombre"]);
	$os_cli_suc_id		= getSucId($row["prpv_clienteAnexoId"]);
	$os_cli_contacto	= $row["prpv_clienteAnexoCnt"];
	$os_fecha			= $row["prpv_casoFec"];
	$os_fechaProg		= $row["prpv_casoFec"];
	if ($row["prpv_motivo"] == "CONTR"){
		$os_acuerdo_tipo	= "CNT";
		$os_acuerdo_id		= $row["prpv_motivoDocNum"];
	}
	$os_tipo_servicio	= getTipoServ($row["prpv_condIngreso"]);
	$os_ubicacion		= $row["prpv_tipoAtencion"];
	$os_tecnico_id		= getTecnicoId($row["tch_nombre"]);
	$os_fecIni			= $row["prpv_casoFec"];
	$os_fecFin			= $row["prpv_casoFec"];
	$os_diagnostico_det = str_replace("\"","'",$row["prpv_evaluacionDetalle"]);
	$os_acciones		= str_replace("\"","'",$row["prpv_recomendacion"]."<BR>".$row["prpv_evaluacionDetalle"]);
	$os_recomendaciones = str_replace("\"","'",$row["prpv_recomendacion"]);
	$os_eqpStatus		= getEqpStatus($row["prpv_condEqp"]);
	$os_refDocId		= $row["prpv_docRefNum"];
	$os_refDocId3		= $row["prpv_casoId"];
	$os_obs				= str_replace("\"","'",$row["prpv_observacion"]);
	$os_status			= $row["prpv_status"];
	$os_usrreg			= $row["prpv_creacionAutor"];
	$os_usract			= $row["prpv_cambioAutor"];
	$os_fecreg			= $row["prpv_creacionFec"];
	$os_fecact			= $row["prpv_cambioFec"];
	$os_informeNro		= $row["prpv_ingresoNro"];
	$contometro		    = $row["prpv_contometro_nac"];
	$testPatch			= $row["dteq_fld1"];
	$detectionModule	= $row["dteq_fld2"];
	$gap				= $row["dteq_fld3"];
*/


	$sql = "
		SELECT *
		FROM ac_ticket 
		WHERE tk_refDkt = \"".$row["prpv_casoId"]."\";
	";	
	$sentencia_CHK = $PDO->query($sql);
	$sentencia_CHK->setFetchMode(PDO::FETCH_ASSOC);
	$row_CHK = $sentencia_CHK->fetch();
	if (!$row_CHK["tk_refDkt"]){

		$sql = "
			INSERT INTO ac_ticket 
			(
			tk_cl_id, 
			tk_cl_suc_id,
			tk_tipo, 
			tk_tipoSub, 
			tk_tipoDocRef,
			tk_referencia,
			tk_refDocId1,
			tk_refDocId2,
			tk_refDocId3,
			tk_refDkt,
			tk_fechaReq, 
			tk_detalle, 
			tk_contacto, 
			tk_contactoMail,
			tk_contactoTelf, 
			tk_responsable, 
			tk_obs, 
			tk_status,
			tk_usrreg,
			tk_fecreg
			) 
			VALUES 
			(
			'".$tk_cl_id."', 
			'".$tk_cl_suc_id."',
			'".$tk_tipo."', 
			'".$tk_tipoSub."', 
			'".$tk_tipoDocRef."',
			'".$tk_referencia."',
			'".$tk_refDocId1."',
			'".$tk_refDocId2."',
			'".$tk_refDocId3."',
			'".$tk_refDkt."',
			'".$tk_fechaReq."', 
			'".$tk_detalle."', 
			'".$tk_contacto."', 
			'".$tk_contactoMail."',
			'".$tk_contactoTelf."', 
			'".$tk_responsable."', 
			'".$tk_obs."', 
			'".$tk_status."',
			'".$tk_usrreg."',
			'".$tk_fecreg."'
			);			
		";
			

			echo $i.".".$sql . "\n";
			$sentencia = $PDO->query($sql);
			print_r($PDO->errorInfo());
			$sentencia->setFetchMode(PDO::FETCH_ASSOC);

			$i++;

	}else{
		echo "*** caso ya existe ".$row["prpv_casoId"]."*** \n";
	}
}
if ($a_prNO){
	echo "<pre>";
	print_r($a_prNO);
	echo "</pre>";
}
?>