
<!DOCTYPE html>
<html lang="en">

<head>

    <!-- Custom fonts for this template-->
    <link href="vendor/sb-admin-2/vendor/fontawesome-free/css/all.min.css" rel="stylesheet" type="text/css">
    <link 
        href="https://fonts.googleapis.com/css?family=Nunito:200,200i,300,300i,400,400i,600,600i,700,700i,800,800i,900,900i"
        rel="stylesheet">

    <!-- Custom styles for this template-->
    <link href="vendor/sb-admin-2/css/sb-admin-2.min.css" rel="stylesheet">

</head>

<body id="page-top">

    <!-- Page Wrapper -->
    <div id="wrapper">

        <!-- Content Wrapper -->
        <div id="content-wrapper" class="d-flex flex-column">

            <!-- Main Content -->
            <div id="content">

                <!-- Begin Page Content -->
                <div class="container-fluid">

					<div>
						<p>&nbsp;</p>
					</div>
                    <!-- Page Heading -->
                    <div class="d-sm-flex align-items-center justify-content-between mb-4">
                        <h1 class="h3 mb-0 text-gray-800">Indicadores de inventario</h1>
                    </div>

                    <!-- Content Row -->
                    <div class="row">

                        <!-- Earnings (Monthly) Card Example -->
                        <div class="col-xl-3 col-md-6 mb-4">
                            <div class="card border-left-primary shadow h-100 py-2">
                                <div class="card-body">
                                    <div class="row no-gutters align-items-center">
                                        <div class="col mr-2">
                                            <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                                Stock total</div>
                                            <div class="h5 mb-0 font-weight-bold text-gray-800"><?php echo $DSHB_STOCK_TOTAL;?></div>
                                        </div>
                                        <div class="col-auto">
                                            <i class="fas fa-warehouse fa-2x text-gray-300"></i>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <!-- Earnings (Monthly) Card Example -->
                        <div class="col-xl-3 col-md-6 mb-4">
                            <div class="card border-left-success shadow h-100 py-2">
                                <div class="card-body">
                                    <div class="row no-gutters align-items-center">
                                        <div class="col mr-2">
                                            <div class="text-xs font-weight-bold text-success text-uppercase mb-1">
                                                Antiguedad m&aacute;xima</div>
                                            <div class="h5 mb-0 font-weight-bold text-gray-800">
												<p STYLE="color:<?php echo $DSHB_AGING_MAX_COLOR;?>">
												<?php echo $DSHB_AGING_MAX_KEY;?> dias : 
												<!-- <?php echo $DSHB_AGING_MAX_VALUE;?> -->
												</p>
											</div>
                                        </div>
                                        <div class="col-auto">
                                            <i class="fas fa-hourglass fa-2x text-gray-300"></i>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

						<div class="col-xl-3 col-md-6 mb-4">
							<div class="card border-left-primary shadow h-100 py-2">
								<div class="card-body">
									<div class="row no-gutters align-items-center">
										<div class="col mr-2">
											<div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
												Prestamos Pdtes >= 60 dias</div>
											<div class="h5 mb-0 font-weight-bold text-danger-800"></div>
										</div>
										<div class="h5 mb-0 font-weight-bold text-danger-800 text-danger">
											US$ <?php echo number_format($TPL_tot_60,2)?>
										</div>
									</div>
								</div>
							</div>
						</div>

						<div class="col-xl-3 col-md-6 mb-4">
							<div class="card border-left-primary shadow h-100 py-2">
								<div class="card-body">
									<div class="row no-gutters align-items-center">
										<div class="col mr-2">
											<div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
												Prestamos Pdtes >= 30 dias</div>
											<div class="h5 mb-0 font-weight-bold text-danger-800"></div>
										</div>
										<div class="h5 mb-0 font-weight-bold text-danger-800 text-warning">
											US$ <?php echo number_format($TPL_tot_30,2)?>
										</div>
									</div>
								</div>
							</div>
						</div>

                    </div>

                    <div class="row">
						<p>&nbsp;</p>
                    </div>

                    <!-- Content Row -->

                    <div class="row">

                        <!-- Stock por almacen -->
                        <div class="col-xl-4 col-lg-4">
                            <div class="card shadow mb-4">
                                <!-- Card Header - Dropdown -->
                                <div
                                    class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
                                    <h6 class="m-0 font-weight-bold text-primary">Stock por almacen</h6>
                                </div>
                                <!-- Card Body -->
								<div style="padding:10px">
									<table id="table"  class="table table-hover table-sm">
									  <thead class="thead-light">
										<tr>
										  <th>Almacen</th>
										  <th class="numeric">Costo prom</th>
										</tr>
									  </thead>

									<?php 
										for ($i=0; $i < count($a_listaStock_alm); $i++){
											?>
											<tr>
												<td><?php echo $a_listaStock_alm[$i]["alm_nombre"];?></td>
												<td class="numeric"><a href="index.php?do=imStockLst&stk_almacenId=<?php echo $a_listaStock_alm[$i]["stk_almacenId"]?>&action=buscar" TARGET="blank"><?php echo $a_listaStock_alm[$i]["stk_tot_costoProm"];?></a></td>
											</tr>			
											<?php
										}
									?>
									  <tfoot class="thead-light">
										<tr>
										  <td>Subtotal</td>
										  <td class="numeric"><?php echo $DSHB_STOCK_TOTAL;?></td>
										</tr>
									  </tfoot>
									</table>
								</div>
                            </div>
                        </div>

                        <!-- Stock por categoria -->
                        <div class="col-xl-4 col-lg-4">
                            <div class="card shadow mb-4">
                                <!-- Card Header - Dropdown -->
                                <div
                                    class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
                                    <h6 class="m-0 font-weight-bold text-primary">Stock por Categoria</h6>
                                </div>
                                <!-- Card Body -->
								<div style="padding:10px">
									<table id="table"  class="table table-hover table-sm">
									  <thead class="thead-light">
										<tr>
										  <th>Categoria</th>
										  <th class="numeric">Costo prom</th>
										</tr>
									  </thead>

									<?php 
										for ($i=0; $i < count($a_listaStock_fm); $i++){
											?>
											<tr>
												<td><?php echo $a_listaStock_fm[$i]["fm_nombre"];?></td>
												<td class="numeric"><a href="index.php?do=imStockLst&pr_familiaId=<?php echo $a_listaStock_fm[$i]["pr_familiaId"]?>&action=buscar" TARGET="blank"><?php echo $a_listaStock_fm[$i]["stk_tot_costoProm"];?></a></td>
											</tr>			
											<?php
										}
									?>
									  <tfoot class="thead-light">
										<tr>
										  <td>Subtotal</td>
										  <td class="numeric"><?php echo $DSHB_STOCK_TOTAL_FM;?></td>
										</tr>
									  </tfoot>
									</table>
								</div>
                            </div>
                        </div>

                        <div class="col-xl-4 col-lg-4">
                            <div class="card shadow mb-4">
                                <!-- Card Header - Dropdown -->
                                <div
                                    class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
                                    <h6 class="m-0 font-weight-bold text-primary">
										<a href="index.php?do=imAging">Antiguedad</a>
									</h6>
                                </div>
                                <!-- Card Body -->
                                <div class="card-body">
                                    <div class="chart-pie pt-4 pb-2">
                                        <canvas id="myPieChart"></canvas>
                                    </div>
                                </div>
                            </div>
                        </div>


					</div>

                </div>
                <!-- /.container-fluid -->

            </div>
            <!-- End of Main Content -->

        </div>
        <!-- End of Content Wrapper -->





    </div>

	<div class="row">
	  <div class="col s12 m6">
	  	<h5>Prestamos pdtes</h5>
		al <?php echo $a_vars["fechaFin_PI"];?>
		<p>&nbsp;</p>
		<div class="formulario">
			<table
			  data-toggle="table"
			  data-search="true"
			  data-show-columns="true"
			  data-page-size="50">
			  <thead>
				<tr>
					<td>Dias</Td>
					<td>Tecnico</Td>
					<td>Costo $</Td>
				</tr>
			  </thead>
<?php
	foreach ($a_lista_pi_pdte as $clave => $valor) {
?>
				<tr>
					<td class="<?php echo $valor["dias_style"];?>"><?php echo $valor["dias_tot"]?></Td>
					<td class="<?php echo $valor["dias_style"];?>">
						<a href="index.php?do=imOdPdteLst&vwFormat=vwPdtes&odp_cli_nombre=<?php echo $valor["odp_cli_nombre"];?>&action=buscar" TARGET="blank">
						<?php echo $valor["odp_cli_nombre"]?>
						</a>
					</Td>
					<td class="<?php echo $valor["dias_style"];?>">
						<a href="index.php?do=imOdPdteLst&vwFormat=vwPdtes&odp_cli_nombre=<?php echo $valor["odp_cli_nombre"];?>&action=buscar" TARGET="blank">
						<?php echo number_format($valor["tot_costoProm"],2);?>
						</a>
					</Td>
				</tr>
<?php
	}
?>
				<tr>
					<td>Total</Td>
					<td></Td>
					<td>
						<?php echo number_format($TPL_tot,2);?>
					</Td>
				</tr>
			</table>	
		</div>
	  </div>
	  <div class="col s12 m6">
		&nbsp;
	  </div>	
	</div>

    <!-- End of Page Wrapper -->

    <!-- Scroll to Top Button-->
    <a class="scroll-to-top rounded" href="#page-top">
        <i class="fas fa-angle-up"></i>
    </a>

    <!-- Bootstrap core JavaScript-->
    <script src="../vendor/sb-admin-2/vendor/jquery/jquery.min.js"></script>
    <script src="../vendor/sb-admin-2/vendor/bootstrap/js/bootstrap.bundle.min.js"></script>

    <!-- Core plugin JavaScript-->
    <script src="vendor/sb-admin-2/vendor/jquery-easing/jquery.easing.min.js"></script>

    <!-- Custom scripts for all pages-->
    <script src="vendor/sb-admin-2/js/sb-admin-2.min.js"></script>

    <!-- Page level plugins -->
    <script src="vendor/sb-admin-2/vendor/chart.js/Chart.min.js"></script>

    <!-- Page level custom scripts -->
    <script src="vendor/sb-admin-2/js/demo/chart-area-demo.js"></script>
    <script src="vendor/sb-admin-2/js/demo/chart-pie-demo.js"></script>

<script>
	
	var myPieChart = new Chart(ctx, {
	  type: 'doughnut',
	  data: {
		labels: [<?php echo $DSHB_AGING_LABELS?>],
		datasets: [{
		  data: [<?php echo $DSHB_AGING_DATA?>],
		  backgroundColor: [<?php echo $DSHB_AGING_COLOR;?>],
		  hoverBackgroundColor: ['#2e59d9', '#17a673', '#2c9faf'],
		  hoverBorderColor: "rgba(234, 236, 244, 1)",
		}],
	  },
	  options: {
		maintainAspectRatio: false,
		tooltips: {
		  backgroundColor: "rgb(255,255,255)",
		  bodyFontColor: "#858796",
		  borderColor: '#dddfeb',
		  borderWidth: 1,
		  xPadding: 15,
		  yPadding: 15,
		  displayColors: false,
		  caretPadding: 10,
		},
		legend: {
		  display: true
		},
		cutoutPercentage: 80,
	  },
	});

</script>

</body>

</html>